/*===========================================================================*/
/*   (Llib/gstobject.scm)                                                    */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue 12 May 2020 08:36:09 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.3h/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -unsafe -safee -srfi gstreamer -copt -I/usr/include/gstreamer-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -copt -fPIC -copt -IClib Llib/gstobject.scm -o objs/gstobject.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <gst/gst.h>
#include <bglgst_config.h>
#include <bglgst.h>
#include <bglgst_plugin.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62gstzd2createzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62gstzd2createzd2errorz62_bglt;

typedef struct BgL_gstzd2objectzd2_bgl {
   header_t header;
   obj_t widening;
   GstObject * BgL_z42builtinz42;
   obj_t BgL_z42finaliza7erze5;
   obj_t BgL_z52closuresz52;
} *BgL_gstzd2objectzd2_bglt;


BGL_EXPORTED_DECL bool_t bgl_gst_objectp(obj_t);
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_EXPORTED_DECL obj_t bgl_closure_gcmark(obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
static obj_t BGl_z62gstzd2objectzd2propertyz62zz__gstreamer_gstobjectz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_gstzd2objectzd2propertyzd2listzd2zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt);
static obj_t BGl_z62gstzd2objectzd2propertyzd2setz12za2zz__gstreamer_gstobjectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__gstreamer_gstobjectz00();
BGL_EXPORTED_DECL obj_t BGl_z52gstzd2objectzd2finaliza7ezd2debugz27zz__gstreamer_gstobjectz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31215ze3ze5zz__gstreamer_gstobjectz00(obj_t);
static obj_t BGl_z62gstzd2objectzd2connectz12z70zz__gstreamer_gstobjectz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52gstzd2objectzd2initzd2debugz80zz__gstreamer_gstobjectz00(obj_t);
static obj_t BGl_za2gcmarkzd2closureza2zd2zz__gstreamer_gstobjectz00 = BUNSPEC;
static obj_t BGl_z62gstzd2objectzf3z43zz__gstreamer_gstobjectz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__gstreamer_gstobjectz00();
BGL_EXPORTED_DECL obj_t BGl_gstzd2objectzd2propertyz00zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt, obj_t);
static obj_t BGl_z62closurezd2gcunmarkz12za2zz__gstreamer_gstobjectz00(obj_t, obj_t);
static obj_t BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_gstzd2objectzd2connectz12z12zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt, obj_t, obj_t);
static obj_t BGl_z62lambda1205z62zz__gstreamer_gstobjectz00(obj_t, obj_t);
static obj_t BGl_z62lambda1206z62zz__gstreamer_gstobjectz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1213z62zz__gstreamer_gstobjectz00(obj_t, obj_t);
static obj_t BGl_z62lambda1214z62zz__gstreamer_gstobjectz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31183ze3ze5zz__gstreamer_gstobjectz00(obj_t, obj_t);
static obj_t BGl_z62z52z42gstzd2objectzd2nilz72zz__gstreamer_gstobjectz00(obj_t);
BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
static long BGl_za2gstzd2objectzd2debugzd2countza2zd2zz__gstreamer_gstobjectz00;
static obj_t BGl_z62z52gstzd2objectzd2initzd2debugze2zz__gstreamer_gstobjectz00(obj_t, obj_t);
BGL_IMPORT int bgl_debug();
extern obj_t BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00;
static obj_t BGl_z62z52gstzd2objectzd2initz30zz__gstreamer_gstobjectz00(obj_t, obj_t);
BGL_IMPORT long bgl_list_length(obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gstobjectz00();
BGL_EXPORTED_DECL obj_t BGl_z52gstzd2objectzd2finaliza7ez12ze7zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt);
static obj_t BGl_za2gcmarkzd2mutexza2zd2zz__gstreamer_gstobjectz00 = BUNSPEC;
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62z52gstzd2objectzd2refz12z22zz__gstreamer_gstobjectz00(obj_t, obj_t);
static obj_t BGl_z62gstzd2objectzd2propertyzd2listzb0zz__gstreamer_gstobjectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_z62z52gstzd2objectzd2finaliza7ez12z85zz__gstreamer_gstobjectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_find_runtime_type(obj_t);
BGL_EXPORTED_DECL obj_t bgl_closure_gcunmark(obj_t);
static obj_t BGl_z62z52gstzd2objectzd2unrefz12z22zz__gstreamer_gstobjectz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31200ze3ze5zz__gstreamer_gstobjectz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__gstreamer_gstobjectz00 = BUNSPEC;
static obj_t BGl_z62z52gstzd2objectzd2finaliza7ezd2closuresz12z57zz__gstreamer_gstobjectz00(obj_t, obj_t);
static obj_t BGl_z62closurezd2gcmarkz12za2zz__gstreamer_gstobjectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__gstreamer_gstobjectz00();
static obj_t BGl_genericzd2initzd2zz__gstreamer_gstobjectz00();
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31207ze3ze5zz__gstreamer_gstobjectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52gstzd2objectzd2finaliza7ezd2closuresz12z35zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt);
BGL_EXPORTED_DEF obj_t BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00 = BUNSPEC;
static obj_t BGl_z62z52gstzd2objectzd2finaliza7ezd2debugz45zz__gstreamer_gstobjectz00(obj_t, obj_t);
extern void bgl_gst_add_finalizer(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL GstObject * BGl_z52z42gstzd2objectzd2nilz10zz__gstreamer_gstobjectz00();
BGL_EXPORTED_DECL obj_t BGl_z52gstzd2objectzd2unrefz12z40zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52gstzd2objectzd2initz52zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_gstzd2objectzd2propertyzd2setz12zc0zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt, obj_t, obj_t);
static obj_t BGl_z62z52gstzd2objectzd2init1075z30zz__gstreamer_gstobjectz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstobjectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gsterrorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_z52gstzd2objectzd2refz12z40zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt);
BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static BgL_gstzd2objectzd2_bglt BGl_z62lambda1180z62zz__gstreamer_gstobjectz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__gstreamer_gstobjectz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstobjectz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gstobjectz00();
static obj_t BGl_z62lambda1198z62zz__gstreamer_gstobjectz00(obj_t, obj_t);
static obj_t BGl_z62lambda1199z62zz__gstreamer_gstobjectz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52gstzd2objectzd2ze3gobjectzd3zz__gstreamer_gstobjectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_EXPORTED_DECL GstObject * bgl_gst_object_to_gstobject(BgL_gstzd2objectzd2_bglt);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62objectzd2displayzd2gstzd2o1078zb0zz__gstreamer_gstobjectz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 10 ] ;


DEFINE_STRING( BGl_string1407z00zz__gstreamer_gstobjectz00, BgL_bgl_string1407za700za7za7_1509za7, "Llib/gstobject.scm", 18 );
DEFINE_STRING( BGl_string1408z00zz__gstreamer_gstobjectz00, BgL_bgl_string1408za700za7za7_1510za7, "/builddir/build/BUILD/bigloo-4.3h/api/gstreamer/src/Llib/gstobject.scm", 70 );
DEFINE_STRING( BGl_string1409z00zz__gstreamer_gstobjectz00, BgL_bgl_string1409za700za7za7_1511za7, "&%gst-object->gobject", 21 );
DEFINE_STRING( BGl_string1410z00zz__gstreamer_gstobjectz00, BgL_bgl_string1410za700za7za7_1512za7, "gst-object", 10 );
DEFINE_STRING( BGl_string1411z00zz__gstreamer_gstobjectz00, BgL_bgl_string1411za700za7za7_1513za7, "gst-object-init (", 17 );
DEFINE_STRING( BGl_string1412z00zz__gstreamer_gstobjectz00, BgL_bgl_string1412za700za7za7_1514za7, "): ", 3 );
DEFINE_STRING( BGl_string1413z00zz__gstreamer_gstobjectz00, BgL_bgl_string1413za700za7za7_1515za7, "gst-object-unref! (", 19 );
DEFINE_STRING( BGl_string1414z00zz__gstreamer_gstobjectz00, BgL_bgl_string1414za700za7za7_1516za7, "&%gst-object-unref!", 19 );
DEFINE_STRING( BGl_string1415z00zz__gstreamer_gstobjectz00, BgL_bgl_string1415za700za7za7_1517za7, "&%gst-object-ref!", 17 );
DEFINE_STRING( BGl_string1416z00zz__gstreamer_gstobjectz00, BgL_bgl_string1416za700za7za7_1518za7, "&%gst-object-finalize-closures!", 31 );
DEFINE_STRING( BGl_string1417z00zz__gstreamer_gstobjectz00, BgL_bgl_string1417za700za7za7_1519za7, "&%gst-object-finalize!", 22 );
DEFINE_STRING( BGl_string1418z00zz__gstreamer_gstobjectz00, BgL_bgl_string1418za700za7za7_1520za7, "&gst-object-property-list", 25 );
DEFINE_STRING( BGl_string1419z00zz__gstreamer_gstobjectz00, BgL_bgl_string1419za700za7za7_1521za7, "&gst-object-property", 20 );
DEFINE_STRING( BGl_string1420z00zz__gstreamer_gstobjectz00, BgL_bgl_string1420za700za7za7_1522za7, "keyword", 7 );
DEFINE_STRING( BGl_string1421z00zz__gstreamer_gstobjectz00, BgL_bgl_string1421za700za7za7_1523za7, "&gst-object-property-set!", 25 );
DEFINE_STRING( BGl_string1422z00zz__gstreamer_gstobjectz00, BgL_bgl_string1422za700za7za7_1524za7, "&gst-object-connect!", 20 );
DEFINE_STRING( BGl_string1423z00zz__gstreamer_gstobjectz00, BgL_bgl_string1423za700za7za7_1525za7, "bstring", 7 );
DEFINE_STRING( BGl_string1424z00zz__gstreamer_gstobjectz00, BgL_bgl_string1424za700za7za7_1526za7, "procedure", 9 );
DEFINE_STRING( BGl_string1425z00zz__gstreamer_gstobjectz00, BgL_bgl_string1425za700za7za7_1527za7, "closure-gcmark: ", 16 );
DEFINE_STRING( BGl_string1426z00zz__gstreamer_gstobjectz00, BgL_bgl_string1426za700za7za7_1528za7, ":", 1 );
DEFINE_STRING( BGl_string1427z00zz__gstreamer_gstobjectz00, BgL_bgl_string1427za700za7za7_1529za7, ",", 1 );
DEFINE_STRING( BGl_string1428z00zz__gstreamer_gstobjectz00, BgL_bgl_string1428za700za7za7_1530za7, "&closure-gcmark!", 16 );
DEFINE_STRING( BGl_string1429z00zz__gstreamer_gstobjectz00, BgL_bgl_string1429za700za7za7_1531za7, "closure-gcunmark: ", 18 );
DEFINE_STRING( BGl_string1430z00zz__gstreamer_gstobjectz00, BgL_bgl_string1430za700za7za7_1532za7, "&closure-gcunmark!", 18 );
DEFINE_STRING( BGl_string1443z00zz__gstreamer_gstobjectz00, BgL_bgl_string1443za700za7za7_1533za7, "%gst-object-init1075", 20 );
DEFINE_STRING( BGl_string1444z00zz__gstreamer_gstobjectz00, BgL_bgl_string1444za700za7za7_1534za7, "Illegal gst-object", 18 );
DEFINE_STRING( BGl_string1445z00zz__gstreamer_gstobjectz00, BgL_bgl_string1445za700za7za7_1535za7, "&%gst-object-init", 17 );
DEFINE_STRING( BGl_string1447z00zz__gstreamer_gstobjectz00, BgL_bgl_string1447za700za7za7_1536za7, "object-display", 14 );
DEFINE_STRING( BGl_string1448z00zz__gstreamer_gstobjectz00, BgL_bgl_string1448za700za7za7_1537za7, "<", 1 );
DEFINE_STRING( BGl_string1449z00zz__gstreamer_gstobjectz00, BgL_bgl_string1449za700za7za7_1538za7, " refcount=", 10 );
DEFINE_STRING( BGl_string1450z00zz__gstreamer_gstobjectz00, BgL_bgl_string1450za700za7za7_1539za7, ">", 1 );
DEFINE_STRING( BGl_string1451z00zz__gstreamer_gstobjectz00, BgL_bgl_string1451za700za7za7_1540za7, "__gstreamer_gstobject", 21 );
DEFINE_STRING( BGl_string1452z00zz__gstreamer_gstobjectz00, BgL_bgl_string1452za700za7za7_1541za7, "%gst-object-init __gstreamer_gstobject gst-object pair-nil %closures obj $finalizer $gst-object $builtin mutex ", 111 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2objectzd2propertyzd2setz12zd2envz12zz__gstreamer_gstobjectz00, BgL_bgl_za762gstza7d2objectza71542za7, BGl_z62gstzd2objectzd2propertyzd2setz12za2zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_closurezd2gcunmarkz12zd2envz12zz__gstreamer_gstobjectz00, BgL_bgl_za762closureza7d2gcu1543z00, BGl_z62closurezd2gcunmarkz12za2zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52gstzd2objectzd2finaliza7ezd2debugzd2envzf5zz__gstreamer_gstobjectz00, BgL_bgl_za762za752gstza7d2obje1544za7, BGl_z62z52gstzd2objectzd2finaliza7ezd2debugz45zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52gstzd2objectzd2finaliza7ez12zd2envz35zz__gstreamer_gstobjectz00, BgL_bgl_za762za752gstza7d2obje1545za7, BGl_z62z52gstzd2objectzd2finaliza7ez12z85zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2objectzd2connectz12zd2envzc0zz__gstreamer_gstobjectz00, BgL_bgl_za762gstza7d2objectza71546za7, BGl_z62gstzd2objectzd2connectz12z70zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52gstzd2objectzd2finaliza7ezd2closuresz12zd2envze7zz__gstreamer_gstobjectz00, BgL_bgl_za762za752gstza7d2obje1547za7, BGl_z62z52gstzd2objectzd2finaliza7ezd2closuresz12z57zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52gstzd2objectzd2initzd2debugzd2envz52zz__gstreamer_gstobjectz00, BgL_bgl_za762za752gstza7d2obje1548za7, BGl_z62z52gstzd2objectzd2initzd2debugze2zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2objectzd2propertyzd2listzd2envz00zz__gstreamer_gstobjectz00, BgL_bgl_za762gstza7d2objectza71549za7, BGl_z62gstzd2objectzd2propertyzd2listzb0zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52gstzd2objectzd2ze3gobjectzd2envz63zz__gstreamer_gstobjectz00, BgL_bgl_za762za752gstza7d2obje1550za7, BGl_z62z52gstzd2objectzd2ze3gobjectzd3zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52gstzd2objectzd2refz12zd2envz92zz__gstreamer_gstobjectz00, BgL_bgl_za762za752gstza7d2obje1551za7, BGl_z62z52gstzd2objectzd2refz12z22zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52gstzd2objectzd2unrefz12zd2envz92zz__gstreamer_gstobjectz00, BgL_bgl_za762za752gstza7d2obje1552za7, BGl_z62z52gstzd2objectzd2unrefz12z22zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_closurezd2gcmarkz12zd2envz12zz__gstreamer_gstobjectz00, BgL_bgl_za762closureza7d2gcm1553z00, BGl_z62closurezd2gcmarkz12za2zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2objectzf3zd2envzf3zz__gstreamer_gstobjectz00, BgL_bgl_za762gstza7d2objectza71554za7, BGl_z62gstzd2objectzf3z43zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1431z00zz__gstreamer_gstobjectz00, BgL_bgl_za762za7c3za704anonymo1555za7, BGl_z62zc3z04anonymousza31200ze3ze5zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1432z00zz__gstreamer_gstobjectz00, BgL_bgl_za762lambda1199za7621556z00, BGl_z62lambda1199z62zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1433z00zz__gstreamer_gstobjectz00, BgL_bgl_za762lambda1198za7621557z00, BGl_z62lambda1198z62zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1434z00zz__gstreamer_gstobjectz00, BgL_bgl_za762za7c3za704anonymo1558za7, BGl_z62zc3z04anonymousza31207ze3ze5zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1435z00zz__gstreamer_gstobjectz00, BgL_bgl_za762lambda1206za7621559z00, BGl_z62lambda1206z62zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1436z00zz__gstreamer_gstobjectz00, BgL_bgl_za762lambda1205za7621560z00, BGl_z62lambda1205z62zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1437z00zz__gstreamer_gstobjectz00, BgL_bgl_za762za7c3za704anonymo1561za7, BGl_z62zc3z04anonymousza31215ze3ze5zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1438z00zz__gstreamer_gstobjectz00, BgL_bgl_za762lambda1214za7621562z00, BGl_z62lambda1214z62zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1439z00zz__gstreamer_gstobjectz00, BgL_bgl_za762lambda1213za7621563z00, BGl_z62lambda1213z62zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1440z00zz__gstreamer_gstobjectz00, BgL_bgl_za762za7c3za704anonymo1564za7, BGl_z62zc3z04anonymousza31183ze3ze5zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1441z00zz__gstreamer_gstobjectz00, BgL_bgl_za762lambda1180za7621565z00, BGl_z62lambda1180z62zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1442z00zz__gstreamer_gstobjectz00, BgL_bgl_za762za752gstza7d2obje1566za7, BGl_z62z52gstzd2objectzd2init1075z30zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1446z00zz__gstreamer_gstobjectz00, BgL_bgl_za762objectza7d2disp1567z00, va_generic_entry, BGl_z62objectzd2displayzd2gstzd2o1078zb0zz__gstreamer_gstobjectz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_z52gstzd2objectzd2initzd2envz80zz__gstreamer_gstobjectz00, BgL_bgl_za762za752gstza7d2obje1568za7, BGl_z62z52gstzd2objectzd2initz30zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52z42gstzd2objectzd2nilzd2envzc2zz__gstreamer_gstobjectz00, BgL_bgl_za762za752za742gstza7d2o1569z00, BGl_z62z52z42gstzd2objectzd2nilz72zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2objectzd2propertyzd2envzd2zz__gstreamer_gstobjectz00, BgL_bgl_za762gstza7d2objectza71570za7, BGl_z62gstzd2objectzd2propertyz62zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_za2gcmarkzd2closureza2zd2zz__gstreamer_gstobjectz00) );
ADD_ROOT( (void *)(&BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00) );
ADD_ROOT( (void *)(&BGl_za2gcmarkzd2mutexza2zd2zz__gstreamer_gstobjectz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__gstreamer_gstobjectz00) );
ADD_ROOT( (void *)(&BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstobjectz00(long BgL_checksumz00_507, char * BgL_fromz00_508)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__gstreamer_gstobjectz00))
{ 
BGl_requirezd2initializa7ationz75zz__gstreamer_gstobjectz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__gstreamer_gstobjectz00(); 
BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstobjectz00(); 
BGl_cnstzd2initzd2zz__gstreamer_gstobjectz00(); 
BGl_importedzd2moduleszd2initz00zz__gstreamer_gstobjectz00(); 
BGl_objectzd2initzd2zz__gstreamer_gstobjectz00(); 
BGl_genericzd2initzd2zz__gstreamer_gstobjectz00(); 
BGl_methodzd2initzd2zz__gstreamer_gstobjectz00(); 
return 
BGl_toplevelzd2initzd2zz__gstreamer_gstobjectz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstobjectz00()
{
{ /* Llib/gstobject.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__gstreamer_gstobject"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__gstreamer_gstobjectz00()
{
{ /* Llib/gstobject.scm 15 */
{ /* Llib/gstobject.scm 15 */
obj_t BgL_cportz00_452;
{ /* Llib/gstobject.scm 15 */
obj_t BgL_stringz00_460;
BgL_stringz00_460 = BGl_string1452z00zz__gstreamer_gstobjectz00; 
{ /* Llib/gstobject.scm 15 */
obj_t BgL_startz00_461;
BgL_startz00_461 = 
BINT(((long)0)); 
{ /* Llib/gstobject.scm 15 */
obj_t BgL_endz00_462;
BgL_endz00_462 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_460))); 
{ /* Llib/gstobject.scm 15 */

BgL_cportz00_452 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_460, BgL_startz00_461, BgL_endz00_462); } } } } 
{ 
long BgL_iz00_453;
BgL_iz00_453 = ((long)9); 
BgL_loopz00_454:
if(
(BgL_iz00_453==((long)-1)))
{ /* Llib/gstobject.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/gstobject.scm 15 */
{ /* Llib/gstobject.scm 15 */
obj_t BgL_arg1502z00_456;
{ /* Llib/gstobject.scm 15 */

{ /* Llib/gstobject.scm 15 */
obj_t BgL_locationz00_458;
BgL_locationz00_458 = 
BBOOL(((bool_t)0)); 
{ /* Llib/gstobject.scm 15 */

BgL_arg1502z00_456 = 
BGl_readz00zz__readerz00(BgL_cportz00_452, BgL_locationz00_458); } } } 
{ /* Llib/gstobject.scm 15 */
int BgL_tmpz00_544;
BgL_tmpz00_544 = 
(int)(BgL_iz00_453); 
CNST_TABLE_SET(BgL_tmpz00_544, BgL_arg1502z00_456); } } 
{ /* Llib/gstobject.scm 15 */
int BgL_auxz00_459;
BgL_auxz00_459 = 
(int)(
(BgL_iz00_453-((long)1))); 
{ 
long BgL_iz00_549;
BgL_iz00_549 = 
(long)(BgL_auxz00_459); 
BgL_iz00_453 = BgL_iz00_549; 
goto BgL_loopz00_454;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gstobjectz00()
{
{ /* Llib/gstobject.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__gstreamer_gstobjectz00()
{
{ /* Llib/gstobject.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1407z00zz__gstreamer_gstobjectz00)); 
{ /* Llib/gstobject.scm 81 */

{ /* Llib/gstobject.scm 81 */
obj_t BgL_namez00_25;
BgL_namez00_25 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)0))); 
{ /* Llib/gstobject.scm 81 */

{ /* Llib/gstobject.scm 81 */
obj_t BgL_res1335z00_196;
BgL_res1335z00_196 = 
bgl_make_mutex(BgL_namez00_25); 
BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00 = BgL_res1335z00_196; } } } } 
BGl_za2gstzd2objectzd2debugzd2countza2zd2zz__gstreamer_gstobjectz00 = ((long)0); 
{ /* Llib/gstobject.scm 206 */

{ /* Llib/gstobject.scm 206 */
obj_t BgL_namez00_26;
BgL_namez00_26 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)0))); 
{ /* Llib/gstobject.scm 206 */

{ /* Llib/gstobject.scm 206 */
obj_t BgL_res1336z00_197;
BgL_res1336z00_197 = 
bgl_make_mutex(BgL_namez00_26); 
BGl_za2gcmarkzd2mutexza2zd2zz__gstreamer_gstobjectz00 = BgL_res1336z00_197; } } } } 
return ( 
BGl_za2gcmarkzd2closureza2zd2zz__gstreamer_gstobjectz00 = BNIL, BUNSPEC) ;} 

}



/* gst-object? */
BGL_EXPORTED_DEF bool_t bgl_gst_objectp(obj_t BgL_oz00_3)
{
{ /* Llib/gstobject.scm 62 */
return 
BGl_isazf3zf3zz__objectz00(BgL_oz00_3, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00);} 

}



/* &gst-object? */
obj_t BGl_z62gstzd2objectzf3z43zz__gstreamer_gstobjectz00(obj_t BgL_envz00_322, obj_t BgL_oz00_323)
{
{ /* Llib/gstobject.scm 62 */
return 
BBOOL(
bgl_gst_objectp(BgL_oz00_323));} 

}



/* %$gst-object-nil */
BGL_EXPORTED_DEF GstObject * BGl_z52z42gstzd2objectzd2nilz10zz__gstreamer_gstobjectz00()
{
{ /* Llib/gstobject.scm 68 */
return 
(0L);} 

}



/* &%$gst-object-nil */
obj_t BGl_z62z52z42gstzd2objectzd2nilz72zz__gstreamer_gstobjectz00(obj_t BgL_envz00_324)
{
{ /* Llib/gstobject.scm 68 */
return 
void_star_to_obj(
BGl_z52z42gstzd2objectzd2nilz10zz__gstreamer_gstobjectz00());} 

}



/* %gst-object->gobject */
BGL_EXPORTED_DEF GstObject * bgl_gst_object_to_gstobject(BgL_gstzd2objectzd2_bglt BgL_oz00_4)
{
{ /* Llib/gstobject.scm 74 */
return 
(((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_oz00_4))->BgL_z42builtinz42);} 

}



/* &%gst-object->gobject */
obj_t BGl_z62z52gstzd2objectzd2ze3gobjectzd3zz__gstreamer_gstobjectz00(obj_t BgL_envz00_325, obj_t BgL_oz00_326)
{
{ /* Llib/gstobject.scm 74 */
{ /* Llib/gstobject.scm 75 */
void * BgL_tmpz00_567;
{ /* Llib/gstobject.scm 75 */
BgL_gstzd2objectzd2_bglt BgL_auxz00_568;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_326, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00))
{ /* Llib/gstobject.scm 75 */
BgL_auxz00_568 = 
((BgL_gstzd2objectzd2_bglt)BgL_oz00_326)
; }  else 
{ 
obj_t BgL_auxz00_572;
BgL_auxz00_572 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1408z00zz__gstreamer_gstobjectz00, 
BINT(((long)3105)), BGl_string1409z00zz__gstreamer_gstobjectz00, BGl_string1410z00zz__gstreamer_gstobjectz00, BgL_oz00_326); 
FAILURE(BgL_auxz00_572,BFALSE,BFALSE);} 
BgL_tmpz00_567 = 
bgl_gst_object_to_gstobject(BgL_auxz00_568); } 
return 
void_star_to_obj(BgL_tmpz00_567);} } 

}



/* %gst-object-init-debug */
BGL_EXPORTED_DEF obj_t BGl_z52gstzd2objectzd2initzd2debugz80zz__gstreamer_gstobjectz00(obj_t BgL_oz00_5)
{
{ /* Llib/gstobject.scm 87 */
{ /* Llib/gstobject.scm 88 */
obj_t BgL_top1576z00_579;
BgL_top1576z00_579 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1576z00_579, BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); BUNSPEC; 
{ /* Llib/gstobject.scm 88 */
obj_t BgL_tmp1575z00_578;
BGl_za2gstzd2objectzd2debugzd2countza2zd2zz__gstreamer_gstobjectz00 = 
(((long)1)+BGl_za2gstzd2objectzd2debugzd2countza2zd2zz__gstreamer_gstobjectz00); 
{ /* Llib/gstobject.scm 90 */
obj_t BgL_arg1085z00_36;
{ /* Llib/gstobject.scm 90 */
obj_t BgL_res1338z00_202;
{ /* Llib/gstobject.scm 90 */
obj_t BgL_tmpz00_584;
BgL_tmpz00_584 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res1338z00_202 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_584); } 
BgL_arg1085z00_36 = BgL_res1338z00_202; } 
bgl_display_string(BGl_string1411z00zz__gstreamer_gstobjectz00, BgL_arg1085z00_36); } 
{ /* Llib/gstobject.scm 91 */
obj_t BgL_arg1086z00_37;
{ /* Llib/gstobject.scm 91 */
obj_t BgL_res1339z00_206;
{ /* Llib/gstobject.scm 91 */
obj_t BgL_tmpz00_588;
BgL_tmpz00_588 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res1339z00_206 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_588); } 
BgL_arg1086z00_37 = BgL_res1339z00_206; } 
bgl_display_obj(
BINT(BGl_za2gstzd2objectzd2debugzd2countza2zd2zz__gstreamer_gstobjectz00), BgL_arg1086z00_37); } 
{ /* Llib/gstobject.scm 92 */
obj_t BgL_arg1087z00_38;
{ /* Llib/gstobject.scm 92 */
obj_t BgL_res1340z00_208;
{ /* Llib/gstobject.scm 92 */
obj_t BgL_tmpz00_593;
BgL_tmpz00_593 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res1340z00_208 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_593); } 
BgL_arg1087z00_38 = BgL_res1340z00_208; } 
BgL_tmp1575z00_578 = 
bgl_display_string(BGl_string1412z00zz__gstreamer_gstobjectz00, BgL_arg1087z00_38); } 
BGL_EXITD_POP_PROTECT(BgL_top1576z00_579); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); BgL_tmp1575z00_578; } } 
{ /* Llib/gstobject.scm 93 */
obj_t BgL_arg1088z00_39;obj_t BgL_arg1089z00_40;
BgL_arg1088z00_39 = 
bgl_find_runtime_type(BgL_oz00_5); 
{ /* Llib/gstobject.scm 93 */
obj_t BgL_res1341z00_212;
{ /* Llib/gstobject.scm 93 */
obj_t BgL_tmpz00_600;
BgL_tmpz00_600 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res1341z00_212 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_600); } 
BgL_arg1089z00_40 = BgL_res1341z00_212; } 
bgl_display_obj(BgL_arg1088z00_39, BgL_arg1089z00_40); } 
fprintf( stderr, " o=%p builtin=%p refcount=%d", BgL_oz00_5, ((BgL_gstzd2objectzd2_bglt)BgL_oz00_5)->BgL_z42builtinz42, ((GObject *)(((BgL_gstzd2objectzd2_bglt)BgL_oz00_5)->BgL_z42builtinz42))->ref_count ); 
{ /* Llib/gstobject.scm 95 */
obj_t BgL_arg1091z00_41;
{ /* Llib/gstobject.scm 95 */
obj_t BgL_res1342z00_214;
{ /* Llib/gstobject.scm 95 */
obj_t BgL_tmpz00_605;
BgL_tmpz00_605 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res1342z00_214 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_605); } 
BgL_arg1091z00_41 = BgL_res1342z00_214; } 
return 
bgl_display_char(((unsigned char)10), BgL_arg1091z00_41);} } 

}



/* &%gst-object-init-debug */
obj_t BGl_z62z52gstzd2objectzd2initzd2debugze2zz__gstreamer_gstobjectz00(obj_t BgL_envz00_327, obj_t BgL_oz00_328)
{
{ /* Llib/gstobject.scm 87 */
return 
BGl_z52gstzd2objectzd2initzd2debugz80zz__gstreamer_gstobjectz00(BgL_oz00_328);} 

}



/* %gst-object-finalize-debug */
BGL_EXPORTED_DEF obj_t BGl_z52gstzd2objectzd2finaliza7ezd2debugz27zz__gstreamer_gstobjectz00(obj_t BgL_oz00_6)
{
{ /* Llib/gstobject.scm 100 */
{ /* Llib/gstobject.scm 101 */
bool_t BgL_test1577z00_610;
{ /* Llib/gstobject.scm 101 */
int BgL_arg1100z00_50;
BgL_arg1100z00_50 = 
bgl_debug(); 
BgL_test1577z00_610 = 
(
(long)(BgL_arg1100z00_50)>((long)4)); } 
if(BgL_test1577z00_610)
{ /* Llib/gstobject.scm 101 */
{ /* Llib/gstobject.scm 102 */
obj_t BgL_top1579z00_615;
BgL_top1579z00_615 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1579z00_615, BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); BUNSPEC; 
{ /* Llib/gstobject.scm 102 */
obj_t BgL_tmp1578z00_614;
BGl_za2gstzd2objectzd2debugzd2countza2zd2zz__gstreamer_gstobjectz00 = 
(((long)-1)+BGl_za2gstzd2objectzd2debugzd2countza2zd2zz__gstreamer_gstobjectz00); 
{ /* Llib/gstobject.scm 104 */
obj_t BgL_arg1095z00_45;
{ /* Llib/gstobject.scm 104 */
obj_t BgL_res1344z00_219;
{ /* Llib/gstobject.scm 104 */
obj_t BgL_tmpz00_620;
BgL_tmpz00_620 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res1344z00_219 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_620); } 
BgL_arg1095z00_45 = BgL_res1344z00_219; } 
bgl_display_string(BGl_string1413z00zz__gstreamer_gstobjectz00, BgL_arg1095z00_45); } 
{ /* Llib/gstobject.scm 105 */
obj_t BgL_arg1096z00_46;
{ /* Llib/gstobject.scm 105 */
obj_t BgL_res1345z00_223;
{ /* Llib/gstobject.scm 105 */
obj_t BgL_tmpz00_624;
BgL_tmpz00_624 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res1345z00_223 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_624); } 
BgL_arg1096z00_46 = BgL_res1345z00_223; } 
bgl_display_obj(
BINT(BGl_za2gstzd2objectzd2debugzd2countza2zd2zz__gstreamer_gstobjectz00), BgL_arg1096z00_46); } 
{ /* Llib/gstobject.scm 106 */
obj_t BgL_arg1097z00_47;
{ /* Llib/gstobject.scm 106 */
obj_t BgL_res1346z00_225;
{ /* Llib/gstobject.scm 106 */
obj_t BgL_tmpz00_629;
BgL_tmpz00_629 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res1346z00_225 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_629); } 
BgL_arg1097z00_47 = BgL_res1346z00_225; } 
BgL_tmp1578z00_614 = 
bgl_display_string(BGl_string1412z00zz__gstreamer_gstobjectz00, BgL_arg1097z00_47); } 
BGL_EXITD_POP_PROTECT(BgL_top1579z00_615); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); BgL_tmp1578z00_614; } } 
{ /* Llib/gstobject.scm 107 */
obj_t BgL_arg1098z00_48;obj_t BgL_arg1099z00_49;
BgL_arg1098z00_48 = 
bgl_find_runtime_type(BgL_oz00_6); 
{ /* Llib/gstobject.scm 107 */
obj_t BgL_res1347z00_229;
{ /* Llib/gstobject.scm 107 */
obj_t BgL_tmpz00_636;
BgL_tmpz00_636 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res1347z00_229 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_636); } 
BgL_arg1099z00_49 = BgL_res1347z00_229; } 
bgl_display_obj(BgL_arg1098z00_48, BgL_arg1099z00_49); } 
fprintf( stderr, " o=%p builtin=%p refcount=%d -> %d",
 BgL_oz00_6, ((BgL_gstzd2objectzd2_bglt)BgL_oz00_6)->BgL_z42builtinz42, ((GObject *)((BgL_gstzd2objectzd2_bglt)BgL_oz00_6)->BgL_z42builtinz42)->ref_count, ((GObject *)((BgL_gstzd2objectzd2_bglt)BgL_oz00_6)->BgL_z42builtinz42)->ref_count  -1 ), puts( "" ); 
return BUNSPEC;}  else 
{ /* Llib/gstobject.scm 101 */
return BFALSE;} } } 

}



/* &%gst-object-finalize-debug */
obj_t BGl_z62z52gstzd2objectzd2finaliza7ezd2debugz45zz__gstreamer_gstobjectz00(obj_t BgL_envz00_329, obj_t BgL_oz00_330)
{
{ /* Llib/gstobject.scm 100 */
return 
BGl_z52gstzd2objectzd2finaliza7ezd2debugz27zz__gstreamer_gstobjectz00(BgL_oz00_330);} 

}



/* %gst-object-unref! */
BGL_EXPORTED_DEF obj_t BGl_z52gstzd2objectzd2unrefz12z40zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt BgL_oz00_10)
{
{ /* Llib/gstobject.scm 147 */
{ /* Llib/gstobject.scm 149 */
GstObject * BgL_arg1103z00_231;
BgL_arg1103z00_231 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_oz00_10))->BgL_z42builtinz42); 
gst_object_unref(BgL_arg1103z00_231); 
return BUNSPEC;} } 

}



/* &%gst-object-unref! */
obj_t BGl_z62z52gstzd2objectzd2unrefz12z22zz__gstreamer_gstobjectz00(obj_t BgL_envz00_331, obj_t BgL_oz00_332)
{
{ /* Llib/gstobject.scm 147 */
{ /* Llib/gstobject.scm 148 */
BgL_gstzd2objectzd2_bglt BgL_auxz00_644;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_332, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00))
{ /* Llib/gstobject.scm 148 */
BgL_auxz00_644 = 
((BgL_gstzd2objectzd2_bglt)BgL_oz00_332)
; }  else 
{ 
obj_t BgL_auxz00_648;
BgL_auxz00_648 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1408z00zz__gstreamer_gstobjectz00, 
BINT(((long)6815)), BGl_string1414z00zz__gstreamer_gstobjectz00, BGl_string1410z00zz__gstreamer_gstobjectz00, BgL_oz00_332); 
FAILURE(BgL_auxz00_648,BFALSE,BFALSE);} 
return 
BGl_z52gstzd2objectzd2unrefz12z40zz__gstreamer_gstobjectz00(BgL_auxz00_644);} } 

}



/* %gst-object-ref! */
BGL_EXPORTED_DEF obj_t BGl_z52gstzd2objectzd2refz12z40zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt BgL_oz00_11)
{
{ /* Llib/gstobject.scm 154 */
{ /* Llib/gstobject.scm 156 */
GstObject * BgL_arg1104z00_233;
BgL_arg1104z00_233 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_oz00_11))->BgL_z42builtinz42); 
return 
void_star_to_obj(
gst_object_ref(BgL_arg1104z00_233));} } 

}



/* &%gst-object-ref! */
obj_t BGl_z62z52gstzd2objectzd2refz12z22zz__gstreamer_gstobjectz00(obj_t BgL_envz00_333, obj_t BgL_oz00_334)
{
{ /* Llib/gstobject.scm 154 */
{ /* Llib/gstobject.scm 155 */
BgL_gstzd2objectzd2_bglt BgL_auxz00_656;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_334, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00))
{ /* Llib/gstobject.scm 155 */
BgL_auxz00_656 = 
((BgL_gstzd2objectzd2_bglt)BgL_oz00_334)
; }  else 
{ 
obj_t BgL_auxz00_660;
BgL_auxz00_660 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1408z00zz__gstreamer_gstobjectz00, 
BINT(((long)7146)), BGl_string1415z00zz__gstreamer_gstobjectz00, BGl_string1410z00zz__gstreamer_gstobjectz00, BgL_oz00_334); 
FAILURE(BgL_auxz00_660,BFALSE,BFALSE);} 
return 
BGl_z52gstzd2objectzd2refz12z40zz__gstreamer_gstobjectz00(BgL_auxz00_656);} } 

}



/* %gst-object-finalize-closures! */
BGL_EXPORTED_DEF obj_t BGl_z52gstzd2objectzd2finaliza7ezd2closuresz12z35zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt BgL_oz00_12)
{
{ /* Llib/gstobject.scm 161 */
{ /* Llib/gstobject.scm 163 */
obj_t BgL_g1072z00_57;
BgL_g1072z00_57 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_oz00_12))->BgL_z52closuresz52); 
{ 
obj_t BgL_l1070z00_59;
{ /* Llib/gstobject.scm 163 */
bool_t BgL_tmpz00_666;
BgL_l1070z00_59 = BgL_g1072z00_57; 
BgL_zc3z04anonymousza31105ze3z87_60:
if(
PAIRP(BgL_l1070z00_59))
{ /* Llib/gstobject.scm 163 */
bgl_closure_gcunmark(
CAR(BgL_l1070z00_59)); 
{ 
obj_t BgL_l1070z00_671;
BgL_l1070z00_671 = 
CDR(BgL_l1070z00_59); 
BgL_l1070z00_59 = BgL_l1070z00_671; 
goto BgL_zc3z04anonymousza31105ze3z87_60;} }  else 
{ /* Llib/gstobject.scm 163 */
BgL_tmpz00_666 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_666);} } } } 

}



/* &%gst-object-finalize-closures! */
obj_t BGl_z62z52gstzd2objectzd2finaliza7ezd2closuresz12z57zz__gstreamer_gstobjectz00(obj_t BgL_envz00_335, obj_t BgL_oz00_336)
{
{ /* Llib/gstobject.scm 161 */
{ /* Llib/gstobject.scm 162 */
BgL_gstzd2objectzd2_bglt BgL_auxz00_674;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_336, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00))
{ /* Llib/gstobject.scm 162 */
BgL_auxz00_674 = 
((BgL_gstzd2objectzd2_bglt)BgL_oz00_336)
; }  else 
{ 
obj_t BgL_auxz00_678;
BgL_auxz00_678 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1408z00zz__gstreamer_gstobjectz00, 
BINT(((long)7489)), BGl_string1416z00zz__gstreamer_gstobjectz00, BGl_string1410z00zz__gstreamer_gstobjectz00, BgL_oz00_336); 
FAILURE(BgL_auxz00_678,BFALSE,BFALSE);} 
return 
BGl_z52gstzd2objectzd2finaliza7ezd2closuresz12z35zz__gstreamer_gstobjectz00(BgL_auxz00_674);} } 

}



/* %gst-object-finalize! */
BGL_EXPORTED_DEF obj_t BGl_z52gstzd2objectzd2finaliza7ez12ze7zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt BgL_oz00_13)
{
{ /* Llib/gstobject.scm 168 */
{ /* Llib/gstobject.scm 169 */
bool_t BgL_test1584z00_683;
{ /* Llib/gstobject.scm 169 */
int BgL_arg1116z00_68;
BgL_arg1116z00_68 = 
bgl_debug(); 
BgL_test1584z00_683 = 
(
(long)(BgL_arg1116z00_68)>((long)4)); } 
if(BgL_test1584z00_683)
{ /* Llib/gstobject.scm 169 */
BGl_z52gstzd2objectzd2finaliza7ezd2debugz27zz__gstreamer_gstobjectz00(
((obj_t)BgL_oz00_13)); }  else 
{ /* Llib/gstobject.scm 169 */BFALSE; } } 
BGl_z52gstzd2objectzd2finaliza7ezd2closuresz12z35zz__gstreamer_gstobjectz00(BgL_oz00_13); 
{ /* Llib/gstobject.scm 149 */
GstObject * BgL_arg1103z00_239;
BgL_arg1103z00_239 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_oz00_13))->BgL_z42builtinz42); 
gst_object_unref(BgL_arg1103z00_239); 
return BUNSPEC;} } 

}



/* &%gst-object-finalize! */
obj_t BGl_z62z52gstzd2objectzd2finaliza7ez12z85zz__gstreamer_gstobjectz00(obj_t BgL_envz00_337, obj_t BgL_oz00_338)
{
{ /* Llib/gstobject.scm 168 */
{ /* Llib/gstobject.scm 169 */
BgL_gstzd2objectzd2_bglt BgL_auxz00_692;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_338, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00))
{ /* Llib/gstobject.scm 169 */
BgL_auxz00_692 = 
((BgL_gstzd2objectzd2_bglt)BgL_oz00_338)
; }  else 
{ 
obj_t BgL_auxz00_696;
BgL_auxz00_696 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1408z00zz__gstreamer_gstobjectz00, 
BINT(((long)7908)), BGl_string1417z00zz__gstreamer_gstobjectz00, BGl_string1410z00zz__gstreamer_gstobjectz00, BgL_oz00_338); 
FAILURE(BgL_auxz00_696,BFALSE,BFALSE);} 
return 
BGl_z52gstzd2objectzd2finaliza7ez12ze7zz__gstreamer_gstobjectz00(BgL_auxz00_692);} } 

}



/* gst-object-property-list */
BGL_EXPORTED_DEF obj_t BGl_gstzd2objectzd2propertyzd2listzd2zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt BgL_oz00_14)
{
{ /* Llib/gstobject.scm 176 */
{ /* Llib/gstobject.scm 178 */
GstObject * BgL_tmpz00_701;
BgL_tmpz00_701 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_oz00_14))->BgL_z42builtinz42); 
return 
bgl_gst_object_property_list(BgL_tmpz00_701);} } 

}



/* &gst-object-property-list */
obj_t BGl_z62gstzd2objectzd2propertyzd2listzb0zz__gstreamer_gstobjectz00(obj_t BgL_envz00_339, obj_t BgL_oz00_340)
{
{ /* Llib/gstobject.scm 176 */
{ /* Llib/gstobject.scm 177 */
BgL_gstzd2objectzd2_bglt BgL_auxz00_704;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_340, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00))
{ /* Llib/gstobject.scm 177 */
BgL_auxz00_704 = 
((BgL_gstzd2objectzd2_bglt)BgL_oz00_340)
; }  else 
{ 
obj_t BgL_auxz00_708;
BgL_auxz00_708 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1408z00zz__gstreamer_gstobjectz00, 
BINT(((long)8250)), BGl_string1418z00zz__gstreamer_gstobjectz00, BGl_string1410z00zz__gstreamer_gstobjectz00, BgL_oz00_340); 
FAILURE(BgL_auxz00_708,BFALSE,BFALSE);} 
return 
BGl_gstzd2objectzd2propertyzd2listzd2zz__gstreamer_gstobjectz00(BgL_auxz00_704);} } 

}



/* gst-object-property */
BGL_EXPORTED_DEF obj_t BGl_gstzd2objectzd2propertyz00zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt BgL_oz00_15, obj_t BgL_propz00_16)
{
{ /* Llib/gstobject.scm 183 */
{ /* Llib/gstobject.scm 185 */
GstObject * BgL_arg1132z00_243;obj_t BgL_arg1133z00_244;
BgL_arg1132z00_243 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_oz00_15))->BgL_z42builtinz42); 
{ /* Llib/gstobject.scm 185 */
obj_t BgL_res1349z00_246;
BgL_res1349z00_246 = 
KEYWORD_TO_STRING(BgL_propz00_16); 
BgL_arg1133z00_244 = BgL_res1349z00_246; } 
{ /* Llib/gstobject.scm 185 */
char * BgL_tmpz00_715;
BgL_tmpz00_715 = 
BSTRING_TO_STRING(BgL_arg1133z00_244); 
return 
bgl_gst_object_get_property(BgL_arg1132z00_243, BgL_tmpz00_715);} } } 

}



/* &gst-object-property */
obj_t BGl_z62gstzd2objectzd2propertyz62zz__gstreamer_gstobjectz00(obj_t BgL_envz00_341, obj_t BgL_oz00_342, obj_t BgL_propz00_343)
{
{ /* Llib/gstobject.scm 183 */
{ /* Llib/gstobject.scm 184 */
obj_t BgL_auxz00_726;BgL_gstzd2objectzd2_bglt BgL_auxz00_718;
if(
KEYWORDP(BgL_propz00_343))
{ /* Llib/gstobject.scm 184 */
BgL_auxz00_726 = BgL_propz00_343
; }  else 
{ 
obj_t BgL_auxz00_729;
BgL_auxz00_729 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1408z00zz__gstreamer_gstobjectz00, 
BINT(((long)8605)), BGl_string1419z00zz__gstreamer_gstobjectz00, BGl_string1420z00zz__gstreamer_gstobjectz00, BgL_propz00_343); 
FAILURE(BgL_auxz00_729,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_342, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00))
{ /* Llib/gstobject.scm 184 */
BgL_auxz00_718 = 
((BgL_gstzd2objectzd2_bglt)BgL_oz00_342)
; }  else 
{ 
obj_t BgL_auxz00_722;
BgL_auxz00_722 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1408z00zz__gstreamer_gstobjectz00, 
BINT(((long)8605)), BGl_string1419z00zz__gstreamer_gstobjectz00, BGl_string1410z00zz__gstreamer_gstobjectz00, BgL_oz00_342); 
FAILURE(BgL_auxz00_722,BFALSE,BFALSE);} 
return 
BGl_gstzd2objectzd2propertyz00zz__gstreamer_gstobjectz00(BgL_auxz00_718, BgL_auxz00_726);} } 

}



/* gst-object-property-set! */
BGL_EXPORTED_DEF obj_t BGl_gstzd2objectzd2propertyzd2setz12zc0zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt BgL_oz00_17, obj_t BgL_propz00_18, obj_t BgL_valz00_19)
{
{ /* Llib/gstobject.scm 190 */
{ /* Llib/gstobject.scm 192 */
GstObject * BgL_arg1134z00_248;obj_t BgL_arg1136z00_249;
BgL_arg1134z00_248 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_oz00_17))->BgL_z42builtinz42); 
{ /* Llib/gstobject.scm 192 */
obj_t BgL_res1350z00_251;
BgL_res1350z00_251 = 
KEYWORD_TO_STRING(BgL_propz00_18); 
BgL_arg1136z00_249 = BgL_res1350z00_251; } 
{ /* Llib/gstobject.scm 192 */
char * BgL_tmpz00_736;
BgL_tmpz00_736 = 
BSTRING_TO_STRING(BgL_arg1136z00_249); 
return 
bgl_gst_object_set_property(BgL_arg1134z00_248, BgL_tmpz00_736, BgL_valz00_19);} } } 

}



/* &gst-object-property-set! */
obj_t BGl_z62gstzd2objectzd2propertyzd2setz12za2zz__gstreamer_gstobjectz00(obj_t BgL_envz00_344, obj_t BgL_oz00_345, obj_t BgL_propz00_346, obj_t BgL_valz00_347)
{
{ /* Llib/gstobject.scm 190 */
{ /* Llib/gstobject.scm 191 */
obj_t BgL_auxz00_747;BgL_gstzd2objectzd2_bglt BgL_auxz00_739;
if(
KEYWORDP(BgL_propz00_346))
{ /* Llib/gstobject.scm 191 */
BgL_auxz00_747 = BgL_propz00_346
; }  else 
{ 
obj_t BgL_auxz00_750;
BgL_auxz00_750 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1408z00zz__gstreamer_gstobjectz00, 
BINT(((long)8992)), BGl_string1421z00zz__gstreamer_gstobjectz00, BGl_string1420z00zz__gstreamer_gstobjectz00, BgL_propz00_346); 
FAILURE(BgL_auxz00_750,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_345, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00))
{ /* Llib/gstobject.scm 191 */
BgL_auxz00_739 = 
((BgL_gstzd2objectzd2_bglt)BgL_oz00_345)
; }  else 
{ 
obj_t BgL_auxz00_743;
BgL_auxz00_743 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1408z00zz__gstreamer_gstobjectz00, 
BINT(((long)8992)), BGl_string1421z00zz__gstreamer_gstobjectz00, BGl_string1410z00zz__gstreamer_gstobjectz00, BgL_oz00_345); 
FAILURE(BgL_auxz00_743,BFALSE,BFALSE);} 
return 
BGl_gstzd2objectzd2propertyzd2setz12zc0zz__gstreamer_gstobjectz00(BgL_auxz00_739, BgL_auxz00_747, BgL_valz00_347);} } 

}



/* gst-object-connect! */
BGL_EXPORTED_DEF obj_t BGl_gstzd2objectzd2connectz12z12zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt BgL_elz00_20, obj_t BgL_namez00_21, obj_t BgL_procz00_22)
{
{ /* Llib/gstobject.scm 197 */
{ 
obj_t BgL_auxz00_755;
{ /* Llib/gstobject.scm 199 */
obj_t BgL_arg1137z00_253;
BgL_arg1137z00_253 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_elz00_20))->BgL_z52closuresz52); 
BgL_auxz00_755 = 
MAKE_YOUNG_PAIR(BgL_procz00_22, BgL_arg1137z00_253); } 
((((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_elz00_20))->BgL_z52closuresz52)=((obj_t)BgL_auxz00_755),BUNSPEC); } 
bgl_closure_gcmark(BgL_procz00_22); 
{ /* Llib/gstobject.scm 201 */
char * BgL_auxz00_762;GstObject * BgL_tmpz00_760;
BgL_auxz00_762 = 
BSTRING_TO_STRING(BgL_namez00_21); 
BgL_tmpz00_760 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_elz00_20))->BgL_z42builtinz42); 
return 
bgl_gst_object_connect(BgL_tmpz00_760, BgL_auxz00_762, BgL_procz00_22);} } 

}



/* &gst-object-connect! */
obj_t BGl_z62gstzd2objectzd2connectz12z70zz__gstreamer_gstobjectz00(obj_t BgL_envz00_348, obj_t BgL_elz00_349, obj_t BgL_namez00_350, obj_t BgL_procz00_351)
{
{ /* Llib/gstobject.scm 197 */
{ /* Llib/gstobject.scm 198 */
obj_t BgL_auxz00_780;obj_t BgL_auxz00_773;BgL_gstzd2objectzd2_bglt BgL_auxz00_765;
if(
PROCEDUREP(BgL_procz00_351))
{ /* Llib/gstobject.scm 198 */
BgL_auxz00_780 = BgL_procz00_351
; }  else 
{ 
obj_t BgL_auxz00_783;
BgL_auxz00_783 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1408z00zz__gstreamer_gstobjectz00, 
BINT(((long)9372)), BGl_string1422z00zz__gstreamer_gstobjectz00, BGl_string1424z00zz__gstreamer_gstobjectz00, BgL_procz00_351); 
FAILURE(BgL_auxz00_783,BFALSE,BFALSE);} 
if(
STRINGP(BgL_namez00_350))
{ /* Llib/gstobject.scm 198 */
BgL_auxz00_773 = BgL_namez00_350
; }  else 
{ 
obj_t BgL_auxz00_776;
BgL_auxz00_776 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1408z00zz__gstreamer_gstobjectz00, 
BINT(((long)9372)), BGl_string1422z00zz__gstreamer_gstobjectz00, BGl_string1423z00zz__gstreamer_gstobjectz00, BgL_namez00_350); 
FAILURE(BgL_auxz00_776,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_elz00_349, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00))
{ /* Llib/gstobject.scm 198 */
BgL_auxz00_765 = 
((BgL_gstzd2objectzd2_bglt)BgL_elz00_349)
; }  else 
{ 
obj_t BgL_auxz00_769;
BgL_auxz00_769 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1408z00zz__gstreamer_gstobjectz00, 
BINT(((long)9372)), BGl_string1422z00zz__gstreamer_gstobjectz00, BGl_string1410z00zz__gstreamer_gstobjectz00, BgL_elz00_349); 
FAILURE(BgL_auxz00_769,BFALSE,BFALSE);} 
return 
BGl_gstzd2objectzd2connectz12z12zz__gstreamer_gstobjectz00(BgL_auxz00_765, BgL_auxz00_773, BgL_auxz00_780);} } 

}



/* closure-gcmark! */
BGL_EXPORTED_DEF obj_t bgl_closure_gcmark(obj_t BgL_procz00_23)
{
{ /* Llib/gstobject.scm 216 */
{ /* Llib/gstobject.scm 217 */
obj_t BgL_top1596z00_789;
BgL_top1596z00_789 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2gcmarkzd2mutexza2zd2zz__gstreamer_gstobjectz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1596z00_789, BGl_za2gcmarkzd2mutexza2zd2zz__gstreamer_gstobjectz00); BUNSPEC; 
{ /* Llib/gstobject.scm 217 */
obj_t BgL_tmp1595z00_788;
BGl_za2gcmarkzd2closureza2zd2zz__gstreamer_gstobjectz00 = 
MAKE_YOUNG_PAIR(BgL_procz00_23, BGl_za2gcmarkzd2closureza2zd2zz__gstreamer_gstobjectz00); 
{ /* Llib/gstobject.scm 219 */
bool_t BgL_test1597z00_794;
{ /* Llib/gstobject.scm 219 */
int BgL_arg1152z00_92;
BgL_arg1152z00_92 = 
bgl_debug(); 
BgL_test1597z00_794 = 
(
(long)(BgL_arg1152z00_92)>((long)4)); } 
if(BgL_test1597z00_794)
{ /* Llib/gstobject.scm 220 */
obj_t BgL_top1599z00_799;
BgL_top1599z00_799 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1599z00_799, BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); BUNSPEC; 
{ /* Llib/gstobject.scm 220 */
obj_t BgL_tmp1598z00_798;
{ /* Llib/gstobject.scm 221 */
obj_t BgL_arg1143z00_84;long BgL_arg1144z00_85;
{ /* Llib/gstobject.scm 221 */
obj_t BgL_res1351z00_256;
{ /* Llib/gstobject.scm 221 */
obj_t BgL_tmpz00_803;
BgL_tmpz00_803 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res1351z00_256 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_803); } 
BgL_arg1143z00_84 = BgL_res1351z00_256; } 
BgL_arg1144z00_85 = 
bgl_list_length(BGl_za2gcmarkzd2closureza2zd2zz__gstreamer_gstobjectz00); 
{ /* Llib/gstobject.scm 221 */
obj_t BgL_list1145z00_86;
{ /* Llib/gstobject.scm 221 */
obj_t BgL_arg1146z00_87;
{ /* Llib/gstobject.scm 221 */
obj_t BgL_arg1147z00_88;
{ /* Llib/gstobject.scm 221 */
obj_t BgL_arg1148z00_89;
{ /* Llib/gstobject.scm 221 */
obj_t BgL_arg1149z00_90;
{ /* Llib/gstobject.scm 221 */
obj_t BgL_arg1151z00_91;
BgL_arg1151z00_91 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1144z00_85), BNIL); 
BgL_arg1149z00_90 = 
MAKE_YOUNG_PAIR(BGl_string1425z00zz__gstreamer_gstobjectz00, BgL_arg1151z00_91); } 
BgL_arg1148z00_89 = 
MAKE_YOUNG_PAIR(BGl_string1426z00zz__gstreamer_gstobjectz00, BgL_arg1149z00_90); } 
BgL_arg1147z00_88 = 
MAKE_YOUNG_PAIR(
BINT(((long)221)), BgL_arg1148z00_89); } 
BgL_arg1146z00_87 = 
MAKE_YOUNG_PAIR(BGl_string1427z00zz__gstreamer_gstobjectz00, BgL_arg1147z00_88); } 
BgL_list1145z00_86 = 
MAKE_YOUNG_PAIR(BGl_string1407z00zz__gstreamer_gstobjectz00, BgL_arg1146z00_87); } 
BgL_tmp1598z00_798 = 
BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1143z00_84, BgL_list1145z00_86); } } 
BGL_EXITD_POP_PROTECT(BgL_top1599z00_799); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); 
BgL_tmp1595z00_788 = BgL_tmp1598z00_798; } }  else 
{ /* Llib/gstobject.scm 219 */
BgL_tmp1595z00_788 = BFALSE; } } 
BGL_EXITD_POP_PROTECT(BgL_top1596z00_789); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2gcmarkzd2mutexza2zd2zz__gstreamer_gstobjectz00); 
return BgL_tmp1595z00_788;} } } 

}



/* &closure-gcmark! */
obj_t BGl_z62closurezd2gcmarkz12za2zz__gstreamer_gstobjectz00(obj_t BgL_envz00_352, obj_t BgL_procz00_353)
{
{ /* Llib/gstobject.scm 216 */
{ /* Llib/gstobject.scm 217 */
obj_t BgL_auxz00_820;
if(
PROCEDUREP(BgL_procz00_353))
{ /* Llib/gstobject.scm 217 */
BgL_auxz00_820 = BgL_procz00_353
; }  else 
{ 
obj_t BgL_auxz00_823;
BgL_auxz00_823 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1408z00zz__gstreamer_gstobjectz00, 
BINT(((long)10315)), BGl_string1428z00zz__gstreamer_gstobjectz00, BGl_string1424z00zz__gstreamer_gstobjectz00, BgL_procz00_353); 
FAILURE(BgL_auxz00_823,BFALSE,BFALSE);} 
return 
bgl_closure_gcmark(BgL_auxz00_820);} } 

}



/* closure-gcunmark! */
BGL_EXPORTED_DEF obj_t bgl_closure_gcunmark(obj_t BgL_procz00_24)
{
{ /* Llib/gstobject.scm 226 */
{ /* Llib/gstobject.scm 227 */
obj_t BgL_top1602z00_829;
BgL_top1602z00_829 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2gcmarkzd2mutexza2zd2zz__gstreamer_gstobjectz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1602z00_829, BGl_za2gcmarkzd2mutexza2zd2zz__gstreamer_gstobjectz00); BUNSPEC; 
{ /* Llib/gstobject.scm 227 */
obj_t BgL_tmp1601z00_828;
BGl_za2gcmarkzd2closureza2zd2zz__gstreamer_gstobjectz00 = 
bgl_remq_bang(BgL_procz00_24, BGl_za2gcmarkzd2closureza2zd2zz__gstreamer_gstobjectz00); 
{ /* Llib/gstobject.scm 229 */
bool_t BgL_test1603z00_834;
{ /* Llib/gstobject.scm 229 */
int BgL_arg1171z00_105;
BgL_arg1171z00_105 = 
bgl_debug(); 
BgL_test1603z00_834 = 
(
(long)(BgL_arg1171z00_105)>((long)4)); } 
if(BgL_test1603z00_834)
{ /* Llib/gstobject.scm 230 */
obj_t BgL_top1605z00_839;
BgL_top1605z00_839 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1605z00_839, BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); BUNSPEC; 
{ /* Llib/gstobject.scm 230 */
obj_t BgL_tmp1604z00_838;
{ /* Llib/gstobject.scm 231 */
obj_t BgL_arg1161z00_97;long BgL_arg1162z00_98;
{ /* Llib/gstobject.scm 231 */
obj_t BgL_res1352z00_258;
{ /* Llib/gstobject.scm 231 */
obj_t BgL_tmpz00_843;
BgL_tmpz00_843 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res1352z00_258 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_843); } 
BgL_arg1161z00_97 = BgL_res1352z00_258; } 
BgL_arg1162z00_98 = 
bgl_list_length(BGl_za2gcmarkzd2closureza2zd2zz__gstreamer_gstobjectz00); 
{ /* Llib/gstobject.scm 231 */
obj_t BgL_list1163z00_99;
{ /* Llib/gstobject.scm 231 */
obj_t BgL_arg1165z00_100;
{ /* Llib/gstobject.scm 231 */
obj_t BgL_arg1166z00_101;
{ /* Llib/gstobject.scm 231 */
obj_t BgL_arg1167z00_102;
{ /* Llib/gstobject.scm 231 */
obj_t BgL_arg1169z00_103;
{ /* Llib/gstobject.scm 231 */
obj_t BgL_arg1170z00_104;
BgL_arg1170z00_104 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1162z00_98), BNIL); 
BgL_arg1169z00_103 = 
MAKE_YOUNG_PAIR(BGl_string1429z00zz__gstreamer_gstobjectz00, BgL_arg1170z00_104); } 
BgL_arg1167z00_102 = 
MAKE_YOUNG_PAIR(BGl_string1426z00zz__gstreamer_gstobjectz00, BgL_arg1169z00_103); } 
BgL_arg1166z00_101 = 
MAKE_YOUNG_PAIR(
BINT(((long)231)), BgL_arg1167z00_102); } 
BgL_arg1165z00_100 = 
MAKE_YOUNG_PAIR(BGl_string1427z00zz__gstreamer_gstobjectz00, BgL_arg1166z00_101); } 
BgL_list1163z00_99 = 
MAKE_YOUNG_PAIR(BGl_string1407z00zz__gstreamer_gstobjectz00, BgL_arg1165z00_100); } 
BgL_tmp1604z00_838 = 
BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1161z00_97, BgL_list1163z00_99); } } 
BGL_EXITD_POP_PROTECT(BgL_top1605z00_839); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); 
BgL_tmp1601z00_828 = BgL_tmp1604z00_838; } }  else 
{ /* Llib/gstobject.scm 229 */
BgL_tmp1601z00_828 = BFALSE; } } 
BGL_EXITD_POP_PROTECT(BgL_top1602z00_829); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2gcmarkzd2mutexza2zd2zz__gstreamer_gstobjectz00); 
return BgL_tmp1601z00_828;} } } 

}



/* &closure-gcunmark! */
obj_t BGl_z62closurezd2gcunmarkz12za2zz__gstreamer_gstobjectz00(obj_t BgL_envz00_354, obj_t BgL_procz00_355)
{
{ /* Llib/gstobject.scm 226 */
{ /* Llib/gstobject.scm 227 */
obj_t BgL_auxz00_860;
if(
PROCEDUREP(BgL_procz00_355))
{ /* Llib/gstobject.scm 227 */
BgL_auxz00_860 = BgL_procz00_355
; }  else 
{ 
obj_t BgL_auxz00_863;
BgL_auxz00_863 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1408z00zz__gstreamer_gstobjectz00, 
BINT(((long)10813)), BGl_string1430z00zz__gstreamer_gstobjectz00, BGl_string1424z00zz__gstreamer_gstobjectz00, BgL_procz00_355); 
FAILURE(BgL_auxz00_863,BFALSE,BFALSE);} 
return 
bgl_closure_gcunmark(BgL_auxz00_860);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__gstreamer_gstobjectz00()
{
{ /* Llib/gstobject.scm 15 */
{ /* Llib/gstobject.scm 23 */
obj_t BgL_arg1175z00_109;obj_t BgL_arg1179z00_110;
{ /* Llib/gstobject.scm 23 */
obj_t BgL_v1073z00_116;
BgL_v1073z00_116 = 
create_vector(((long)3)); 
{ /* Llib/gstobject.scm 23 */
obj_t BgL_arg1194z00_117;
BgL_arg1194z00_117 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)1)), BGl_proc1433z00zz__gstreamer_gstobjectz00, BGl_proc1432z00zz__gstreamer_gstobjectz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1431z00zz__gstreamer_gstobjectz00, 
CNST_TABLE_REF(((long)2))); 
VECTOR_SET(BgL_v1073z00_116,((long)0),BgL_arg1194z00_117); } 
{ /* Llib/gstobject.scm 23 */
obj_t BgL_arg1201z00_130;
BgL_arg1201z00_130 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc1436z00zz__gstreamer_gstobjectz00, BGl_proc1435z00zz__gstreamer_gstobjectz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1434z00zz__gstreamer_gstobjectz00, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1073z00_116,((long)1),BgL_arg1201z00_130); } 
{ /* Llib/gstobject.scm 23 */
obj_t BgL_arg1208z00_143;
BgL_arg1208z00_143 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc1439z00zz__gstreamer_gstobjectz00, BGl_proc1438z00zz__gstreamer_gstobjectz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1437z00zz__gstreamer_gstobjectz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1073z00_116,((long)2),BgL_arg1208z00_143); } 
BgL_arg1175z00_109 = BgL_v1073z00_116; } 
{ /* Llib/gstobject.scm 23 */
obj_t BgL_v1074z00_156;
BgL_v1074z00_156 = 
create_vector(((long)0)); 
BgL_arg1179z00_110 = BgL_v1074z00_156; } 
return ( 
BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)7)), 
CNST_TABLE_REF(((long)8)), BGl_objectz00zz__objectz00, ((long)29379), BFALSE, BGl_proc1441z00zz__gstreamer_gstobjectz00, BGl_z52gstzd2objectzd2initzd2envz80zz__gstreamer_gstobjectz00, BGl_proc1440z00zz__gstreamer_gstobjectz00, BFALSE, BgL_arg1175z00_109, BgL_arg1179z00_110), BUNSPEC) ;} } 

}



/* &<@anonymous:1183> */
obj_t BGl_z62zc3z04anonymousza31183ze3ze5zz__gstreamer_gstobjectz00(obj_t BgL_envz00_367, obj_t BgL_new1056z00_368)
{
{ /* Llib/gstobject.scm 23 */
{ 
BgL_gstzd2objectzd2_bglt BgL_auxz00_885;
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1056z00_368)))->BgL_z42builtinz42)=((GstObject *)
0L),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1056z00_368)))->BgL_z42finaliza7erze5)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1056z00_368)))->BgL_z52closuresz52)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_885 = 
((BgL_gstzd2objectzd2_bglt)BgL_new1056z00_368); 
return 
((obj_t)BgL_auxz00_885);} } 

}



/* &lambda1180 */
BgL_gstzd2objectzd2_bglt BGl_z62lambda1180z62zz__gstreamer_gstobjectz00(obj_t BgL_envz00_369)
{
{ /* Llib/gstobject.scm 23 */
{ /* Llib/gstobject.scm 23 */
BgL_gstzd2objectzd2_bglt BgL_new1055z00_474;
BgL_new1055z00_474 = 
((BgL_gstzd2objectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2objectzd2_bgl) ))); 
{ /* Llib/gstobject.scm 23 */
long BgL_arg1182z00_475;
{ /* Llib/gstobject.scm 23 */
long BgL_res1354z00_476;
BgL_res1354z00_476 = 
BGL_CLASS_INDEX(BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00); 
BgL_arg1182z00_475 = BgL_res1354z00_476; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1055z00_474), BgL_arg1182z00_475); } 
return BgL_new1055z00_474;} } 

}



/* &<@anonymous:1215> */
obj_t BGl_z62zc3z04anonymousza31215ze3ze5zz__gstreamer_gstobjectz00(obj_t BgL_envz00_370)
{
{ /* Llib/gstobject.scm 23 */
return BNIL;} 

}



/* &lambda1214 */
obj_t BGl_z62lambda1214z62zz__gstreamer_gstobjectz00(obj_t BgL_envz00_371, obj_t BgL_oz00_372, obj_t BgL_vz00_373)
{
{ /* Llib/gstobject.scm 23 */
return 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_372)))->BgL_z52closuresz52)=((obj_t)
((obj_t)BgL_vz00_373)),BUNSPEC);} 

}



/* &lambda1213 */
obj_t BGl_z62lambda1213z62zz__gstreamer_gstobjectz00(obj_t BgL_envz00_374, obj_t BgL_oz00_375)
{
{ /* Llib/gstobject.scm 23 */
return 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_375)))->BgL_z52closuresz52);} 

}



/* &<@anonymous:1207> */
obj_t BGl_z62zc3z04anonymousza31207ze3ze5zz__gstreamer_gstobjectz00(obj_t BgL_envz00_376)
{
{ /* Llib/gstobject.scm 23 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1206 */
obj_t BGl_z62lambda1206z62zz__gstreamer_gstobjectz00(obj_t BgL_envz00_377, obj_t BgL_oz00_378, obj_t BgL_vz00_379)
{
{ /* Llib/gstobject.scm 23 */
return 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_378)))->BgL_z42finaliza7erze5)=((obj_t)BgL_vz00_379),BUNSPEC);} 

}



/* &lambda1205 */
obj_t BGl_z62lambda1205z62zz__gstreamer_gstobjectz00(obj_t BgL_envz00_380, obj_t BgL_oz00_381)
{
{ /* Llib/gstobject.scm 23 */
return 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_381)))->BgL_z42finaliza7erze5);} 

}



/* &<@anonymous:1200> */
obj_t BGl_z62zc3z04anonymousza31200ze3ze5zz__gstreamer_gstobjectz00(obj_t BgL_envz00_382)
{
{ /* Llib/gstobject.scm 23 */
{ /* Llib/gstobject.scm 25 */
void * BgL_tmpz00_909;
{ /* Llib/gstobject.scm 25 */
GstObject * BgL_res1353z00_482;
BgL_res1353z00_482 = 
(0L); 
BgL_tmpz00_909 = BgL_res1353z00_482; } 
return 
void_star_to_obj(BgL_tmpz00_909);} } 

}



/* &lambda1199 */
obj_t BGl_z62lambda1199z62zz__gstreamer_gstobjectz00(obj_t BgL_envz00_383, obj_t BgL_oz00_384, obj_t BgL_vz00_385)
{
{ /* Llib/gstobject.scm 23 */
{ /* Llib/gstobject.scm 23 */
GstObject * BgL_vz00_484;
BgL_vz00_484 = 
FOREIGN_TO_COBJ(BgL_vz00_385); 
return 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_384)))->BgL_z42builtinz42)=((GstObject *)BgL_vz00_484),BUNSPEC);} } 

}



/* &lambda1198 */
obj_t BGl_z62lambda1198z62zz__gstreamer_gstobjectz00(obj_t BgL_envz00_386, obj_t BgL_oz00_387)
{
{ /* Llib/gstobject.scm 23 */
return 
void_star_to_obj(
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_387)))->BgL_z42builtinz42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__gstreamer_gstobjectz00()
{
{ /* Llib/gstobject.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_z52gstzd2objectzd2initzd2envz80zz__gstreamer_gstobjectz00, BGl_proc1442z00zz__gstreamer_gstobjectz00, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00, BGl_string1443z00zz__gstreamer_gstobjectz00);} 

}



/* &%gst-object-init1075 */
obj_t BGl_z62z52gstzd2objectzd2init1075z30zz__gstreamer_gstobjectz00(obj_t BgL_envz00_391, obj_t BgL_oz00_392)
{
{ /* Llib/gstobject.scm 115 */
{ 
BgL_gstzd2objectzd2_bglt BgL_auxz00_919;
{ /* Llib/gstobject.scm 117 */
bool_t BgL_test1607z00_920;
{ /* Llib/gstobject.scm 117 */
GstObject * BgL_tmpz00_921;
BgL_tmpz00_921 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_392)))->BgL_z42builtinz42); 
BgL_test1607z00_920 = 
(bool_t)!(BgL_tmpz00_921); } 
if(BgL_test1607z00_920)
{ /* Llib/gstobject.scm 118 */
BgL_z62gstzd2createzd2errorz62_bglt BgL_arg1233z00_489;
{ /* Llib/gstobject.scm 118 */
BgL_z62gstzd2createzd2errorz62_bglt BgL_new1061z00_490;
{ /* Llib/gstobject.scm 118 */
BgL_z62gstzd2createzd2errorz62_bglt BgL_new1059z00_491;
BgL_new1059z00_491 = 
((BgL_z62gstzd2createzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62gstzd2createzd2errorz62_bgl) ))); 
{ /* Llib/gstobject.scm 118 */
long BgL_arg1265z00_492;
{ /* Llib/gstobject.scm 118 */
long BgL_res1355z00_493;
BgL_res1355z00_493 = 
BGL_CLASS_INDEX(BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00); 
BgL_arg1265z00_492 = BgL_res1355z00_493; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1059z00_491), BgL_arg1265z00_492); } 
BgL_new1061z00_490 = BgL_new1059z00_491; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_490)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_490)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_933;
{ /* Llib/gstobject.scm 118 */
obj_t BgL_arg1258z00_494;
{ /* Llib/gstobject.scm 118 */
obj_t BgL_arg1259z00_495;
{ /* Llib/gstobject.scm 118 */
obj_t BgL_res1356z00_496;
{ /* Llib/gstobject.scm 118 */
obj_t BgL_classz00_497;
BgL_classz00_497 = BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00; 
BgL_res1356z00_496 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_497); } 
BgL_arg1259z00_495 = BgL_res1356z00_496; } 
BgL_arg1258z00_494 = 
VECTOR_REF(BgL_arg1259z00_495,((long)2)); } 
BgL_auxz00_933 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1258z00_494); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_490)))->BgL_stackz00)=((obj_t)BgL_auxz00_933),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1061z00_490)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)9))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1061z00_490)))->BgL_msgz00)=((obj_t)BGl_string1444z00zz__gstreamer_gstobjectz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1061z00_490)))->BgL_objz00)=((obj_t)
((obj_t)
((BgL_gstzd2objectzd2_bglt)BgL_oz00_392))),BUNSPEC); 
BgL_arg1233z00_489 = BgL_new1061z00_490; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1233z00_489)); }  else 
{ /* Llib/gstobject.scm 117 */BFALSE; } } 
{ /* Llib/gstobject.scm 122 */
bool_t BgL_test1609z00_950;
{ /* Llib/gstobject.scm 122 */
int BgL_arg1281z00_498;
BgL_arg1281z00_498 = 
bgl_debug(); 
BgL_test1609z00_950 = 
(
(long)(BgL_arg1281z00_498)>((long)4)); } 
if(BgL_test1609z00_950)
{ /* Llib/gstobject.scm 122 */
BGl_z52gstzd2objectzd2initzd2debugz80zz__gstreamer_gstobjectz00(
((obj_t)
((BgL_gstzd2objectzd2_bglt)BgL_oz00_392))); }  else 
{ /* Llib/gstobject.scm 122 */BFALSE; } } 
{ /* Llib/gstobject.scm 124 */
bool_t BgL_test1610z00_957;
{ /* Llib/gstobject.scm 124 */
obj_t BgL_tmpz00_958;
BgL_tmpz00_958 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_392)))->BgL_z42finaliza7erze5); 
BgL_test1610z00_957 = 
PROCEDUREP(BgL_tmpz00_958); } 
if(BgL_test1610z00_957)
{ /* Llib/gstobject.scm 126 */
obj_t BgL_arg1300z00_501;
BgL_arg1300z00_501 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_392)))->BgL_z42finaliza7erze5); 
bgl_gst_add_finalizer(
((obj_t)
((BgL_gstzd2objectzd2_bglt)BgL_oz00_392)), BgL_arg1300z00_501); BUNSPEC; }  else 
{ /* Llib/gstobject.scm 124 */
if(
CBOOL(
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_392)))->BgL_z42finaliza7erze5)))
{ /* Llib/gstobject.scm 127 */
bgl_gst_add_finalizer(
((obj_t)
((BgL_gstzd2objectzd2_bglt)BgL_oz00_392)), BGl_z52gstzd2objectzd2finaliza7ez12zd2envz35zz__gstreamer_gstobjectz00); BUNSPEC; }  else 
{ /* Llib/gstobject.scm 127 */BFALSE; } } } 
BgL_auxz00_919 = 
((BgL_gstzd2objectzd2_bglt)BgL_oz00_392); 
return 
((obj_t)BgL_auxz00_919);} } 

}



/* %gst-object-init */
BGL_EXPORTED_DEF obj_t BGl_z52gstzd2objectzd2initz52zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt BgL_oz00_7)
{
{ /* Llib/gstobject.scm 115 */
{ /* Llib/gstobject.scm 115 */
obj_t BgL_method1076z00_183;
{ /* Llib/gstobject.scm 115 */
obj_t BgL_res1368z00_311;
{ /* Llib/gstobject.scm 115 */
long BgL_objzd2classzd2numz00_276;
{ /* Llib/gstobject.scm 115 */
long BgL_res1358z00_279;
BgL_res1358z00_279 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_7)); 
BgL_objzd2classzd2numz00_276 = BgL_res1358z00_279; } 
{ /* Llib/gstobject.scm 115 */
obj_t BgL_arg1741z00_277;
BgL_arg1741z00_277 = 
PROCEDURE_REF(BGl_z52gstzd2objectzd2initzd2envz80zz__gstreamer_gstobjectz00, 
(int)(((long)1))); 
{ /* Llib/gstobject.scm 115 */
int BgL_offsetz00_281;
BgL_offsetz00_281 = 
(int)(BgL_objzd2classzd2numz00_276); 
{ /* Llib/gstobject.scm 115 */
long BgL_offsetz00_282;
BgL_offsetz00_282 = 
(
(long)(BgL_offsetz00_281)-OBJECT_TYPE); 
{ /* Llib/gstobject.scm 115 */
long BgL_modz00_283;
BgL_modz00_283 = 
(BgL_offsetz00_282 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/gstobject.scm 115 */
long BgL_restz00_285;
BgL_restz00_285 = 
(BgL_offsetz00_282 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/gstobject.scm 115 */

{ /* Llib/gstobject.scm 115 */
obj_t BgL_bucketz00_287;
BgL_bucketz00_287 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_277),BgL_modz00_283); 
BgL_res1368z00_311 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_287),BgL_restz00_285); } } } } } } } } 
BgL_method1076z00_183 = BgL_res1368z00_311; } 
return 
PROCEDURE_ENTRY(BgL_method1076z00_183)(BgL_method1076z00_183, 
((obj_t)BgL_oz00_7), BEOA);} } 

}



/* &%gst-object-init */
obj_t BGl_z62z52gstzd2objectzd2initz30zz__gstreamer_gstobjectz00(obj_t BgL_envz00_388, obj_t BgL_oz00_389)
{
{ /* Llib/gstobject.scm 115 */
{ /* Llib/gstobject.scm 115 */
BgL_gstzd2objectzd2_bglt BgL_auxz00_1006;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_389, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00))
{ /* Llib/gstobject.scm 115 */
BgL_auxz00_1006 = 
((BgL_gstzd2objectzd2_bglt)BgL_oz00_389)
; }  else 
{ 
obj_t BgL_auxz00_1010;
BgL_auxz00_1010 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1408z00zz__gstreamer_gstobjectz00, 
BINT(((long)5467)), BGl_string1445z00zz__gstreamer_gstobjectz00, BGl_string1410z00zz__gstreamer_gstobjectz00, BgL_oz00_389); 
FAILURE(BgL_auxz00_1010,BFALSE,BFALSE);} 
return 
BGl_z52gstzd2objectzd2initz52zz__gstreamer_gstobjectz00(BgL_auxz00_1006);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__gstreamer_gstobjectz00()
{
{ /* Llib/gstobject.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00, BGl_proc1446z00zz__gstreamer_gstobjectz00, BGl_string1447z00zz__gstreamer_gstobjectz00);} 

}



/* &object-display-gst-o1078 */
obj_t BGl_z62objectzd2displayzd2gstzd2o1078zb0zz__gstreamer_gstobjectz00(obj_t BgL_envz00_394, obj_t BgL_oz00_395, obj_t BgL_portz00_396)
{
{ /* Llib/gstobject.scm 135 */
{ /* Llib/gstobject.scm 136 */
obj_t BgL_pz00_503;
if(
PAIRP(BgL_portz00_396))
{ /* Llib/gstobject.scm 136 */
BgL_pz00_503 = 
CAR(BgL_portz00_396); }  else 
{ /* Llib/gstobject.scm 136 */
obj_t BgL_res1370z00_504;
{ /* Llib/gstobject.scm 136 */
obj_t BgL_tmpz00_1019;
BgL_tmpz00_1019 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res1370z00_504 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1019); } 
BgL_pz00_503 = BgL_res1370z00_504; } 
{ /* Llib/gstobject.scm 137 */
obj_t BgL_tmpz00_1022;
BgL_tmpz00_1022 = 
((obj_t)BgL_pz00_503); 
bgl_display_string(BGl_string1448z00zz__gstreamer_gstobjectz00, BgL_tmpz00_1022); } 
{ /* Llib/gstobject.scm 138 */
obj_t BgL_arg1326z00_505;
BgL_arg1326z00_505 = 
bgl_find_runtime_type(
((obj_t)
((BgL_gstzd2objectzd2_bglt)BgL_oz00_395))); 
bgl_display_obj(BgL_arg1326z00_505, BgL_pz00_503); } 
{ /* Llib/gstobject.scm 139 */
obj_t BgL_tmpz00_1029;
BgL_tmpz00_1029 = 
((obj_t)BgL_pz00_503); 
bgl_display_string(BGl_string1449z00zz__gstreamer_gstobjectz00, BgL_tmpz00_1029); } 
{ /* Llib/gstobject.scm 141 */
int BgL_arg1330z00_506;
{ /* Llib/gstobject.scm 141 */
GstObject * BgL_tmpz00_1032;
BgL_tmpz00_1032 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_395)))->BgL_z42builtinz42); 
BgL_arg1330z00_506 = 
GST_OBJECT_REFCOUNT(BgL_tmpz00_1032); } 
bgl_display_obj(
BINT(BgL_arg1330z00_506), BgL_pz00_503); } 
{ /* Llib/gstobject.scm 142 */
obj_t BgL_tmpz00_1038;
BgL_tmpz00_1038 = 
((obj_t)BgL_pz00_503); 
return 
bgl_display_string(BGl_string1450z00zz__gstreamer_gstobjectz00, BgL_tmpz00_1038);} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gstobjectz00()
{
{ /* Llib/gstobject.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__gstreamer_gsterrorz00(((long)402338225), 
BSTRING_TO_STRING(BGl_string1451z00zz__gstreamer_gstobjectz00));} 

}

#ifdef __cplusplus
}
#endif
