/*===========================================================================*/
/*   (BackEnd/cplib.scm)                                                     */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 11 May 2020 12:14:39 PM CEST    */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3h -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/cplib.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


	static obj_t BGl_z62zc3z04anonymousza31668ze3ze5zzbackend_cplibz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62getzd2declaredzd2globalzd2variableszb0zzbackend_cplibz00(obj_t,
		obj_t);
	static obj_t BGl_z62widezd2ze3chunkz53zzbackend_cplibz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(BgL_typez00_bglt);
	static obj_t BGl_z62qualifiedzd2jclasszd2namez62zzbackend_cplibz00(obj_t,
		obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62globalzd2arityzb0zzbackend_cplibz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62getzd2itszd2superz62zzbackend_cplibz00(obj_t,
		obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t bigloo_module_mangle(obj_t, obj_t);
	extern obj_t BGl_getzd2objectzd2typez00zztype_cachez00();
	static obj_t BGl_objectzd2initzd2zzbackend_cplibz00();
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_cplibz00();
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00(obj_t);
	static obj_t
		BGl_z62forzd2eachzd2declaredzd2classeszb0zzbackend_cplibz00(obj_t, obj_t);
	static obj_t
		BGl_z62getzd2globalzd2variableszd2tozd2bezd2initializa7edz17zzbackend_cplibz00
		(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_qualifiedzd2realzd2tclasszd2namezd2zzbackend_cplibz00(BgL_typez00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_typezd2ze3classz31zzbackend_cplibz00(BgL_typez00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zzbackend_cplibz00();
	BGL_IMPORT obj_t bigloo_mangle(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31635ze3ze5zzbackend_cplibz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_resetzd2globalz12zc0zzbackend_cplibz00(BgL_globalz00_bglt);
	extern obj_t BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2fieldzd2typez00zzbackend_cplibz00(BgL_slotz00_bglt);
	extern obj_t BGl_getzd2classzd2listz00zzobject_classz00();
	BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	static obj_t BGl_z62getzd2declaredzd2classesz62zzbackend_cplibz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_cplibz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
		(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzbackend_cplibz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_cplibz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62qualifiedzd2wclasszd2namez62zzbackend_cplibz00(obj_t,
		obj_t);
	extern obj_t BGl_widezd2chunkzd2classzd2idzd2zzobject_classz00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_findzd2javazd2classz00zzmodule_javaz00(obj_t);
	static obj_t BGl_z62qualifiedzd2tclasszd2namez62zzbackend_cplibz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t BGl_z62setzd2variablezd2namez12z70zzbackend_cplibz00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
	static obj_t BGl_z62resetzd2globalz12za2zzbackend_cplibz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getzd2itszd2superz00zzbackend_cplibz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_forzd2eachzd2declaredzd2classeszd2zzbackend_cplibz00(obj_t);
	extern obj_t BGl_wclassz00zzobject_classz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_javaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzbackend_cplibz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cplibz00();
	extern bool_t
		BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_cplibz00();
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_z62classzd2idzd2ze3typezd2namez53zzbackend_cplibz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62qualifiedzd2typezd2namez62zzbackend_cplibz00(obj_t,
		obj_t);
	static obj_t BGl_z62getzd2fieldzd2typez62zzbackend_cplibz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_widezd2ze3chunkz31zzbackend_cplibz00(BgL_typez00_bglt);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	static obj_t BGl_z62getzd2declaredzd2fieldsz62zzbackend_cplibz00(obj_t,
		obj_t);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt);
	static BgL_globalz00_bglt BGl_z62globalzd2entryzb0zzbackend_cplibz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_classzd2idzd2ze3typezd2namez31zzbackend_cplibz00(obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_qualifiedzd2jclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	static obj_t __cnst[6];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2declaredzd2globalzd2variableszd2envz00zzbackend_cplibz00,
		BgL_bgl_za762getza7d2declare1850z00,
		BGl_z62getzd2declaredzd2globalzd2variableszb0zzbackend_cplibz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2globalz12zd2envz12zzbackend_cplibz00,
		BgL_bgl_za762resetza7d2globa1851z00,
		BGl_z62resetzd2globalz12za2zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_classzd2idzd2ze3typezd2namezd2envze3zzbackend_cplibz00,
		BgL_bgl_za762classza7d2idza7d21852za7,
		BGl_z62classzd2idzd2ze3typezd2namez53zzbackend_cplibz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1833z00zzbackend_cplibz00,
		BgL_bgl_string1833za700za7za7b1853za7, "_K", 2);
	      DEFINE_STRING(BGl_string1834z00zzbackend_cplibz00,
		BgL_bgl_string1834za700za7za7b1854za7, "object", 6);
	      DEFINE_STRING(BGl_string1835z00zzbackend_cplibz00,
		BgL_bgl_string1835za700za7za7b1855za7, "", 0);
	      DEFINE_STRING(BGl_string1836z00zzbackend_cplibz00,
		BgL_bgl_string1836za700za7za7b1856za7, "bigloo", 6);
	      DEFINE_STRING(BGl_string1837z00zzbackend_cplibz00,
		BgL_bgl_string1837za700za7za7b1857za7, ".", 1);
	      DEFINE_STRING(BGl_string1838z00zzbackend_cplibz00,
		BgL_bgl_string1838za700za7za7b1858za7, "bigloo.", 7);
	      DEFINE_STRING(BGl_string1839z00zzbackend_cplibz00,
		BgL_bgl_string1839za700za7za7b1859za7, "_", 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_widezd2ze3chunkzd2envze3zzbackend_cplibz00,
		BgL_bgl_za762wideza7d2za7e3chu1860za7,
		BGl_z62widezd2ze3chunkz53zzbackend_cplibz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1840z00zzbackend_cplibz00,
		BgL_bgl_string1840za700za7za7b1861za7, "set-variable-name!", 18);
	      DEFINE_STRING(BGl_string1841z00zzbackend_cplibz00,
		BgL_bgl_string1841za700za7za7b1862za7, "Unknown variable king", 21);
	      DEFINE_STRING(BGl_string1842z00zzbackend_cplibz00,
		BgL_bgl_string1842za700za7za7b1863za7, "Illegal type", 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2entryzd2envz00zzbackend_cplibz00,
		BgL_bgl_za762globalza7d2entr1864z00,
		BGl_z62globalzd2entryzb0zzbackend_cplibz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1843z00zzbackend_cplibz00,
		BgL_bgl_string1843za700za7za7b1865za7, "wide-chunk", 10);
	      DEFINE_STRING(BGl_string1844z00zzbackend_cplibz00,
		BgL_bgl_string1844za700za7za7b1866za7, "internal error", 14);
	      DEFINE_STRING(BGl_string1845z00zzbackend_cplibz00,
		BgL_bgl_string1845za700za7za7b1867za7, "backend_cplib", 13);
	      DEFINE_STRING(BGl_string1846z00zzbackend_cplibz00,
		BgL_bgl_string1846za700za7za7b1868za7,
		"__cnsts_table get-declared-fields import stvector foreign obj ", 62);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2variablezd2namez12zd2envzc0zzbackend_cplibz00,
		BgL_bgl_za762setza7d2variabl1869z00,
		BGl_z62setzd2variablezd2namez12z70zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_forzd2eachzd2declaredzd2classeszd2envz00zzbackend_cplibz00,
		BgL_bgl_za762forza7d2eachza7d21870za7,
		BGl_z62forzd2eachzd2declaredzd2classeszb0zzbackend_cplibz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_qualifiedzd2jclasszd2namezd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762qualifiedza7d2j1871z00,
		BGl_z62qualifiedzd2jclasszd2namez62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_qualifiedzd2typezd2namezd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762qualifiedza7d2t1872z00,
		BGl_z62qualifiedzd2typezd2namez62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_qualifiedzd2tclasszd2namezd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762qualifiedza7d2t1873z00,
		BGl_z62qualifiedzd2tclasszd2namez62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edzd2envza7zzbackend_cplibz00,
		BgL_bgl_za762getza7d2globalza71874za7,
		BGl_z62getzd2globalzd2variableszd2tozd2bezd2initializa7edz17zzbackend_cplibz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_qualifiedzd2wclasszd2namezd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762qualifiedza7d2w1875z00,
		BGl_z62qualifiedzd2wclasszd2namez62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2arityzd2envz00zzbackend_cplibz00,
		BgL_bgl_za762globalza7d2arit1876z00,
		BGl_z62globalzd2arityzb0zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2declaredzd2classeszd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762getza7d2declare1877z00,
		BGl_z62getzd2declaredzd2classesz62zzbackend_cplibz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2itszd2superzd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762getza7d2itsza7d2s1878za7,
		BGl_z62getzd2itszd2superz62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2declaredzd2fieldszd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762getza7d2declare1879z00,
		BGl_z62getzd2declaredzd2fieldsz62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2fieldzd2typezd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762getza7d2fieldza7d1880za7,
		BGl_z62getzd2fieldzd2typez62zzbackend_cplibz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzbackend_cplibz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long
		BgL_checksumz00_2231, char *BgL_fromz00_2232)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_cplibz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_cplibz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_cplibz00();
					BGl_libraryzd2moduleszd2initz00zzbackend_cplibz00();
					BGl_cnstzd2initzd2zzbackend_cplibz00();
					BGl_importedzd2moduleszd2initz00zzbackend_cplibz00();
					return BGl_toplevelzd2initzd2zzbackend_cplibz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cplibz00()
	{
		{	/* BackEnd/cplib.scm 15 */
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"backend_cplib");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_cplibz00()
	{
		{	/* BackEnd/cplib.scm 15 */
			{	/* BackEnd/cplib.scm 15 */
				obj_t BgL_cportz00_2210;

				{	/* BackEnd/cplib.scm 15 */
					obj_t BgL_stringz00_2218;

					BgL_stringz00_2218 = BGl_string1846z00zzbackend_cplibz00;
					{	/* BackEnd/cplib.scm 15 */
						obj_t BgL_startz00_2219;

						BgL_startz00_2219 = BINT(((long) 0));
						{	/* BackEnd/cplib.scm 15 */
							obj_t BgL_endz00_2220;

							BgL_endz00_2220 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2218)));
							{	/* BackEnd/cplib.scm 15 */

								BgL_cportz00_2210 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2218, BgL_startz00_2219, BgL_endz00_2220);
				}}}}
				{
					long BgL_iz00_2211;

					BgL_iz00_2211 = ((long) 5);
				BgL_loopz00_2212:
					if ((BgL_iz00_2211 == ((long) -1)))
						{	/* BackEnd/cplib.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/cplib.scm 15 */
							{	/* BackEnd/cplib.scm 15 */
								obj_t BgL_arg1848z00_2214;

								{	/* BackEnd/cplib.scm 15 */

									{	/* BackEnd/cplib.scm 15 */
										obj_t BgL_locationz00_2216;

										BgL_locationz00_2216 = BBOOL(((bool_t) 0));
										{	/* BackEnd/cplib.scm 15 */

											BgL_arg1848z00_2214 =
												BGl_readz00zz__readerz00(BgL_cportz00_2210,
												BgL_locationz00_2216);
										}
									}
								}
								{	/* BackEnd/cplib.scm 15 */
									int BgL_tmpz00_2261;

									BgL_tmpz00_2261 = (int) (BgL_iz00_2211);
									CNST_TABLE_SET(BgL_tmpz00_2261, BgL_arg1848z00_2214);
							}}
							{	/* BackEnd/cplib.scm 15 */
								int BgL_auxz00_2217;

								BgL_auxz00_2217 = (int) ((BgL_iz00_2211 - ((long) 1)));
								{
									long BgL_iz00_2266;

									BgL_iz00_2266 = (long) (BgL_auxz00_2217);
									BgL_iz00_2211 = BgL_iz00_2266;
									goto BgL_loopz00_2212;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_cplibz00()
	{
		{	/* BackEnd/cplib.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_cplibz00()
	{
		{	/* BackEnd/cplib.scm 15 */
			return BUNSPEC;
		}

	}



/* class-id->type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_classzd2idzd2ze3typezd2namez31zzbackend_cplibz00(obj_t BgL_cidz00_13,
		obj_t BgL_midz00_14)
	{
		{	/* BackEnd/cplib.scm 56 */
			{	/* BackEnd/cplib.scm 57 */
				obj_t BgL_idz00_2005;

				{	/* BackEnd/cplib.scm 57 */
					obj_t BgL_arg1271z00_2006;
					obj_t BgL_arg1273z00_2007;

					{	/* BackEnd/cplib.scm 57 */
						obj_t BgL_res1797z00_2010;

						{	/* BackEnd/cplib.scm 57 */
							obj_t BgL_arg1412z00_2009;

							BgL_arg1412z00_2009 = SYMBOL_TO_STRING(BgL_cidz00_13);
							BgL_res1797z00_2010 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1412z00_2009);
						}
						BgL_arg1271z00_2006 = BgL_res1797z00_2010;
					}
					{	/* BackEnd/cplib.scm 57 */
						obj_t BgL_res1798z00_2013;

						{	/* BackEnd/cplib.scm 57 */
							obj_t BgL_arg1412z00_2012;

							BgL_arg1412z00_2012 = SYMBOL_TO_STRING(BgL_midz00_14);
							BgL_res1798z00_2013 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1412z00_2012);
						}
						BgL_arg1273z00_2007 = BgL_res1798z00_2013;
					}
					BgL_idz00_2005 =
						bigloo_module_mangle(BgL_arg1271z00_2006, BgL_arg1273z00_2007);
				}
				return
					string_append(BGl_string1833z00zzbackend_cplibz00, BgL_idz00_2005);
			}
		}

	}



/* &class-id->type-name */
	obj_t BGl_z62classzd2idzd2ze3typezd2namez53zzbackend_cplibz00(obj_t
		BgL_envz00_2159, obj_t BgL_cidz00_2160, obj_t BgL_midz00_2161)
	{
		{	/* BackEnd/cplib.scm 56 */
			return
				BGl_classzd2idzd2ze3typezd2namez31zzbackend_cplibz00(BgL_cidz00_2160,
				BgL_midz00_2161);
		}

	}



/* qualified-real-tclass-name */
	obj_t
		BGl_qualifiedzd2realzd2tclasszd2namezd2zzbackend_cplibz00(BgL_typez00_bglt
		BgL_classz00_15)
	{
		{	/* BackEnd/cplib.scm 63 */
			{
				BgL_typez00_bglt BgL_superz00_1618;
				obj_t BgL_namez00_1613;
				BgL_typez00_bglt BgL_classz00_1604;

				{	/* BackEnd/cplib.scm 97 */
					obj_t BgL_arg1274z00_1598;
					obj_t BgL_arg1275z00_1599;

					BgL_superz00_1618 = BgL_classz00_15;
					{	/* BackEnd/cplib.scm 87 */
						bool_t BgL_test1883z00_2276;

						{	/* BackEnd/cplib.scm 87 */
							bool_t BgL_test1884z00_2277;

							{	/* BackEnd/cplib.scm 87 */
								obj_t BgL_arg1317z00_1644;

								{
									BgL_tclassz00_bglt BgL_auxz00_2278;

									{
										obj_t BgL_auxz00_2279;

										{	/* BackEnd/cplib.scm 87 */
											BgL_objectz00_bglt BgL_tmpz00_2280;

											BgL_tmpz00_2280 =
												((BgL_objectz00_bglt) BgL_superz00_1618);
											BgL_auxz00_2279 = BGL_OBJECT_WIDENING(BgL_tmpz00_2280);
										}
										BgL_auxz00_2278 = ((BgL_tclassz00_bglt) BgL_auxz00_2279);
									}
									BgL_arg1317z00_1644 =
										(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2278))->
										BgL_itszd2superzd2);
								}
								BgL_test1884z00_2277 =
									BGl_isazf3zf3zz__objectz00(BgL_arg1317z00_1644,
									BGl_tclassz00zzobject_classz00);
							}
							if (BgL_test1884z00_2277)
								{	/* BackEnd/cplib.scm 88 */
									bool_t BgL_test1885z00_2286;

									{	/* BackEnd/cplib.scm 88 */
										obj_t BgL_arg1316z00_1643;

										{
											BgL_tclassz00_bglt BgL_auxz00_2287;

											{
												obj_t BgL_auxz00_2288;

												{	/* BackEnd/cplib.scm 88 */
													BgL_objectz00_bglt BgL_tmpz00_2289;

													BgL_tmpz00_2289 =
														((BgL_objectz00_bglt) BgL_superz00_1618);
													BgL_auxz00_2288 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2289);
												}
												BgL_auxz00_2287 =
													((BgL_tclassz00_bglt) BgL_auxz00_2288);
											}
											BgL_arg1316z00_1643 =
												(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2287))->
												BgL_itszd2superzd2);
										}
										BgL_test1885z00_2286 =
											(((obj_t) BgL_superz00_1618) == BgL_arg1316z00_1643);
									}
									if (BgL_test1885z00_2286)
										{	/* BackEnd/cplib.scm 89 */
											bool_t BgL_test1886z00_2296;

											{	/* BackEnd/cplib.scm 89 */
												obj_t BgL_arg1314z00_1641;

												{	/* BackEnd/cplib.scm 89 */
													obj_t BgL_arg1315z00_1642;

													{
														BgL_tclassz00_bglt BgL_auxz00_2297;

														{
															obj_t BgL_auxz00_2298;

															{	/* BackEnd/cplib.scm 89 */
																BgL_objectz00_bglt BgL_tmpz00_2299;

																BgL_tmpz00_2299 =
																	((BgL_objectz00_bglt) BgL_superz00_1618);
																BgL_auxz00_2298 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2299);
															}
															BgL_auxz00_2297 =
																((BgL_tclassz00_bglt) BgL_auxz00_2298);
														}
														BgL_arg1315z00_1642 =
															(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2297))->
															BgL_itszd2superzd2);
													}
													BgL_arg1314z00_1641 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_arg1315z00_1642)))->
														BgL_idz00);
												}
												BgL_test1886z00_2296 =
													(BgL_arg1314z00_1641 == CNST_TABLE_REF(((long) 0)));
											}
											if (BgL_test1886z00_2296)
												{	/* BackEnd/cplib.scm 89 */
													BgL_test1883z00_2276 = ((bool_t) 0);
												}
											else
												{	/* BackEnd/cplib.scm 89 */
													BgL_test1883z00_2276 = ((bool_t) 1);
												}
										}
									else
										{	/* BackEnd/cplib.scm 88 */
											BgL_test1883z00_2276 = ((bool_t) 0);
										}
								}
							else
								{	/* BackEnd/cplib.scm 87 */
									BgL_test1883z00_2276 = ((bool_t) 1);
								}
						}
						if (BgL_test1883z00_2276)
							{	/* BackEnd/cplib.scm 87 */
								BgL_arg1274z00_1598 = BGl_string1836z00zzbackend_cplibz00;
							}
						else
							{	/* BackEnd/cplib.scm 91 */
								BgL_globalz00_bglt BgL_holderz00_1632;

								{
									BgL_tclassz00_bglt BgL_auxz00_2308;

									{
										obj_t BgL_auxz00_2309;

										{	/* BackEnd/cplib.scm 91 */
											BgL_objectz00_bglt BgL_tmpz00_2310;

											BgL_tmpz00_2310 =
												((BgL_objectz00_bglt) BgL_superz00_1618);
											BgL_auxz00_2309 = BGL_OBJECT_WIDENING(BgL_tmpz00_2310);
										}
										BgL_auxz00_2308 = ((BgL_tclassz00_bglt) BgL_auxz00_2309);
									}
									BgL_holderz00_1632 =
										(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2308))->
										BgL_holderz00);
								}
								{	/* BackEnd/cplib.scm 92 */
									obj_t BgL_arg1308z00_1633;
									obj_t BgL_arg1310z00_1634;
									obj_t BgL_arg1311z00_1635;

									BgL_arg1308z00_1633 =
										(((BgL_globalz00_bglt) COBJECT(BgL_holderz00_1632))->
										BgL_modulez00);
									BgL_arg1310z00_1634 =
										(((BgL_globalz00_bglt) COBJECT(BgL_holderz00_1632))->
										BgL_jvmzd2typezd2namez00);
									BgL_arg1311z00_1635 =
										(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
													BgL_superz00_1618)))->BgL_idz00);
									{	/* BackEnd/cplib.scm 92 */
										obj_t BgL_list1312z00_1636;

										BgL_list1312z00_1636 =
											MAKE_YOUNG_PAIR(BgL_arg1311z00_1635, BNIL);
										BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
											(BgL_arg1308z00_1633, BgL_arg1310z00_1634,
											BgL_list1312z00_1636);
									}
								}
								BgL_namez00_1613 =
									(((BgL_globalz00_bglt) COBJECT(BgL_holderz00_1632))->
									BgL_modulez00);
								{	/* BackEnd/cplib.scm 79 */
									obj_t BgL_sz00_1615;

									BgL_sz00_1615 =
										BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
										(BgL_namez00_1613);
									{	/* BackEnd/cplib.scm 79 */
										obj_t BgL_prefz00_1616;

										BgL_prefz00_1616 = BGl_prefixz00zz__osz00(BgL_sz00_1615);
										{	/* BackEnd/cplib.scm 80 */

											if (bigloo_strcmp(BgL_prefz00_1616, BgL_sz00_1615))
												{	/* BackEnd/cplib.scm 81 */
													BgL_arg1274z00_1598 =
														BGl_string1835z00zzbackend_cplibz00;
												}
											else
												{	/* BackEnd/cplib.scm 81 */
													BgL_arg1274z00_1598 = BgL_prefz00_1616;
												}
										}
									}
								}
							}
					}
					BgL_classz00_1604 = BgL_classz00_15;
					{	/* BackEnd/cplib.scm 72 */
						bool_t BgL_test1888z00_2326;

						{	/* BackEnd/cplib.scm 72 */
							obj_t BgL_arg1289z00_1612;

							BgL_arg1289z00_1612 = BGl_getzd2objectzd2typez00zztype_cachez00();
							BgL_test1888z00_2326 =
								(((obj_t) BgL_classz00_1604) == BgL_arg1289z00_1612);
						}
						if (BgL_test1888z00_2326)
							{	/* BackEnd/cplib.scm 72 */
								BgL_arg1275z00_1599 = BGl_string1834z00zzbackend_cplibz00;
							}
						else
							{	/* BackEnd/cplib.scm 75 */
								obj_t BgL_modz00_1609;

								{	/* BackEnd/cplib.scm 75 */
									BgL_globalz00_bglt BgL_arg1284z00_1611;

									{
										BgL_tclassz00_bglt BgL_auxz00_2330;

										{
											obj_t BgL_auxz00_2331;

											{	/* BackEnd/cplib.scm 75 */
												BgL_objectz00_bglt BgL_tmpz00_2332;

												BgL_tmpz00_2332 =
													((BgL_objectz00_bglt) BgL_classz00_1604);
												BgL_auxz00_2331 = BGL_OBJECT_WIDENING(BgL_tmpz00_2332);
											}
											BgL_auxz00_2330 = ((BgL_tclassz00_bglt) BgL_auxz00_2331);
										}
										BgL_arg1284z00_1611 =
											(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2330))->
											BgL_holderz00);
									}
									BgL_modz00_1609 =
										(((BgL_globalz00_bglt) COBJECT(BgL_arg1284z00_1611))->
										BgL_modulez00);
								}
								{	/* BackEnd/cplib.scm 76 */
									obj_t BgL_arg1282z00_1610;

									BgL_arg1282z00_1610 =
										(((BgL_typez00_bglt) COBJECT(
												((BgL_typez00_bglt) BgL_classz00_1604)))->BgL_idz00);
									{	/* BackEnd/cplib.scm 76 */
										obj_t BgL_res1802z00_2031;

										{	/* BackEnd/cplib.scm 57 */
											obj_t BgL_idz00_2022;

											{	/* BackEnd/cplib.scm 57 */
												obj_t BgL_arg1271z00_2023;
												obj_t BgL_arg1273z00_2024;

												{	/* BackEnd/cplib.scm 57 */
													obj_t BgL_res1800z00_2027;

													{	/* BackEnd/cplib.scm 57 */
														obj_t BgL_arg1412z00_2026;

														BgL_arg1412z00_2026 =
															SYMBOL_TO_STRING(BgL_arg1282z00_1610);
														BgL_res1800z00_2027 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1412z00_2026);
													}
													BgL_arg1271z00_2023 = BgL_res1800z00_2027;
												}
												{	/* BackEnd/cplib.scm 57 */
													obj_t BgL_res1801z00_2030;

													{	/* BackEnd/cplib.scm 57 */
														obj_t BgL_arg1412z00_2029;

														BgL_arg1412z00_2029 =
															SYMBOL_TO_STRING(BgL_modz00_1609);
														BgL_res1801z00_2030 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1412z00_2029);
													}
													BgL_arg1273z00_2024 = BgL_res1801z00_2030;
												}
												BgL_idz00_2022 =
													bigloo_module_mangle(BgL_arg1271z00_2023,
													BgL_arg1273z00_2024);
											}
											BgL_res1802z00_2031 =
												string_append(BGl_string1833z00zzbackend_cplibz00,
												BgL_idz00_2022);
										}
										BgL_arg1275z00_1599 = BgL_res1802z00_2031;
									}
								}
							}
					}
					if (bigloo_strcmp(BgL_arg1274z00_1598,
							BGl_string1835z00zzbackend_cplibz00))
						{	/* BackEnd/cplib.scm 67 */
							return BgL_arg1275z00_1599;
						}
					else
						{	/* BackEnd/cplib.scm 67 */
							return
								string_append_3(BgL_arg1274z00_1598,
								BGl_string1837z00zzbackend_cplibz00, BgL_arg1275z00_1599);
						}
				}
			}
		}

	}



/* qualified-tclass-name */
	BGL_EXPORTED_DEF obj_t
		BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_classz00_16)
	{
		{	/* BackEnd/cplib.scm 102 */
			{	/* BackEnd/cplib.scm 103 */
				obj_t BgL_cz00_1649;

				if (BGl_widezd2classzf3z21zzobject_classz00(((obj_t) BgL_classz00_16)))
					{
						BgL_tclassz00_bglt BgL_auxz00_2352;

						{
							obj_t BgL_auxz00_2353;

							{	/* BackEnd/cplib.scm 103 */
								BgL_objectz00_bglt BgL_tmpz00_2354;

								BgL_tmpz00_2354 = ((BgL_objectz00_bglt) BgL_classz00_16);
								BgL_auxz00_2353 = BGL_OBJECT_WIDENING(BgL_tmpz00_2354);
							}
							BgL_auxz00_2352 = ((BgL_tclassz00_bglt) BgL_auxz00_2353);
						}
						BgL_cz00_1649 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2352))->
							BgL_itszd2superzd2);
					}
				else
					{	/* BackEnd/cplib.scm 103 */
						BgL_cz00_1649 = ((obj_t) BgL_classz00_16);
					}
				return
					BGl_qualifiedzd2realzd2tclasszd2namezd2zzbackend_cplibz00(
					((BgL_typez00_bglt) BgL_cz00_1649));
			}
		}

	}



/* &qualified-tclass-name */
	obj_t BGl_z62qualifiedzd2tclasszd2namez62zzbackend_cplibz00(obj_t
		BgL_envz00_2162, obj_t BgL_classz00_2163)
	{
		{	/* BackEnd/cplib.scm 102 */
			return
				BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_classz00_2163));
		}

	}



/* qualified-wclass-name */
	BGL_EXPORTED_DEF obj_t
		BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_classz00_17)
	{
		{	/* BackEnd/cplib.scm 109 */
			{	/* BackEnd/cplib.scm 110 */
				obj_t BgL_arg1319z00_2051;

				{
					BgL_wclassz00_bglt BgL_auxz00_2364;

					{
						obj_t BgL_auxz00_2365;

						{	/* BackEnd/cplib.scm 110 */
							BgL_objectz00_bglt BgL_tmpz00_2366;

							BgL_tmpz00_2366 = ((BgL_objectz00_bglt) BgL_classz00_17);
							BgL_auxz00_2365 = BGL_OBJECT_WIDENING(BgL_tmpz00_2366);
						}
						BgL_auxz00_2364 = ((BgL_wclassz00_bglt) BgL_auxz00_2365);
					}
					BgL_arg1319z00_2051 =
						(((BgL_wclassz00_bglt) COBJECT(BgL_auxz00_2364))->
						BgL_itszd2classzd2);
				}
				return
					BGl_qualifiedzd2realzd2tclasszd2namezd2zzbackend_cplibz00(
					((BgL_typez00_bglt) BgL_arg1319z00_2051));
			}
		}

	}



/* &qualified-wclass-name */
	obj_t BGl_z62qualifiedzd2wclasszd2namez62zzbackend_cplibz00(obj_t
		BgL_envz00_2164, obj_t BgL_classz00_2165)
	{
		{	/* BackEnd/cplib.scm 109 */
			return
				BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_classz00_2165));
		}

	}



/* qualified-jclass-name */
	BGL_EXPORTED_DEF obj_t
		BGl_qualifiedzd2jclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_classz00_18)
	{
		{	/* BackEnd/cplib.scm 115 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_classz00_18)))->BgL_namez00);
		}

	}



/* &qualified-jclass-name */
	obj_t BGl_z62qualifiedzd2jclasszd2namez62zzbackend_cplibz00(obj_t
		BgL_envz00_2166, obj_t BgL_classz00_2167)
	{
		{	/* BackEnd/cplib.scm 115 */
			return
				BGl_qualifiedzd2jclasszd2namez00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_classz00_2167));
		}

	}



/* qualified-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_typez00_19)
	{
		{	/* BackEnd/cplib.scm 121 */
			{	/* BackEnd/cplib.scm 122 */
				obj_t BgL_idz00_1652;

				BgL_idz00_1652 =
					(((BgL_typez00_bglt) COBJECT(BgL_typez00_19))->BgL_idz00);
				if ((BgL_idz00_1652 == CNST_TABLE_REF(((long) 1))))
					{	/* BackEnd/cplib.scm 123 */
						return BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;
					}
				else
					{	/* BackEnd/cplib.scm 125 */
						obj_t BgL_javazd2classzd2_1654;

						BgL_javazd2classzd2_1654 =
							BGl_findzd2javazd2classz00zzmodule_javaz00(BgL_idz00_1652);
						if (STRINGP(BgL_javazd2classzd2_1654))
							{	/* BackEnd/cplib.scm 126 */
								return BgL_javazd2classzd2_1654;
							}
						else
							{	/* BackEnd/cplib.scm 128 */
								obj_t BgL_arg1322z00_1656;

								{	/* BackEnd/cplib.scm 128 */
									obj_t BgL_res1807z00_2059;

									{	/* BackEnd/cplib.scm 128 */
										obj_t BgL_arg1412z00_2058;

										BgL_arg1412z00_2058 = SYMBOL_TO_STRING(BgL_idz00_1652);
										BgL_res1807z00_2059 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1412z00_2058);
									}
									BgL_arg1322z00_1656 = BgL_res1807z00_2059;
								}
								return
									string_append(BGl_string1838z00zzbackend_cplibz00,
									BgL_arg1322z00_1656);
							}
					}
			}
		}

	}



/* &qualified-type-name */
	obj_t BGl_z62qualifiedzd2typezd2namez62zzbackend_cplibz00(obj_t
		BgL_envz00_2168, obj_t BgL_typez00_2169)
	{
		{	/* BackEnd/cplib.scm 121 */
			return
				BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_typez00_2169));
		}

	}



/* reset-global! */
	BGL_EXPORTED_DEF obj_t
		BGl_resetzd2globalz12zc0zzbackend_cplibz00(BgL_globalz00_bglt BgL_varz00_20)
	{
		{	/* BackEnd/cplib.scm 134 */
			{	/* BackEnd/cplib.scm 136 */
				obj_t BgL_namez00_1657;

				BgL_namez00_1657 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_20)))->BgL_namez00);
				if (STRINGP(BgL_namez00_1657))
					{	/* BackEnd/cplib.scm 137 */
						BgL_namez00_1657;
					}
				else
					{	/* BackEnd/cplib.scm 139 */
						obj_t BgL_namez00_1659;

						{	/* BackEnd/cplib.scm 139 */
							obj_t BgL_arg1331z00_1662;

							{	/* BackEnd/cplib.scm 139 */
								obj_t BgL__ortest_1107z00_1663;

								BgL__ortest_1107z00_1663 =
									(((BgL_globalz00_bglt) COBJECT(BgL_varz00_20))->BgL_aliasz00);
								if (CBOOL(BgL__ortest_1107z00_1663))
									{	/* BackEnd/cplib.scm 139 */
										BgL_arg1331z00_1662 = BgL__ortest_1107z00_1663;
									}
								else
									{	/* BackEnd/cplib.scm 139 */
										BgL_arg1331z00_1662 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_varz00_20)))->BgL_idz00);
									}
							}
							{	/* BackEnd/cplib.scm 139 */
								obj_t BgL_res1809z00_2066;

								{	/* BackEnd/cplib.scm 139 */
									obj_t BgL_arg1412z00_2065;

									BgL_arg1412z00_2065 =
										SYMBOL_TO_STRING(((obj_t) BgL_arg1331z00_1662));
									BgL_res1809z00_2066 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1412z00_2065);
								}
								BgL_namez00_1659 = BgL_res1809z00_2066;
							}
						}
						{	/* BackEnd/cplib.scm 141 */
							obj_t BgL_arg1329z00_1660;

							if (BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00
								(BgL_namez00_1659))
								{	/* BackEnd/cplib.scm 141 */
									BgL_arg1329z00_1660 = bigloo_mangle(BgL_namez00_1659);
								}
							else
								{	/* BackEnd/cplib.scm 141 */
									BgL_arg1329z00_1660 = BgL_namez00_1659;
								}
							((((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_varz00_20)))->BgL_namez00) =
								((obj_t) BgL_arg1329z00_1660), BUNSPEC);
						}
					}
			}
			{	/* BackEnd/cplib.scm 145 */
				BgL_valuez00_bglt BgL_valuez00_1664;

				BgL_valuez00_1664 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_20)))->BgL_valuez00);
				{	/* BackEnd/cplib.scm 146 */
					bool_t BgL_test1896z00_2410;

					{	/* BackEnd/cplib.scm 146 */
						bool_t BgL_test1897z00_2411;

						{	/* BackEnd/cplib.scm 146 */
							bool_t BgL_res1810z00_2069;

							BgL_res1810z00_2069 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_valuez00_1664), BGl_scnstz00zzast_varz00);
							BgL_test1897z00_2411 = BgL_res1810z00_2069;
						}
						if (BgL_test1897z00_2411)
							{	/* BackEnd/cplib.scm 146 */
								BgL_test1896z00_2410 =
									(
									(((BgL_scnstz00_bglt) COBJECT(
												((BgL_scnstz00_bglt) BgL_valuez00_1664)))->
										BgL_classz00) == CNST_TABLE_REF(((long) 2)));
							}
						else
							{	/* BackEnd/cplib.scm 146 */
								BgL_test1896z00_2410 = ((bool_t) 0);
							}
					}
					if (BgL_test1896z00_2410)
						{	/* BackEnd/cplib.scm 147 */
							obj_t BgL_arg1364z00_1668;

							{	/* BackEnd/cplib.scm 147 */
								obj_t BgL_sz00_2072;

								BgL_sz00_2072 =
									(((BgL_scnstz00_bglt) COBJECT(
											((BgL_scnstz00_bglt) BgL_valuez00_1664)))->BgL_nodez00);
								BgL_arg1364z00_1668 =
									STRUCT_REF(BgL_sz00_2072, (int) (((long) 0)));
							}
							return
								((((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_varz00_20)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_arg1364z00_1668)),
								BUNSPEC);
						}
					else
						{	/* BackEnd/cplib.scm 146 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &reset-global! */
	obj_t BGl_z62resetzd2globalz12za2zzbackend_cplibz00(obj_t BgL_envz00_2170,
		obj_t BgL_varz00_2171)
	{
		{	/* BackEnd/cplib.scm 134 */
			return
				BGl_resetzd2globalz12zc0zzbackend_cplibz00(
				((BgL_globalz00_bglt) BgL_varz00_2171));
		}

	}



/* set-variable-name! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt
		BgL_variablez00_21)
	{
		{	/* BackEnd/cplib.scm 152 */
			{	/* BackEnd/cplib.scm 154 */
				bool_t BgL_test1898z00_2427;

				{	/* BackEnd/cplib.scm 154 */
					obj_t BgL_tmpz00_2428;

					BgL_tmpz00_2428 =
						(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_21))->BgL_namez00);
					BgL_test1898z00_2427 = STRINGP(BgL_tmpz00_2428);
				}
				if (BgL_test1898z00_2427)
					{	/* BackEnd/cplib.scm 154 */
						return
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_21))->
							BgL_namez00);
					}
				else
					{	/* BackEnd/cplib.scm 156 */
						obj_t BgL_nz00_1675;

						{	/* BackEnd/cplib.scm 157 */
							bool_t BgL_test1899z00_2432;

							{	/* BackEnd/cplib.scm 157 */
								bool_t BgL_res1812z00_2076;

								BgL_res1812z00_2076 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_variablez00_21), BGl_globalz00zzast_varz00);
								BgL_test1899z00_2432 = BgL_res1812z00_2076;
							}
							if (BgL_test1899z00_2432)
								{	/* BackEnd/cplib.scm 159 */
									obj_t BgL_arg1406z00_1678;
									obj_t BgL_arg1407z00_1679;

									{	/* BackEnd/cplib.scm 159 */
										obj_t BgL_arg1410z00_1680;

										{	/* BackEnd/cplib.scm 159 */
											obj_t BgL__ortest_1110z00_1681;

											BgL__ortest_1110z00_1681 =
												(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt) BgL_variablez00_21)))->
												BgL_aliasz00);
											if (CBOOL(BgL__ortest_1110z00_1681))
												{	/* BackEnd/cplib.scm 159 */
													BgL_arg1410z00_1680 = BgL__ortest_1110z00_1681;
												}
											else
												{	/* BackEnd/cplib.scm 159 */
													BgL_arg1410z00_1680 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_variablez00_21))))->
														BgL_idz00);
												}
										}
										{	/* BackEnd/cplib.scm 159 */
											obj_t BgL_res1813z00_2079;

											{	/* BackEnd/cplib.scm 159 */
												obj_t BgL_arg1412z00_2078;

												BgL_arg1412z00_2078 =
													SYMBOL_TO_STRING(((obj_t) BgL_arg1410z00_1680));
												BgL_res1813z00_2079 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1412z00_2078);
											}
											BgL_arg1406z00_1678 = BgL_res1813z00_2079;
										}
									}
									{	/* BackEnd/cplib.scm 160 */
										obj_t BgL_arg1411z00_1682;

										BgL_arg1411z00_1682 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_variablez00_21)))->
											BgL_modulez00);
										{	/* BackEnd/cplib.scm 160 */
											obj_t BgL_res1814z00_2082;

											{	/* BackEnd/cplib.scm 160 */
												obj_t BgL_arg1412z00_2081;

												BgL_arg1412z00_2081 =
													SYMBOL_TO_STRING(BgL_arg1411z00_1682);
												BgL_res1814z00_2082 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1412z00_2081);
											}
											BgL_arg1407z00_1679 = BgL_res1814z00_2082;
										}
									}
									BgL_nz00_1675 =
										bigloo_module_mangle(BgL_arg1406z00_1678,
										BgL_arg1407z00_1679);
								}
							else
								{	/* BackEnd/cplib.scm 161 */
									bool_t BgL_test1901z00_2450;

									{	/* BackEnd/cplib.scm 161 */
										bool_t BgL_res1815z00_2083;

										BgL_res1815z00_2083 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_variablez00_21), BGl_localz00zzast_varz00);
										BgL_test1901z00_2450 = BgL_res1815z00_2083;
									}
									if (BgL_test1901z00_2450)
										{	/* BackEnd/cplib.scm 165 */
											obj_t BgL_arg1421z00_1685;

											{	/* BackEnd/cplib.scm 165 */
												obj_t BgL_arg1422z00_1686;
												obj_t BgL_arg1429z00_1687;

												{	/* BackEnd/cplib.scm 165 */
													obj_t BgL_arg1430z00_1688;

													BgL_arg1430z00_1688 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_variablez00_21))))->
														BgL_idz00);
													{	/* BackEnd/cplib.scm 165 */
														obj_t BgL_res1816z00_2086;

														{	/* BackEnd/cplib.scm 165 */
															obj_t BgL_arg1412z00_2085;

															BgL_arg1412z00_2085 =
																SYMBOL_TO_STRING(BgL_arg1430z00_1688);
															BgL_res1816z00_2086 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1412z00_2085);
														}
														BgL_arg1422z00_1686 = BgL_res1816z00_2086;
													}
												}
												{	/* BackEnd/cplib.scm 165 */

													BgL_arg1429z00_1687 =
														BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
														((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
																		BgL_variablez00_21)))->BgL_keyz00),
														((long) 10));
												}
												BgL_arg1421z00_1685 =
													string_append_3(BgL_arg1422z00_1686,
													BGl_string1839z00zzbackend_cplibz00,
													BgL_arg1429z00_1687);
											}
											BgL_nz00_1675 = bigloo_mangle(BgL_arg1421z00_1685);
										}
									else
										{	/* BackEnd/cplib.scm 169 */
											obj_t BgL_arg1457z00_1692;

											BgL_arg1457z00_1692 =
												BGl_shapez00zztools_shapez00(
												((obj_t) BgL_variablez00_21));
											BgL_nz00_1675 =
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string1840z00zzbackend_cplibz00,
												BGl_string1841z00zzbackend_cplibz00,
												BgL_arg1457z00_1692);
										}
								}
						}
						((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_21))->
								BgL_namez00) = ((obj_t) BgL_nz00_1675), BUNSPEC);
						return BgL_nz00_1675;
					}
			}
		}

	}



/* &set-variable-name! */
	obj_t BGl_z62setzd2variablezd2namez12z70zzbackend_cplibz00(obj_t
		BgL_envz00_2172, obj_t BgL_variablez00_2173)
	{
		{	/* BackEnd/cplib.scm 152 */
			return
				BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_variablez00_2173));
		}

	}



/* global-entry */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt BgL_varz00_22)
	{
		{	/* BackEnd/cplib.scm 176 */
			{	/* BackEnd/cplib.scm 178 */
				BgL_valuez00_bglt BgL_valuez00_1694;

				BgL_valuez00_1694 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_22)))->BgL_valuez00);
				{	/* BackEnd/cplib.scm 179 */
					bool_t BgL_test1902z00_2471;

					{	/* BackEnd/cplib.scm 179 */
						bool_t BgL_res1817z00_2088;

						BgL_res1817z00_2088 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_valuez00_1694), BGl_scnstz00zzast_varz00);
						BgL_test1902z00_2471 = BgL_res1817z00_2088;
					}
					if (BgL_test1902z00_2471)
						{
							BgL_variablez00_bglt BgL_auxz00_2474;

							{
								BgL_varz00_bglt BgL_auxz00_2475;

								{	/* BackEnd/cplib.scm 180 */
									obj_t BgL_pairz00_2091;

									BgL_pairz00_2091 =
										(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt)
													(((BgL_scnstz00_bglt) COBJECT(
																((BgL_scnstz00_bglt) BgL_valuez00_1694)))->
														BgL_nodez00))))->BgL_argsz00);
									BgL_auxz00_2475 = ((BgL_varz00_bglt) CAR(BgL_pairz00_2091));
								}
								BgL_auxz00_2474 =
									(((BgL_varz00_bglt) COBJECT(BgL_auxz00_2475))->
									BgL_variablez00);
							}
							return ((BgL_globalz00_bglt) BgL_auxz00_2474);
						}
					else
						{	/* BackEnd/cplib.scm 179 */
							return BgL_varz00_22;
						}
				}
			}
		}

	}



/* &global-entry */
	BgL_globalz00_bglt BGl_z62globalzd2entryzb0zzbackend_cplibz00(obj_t
		BgL_envz00_2174, obj_t BgL_varz00_2175)
	{
		{	/* BackEnd/cplib.scm 176 */
			return
				BGl_globalzd2entryzd2zzbackend_cplibz00(
				((BgL_globalz00_bglt) BgL_varz00_2175));
		}

	}



/* global-arity */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt BgL_varz00_23)
	{
		{	/* BackEnd/cplib.scm 186 */
			{	/* BackEnd/cplib.scm 188 */
				BgL_valuez00_bglt BgL_valuez00_1699;

				BgL_valuez00_1699 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_23)))->BgL_valuez00);
				{	/* BackEnd/cplib.scm 190 */
					bool_t BgL_test1903z00_2488;

					{	/* BackEnd/cplib.scm 190 */
						bool_t BgL_res1818z00_2094;

						BgL_res1818z00_2094 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_valuez00_1699), BGl_scnstz00zzast_varz00);
						BgL_test1903z00_2488 = BgL_res1818z00_2094;
					}
					if (BgL_test1903z00_2488)
						{	/* BackEnd/cplib.scm 193 */

							{	/* BackEnd/cplib.scm 194 */
								long BgL_tmpz00_2491;

								{
									BgL_funz00_bglt BgL_auxz00_2492;

									{
										BgL_sfunz00_bglt BgL_auxz00_2493;

										{
											BgL_valuez00_bglt BgL_auxz00_2494;

											{
												BgL_variablez00_bglt BgL_auxz00_2495;

												{
													obj_t BgL_auxz00_2496;

													{
														BgL_sfunz00_bglt BgL_auxz00_2497;

														{
															BgL_valuez00_bglt BgL_auxz00_2498;

															{
																BgL_variablez00_bglt BgL_auxz00_2499;

																{
																	BgL_globalz00_bglt BgL_auxz00_2500;

																	{
																		BgL_variablez00_bglt BgL_auxz00_2501;

																		{
																			BgL_varz00_bglt BgL_auxz00_2502;

																			{	/* BackEnd/cplib.scm 192 */
																				obj_t BgL_pairz00_2097;

																				BgL_pairz00_2097 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								(((BgL_scnstz00_bglt) COBJECT(
																											((BgL_scnstz00_bglt)
																												BgL_valuez00_1699)))->
																									BgL_nodez00))))->BgL_argsz00);
																				BgL_auxz00_2502 =
																					((BgL_varz00_bglt)
																					CAR(BgL_pairz00_2097));
																			}
																			BgL_auxz00_2501 =
																				(((BgL_varz00_bglt)
																					COBJECT(BgL_auxz00_2502))->
																				BgL_variablez00);
																		}
																		BgL_auxz00_2500 =
																			((BgL_globalz00_bglt) BgL_auxz00_2501);
																	}
																	BgL_auxz00_2499 =
																		((BgL_variablez00_bglt) BgL_auxz00_2500);
																}
																BgL_auxz00_2498 =
																	(((BgL_variablez00_bglt)
																		COBJECT(BgL_auxz00_2499))->BgL_valuez00);
															}
															BgL_auxz00_2497 =
																((BgL_sfunz00_bglt) BgL_auxz00_2498);
														}
														BgL_auxz00_2496 =
															(((BgL_sfunz00_bglt) COBJECT(BgL_auxz00_2497))->
															BgL_thezd2closurezd2globalz00);
													}
													BgL_auxz00_2495 =
														((BgL_variablez00_bglt) BgL_auxz00_2496);
												}
												BgL_auxz00_2494 =
													(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_2495))->
													BgL_valuez00);
											}
											BgL_auxz00_2493 = ((BgL_sfunz00_bglt) BgL_auxz00_2494);
										}
										BgL_auxz00_2492 = ((BgL_funz00_bglt) BgL_auxz00_2493);
									}
									BgL_tmpz00_2491 =
										(((BgL_funz00_bglt) COBJECT(BgL_auxz00_2492))->
										BgL_arityz00);
								}
								return BINT(BgL_tmpz00_2491);
							}
						}
					else
						{	/* BackEnd/cplib.scm 196 */
							bool_t BgL_test1904z00_2521;

							{	/* BackEnd/cplib.scm 196 */
								bool_t BgL_res1819z00_2103;

								BgL_res1819z00_2103 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_valuez00_1699), BGl_sfunz00zzast_varz00);
								BgL_test1904z00_2521 = BgL_res1819z00_2103;
							}
							if (BgL_test1904z00_2521)
								{	/* BackEnd/cplib.scm 197 */
									long BgL_xz00_1709;

									BgL_xz00_1709 =
										(((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt)
													((BgL_sfunz00_bglt) BgL_valuez00_1699))))->
										BgL_arityz00);
									if ((BgL_xz00_1709 >= ((long) 0)))
										{	/* BackEnd/cplib.scm 198 */
											return BGL_SAFE_MINUS_FX(BgL_xz00_1709, ((long) 1));
										}
									else
										{	/* BackEnd/cplib.scm 198 */
											return BGL_SAFE_PLUS_FX(BgL_xz00_1709, ((long) 1));
								}}
							else
								{	/* BackEnd/cplib.scm 196 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* &global-arity */
	obj_t BGl_z62globalzd2arityzb0zzbackend_cplibz00(obj_t BgL_envz00_2176,
		obj_t BgL_varz00_2177)
	{
		{	/* BackEnd/cplib.scm 186 */
			return
				BGl_globalzd2arityzd2zzbackend_cplibz00(
				((BgL_globalz00_bglt) BgL_varz00_2177));
		}

	}



/* for-each-declared-classes */
	BGL_EXPORTED_DEF obj_t
		BGl_forzd2eachzd2declaredzd2classeszd2zzbackend_cplibz00(obj_t
		BgL_funz00_24)
	{
		{	/* BackEnd/cplib.scm 205 */
			{	/* BackEnd/cplib.scm 206 */
				obj_t BgL_g1242z00_1715;

				BgL_g1242z00_1715 = BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
				{
					obj_t BgL_l1240z00_1717;

					{	/* BackEnd/cplib.scm 215 */
						bool_t BgL_tmpz00_2534;

						BgL_l1240z00_1717 = BgL_g1242z00_1715;
					BgL_zc3z04anonymousza31510ze3z87_1718:
						if (PAIRP(BgL_l1240z00_1717))
							{	/* BackEnd/cplib.scm 215 */
								{	/* BackEnd/cplib.scm 207 */
									obj_t BgL_cz00_1720;

									BgL_cz00_1720 = CAR(BgL_l1240z00_1717);
									{	/* BackEnd/cplib.scm 207 */
										bool_t BgL_widezf3zf3_1721;

										BgL_widezf3zf3_1721 =
											BGl_widezd2classzf3z21zzobject_classz00(BgL_cz00_1720);
										{	/* BackEnd/cplib.scm 212 */
											obj_t BgL_arg1512z00_1722;
											obj_t BgL_arg1514z00_1723;

											if (BgL_widezf3zf3_1721)
												{	/* BackEnd/cplib.scm 212 */
													BgL_arg1512z00_1722 =
														BGl_widezd2ze3chunkz31zzbackend_cplibz00(
														((BgL_typez00_bglt) BgL_cz00_1720));
												}
											else
												{	/* BackEnd/cplib.scm 212 */
													BgL_arg1512z00_1722 = BgL_cz00_1720;
												}
											if (BgL_widezf3zf3_1721)
												{	/* BackEnd/cplib.scm 214 */
													BgL_arg1514z00_1723 =
														((obj_t)
														BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF((
																	(long) 0))));
												}
											else
												{
													BgL_tclassz00_bglt BgL_auxz00_2546;

													{
														obj_t BgL_auxz00_2547;

														{	/* BackEnd/cplib.scm 214 */
															BgL_objectz00_bglt BgL_tmpz00_2548;

															BgL_tmpz00_2548 =
																((BgL_objectz00_bglt)
																((BgL_typez00_bglt) BgL_cz00_1720));
															BgL_auxz00_2547 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2548);
														}
														BgL_auxz00_2546 =
															((BgL_tclassz00_bglt) BgL_auxz00_2547);
													}
													BgL_arg1514z00_1723 =
														(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2546))->
														BgL_itszd2superzd2);
												}
											PROCEDURE_ENTRY(BgL_funz00_24) (BgL_funz00_24,
												BgL_cz00_1720, BgL_arg1512z00_1722, BgL_arg1514z00_1723,
												BEOA);
										}
									}
								}
								{
									obj_t BgL_l1240z00_2560;

									BgL_l1240z00_2560 = CDR(BgL_l1240z00_1717);
									BgL_l1240z00_1717 = BgL_l1240z00_2560;
									goto BgL_zc3z04anonymousza31510ze3z87_1718;
								}
							}
						else
							{	/* BackEnd/cplib.scm 215 */
								BgL_tmpz00_2534 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_2534);
					}
				}
			}
		}

	}



/* &for-each-declared-classes */
	obj_t BGl_z62forzd2eachzd2declaredzd2classeszb0zzbackend_cplibz00(obj_t
		BgL_envz00_2178, obj_t BgL_funz00_2179)
	{
		{	/* BackEnd/cplib.scm 205 */
			return
				BGl_forzd2eachzd2declaredzd2classeszd2zzbackend_cplibz00
				(BgL_funz00_2179);
		}

	}



/* get-declared-classes */
	BGL_EXPORTED_DEF obj_t BGl_getzd2declaredzd2classesz00zzbackend_cplibz00()
	{
		{	/* BackEnd/cplib.scm 220 */
			{	/* BackEnd/cplib.scm 223 */
				obj_t BgL_rz00_1726;

				BgL_rz00_1726 = BNIL;
				{	/* BackEnd/cplib.scm 224 */
					obj_t BgL_g1245z00_1727;

					BgL_g1245z00_1727 = BGl_getzd2classzd2listz00zzobject_classz00();
					{
						obj_t BgL_l1243z00_1729;

						BgL_l1243z00_1729 = BgL_g1245z00_1727;
					BgL_zc3z04anonymousza31519ze3z87_1730:
						if (PAIRP(BgL_l1243z00_1729))
							{	/* BackEnd/cplib.scm 229 */
								{	/* BackEnd/cplib.scm 225 */
									obj_t BgL_cz00_1732;

									BgL_cz00_1732 = CAR(BgL_l1243z00_1729);
									{	/* BackEnd/cplib.scm 225 */
										bool_t BgL_test1910z00_2568;

										{	/* BackEnd/cplib.scm 225 */
											bool_t BgL_test1911z00_2569;

											{	/* BackEnd/cplib.scm 225 */
												obj_t BgL_arg1562z00_1744;

												{	/* BackEnd/cplib.scm 225 */
													BgL_globalz00_bglt BgL_arg1564z00_1745;

													{
														BgL_tclassz00_bglt BgL_auxz00_2570;

														{
															obj_t BgL_auxz00_2571;

															{	/* BackEnd/cplib.scm 225 */
																BgL_objectz00_bglt BgL_tmpz00_2572;

																BgL_tmpz00_2572 =
																	((BgL_objectz00_bglt)
																	((BgL_typez00_bglt) BgL_cz00_1732));
																BgL_auxz00_2571 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2572);
															}
															BgL_auxz00_2570 =
																((BgL_tclassz00_bglt) BgL_auxz00_2571);
														}
														BgL_arg1564z00_1745 =
															(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2570))->
															BgL_holderz00);
													}
													BgL_arg1562z00_1744 =
														(((BgL_globalz00_bglt)
															COBJECT(BgL_arg1564z00_1745))->BgL_importz00);
												}
												BgL_test1911z00_2569 =
													(BgL_arg1562z00_1744 == CNST_TABLE_REF(((long) 3)));
											}
											if (BgL_test1911z00_2569)
												{	/* BackEnd/cplib.scm 225 */
													BgL_test1910z00_2568 = ((bool_t) 1);
												}
											else
												{	/* BackEnd/cplib.scm 225 */
													BgL_test1910z00_2568 =
														(BgL_cz00_1732 ==
														BGl_getzd2objectzd2typez00zztype_cachez00());
												}
										}
										if (BgL_test1910z00_2568)
											{	/* BackEnd/cplib.scm 225 */
												BFALSE;
											}
										else
											{	/* BackEnd/cplib.scm 227 */
												obj_t BgL_arg1547z00_1740;

												if (BGl_widezd2classzf3z21zzobject_classz00
													(BgL_cz00_1732))
													{	/* BackEnd/cplib.scm 227 */
														BgL_arg1547z00_1740 =
															BGl_widezd2ze3chunkz31zzbackend_cplibz00(
															((BgL_typez00_bglt) BgL_cz00_1732));
													}
												else
													{	/* BackEnd/cplib.scm 227 */
														BgL_arg1547z00_1740 = BgL_cz00_1732;
													}
												BgL_rz00_1726 =
													MAKE_YOUNG_PAIR(BgL_arg1547z00_1740, BgL_rz00_1726);
											}
									}
								}
								{
									obj_t BgL_l1243z00_2588;

									BgL_l1243z00_2588 = CDR(BgL_l1243z00_1729);
									BgL_l1243z00_1729 = BgL_l1243z00_2588;
									goto BgL_zc3z04anonymousza31519ze3z87_1730;
								}
							}
						else
							{	/* BackEnd/cplib.scm 229 */
								((bool_t) 1);
							}
					}
				}
				return BgL_rz00_1726;
			}
		}

	}



/* &get-declared-classes */
	obj_t BGl_z62getzd2declaredzd2classesz62zzbackend_cplibz00(obj_t
		BgL_envz00_2180)
	{
		{	/* BackEnd/cplib.scm 220 */
			return BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
		}

	}



/* type->class */
	obj_t BGl_typezd2ze3classz31zzbackend_cplibz00(BgL_typez00_bglt
		BgL_typez00_25)
	{
		{	/* BackEnd/cplib.scm 235 */
			{	/* BackEnd/cplib.scm 237 */
				bool_t BgL_test1913z00_2591;

				{	/* BackEnd/cplib.scm 237 */
					bool_t BgL_res1826z00_2121;

					BgL_res1826z00_2121 =
						BGl_isazf3zf3zz__objectz00(
						((obj_t) BgL_typez00_25), BGl_tclassz00zzobject_classz00);
					BgL_test1913z00_2591 = BgL_res1826z00_2121;
				}
				if (BgL_test1913z00_2591)
					{	/* BackEnd/cplib.scm 237 */
						return ((obj_t) BgL_typez00_25);
					}
				else
					{	/* BackEnd/cplib.scm 239 */
						bool_t BgL_test1914z00_2595;

						{	/* BackEnd/cplib.scm 239 */
							bool_t BgL_res1827z00_2122;

							BgL_res1827z00_2122 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_typez00_25), BGl_wclassz00zzobject_classz00);
							BgL_test1914z00_2595 = BgL_res1827z00_2122;
						}
						if (BgL_test1914z00_2595)
							{
								BgL_wclassz00_bglt BgL_auxz00_2598;

								{
									obj_t BgL_auxz00_2599;

									{	/* BackEnd/cplib.scm 240 */
										BgL_objectz00_bglt BgL_tmpz00_2600;

										BgL_tmpz00_2600 =
											((BgL_objectz00_bglt)
											((BgL_typez00_bglt) BgL_typez00_25));
										BgL_auxz00_2599 = BGL_OBJECT_WIDENING(BgL_tmpz00_2600);
									}
									BgL_auxz00_2598 = ((BgL_wclassz00_bglt) BgL_auxz00_2599);
								}
								return
									(((BgL_wclassz00_bglt) COBJECT(BgL_auxz00_2598))->
									BgL_itszd2classzd2);
							}
						else
							{	/* BackEnd/cplib.scm 239 */
								return
									BGl_internalzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
											4)), BGl_string1842z00zzbackend_cplibz00,
									((obj_t) BgL_typez00_25));
		}}}}

	}



/* get-its-super */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getzd2itszd2superz00zzbackend_cplibz00(BgL_typez00_bglt BgL_typez00_26)
	{
		{	/* BackEnd/cplib.scm 247 */
			{	/* BackEnd/cplib.scm 248 */
				obj_t BgL_arg1572z00_2125;

				BgL_arg1572z00_2125 =
					BGl_typezd2ze3classz31zzbackend_cplibz00(BgL_typez00_26);
				{
					obj_t BgL_auxz00_2610;

					{
						BgL_tclassz00_bglt BgL_auxz00_2611;

						{
							obj_t BgL_auxz00_2612;

							{	/* BackEnd/cplib.scm 248 */
								BgL_objectz00_bglt BgL_tmpz00_2613;

								BgL_tmpz00_2613 =
									((BgL_objectz00_bglt)
									((BgL_typez00_bglt) BgL_arg1572z00_2125));
								BgL_auxz00_2612 = BGL_OBJECT_WIDENING(BgL_tmpz00_2613);
							}
							BgL_auxz00_2611 = ((BgL_tclassz00_bglt) BgL_auxz00_2612);
						}
						BgL_auxz00_2610 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2611))->
							BgL_itszd2superzd2);
					}
					return ((BgL_typez00_bglt) BgL_auxz00_2610);
				}
			}
		}

	}



/* &get-its-super */
	BgL_typez00_bglt BGl_z62getzd2itszd2superz62zzbackend_cplibz00(obj_t
		BgL_envz00_2181, obj_t BgL_typez00_2182)
	{
		{	/* BackEnd/cplib.scm 247 */
			return
				BGl_getzd2itszd2superz00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_typez00_2182));
		}

	}



/* get-declared-fields */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_typez00_27)
	{
		{	/* BackEnd/cplib.scm 253 */
			{	/* BackEnd/cplib.scm 255 */
				obj_t BgL_classz00_1751;

				BgL_classz00_1751 =
					BGl_typezd2ze3classz31zzbackend_cplibz00(BgL_typez00_27);
				{	/* BackEnd/cplib.scm 256 */
					obj_t BgL_hook1250z00_1752;

					BgL_hook1250z00_1752 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
					{	/* BackEnd/cplib.scm 259 */
						obj_t BgL_g1251z00_1753;

						{
							BgL_tclassz00_bglt BgL_auxz00_2624;

							{
								obj_t BgL_auxz00_2625;

								{	/* BackEnd/cplib.scm 259 */
									BgL_objectz00_bglt BgL_tmpz00_2626;

									BgL_tmpz00_2626 =
										((BgL_objectz00_bglt)
										((BgL_typez00_bglt) BgL_classz00_1751));
									BgL_auxz00_2625 = BGL_OBJECT_WIDENING(BgL_tmpz00_2626);
								}
								BgL_auxz00_2624 = ((BgL_tclassz00_bglt) BgL_auxz00_2625);
							}
							BgL_g1251z00_1753 =
								(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2624))->BgL_slotsz00);
						}
						{
							obj_t BgL_l1247z00_1755;
							obj_t BgL_h1248z00_1756;

							BgL_l1247z00_1755 = BgL_g1251z00_1753;
							BgL_h1248z00_1756 = BgL_hook1250z00_1752;
						BgL_zc3z04anonymousza31573ze3z87_1757:
							if (NULLP(BgL_l1247z00_1755))
								{	/* BackEnd/cplib.scm 259 */
									return CDR(BgL_hook1250z00_1752);
								}
							else
								{	/* BackEnd/cplib.scm 259 */
									bool_t BgL_test1916z00_2635;

									{	/* BackEnd/cplib.scm 257 */
										BgL_slotz00_bglt BgL_slotz00_1767;

										BgL_slotz00_1767 =
											((BgL_slotz00_bglt) CAR(((obj_t) BgL_l1247z00_1755)));
										if (BGl_slotzd2virtualzf3z21zzobject_slotsz00
											(BgL_slotz00_1767))
											{	/* BackEnd/cplib.scm 257 */
												BgL_test1916z00_2635 = ((bool_t) 0);
											}
										else
											{	/* BackEnd/cplib.scm 257 */
												BgL_test1916z00_2635 =
													(BgL_classz00_1751 ==
													(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_1767))->
														BgL_classzd2ownerzd2));
											}
									}
									if (BgL_test1916z00_2635)
										{	/* BackEnd/cplib.scm 259 */
											obj_t BgL_nh1249z00_1763;

											{	/* BackEnd/cplib.scm 259 */
												obj_t BgL_arg1588z00_1765;

												BgL_arg1588z00_1765 = CAR(((obj_t) BgL_l1247z00_1755));
												{	/* BackEnd/cplib.scm 259 */
													obj_t BgL_res1829z00_2135;

													BgL_res1829z00_2135 =
														MAKE_YOUNG_PAIR(BgL_arg1588z00_1765, BNIL);
													BgL_nh1249z00_1763 = BgL_res1829z00_2135;
												}
											}
											SET_CDR(BgL_h1248z00_1756, BgL_nh1249z00_1763);
											{	/* BackEnd/cplib.scm 259 */
												obj_t BgL_arg1582z00_1764;

												BgL_arg1582z00_1764 = CDR(((obj_t) BgL_l1247z00_1755));
												{
													obj_t BgL_h1248z00_2650;
													obj_t BgL_l1247z00_2649;

													BgL_l1247z00_2649 = BgL_arg1582z00_1764;
													BgL_h1248z00_2650 = BgL_nh1249z00_1763;
													BgL_h1248z00_1756 = BgL_h1248z00_2650;
													BgL_l1247z00_1755 = BgL_l1247z00_2649;
													goto BgL_zc3z04anonymousza31573ze3z87_1757;
												}
											}
										}
									else
										{	/* BackEnd/cplib.scm 259 */
											obj_t BgL_arg1594z00_1766;

											BgL_arg1594z00_1766 = CDR(((obj_t) BgL_l1247z00_1755));
											{
												obj_t BgL_l1247z00_2653;

												BgL_l1247z00_2653 = BgL_arg1594z00_1766;
												BgL_l1247z00_1755 = BgL_l1247z00_2653;
												goto BgL_zc3z04anonymousza31573ze3z87_1757;
											}
										}
								}
						}
					}
				}
			}
		}

	}



/* &get-declared-fields */
	obj_t BGl_z62getzd2declaredzd2fieldsz62zzbackend_cplibz00(obj_t
		BgL_envz00_2183, obj_t BgL_typez00_2184)
	{
		{	/* BackEnd/cplib.scm 253 */
			return
				BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_typez00_2184));
		}

	}



/* get-field-type */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2fieldzd2typez00zzbackend_cplibz00(BgL_slotz00_bglt BgL_slotz00_28)
	{
		{	/* BackEnd/cplib.scm 264 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_slotz00_28))->BgL_typez00);
		}

	}



/* &get-field-type */
	obj_t BGl_z62getzd2fieldzd2typez62zzbackend_cplibz00(obj_t BgL_envz00_2185,
		obj_t BgL_slotz00_2186)
	{
		{	/* BackEnd/cplib.scm 264 */
			return
				BGl_getzd2fieldzd2typez00zzbackend_cplibz00(
				((BgL_slotz00_bglt) BgL_slotz00_2186));
		}

	}



/* wide->chunk */
	BGL_EXPORTED_DEF obj_t
		BGl_widezd2ze3chunkz31zzbackend_cplibz00(BgL_typez00_bglt BgL_cz00_29)
	{
		{	/* BackEnd/cplib.scm 271 */
			{	/* BackEnd/cplib.scm 275 */
				bool_t BgL_test1918z00_2659;

				{	/* BackEnd/cplib.scm 275 */
					BgL_typez00_bglt BgL_arg1622z00_1776;
					obj_t BgL_arg1626z00_1777;

					{	/* BackEnd/cplib.scm 275 */
						obj_t BgL_arg1628z00_1778;

						{	/* BackEnd/cplib.scm 275 */
							obj_t BgL_arg1631z00_1779;

							BgL_arg1631z00_1779 =
								(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_cz00_29)))->BgL_idz00);
							BgL_arg1628z00_1778 =
								BGl_widezd2chunkzd2classzd2idzd2zzobject_classz00
								(BgL_arg1631z00_1779);
						}
						BgL_arg1622z00_1776 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1628z00_1778);
					}
					{
						BgL_tclassz00_bglt BgL_auxz00_2664;

						{
							obj_t BgL_auxz00_2665;

							{	/* BackEnd/cplib.scm 276 */
								BgL_objectz00_bglt BgL_tmpz00_2666;

								BgL_tmpz00_2666 = ((BgL_objectz00_bglt) BgL_cz00_29);
								BgL_auxz00_2665 = BGL_OBJECT_WIDENING(BgL_tmpz00_2666);
							}
							BgL_auxz00_2664 = ((BgL_tclassz00_bglt) BgL_auxz00_2665);
						}
						BgL_arg1626z00_1777 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2664))->
							BgL_widezd2typezd2);
					}
					BgL_test1918z00_2659 =
						(((obj_t) BgL_arg1622z00_1776) == BgL_arg1626z00_1777);
				}
				if (BgL_test1918z00_2659)
					{
						BgL_tclassz00_bglt BgL_auxz00_2673;

						{
							obj_t BgL_auxz00_2674;

							{	/* BackEnd/cplib.scm 278 */
								BgL_objectz00_bglt BgL_tmpz00_2675;

								BgL_tmpz00_2675 = ((BgL_objectz00_bglt) BgL_cz00_29);
								BgL_auxz00_2674 = BGL_OBJECT_WIDENING(BgL_tmpz00_2675);
							}
							BgL_auxz00_2673 = ((BgL_tclassz00_bglt) BgL_auxz00_2674);
						}
						return
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2673))->
							BgL_widezd2typezd2);
					}
				else
					{	/* BackEnd/cplib.scm 275 */
						return
							BGl_errorz00zz__errorz00(BGl_string1843z00zzbackend_cplibz00,
							BGl_string1844z00zzbackend_cplibz00, ((obj_t) BgL_cz00_29));
					}
			}
		}

	}



/* &wide->chunk */
	obj_t BGl_z62widezd2ze3chunkz53zzbackend_cplibz00(obj_t BgL_envz00_2187,
		obj_t BgL_cz00_2188)
	{
		{	/* BackEnd/cplib.scm 271 */
			return
				BGl_widezd2ze3chunkz31zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_cz00_2188));
		}

	}



/* get-declared-global-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00(obj_t
		BgL_modulez00_30)
	{
		{	/* BackEnd/cplib.scm 283 */
			{	/* BackEnd/cplib.scm 285 */
				obj_t BgL_rz00_2197;

				BgL_rz00_2197 = MAKE_CELL(BNIL);
				{	/* BackEnd/cplib.scm 287 */
					obj_t BgL_zc3z04anonymousza31635ze3z87_2189;

					BgL_zc3z04anonymousza31635ze3z87_2189 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31635ze3ze5zzbackend_cplibz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31635ze3z87_2189,
						(int) (((long) 0)), ((obj_t) BgL_rz00_2197));
					PROCEDURE_SET(BgL_zc3z04anonymousza31635ze3z87_2189,
						(int) (((long) 1)), BgL_modulez00_30);
					BGl_forzd2eachzd2globalz12z12zzast_envz00
						(BgL_zc3z04anonymousza31635ze3z87_2189, BNIL);
				}
				return CELL_REF(BgL_rz00_2197);
			}
		}

	}



/* &get-declared-global-variables */
	obj_t BGl_z62getzd2declaredzd2globalzd2variableszb0zzbackend_cplibz00(obj_t
		BgL_envz00_2190, obj_t BgL_modulez00_2191)
	{
		{	/* BackEnd/cplib.scm 283 */
			return
				BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00
				(BgL_modulez00_2191);
		}

	}



/* &<@anonymous:1635> */
	obj_t BGl_z62zc3z04anonymousza31635ze3ze5zzbackend_cplibz00(obj_t
		BgL_envz00_2192, obj_t BgL_vz00_2195)
	{
		{	/* BackEnd/cplib.scm 286 */
			{	/* BackEnd/cplib.scm 287 */
				obj_t BgL_rz00_2193;
				obj_t BgL_modulez00_2194;

				BgL_rz00_2193 = PROCEDURE_REF(BgL_envz00_2192, (int) (((long) 0)));
				BgL_modulez00_2194 = PROCEDURE_REF(BgL_envz00_2192, (int) (((long) 1)));
				{	/* BackEnd/cplib.scm 287 */
					bool_t BgL_test1919z00_2698;

					if (
						((((BgL_globalz00_bglt) COBJECT(
										((BgL_globalz00_bglt) BgL_vz00_2195)))->BgL_modulez00) ==
							BgL_modulez00_2194))
						{	/* BackEnd/cplib.scm 288 */
							bool_t BgL_test1921z00_2703;

							{	/* BackEnd/cplib.scm 288 */
								BgL_valuez00_bglt BgL_arg1664z00_2223;

								BgL_arg1664z00_2223 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_vz00_2195))))->BgL_valuez00);
								{	/* BackEnd/cplib.scm 288 */
									bool_t BgL_res1830z00_2224;

									BgL_res1830z00_2224 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_arg1664z00_2223), BGl_cfunz00zzast_varz00);
									BgL_test1921z00_2703 = BgL_res1830z00_2224;
								}
							}
							if (BgL_test1921z00_2703)
								{	/* BackEnd/cplib.scm 288 */
									BgL_test1919z00_2698 = ((bool_t) 0);
								}
							else
								{	/* BackEnd/cplib.scm 289 */
									bool_t BgL_test1922z00_2709;

									{	/* BackEnd/cplib.scm 289 */
										BgL_valuez00_bglt BgL_arg1661z00_2225;

										BgL_arg1661z00_2225 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_2195))))->
											BgL_valuez00);
										{	/* BackEnd/cplib.scm 289 */
											bool_t BgL_res1831z00_2226;

											BgL_res1831z00_2226 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_arg1661z00_2225), BGl_sfunz00zzast_varz00);
											BgL_test1922z00_2709 = BgL_res1831z00_2226;
										}
									}
									if (BgL_test1922z00_2709)
										{	/* BackEnd/cplib.scm 289 */
											BgL_test1919z00_2698 = ((bool_t) 0);
										}
									else
										{	/* BackEnd/cplib.scm 289 */
											if (
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_vz00_2195))))->
														BgL_idz00) == CNST_TABLE_REF(((long) 5))))
												{	/* BackEnd/cplib.scm 290 */
													BgL_test1919z00_2698 = ((bool_t) 0);
												}
											else
												{	/* BackEnd/cplib.scm 290 */
													BgL_test1919z00_2698 = ((bool_t) 1);
												}
										}
								}
						}
					else
						{	/* BackEnd/cplib.scm 287 */
							BgL_test1919z00_2698 = ((bool_t) 0);
						}
					if (BgL_test1919z00_2698)
						{	/* BackEnd/cplib.scm 291 */
							obj_t BgL_auxz00_2227;

							BgL_auxz00_2227 =
								MAKE_YOUNG_PAIR(BgL_vz00_2195, CELL_REF(BgL_rz00_2193));
							return CELL_SET(BgL_rz00_2193, BgL_auxz00_2227);
						}
					else
						{	/* BackEnd/cplib.scm 287 */
							return BFALSE;
						}
				}
			}
		}

	}



/* get-global-variables-to-be-initialized */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
		(obj_t BgL_modulez00_31)
	{
		{	/* BackEnd/cplib.scm 297 */
			{	/* BackEnd/cplib.scm 299 */
				obj_t BgL_rz00_2207;

				BgL_rz00_2207 = MAKE_CELL(BNIL);
				{	/* BackEnd/cplib.scm 301 */
					obj_t BgL_zc3z04anonymousza31668ze3z87_2199;

					BgL_zc3z04anonymousza31668ze3z87_2199 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31668ze3ze5zzbackend_cplibz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31668ze3z87_2199,
						(int) (((long) 0)), ((obj_t) BgL_rz00_2207));
					PROCEDURE_SET(BgL_zc3z04anonymousza31668ze3z87_2199,
						(int) (((long) 1)), BgL_modulez00_31);
					BGl_forzd2eachzd2globalz12z12zzast_envz00
						(BgL_zc3z04anonymousza31668ze3z87_2199, BNIL);
				}
				return CELL_REF(BgL_rz00_2207);
			}
		}

	}



/* &get-global-variables-to-be-initialized */
	obj_t
		BGl_z62getzd2globalzd2variableszd2tozd2bezd2initializa7edz17zzbackend_cplibz00
		(obj_t BgL_envz00_2200, obj_t BgL_modulez00_2201)
	{
		{	/* BackEnd/cplib.scm 297 */
			return
				BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
				(BgL_modulez00_2201);
		}

	}



/* &<@anonymous:1668> */
	obj_t BGl_z62zc3z04anonymousza31668ze3ze5zzbackend_cplibz00(obj_t
		BgL_envz00_2202, obj_t BgL_globalz00_2205)
	{
		{	/* BackEnd/cplib.scm 300 */
			{	/* BackEnd/cplib.scm 301 */
				obj_t BgL_rz00_2203;
				obj_t BgL_modulez00_2204;

				BgL_rz00_2203 = PROCEDURE_REF(BgL_envz00_2202, (int) (((long) 0)));
				BgL_modulez00_2204 = PROCEDURE_REF(BgL_envz00_2202, (int) (((long) 1)));
				{	/* BackEnd/cplib.scm 301 */
					bool_t BgL_test1924z00_2736;

					if (
						((((BgL_globalz00_bglt) COBJECT(
										((BgL_globalz00_bglt) BgL_globalz00_2205)))->
								BgL_modulez00) == BgL_modulez00_2204))
						{	/* BackEnd/cplib.scm 301 */
							if (BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(
									((BgL_globalz00_bglt) BgL_globalz00_2205)))
								{	/* BackEnd/cplib.scm 304 */
									BgL_valuez00_bglt BgL_arg1677z00_2228;

									BgL_arg1677z00_2228 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_2205))))->
										BgL_valuez00);
									{	/* BackEnd/cplib.scm 304 */
										bool_t BgL_res1832z00_2229;

										BgL_res1832z00_2229 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_arg1677z00_2228), BGl_scnstz00zzast_varz00);
										BgL_test1924z00_2736 = BgL_res1832z00_2229;
									}
								}
							else
								{	/* BackEnd/cplib.scm 303 */
									BgL_test1924z00_2736 = ((bool_t) 0);
								}
						}
					else
						{	/* BackEnd/cplib.scm 301 */
							BgL_test1924z00_2736 = ((bool_t) 0);
						}
					if (BgL_test1924z00_2736)
						{	/* BackEnd/cplib.scm 305 */
							obj_t BgL_auxz00_2230;

							BgL_auxz00_2230 =
								MAKE_YOUNG_PAIR(BgL_globalz00_2205, CELL_REF(BgL_rz00_2203));
							return CELL_SET(BgL_rz00_2203, BgL_auxz00_2230);
						}
					else
						{	/* BackEnd/cplib.scm 301 */
							return BFALSE;
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_cplibz00()
	{
		{	/* BackEnd/cplib.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_cplibz00()
	{
		{	/* BackEnd/cplib.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_cplibz00()
	{
		{	/* BackEnd/cplib.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_cplibz00()
	{
		{	/* BackEnd/cplib.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1845z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1845z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1845z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1845z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1845z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1845z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1845z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long) 89013043),
				BSTRING_TO_STRING(BGl_string1845z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1845z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string1845z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string1845z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzmodule_javaz00(((long) 93941037),
				BSTRING_TO_STRING(BGl_string1845z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 476633989),
				BSTRING_TO_STRING(BGl_string1845z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(((long)
					364917963), BSTRING_TO_STRING(BGl_string1845z00zzbackend_cplibz00));
			return BGl_modulezd2initializa7ationz75zztools_errorz00(((long)
					300504031), BSTRING_TO_STRING(BGl_string1845z00zzbackend_cplibz00));
		}

	}

#ifdef __cplusplus
}
#endif
