/*===========================================================================*/
/*   (Sync/failsafe.scm)                                                     */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 11 May 2020 12:14:39 PM CEST    */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3h -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Sync/failsafe.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_failsafezd2funzf3z21zzsync_failsafez00(BgL_funz00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzsync_failsafez00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2pragma1300z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsync_failsafez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2letzd2fun1310z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2app1290z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2boxzd2setz121318z83zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2makezd2box1314z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_za2optimzd2synczd2failsafezf3za2zf3zzengine_paramz00;
	static obj_t BGl_z62failsafezf3z91zzsync_failsafez00(obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsync_failsafez00();
	static obj_t BGl_z62failsafezd2funzf3z43zzsync_failsafez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2letzd2var1312z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_failsafezf3zf3zzsync_failsafez00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62failsafezd2funzf31291z43zzsync_failsafez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2switch1308z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzsync_failsafez00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_z62failsafezd2funzf3zd2sfun1294z91zzsync_failsafez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2sequence1286z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzsync_failsafez00();
	static obj_t BGl_z62failsafezf3zd2extern1298z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsync_failsafez00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2var1282z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2atom1280z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2kwote1284z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_z62failsafezd2funzf3zd2cfun1296z91zzsync_failsafez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsync_failsafez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_z62failsafezf3zd2cast1302z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2setq1304z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzsync_failsafez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsync_failsafez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzsync_failsafez00();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2conditiona1306z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezd2synczf3z43zzsync_failsafez00(obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2boxzd2ref1316z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2sync1288z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf31277z91zzsync_failsafez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string1801z00zzsync_failsafez00,
		BgL_bgl_string1801za700za7za7s1819za7, "failsafe-fun?", 13);
	      DEFINE_STRING(BGl_string1814z00zzsync_failsafez00,
		BgL_bgl_string1814za700za7za7s1820za7, "sync_failsafe", 13);
	      DEFINE_STRING(BGl_string1815z00zzsync_failsafez00,
		BgL_bgl_string1815za700za7za7s1821za7, "fail-safe ", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failsafezd2synczf3zd2envzf3zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2sy1822z00,
		BGl_z62failsafezd2synczf3z43zzsync_failsafez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1789z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3121823z00,
		BGl_z62failsafezf31277z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1791z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1824z00,
		BGl_z62failsafezd2funzf31291z43zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1793z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1825za7,
		BGl_z62failsafezf3zd2atom1280z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1795z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1826za7,
		BGl_z62failsafezf3zd2var1282z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1796z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1827za7,
		BGl_z62failsafezf3zd2kwote1284z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1797z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1828za7,
		BGl_z62failsafezf3zd2sequence1286z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1829za7,
		BGl_z62failsafezf3zd2sync1288z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1799z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1830za7,
		BGl_z62failsafezf3zd2app1290z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_failsafezf3zd2envz21zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za791831za7,
		BGl_z62failsafezf3z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1832z00,
		BGl_z62failsafezd2funzf3z43zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1833z00,
		BGl_z62failsafezd2funzf3zd2sfun1294z91zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1802z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1834z00,
		BGl_z62failsafezd2funzf3zd2cfun1296z91zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1803z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1835za7,
		BGl_z62failsafezf3zd2extern1298z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1804z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1836za7,
		BGl_z62failsafezf3zd2pragma1300z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1805z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1837za7,
		BGl_z62failsafezf3zd2cast1302z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1806z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1838za7,
		BGl_z62failsafezf3zd2setq1304z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1807z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1839za7,
		BGl_z62failsafezf3zd2conditiona1306z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1808z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1840za7,
		BGl_z62failsafezf3zd2switch1308z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1809z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1841za7,
		BGl_z62failsafezf3zd2letzd2fun1310z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1810z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1842za7,
		BGl_z62failsafezf3zd2letzd2var1312z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1811z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1843za7,
		BGl_z62failsafezf3zd2makezd2box1314z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1812z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1844za7,
		BGl_z62failsafezf3zd2boxzd2ref1316z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1813z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1845za7,
		BGl_z62failsafezf3zd2boxzd2setz121318z83zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1790z00zzsync_failsafez00,
		BgL_bgl_string1790za700za7za7s1846za7, "failsafe?1277", 13);
	      DEFINE_STRING(BGl_string1792z00zzsync_failsafez00,
		BgL_bgl_string1792za700za7za7s1847za7, "failsafe-fun?1291", 17);
	      DEFINE_STRING(BGl_string1794z00zzsync_failsafez00,
		BgL_bgl_string1794za700za7za7s1848za7, "failsafe?", 9);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsync_failsafez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsync_failsafez00(long
		BgL_checksumz00_2339, char *BgL_fromz00_2340)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsync_failsafez00))
				{
					BGl_requirezd2initializa7ationz75zzsync_failsafez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsync_failsafez00();
					BGl_libraryzd2moduleszd2initz00zzsync_failsafez00();
					BGl_cnstzd2initzd2zzsync_failsafez00();
					BGl_importedzd2moduleszd2initz00zzsync_failsafez00();
					BGl_genericzd2initzd2zzsync_failsafez00();
					BGl_methodzd2initzd2zzsync_failsafez00();
					return BGl_toplevelzd2initzd2zzsync_failsafez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsync_failsafez00()
	{
		{	/* Sync/failsafe.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"sync_failsafe");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsync_failsafez00()
	{
		{	/* Sync/failsafe.scm 16 */
			{	/* Sync/failsafe.scm 16 */
				obj_t BgL_cportz00_2255;

				{	/* Sync/failsafe.scm 16 */
					obj_t BgL_stringz00_2263;

					BgL_stringz00_2263 = BGl_string1815z00zzsync_failsafez00;
					{	/* Sync/failsafe.scm 16 */
						obj_t BgL_startz00_2264;

						BgL_startz00_2264 = BINT(((long) 0));
						{	/* Sync/failsafe.scm 16 */
							obj_t BgL_endz00_2265;

							BgL_endz00_2265 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2263)));
							{	/* Sync/failsafe.scm 16 */

								BgL_cportz00_2255 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2263, BgL_startz00_2264, BgL_endz00_2265);
				}}}}
				{
					long BgL_iz00_2256;

					BgL_iz00_2256 = ((long) 0);
				BgL_loopz00_2257:
					if ((BgL_iz00_2256 == ((long) -1)))
						{	/* Sync/failsafe.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Sync/failsafe.scm 16 */
							{	/* Sync/failsafe.scm 16 */
								obj_t BgL_arg1817z00_2259;

								{	/* Sync/failsafe.scm 16 */

									{	/* Sync/failsafe.scm 16 */
										obj_t BgL_locationz00_2261;

										BgL_locationz00_2261 = BBOOL(((bool_t) 0));
										{	/* Sync/failsafe.scm 16 */

											BgL_arg1817z00_2259 =
												BGl_readz00zz__readerz00(BgL_cportz00_2255,
												BgL_locationz00_2261);
										}
									}
								}
								{	/* Sync/failsafe.scm 16 */
									int BgL_tmpz00_2370;

									BgL_tmpz00_2370 = (int) (BgL_iz00_2256);
									CNST_TABLE_SET(BgL_tmpz00_2370, BgL_arg1817z00_2259);
							}}
							{	/* Sync/failsafe.scm 16 */
								int BgL_auxz00_2262;

								BgL_auxz00_2262 = (int) ((BgL_iz00_2256 - ((long) 1)));
								{
									long BgL_iz00_2375;

									BgL_iz00_2375 = (long) (BgL_auxz00_2262);
									BgL_iz00_2256 = BgL_iz00_2375;
									goto BgL_loopz00_2257;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsync_failsafez00()
	{
		{	/* Sync/failsafe.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsync_failsafez00()
	{
		{	/* Sync/failsafe.scm 16 */
			return BUNSPEC;
		}

	}



/* failsafe-sync? */
	BGL_EXPORTED_DEF obj_t
		BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt BgL_nz00_17)
	{
		{	/* Sync/failsafe.scm 45 */
			if (CBOOL(BGl_za2optimzd2synczd2failsafezf3za2zf3zzengine_paramz00))
				{	/* Sync/failsafe.scm 46 */
					return
						BGl_failsafezf3zf3zzsync_failsafez00(
						(((BgL_syncz00_bglt) COBJECT(BgL_nz00_17))->BgL_bodyz00), BNIL);
				}
			else
				{	/* Sync/failsafe.scm 46 */
					return BFALSE;
				}
		}

	}



/* &failsafe-sync? */
	obj_t BGl_z62failsafezd2synczf3z43zzsync_failsafez00(obj_t BgL_envz00_2158,
		obj_t BgL_nz00_2159)
	{
		{	/* Sync/failsafe.scm 45 */
			return
				BGl_failsafezd2synczf3z21zzsync_failsafez00(
				((BgL_syncz00_bglt) BgL_nz00_2159));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsync_failsafez00()
	{
		{	/* Sync/failsafe.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsync_failsafez00()
	{
		{	/* Sync/failsafe.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_proc1789z00zzsync_failsafez00, BGl_nodez00zzast_nodez00,
				BGl_string1790z00zzsync_failsafez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_proc1791z00zzsync_failsafez00, BGl_funz00zzast_varz00,
				BGl_string1792z00zzsync_failsafez00);
		}

	}



/* &failsafe-fun?1291 */
	obj_t BGl_z62failsafezd2funzf31291z43zzsync_failsafez00(obj_t BgL_envz00_2162,
		obj_t BgL_funz00_2163, obj_t BgL_varz00_2164, obj_t BgL_stkz00_2165)
	{
		{	/* Sync/failsafe.scm 102 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &failsafe?1277 */
	obj_t BGl_z62failsafezf31277z91zzsync_failsafez00(obj_t BgL_envz00_2166,
		obj_t BgL_nz00_2167, obj_t BgL_stkz00_2168)
	{
		{	/* Sync/failsafe.scm 53 */
			return BBOOL(((bool_t) 0));
		}

	}



/* failsafe? */
	obj_t BGl_failsafezf3zf3zzsync_failsafez00(BgL_nodez00_bglt BgL_nz00_18,
		obj_t BgL_stkz00_19)
	{
		{	/* Sync/failsafe.scm 53 */
			{	/* Sync/failsafe.scm 53 */
				obj_t BgL_method1278z00_1644;

				{	/* Sync/failsafe.scm 53 */
					obj_t BgL_res1765z00_2082;

					{	/* Sync/failsafe.scm 53 */
						long BgL_objzd2classzd2numz00_2047;

						{	/* Sync/failsafe.scm 53 */
							long BgL_res1755z00_2050;

							BgL_res1755z00_2050 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_18));
							BgL_objzd2classzd2numz00_2047 = BgL_res1755z00_2050;
						}
						{	/* Sync/failsafe.scm 53 */
							obj_t BgL_arg1742z00_2048;

							BgL_arg1742z00_2048 =
								PROCEDURE_REF(BGl_failsafezf3zd2envz21zzsync_failsafez00,
								(int) (((long) 1)));
							{	/* Sync/failsafe.scm 53 */
								int BgL_offsetz00_2052;

								BgL_offsetz00_2052 = (int) (BgL_objzd2classzd2numz00_2047);
								{	/* Sync/failsafe.scm 53 */
									long BgL_offsetz00_2053;

									BgL_offsetz00_2053 =
										((long) (BgL_offsetz00_2052) - OBJECT_TYPE);
									{	/* Sync/failsafe.scm 53 */
										long BgL_modz00_2054;

										BgL_modz00_2054 =
											(BgL_offsetz00_2053 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Sync/failsafe.scm 53 */
											long BgL_restz00_2056;

											BgL_restz00_2056 =
												(BgL_offsetz00_2053 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Sync/failsafe.scm 53 */

												{	/* Sync/failsafe.scm 53 */
													obj_t BgL_bucketz00_2058;

													BgL_bucketz00_2058 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_2048), BgL_modz00_2054);
													BgL_res1765z00_2082 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2058), BgL_restz00_2056);
					}}}}}}}}
					BgL_method1278z00_1644 = BgL_res1765z00_2082;
				}
				return
					PROCEDURE_ENTRY(BgL_method1278z00_1644) (BgL_method1278z00_1644,
					((obj_t) BgL_nz00_18), BgL_stkz00_19, BEOA);
			}
		}

	}



/* &failsafe? */
	obj_t BGl_z62failsafezf3z91zzsync_failsafez00(obj_t BgL_envz00_2169,
		obj_t BgL_nz00_2170, obj_t BgL_stkz00_2171)
	{
		{	/* Sync/failsafe.scm 53 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				((BgL_nodez00_bglt) BgL_nz00_2170), BgL_stkz00_2171);
		}

	}



/* failsafe-fun? */
	obj_t BGl_failsafezd2funzf3z21zzsync_failsafez00(BgL_funz00_bglt
		BgL_funz00_32, BgL_variablez00_bglt BgL_varz00_33, obj_t BgL_stkz00_34)
	{
		{	/* Sync/failsafe.scm 102 */
			{	/* Sync/failsafe.scm 102 */
				obj_t BgL_method1292z00_1645;

				{	/* Sync/failsafe.scm 102 */
					obj_t BgL_res1776z00_2119;

					{	/* Sync/failsafe.scm 102 */
						long BgL_objzd2classzd2numz00_2084;

						{	/* Sync/failsafe.scm 102 */
							long BgL_res1766z00_2087;

							BgL_res1766z00_2087 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_32));
							BgL_objzd2classzd2numz00_2084 = BgL_res1766z00_2087;
						}
						{	/* Sync/failsafe.scm 102 */
							obj_t BgL_arg1742z00_2085;

							BgL_arg1742z00_2085 =
								PROCEDURE_REF(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
								(int) (((long) 1)));
							{	/* Sync/failsafe.scm 102 */
								int BgL_offsetz00_2089;

								BgL_offsetz00_2089 = (int) (BgL_objzd2classzd2numz00_2084);
								{	/* Sync/failsafe.scm 102 */
									long BgL_offsetz00_2090;

									BgL_offsetz00_2090 =
										((long) (BgL_offsetz00_2089) - OBJECT_TYPE);
									{	/* Sync/failsafe.scm 102 */
										long BgL_modz00_2091;

										BgL_modz00_2091 =
											(BgL_offsetz00_2090 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Sync/failsafe.scm 102 */
											long BgL_restz00_2093;

											BgL_restz00_2093 =
												(BgL_offsetz00_2090 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Sync/failsafe.scm 102 */

												{	/* Sync/failsafe.scm 102 */
													obj_t BgL_bucketz00_2095;

													BgL_bucketz00_2095 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_2085), BgL_modz00_2091);
													BgL_res1776z00_2119 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2095), BgL_restz00_2093);
					}}}}}}}}
					BgL_method1292z00_1645 = BgL_res1776z00_2119;
				}
				return
					PROCEDURE_ENTRY(BgL_method1292z00_1645) (BgL_method1292z00_1645,
					((obj_t) BgL_funz00_32),
					((obj_t) BgL_varz00_33), BgL_stkz00_34, BEOA);
			}
		}

	}



/* &failsafe-fun? */
	obj_t BGl_z62failsafezd2funzf3z43zzsync_failsafez00(obj_t BgL_envz00_2172,
		obj_t BgL_funz00_2173, obj_t BgL_varz00_2174, obj_t BgL_stkz00_2175)
	{
		{	/* Sync/failsafe.scm 102 */
			return
				BGl_failsafezd2funzf3z21zzsync_failsafez00(
				((BgL_funz00_bglt) BgL_funz00_2173),
				((BgL_variablez00_bglt) BgL_varz00_2174), BgL_stkz00_2175);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsync_failsafez00()
	{
		{	/* Sync/failsafe.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_atomz00zzast_nodez00,
				BGl_proc1793z00zzsync_failsafez00, BGl_string1794z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_varz00zzast_nodez00,
				BGl_proc1795z00zzsync_failsafez00, BGl_string1794z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_kwotez00zzast_nodez00,
				BGl_proc1796z00zzsync_failsafez00, BGl_string1794z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1797z00zzsync_failsafez00,
				BGl_string1794z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_syncz00zzast_nodez00,
				BGl_proc1798z00zzsync_failsafez00, BGl_string1794z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_appz00zzast_nodez00,
				BGl_proc1799z00zzsync_failsafez00, BGl_string1794z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_sfunz00zzast_varz00, BGl_proc1800z00zzsync_failsafez00,
				BGl_string1801z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_cfunz00zzast_varz00, BGl_proc1802z00zzsync_failsafez00,
				BGl_string1801z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_externz00zzast_nodez00,
				BGl_proc1803z00zzsync_failsafez00, BGl_string1794z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_pragmaz00zzast_nodez00,
				BGl_proc1804z00zzsync_failsafez00, BGl_string1794z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_castz00zzast_nodez00,
				BGl_proc1805z00zzsync_failsafez00, BGl_string1794z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_setqz00zzast_nodez00,
				BGl_proc1806z00zzsync_failsafez00, BGl_string1794z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1807z00zzsync_failsafez00,
				BGl_string1794z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_switchz00zzast_nodez00,
				BGl_proc1808z00zzsync_failsafez00, BGl_string1794z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1809z00zzsync_failsafez00,
				BGl_string1794z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1810z00zzsync_failsafez00,
				BGl_string1794z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1811z00zzsync_failsafez00,
				BGl_string1794z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1812z00zzsync_failsafez00,
				BGl_string1794z00zzsync_failsafez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1813z00zzsync_failsafez00,
				BGl_string1794z00zzsync_failsafez00);
		}

	}



/* &failsafe?-box-set!1318 */
	obj_t BGl_z62failsafezf3zd2boxzd2setz121318z83zzsync_failsafez00(obj_t
		BgL_envz00_2195, obj_t BgL_nz00_2196, obj_t BgL_stkz00_2197)
	{
		{	/* Sync/failsafe.scm 216 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_2196)))->BgL_valuez00),
				BgL_stkz00_2197);
		}

	}



/* &failsafe?-box-ref1316 */
	obj_t BGl_z62failsafezf3zd2boxzd2ref1316z91zzsync_failsafez00(obj_t
		BgL_envz00_2198, obj_t BgL_nz00_2199, obj_t BgL_stkz00_2200)
	{
		{	/* Sync/failsafe.scm 210 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &failsafe?-make-box1314 */
	obj_t BGl_z62failsafezf3zd2makezd2box1314z91zzsync_failsafez00(obj_t
		BgL_envz00_2201, obj_t BgL_nz00_2202, obj_t BgL_stkz00_2203)
	{
		{	/* Sync/failsafe.scm 203 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nz00_2202)))->BgL_valuez00),
				BgL_stkz00_2203);
		}

	}



/* &failsafe?-let-var1312 */
	obj_t BGl_z62failsafezf3zd2letzd2var1312z91zzsync_failsafez00(obj_t
		BgL_envz00_2204, obj_t BgL_nz00_2205, obj_t BgL_stkz00_2206)
	{
		{	/* Sync/failsafe.scm 195 */
			{	/* Sync/failsafe.scm 196 */
				bool_t BgL_tmpz00_2483;

				{	/* Sync/failsafe.scm 197 */
					bool_t BgL_test1852z00_2484;

					{	/* Sync/failsafe.scm 197 */
						BgL_nodez00_bglt BgL_arg1579z00_2276;

						BgL_arg1579z00_2276 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_2205)))->BgL_bodyz00);
						BgL_test1852z00_2484 =
							CBOOL(BGl_failsafezf3zf3zzsync_failsafez00(BgL_arg1579z00_2276,
								BgL_stkz00_2206));
					}
					if (BgL_test1852z00_2484)
						{	/* Sync/failsafe.scm 198 */
							obj_t BgL_g1275z00_2277;

							BgL_g1275z00_2277 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nz00_2205)))->BgL_bindingsz00);
							{
								obj_t BgL_l1273z00_2279;

								BgL_l1273z00_2279 = BgL_g1275z00_2277;
							BgL_zc3z04anonymousza31569ze3z87_2278:
								if (NULLP(BgL_l1273z00_2279))
									{	/* Sync/failsafe.scm 198 */
										BgL_tmpz00_2483 = ((bool_t) 1);
									}
								else
									{	/* Sync/failsafe.scm 198 */
										obj_t BgL_nvz00_2280;

										{	/* Sync/failsafe.scm 198 */
											obj_t BgL_bz00_2281;

											BgL_bz00_2281 = CAR(((obj_t) BgL_l1273z00_2279));
											{	/* Sync/failsafe.scm 198 */
												obj_t BgL_arg1578z00_2282;

												BgL_arg1578z00_2282 = CDR(((obj_t) BgL_bz00_2281));
												BgL_nvz00_2280 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_arg1578z00_2282),
													BgL_stkz00_2206);
											}
										}
										if (CBOOL(BgL_nvz00_2280))
											{	/* Sync/failsafe.scm 198 */
												obj_t BgL_arg1572z00_2283;

												BgL_arg1572z00_2283 = CDR(((obj_t) BgL_l1273z00_2279));
												{
													obj_t BgL_l1273z00_2503;

													BgL_l1273z00_2503 = BgL_arg1572z00_2283;
													BgL_l1273z00_2279 = BgL_l1273z00_2503;
													goto BgL_zc3z04anonymousza31569ze3z87_2278;
												}
											}
										else
											{	/* Sync/failsafe.scm 198 */
												BgL_tmpz00_2483 = ((bool_t) 0);
											}
									}
							}
						}
					else
						{	/* Sync/failsafe.scm 197 */
							BgL_tmpz00_2483 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2483);
			}
		}

	}



/* &failsafe?-let-fun1310 */
	obj_t BGl_z62failsafezf3zd2letzd2fun1310z91zzsync_failsafez00(obj_t
		BgL_envz00_2207, obj_t BgL_nz00_2208, obj_t BgL_stkz00_2209)
	{
		{	/* Sync/failsafe.scm 187 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_2208)))->BgL_bodyz00),
				BgL_stkz00_2209);
		}

	}



/* &failsafe?-switch1308 */
	obj_t BGl_z62failsafezf3zd2switch1308z43zzsync_failsafez00(obj_t
		BgL_envz00_2210, obj_t BgL_nz00_2211, obj_t BgL_stkz00_2212)
	{
		{	/* Sync/failsafe.scm 179 */
			{	/* Sync/failsafe.scm 180 */
				bool_t BgL_tmpz00_2508;

				{	/* Sync/failsafe.scm 181 */
					bool_t BgL_test1855z00_2509;

					{	/* Sync/failsafe.scm 181 */
						BgL_nodez00_bglt BgL_arg1565z00_2286;

						BgL_arg1565z00_2286 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_2211)))->BgL_testz00);
						BgL_test1855z00_2509 =
							CBOOL(BGl_failsafezf3zf3zzsync_failsafez00(BgL_arg1565z00_2286,
								BgL_stkz00_2212));
					}
					if (BgL_test1855z00_2509)
						{	/* Sync/failsafe.scm 182 */
							obj_t BgL_g1271z00_2287;

							BgL_g1271z00_2287 =
								(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nz00_2211)))->BgL_clausesz00);
							{
								obj_t BgL_l1269z00_2289;

								BgL_l1269z00_2289 = BgL_g1271z00_2287;
							BgL_zc3z04anonymousza31550ze3z87_2288:
								if (NULLP(BgL_l1269z00_2289))
									{	/* Sync/failsafe.scm 182 */
										BgL_tmpz00_2508 = ((bool_t) 1);
									}
								else
									{	/* Sync/failsafe.scm 182 */
										obj_t BgL_nvz00_2290;

										{	/* Sync/failsafe.scm 182 */
											obj_t BgL_cz00_2291;

											BgL_cz00_2291 = CAR(((obj_t) BgL_l1269z00_2289));
											{	/* Sync/failsafe.scm 182 */
												obj_t BgL_arg1564z00_2292;

												BgL_arg1564z00_2292 = CDR(((obj_t) BgL_cz00_2291));
												BgL_nvz00_2290 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_arg1564z00_2292),
													BgL_stkz00_2212);
											}
										}
										if (CBOOL(BgL_nvz00_2290))
											{	/* Sync/failsafe.scm 182 */
												obj_t BgL_arg1562z00_2293;

												BgL_arg1562z00_2293 = CDR(((obj_t) BgL_l1269z00_2289));
												{
													obj_t BgL_l1269z00_2528;

													BgL_l1269z00_2528 = BgL_arg1562z00_2293;
													BgL_l1269z00_2289 = BgL_l1269z00_2528;
													goto BgL_zc3z04anonymousza31550ze3z87_2288;
												}
											}
										else
											{	/* Sync/failsafe.scm 182 */
												BgL_tmpz00_2508 = ((bool_t) 0);
											}
									}
							}
						}
					else
						{	/* Sync/failsafe.scm 181 */
							BgL_tmpz00_2508 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2508);
			}
		}

	}



/* &failsafe?-conditiona1306 */
	obj_t BGl_z62failsafezf3zd2conditiona1306z43zzsync_failsafez00(obj_t
		BgL_envz00_2213, obj_t BgL_nz00_2214, obj_t BgL_stkz00_2215)
	{
		{	/* Sync/failsafe.scm 172 */
			{	/* Sync/failsafe.scm 174 */
				obj_t BgL__andtest_1124z00_2295;

				BgL__andtest_1124z00_2295 =
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_2214)))->BgL_testz00),
					BgL_stkz00_2215);
				if (CBOOL(BgL__andtest_1124z00_2295))
					{	/* Sync/failsafe.scm 174 */
						obj_t BgL__andtest_1125z00_2296;

						BgL__andtest_1125z00_2296 =
							BGl_failsafezf3zf3zzsync_failsafez00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nz00_2214)))->BgL_truez00),
							BgL_stkz00_2215);
						if (CBOOL(BgL__andtest_1125z00_2296))
							{	/* Sync/failsafe.scm 174 */
								return
									BGl_failsafezf3zf3zzsync_failsafez00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nz00_2214)))->
										BgL_falsez00), BgL_stkz00_2215);
							}
						else
							{	/* Sync/failsafe.scm 174 */
								return BFALSE;
							}
					}
				else
					{	/* Sync/failsafe.scm 174 */
						return BFALSE;
					}
			}
		}

	}



/* &failsafe?-setq1304 */
	obj_t BGl_z62failsafezf3zd2setq1304z43zzsync_failsafez00(obj_t
		BgL_envz00_2216, obj_t BgL_nz00_2217, obj_t BgL_stkz00_2218)
	{
		{	/* Sync/failsafe.scm 165 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_2217)))->BgL_valuez00),
				BgL_stkz00_2218);
		}

	}



/* &failsafe?-cast1302 */
	obj_t BGl_z62failsafezf3zd2cast1302z43zzsync_failsafez00(obj_t
		BgL_envz00_2219, obj_t BgL_nz00_2220, obj_t BgL_stkz00_2221)
	{
		{	/* Sync/failsafe.scm 158 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nz00_2220)))->BgL_argz00),
				BgL_stkz00_2221);
		}

	}



/* &failsafe?-pragma1300 */
	obj_t BGl_z62failsafezf3zd2pragma1300z43zzsync_failsafez00(obj_t
		BgL_envz00_2222, obj_t BgL_nz00_2223, obj_t BgL_stkz00_2224)
	{
		{	/* Sync/failsafe.scm 152 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &failsafe?-extern1298 */
	obj_t BGl_z62failsafezf3zd2extern1298z43zzsync_failsafez00(obj_t
		BgL_envz00_2225, obj_t BgL_nz00_2226, obj_t BgL_stkz00_2227)
	{
		{	/* Sync/failsafe.scm 145 */
			{	/* Sync/failsafe.scm 146 */
				bool_t BgL_tmpz00_2550;

				{	/* Sync/failsafe.scm 147 */
					obj_t BgL_g1267z00_2301;

					BgL_g1267z00_2301 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nz00_2226)))->BgL_exprza2za2);
					{
						obj_t BgL_l1265z00_2303;

						BgL_l1265z00_2303 = BgL_g1267z00_2301;
					BgL_zc3z04anonymousza31525ze3z87_2302:
						if (NULLP(BgL_l1265z00_2303))
							{	/* Sync/failsafe.scm 147 */
								BgL_tmpz00_2550 = ((bool_t) 1);
							}
						else
							{	/* Sync/failsafe.scm 147 */
								obj_t BgL_nvz00_2304;

								{	/* Sync/failsafe.scm 147 */
									obj_t BgL_nz00_2305;

									BgL_nz00_2305 = CAR(((obj_t) BgL_l1265z00_2303));
									BgL_nvz00_2304 =
										BGl_failsafezf3zf3zzsync_failsafez00(
										((BgL_nodez00_bglt) BgL_nz00_2305), BgL_stkz00_2227);
								}
								if (CBOOL(BgL_nvz00_2304))
									{	/* Sync/failsafe.scm 147 */
										obj_t BgL_arg1528z00_2306;

										BgL_arg1528z00_2306 = CDR(((obj_t) BgL_l1265z00_2303));
										{
											obj_t BgL_l1265z00_2563;

											BgL_l1265z00_2563 = BgL_arg1528z00_2306;
											BgL_l1265z00_2303 = BgL_l1265z00_2563;
											goto BgL_zc3z04anonymousza31525ze3z87_2302;
										}
									}
								else
									{	/* Sync/failsafe.scm 147 */
										BgL_tmpz00_2550 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2550);
			}
		}

	}



/* &failsafe-fun?-cfun1296 */
	obj_t BGl_z62failsafezd2funzf3zd2cfun1296z91zzsync_failsafez00(obj_t
		BgL_envz00_2228, obj_t BgL_funz00_2229, obj_t BgL_varz00_2230,
		obj_t BgL_stkz00_2231)
	{
		{	/* Sync/failsafe.scm 130 */
			{	/* Sync/failsafe.scm 133 */
				bool_t BgL_test1862z00_2565;

				{	/* Sync/failsafe.scm 133 */
					obj_t BgL_tmpz00_2566;

					BgL_tmpz00_2566 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_cfunz00_bglt) BgL_funz00_2229))))->BgL_failsafez00);
					BgL_test1862z00_2565 = BOOLEANP(BgL_tmpz00_2566);
				}
				if (BgL_test1862z00_2565)
					{	/* Sync/failsafe.scm 133 */
						return
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt)
										((BgL_cfunz00_bglt) BgL_funz00_2229))))->BgL_failsafez00);
					}
				else
					{	/* Sync/failsafe.scm 135 */
						bool_t BgL_test1863z00_2574;

						{	/* Sync/failsafe.scm 135 */
							bool_t BgL_res1784z00_2309;

							BgL_res1784z00_2309 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t)
									((BgL_variablez00_bglt) BgL_varz00_2230)),
								BGl_globalz00zzast_varz00);
							BgL_test1863z00_2574 = BgL_res1784z00_2309;
						}
						if (BgL_test1863z00_2574)
							{	/* Sync/failsafe.scm 135 */
								{
									obj_t BgL_auxz00_2578;

									{	/* Sync/failsafe.scm 137 */
										bool_t BgL_tmpz00_2581;

										{	/* Sync/failsafe.scm 137 */
											obj_t BgL_tmpz00_2582;

											BgL_tmpz00_2582 =
												BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF(
													((long) 0)),
												(((BgL_globalz00_bglt)
														COBJECT(((BgL_globalz00_bglt) (
																	(BgL_variablez00_bglt) BgL_varz00_2230))))->
													BgL_pragmaz00));
											BgL_tmpz00_2581 = PAIRP(BgL_tmpz00_2582);
										}
										BgL_auxz00_2578 = BBOOL(BgL_tmpz00_2581);
									}
									((((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt)
														((BgL_cfunz00_bglt) BgL_funz00_2229))))->
											BgL_failsafez00) = ((obj_t) BgL_auxz00_2578), BUNSPEC);
								}
								return
									(((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt)
												((BgL_cfunz00_bglt) BgL_funz00_2229))))->
									BgL_failsafez00);
							}
						else
							{	/* Sync/failsafe.scm 135 */
								return BFALSE;
							}
					}
			}
		}

	}



/* &failsafe-fun?-sfun1294 */
	obj_t BGl_z62failsafezd2funzf3zd2sfun1294z91zzsync_failsafez00(obj_t
		BgL_envz00_2232, obj_t BgL_funz00_2233, obj_t BgL_varz00_2234,
		obj_t BgL_stkz00_2235)
	{
		{	/* Sync/failsafe.scm 108 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							((BgL_variablez00_bglt) BgL_varz00_2234)), BgL_stkz00_2235)))
				{	/* Sync/failsafe.scm 111 */
					return BTRUE;
				}
			else
				{	/* Sync/failsafe.scm 113 */
					bool_t BgL_test1865z00_2599;

					{	/* Sync/failsafe.scm 113 */
						obj_t BgL_tmpz00_2600;

						BgL_tmpz00_2600 =
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt)
										((BgL_sfunz00_bglt) BgL_funz00_2233))))->BgL_failsafez00);
						BgL_test1865z00_2599 = BOOLEANP(BgL_tmpz00_2600);
					}
					if (BgL_test1865z00_2599)
						{	/* Sync/failsafe.scm 113 */
							return
								(((BgL_funz00_bglt) COBJECT(
										((BgL_funz00_bglt)
											((BgL_sfunz00_bglt) BgL_funz00_2233))))->BgL_failsafez00);
						}
					else
						{	/* Sync/failsafe.scm 115 */
							bool_t BgL_test1866z00_2608;

							{	/* Sync/failsafe.scm 115 */
								bool_t BgL_test1867z00_2609;

								{	/* Sync/failsafe.scm 115 */
									bool_t BgL_res1780z00_2312;

									BgL_res1780z00_2312 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t)
											((BgL_variablez00_bglt) BgL_varz00_2234)),
										BGl_globalz00zzast_varz00);
									BgL_test1867z00_2609 = BgL_res1780z00_2312;
								}
								if (BgL_test1867z00_2609)
									{	/* Sync/failsafe.scm 115 */
										bool_t BgL_test1868z00_2613;

										{	/* Sync/failsafe.scm 115 */
											obj_t BgL_arg1510z00_2313;

											BgL_arg1510z00_2313 =
												(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt)
															((BgL_variablez00_bglt) BgL_varz00_2234))))->
												BgL_modulez00);
											BgL_test1868z00_2613 =
												(BgL_arg1510z00_2313 ==
												BGl_za2moduleza2z00zzmodule_modulez00);
										}
										if (BgL_test1868z00_2613)
											{	/* Sync/failsafe.scm 115 */
												BgL_test1866z00_2608 = ((bool_t) 0);
											}
										else
											{	/* Sync/failsafe.scm 115 */
												BgL_test1866z00_2608 = ((bool_t) 1);
											}
									}
								else
									{	/* Sync/failsafe.scm 115 */
										BgL_test1866z00_2608 = ((bool_t) 0);
									}
							}
							if (BgL_test1866z00_2608)
								{	/* Sync/failsafe.scm 115 */
									{
										obj_t BgL_auxz00_2618;

										{	/* Sync/failsafe.scm 118 */
											bool_t BgL_tmpz00_2621;

											{	/* Sync/failsafe.scm 118 */
												obj_t BgL_tmpz00_2622;

												BgL_tmpz00_2622 =
													BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(CNST_TABLE_REF(((long) 0)),
													(((BgL_globalz00_bglt)
															COBJECT(((BgL_globalz00_bglt) (
																		(BgL_variablez00_bglt) BgL_varz00_2234))))->
														BgL_pragmaz00));
												BgL_tmpz00_2621 = PAIRP(BgL_tmpz00_2622);
											}
											BgL_auxz00_2618 = BBOOL(BgL_tmpz00_2621);
										}
										((((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt)
															((BgL_sfunz00_bglt) BgL_funz00_2233))))->
												BgL_failsafez00) = ((obj_t) BgL_auxz00_2618), BUNSPEC);
									}
									return
										(((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_2233))))->
										BgL_failsafez00);
								}
							else
								{	/* Sync/failsafe.scm 122 */
									obj_t BgL_fsafez00_2314;

									{	/* Sync/failsafe.scm 122 */
										obj_t BgL_arg1502z00_2315;
										obj_t BgL_arg1503z00_2316;

										BgL_arg1502z00_2315 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_2233)))->BgL_bodyz00);
										BgL_arg1503z00_2316 =
											MAKE_YOUNG_PAIR(
											((obj_t)
												((BgL_variablez00_bglt) BgL_varz00_2234)),
											BgL_stkz00_2235);
										BgL_fsafez00_2314 =
											BGl_failsafezf3zf3zzsync_failsafez00(((BgL_nodez00_bglt)
												BgL_arg1502z00_2315), BgL_arg1503z00_2316);
									}
									if (NULLP(BgL_stkz00_2235))
										{	/* Sync/failsafe.scm 124 */
											((((BgL_funz00_bglt) COBJECT(
															((BgL_funz00_bglt)
																((BgL_sfunz00_bglt) BgL_funz00_2233))))->
													BgL_failsafez00) =
												((obj_t) BgL_fsafez00_2314), BUNSPEC);
										}
									else
										{	/* Sync/failsafe.scm 124 */
											BFALSE;
										}
									return BgL_fsafez00_2314;
								}
						}
				}
		}

	}



/* &failsafe?-app1290 */
	obj_t BGl_z62failsafezf3zd2app1290z43zzsync_failsafez00(obj_t BgL_envz00_2236,
		obj_t BgL_nz00_2237, obj_t BgL_stkz00_2238)
	{
		{	/* Sync/failsafe.scm 93 */
			{	/* Sync/failsafe.scm 94 */
				bool_t BgL_tmpz00_2646;

				{	/* Sync/failsafe.scm 95 */
					BgL_variablez00_bglt BgL_vz00_2318;

					BgL_vz00_2318 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nz00_2237)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Sync/failsafe.scm 96 */
						bool_t BgL_test1870z00_2650;

						{	/* Sync/failsafe.scm 96 */
							BgL_valuez00_bglt BgL_arg1457z00_2319;

							BgL_arg1457z00_2319 =
								(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2318))->BgL_valuez00);
							BgL_test1870z00_2650 =
								CBOOL(BGl_failsafezd2funzf3z21zzsync_failsafez00(
									((BgL_funz00_bglt) BgL_arg1457z00_2319), BgL_vz00_2318,
									BgL_stkz00_2238));
						}
						if (BgL_test1870z00_2650)
							{	/* Sync/failsafe.scm 97 */
								obj_t BgL_g1263z00_2320;

								BgL_g1263z00_2320 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nz00_2237)))->BgL_argsz00);
								{
									obj_t BgL_l1261z00_2322;

									BgL_l1261z00_2322 = BgL_g1263z00_2320;
								BgL_zc3z04anonymousza31431ze3z87_2321:
									if (NULLP(BgL_l1261z00_2322))
										{	/* Sync/failsafe.scm 97 */
											BgL_tmpz00_2646 = ((bool_t) 1);
										}
									else
										{	/* Sync/failsafe.scm 97 */
											obj_t BgL_nvz00_2323;

											{	/* Sync/failsafe.scm 97 */
												obj_t BgL_nz00_2324;

												BgL_nz00_2324 = CAR(((obj_t) BgL_l1261z00_2322));
												BgL_nvz00_2323 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_nz00_2324), BgL_stkz00_2238);
											}
											if (CBOOL(BgL_nvz00_2323))
												{	/* Sync/failsafe.scm 97 */
													obj_t BgL_arg1442z00_2325;

													BgL_arg1442z00_2325 =
														CDR(((obj_t) BgL_l1261z00_2322));
													{
														obj_t BgL_l1261z00_2667;

														BgL_l1261z00_2667 = BgL_arg1442z00_2325;
														BgL_l1261z00_2322 = BgL_l1261z00_2667;
														goto BgL_zc3z04anonymousza31431ze3z87_2321;
													}
												}
											else
												{	/* Sync/failsafe.scm 97 */
													BgL_tmpz00_2646 = ((bool_t) 0);
												}
										}
								}
							}
						else
							{	/* Sync/failsafe.scm 96 */
								BgL_tmpz00_2646 = ((bool_t) 0);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2646);
			}
		}

	}



/* &failsafe?-sync1288 */
	obj_t BGl_z62failsafezf3zd2sync1288z43zzsync_failsafez00(obj_t
		BgL_envz00_2239, obj_t BgL_nz00_2240, obj_t BgL_stkz00_2241)
	{
		{	/* Sync/failsafe.scm 84 */
			{	/* Sync/failsafe.scm 86 */
				obj_t BgL__andtest_1112z00_2327;

				BgL__andtest_1112z00_2327 =
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_2240)))->BgL_mutexz00),
					BgL_stkz00_2241);
				if (CBOOL(BgL__andtest_1112z00_2327))
					{	/* Sync/failsafe.scm 87 */
						obj_t BgL__andtest_1113z00_2328;

						BgL__andtest_1113z00_2328 =
							BGl_failsafezf3zf3zzsync_failsafez00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nz00_2240)))->BgL_prelockz00),
							BgL_stkz00_2241);
						if (CBOOL(BgL__andtest_1113z00_2328))
							{	/* Sync/failsafe.scm 87 */
								return
									BGl_failsafezf3zf3zzsync_failsafez00(
									(((BgL_syncz00_bglt) COBJECT(
												((BgL_syncz00_bglt) BgL_nz00_2240)))->BgL_bodyz00),
									BgL_stkz00_2241);
							}
						else
							{	/* Sync/failsafe.scm 87 */
								return BFALSE;
							}
					}
				else
					{	/* Sync/failsafe.scm 86 */
						return BFALSE;
					}
			}
		}

	}



/* &failsafe?-sequence1286 */
	obj_t BGl_z62failsafezf3zd2sequence1286z43zzsync_failsafez00(obj_t
		BgL_envz00_2242, obj_t BgL_nz00_2243, obj_t BgL_stkz00_2244)
	{
		{	/* Sync/failsafe.scm 77 */
			{	/* Sync/failsafe.scm 78 */
				bool_t BgL_tmpz00_2682;

				{	/* Sync/failsafe.scm 79 */
					obj_t BgL_g1259z00_2330;

					BgL_g1259z00_2330 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nz00_2243)))->BgL_nodesz00);
					{
						obj_t BgL_l1257z00_2332;

						BgL_l1257z00_2332 = BgL_g1259z00_2330;
					BgL_zc3z04anonymousza31407ze3z87_2331:
						if (NULLP(BgL_l1257z00_2332))
							{	/* Sync/failsafe.scm 79 */
								BgL_tmpz00_2682 = ((bool_t) 1);
							}
						else
							{	/* Sync/failsafe.scm 79 */
								obj_t BgL_nvz00_2333;

								{	/* Sync/failsafe.scm 79 */
									obj_t BgL_nz00_2334;

									BgL_nz00_2334 = CAR(((obj_t) BgL_l1257z00_2332));
									BgL_nvz00_2333 =
										BGl_failsafezf3zf3zzsync_failsafez00(
										((BgL_nodez00_bglt) BgL_nz00_2334), BgL_stkz00_2244);
								}
								if (CBOOL(BgL_nvz00_2333))
									{	/* Sync/failsafe.scm 79 */
										obj_t BgL_arg1410z00_2335;

										BgL_arg1410z00_2335 = CDR(((obj_t) BgL_l1257z00_2332));
										{
											obj_t BgL_l1257z00_2695;

											BgL_l1257z00_2695 = BgL_arg1410z00_2335;
											BgL_l1257z00_2332 = BgL_l1257z00_2695;
											goto BgL_zc3z04anonymousza31407ze3z87_2331;
										}
									}
								else
									{	/* Sync/failsafe.scm 79 */
										BgL_tmpz00_2682 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2682);
			}
		}

	}



/* &failsafe?-kwote1284 */
	obj_t BGl_z62failsafezf3zd2kwote1284z43zzsync_failsafez00(obj_t
		BgL_envz00_2245, obj_t BgL_nz00_2246, obj_t BgL_stkz00_2247)
	{
		{	/* Sync/failsafe.scm 71 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &failsafe?-var1282 */
	obj_t BGl_z62failsafezf3zd2var1282z43zzsync_failsafez00(obj_t BgL_envz00_2248,
		obj_t BgL_nz00_2249, obj_t BgL_stkz00_2250)
	{
		{	/* Sync/failsafe.scm 65 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &failsafe?-atom1280 */
	obj_t BGl_z62failsafezf3zd2atom1280z43zzsync_failsafez00(obj_t
		BgL_envz00_2251, obj_t BgL_nz00_2252, obj_t BgL_stkz00_2253)
	{
		{	/* Sync/failsafe.scm 59 */
			return BBOOL(((bool_t) 1));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsync_failsafez00()
	{
		{	/* Sync/failsafe.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1814z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1814z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1814z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 476633989),
				BSTRING_TO_STRING(BGl_string1814z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1814z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string1814z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1814z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1814z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1814z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string1814z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1814z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1814z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1814z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1814z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string1814z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1814z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1814z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1814z00zzsync_failsafez00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string1814z00zzsync_failsafez00));
		}

	}

#ifdef __cplusplus
}
#endif
