/*===========================================================================*/
/*   (Llib/avahi.scm)                                                        */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue 12 May 2020 08:36:09 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.3h/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -unsafe -safee -srfi avahi -copt -D_REENTRANT -copt -fPIC -copt -IClib Llib/avahi.scm -o objs/avahi.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <avahi-client/client.h>
#include <avahi-client/lookup.h>
#include <avahi-client/publish.h>
#include <avahi-common/simple-watch.h>
#include <avahi-common/thread-watch.h>
#include <avahi-common/error.h>
#include <avahi-common/alternative.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_z62avahizd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
   int BgL_errnoz00;
} *BgL_z62avahizd2errorzb0_bglt;

typedef struct BgL_z62avahizd2collisionzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
   int BgL_errnoz00;
} *BgL_z62avahizd2collisionzd2errorz62_bglt;

typedef struct BgL_avahizd2objectzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_avahizd2objectzd2_bglt;

typedef struct BgL_avahizd2pollzd2_bgl {
   header_t header;
   obj_t widening;
   int BgL_z42ctypez42;
   obj_t BgL_z52procsz52;
} *BgL_avahizd2pollzd2_bglt;

typedef struct BgL_avahizd2simplezd2pollz00_bgl {
   header_t header;
   obj_t widening;
   int BgL_z42ctypez42;
   obj_t BgL_z52procsz52;
   AvahiSimplePoll * BgL_z42builtinz42;
} *BgL_avahizd2simplezd2pollz00_bglt;

typedef struct BgL_avahizd2threadedzd2pollz00_bgl {
   header_t header;
   obj_t widening;
   int BgL_z42ctypez42;
   obj_t BgL_z52procsz52;
   AvahiThreadedPoll * BgL_z42builtinz42;
} *BgL_avahizd2threadedzd2pollz00_bglt;

typedef struct BgL_avahizd2clientzd2_bgl {
   header_t header;
   obj_t widening;
   AvahiClient * BgL_z42builtinz42;
   struct BgL_avahizd2pollzd2_bgl * BgL_pollz00;
   obj_t BgL_flagsz00;
   obj_t BgL_procz00;
   obj_t BgL_z52groupsz52;
   obj_t BgL_z52browsersz52;
   obj_t BgL_resolversz00;
} *BgL_avahizd2clientzd2_bglt;

typedef struct BgL_avahizd2entryzd2groupz00_bgl {
   header_t header;
   obj_t widening;
   AvahiEntryGroup * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
} *BgL_avahizd2entryzd2groupz00_bglt;

typedef struct BgL_avahizd2servicezd2browserz00_bgl {
   header_t header;
   obj_t widening;
   AvahiServiceBrowser * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
   obj_t BgL_typez00;
   obj_t BgL_domainz00;
} *BgL_avahizd2servicezd2browserz00_bglt;

typedef struct BgL_avahizd2servicezd2typezd2browserzd2_bgl {
   header_t header;
   obj_t widening;
   AvahiServiceTypeBrowser * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
   obj_t BgL_domainz00;
} *BgL_avahizd2servicezd2typezd2browserzd2_bglt;

typedef struct BgL_avahizd2domainzd2browserz00_bgl {
   header_t header;
   obj_t widening;
   AvahiDomainBrowser * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
   obj_t BgL_btypez00;
   obj_t BgL_domainz00;
} *BgL_avahizd2domainzd2browserz00_bglt;

typedef struct BgL_avahizd2servicezd2resolverz00_bgl {
   header_t header;
   obj_t widening;
   AvahiServiceResolver * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
   AvahiIfIndex BgL_interfacez00;
   obj_t BgL_protocolz00;
   obj_t BgL_namez00;
   obj_t BgL_typez00;
   obj_t BgL_domainz00;
} *BgL_avahizd2servicezd2resolverz00_bglt;


static obj_t BGl_z62lambda1929z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32010ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1930z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31846ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2threadedzd2pollzd2lockz12za2zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1936z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1937z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31952ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2servicezd2resolverzd2closezd2zz__avahi_avahiz00(BgL_avahizd2servicezd2resolverz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31953ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31864ze3ze5zz__avahi_avahiz00(obj_t);
static BgL_z62avahizd2errorzb0_bglt BGl_z62lambda1797z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_z62avahizd2errorzb0_bglt BGl_z62lambda1799z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32102ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31938ze3ze5zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_resolver_event_to_symbol(AvahiResolverEvent);
BGL_EXPORTED_DEF obj_t BGl_avahizd2objectzd2zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31882ze3ze5zz__avahi_avahiz00(obj_t);
BGL_IMPORT void * BGl_z42pthreadzd2nilz90zz__pth_threadz00();
static obj_t BGl_z62avahizd2threadedzd2pollzd2quitzb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_lookup_result_flags_to_symbol(AvahiLookupResultFlags);
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t bgl_avahi_error(char *, char *, obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_avahizd2entryzd2groupzd2closezd2zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt);
static obj_t BGl_objectzd2initzd2zz__avahi_avahiz00();
static obj_t BGl_z62zc3z04anonymousza31957ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_browser_event_to_symbol(AvahiBrowserEvent);
static obj_t BGl_z62zc3z04anonymousza31958ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32034ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t bgl_avahi_lookup_flags_to_symbol(AvahiLookupFlags);
BGL_EXPORTED_DECL obj_t BGl_avahizd2simplezd2pollzd2quitzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31992ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_client_state_to_symbol(AvahiClientState);
BGL_EXPORTED_DECL obj_t BGl_avahizd2initzd2zz__avahi_avahiz00(BgL_avahizd2objectzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2simplezd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt, long, obj_t);
static obj_t BGl_z62zc3z04anonymousza31977ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__avahi_avahiz00();
static obj_t BGl_z62avahizd2initzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32055ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32217ze3ze5zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62avahizd2errorzb0zz__avahi_avahiz00 = BUNSPEC;
BGL_IMPORT bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32162ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31328ze3ze5zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_entry_group_state_to_symbol(AvahiEntryGroupState);
static obj_t BGl_z62avahizd2entryzd2groupzd2statezd2ze3symbolz81zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2entryzd2groupzd2emptyzf3z43zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2threadedzd2pollzd2loopzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2100z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2101z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2106z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2107z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2cli1262zb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_lock();
static obj_t BGl_z62lambda2111z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2112z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32180ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2117z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2118z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2entryzd2groupzd2commitzd2zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt);
static obj_t BGl_z62avahizd2threadedzd2pollzd2unlockz12za2zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2lookupzd2resultzd2flagszd2ze3symbolz81zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62z52avahizd2signalze2zz__avahi_avahiz00(obj_t);
static BgL_avahizd2domainzd2browserz00_bglt BGl_z62lambda2125z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_avahizd2domainzd2browserz00_bglt BGl_z62lambda2128z62zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2initzd2avahizd2ent1264zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2135z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2136z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2error2372zb0zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2simplezd2pollzd2quitzb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2simplezd2pollzd2loopzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2141z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2142z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2147z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2148z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2domainzd2browserzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31900ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2153z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32095ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2154z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadzd2startz12zc0zz__threadz00(BgL_threadz00_bglt, obj_t);
static obj_t BGl_z62avahizd2entryzd2groupzd2resetz12za2zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2clientzd2errorzd2messagezd2zz__avahi_avahiz00(BgL_avahizd2clientzd2_bglt);
static obj_t BGl_z62avahizd2threadedzd2pollzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2entryzd2groupzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__avahi_avahiz00();
static obj_t BGl_z62lambda2160z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2161z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2servicezd2resolverz00_bglt BGl_z62lambda2168z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2dom1271zb0zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2servicezd2resolverz00_bglt BGl_z62lambda2171z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2178z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2179z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(BgL_avahizd2objectzd2_bglt);
BGL_EXPORTED_DEF obj_t BGl_avahizd2clientzd2zz__avahi_avahiz00 = BUNSPEC;
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2184z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2185z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2189z62zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62lambda2190z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2194z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2195z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2199z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31832ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_z62z52avahizd2threadzd2initz12z22zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2clientzd2closez62zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
static obj_t BGl_z62lambda1806z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1807z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_unlock();
BGL_EXPORTED_DECL obj_t bgl_avahi_if_index_to_symbol(AvahiIfIndex);
static obj_t BGl_z62avahizd2alternativezd2hostzd2namezb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_deletez12z12zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t, obj_t);
static BgL_z62avahizd2collisionzd2errorz62_bglt BGl_z62lambda1814z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31818ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static BgL_z62avahizd2collisionzd2errorz62_bglt BGl_z62lambda1816z62zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2simplezd2pollzd2closezd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31924ze3ze5zz__avahi_avahiz00(obj_t);
static BgL_avahizd2objectzd2_bglt BGl_z62lambda1823z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2threadedzd2pollzd2timeoutzb0zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2simplezd2pollzd2loopzb0zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2pollzd2_bglt BGl_z62lambda1830z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda1837z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1838z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32001ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62z52avahizd2lockz12zf0zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31942ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1844z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1845z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2servicezd2browserzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
extern AvahiStringList * bgl_avahi_list_to_string_list(obj_t);
static obj_t BGl_z62zc3z04anonymousza31943ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2simplezd2pollz00_bglt BGl_z62lambda1852z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
static BgL_avahizd2simplezd2pollz00_bglt BGl_z62lambda1855z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31839ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda1862z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1863z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52avahizd2threadzd2initz12z40zz__avahi_avahiz00();
static BgL_avahizd2threadedzd2pollz00_bglt BGl_z62lambda1870z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_avahizd2threadedzd2pollz00_bglt BGl_z62lambda1873z62zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31962ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31857ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1880z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1881z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00 = BUNSPEC;
static BgL_avahizd2clientzd2_bglt BGl_z62lambda1888z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__avahi_avahiz00();
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2lockz12zc0zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31963ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31947ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda1891z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda1898z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1899z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31875ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31948ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__avahi_avahiz00();
static obj_t BGl_z62avahizd2ifzd2indexzd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2simplezd2pollzd2timeoutzb0zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_pthreadz00zz__pth_threadz00;
static obj_t BGl_z62zc3z04anonymousza32130ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2thr1260zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31893ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2entryzd2groupzd2commitzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31983ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2clientzd2closez00zz__avahi_avahiz00(BgL_avahizd2clientzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza31967ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_protocol_to_symbol(AvahiProtocol);
static obj_t BGl_z62zc3z04anonymousza32027ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2unlockz12zc0zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DECL AvahiProtocol bgl_avahi_symbol_to_protocol(obj_t);
static obj_t BGl_z62avahizd2lookupzd2flagszd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2clientzd2statezd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32062ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32119ze3ze5zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2alternativezd2servicezd2namezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2simplezd2pollzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
extern void bgl_avahi_invoke_callbacks();
static obj_t BGl_z62zc3z04anonymousza32137ze3ze5zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2quitzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
static obj_t BGl_z62avahizd2browserzd2eventzd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
static BgL_avahizd2entryzd2groupz00_bglt BGl_z62lambda2022z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2servicezd2resolverzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2entryzd2groupz00_bglt BGl_z62lambda2025z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32155ze3ze5zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2sim1258zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2032z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2033z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2038z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2039z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2resolverzd2eventzd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2200z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2ser1267zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2ser1269zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2204z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2043z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2205z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32173ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2044z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32084ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2209z62zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__avahi_avahiz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62avahizd2init1255zb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2alternativezd2servicezd2namezd2zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2domainzd2browserzd2closezd2zz__avahi_avahiz00(BgL_avahizd2domainzd2browserz00_bglt);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static obj_t BGl_z62avahizd2initzd2avahizd2ser1273zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2210z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31801ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2servicezd2browserz00_bglt BGl_z62lambda2050z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2protocolzd2ze3symbolz81zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static BgL_avahizd2servicezd2browserz00_bglt BGl_z62lambda2053z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2215z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2216z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2alternativezd2hostzd2namezd2zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2060z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2061z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31624ze3ze5zz__avahi_avahiz00(obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2066z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2067z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2symbolzd2ze3protocolz81zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_avahizd2symbolzd2ze3domainzd2browserzd2typeze3zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt, long, obj_t);
static obj_t BGl_z62lambda2071z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2072z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2076z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2077z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__avahi_avahiz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__avahi_avahiz00();
static obj_t BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62z52avahizd2unlockz12zf0zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2082z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2083z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00 = BUNSPEC;
static BgL_avahizd2servicezd2typezd2browserzd2_bglt BGl_z62lambda2090z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_avahizd2servicezd2typezd2browserzd2_bglt BGl_z62lambda2093z62zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_avahizd2servicezd2browserzd2closezd2zz__avahi_avahiz00(BgL_avahizd2servicezd2browserz00_bglt);
static obj_t BGl_z62avahizd2entryzd2groupzd2addzd2servicez12z70zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2clientzd2errorzd2messagezb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31912ze3ze5zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_avahizd2entryzd2groupzd2emptyzf3z21zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2closezd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2loopzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31808ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31825ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt, int);
static obj_t BGl_z62zc3z04anonymousza31931ze3ze5zz__avahi_avahiz00(obj_t);
static BgL_avahizd2pollzd2_bglt BGl_z62lambda1904z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1905z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2entryzd2groupzd2addzd2servicez12z12zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_signal();
static obj_t BGl_z62lambda1910z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1911z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1916z62zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
static obj_t BGl_z62lambda1917z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2entryzd2groupzd2resetz12zc0zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt);
static obj_t BGl_z62lambda1922z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1923z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 101 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2lookupzd2resultzd2flagszd2ze3symbolzd2envz31zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2looku2685z00, BGl_z62avahizd2lookupzd2resultzd2flagszd2ze3symbolz81zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52avahizd2signalzd2envz52zz__avahi_avahiz00, BgL_bgl_za762za752avahiza7d2si2686za7, BGl_z62z52avahizd2signalze2zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2resolverzd2eventzd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2resol2687z00, BGl_z62avahizd2resolverzd2eventzd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2servicezd2browserzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2servi2688z00, BGl_z62avahizd2servicezd2browserzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52avahizd2lockz12zd2envz40zz__avahi_avahiz00, BgL_bgl_za762za752avahiza7d2lo2689za7, BGl_z62z52avahizd2lockz12zf0zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2servicezd2resolverzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2servi2690z00, BGl_z62avahizd2servicezd2resolverzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2500z00zz__avahi_avahiz00, BgL_bgl_string2500za700za7za7_2691za7, "&avahi-browser-event->symbol", 28 );
DEFINE_STRING( BGl_string2501z00zz__avahi_avahiz00, BgL_bgl_string2501za700za7za7_2692za7, "avahi-resolver-event->symbol", 28 );
DEFINE_STRING( BGl_string2502z00zz__avahi_avahiz00, BgL_bgl_string2502za700za7za7_2693za7, "&avahi-resolver-event->symbol", 29 );
DEFINE_STRING( BGl_string2503z00zz__avahi_avahiz00, BgL_bgl_string2503za700za7za7_2694za7, "avahi-if-index->symbol", 22 );
DEFINE_STRING( BGl_string2504z00zz__avahi_avahiz00, BgL_bgl_string2504za700za7za7_2695za7, "Unknown index", 13 );
DEFINE_STRING( BGl_string2505z00zz__avahi_avahiz00, BgL_bgl_string2505za700za7za7_2696za7, "&avahi-if-index->symbol", 23 );
DEFINE_STRING( BGl_string2506z00zz__avahi_avahiz00, BgL_bgl_string2506za700za7za7_2697za7, "avahi-protocol->symbol", 22 );
DEFINE_STRING( BGl_string2507z00zz__avahi_avahiz00, BgL_bgl_string2507za700za7za7_2698za7, "Unknown protocol", 16 );
DEFINE_STRING( BGl_string2508z00zz__avahi_avahiz00, BgL_bgl_string2508za700za7za7_2699za7, "&avahi-protocol->symbol", 23 );
DEFINE_STRING( BGl_string2509z00zz__avahi_avahiz00, BgL_bgl_string2509za700za7za7_2700za7, "avahi-symbol->protocol", 22 );
DEFINE_STRING( BGl_string2510z00zz__avahi_avahiz00, BgL_bgl_string2510za700za7za7_2701za7, "&avahi-symbol->protocol", 23 );
DEFINE_STRING( BGl_string2511z00zz__avahi_avahiz00, BgL_bgl_string2511za700za7za7_2702za7, "symbol", 6 );
DEFINE_STRING( BGl_string2512z00zz__avahi_avahiz00, BgL_bgl_string2512za700za7za7_2703za7, "avahi-lookup-flags->symbol", 26 );
DEFINE_STRING( BGl_string2513z00zz__avahi_avahiz00, BgL_bgl_string2513za700za7za7_2704za7, "Unknown lookup-flag", 19 );
DEFINE_STRING( BGl_string2514z00zz__avahi_avahiz00, BgL_bgl_string2514za700za7za7_2705za7, "&avahi-lookup-flags->symbol", 27 );
DEFINE_STRING( BGl_string2515z00zz__avahi_avahiz00, BgL_bgl_string2515za700za7za7_2706za7, "avahi-lookup-result-flags->symbol", 33 );
DEFINE_STRING( BGl_string2516z00zz__avahi_avahiz00, BgL_bgl_string2516za700za7za7_2707za7, "Unknown lookup-result-flag", 26 );
DEFINE_STRING( BGl_string2517z00zz__avahi_avahiz00, BgL_bgl_string2517za700za7za7_2708za7, "&avahi-lookup-result-flags->symbol", 34 );
DEFINE_STRING( BGl_string2518z00zz__avahi_avahiz00, BgL_bgl_string2518za700za7za7_2709za7, "avahi-symbol->domain-browser-type", 33 );
DEFINE_STRING( BGl_string2519z00zz__avahi_avahiz00, BgL_bgl_string2519za700za7za7_2710za7, "Unknown btype", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2600z00zz__avahi_avahiz00, BgL_bgl_za762lambda2061za7622711z00, BGl_z62lambda2061z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2601z00zz__avahi_avahiz00, BgL_bgl_za762lambda2060za7622712z00, BGl_z62lambda2060z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2602z00zz__avahi_avahiz00, BgL_bgl_za762lambda2067za7622713z00, BGl_z62lambda2067z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2603z00zz__avahi_avahiz00, BgL_bgl_za762lambda2066za7622714z00, BGl_z62lambda2066z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2604z00zz__avahi_avahiz00, BgL_bgl_za762lambda2072za7622715z00, BGl_z62lambda2072z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2605z00zz__avahi_avahiz00, BgL_bgl_za762lambda2071za7622716z00, BGl_z62lambda2071z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2606z00zz__avahi_avahiz00, BgL_bgl_za762lambda2077za7622717z00, BGl_z62lambda2077z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2607z00zz__avahi_avahiz00, BgL_bgl_za762lambda2076za7622718z00, BGl_z62lambda2076z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2608z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2719za7, BGl_z62zc3z04anonymousza32084ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2609z00zz__avahi_avahiz00, BgL_bgl_za762lambda2083za7622720z00, BGl_z62lambda2083z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2simplezd2pollzd2timeoutzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2simpl2721z00, BGl_z62avahizd2simplezd2pollzd2timeoutzb0zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2610z00zz__avahi_avahiz00, BgL_bgl_za762lambda2082za7622722z00, BGl_z62lambda2082z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2611z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2723za7, BGl_z62zc3z04anonymousza32055ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2612z00zz__avahi_avahiz00, BgL_bgl_za762lambda2053za7622724z00, BGl_z62lambda2053z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2613z00zz__avahi_avahiz00, BgL_bgl_za762lambda2050za7622725z00, BGl_z62lambda2050z62zz__avahi_avahiz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2614z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2726za7, BGl_z62zc3z04anonymousza32102ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2615z00zz__avahi_avahiz00, BgL_bgl_za762lambda2101za7622727z00, BGl_z62lambda2101z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2616z00zz__avahi_avahiz00, BgL_bgl_za762lambda2100za7622728z00, BGl_z62lambda2100z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2617z00zz__avahi_avahiz00, BgL_bgl_za762lambda2107za7622729z00, BGl_z62lambda2107z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2618z00zz__avahi_avahiz00, BgL_bgl_za762lambda2106za7622730z00, BGl_z62lambda2106z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2619z00zz__avahi_avahiz00, BgL_bgl_za762lambda2112za7622731z00, BGl_z62lambda2112z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2620z00zz__avahi_avahiz00, BgL_bgl_za762lambda2111za7622732z00, BGl_z62lambda2111z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2621z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2733za7, BGl_z62zc3z04anonymousza32119ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2622z00zz__avahi_avahiz00, BgL_bgl_za762lambda2118za7622734z00, BGl_z62lambda2118z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2623z00zz__avahi_avahiz00, BgL_bgl_za762lambda2117za7622735z00, BGl_z62lambda2117z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2624z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2736za7, BGl_z62zc3z04anonymousza32095ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2625z00zz__avahi_avahiz00, BgL_bgl_za762lambda2093za7622737z00, BGl_z62lambda2093z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2626z00zz__avahi_avahiz00, BgL_bgl_za762lambda2090za7622738z00, BGl_z62lambda2090z62zz__avahi_avahiz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2alternativezd2hostzd2namezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2alter2739z00, BGl_z62avahizd2alternativezd2hostzd2namezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2627z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2740za7, BGl_z62zc3z04anonymousza32137ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2628z00zz__avahi_avahiz00, BgL_bgl_za762lambda2136za7622741z00, BGl_z62lambda2136z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2629z00zz__avahi_avahiz00, BgL_bgl_za762lambda2135za7622742z00, BGl_z62lambda2135z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2lockz12zd2envz12zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2743z00, BGl_z62avahizd2threadedzd2pollzd2lockz12za2zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2630z00zz__avahi_avahiz00, BgL_bgl_za762lambda2142za7622744z00, BGl_z62lambda2142z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2631z00zz__avahi_avahiz00, BgL_bgl_za762lambda2141za7622745z00, BGl_z62lambda2141z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2632z00zz__avahi_avahiz00, BgL_bgl_za762lambda2148za7622746z00, BGl_z62lambda2148z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2633z00zz__avahi_avahiz00, BgL_bgl_za762lambda2147za7622747z00, BGl_z62lambda2147z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2634z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2748za7, BGl_z62zc3z04anonymousza32155ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2635z00zz__avahi_avahiz00, BgL_bgl_za762lambda2154za7622749z00, BGl_z62lambda2154z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2636z00zz__avahi_avahiz00, BgL_bgl_za762lambda2153za7622750z00, BGl_z62lambda2153z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2637z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2751za7, BGl_z62zc3z04anonymousza32162ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2638z00zz__avahi_avahiz00, BgL_bgl_za762lambda2161za7622752z00, BGl_z62lambda2161z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2639z00zz__avahi_avahiz00, BgL_bgl_za762lambda2160za7622753z00, BGl_z62lambda2160z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2emptyzf3zd2envzf3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2754z00, BGl_z62avahizd2entryzd2groupzd2emptyzf3z43zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2640z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2755za7, BGl_z62zc3z04anonymousza32130ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2641z00zz__avahi_avahiz00, BgL_bgl_za762lambda2128za7622756z00, BGl_z62lambda2128z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2642z00zz__avahi_avahiz00, BgL_bgl_za762lambda2125za7622757z00, BGl_z62lambda2125z62zz__avahi_avahiz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2643z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2758za7, BGl_z62zc3z04anonymousza32180ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2644z00zz__avahi_avahiz00, BgL_bgl_za762lambda2179za7622759z00, BGl_z62lambda2179z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2645z00zz__avahi_avahiz00, BgL_bgl_za762lambda2178za7622760z00, BGl_z62lambda2178z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2646z00zz__avahi_avahiz00, BgL_bgl_za762lambda2185za7622761z00, BGl_z62lambda2185z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2647z00zz__avahi_avahiz00, BgL_bgl_za762lambda2184za7622762z00, BGl_z62lambda2184z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2648z00zz__avahi_avahiz00, BgL_bgl_za762lambda2190za7622763z00, BGl_z62lambda2190z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2649z00zz__avahi_avahiz00, BgL_bgl_za762lambda2189za7622764z00, BGl_z62lambda2189z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2browserzd2eventzd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2brows2765z00, BGl_z62avahizd2browserzd2eventzd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2650z00zz__avahi_avahiz00, BgL_bgl_za762lambda2195za7622766z00, BGl_z62lambda2195z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2651z00zz__avahi_avahiz00, BgL_bgl_za762lambda2194za7622767z00, BGl_z62lambda2194z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2652z00zz__avahi_avahiz00, BgL_bgl_za762lambda2200za7622768z00, BGl_z62lambda2200z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2653z00zz__avahi_avahiz00, BgL_bgl_za762lambda2199za7622769z00, BGl_z62lambda2199z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2654z00zz__avahi_avahiz00, BgL_bgl_za762lambda2205za7622770z00, BGl_z62lambda2205z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2655z00zz__avahi_avahiz00, BgL_bgl_za762lambda2204za7622771z00, BGl_z62lambda2204z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2656z00zz__avahi_avahiz00, BgL_bgl_za762lambda2210za7622772z00, BGl_z62lambda2210z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2657z00zz__avahi_avahiz00, BgL_bgl_za762lambda2209za7622773z00, BGl_z62lambda2209z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2658z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2774za7, BGl_z62zc3z04anonymousza32217ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2659z00zz__avahi_avahiz00, BgL_bgl_za762lambda2216za7622775z00, BGl_z62lambda2216z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2660z00zz__avahi_avahiz00, BgL_bgl_za762lambda2215za7622776z00, BGl_z62lambda2215z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2661z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2777za7, BGl_z62zc3z04anonymousza32173ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2662z00zz__avahi_avahiz00, BgL_bgl_za762lambda2171za7622778z00, BGl_z62lambda2171z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2663z00zz__avahi_avahiz00, BgL_bgl_za762lambda2168za7622779z00, BGl_z62lambda2168z62zz__avahi_avahiz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2666z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2init12780z00, BGl_z62avahizd2init1255zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2670z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72781za7, BGl_z62avahizd2initzd2avahizd2sim1258zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2672z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72782za7, BGl_z62avahizd2initzd2avahizd2thr1260zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2timeoutzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2783z00, BGl_z62avahizd2threadedzd2pollzd2timeoutzb0zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2673z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72784za7, BGl_z62avahizd2initzd2avahizd2cli1262zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2674z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72785za7, BGl_z62avahizd2initzd2avahizd2ent1264zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2675z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72786za7, BGl_z62avahizd2initzd2avahizd2ser1267zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2676z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72787za7, BGl_z62avahizd2initzd2avahizd2ser1269zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2677z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72788za7, BGl_z62avahizd2initzd2avahizd2dom1271zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2678z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72789za7, BGl_z62avahizd2initzd2avahizd2ser1273zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2commitzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2790z00, BGl_z62avahizd2entryzd2groupzd2commitzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2791z00, BGl_z62avahizd2threadedzd2pollzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72792za7, BGl_z62avahizd2initzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2lookupzd2flagszd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2looku2793z00, BGl_z62avahizd2lookupzd2flagszd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52avahizd2threadzd2initz12zd2envz92zz__avahi_avahiz00, BgL_bgl_za762za752avahiza7d2th2794za7, BGl_z62z52avahizd2threadzd2initz12z22zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2alternativezd2servicezd2namezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2alter2795z00, BGl_z62avahizd2alternativezd2servicezd2namezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2simplezd2pollzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2simpl2796z00, BGl_z62avahizd2simplezd2pollzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2domainzd2browserzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2domai2797z00, BGl_z62avahizd2domainzd2browserzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52avahizd2unlockz12zd2envz40zz__avahi_avahiz00, BgL_bgl_za762za752avahiza7d2un2798za7, BGl_z62z52avahizd2unlockz12zf0zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2unlockz12zd2envz12zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2799z00, BGl_z62avahizd2threadedzd2pollzd2unlockz12za2zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2simplezd2pollzd2loopzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2simpl2800z00, BGl_z62avahizd2simplezd2pollzd2loopzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2loopzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2801z00, BGl_z62avahizd2threadedzd2pollzd2loopzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2errorzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2error2802z00, BGl_z62avahizd2error2372zb0zz__avahi_avahiz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2ifzd2indexzd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2ifza7d22803za7, BGl_z62avahizd2ifzd2indexzd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2clientzd2closezd2envzd2zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2clien2804z00, BGl_z62avahizd2clientzd2closez62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2520z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2805za7, BGl_z62zc3z04anonymousza31808ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2521z00zz__avahi_avahiz00, BgL_bgl_za762lambda1807za7622806z00, BGl_z62lambda1807z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2522z00zz__avahi_avahiz00, BgL_bgl_za762lambda1806za7622807z00, BGl_z62lambda1806z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2523z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2808za7, BGl_z62zc3z04anonymousza31801ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2524z00zz__avahi_avahiz00, BgL_bgl_za762lambda1799za7622809z00, BGl_z62lambda1799z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2525z00zz__avahi_avahiz00, BgL_bgl_za762lambda1797za7622810z00, BGl_z62lambda1797z62zz__avahi_avahiz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2526z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2811za7, BGl_z62zc3z04anonymousza31818ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2527z00zz__avahi_avahiz00, BgL_bgl_za762lambda1816za7622812z00, BGl_z62lambda1816z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2528z00zz__avahi_avahiz00, BgL_bgl_za762lambda1814za7622813z00, BGl_z62lambda1814z62zz__avahi_avahiz00, 0L, BUNSPEC, 7 );
DEFINE_STRING( BGl_string2453z00zz__avahi_avahiz00, BgL_bgl_string2453za700za7za7_2814za7, "Llib/avahi.scm", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2529z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2815za7, BGl_z62zc3z04anonymousza31825ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2454z00zz__avahi_avahiz00, BgL_bgl_string2454za700za7za7_2816za7, "/builddir/build/BUILD/bigloo-4.3h/api/avahi/src/Llib/avahi.scm", 62 );
DEFINE_STRING( BGl_string2455z00zz__avahi_avahiz00, BgL_bgl_string2455za700za7za7_2817za7, "&avahi-error2372", 16 );
DEFINE_STRING( BGl_string2456z00zz__avahi_avahiz00, BgL_bgl_string2456za700za7za7_2818za7, "bstring", 7 );
DEFINE_STRING( BGl_string2457z00zz__avahi_avahiz00, BgL_bgl_string2457za700za7za7_2819za7, "bint", 4 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string2458z00zz__avahi_avahiz00, BgL_bgl_string2458za700za7za7_2820za7, "avahi", 5 );
DEFINE_STRING( BGl_string2459z00zz__avahi_avahiz00, BgL_bgl_string2459za700za7za7_2821za7, "&avahi-simple-poll-close", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2530z00zz__avahi_avahiz00, BgL_bgl_za762lambda1823za7622822z00, BGl_z62lambda1823z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2531z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2823za7, BGl_z62zc3z04anonymousza31839ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2532z00zz__avahi_avahiz00, BgL_bgl_za762lambda1838za7622824z00, BGl_z62lambda1838z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2533z00zz__avahi_avahiz00, BgL_bgl_za762lambda1837za7622825z00, BGl_z62lambda1837z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2534z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2826za7, BGl_z62zc3z04anonymousza31846ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2535z00zz__avahi_avahiz00, BgL_bgl_za762lambda1845za7622827z00, BGl_z62lambda1845z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2460z00zz__avahi_avahiz00, BgL_bgl_string2460za700za7za7_2828za7, "avahi-simple-poll", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2536z00zz__avahi_avahiz00, BgL_bgl_za762lambda1844za7622829z00, BGl_z62lambda1844z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2461z00zz__avahi_avahiz00, BgL_bgl_string2461za700za7za7_2830za7, "&avahi-simple-poll-loop", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2537z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2831za7, BGl_z62zc3z04anonymousza31832ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2462z00zz__avahi_avahiz00, BgL_bgl_string2462za700za7za7_2832za7, "avahi-simple-poll-timeout", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2538z00zz__avahi_avahiz00, BgL_bgl_za762lambda1830za7622833z00, BGl_z62lambda1830z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2463z00zz__avahi_avahiz00, BgL_bgl_string2463za700za7za7_2834za7, "Illegal callback", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2539z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2835za7, BGl_z62zc3z04anonymousza31864ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2464z00zz__avahi_avahiz00, BgL_bgl_string2464za700za7za7_2836za7, "&avahi-simple-poll-timeout", 26 );
DEFINE_STRING( BGl_string2465z00zz__avahi_avahiz00, BgL_bgl_string2465za700za7za7_2837za7, "procedure", 9 );
DEFINE_STRING( BGl_string2466z00zz__avahi_avahiz00, BgL_bgl_string2466za700za7za7_2838za7, "&avahi-simple-poll-quit", 23 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2resetz12zd2envz12zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2839z00, BGl_z62avahizd2entryzd2groupzd2resetz12za2zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2467z00zz__avahi_avahiz00, BgL_bgl_string2467za700za7za7_2840za7, "&avahi-threaded-poll-close", 26 );
DEFINE_STRING( BGl_string2468z00zz__avahi_avahiz00, BgL_bgl_string2468za700za7za7_2841za7, "avahi-threaded-poll", 19 );
DEFINE_STRING( BGl_string2469z00zz__avahi_avahiz00, BgL_bgl_string2469za700za7za7_2842za7, "&avahi-threaded-poll-loop", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2540z00zz__avahi_avahiz00, BgL_bgl_za762lambda1863za7622843z00, BGl_z62lambda1863z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2541z00zz__avahi_avahiz00, BgL_bgl_za762lambda1862za7622844z00, BGl_z62lambda1862z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2542z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2845za7, BGl_z62zc3z04anonymousza31857ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2543z00zz__avahi_avahiz00, BgL_bgl_za762lambda1855za7622846z00, BGl_z62lambda1855z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2544z00zz__avahi_avahiz00, BgL_bgl_za762lambda1852za7622847z00, BGl_z62lambda1852z62zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2545z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2848za7, BGl_z62zc3z04anonymousza31882ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2470z00zz__avahi_avahiz00, BgL_bgl_string2470za700za7za7_2849za7, "&avahi-threaded-poll-lock!", 26 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2546z00zz__avahi_avahiz00, BgL_bgl_za762lambda1881za7622850z00, BGl_z62lambda1881z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2471z00zz__avahi_avahiz00, BgL_bgl_string2471za700za7za7_2851za7, "&avahi-threaded-poll-unlock!", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2547z00zz__avahi_avahiz00, BgL_bgl_za762lambda1880za7622852z00, BGl_z62lambda1880z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2472z00zz__avahi_avahiz00, BgL_bgl_string2472za700za7za7_2853za7, "avahi-threaded-poll-timeout", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2548z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2854za7, BGl_z62zc3z04anonymousza31875ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2473z00zz__avahi_avahiz00, BgL_bgl_string2473za700za7za7_2855za7, "&avahi-threaded-poll-timeout", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2549z00zz__avahi_avahiz00, BgL_bgl_za762lambda1873za7622856z00, BGl_z62lambda1873z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2474z00zz__avahi_avahiz00, BgL_bgl_string2474za700za7za7_2857za7, "&avahi-threaded-poll-quit", 25 );
DEFINE_STRING( BGl_string2475z00zz__avahi_avahiz00, BgL_bgl_string2475za700za7za7_2858za7, "&avahi-client-close", 19 );
DEFINE_STRING( BGl_string2476z00zz__avahi_avahiz00, BgL_bgl_string2476za700za7za7_2859za7, "avahi-client", 12 );
DEFINE_STRING( BGl_string2477z00zz__avahi_avahiz00, BgL_bgl_string2477za700za7za7_2860za7, "&avahi-client-error-message", 27 );
DEFINE_STRING( BGl_string2478z00zz__avahi_avahiz00, BgL_bgl_string2478za700za7za7_2861za7, "avahi-client-state->symbol", 26 );
DEFINE_STRING( BGl_string2479z00zz__avahi_avahiz00, BgL_bgl_string2479za700za7za7_2862za7, "Unknown state", 13 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2protocolzd2ze3symbolzd2envz31zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2proto2863z00, BGl_z62avahizd2protocolzd2ze3symbolz81zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2550z00zz__avahi_avahiz00, BgL_bgl_za762lambda1870za7622864z00, BGl_z62lambda1870z62zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2551z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2865za7, BGl_z62zc3z04anonymousza31900ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2552z00zz__avahi_avahiz00, BgL_bgl_za762lambda1899za7622866z00, BGl_z62lambda1899z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2553z00zz__avahi_avahiz00, BgL_bgl_za762lambda1898za7622867z00, BGl_z62lambda1898z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2554z00zz__avahi_avahiz00, BgL_bgl_za762lambda1905za7622868z00, BGl_z62lambda1905z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2555z00zz__avahi_avahiz00, BgL_bgl_za762lambda1904za7622869z00, BGl_z62lambda1904z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2480z00zz__avahi_avahiz00, BgL_bgl_string2480za700za7za7_2870za7, "&avahi-client-state->symbol", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2556z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2871za7, BGl_z62zc3z04anonymousza31912ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2481z00zz__avahi_avahiz00, BgL_bgl_string2481za700za7za7_2872za7, "&avahi-entry-group-close", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2557z00zz__avahi_avahiz00, BgL_bgl_za762lambda1911za7622873z00, BGl_z62lambda1911z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2482z00zz__avahi_avahiz00, BgL_bgl_string2482za700za7za7_2874za7, "avahi-entry-group", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2558z00zz__avahi_avahiz00, BgL_bgl_za762lambda1910za7622875z00, BGl_z62lambda1910z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2483z00zz__avahi_avahiz00, BgL_bgl_string2483za700za7za7_2876za7, "&avahi-entry-group-empty?", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2559z00zz__avahi_avahiz00, BgL_bgl_za762lambda1917za7622877z00, BGl_z62lambda1917z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2484z00zz__avahi_avahiz00, BgL_bgl_string2484za700za7za7_2878za7, "&avahi-entry-group-commit", 25 );
DEFINE_STRING( BGl_string2485z00zz__avahi_avahiz00, BgL_bgl_string2485za700za7za7_2879za7, "&avahi-entry-group-reset!", 25 );
DEFINE_STRING( BGl_string2486z00zz__avahi_avahiz00, BgL_bgl_string2486za700za7za7_2880za7, "avahi-entry-group-add-service", 29 );
DEFINE_STRING( BGl_string2487z00zz__avahi_avahiz00, BgL_bgl_string2487za700za7za7_2881za7, "&avahi-entry-group-add-service!", 31 );
DEFINE_STRING( BGl_string2488z00zz__avahi_avahiz00, BgL_bgl_string2488za700za7za7_2882za7, "avahi-entry-group-state->symbol", 31 );
DEFINE_STRING( BGl_string2489z00zz__avahi_avahiz00, BgL_bgl_string2489za700za7za7_2883za7, "&avahi-entry-group-state->symbol", 32 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2clientzd2errorzd2messagezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2clien2884z00, BGl_z62avahizd2clientzd2errorzd2messagezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2560z00zz__avahi_avahiz00, BgL_bgl_za762lambda1916za7622885z00, BGl_z62lambda1916z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2561z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2886za7, BGl_z62zc3z04anonymousza31924ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2562z00zz__avahi_avahiz00, BgL_bgl_za762lambda1923za7622887z00, BGl_z62lambda1923z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2563z00zz__avahi_avahiz00, BgL_bgl_za762lambda1922za7622888z00, BGl_z62lambda1922z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2564z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2889za7, BGl_z62zc3z04anonymousza31931ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2565z00zz__avahi_avahiz00, BgL_bgl_za762lambda1930za7622890z00, BGl_z62lambda1930z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2490z00zz__avahi_avahiz00, BgL_bgl_string2490za700za7za7_2891za7, "&avahi-alternative-host-name", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2566z00zz__avahi_avahiz00, BgL_bgl_za762lambda1929za7622892z00, BGl_z62lambda1929z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2491z00zz__avahi_avahiz00, BgL_bgl_string2491za700za7za7_2893za7, "&avahi-alternative-service-name", 31 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2567z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2894za7, BGl_z62zc3z04anonymousza31938ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2492z00zz__avahi_avahiz00, BgL_bgl_string2492za700za7za7_2895za7, "&avahi-service-browser-close", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2568z00zz__avahi_avahiz00, BgL_bgl_za762lambda1937za7622896z00, BGl_z62lambda1937z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2493z00zz__avahi_avahiz00, BgL_bgl_string2493za700za7za7_2897za7, "avahi-service-browser", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2569z00zz__avahi_avahiz00, BgL_bgl_za762lambda1936za7622898z00, BGl_z62lambda1936z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2494z00zz__avahi_avahiz00, BgL_bgl_string2494za700za7za7_2899za7, "&avahi-domain-browser-close", 27 );
DEFINE_STRING( BGl_string2495z00zz__avahi_avahiz00, BgL_bgl_string2495za700za7za7_2900za7, "avahi-domain-browser", 20 );
DEFINE_STRING( BGl_string2496z00zz__avahi_avahiz00, BgL_bgl_string2496za700za7za7_2901za7, "&avahi-service-resolver-close", 29 );
DEFINE_STRING( BGl_string2497z00zz__avahi_avahiz00, BgL_bgl_string2497za700za7za7_2902za7, "avahi-service-resolver", 22 );
DEFINE_STRING( BGl_string2498z00zz__avahi_avahiz00, BgL_bgl_string2498za700za7za7_2903za7, "avahi-browser-event->symbol", 27 );
DEFINE_STRING( BGl_string2499z00zz__avahi_avahiz00, BgL_bgl_string2499za700za7za7_2904za7, "Unknown event", 13 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2symbolzd2ze3protocolzd2envz31zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2symbo2905z00, BGl_z62avahizd2symbolzd2ze3protocolz81zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2570z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2906za7, BGl_z62zc3z04anonymousza31943ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2571z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2907za7, BGl_z62zc3z04anonymousza31942ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2572z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2908za7, BGl_z62zc3z04anonymousza31948ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2573z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2909za7, BGl_z62zc3z04anonymousza31947ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2574z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2910za7, BGl_z62zc3z04anonymousza31953ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2575z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2911za7, BGl_z62zc3z04anonymousza31952ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2576z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2912za7, BGl_z62zc3z04anonymousza31958ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2664z00zz__avahi_avahiz00, BgL_bgl_string2664za700za7za7_2913za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2577z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2914za7, BGl_z62zc3z04anonymousza31957ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2665z00zz__avahi_avahiz00, BgL_bgl_string2665za700za7za7_2915za7, "nil", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2578z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2916za7, BGl_z62zc3z04anonymousza31963ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2579z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2917za7, BGl_z62zc3z04anonymousza31962ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2667z00zz__avahi_avahiz00, BgL_bgl_string2667za700za7za7_2918za7, "avahi-init1255", 14 );
DEFINE_STRING( BGl_string2668z00zz__avahi_avahiz00, BgL_bgl_string2668za700za7za7_2919za7, "&avahi-init", 11 );
DEFINE_STRING( BGl_string2669z00zz__avahi_avahiz00, BgL_bgl_string2669za700za7za7_2920za7, "avahi-object", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2580z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2921za7, BGl_z62zc3z04anonymousza31967ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2581z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2922za7, BGl_z62zc3z04anonymousza31977ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2582z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2923za7, BGl_z62zc3z04anonymousza31983ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2583z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2924za7, BGl_z62zc3z04anonymousza31992ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2671z00zz__avahi_avahiz00, BgL_bgl_string2671za700za7za7_2925za7, "avahi-init", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2584z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2926za7, BGl_z62zc3z04anonymousza32001ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2585z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2927za7, BGl_z62zc3z04anonymousza32010ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2586z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2928za7, BGl_z62zc3z04anonymousza31893ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2587z00zz__avahi_avahiz00, BgL_bgl_za762lambda1891za7622929z00, BGl_z62lambda1891z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2588z00zz__avahi_avahiz00, BgL_bgl_za762lambda1888za7622930z00, BGl_z62lambda1888z62zz__avahi_avahiz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2589z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2931za7, BGl_z62zc3z04anonymousza32034ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2679z00zz__avahi_avahiz00, BgL_bgl_string2679za700za7za7_2932za7, "avahi-service-type-browser", 26 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2590z00zz__avahi_avahiz00, BgL_bgl_za762lambda2033za7622933z00, BGl_z62lambda2033z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2591z00zz__avahi_avahiz00, BgL_bgl_za762lambda2032za7622934z00, BGl_z62lambda2032z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2592z00zz__avahi_avahiz00, BgL_bgl_za762lambda2039za7622935z00, BGl_z62lambda2039z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2680z00zz__avahi_avahiz00, BgL_bgl_string2680za700za7za7_2936za7, "avahi-client-init", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2593z00zz__avahi_avahiz00, BgL_bgl_za762lambda2038za7622937z00, BGl_z62lambda2038z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2681z00zz__avahi_avahiz00, BgL_bgl_string2681za700za7za7_2938za7, "none nil avahi-domain-browser-browse _ avahi-service-resolver name protocol $avahi-if-index interface $avahi-service-resolver avahi-domain-browser $avahi-domain-browser avahi-service-type-browser $avahi-service-type-browser avahi-service-browser domain type $avahi-service-browser avahi-entry-group client $avahi-entry-group avahi-client state hostname-fqdn domainname hostname bstring version resolvers %browsers %groups procedure proc symbol flags poll $avahi-client avahi-threaded-poll $avahi-threaded-poll avahi-simple-poll $avahi-simple-poll $builtin avahi-poll pair-nil %procs $ctype avahi-object &avahi-collision-error __avahi_avahi &avahi-error int errno (quote avahi-domain-browser-max) (quote avahi-domain-browser-browse-legacy) (quote avahi-domain-browser-register-default) (quote avahi-domain-browser-register) (quote avahi-domain-browser-browse-default) (quote avahi-domain-browser-browse) btype eq? avahi-lookup-result-default avahi-lookup-result-static avahi-lookup-result-our-own avahi-lookup-result-local av"
"ahi-lookup-result-multicast avahi-lookup-result-wide-area avahi-lookup-result-cached avahi-lookup-default avahi-lookup-no-address avahi-lookup-no-txt avahi-proto-unspec avahi-proto-inet6 avahi-proto-inet avahi-if-unspec avahi-resolver-failure avahi-resolver-found avahi-browser-failure avahi-browser-all-for-now avahi-browser-cache-exhausted avahi-browser-remove avahi-browser-new avahi-entry-group-failure avahi-entry-group-collision avahi-entry-group-established avahi-entry-group-registering avahi-entry-group-uncommited (:subtype :port :host :domain :type :name) :subtype :port :host :domain :type :name avahi-client-connecting avahi-client-failure avahi-client-collision avahi-client-running avahi-client-registering condition-variable mutex avahi ", 1777 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2594z00zz__avahi_avahiz00, BgL_bgl_za762lambda2044za7622939z00, BGl_z62lambda2044z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2595z00zz__avahi_avahiz00, BgL_bgl_za762lambda2043za7622940z00, BGl_z62lambda2043z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2596z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2941za7, BGl_z62zc3z04anonymousza32027ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2597z00zz__avahi_avahiz00, BgL_bgl_za762lambda2025za7622942z00, BGl_z62lambda2025z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2598z00zz__avahi_avahiz00, BgL_bgl_za762lambda2022za7622943z00, BGl_z62lambda2022z62zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2599z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2944za7, BGl_z62zc3z04anonymousza32062ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2statezd2ze3symbolzd2envz31zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2945z00, BGl_z62avahizd2entryzd2groupzd2statezd2ze3symbolz81zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2simplezd2pollzd2quitzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2simpl2946z00, BGl_z62avahizd2simplezd2pollzd2quitzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2addzd2servicez12zd2envzc0zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2947z00, va_generic_entry, BGl_z62avahizd2entryzd2groupzd2addzd2servicez12z70zz__avahi_avahiz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2clientzd2statezd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2clien2948z00, BGl_z62avahizd2clientzd2statezd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2949z00, BGl_z62avahizd2entryzd2groupzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2quitzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2950z00, BGl_z62avahizd2threadedzd2pollzd2quitzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_avahizd2objectzd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_z62avahizd2errorzb0zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2clientzd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2pollzd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__avahi_avahiz00(long BgL_checksumz00_2985, char * BgL_fromz00_2986)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__avahi_avahiz00))
{ 
BGl_requirezd2initializa7ationz75zz__avahi_avahiz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__avahi_avahiz00(); 
BGl_libraryzd2moduleszd2initz00zz__avahi_avahiz00(); 
BGl_cnstzd2initzd2zz__avahi_avahiz00(); 
BGl_objectzd2initzd2zz__avahi_avahiz00(); 
BGl_genericzd2initzd2zz__avahi_avahiz00(); 
BGl_methodzd2initzd2zz__avahi_avahiz00(); 
return 
BGl_toplevelzd2initzd2zz__avahi_avahiz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__avahi_avahiz00()
{
{ /* Llib/avahi.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__avahi_avahi"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__avahi_avahiz00()
{
{ /* Llib/avahi.scm 15 */
{ /* Llib/avahi.scm 15 */
obj_t BgL_cportz00_2607;
{ /* Llib/avahi.scm 15 */
obj_t BgL_stringz00_2615;
BgL_stringz00_2615 = BGl_string2681z00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 15 */
obj_t BgL_startz00_2616;
BgL_startz00_2616 = 
BINT(((long)0)); 
{ /* Llib/avahi.scm 15 */
obj_t BgL_endz00_2617;
BgL_endz00_2617 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2615))); 
{ /* Llib/avahi.scm 15 */

BgL_cportz00_2607 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2615, BgL_startz00_2616, BgL_endz00_2617); } } } } 
{ 
long BgL_iz00_2608;
BgL_iz00_2608 = ((long)100); 
BgL_loopz00_2609:
if(
(BgL_iz00_2608==((long)-1)))
{ /* Llib/avahi.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 15 */
{ /* Llib/avahi.scm 15 */
obj_t BgL_arg2683z00_2611;
{ /* Llib/avahi.scm 15 */

{ /* Llib/avahi.scm 15 */
obj_t BgL_locationz00_2613;
BgL_locationz00_2613 = 
BBOOL(((bool_t)0)); 
{ /* Llib/avahi.scm 15 */

BgL_arg2683z00_2611 = 
BGl_readz00zz__readerz00(BgL_cportz00_2607, BgL_locationz00_2613); } } } 
{ /* Llib/avahi.scm 15 */
int BgL_tmpz00_3022;
BgL_tmpz00_3022 = 
(int)(BgL_iz00_2608); 
CNST_TABLE_SET(BgL_tmpz00_3022, BgL_arg2683z00_2611); } } 
{ /* Llib/avahi.scm 15 */
int BgL_auxz00_2614;
BgL_auxz00_2614 = 
(int)(
(BgL_iz00_2608-((long)1))); 
{ 
long BgL_iz00_3027;
BgL_iz00_3027 = 
(long)(BgL_auxz00_2614); 
BgL_iz00_2608 = BgL_iz00_3027; 
goto BgL_loopz00_2609;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__avahi_avahiz00()
{
{ /* Llib/avahi.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__avahi_avahiz00()
{
{ /* Llib/avahi.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string2453z00zz__avahi_avahiz00)); 
{ /* Llib/avahi.scm 201 */
obj_t BgL_res2248z00_1232;
{ /* Llib/avahi.scm 201 */
obj_t BgL_namez00_1231;
BgL_namez00_1231 = 
CNST_TABLE_REF(((long)0)); 
BgL_res2248z00_1232 = 
bgl_make_mutex(BgL_namez00_1231); } 
BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00 = BgL_res2248z00_1232; } 
{ /* Llib/avahi.scm 202 */
obj_t BgL_res2249z00_1234;
{ /* Llib/avahi.scm 202 */
obj_t BgL_namez00_1233;
BgL_namez00_1233 = 
CNST_TABLE_REF(((long)0)); 
BgL_res2249z00_1234 = 
bgl_make_condvar(BgL_namez00_1233); } 
BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00 = BgL_res2249z00_1234; } 
BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00 = BUNSPEC; 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = BNIL; 
{ /* Llib/avahi.scm 245 */

{ /* Llib/avahi.scm 245 */
obj_t BgL_namez00_56;
BgL_namez00_56 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)1))); 
{ /* Llib/avahi.scm 245 */

{ /* Llib/avahi.scm 245 */
obj_t BgL_res2250z00_1235;
BgL_res2250z00_1235 = 
bgl_make_mutex(BgL_namez00_56); 
BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00 = BgL_res2250z00_1235; } } } } 
return BUNSPEC;} 

}



/* avahi-error */
BGL_EXPORTED_DEF obj_t bgl_avahi_error(char * BgL_procz00_3, char * BgL_msgz00_4, obj_t BgL_objz00_5, int BgL_errnoz00_6)
{
{ /* Llib/avahi.scm 212 */
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_arg1294z00_65;
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_66;
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_new1141z00_69;
BgL_new1141z00_69 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 214 */
long BgL_arg1326z00_70;
{ /* Llib/avahi.scm 214 */
long BgL_res2251z00_1237;
BgL_res2251z00_1237 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1326z00_70 = BgL_res2251z00_1237; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_69), BgL_arg1326z00_70); } 
BgL_new1142z00_66 = BgL_new1141z00_69; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_66)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_66)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_3047;
{ /* Llib/avahi.scm 214 */
obj_t BgL_arg1300z00_67;
{ /* Llib/avahi.scm 214 */
obj_t BgL_arg1325z00_68;
{ /* Llib/avahi.scm 214 */
obj_t BgL_res2252z00_1241;
{ /* Llib/avahi.scm 214 */
obj_t BgL_classz00_1240;
BgL_classz00_1240 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_res2252z00_1241 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1240); } 
BgL_arg1325z00_68 = BgL_res2252z00_1241; } 
BgL_arg1300z00_67 = 
VECTOR_REF(BgL_arg1325z00_68,((long)2)); } 
BgL_auxz00_3047 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1300z00_67); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_66)))->BgL_stackz00)=((obj_t)BgL_auxz00_3047),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_66)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_3)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_66)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_4)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_66)))->BgL_objz00)=((obj_t)BgL_objz00_5),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1142z00_66))->BgL_errnoz00)=((int)BgL_errnoz00_6),BUNSPEC); 
BgL_arg1294z00_65 = BgL_new1142z00_66; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1294z00_65));} } 

}



/* &avahi-error2372 */
obj_t BGl_z62avahizd2error2372zb0zz__avahi_avahiz00(obj_t BgL_envz00_1882, obj_t BgL_procz00_1883, obj_t BgL_msgz00_1884, obj_t BgL_objz00_1885, obj_t BgL_errnoz00_1886)
{
{ /* Llib/avahi.scm 212 */
{ /* Llib/avahi.scm 214 */
int BgL_auxz00_3082;char * BgL_auxz00_3073;char * BgL_auxz00_3064;
{ /* Llib/avahi.scm 214 */
obj_t BgL_tmpz00_3083;
if(
INTEGERP(BgL_errnoz00_1886))
{ /* Llib/avahi.scm 214 */
BgL_tmpz00_3083 = BgL_errnoz00_1886
; }  else 
{ 
obj_t BgL_auxz00_3086;
BgL_auxz00_3086 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)8538)), BGl_string2455z00zz__avahi_avahiz00, BGl_string2457z00zz__avahi_avahiz00, BgL_errnoz00_1886); 
FAILURE(BgL_auxz00_3086,BFALSE,BFALSE);} 
BgL_auxz00_3082 = 
CINT(BgL_tmpz00_3083); } 
{ /* Llib/avahi.scm 214 */
obj_t BgL_tmpz00_3074;
if(
STRINGP(BgL_msgz00_1884))
{ /* Llib/avahi.scm 214 */
BgL_tmpz00_3074 = BgL_msgz00_1884
; }  else 
{ 
obj_t BgL_auxz00_3077;
BgL_auxz00_3077 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)8538)), BGl_string2455z00zz__avahi_avahiz00, BGl_string2456z00zz__avahi_avahiz00, BgL_msgz00_1884); 
FAILURE(BgL_auxz00_3077,BFALSE,BFALSE);} 
BgL_auxz00_3073 = 
BSTRING_TO_STRING(BgL_tmpz00_3074); } 
{ /* Llib/avahi.scm 214 */
obj_t BgL_tmpz00_3065;
if(
STRINGP(BgL_procz00_1883))
{ /* Llib/avahi.scm 214 */
BgL_tmpz00_3065 = BgL_procz00_1883
; }  else 
{ 
obj_t BgL_auxz00_3068;
BgL_auxz00_3068 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)8538)), BGl_string2455z00zz__avahi_avahiz00, BGl_string2456z00zz__avahi_avahiz00, BgL_procz00_1883); 
FAILURE(BgL_auxz00_3068,BFALSE,BFALSE);} 
BgL_auxz00_3064 = 
BSTRING_TO_STRING(BgL_tmpz00_3065); } 
return 
bgl_avahi_error(BgL_auxz00_3064, BgL_auxz00_3073, BgL_objz00_1885, BgL_auxz00_3082);} } 

}



/* %avahi-lock! */
BGL_EXPORTED_DEF obj_t bgl_avahi_lock()
{
{ /* Llib/avahi.scm 223 */
{ /* Llib/avahi.scm 224 */
obj_t BgL_g1150z00_1243;
BgL_g1150z00_1243 = BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 224 */

{ /* Llib/avahi.scm 224 */
int BgL_arg1647z00_1248;
BgL_arg1647z00_1248 = 
BGL_MUTEX_LOCK(BgL_g1150z00_1243); 
return 
BBOOL(
(
(long)(BgL_arg1647z00_1248)==((long)0)));} } } } 

}



/* &%avahi-lock! */
obj_t BGl_z62z52avahizd2lockz12zf0zz__avahi_avahiz00(obj_t BgL_envz00_1887)
{
{ /* Llib/avahi.scm 223 */
return 
bgl_avahi_lock();} 

}



/* %avahi-unlock! */
BGL_EXPORTED_DEF obj_t bgl_avahi_unlock()
{
{ /* Llib/avahi.scm 229 */
{ /* Llib/avahi.scm 230 */
obj_t BgL_mz00_1256;
BgL_mz00_1256 = BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 230 */
int BgL_arg1644z00_1257;
BgL_arg1644z00_1257 = 
BGL_MUTEX_UNLOCK(BgL_mz00_1256); 
return 
BBOOL(
(
(long)(BgL_arg1644z00_1257)==((long)0)));} } } 

}



/* &%avahi-unlock! */
obj_t BGl_z62z52avahizd2unlockz12zf0zz__avahi_avahiz00(obj_t BgL_envz00_1888)
{
{ /* Llib/avahi.scm 229 */
return 
bgl_avahi_unlock();} 

}



/* %avahi-signal */
BGL_EXPORTED_DEF obj_t bgl_avahi_signal()
{
{ /* Llib/avahi.scm 235 */
{ /* Llib/avahi.scm 236 */
bool_t BgL_res2257z00_1261;
BgL_res2257z00_1261 = 
BGL_CONDVAR_SIGNAL(BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00); 
return 
BBOOL(BgL_res2257z00_1261);} } 

}



/* &%avahi-signal */
obj_t BGl_z62z52avahizd2signalze2zz__avahi_avahiz00(obj_t BgL_envz00_1889)
{
{ /* Llib/avahi.scm 235 */
return 
bgl_avahi_signal();} 

}



/* avahi-gc-unmark! */
obj_t BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(BgL_avahizd2objectzd2_bglt BgL_oz00_8)
{
{ /* Llib/avahi.scm 257 */
{ /* Llib/avahi.scm 258 */
obj_t BgL_top2957z00_3106;
BgL_top2957z00_3106 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top2957z00_3106, BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BUNSPEC; 
{ /* Llib/avahi.scm 258 */
obj_t BgL_tmp2956z00_3105;
{ /* Llib/avahi.scm 259 */
obj_t BgL_g1807z00_74;
BgL_g1807z00_74 = BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 259 */

BgL_tmp2956z00_3105 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
BGl_deletez12z12zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_8), BgL_g1807z00_74, BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00), BUNSPEC) ; } } 
BGL_EXITD_POP_PROTECT(BgL_top2957z00_3106); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
return BgL_tmp2956z00_3105;} } } 

}



/* %avahi-thread-init! */
BGL_EXPORTED_DEF obj_t BGl_z52avahizd2threadzd2initz12z40zz__avahi_avahiz00()
{
{ /* Llib/avahi.scm 264 */
if(
BGl_isazf3zf3zz__objectz00(BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00, BGl_threadz00zz__threadz00))
{ /* Llib/avahi.scm 265 */
return BFALSE;}  else 
{ /* Llib/avahi.scm 267 */
obj_t BgL_lkz00_77;obj_t BgL_cvz00_78;
{ /* Llib/avahi.scm 267 */

{ /* Llib/avahi.scm 267 */
obj_t BgL_namez00_94;
BgL_namez00_94 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)1))); 
{ /* Llib/avahi.scm 267 */

{ /* Llib/avahi.scm 267 */
obj_t BgL_res2258z00_1262;
BgL_res2258z00_1262 = 
bgl_make_mutex(BgL_namez00_94); 
BgL_lkz00_77 = BgL_res2258z00_1262; } } } } 
{ /* Llib/avahi.scm 268 */

{ /* Llib/avahi.scm 268 */
obj_t BgL_namez00_95;
BgL_namez00_95 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)2))); 
{ /* Llib/avahi.scm 268 */

{ /* Llib/avahi.scm 268 */
obj_t BgL_res2259z00_1263;
BgL_res2259z00_1263 = 
bgl_make_condvar(BgL_namez00_95); 
BgL_cvz00_78 = BgL_res2259z00_1263; } } } } 
{ /* Llib/avahi.scm 270 */
BgL_pthreadz00_bglt BgL_new1144z00_79;
{ /* Llib/avahi.scm 271 */
BgL_pthreadz00_bglt BgL_new1143z00_88;
BgL_new1143z00_88 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/avahi.scm 271 */
long BgL_arg1332z00_89;
{ /* Llib/avahi.scm 271 */
long BgL_res2260z00_1265;
BgL_res2260z00_1265 = 
BGL_CLASS_INDEX(BGl_pthreadz00zz__pth_threadz00); 
BgL_arg1332z00_89 = BgL_res2260z00_1265; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1143z00_88), BgL_arg1332z00_89); } 
BgL_new1144z00_79 = BgL_new1143z00_88; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1144z00_79)))->BgL_namez00)=((obj_t)BGl_string2458z00zz__avahi_avahiz00),BUNSPEC); 
{ 
obj_t BgL_auxz00_3128;
{ /* Llib/avahi.scm 272 */
obj_t BgL_zc3z04anonymousza31328ze3z87_1893;
BgL_zc3z04anonymousza31328ze3z87_1893 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31328ze3ze5zz__avahi_avahiz00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31328ze3z87_1893, 
(int)(((long)0)), BgL_lkz00_77); 
PROCEDURE_SET(BgL_zc3z04anonymousza31328ze3z87_1893, 
(int)(((long)1)), BgL_cvz00_78); 
BgL_auxz00_3128 = BgL_zc3z04anonymousza31328ze3z87_1893; } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1144z00_79))->BgL_bodyz00)=((obj_t)BgL_auxz00_3128),BUNSPEC); } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1144z00_79))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1144z00_79))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1144z00_79))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1144z00_79))->BgL_z42builtinz42)=((void *)
BGl_z42pthreadzd2nilz90zz__pth_threadz00()),BUNSPEC); 
{ /* Llib/avahi.scm 270 */
obj_t BgL_fun1330z00_87;
BgL_fun1330z00_87 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pthreadz00zz__pth_threadz00); 
PROCEDURE_ENTRY(BgL_fun1330z00_87)(BgL_fun1330z00_87, 
((obj_t)BgL_new1144z00_79), BEOA); } 
BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00 = 
((obj_t)BgL_new1144z00_79); } 
{ /* Llib/avahi.scm 281 */
obj_t BgL_top2960z00_3150;
BgL_top2960z00_3150 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_lkz00_77); 
BGL_EXITD_PUSH_PROTECT(BgL_top2960z00_3150, BgL_lkz00_77); BUNSPEC; 
{ /* Llib/avahi.scm 281 */
obj_t BgL_tmp2959z00_3149;
BGl_threadzd2startz12zc0zz__threadz00(
((BgL_threadz00_bglt)BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00), BNIL); 
{ /* Llib/avahi.scm 283 */

{ /* Llib/avahi.scm 283 */
bool_t BgL_res2265z00_1283;
BgL_res2265z00_1283 = 
BGL_CONDVAR_WAIT(BgL_cvz00_78, BgL_lkz00_77); 
BgL_tmp2959z00_3149 = 
BBOOL(BgL_res2265z00_1283); } } 
BGL_EXITD_POP_PROTECT(BgL_top2960z00_3150); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_lkz00_77); 
return BgL_tmp2959z00_3149;} } } } 

}



/* &%avahi-thread-init! */
obj_t BGl_z62z52avahizd2threadzd2initz12z22zz__avahi_avahiz00(obj_t BgL_envz00_1894)
{
{ /* Llib/avahi.scm 264 */
return 
BGl_z52avahizd2threadzd2initz12z40zz__avahi_avahiz00();} 

}



/* &<@anonymous:1328> */
obj_t BGl_z62zc3z04anonymousza31328ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_1895)
{
{ /* Llib/avahi.scm 272 */
{ /* Llib/avahi.scm 273 */
obj_t BgL_lkz00_1896;obj_t BgL_cvz00_1897;
BgL_lkz00_1896 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1895, 
(int)(((long)0)))); 
BgL_cvz00_1897 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1895, 
(int)(((long)1)))); 
BGL_MUTEX_LOCK(BgL_lkz00_1896); 
{ /* Llib/avahi.scm 273 */
bool_t BgL_tmp2961z00_3167;
{ /* Llib/avahi.scm 274 */
bool_t BgL_res2261z00_2620;
BgL_res2261z00_2620 = 
BGL_CONDVAR_SIGNAL(BgL_cvz00_1897); 
BgL_tmp2961z00_3167 = BgL_res2261z00_2620; } 
BGL_MUTEX_UNLOCK(BgL_lkz00_1896); BgL_tmp2961z00_3167; } 
{ 

BgL_loopz00_2621:
BGL_MUTEX_LOCK(BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 276 */
bool_t BgL_tmp2962z00_3171;
{ /* Llib/avahi.scm 278 */
obj_t BgL_g1144z00_2622;obj_t BgL_g1145z00_2623;
BgL_g1144z00_2622 = BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00; 
BgL_g1145z00_2623 = BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 277 */

{ /* Llib/avahi.scm 277 */
bool_t BgL_res2263z00_2624;
BgL_res2263z00_2624 = 
BGL_CONDVAR_WAIT(BgL_g1144z00_2622, BgL_g1145z00_2623); 
BgL_tmp2962z00_3171 = BgL_res2263z00_2624; } } } 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00); BgL_tmp2962z00_3171; } 
bgl_avahi_invoke_callbacks(); BUNSPEC; 
goto BgL_loopz00_2621;} } } 

}



/* avahi-simple-poll-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollzd2closezd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt BgL_oz00_11)
{
{ /* Llib/avahi.scm 304 */
bgl_avahi_simple_poll_close(BgL_oz00_11); BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)BgL_oz00_11)); 
return BUNSPEC;} 

}



/* &avahi-simple-poll-close */
obj_t BGl_z62avahizd2simplezd2pollzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_1898, obj_t BgL_oz00_1899)
{
{ /* Llib/avahi.scm 304 */
{ /* Llib/avahi.scm 305 */
BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_3179;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1899, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 305 */
BgL_auxz00_3179 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_1899)
; }  else 
{ 
obj_t BgL_auxz00_3183;
BgL_auxz00_3183 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)12511)), BGl_string2459z00zz__avahi_avahiz00, BGl_string2460z00zz__avahi_avahiz00, BgL_oz00_1899); 
FAILURE(BgL_auxz00_3183,BFALSE,BFALSE);} 
return 
BGl_avahizd2simplezd2pollzd2closezd2zz__avahi_avahiz00(BgL_auxz00_3179);} } 

}



/* avahi-simple-poll-loop */
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollzd2loopzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt BgL_oz00_12)
{
{ /* Llib/avahi.scm 312 */
{ /* Llib/avahi.scm 314 */
AvahiSimplePoll * BgL_arg1341z00_1285;
BgL_arg1341z00_1285 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(BgL_oz00_12))->BgL_z42builtinz42); 
avahi_simple_poll_loop(BgL_arg1341z00_1285); BUNSPEC; } 
return 
((obj_t)BgL_oz00_12);} 

}



/* &avahi-simple-poll-loop */
obj_t BGl_z62avahizd2simplezd2pollzd2loopzb0zz__avahi_avahiz00(obj_t BgL_envz00_1900, obj_t BgL_oz00_1901)
{
{ /* Llib/avahi.scm 312 */
{ /* Llib/avahi.scm 313 */
BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_3191;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1901, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 313 */
BgL_auxz00_3191 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_1901)
; }  else 
{ 
obj_t BgL_auxz00_3195;
BgL_auxz00_3195 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)12834)), BGl_string2461z00zz__avahi_avahiz00, BGl_string2460z00zz__avahi_avahiz00, BgL_oz00_1901); 
FAILURE(BgL_auxz00_3195,BFALSE,BFALSE);} 
return 
BGl_avahizd2simplezd2pollzd2loopzd2zz__avahi_avahiz00(BgL_auxz00_3191);} } 

}



/* avahi-simple-poll-timeout */
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt BgL_oz00_13, long BgL_tz00_14, obj_t BgL_procz00_15)
{
{ /* Llib/avahi.scm 320 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_procz00_15, 
(int)(((long)0))))
{ /* Llib/avahi.scm 321 */
{ 
obj_t BgL_auxz00_3203;
{ /* Llib/avahi.scm 323 */
obj_t BgL_arg1378z00_100;
BgL_arg1378z00_100 = 
(((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_13)))->BgL_z52procsz52); 
BgL_auxz00_3203 = 
MAKE_YOUNG_PAIR(BgL_procz00_15, BgL_arg1378z00_100); } 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_13)))->BgL_z52procsz52)=((obj_t)BgL_auxz00_3203),BUNSPEC); } 
{ /* Llib/avahi.scm 324 */
AvahiSimplePoll * BgL_arg1379z00_101;
BgL_arg1379z00_101 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(BgL_oz00_13))->BgL_z42builtinz42); 
{ /* Llib/avahi.scm 324 */
long BgL_tmpz00_3210;
BgL_tmpz00_3210 = 
(long)(BgL_tz00_14); 
bgl_avahi_simple_poll_timeout(BgL_arg1379z00_101, BgL_tmpz00_3210, BgL_procz00_15); } 
return BUNSPEC;} }  else 
{ /* Llib/avahi.scm 325 */
char * BgL_procz00_1286;char * BgL_msgz00_1287;
BgL_procz00_1286 = 
BSTRING_TO_STRING(BGl_string2462z00zz__avahi_avahiz00); 
BgL_msgz00_1287 = 
BSTRING_TO_STRING(BGl_string2463z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_arg1294z00_1289;
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_1290;
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_new1141z00_1291;
BgL_new1141z00_1291 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 214 */
long BgL_arg1326z00_1292;
{ /* Llib/avahi.scm 214 */
long BgL_res2251z00_1293;
BgL_res2251z00_1293 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1326z00_1292 = BgL_res2251z00_1293; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_1291), BgL_arg1326z00_1292); } 
BgL_new1142z00_1290 = BgL_new1141z00_1291; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_1290)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_1290)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_3223;
{ /* Llib/avahi.scm 214 */
obj_t BgL_arg1300z00_1297;
{ /* Llib/avahi.scm 214 */
obj_t BgL_arg1325z00_1298;
{ /* Llib/avahi.scm 214 */
obj_t BgL_res2252z00_1299;
{ /* Llib/avahi.scm 214 */
obj_t BgL_classz00_1300;
BgL_classz00_1300 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_res2252z00_1299 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1300); } 
BgL_arg1325z00_1298 = BgL_res2252z00_1299; } 
BgL_arg1300z00_1297 = 
VECTOR_REF(BgL_arg1325z00_1298,((long)2)); } 
BgL_auxz00_3223 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1300z00_1297); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_1290)))->BgL_stackz00)=((obj_t)BgL_auxz00_3223),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_1290)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_1286)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_1290)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_1287)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_1290)))->BgL_objz00)=((obj_t)BgL_procz00_15),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1142z00_1290))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1294z00_1289 = BgL_new1142z00_1290; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1294z00_1289));} } } 

}



/* &avahi-simple-poll-timeout */
obj_t BGl_z62avahizd2simplezd2pollzd2timeoutzb0zz__avahi_avahiz00(obj_t BgL_envz00_1902, obj_t BgL_oz00_1903, obj_t BgL_tz00_1904, obj_t BgL_procz00_1905)
{
{ /* Llib/avahi.scm 320 */
{ /* Llib/avahi.scm 321 */
obj_t BgL_auxz00_3257;long BgL_auxz00_3248;BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_3240;
if(
PROCEDUREP(BgL_procz00_1905))
{ /* Llib/avahi.scm 321 */
BgL_auxz00_3257 = BgL_procz00_1905
; }  else 
{ 
obj_t BgL_auxz00_3260;
BgL_auxz00_3260 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)13237)), BGl_string2464z00zz__avahi_avahiz00, BGl_string2465z00zz__avahi_avahiz00, BgL_procz00_1905); 
FAILURE(BgL_auxz00_3260,BFALSE,BFALSE);} 
{ /* Llib/avahi.scm 321 */
obj_t BgL_tmpz00_3249;
if(
INTEGERP(BgL_tz00_1904))
{ /* Llib/avahi.scm 321 */
BgL_tmpz00_3249 = BgL_tz00_1904
; }  else 
{ 
obj_t BgL_auxz00_3252;
BgL_auxz00_3252 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)13237)), BGl_string2464z00zz__avahi_avahiz00, BGl_string2457z00zz__avahi_avahiz00, BgL_tz00_1904); 
FAILURE(BgL_auxz00_3252,BFALSE,BFALSE);} 
BgL_auxz00_3248 = 
(long)CINT(BgL_tmpz00_3249); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1903, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 321 */
BgL_auxz00_3240 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_1903)
; }  else 
{ 
obj_t BgL_auxz00_3244;
BgL_auxz00_3244 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)13237)), BGl_string2464z00zz__avahi_avahiz00, BGl_string2460z00zz__avahi_avahiz00, BgL_oz00_1903); 
FAILURE(BgL_auxz00_3244,BFALSE,BFALSE);} 
return 
BGl_avahizd2simplezd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_auxz00_3240, BgL_auxz00_3248, BgL_auxz00_3257);} } 

}



/* avahi-simple-poll-quit */
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollzd2quitzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt BgL_oz00_16)
{
{ /* Llib/avahi.scm 331 */
{ /* Llib/avahi.scm 333 */
AvahiSimplePoll * BgL_arg1422z00_1303;
BgL_arg1422z00_1303 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(BgL_oz00_16))->BgL_z42builtinz42); 
avahi_simple_poll_quit(BgL_arg1422z00_1303); BUNSPEC; } 
return 
((obj_t)BgL_oz00_16);} 

}



/* &avahi-simple-poll-quit */
obj_t BGl_z62avahizd2simplezd2pollzd2quitzb0zz__avahi_avahiz00(obj_t BgL_envz00_1906, obj_t BgL_oz00_1907)
{
{ /* Llib/avahi.scm 331 */
{ /* Llib/avahi.scm 332 */
BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_3268;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1907, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 332 */
BgL_auxz00_3268 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_1907)
; }  else 
{ 
obj_t BgL_auxz00_3272;
BgL_auxz00_3272 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)13797)), BGl_string2466z00zz__avahi_avahiz00, BGl_string2460z00zz__avahi_avahiz00, BgL_oz00_1907); 
FAILURE(BgL_auxz00_3272,BFALSE,BFALSE);} 
return 
BGl_avahizd2simplezd2pollzd2quitzd2zz__avahi_avahiz00(BgL_auxz00_3268);} } 

}



/* avahi-threaded-poll-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2closezd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_18)
{
{ /* Llib/avahi.scm 350 */
bgl_avahi_threaded_poll_close(BgL_oz00_18); BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)BgL_oz00_18)); 
return BUNSPEC;} 

}



/* &avahi-threaded-poll-close */
obj_t BGl_z62avahizd2threadedzd2pollzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_1908, obj_t BgL_oz00_1909)
{
{ /* Llib/avahi.scm 350 */
{ /* Llib/avahi.scm 351 */
BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3280;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1909, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 351 */
BgL_auxz00_3280 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_1909)
; }  else 
{ 
obj_t BgL_auxz00_3284;
BgL_auxz00_3284 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)14645)), BGl_string2467z00zz__avahi_avahiz00, BGl_string2468z00zz__avahi_avahiz00, BgL_oz00_1909); 
FAILURE(BgL_auxz00_3284,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2closezd2zz__avahi_avahiz00(BgL_auxz00_3280);} } 

}



/* avahi-threaded-poll-loop */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2loopzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_19)
{
{ /* Llib/avahi.scm 358 */
{ /* Llib/avahi.scm 360 */
AvahiThreadedPoll * BgL_arg1423z00_1305;
BgL_arg1423z00_1305 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_19))->BgL_z42builtinz42); 
avahi_threaded_poll_start(BgL_arg1423z00_1305); BUNSPEC; } 
return 
((obj_t)BgL_oz00_19);} 

}



/* &avahi-threaded-poll-loop */
obj_t BGl_z62avahizd2threadedzd2pollzd2loopzb0zz__avahi_avahiz00(obj_t BgL_envz00_1910, obj_t BgL_oz00_1911)
{
{ /* Llib/avahi.scm 358 */
{ /* Llib/avahi.scm 359 */
BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3292;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1911, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 359 */
BgL_auxz00_3292 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_1911)
; }  else 
{ 
obj_t BgL_auxz00_3296;
BgL_auxz00_3296 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)14972)), BGl_string2469z00zz__avahi_avahiz00, BGl_string2468z00zz__avahi_avahiz00, BgL_oz00_1911); 
FAILURE(BgL_auxz00_3296,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2loopzd2zz__avahi_avahiz00(BgL_auxz00_3292);} } 

}



/* avahi-threaded-poll-lock! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2lockz12zc0zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_20)
{
{ /* Llib/avahi.scm 366 */
{ /* Llib/avahi.scm 368 */
AvahiThreadedPoll * BgL_arg1502z00_1307;
BgL_arg1502z00_1307 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_20))->BgL_z42builtinz42); 
avahi_threaded_poll_lock(BgL_arg1502z00_1307); BUNSPEC; } 
return 
((obj_t)BgL_oz00_20);} 

}



/* &avahi-threaded-poll-lock! */
obj_t BGl_z62avahizd2threadedzd2pollzd2lockz12za2zz__avahi_avahiz00(obj_t BgL_envz00_1912, obj_t BgL_oz00_1913)
{
{ /* Llib/avahi.scm 366 */
{ /* Llib/avahi.scm 367 */
BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3304;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1913, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 367 */
BgL_auxz00_3304 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_1913)
; }  else 
{ 
obj_t BgL_auxz00_3308;
BgL_auxz00_3308 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)15357)), BGl_string2470z00zz__avahi_avahiz00, BGl_string2468z00zz__avahi_avahiz00, BgL_oz00_1913); 
FAILURE(BgL_auxz00_3308,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2lockz12zc0zz__avahi_avahiz00(BgL_auxz00_3304);} } 

}



/* avahi-threaded-poll-unlock! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2unlockz12zc0zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_21)
{
{ /* Llib/avahi.scm 374 */
{ /* Llib/avahi.scm 376 */
AvahiThreadedPoll * BgL_arg1503z00_1309;
BgL_arg1503z00_1309 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_21))->BgL_z42builtinz42); 
avahi_threaded_poll_unlock(BgL_arg1503z00_1309); BUNSPEC; } 
return 
((obj_t)BgL_oz00_21);} 

}



/* &avahi-threaded-poll-unlock! */
obj_t BGl_z62avahizd2threadedzd2pollzd2unlockz12za2zz__avahi_avahiz00(obj_t BgL_envz00_1914, obj_t BgL_oz00_1915)
{
{ /* Llib/avahi.scm 374 */
{ /* Llib/avahi.scm 375 */
BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3316;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1915, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 375 */
BgL_auxz00_3316 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_1915)
; }  else 
{ 
obj_t BgL_auxz00_3320;
BgL_auxz00_3320 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)15744)), BGl_string2471z00zz__avahi_avahiz00, BGl_string2468z00zz__avahi_avahiz00, BgL_oz00_1915); 
FAILURE(BgL_auxz00_3320,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2unlockz12zc0zz__avahi_avahiz00(BgL_auxz00_3316);} } 

}



/* avahi-threaded-poll-timeout */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_22, long BgL_tz00_23, obj_t BgL_procz00_24)
{
{ /* Llib/avahi.scm 382 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_procz00_24, 
(int)(((long)0))))
{ /* Llib/avahi.scm 383 */
{ 
obj_t BgL_auxz00_3328;
{ /* Llib/avahi.scm 385 */
obj_t BgL_arg1508z00_112;
BgL_arg1508z00_112 = 
(((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_22)))->BgL_z52procsz52); 
BgL_auxz00_3328 = 
MAKE_YOUNG_PAIR(BgL_procz00_24, BgL_arg1508z00_112); } 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_22)))->BgL_z52procsz52)=((obj_t)BgL_auxz00_3328),BUNSPEC); } 
{ /* Llib/avahi.scm 386 */
AvahiThreadedPoll * BgL_arg1514z00_113;
BgL_arg1514z00_113 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_22))->BgL_z42builtinz42); 
{ /* Llib/avahi.scm 386 */
long BgL_tmpz00_3335;
BgL_tmpz00_3335 = 
(long)(BgL_tz00_23); 
bgl_avahi_threaded_poll_timeout(BgL_arg1514z00_113, BgL_tmpz00_3335, BgL_procz00_24); } 
return BUNSPEC;} }  else 
{ /* Llib/avahi.scm 387 */
char * BgL_procz00_1310;char * BgL_msgz00_1311;
BgL_procz00_1310 = 
BSTRING_TO_STRING(BGl_string2472z00zz__avahi_avahiz00); 
BgL_msgz00_1311 = 
BSTRING_TO_STRING(BGl_string2463z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_arg1294z00_1313;
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_1314;
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_new1141z00_1315;
BgL_new1141z00_1315 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 214 */
long BgL_arg1326z00_1316;
{ /* Llib/avahi.scm 214 */
long BgL_res2251z00_1317;
BgL_res2251z00_1317 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1326z00_1316 = BgL_res2251z00_1317; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_1315), BgL_arg1326z00_1316); } 
BgL_new1142z00_1314 = BgL_new1141z00_1315; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_1314)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_1314)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_3348;
{ /* Llib/avahi.scm 214 */
obj_t BgL_arg1300z00_1321;
{ /* Llib/avahi.scm 214 */
obj_t BgL_arg1325z00_1322;
{ /* Llib/avahi.scm 214 */
obj_t BgL_res2252z00_1323;
{ /* Llib/avahi.scm 214 */
obj_t BgL_classz00_1324;
BgL_classz00_1324 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_res2252z00_1323 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1324); } 
BgL_arg1325z00_1322 = BgL_res2252z00_1323; } 
BgL_arg1300z00_1321 = 
VECTOR_REF(BgL_arg1325z00_1322,((long)2)); } 
BgL_auxz00_3348 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1300z00_1321); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_1314)))->BgL_stackz00)=((obj_t)BgL_auxz00_3348),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_1314)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_1310)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_1314)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_1311)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_1314)))->BgL_objz00)=((obj_t)BgL_procz00_24),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1142z00_1314))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1294z00_1313 = BgL_new1142z00_1314; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1294z00_1313));} } } 

}



/* &avahi-threaded-poll-timeout */
obj_t BGl_z62avahizd2threadedzd2pollzd2timeoutzb0zz__avahi_avahiz00(obj_t BgL_envz00_1916, obj_t BgL_oz00_1917, obj_t BgL_tz00_1918, obj_t BgL_procz00_1919)
{
{ /* Llib/avahi.scm 382 */
{ /* Llib/avahi.scm 383 */
obj_t BgL_auxz00_3382;long BgL_auxz00_3373;BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3365;
if(
PROCEDUREP(BgL_procz00_1919))
{ /* Llib/avahi.scm 383 */
BgL_auxz00_3382 = BgL_procz00_1919
; }  else 
{ 
obj_t BgL_auxz00_3385;
BgL_auxz00_3385 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)16157)), BGl_string2473z00zz__avahi_avahiz00, BGl_string2465z00zz__avahi_avahiz00, BgL_procz00_1919); 
FAILURE(BgL_auxz00_3385,BFALSE,BFALSE);} 
{ /* Llib/avahi.scm 383 */
obj_t BgL_tmpz00_3374;
if(
INTEGERP(BgL_tz00_1918))
{ /* Llib/avahi.scm 383 */
BgL_tmpz00_3374 = BgL_tz00_1918
; }  else 
{ 
obj_t BgL_auxz00_3377;
BgL_auxz00_3377 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)16157)), BGl_string2473z00zz__avahi_avahiz00, BGl_string2457z00zz__avahi_avahiz00, BgL_tz00_1918); 
FAILURE(BgL_auxz00_3377,BFALSE,BFALSE);} 
BgL_auxz00_3373 = 
(long)CINT(BgL_tmpz00_3374); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1917, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 383 */
BgL_auxz00_3365 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_1917)
; }  else 
{ 
obj_t BgL_auxz00_3369;
BgL_auxz00_3369 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)16157)), BGl_string2473z00zz__avahi_avahiz00, BGl_string2468z00zz__avahi_avahiz00, BgL_oz00_1917); 
FAILURE(BgL_auxz00_3369,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_auxz00_3365, BgL_auxz00_3373, BgL_auxz00_3382);} } 

}



/* avahi-threaded-poll-quit */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2quitzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_25)
{
{ /* Llib/avahi.scm 393 */
{ /* Llib/avahi.scm 395 */
AvahiThreadedPoll * BgL_arg1521z00_1327;
BgL_arg1521z00_1327 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_25))->BgL_z42builtinz42); 
avahi_threaded_poll_stop(BgL_arg1521z00_1327); BUNSPEC; } 
return 
((obj_t)BgL_oz00_25);} 

}



/* &avahi-threaded-poll-quit */
obj_t BGl_z62avahizd2threadedzd2pollzd2quitzb0zz__avahi_avahiz00(obj_t BgL_envz00_1920, obj_t BgL_oz00_1921)
{
{ /* Llib/avahi.scm 393 */
{ /* Llib/avahi.scm 394 */
BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3393;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1921, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 394 */
BgL_auxz00_3393 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_1921)
; }  else 
{ 
obj_t BgL_auxz00_3397;
BgL_auxz00_3397 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)16727)), BGl_string2474z00zz__avahi_avahiz00, BGl_string2468z00zz__avahi_avahiz00, BgL_oz00_1921); 
FAILURE(BgL_auxz00_3397,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2quitzd2zz__avahi_avahiz00(BgL_auxz00_3393);} } 

}



/* avahi-client-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2clientzd2closez00zz__avahi_avahiz00(BgL_avahizd2clientzd2_bglt BgL_oz00_27)
{
{ /* Llib/avahi.scm 413 */
bgl_avahi_client_close(BgL_oz00_27); BUNSPEC; 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_oz00_27))->BgL_z52groupsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_oz00_27))->BgL_z52browsersz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_oz00_27))->BgL_resolversz00)=((obj_t)BNIL),BUNSPEC); 
return 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)BgL_oz00_27));} 

}



/* &avahi-client-close */
obj_t BGl_z62avahizd2clientzd2closez62zz__avahi_avahiz00(obj_t BgL_envz00_1922, obj_t BgL_oz00_1923)
{
{ /* Llib/avahi.scm 413 */
{ /* Llib/avahi.scm 414 */
BgL_avahizd2clientzd2_bglt BgL_auxz00_3408;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1923, BGl_avahizd2clientzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 414 */
BgL_auxz00_3408 = 
((BgL_avahizd2clientzd2_bglt)BgL_oz00_1923)
; }  else 
{ 
obj_t BgL_auxz00_3412;
BgL_auxz00_3412 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)17628)), BGl_string2475z00zz__avahi_avahiz00, BGl_string2476z00zz__avahi_avahiz00, BgL_oz00_1923); 
FAILURE(BgL_auxz00_3412,BFALSE,BFALSE);} 
return 
BGl_avahizd2clientzd2closez00zz__avahi_avahiz00(BgL_auxz00_3408);} } 

}



/* avahi-client-error-message */
BGL_EXPORTED_DEF obj_t BGl_avahizd2clientzd2errorzd2messagezd2zz__avahi_avahiz00(BgL_avahizd2clientzd2_bglt BgL_oz00_28)
{
{ /* Llib/avahi.scm 424 */
{ /* Llib/avahi.scm 426 */
int BgL_arg1522z00_1329;
{ /* Llib/avahi.scm 426 */
AvahiClient * BgL_tmpz00_3417;
BgL_tmpz00_3417 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_oz00_28))->BgL_z42builtinz42); 
BgL_arg1522z00_1329 = 
avahi_client_errno(BgL_tmpz00_3417); } 
return 
string_to_bstring(
(char *)avahi_strerror(BgL_arg1522z00_1329));} } 

}



/* &avahi-client-error-message */
obj_t BGl_z62avahizd2clientzd2errorzd2messagezb0zz__avahi_avahiz00(obj_t BgL_envz00_1924, obj_t BgL_oz00_1925)
{
{ /* Llib/avahi.scm 424 */
{ /* Llib/avahi.scm 425 */
BgL_avahizd2clientzd2_bglt BgL_auxz00_3422;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1925, BGl_avahizd2clientzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 425 */
BgL_auxz00_3422 = 
((BgL_avahizd2clientzd2_bglt)BgL_oz00_1925)
; }  else 
{ 
obj_t BgL_auxz00_3426;
BgL_auxz00_3426 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)18076)), BGl_string2477z00zz__avahi_avahiz00, BGl_string2476z00zz__avahi_avahiz00, BgL_oz00_1925); 
FAILURE(BgL_auxz00_3426,BFALSE,BFALSE);} 
return 
BGl_avahizd2clientzd2errorzd2messagezd2zz__avahi_avahiz00(BgL_auxz00_3422);} } 

}



/* avahi-client-state->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_client_state_to_symbol(AvahiClientState BgL_statez00_29)
{
{ /* Llib/avahi.scm 431 */
if(
(BgL_statez00_29==AVAHI_CLIENT_S_REGISTERING))
{ /* Llib/avahi.scm 433 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Llib/avahi.scm 433 */
if(
(BgL_statez00_29==AVAHI_CLIENT_S_RUNNING))
{ /* Llib/avahi.scm 435 */
return 
CNST_TABLE_REF(((long)4));}  else 
{ /* Llib/avahi.scm 435 */
if(
(BgL_statez00_29==AVAHI_CLIENT_S_COLLISION))
{ /* Llib/avahi.scm 437 */
return 
CNST_TABLE_REF(((long)5));}  else 
{ /* Llib/avahi.scm 437 */
if(
(BgL_statez00_29==AVAHI_CLIENT_FAILURE))
{ /* Llib/avahi.scm 439 */
return 
CNST_TABLE_REF(((long)6));}  else 
{ /* Llib/avahi.scm 439 */
if(
(BgL_statez00_29==AVAHI_CLIENT_CONNECTING))
{ /* Llib/avahi.scm 441 */
return 
CNST_TABLE_REF(((long)7));}  else 
{ /* Llib/avahi.scm 444 */
char * BgL_procz00_1346;char * BgL_msgz00_1347;
BgL_procz00_1346 = 
BSTRING_TO_STRING(BGl_string2478z00zz__avahi_avahiz00); 
BgL_msgz00_1347 = 
BSTRING_TO_STRING(BGl_string2479z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_arg1294z00_1349;
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_1350;
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_new1141z00_1351;
BgL_new1141z00_1351 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 214 */
long BgL_arg1326z00_1352;
{ /* Llib/avahi.scm 214 */
long BgL_res2251z00_1353;
BgL_res2251z00_1353 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1326z00_1352 = BgL_res2251z00_1353; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_1351), BgL_arg1326z00_1352); } 
BgL_new1142z00_1350 = BgL_new1141z00_1351; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_1350)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_1350)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_3456;
{ /* Llib/avahi.scm 214 */
obj_t BgL_arg1300z00_1357;
{ /* Llib/avahi.scm 214 */
obj_t BgL_arg1325z00_1358;
{ /* Llib/avahi.scm 214 */
obj_t BgL_res2252z00_1359;
{ /* Llib/avahi.scm 214 */
obj_t BgL_classz00_1360;
BgL_classz00_1360 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_res2252z00_1359 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1360); } 
BgL_arg1325z00_1358 = BgL_res2252z00_1359; } 
BgL_arg1300z00_1357 = 
VECTOR_REF(BgL_arg1325z00_1358,((long)2)); } 
BgL_auxz00_3456 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1300z00_1357); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_1350)))->BgL_stackz00)=((obj_t)BgL_auxz00_3456),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_1350)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_1346)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_1350)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_1347)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_1350)))->BgL_objz00)=((obj_t)
BINT(BgL_statez00_29)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1142z00_1350))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1294z00_1349 = BgL_new1142z00_1350; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1294z00_1349));} } } } } } } 

}



/* &avahi-client-state->symbol */
obj_t BGl_z62avahizd2clientzd2statezd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_1926, obj_t BgL_statez00_1927)
{
{ /* Llib/avahi.scm 431 */
{ /* Llib/avahi.scm 433 */
AvahiClientState BgL_auxz00_3474;
{ /* Llib/avahi.scm 433 */
obj_t BgL_tmpz00_3475;
if(
INTEGERP(BgL_statez00_1927))
{ /* Llib/avahi.scm 433 */
BgL_tmpz00_3475 = BgL_statez00_1927
; }  else 
{ 
obj_t BgL_auxz00_3478;
BgL_auxz00_3478 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)18475)), BGl_string2480z00zz__avahi_avahiz00, BGl_string2457z00zz__avahi_avahiz00, BgL_statez00_1927); 
FAILURE(BgL_auxz00_3478,BFALSE,BFALSE);} 
BgL_auxz00_3474 = 
(long)CINT(BgL_tmpz00_3475); } 
return 
bgl_avahi_client_state_to_symbol(BgL_auxz00_3474);} } 

}



/* avahi-entry-group-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupzd2closezd2zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_31)
{
{ /* Llib/avahi.scm 463 */
bgl_avahi_entry_group_close(BgL_oz00_31); BUNSPEC; 
{ /* Llib/avahi.scm 466 */
BgL_avahizd2clientzd2_bglt BgL_i1161z00_126;
BgL_i1161z00_126 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_31))->BgL_clientz00); 
{ 
obj_t BgL_auxz00_3486;
{ /* Llib/avahi.scm 467 */
obj_t BgL_arg1554z00_127;
BgL_arg1554z00_127 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1161z00_126))->BgL_z52groupsz52); 
BgL_auxz00_3486 = 
bgl_remq_bang(
((obj_t)BgL_oz00_31), BgL_arg1554z00_127); } 
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1161z00_126))->BgL_z52groupsz52)=((obj_t)BgL_auxz00_3486),BUNSPEC);} } } 

}



/* &avahi-entry-group-close */
obj_t BGl_z62avahizd2entryzd2groupzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_1928, obj_t BgL_oz00_1929)
{
{ /* Llib/avahi.scm 463 */
{ /* Llib/avahi.scm 464 */
BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_3491;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1929, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 464 */
BgL_auxz00_3491 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_1929)
; }  else 
{ 
obj_t BgL_auxz00_3495;
BgL_auxz00_3495 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)19887)), BGl_string2481z00zz__avahi_avahiz00, BGl_string2482z00zz__avahi_avahiz00, BgL_oz00_1929); 
FAILURE(BgL_auxz00_3495,BFALSE,BFALSE);} 
return 
BGl_avahizd2entryzd2groupzd2closezd2zz__avahi_avahiz00(BgL_auxz00_3491);} } 

}



/* avahi-entry-group-empty? */
BGL_EXPORTED_DEF bool_t BGl_avahizd2entryzd2groupzd2emptyzf3z21zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_32)
{
{ /* Llib/avahi.scm 472 */
{ /* Llib/avahi.scm 474 */
AvahiEntryGroup * BgL_arg1555z00_1363;
BgL_arg1555z00_1363 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_32))->BgL_z42builtinz42); 
avahi_entry_group_is_empty(BgL_arg1555z00_1363); 
return ((bool_t)1);} } 

}



/* &avahi-entry-group-empty? */
obj_t BGl_z62avahizd2entryzd2groupzd2emptyzf3z43zz__avahi_avahiz00(obj_t BgL_envz00_1930, obj_t BgL_oz00_1931)
{
{ /* Llib/avahi.scm 472 */
{ /* Llib/avahi.scm 473 */
bool_t BgL_tmpz00_3502;
{ /* Llib/avahi.scm 473 */
BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_3503;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1931, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 473 */
BgL_auxz00_3503 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_1931)
; }  else 
{ 
obj_t BgL_auxz00_3507;
BgL_auxz00_3507 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)20314)), BGl_string2483z00zz__avahi_avahiz00, BGl_string2482z00zz__avahi_avahiz00, BgL_oz00_1931); 
FAILURE(BgL_auxz00_3507,BFALSE,BFALSE);} 
BgL_tmpz00_3502 = 
BGl_avahizd2entryzd2groupzd2emptyzf3z21zz__avahi_avahiz00(BgL_auxz00_3503); } 
return 
BBOOL(BgL_tmpz00_3502);} } 

}



/* avahi-entry-group-commit */
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupzd2commitzd2zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_33)
{
{ /* Llib/avahi.scm 479 */
{ /* Llib/avahi.scm 481 */
int BgL_nz00_131;
{ /* Llib/avahi.scm 481 */
AvahiEntryGroup * BgL_tmpz00_3513;
BgL_tmpz00_3513 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_33))->BgL_z42builtinz42); 
BgL_nz00_131 = 
avahi_entry_group_commit(BgL_tmpz00_3513); } 
if(
(
(long)(BgL_nz00_131)>=((long)0)))
{ /* Llib/avahi.scm 482 */
return BFALSE;}  else 
{ /* Llib/avahi.scm 483 */
char * BgL_arg1558z00_133;
BgL_arg1558z00_133 = 
(char *)avahi_strerror(BgL_nz00_131); 
return 
bgl_avahi_error(
BSTRING_TO_STRING(BGl_string2482z00zz__avahi_avahiz00), BgL_arg1558z00_133, 
((obj_t)BgL_oz00_33), BgL_nz00_131);} } } 

}



/* &avahi-entry-group-commit */
obj_t BGl_z62avahizd2entryzd2groupzd2commitzb0zz__avahi_avahiz00(obj_t BgL_envz00_1932, obj_t BgL_oz00_1933)
{
{ /* Llib/avahi.scm 479 */
{ /* Llib/avahi.scm 480 */
BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_3523;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1933, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 480 */
BgL_auxz00_3523 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_1933)
; }  else 
{ 
obj_t BgL_auxz00_3527;
BgL_auxz00_3527 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)20686)), BGl_string2484z00zz__avahi_avahiz00, BGl_string2482z00zz__avahi_avahiz00, BgL_oz00_1933); 
FAILURE(BgL_auxz00_3527,BFALSE,BFALSE);} 
return 
BGl_avahizd2entryzd2groupzd2commitzd2zz__avahi_avahiz00(BgL_auxz00_3523);} } 

}



/* avahi-entry-group-reset! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupzd2resetz12zc0zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_34)
{
{ /* Llib/avahi.scm 488 */
{ /* Llib/avahi.scm 490 */
BgL_avahizd2clientzd2_bglt BgL_i1165z00_136;
BgL_i1165z00_136 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_34))->BgL_clientz00); 
{ 
obj_t BgL_auxz00_3533;
{ /* Llib/avahi.scm 491 */
obj_t BgL_arg1574z00_137;
BgL_arg1574z00_137 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1165z00_136))->BgL_z52groupsz52); 
BgL_auxz00_3533 = 
bgl_remq_bang(
((obj_t)BgL_oz00_34), BgL_arg1574z00_137); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1165z00_136))->BgL_z52groupsz52)=((obj_t)BgL_auxz00_3533),BUNSPEC); } } 
{ /* Llib/avahi.scm 492 */
int BgL_nz00_138;
{ /* Llib/avahi.scm 492 */
AvahiEntryGroup * BgL_tmpz00_3538;
BgL_tmpz00_3538 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_34))->BgL_z42builtinz42); 
BgL_nz00_138 = 
avahi_entry_group_reset(BgL_tmpz00_3538); } 
if(
(
(long)(BgL_nz00_138)>=((long)0)))
{ /* Llib/avahi.scm 493 */
return BFALSE;}  else 
{ /* Llib/avahi.scm 494 */
char * BgL_arg1587z00_140;
BgL_arg1587z00_140 = 
(char *)avahi_strerror(BgL_nz00_138); 
return 
bgl_avahi_error(
BSTRING_TO_STRING(BGl_string2482z00zz__avahi_avahiz00), BgL_arg1587z00_140, 
((obj_t)BgL_oz00_34), BgL_nz00_138);} } } 

}



/* &avahi-entry-group-reset! */
obj_t BGl_z62avahizd2entryzd2groupzd2resetz12za2zz__avahi_avahiz00(obj_t BgL_envz00_1934, obj_t BgL_oz00_1935)
{
{ /* Llib/avahi.scm 488 */
{ /* Llib/avahi.scm 489 */
BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_3548;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1935, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 489 */
BgL_auxz00_3548 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_1935)
; }  else 
{ 
obj_t BgL_auxz00_3552;
BgL_auxz00_3552 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)21155)), BGl_string2485z00zz__avahi_avahiz00, BGl_string2482z00zz__avahi_avahiz00, BgL_oz00_1935); 
FAILURE(BgL_auxz00_3552,BFALSE,BFALSE);} 
return 
BGl_avahizd2entryzd2groupzd2resetz12zc0zz__avahi_avahiz00(BgL_auxz00_3548);} } 

}



/* avahi-entry-group-add-service! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupzd2addzd2servicez12z12zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_35, obj_t BgL_namez00_36)
{
{ /* Llib/avahi.scm 499 */
{ /* Llib/avahi.scm 186 */
obj_t BgL_namez00_143;
BgL_namez00_143 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_36, 
CNST_TABLE_REF(((long)8)), BFALSE); 
{ /* Llib/avahi.scm 186 */
obj_t BgL_typez00_144;
BgL_typez00_144 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_36, 
CNST_TABLE_REF(((long)9)), BFALSE); 
{ /* Llib/avahi.scm 186 */
obj_t BgL_domainz00_145;
BgL_domainz00_145 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_36, 
CNST_TABLE_REF(((long)10)), BFALSE); 
{ /* Llib/avahi.scm 186 */
obj_t BgL_hostz00_146;
BgL_hostz00_146 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_36, 
CNST_TABLE_REF(((long)11)), BFALSE); 
{ /* Llib/avahi.scm 186 */
obj_t BgL_portz00_147;
BgL_portz00_147 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_36, 
CNST_TABLE_REF(((long)12)), BFALSE); 
{ /* Llib/avahi.scm 186 */
obj_t BgL_subtypez00_148;
BgL_subtypez00_148 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_36, 
CNST_TABLE_REF(((long)13)), BFALSE); 
{ /* Llib/avahi.scm 186 */
obj_t BgL_txtz00_149;
BgL_txtz00_149 = 
BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(BgL_namez00_36, 
CNST_TABLE_REF(((long)14))); 
if(
CBOOL(BgL_subtypez00_148))
{ /* Llib/avahi.scm 523 */
int BgL_arg1589z00_152;
{ /* Llib/avahi.scm 523 */
AvahiEntryGroup * BgL_arg1607z00_153;obj_t BgL_arg1612z00_154;
BgL_arg1607z00_153 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_35))->BgL_z42builtinz42); 
if(
CBOOL(BgL_domainz00_145))
{ /* Llib/avahi.scm 529 */
BgL_arg1612z00_154 = BgL_domainz00_145; }  else 
{ /* Llib/avahi.scm 529 */
BgL_arg1612z00_154 = 
string_to_bstring(
((char *)0L)); } 
{ /* Llib/avahi.scm 523 */
char * BgL_auxz00_3584;char * BgL_auxz00_3582;char * BgL_auxz00_3580;char * BgL_tmpz00_3578;
BgL_auxz00_3584 = 
BSTRING_TO_STRING(BgL_subtypez00_148); 
BgL_auxz00_3582 = 
BSTRING_TO_STRING(BgL_arg1612z00_154); 
BgL_auxz00_3580 = 
BSTRING_TO_STRING(BgL_typez00_144); 
BgL_tmpz00_3578 = 
BSTRING_TO_STRING(BgL_namez00_143); 
BgL_arg1589z00_152 = 
avahi_entry_group_add_service_subtype(BgL_arg1607z00_153, AVAHI_IF_UNSPEC, AVAHI_PROTO_UNSPEC, 0L, BgL_tmpz00_3578, BgL_auxz00_3580, BgL_auxz00_3582, BgL_auxz00_3584); } } 
return 
BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_oz00_35, BgL_arg1589z00_152);}  else 
{ /* Llib/avahi.scm 520 */
if(
PAIRP(BgL_txtz00_149))
{ /* Llib/avahi.scm 533 */
AvahiStringList * BgL_lz00_157;
BgL_lz00_157 = 
bgl_avahi_list_to_string_list(BgL_txtz00_149); 
{ /* Llib/avahi.scm 534 */
obj_t BgL_exitd1174z00_158;
BgL_exitd1174z00_158 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ 
obj_t BgL_zc3z04anonymousza31624ze3z87_1936;
BgL_zc3z04anonymousza31624ze3z87_1936 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31624ze3ze5zz__avahi_avahiz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31624ze3z87_1936, 
(int)(((long)0)), 
void_star_to_obj(BgL_lz00_157)); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1174z00_158, BgL_zc3z04anonymousza31624ze3z87_1936); 
{ /* Llib/avahi.scm 536 */
obj_t BgL_tmp1176z00_160;
{ /* Llib/avahi.scm 536 */
int BgL_arg1617z00_161;
{ /* Llib/avahi.scm 536 */
AvahiEntryGroup * BgL_arg1619z00_162;obj_t BgL_arg1620z00_163;obj_t BgL_arg1623z00_164;
BgL_arg1619z00_162 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_35))->BgL_z42builtinz42); 
if(
CBOOL(BgL_domainz00_145))
{ /* Llib/avahi.scm 542 */
BgL_arg1620z00_163 = BgL_domainz00_145; }  else 
{ /* Llib/avahi.scm 542 */
BgL_arg1620z00_163 = 
string_to_bstring(
((char *)0L)); } 
if(
CBOOL(BgL_hostz00_146))
{ /* Llib/avahi.scm 543 */
BgL_arg1623z00_164 = BgL_hostz00_146; }  else 
{ /* Llib/avahi.scm 543 */
BgL_arg1623z00_164 = 
string_to_bstring(
((char *)0L)); } 
{ /* Llib/avahi.scm 536 */
int BgL_auxz00_3616;char * BgL_auxz00_3614;char * BgL_auxz00_3612;char * BgL_auxz00_3610;char * BgL_tmpz00_3608;
BgL_auxz00_3616 = 
CINT(BgL_portz00_147); 
BgL_auxz00_3614 = 
BSTRING_TO_STRING(BgL_arg1623z00_164); 
BgL_auxz00_3612 = 
BSTRING_TO_STRING(BgL_arg1620z00_163); 
BgL_auxz00_3610 = 
BSTRING_TO_STRING(BgL_typez00_144); 
BgL_tmpz00_3608 = 
BSTRING_TO_STRING(BgL_namez00_143); 
BgL_arg1617z00_161 = 
avahi_entry_group_add_service_strlst(BgL_arg1619z00_162, AVAHI_IF_UNSPEC, AVAHI_PROTO_UNSPEC, 0L, BgL_tmpz00_3608, BgL_auxz00_3610, BgL_auxz00_3612, BgL_auxz00_3614, BgL_auxz00_3616, BgL_lz00_157); } } 
BgL_tmp1176z00_160 = 
BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_oz00_35, BgL_arg1617z00_161); } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1174z00_158); 
avahi_string_list_free(BgL_lz00_157); BUNSPEC; 
return BgL_tmp1176z00_160;} } } }  else 
{ /* Llib/avahi.scm 549 */
int BgL_arg1630z00_169;
{ /* Llib/avahi.scm 549 */
AvahiEntryGroup * BgL_arg1643z00_170;obj_t BgL_arg1645z00_171;obj_t BgL_arg1646z00_172;char * BgL_arg1649z00_173;
BgL_arg1643z00_170 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_35))->BgL_z42builtinz42); 
if(
CBOOL(BgL_domainz00_145))
{ /* Llib/avahi.scm 555 */
BgL_arg1645z00_171 = BgL_domainz00_145; }  else 
{ /* Llib/avahi.scm 555 */
BgL_arg1645z00_171 = 
string_to_bstring(
((char *)0L)); } 
if(
CBOOL(BgL_hostz00_146))
{ /* Llib/avahi.scm 556 */
BgL_arg1646z00_172 = BgL_hostz00_146; }  else 
{ /* Llib/avahi.scm 556 */
BgL_arg1646z00_172 = 
string_to_bstring(
((char *)0L)); } 
BgL_arg1649z00_173 = 
((char *)0L); 
{ /* Llib/avahi.scm 549 */
int BgL_auxz00_3640;char * BgL_auxz00_3638;char * BgL_auxz00_3636;char * BgL_auxz00_3634;char * BgL_tmpz00_3632;
BgL_auxz00_3640 = 
CINT(BgL_portz00_147); 
BgL_auxz00_3638 = 
BSTRING_TO_STRING(BgL_arg1646z00_172); 
BgL_auxz00_3636 = 
BSTRING_TO_STRING(BgL_arg1645z00_171); 
BgL_auxz00_3634 = 
BSTRING_TO_STRING(BgL_typez00_144); 
BgL_tmpz00_3632 = 
BSTRING_TO_STRING(BgL_namez00_143); 
BgL_arg1630z00_169 = 
avahi_entry_group_add_service(BgL_arg1643z00_170, AVAHI_IF_UNSPEC, AVAHI_PROTO_UNSPEC, 0L, BgL_tmpz00_3632, BgL_auxz00_3634, BgL_auxz00_3636, BgL_auxz00_3638, BgL_auxz00_3640, BgL_arg1649z00_173); } } 
return 
BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_oz00_35, BgL_arg1630z00_169);} } } } } } } } } } 

}



/* check-error~0 */
obj_t BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_2485, int BgL_nz00_176)
{
{ /* Llib/avahi.scm 516 */
if(
(
(long)(BgL_nz00_176)<((long)0)))
{ /* Llib/avahi.scm 506 */
BgL_z62avahizd2errorzb0_bglt BgL_arg1657z00_179;
if(
(
(long)(BgL_nz00_176)==
(long)(AVAHI_ERR_COLLISION)))
{ /* Llib/avahi.scm 507 */
BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1169z00_181;
{ /* Llib/avahi.scm 507 */
BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1168z00_184;
BgL_new1168z00_184 = 
((BgL_z62avahizd2collisionzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2collisionzd2errorz62_bgl) ))); 
{ /* Llib/avahi.scm 507 */
long BgL_arg1665z00_185;
{ /* Llib/avahi.scm 507 */
long BgL_res2275z00_1374;
BgL_res2275z00_1374 = 
BGL_CLASS_INDEX(BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00); 
BgL_arg1665z00_185 = BgL_res2275z00_1374; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1168z00_184), BgL_arg1665z00_185); } 
BgL_new1169z00_181 = BgL_new1168z00_184; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1169z00_181)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1169z00_181)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_3659;
{ /* Llib/avahi.scm 507 */
obj_t BgL_arg1663z00_182;
{ /* Llib/avahi.scm 507 */
obj_t BgL_arg1664z00_183;
{ /* Llib/avahi.scm 507 */
obj_t BgL_res2276z00_1378;
{ /* Llib/avahi.scm 507 */
obj_t BgL_classz00_1377;
BgL_classz00_1377 = BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00; 
BgL_res2276z00_1378 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1377); } 
BgL_arg1664z00_183 = BgL_res2276z00_1378; } 
BgL_arg1663z00_182 = 
VECTOR_REF(BgL_arg1664z00_183,((long)2)); } 
BgL_auxz00_3659 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1663z00_182); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1169z00_181)))->BgL_stackz00)=((obj_t)BgL_auxz00_3659),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1169z00_181)))->BgL_procz00)=((obj_t)BGl_string2486z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1169z00_181)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)avahi_strerror(BgL_nz00_176))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1169z00_181)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_2485)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_new1169z00_181)))->BgL_errnoz00)=((int)BgL_nz00_176),BUNSPEC); 
BgL_arg1657z00_179 = 
((BgL_z62avahizd2errorzb0_bglt)BgL_new1169z00_181); }  else 
{ /* Llib/avahi.scm 512 */
BgL_z62avahizd2errorzb0_bglt BgL_new1171z00_186;
{ /* Llib/avahi.scm 512 */
BgL_z62avahizd2errorzb0_bglt BgL_new1170z00_189;
BgL_new1170z00_189 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 512 */
long BgL_arg1669z00_190;
{ /* Llib/avahi.scm 512 */
long BgL_res2277z00_1381;
BgL_res2277z00_1381 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1669z00_190 = BgL_res2277z00_1381; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1170z00_189), BgL_arg1669z00_190); } 
BgL_new1171z00_186 = BgL_new1170z00_189; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1171z00_186)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1171z00_186)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_3685;
{ /* Llib/avahi.scm 512 */
obj_t BgL_arg1666z00_187;
{ /* Llib/avahi.scm 512 */
obj_t BgL_arg1667z00_188;
{ /* Llib/avahi.scm 512 */
obj_t BgL_res2278z00_1385;
{ /* Llib/avahi.scm 512 */
obj_t BgL_classz00_1384;
BgL_classz00_1384 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_res2278z00_1385 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1384); } 
BgL_arg1667z00_188 = BgL_res2278z00_1385; } 
BgL_arg1666z00_187 = 
VECTOR_REF(BgL_arg1667z00_188,((long)2)); } 
BgL_auxz00_3685 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1666z00_187); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1171z00_186)))->BgL_stackz00)=((obj_t)BgL_auxz00_3685),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1171z00_186)))->BgL_procz00)=((obj_t)BGl_string2486z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1171z00_186)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)avahi_strerror(BgL_nz00_176))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1171z00_186)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_2485)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1171z00_186))->BgL_errnoz00)=((int)BgL_nz00_176),BUNSPEC); 
BgL_arg1657z00_179 = BgL_new1171z00_186; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1657z00_179));}  else 
{ /* Llib/avahi.scm 504 */
return BFALSE;} } 

}



/* &avahi-entry-group-add-service! */
obj_t BGl_z62avahizd2entryzd2groupzd2addzd2servicez12z70zz__avahi_avahiz00(obj_t BgL_envz00_1937, obj_t BgL_oz00_1938, obj_t BgL_namez00_1939)
{
{ /* Llib/avahi.scm 499 */
{ /* Llib/avahi.scm 186 */
BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_3703;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1938, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 186 */
BgL_auxz00_3703 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_1938)
; }  else 
{ 
obj_t BgL_auxz00_3707;
BgL_auxz00_3707 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)7339)), BGl_string2487z00zz__avahi_avahiz00, BGl_string2482z00zz__avahi_avahiz00, BgL_oz00_1938); 
FAILURE(BgL_auxz00_3707,BFALSE,BFALSE);} 
return 
BGl_avahizd2entryzd2groupzd2addzd2servicez12z12zz__avahi_avahiz00(BgL_auxz00_3703, BgL_namez00_1939);} } 

}



/* &<@anonymous:1624> */
obj_t BGl_z62zc3z04anonymousza31624ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_1940)
{
{ /* Llib/avahi.scm 534 */
{ 
AvahiStringList * BgL_lz00_1941;
BgL_lz00_1941 = 
FOREIGN_TO_COBJ(
PROCEDURE_REF(BgL_envz00_1940, 
(int)(((long)0)))); 
avahi_string_list_free(BgL_lz00_1941); 
return BUNSPEC;} } 

}



/* avahi-entry-group-state->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_entry_group_state_to_symbol(AvahiEntryGroupState BgL_statez00_37)
{
{ /* Llib/avahi.scm 563 */
if(
(BgL_statez00_37==AVAHI_ENTRY_GROUP_UNCOMMITED))
{ /* Llib/avahi.scm 565 */
return 
CNST_TABLE_REF(((long)15));}  else 
{ /* Llib/avahi.scm 565 */
if(
(BgL_statez00_37==AVAHI_ENTRY_GROUP_REGISTERING))
{ /* Llib/avahi.scm 567 */
return 
CNST_TABLE_REF(((long)16));}  else 
{ /* Llib/avahi.scm 567 */
if(
(BgL_statez00_37==AVAHI_ENTRY_GROUP_ESTABLISHED))
{ /* Llib/avahi.scm 569 */
return 
CNST_TABLE_REF(((long)17));}  else 
{ /* Llib/avahi.scm 569 */
if(
(BgL_statez00_37==AVAHI_ENTRY_GROUP_COLLISION))
{ /* Llib/avahi.scm 571 */
return 
CNST_TABLE_REF(((long)18));}  else 
{ /* Llib/avahi.scm 571 */
if(
(BgL_statez00_37==AVAHI_ENTRY_GROUP_FAILURE))
{ /* Llib/avahi.scm 573 */
return 
CNST_TABLE_REF(((long)19));}  else 
{ /* Llib/avahi.scm 577 */
BgL_z62avahizd2errorzb0_bglt BgL_arg1678z00_197;
{ /* Llib/avahi.scm 577 */
BgL_z62avahizd2errorzb0_bglt BgL_new1182z00_198;
{ /* Llib/avahi.scm 577 */
BgL_z62avahizd2errorzb0_bglt BgL_new1181z00_201;
BgL_new1181z00_201 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 577 */
long BgL_arg1681z00_202;
{ /* Llib/avahi.scm 577 */
long BgL_res2285z00_1404;
BgL_res2285z00_1404 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1681z00_202 = BgL_res2285z00_1404; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1181z00_201), BgL_arg1681z00_202); } 
BgL_new1182z00_198 = BgL_new1181z00_201; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1182z00_198)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1182z00_198)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_3739;
{ /* Llib/avahi.scm 577 */
obj_t BgL_arg1679z00_199;
{ /* Llib/avahi.scm 577 */
obj_t BgL_arg1680z00_200;
{ /* Llib/avahi.scm 577 */
obj_t BgL_res2286z00_1408;
{ /* Llib/avahi.scm 577 */
obj_t BgL_classz00_1407;
BgL_classz00_1407 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_res2286z00_1408 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1407); } 
BgL_arg1680z00_200 = BgL_res2286z00_1408; } 
BgL_arg1679z00_199 = 
VECTOR_REF(BgL_arg1680z00_200,((long)2)); } 
BgL_auxz00_3739 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1679z00_199); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1182z00_198)))->BgL_stackz00)=((obj_t)BgL_auxz00_3739),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1182z00_198)))->BgL_procz00)=((obj_t)BGl_string2488z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1182z00_198)))->BgL_msgz00)=((obj_t)BGl_string2479z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1182z00_198)))->BgL_objz00)=((obj_t)
BINT(BgL_statez00_37)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1182z00_198))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1678z00_197 = BgL_new1182z00_198; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1678z00_197));} } } } } } 

}



/* &avahi-entry-group-state->symbol */
obj_t BGl_z62avahizd2entryzd2groupzd2statezd2ze3symbolz81zz__avahi_avahiz00(obj_t BgL_envz00_1942, obj_t BgL_statez00_1943)
{
{ /* Llib/avahi.scm 563 */
{ /* Llib/avahi.scm 565 */
AvahiEntryGroupState BgL_auxz00_3755;
{ /* Llib/avahi.scm 565 */
obj_t BgL_tmpz00_3756;
if(
INTEGERP(BgL_statez00_1943))
{ /* Llib/avahi.scm 565 */
BgL_tmpz00_3756 = BgL_statez00_1943
; }  else 
{ 
obj_t BgL_auxz00_3759;
BgL_auxz00_3759 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)23435)), BGl_string2489z00zz__avahi_avahiz00, BGl_string2457z00zz__avahi_avahiz00, BgL_statez00_1943); 
FAILURE(BgL_auxz00_3759,BFALSE,BFALSE);} 
BgL_auxz00_3755 = 
(long)CINT(BgL_tmpz00_3756); } 
return 
bgl_avahi_entry_group_state_to_symbol(BgL_auxz00_3755);} } 

}



/* avahi-alternative-host-name */
BGL_EXPORTED_DEF obj_t BGl_avahizd2alternativezd2hostzd2namezd2zz__avahi_avahiz00(obj_t BgL_namez00_38)
{
{ /* Llib/avahi.scm 586 */
{ /* Llib/avahi.scm 587 */
char * BgL_tmpz00_3765;
{ /* Llib/avahi.scm 587 */
char * BgL_tmpz00_3766;
BgL_tmpz00_3766 = 
BSTRING_TO_STRING(BgL_namez00_38); 
BgL_tmpz00_3765 = 
avahi_alternative_host_name(BgL_tmpz00_3766); } 
return 
string_to_bstring(BgL_tmpz00_3765);} } 

}



/* &avahi-alternative-host-name */
obj_t BGl_z62avahizd2alternativezd2hostzd2namezb0zz__avahi_avahiz00(obj_t BgL_envz00_1944, obj_t BgL_namez00_1945)
{
{ /* Llib/avahi.scm 586 */
{ /* Llib/avahi.scm 587 */
obj_t BgL_auxz00_3770;
if(
STRINGP(BgL_namez00_1945))
{ /* Llib/avahi.scm 587 */
BgL_auxz00_3770 = BgL_namez00_1945
; }  else 
{ 
obj_t BgL_auxz00_3773;
BgL_auxz00_3773 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)24353)), BGl_string2490z00zz__avahi_avahiz00, BGl_string2456z00zz__avahi_avahiz00, BgL_namez00_1945); 
FAILURE(BgL_auxz00_3773,BFALSE,BFALSE);} 
return 
BGl_avahizd2alternativezd2hostzd2namezd2zz__avahi_avahiz00(BgL_auxz00_3770);} } 

}



/* avahi-alternative-service-name */
BGL_EXPORTED_DEF obj_t BGl_avahizd2alternativezd2servicezd2namezd2zz__avahi_avahiz00(obj_t BgL_namez00_39)
{
{ /* Llib/avahi.scm 592 */
{ /* Llib/avahi.scm 593 */
char * BgL_tmpz00_3778;
{ /* Llib/avahi.scm 593 */
char * BgL_tmpz00_3779;
BgL_tmpz00_3779 = 
BSTRING_TO_STRING(BgL_namez00_39); 
BgL_tmpz00_3778 = 
avahi_alternative_service_name(BgL_tmpz00_3779); } 
return 
string_to_bstring(BgL_tmpz00_3778);} } 

}



/* &avahi-alternative-service-name */
obj_t BGl_z62avahizd2alternativezd2servicezd2namezb0zz__avahi_avahiz00(obj_t BgL_envz00_1946, obj_t BgL_namez00_1947)
{
{ /* Llib/avahi.scm 592 */
{ /* Llib/avahi.scm 593 */
obj_t BgL_auxz00_3783;
if(
STRINGP(BgL_namez00_1947))
{ /* Llib/avahi.scm 593 */
BgL_auxz00_3783 = BgL_namez00_1947
; }  else 
{ 
obj_t BgL_auxz00_3786;
BgL_auxz00_3786 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)24662)), BGl_string2491z00zz__avahi_avahiz00, BGl_string2456z00zz__avahi_avahiz00, BgL_namez00_1947); 
FAILURE(BgL_auxz00_3786,BFALSE,BFALSE);} 
return 
BGl_avahizd2alternativezd2servicezd2namezd2zz__avahi_avahiz00(BgL_auxz00_3783);} } 

}



/* avahi-service-browser-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2browserzd2closezd2zz__avahi_avahiz00(BgL_avahizd2servicezd2browserz00_bglt BgL_oz00_41)
{
{ /* Llib/avahi.scm 611 */
bgl_avahi_service_browser_close(BgL_oz00_41); BUNSPEC; 
{ /* Llib/avahi.scm 614 */
BgL_avahizd2clientzd2_bglt BgL_i1186z00_204;
BgL_i1186z00_204 = 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_oz00_41))->BgL_clientz00); 
{ 
obj_t BgL_auxz00_3793;
{ /* Llib/avahi.scm 615 */
obj_t BgL_arg1682z00_205;
BgL_arg1682z00_205 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1186z00_204))->BgL_z52browsersz52); 
BgL_auxz00_3793 = 
bgl_remq_bang(
((obj_t)BgL_oz00_41), BgL_arg1682z00_205); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1186z00_204))->BgL_z52browsersz52)=((obj_t)BgL_auxz00_3793),BUNSPEC); } } 
return BUNSPEC;} 

}



/* &avahi-service-browser-close */
obj_t BGl_z62avahizd2servicezd2browserzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_1948, obj_t BgL_oz00_1949)
{
{ /* Llib/avahi.scm 611 */
{ /* Llib/avahi.scm 612 */
BgL_avahizd2servicezd2browserz00_bglt BgL_auxz00_3798;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1949, BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 612 */
BgL_auxz00_3798 = 
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_1949)
; }  else 
{ 
obj_t BgL_auxz00_3802;
BgL_auxz00_3802 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)25634)), BGl_string2492z00zz__avahi_avahiz00, BGl_string2493z00zz__avahi_avahiz00, BgL_oz00_1949); 
FAILURE(BgL_auxz00_3802,BFALSE,BFALSE);} 
return 
BGl_avahizd2servicezd2browserzd2closezd2zz__avahi_avahiz00(BgL_auxz00_3798);} } 

}



/* avahi-domain-browser-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2domainzd2browserzd2closezd2zz__avahi_avahiz00(BgL_avahizd2domainzd2browserz00_bglt BgL_oz00_45)
{
{ /* Llib/avahi.scm 653 */
bgl_avahi_domain_browser_close(BgL_oz00_45); BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)BgL_oz00_45)); 
return BUNSPEC;} 

}



/* &avahi-domain-browser-close */
obj_t BGl_z62avahizd2domainzd2browserzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_1950, obj_t BgL_oz00_1951)
{
{ /* Llib/avahi.scm 653 */
{ /* Llib/avahi.scm 654 */
BgL_avahizd2domainzd2browserz00_bglt BgL_auxz00_3810;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1951, BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 654 */
BgL_auxz00_3810 = 
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_1951)
; }  else 
{ 
obj_t BgL_auxz00_3814;
BgL_auxz00_3814 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)27636)), BGl_string2494z00zz__avahi_avahiz00, BGl_string2495z00zz__avahi_avahiz00, BgL_oz00_1951); 
FAILURE(BgL_auxz00_3814,BFALSE,BFALSE);} 
return 
BGl_avahizd2domainzd2browserzd2closezd2zz__avahi_avahiz00(BgL_auxz00_3810);} } 

}



/* avahi-service-resolver-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2resolverzd2closezd2zz__avahi_avahiz00(BgL_avahizd2servicezd2resolverz00_bglt BgL_oz00_47)
{
{ /* Llib/avahi.scm 674 */
bgl_avahi_service_resolver_close(BgL_oz00_47); BUNSPEC; 
{ /* Llib/avahi.scm 677 */
BgL_avahizd2clientzd2_bglt BgL_i1192z00_207;
BgL_i1192z00_207 = 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_oz00_47))->BgL_clientz00); 
{ 
obj_t BgL_auxz00_3821;
{ /* Llib/avahi.scm 678 */
obj_t BgL_arg1683z00_208;
BgL_arg1683z00_208 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1192z00_207))->BgL_resolversz00); 
BgL_auxz00_3821 = 
bgl_remq_bang(
((obj_t)BgL_oz00_47), BgL_arg1683z00_208); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1192z00_207))->BgL_resolversz00)=((obj_t)BgL_auxz00_3821),BUNSPEC); } } 
return BUNSPEC;} 

}



/* &avahi-service-resolver-close */
obj_t BGl_z62avahizd2servicezd2resolverzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_1952, obj_t BgL_oz00_1953)
{
{ /* Llib/avahi.scm 674 */
{ /* Llib/avahi.scm 675 */
BgL_avahizd2servicezd2resolverz00_bglt BgL_auxz00_3826;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1953, BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 675 */
BgL_auxz00_3826 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_1953)
; }  else 
{ 
obj_t BgL_auxz00_3830;
BgL_auxz00_3830 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)28622)), BGl_string2496z00zz__avahi_avahiz00, BGl_string2497z00zz__avahi_avahiz00, BgL_oz00_1953); 
FAILURE(BgL_auxz00_3830,BFALSE,BFALSE);} 
return 
BGl_avahizd2servicezd2resolverzd2closezd2zz__avahi_avahiz00(BgL_auxz00_3826);} } 

}



/* avahi-browser-event->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_browser_event_to_symbol(AvahiBrowserEvent BgL_eventz00_48)
{
{ /* Llib/avahi.scm 684 */
if(
(BgL_eventz00_48==AVAHI_BROWSER_NEW))
{ /* Llib/avahi.scm 686 */
return 
CNST_TABLE_REF(((long)20));}  else 
{ /* Llib/avahi.scm 686 */
if(
(BgL_eventz00_48==AVAHI_BROWSER_REMOVE))
{ /* Llib/avahi.scm 688 */
return 
CNST_TABLE_REF(((long)21));}  else 
{ /* Llib/avahi.scm 688 */
if(
(BgL_eventz00_48==AVAHI_BROWSER_CACHE_EXHAUSTED))
{ /* Llib/avahi.scm 690 */
return 
CNST_TABLE_REF(((long)22));}  else 
{ /* Llib/avahi.scm 690 */
if(
(BgL_eventz00_48==AVAHI_BROWSER_ALL_FOR_NOW))
{ /* Llib/avahi.scm 692 */
return 
CNST_TABLE_REF(((long)23));}  else 
{ /* Llib/avahi.scm 692 */
if(
(BgL_eventz00_48==AVAHI_BROWSER_FAILURE))
{ /* Llib/avahi.scm 694 */
return 
CNST_TABLE_REF(((long)24));}  else 
{ /* Llib/avahi.scm 698 */
BgL_z62avahizd2errorzb0_bglt BgL_arg1689z00_214;
{ /* Llib/avahi.scm 698 */
BgL_z62avahizd2errorzb0_bglt BgL_new1194z00_215;
{ /* Llib/avahi.scm 698 */
BgL_z62avahizd2errorzb0_bglt BgL_new1193z00_218;
BgL_new1193z00_218 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 698 */
long BgL_arg1692z00_219;
{ /* Llib/avahi.scm 698 */
long BgL_res2292z00_1426;
BgL_res2292z00_1426 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1692z00_219 = BgL_res2292z00_1426; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1193z00_218), BgL_arg1692z00_219); } 
BgL_new1194z00_215 = BgL_new1193z00_218; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1194z00_215)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1194z00_215)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_3858;
{ /* Llib/avahi.scm 698 */
obj_t BgL_arg1690z00_216;
{ /* Llib/avahi.scm 698 */
obj_t BgL_arg1691z00_217;
{ /* Llib/avahi.scm 698 */
obj_t BgL_res2293z00_1430;
{ /* Llib/avahi.scm 698 */
obj_t BgL_classz00_1429;
BgL_classz00_1429 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_res2293z00_1430 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1429); } 
BgL_arg1691z00_217 = BgL_res2293z00_1430; } 
BgL_arg1690z00_216 = 
VECTOR_REF(BgL_arg1691z00_217,((long)2)); } 
BgL_auxz00_3858 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1690z00_216); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1194z00_215)))->BgL_stackz00)=((obj_t)BgL_auxz00_3858),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1194z00_215)))->BgL_procz00)=((obj_t)BGl_string2498z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1194z00_215)))->BgL_msgz00)=((obj_t)BGl_string2499z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1194z00_215)))->BgL_objz00)=((obj_t)
BINT(BgL_eventz00_48)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1194z00_215))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1689z00_214 = BgL_new1194z00_215; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1689z00_214));} } } } } } 

}



/* &avahi-browser-event->symbol */
obj_t BGl_z62avahizd2browserzd2eventzd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_1954, obj_t BgL_eventz00_1955)
{
{ /* Llib/avahi.scm 684 */
{ /* Llib/avahi.scm 686 */
AvahiBrowserEvent BgL_auxz00_3874;
{ /* Llib/avahi.scm 686 */
obj_t BgL_tmpz00_3875;
if(
INTEGERP(BgL_eventz00_1955))
{ /* Llib/avahi.scm 686 */
BgL_tmpz00_3875 = BgL_eventz00_1955
; }  else 
{ 
obj_t BgL_auxz00_3878;
BgL_auxz00_3878 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)29092)), BGl_string2500z00zz__avahi_avahiz00, BGl_string2457z00zz__avahi_avahiz00, BgL_eventz00_1955); 
FAILURE(BgL_auxz00_3878,BFALSE,BFALSE);} 
BgL_auxz00_3874 = 
(long)CINT(BgL_tmpz00_3875); } 
return 
bgl_avahi_browser_event_to_symbol(BgL_auxz00_3874);} } 

}



/* avahi-resolver-event->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_resolver_event_to_symbol(AvahiResolverEvent BgL_eventz00_49)
{
{ /* Llib/avahi.scm 707 */
if(
(BgL_eventz00_49==AVAHI_RESOLVER_FOUND))
{ /* Llib/avahi.scm 709 */
return 
CNST_TABLE_REF(((long)25));}  else 
{ /* Llib/avahi.scm 709 */
if(
(BgL_eventz00_49==AVAHI_RESOLVER_FAILURE))
{ /* Llib/avahi.scm 711 */
return 
CNST_TABLE_REF(((long)26));}  else 
{ /* Llib/avahi.scm 715 */
BgL_z62avahizd2errorzb0_bglt BgL_arg1695z00_222;
{ /* Llib/avahi.scm 715 */
BgL_z62avahizd2errorzb0_bglt BgL_new1196z00_223;
{ /* Llib/avahi.scm 715 */
BgL_z62avahizd2errorzb0_bglt BgL_new1195z00_226;
BgL_new1195z00_226 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 715 */
long BgL_arg1703z00_227;
{ /* Llib/avahi.scm 715 */
long BgL_res2296z00_1439;
BgL_res2296z00_1439 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1703z00_227 = BgL_res2296z00_1439; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1195z00_226), BgL_arg1703z00_227); } 
BgL_new1196z00_223 = BgL_new1195z00_226; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1196z00_223)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1196z00_223)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_3898;
{ /* Llib/avahi.scm 715 */
obj_t BgL_arg1696z00_224;
{ /* Llib/avahi.scm 715 */
obj_t BgL_arg1697z00_225;
{ /* Llib/avahi.scm 715 */
obj_t BgL_res2297z00_1443;
{ /* Llib/avahi.scm 715 */
obj_t BgL_classz00_1442;
BgL_classz00_1442 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_res2297z00_1443 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1442); } 
BgL_arg1697z00_225 = BgL_res2297z00_1443; } 
BgL_arg1696z00_224 = 
VECTOR_REF(BgL_arg1697z00_225,((long)2)); } 
BgL_auxz00_3898 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1696z00_224); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1196z00_223)))->BgL_stackz00)=((obj_t)BgL_auxz00_3898),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1196z00_223)))->BgL_procz00)=((obj_t)BGl_string2501z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1196z00_223)))->BgL_msgz00)=((obj_t)BGl_string2499z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1196z00_223)))->BgL_objz00)=((obj_t)
BINT(BgL_eventz00_49)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1196z00_223))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1695z00_222 = BgL_new1196z00_223; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1695z00_222));} } } 

}



/* &avahi-resolver-event->symbol */
obj_t BGl_z62avahizd2resolverzd2eventzd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_1956, obj_t BgL_eventz00_1957)
{
{ /* Llib/avahi.scm 707 */
{ /* Llib/avahi.scm 709 */
AvahiResolverEvent BgL_auxz00_3914;
{ /* Llib/avahi.scm 709 */
obj_t BgL_tmpz00_3915;
if(
INTEGERP(BgL_eventz00_1957))
{ /* Llib/avahi.scm 709 */
BgL_tmpz00_3915 = BgL_eventz00_1957
; }  else 
{ 
obj_t BgL_auxz00_3918;
BgL_auxz00_3918 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)29961)), BGl_string2502z00zz__avahi_avahiz00, BGl_string2457z00zz__avahi_avahiz00, BgL_eventz00_1957); 
FAILURE(BgL_auxz00_3918,BFALSE,BFALSE);} 
BgL_auxz00_3914 = 
(long)CINT(BgL_tmpz00_3915); } 
return 
bgl_avahi_resolver_event_to_symbol(BgL_auxz00_3914);} } 

}



/* avahi-if-index->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_if_index_to_symbol(AvahiIfIndex BgL_indexz00_50)
{
{ /* Llib/avahi.scm 724 */
if(
(BgL_indexz00_50==AVAHI_IF_UNSPEC))
{ /* Llib/avahi.scm 726 */
return 
CNST_TABLE_REF(((long)27));}  else 
{ /* Llib/avahi.scm 729 */
BgL_z62avahizd2errorzb0_bglt BgL_arg1707z00_229;
{ /* Llib/avahi.scm 729 */
BgL_z62avahizd2errorzb0_bglt BgL_new1198z00_230;
{ /* Llib/avahi.scm 729 */
BgL_z62avahizd2errorzb0_bglt BgL_new1197z00_233;
BgL_new1197z00_233 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 729 */
long BgL_arg1718z00_234;
{ /* Llib/avahi.scm 729 */
long BgL_res2299z00_1449;
BgL_res2299z00_1449 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1718z00_234 = BgL_res2299z00_1449; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1197z00_233), BgL_arg1718z00_234); } 
BgL_new1198z00_230 = BgL_new1197z00_233; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1198z00_230)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1198z00_230)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_3935;
{ /* Llib/avahi.scm 729 */
obj_t BgL_arg1711z00_231;
{ /* Llib/avahi.scm 729 */
obj_t BgL_arg1714z00_232;
{ /* Llib/avahi.scm 729 */
obj_t BgL_res2300z00_1453;
{ /* Llib/avahi.scm 729 */
obj_t BgL_classz00_1452;
BgL_classz00_1452 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_res2300z00_1453 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1452); } 
BgL_arg1714z00_232 = BgL_res2300z00_1453; } 
BgL_arg1711z00_231 = 
VECTOR_REF(BgL_arg1714z00_232,((long)2)); } 
BgL_auxz00_3935 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1711z00_231); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1198z00_230)))->BgL_stackz00)=((obj_t)BgL_auxz00_3935),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1198z00_230)))->BgL_procz00)=((obj_t)BGl_string2503z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1198z00_230)))->BgL_msgz00)=((obj_t)BGl_string2504z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1198z00_230)))->BgL_objz00)=((obj_t)
BINT(BgL_indexz00_50)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1198z00_230))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1707z00_229 = BgL_new1198z00_230; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1707z00_229));} } 

}



/* &avahi-if-index->symbol */
obj_t BGl_z62avahizd2ifzd2indexzd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_1958, obj_t BgL_indexz00_1959)
{
{ /* Llib/avahi.scm 724 */
{ /* Llib/avahi.scm 726 */
AvahiIfIndex BgL_auxz00_3951;
{ /* Llib/avahi.scm 726 */
obj_t BgL_tmpz00_3952;
if(
INTEGERP(BgL_indexz00_1959))
{ /* Llib/avahi.scm 726 */
BgL_tmpz00_3952 = BgL_indexz00_1959
; }  else 
{ 
obj_t BgL_auxz00_3955;
BgL_auxz00_3955 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)30586)), BGl_string2505z00zz__avahi_avahiz00, BGl_string2457z00zz__avahi_avahiz00, BgL_indexz00_1959); 
FAILURE(BgL_auxz00_3955,BFALSE,BFALSE);} 
BgL_auxz00_3951 = 
(long)CINT(BgL_tmpz00_3952); } 
return 
bgl_avahi_if_index_to_symbol(BgL_auxz00_3951);} } 

}



/* avahi-protocol->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_protocol_to_symbol(AvahiProtocol BgL_protoz00_51)
{
{ /* Llib/avahi.scm 738 */
if(
(BgL_protoz00_51==AVAHI_PROTO_INET))
{ /* Llib/avahi.scm 740 */
return 
CNST_TABLE_REF(((long)28));}  else 
{ /* Llib/avahi.scm 740 */
if(
(BgL_protoz00_51==AVAHI_PROTO_INET6))
{ /* Llib/avahi.scm 742 */
return 
CNST_TABLE_REF(((long)29));}  else 
{ /* Llib/avahi.scm 742 */
if(
(BgL_protoz00_51==AVAHI_PROTO_UNSPEC))
{ /* Llib/avahi.scm 744 */
return 
CNST_TABLE_REF(((long)30));}  else 
{ /* Llib/avahi.scm 748 */
BgL_z62avahizd2errorzb0_bglt BgL_arg1724z00_238;
{ /* Llib/avahi.scm 748 */
BgL_z62avahizd2errorzb0_bglt BgL_new1200z00_239;
{ /* Llib/avahi.scm 748 */
BgL_z62avahizd2errorzb0_bglt BgL_new1199z00_242;
BgL_new1199z00_242 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 748 */
long BgL_arg1739z00_243;
{ /* Llib/avahi.scm 748 */
long BgL_res2304z00_1465;
BgL_res2304z00_1465 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1739z00_243 = BgL_res2304z00_1465; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1199z00_242), BgL_arg1739z00_243); } 
BgL_new1200z00_239 = BgL_new1199z00_242; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1200z00_239)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1200z00_239)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_3978;
{ /* Llib/avahi.scm 748 */
obj_t BgL_arg1736z00_240;
{ /* Llib/avahi.scm 748 */
obj_t BgL_arg1737z00_241;
{ /* Llib/avahi.scm 748 */
obj_t BgL_res2305z00_1469;
{ /* Llib/avahi.scm 748 */
obj_t BgL_classz00_1468;
BgL_classz00_1468 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_res2305z00_1469 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1468); } 
BgL_arg1737z00_241 = BgL_res2305z00_1469; } 
BgL_arg1736z00_240 = 
VECTOR_REF(BgL_arg1737z00_241,((long)2)); } 
BgL_auxz00_3978 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1736z00_240); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1200z00_239)))->BgL_stackz00)=((obj_t)BgL_auxz00_3978),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1200z00_239)))->BgL_procz00)=((obj_t)BGl_string2506z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1200z00_239)))->BgL_msgz00)=((obj_t)BGl_string2507z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1200z00_239)))->BgL_objz00)=((obj_t)
BINT(BgL_protoz00_51)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1200z00_239))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1724z00_238 = BgL_new1200z00_239; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1724z00_238));} } } } 

}



/* &avahi-protocol->symbol */
obj_t BGl_z62avahizd2protocolzd2ze3symbolz81zz__avahi_avahiz00(obj_t BgL_envz00_1960, obj_t BgL_protoz00_1961)
{
{ /* Llib/avahi.scm 738 */
{ /* Llib/avahi.scm 740 */
AvahiProtocol BgL_auxz00_3994;
{ /* Llib/avahi.scm 740 */
obj_t BgL_tmpz00_3995;
if(
INTEGERP(BgL_protoz00_1961))
{ /* Llib/avahi.scm 740 */
BgL_tmpz00_3995 = BgL_protoz00_1961
; }  else 
{ 
obj_t BgL_auxz00_3998;
BgL_auxz00_3998 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)31113)), BGl_string2508z00zz__avahi_avahiz00, BGl_string2457z00zz__avahi_avahiz00, BgL_protoz00_1961); 
FAILURE(BgL_auxz00_3998,BFALSE,BFALSE);} 
BgL_auxz00_3994 = 
(long)CINT(BgL_tmpz00_3995); } 
return 
bgl_avahi_protocol_to_symbol(BgL_auxz00_3994);} } 

}



/* avahi-symbol->protocol */
BGL_EXPORTED_DEF AvahiProtocol bgl_avahi_symbol_to_protocol(obj_t BgL_protoz00_52)
{
{ /* Llib/avahi.scm 757 */
if(
(BgL_protoz00_52==
CNST_TABLE_REF(((long)28))))
{ /* Llib/avahi.scm 758 */
return AVAHI_PROTO_INET;}  else 
{ /* Llib/avahi.scm 758 */
if(
(BgL_protoz00_52==
CNST_TABLE_REF(((long)29))))
{ /* Llib/avahi.scm 758 */
return AVAHI_PROTO_INET6;}  else 
{ /* Llib/avahi.scm 758 */
if(
(BgL_protoz00_52==
CNST_TABLE_REF(((long)30))))
{ /* Llib/avahi.scm 758 */
return AVAHI_PROTO_UNSPEC;}  else 
{ /* Llib/avahi.scm 767 */
BgL_z62avahizd2errorzb0_bglt BgL_arg1748z00_248;
{ /* Llib/avahi.scm 767 */
BgL_z62avahizd2errorzb0_bglt BgL_new1202z00_249;
{ /* Llib/avahi.scm 767 */
BgL_z62avahizd2errorzb0_bglt BgL_new1201z00_252;
BgL_new1201z00_252 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 767 */
long BgL_arg1751z00_253;
{ /* Llib/avahi.scm 767 */
long BgL_res2309z00_1478;
BgL_res2309z00_1478 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1751z00_253 = BgL_res2309z00_1478; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1201z00_252), BgL_arg1751z00_253); } 
BgL_new1202z00_249 = BgL_new1201z00_252; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1202z00_249)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1202z00_249)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_4021;
{ /* Llib/avahi.scm 767 */
obj_t BgL_arg1749z00_250;
{ /* Llib/avahi.scm 767 */
obj_t BgL_arg1750z00_251;
{ /* Llib/avahi.scm 767 */
obj_t BgL_res2310z00_1482;
{ /* Llib/avahi.scm 767 */
obj_t BgL_classz00_1481;
BgL_classz00_1481 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_res2310z00_1482 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1481); } 
BgL_arg1750z00_251 = BgL_res2310z00_1482; } 
BgL_arg1749z00_250 = 
VECTOR_REF(BgL_arg1750z00_251,((long)2)); } 
BgL_auxz00_4021 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1749z00_250); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1202z00_249)))->BgL_stackz00)=((obj_t)BgL_auxz00_4021),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1202z00_249)))->BgL_procz00)=((obj_t)BGl_string2509z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1202z00_249)))->BgL_msgz00)=((obj_t)BGl_string2507z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1202z00_249)))->BgL_objz00)=((obj_t)BgL_protoz00_52),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1202z00_249))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1748z00_248 = BgL_new1202z00_249; } 
return 
(long)CINT(
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1748z00_248)));} } } } 

}



/* &avahi-symbol->protocol */
obj_t BGl_z62avahizd2symbolzd2ze3protocolz81zz__avahi_avahiz00(obj_t BgL_envz00_1962, obj_t BgL_protoz00_1963)
{
{ /* Llib/avahi.scm 757 */
{ /* Llib/avahi.scm 758 */
long BgL_tmpz00_4037;
{ /* Llib/avahi.scm 758 */
obj_t BgL_auxz00_4038;
if(
SYMBOLP(BgL_protoz00_1963))
{ /* Llib/avahi.scm 758 */
BgL_auxz00_4038 = BgL_protoz00_1963
; }  else 
{ 
obj_t BgL_auxz00_4041;
BgL_auxz00_4041 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)31763)), BGl_string2510z00zz__avahi_avahiz00, BGl_string2511z00zz__avahi_avahiz00, BgL_protoz00_1963); 
FAILURE(BgL_auxz00_4041,BFALSE,BFALSE);} 
BgL_tmpz00_4037 = 
bgl_avahi_symbol_to_protocol(BgL_auxz00_4038); } 
return 
BINT(BgL_tmpz00_4037);} } 

}



/* avahi-lookup-flags->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_lookup_flags_to_symbol(AvahiLookupFlags BgL_flagz00_53)
{
{ /* Llib/avahi.scm 776 */
if(
(BgL_flagz00_53==AVAHI_LOOKUP_NO_TXT))
{ /* Llib/avahi.scm 778 */
return 
CNST_TABLE_REF(((long)31));}  else 
{ /* Llib/avahi.scm 778 */
if(
(BgL_flagz00_53==AVAHI_LOOKUP_NO_ADDRESS))
{ /* Llib/avahi.scm 780 */
return 
CNST_TABLE_REF(((long)32));}  else 
{ /* Llib/avahi.scm 780 */
if(
(BgL_flagz00_53==((long)0)))
{ /* Llib/avahi.scm 782 */
return 
CNST_TABLE_REF(((long)33));}  else 
{ /* Llib/avahi.scm 786 */
BgL_z62avahizd2errorzb0_bglt BgL_arg1755z00_257;
{ /* Llib/avahi.scm 786 */
BgL_z62avahizd2errorzb0_bglt BgL_new1204z00_258;
{ /* Llib/avahi.scm 786 */
BgL_z62avahizd2errorzb0_bglt BgL_new1203z00_261;
BgL_new1203z00_261 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 786 */
long BgL_arg1758z00_262;
{ /* Llib/avahi.scm 786 */
long BgL_res2314z00_1493;
BgL_res2314z00_1493 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1758z00_262 = BgL_res2314z00_1493; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1203z00_261), BgL_arg1758z00_262); } 
BgL_new1204z00_258 = BgL_new1203z00_261; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1204z00_258)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1204z00_258)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_4064;
{ /* Llib/avahi.scm 786 */
obj_t BgL_arg1756z00_259;
{ /* Llib/avahi.scm 786 */
obj_t BgL_arg1757z00_260;
{ /* Llib/avahi.scm 786 */
obj_t BgL_res2315z00_1497;
{ /* Llib/avahi.scm 786 */
obj_t BgL_classz00_1496;
BgL_classz00_1496 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_res2315z00_1497 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1496); } 
BgL_arg1757z00_260 = BgL_res2315z00_1497; } 
BgL_arg1756z00_259 = 
VECTOR_REF(BgL_arg1757z00_260,((long)2)); } 
BgL_auxz00_4064 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1756z00_259); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1204z00_258)))->BgL_stackz00)=((obj_t)BgL_auxz00_4064),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1204z00_258)))->BgL_procz00)=((obj_t)BGl_string2512z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1204z00_258)))->BgL_msgz00)=((obj_t)BGl_string2513z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1204z00_258)))->BgL_objz00)=((obj_t)
BINT(BgL_flagz00_53)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1204z00_258))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1755z00_257 = BgL_new1204z00_258; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1755z00_257));} } } } 

}



/* &avahi-lookup-flags->symbol */
obj_t BGl_z62avahizd2lookupzd2flagszd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_1964, obj_t BgL_flagz00_1965)
{
{ /* Llib/avahi.scm 776 */
{ /* Llib/avahi.scm 778 */
AvahiLookupFlags BgL_auxz00_4080;
{ /* Llib/avahi.scm 778 */
obj_t BgL_tmpz00_4081;
if(
INTEGERP(BgL_flagz00_1965))
{ /* Llib/avahi.scm 778 */
BgL_tmpz00_4081 = BgL_flagz00_1965
; }  else 
{ 
obj_t BgL_auxz00_4084;
BgL_auxz00_4084 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)32426)), BGl_string2514z00zz__avahi_avahiz00, BGl_string2457z00zz__avahi_avahiz00, BgL_flagz00_1965); 
FAILURE(BgL_auxz00_4084,BFALSE,BFALSE);} 
BgL_auxz00_4080 = 
(long)CINT(BgL_tmpz00_4081); } 
return 
bgl_avahi_lookup_flags_to_symbol(BgL_auxz00_4080);} } 

}



/* avahi-lookup-result-flags->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_lookup_result_flags_to_symbol(AvahiLookupResultFlags BgL_flagz00_54)
{
{ /* Llib/avahi.scm 795 */
if(
(BgL_flagz00_54==AVAHI_LOOKUP_RESULT_CACHED))
{ /* Llib/avahi.scm 797 */
return 
CNST_TABLE_REF(((long)34));}  else 
{ /* Llib/avahi.scm 797 */
if(
(BgL_flagz00_54==AVAHI_LOOKUP_RESULT_WIDE_AREA))
{ /* Llib/avahi.scm 799 */
return 
CNST_TABLE_REF(((long)35));}  else 
{ /* Llib/avahi.scm 799 */
if(
(BgL_flagz00_54==AVAHI_LOOKUP_RESULT_MULTICAST))
{ /* Llib/avahi.scm 801 */
return 
CNST_TABLE_REF(((long)36));}  else 
{ /* Llib/avahi.scm 801 */
if(
(BgL_flagz00_54==AVAHI_LOOKUP_RESULT_LOCAL))
{ /* Llib/avahi.scm 803 */
return 
CNST_TABLE_REF(((long)37));}  else 
{ /* Llib/avahi.scm 803 */
if(
(BgL_flagz00_54==AVAHI_LOOKUP_RESULT_OUR_OWN))
{ /* Llib/avahi.scm 805 */
return 
CNST_TABLE_REF(((long)38));}  else 
{ /* Llib/avahi.scm 805 */
if(
(BgL_flagz00_54==AVAHI_LOOKUP_RESULT_STATIC))
{ /* Llib/avahi.scm 807 */
return 
CNST_TABLE_REF(((long)39));}  else 
{ /* Llib/avahi.scm 807 */
if(
(BgL_flagz00_54==((long)0)))
{ /* Llib/avahi.scm 809 */
return 
CNST_TABLE_REF(((long)40));}  else 
{ /* Llib/avahi.scm 813 */
BgL_z62avahizd2errorzb0_bglt BgL_arg1766z00_270;
{ /* Llib/avahi.scm 813 */
BgL_z62avahizd2errorzb0_bglt BgL_new1206z00_271;
{ /* Llib/avahi.scm 813 */
BgL_z62avahizd2errorzb0_bglt BgL_new1205z00_274;
BgL_new1205z00_274 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 813 */
long BgL_arg1769z00_275;
{ /* Llib/avahi.scm 813 */
long BgL_res2323z00_1520;
BgL_res2323z00_1520 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1769z00_275 = BgL_res2323z00_1520; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1205z00_274), BgL_arg1769z00_275); } 
BgL_new1206z00_271 = BgL_new1205z00_274; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1206z00_271)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1206z00_271)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_4119;
{ /* Llib/avahi.scm 813 */
obj_t BgL_arg1767z00_272;
{ /* Llib/avahi.scm 813 */
obj_t BgL_arg1768z00_273;
{ /* Llib/avahi.scm 813 */
obj_t BgL_res2324z00_1524;
{ /* Llib/avahi.scm 813 */
obj_t BgL_classz00_1523;
BgL_classz00_1523 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_res2324z00_1524 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1523); } 
BgL_arg1768z00_273 = BgL_res2324z00_1524; } 
BgL_arg1767z00_272 = 
VECTOR_REF(BgL_arg1768z00_273,((long)2)); } 
BgL_auxz00_4119 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1767z00_272); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1206z00_271)))->BgL_stackz00)=((obj_t)BgL_auxz00_4119),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1206z00_271)))->BgL_procz00)=((obj_t)BGl_string2515z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1206z00_271)))->BgL_msgz00)=((obj_t)BGl_string2516z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1206z00_271)))->BgL_objz00)=((obj_t)
BINT(BgL_flagz00_54)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1206z00_271))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1766z00_270 = BgL_new1206z00_271; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1766z00_270));} } } } } } } } 

}



/* &avahi-lookup-result-flags->symbol */
obj_t BGl_z62avahizd2lookupzd2resultzd2flagszd2ze3symbolz81zz__avahi_avahiz00(obj_t BgL_envz00_1966, obj_t BgL_flagz00_1967)
{
{ /* Llib/avahi.scm 795 */
{ /* Llib/avahi.scm 797 */
AvahiLookupResultFlags BgL_auxz00_4135;
{ /* Llib/avahi.scm 797 */
obj_t BgL_tmpz00_4136;
if(
INTEGERP(BgL_flagz00_1967))
{ /* Llib/avahi.scm 797 */
BgL_tmpz00_4136 = BgL_flagz00_1967
; }  else 
{ 
obj_t BgL_auxz00_4139;
BgL_auxz00_4139 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)33123)), BGl_string2517z00zz__avahi_avahiz00, BGl_string2457z00zz__avahi_avahiz00, BgL_flagz00_1967); 
FAILURE(BgL_auxz00_4139,BFALSE,BFALSE);} 
BgL_auxz00_4135 = 
(long)CINT(BgL_tmpz00_4136); } 
return 
bgl_avahi_lookup_result_flags_to_symbol(BgL_auxz00_4135);} } 

}



/* avahi-symbol->domain-browser-type */
obj_t BGl_avahizd2symbolzd2ze3domainzd2browserzd2typeze3zz__avahi_avahiz00(obj_t BgL_btypez00_55)
{
{ /* Llib/avahi.scm 822 */
{ /* Llib/avahi.scm 823 */
bool_t BgL_test3045z00_4145;
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)41))))
{ /* Llib/avahi.scm 823 */
BgL_test3045z00_4145 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)42))))
{ /* Llib/avahi.scm 823 */
BgL_test3045z00_4145 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
BgL_test3045z00_4145 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_55, 
CNST_TABLE_REF(((long)43)))
; } } 
if(BgL_test3045z00_4145)
{ /* Llib/avahi.scm 823 */
return 
BINT(AVAHI_DOMAIN_BROWSER_BROWSE);}  else 
{ /* Llib/avahi.scm 823 */
bool_t BgL_test3048z00_4155;
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)41))))
{ /* Llib/avahi.scm 823 */
BgL_test3048z00_4155 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)42))))
{ /* Llib/avahi.scm 823 */
BgL_test3048z00_4155 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
BgL_test3048z00_4155 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_55, 
CNST_TABLE_REF(((long)44)))
; } } 
if(BgL_test3048z00_4155)
{ /* Llib/avahi.scm 823 */
return 
BINT(AVAHI_DOMAIN_BROWSER_BROWSE_DEFAULT);}  else 
{ /* Llib/avahi.scm 823 */
bool_t BgL_test3051z00_4165;
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)41))))
{ /* Llib/avahi.scm 823 */
BgL_test3051z00_4165 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)42))))
{ /* Llib/avahi.scm 823 */
BgL_test3051z00_4165 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
BgL_test3051z00_4165 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_55, 
CNST_TABLE_REF(((long)45)))
; } } 
if(BgL_test3051z00_4165)
{ /* Llib/avahi.scm 823 */
return 
BINT(AVAHI_DOMAIN_BROWSER_REGISTER);}  else 
{ /* Llib/avahi.scm 823 */
bool_t BgL_test3054z00_4175;
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)41))))
{ /* Llib/avahi.scm 823 */
BgL_test3054z00_4175 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)42))))
{ /* Llib/avahi.scm 823 */
BgL_test3054z00_4175 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
BgL_test3054z00_4175 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_55, 
CNST_TABLE_REF(((long)46)))
; } } 
if(BgL_test3054z00_4175)
{ /* Llib/avahi.scm 823 */
return 
BINT(AVAHI_DOMAIN_BROWSER_REGISTER_DEFAULT);}  else 
{ /* Llib/avahi.scm 823 */
bool_t BgL_test3057z00_4185;
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)41))))
{ /* Llib/avahi.scm 823 */
BgL_test3057z00_4185 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)42))))
{ /* Llib/avahi.scm 823 */
BgL_test3057z00_4185 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
BgL_test3057z00_4185 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_55, 
CNST_TABLE_REF(((long)47)))
; } } 
if(BgL_test3057z00_4185)
{ /* Llib/avahi.scm 823 */
return 
BINT(AVAHI_DOMAIN_BROWSER_BROWSE_LEGACY);}  else 
{ /* Llib/avahi.scm 823 */
bool_t BgL_test3060z00_4195;
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)41))))
{ /* Llib/avahi.scm 823 */
BgL_test3060z00_4195 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
if(
(BgL_btypez00_55==
CNST_TABLE_REF(((long)42))))
{ /* Llib/avahi.scm 823 */
BgL_test3060z00_4195 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 823 */
BgL_test3060z00_4195 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_55, 
CNST_TABLE_REF(((long)48)))
; } } 
if(BgL_test3060z00_4195)
{ /* Llib/avahi.scm 823 */
return 
BINT(AVAHI_DOMAIN_BROWSER_MAX);}  else 
{ /* Llib/avahi.scm 838 */
BgL_z62avahizd2errorzb0_bglt BgL_arg1788z00_295;
{ /* Llib/avahi.scm 838 */
BgL_z62avahizd2errorzb0_bglt BgL_new1208z00_296;
{ /* Llib/avahi.scm 838 */
BgL_z62avahizd2errorzb0_bglt BgL_new1207z00_299;
BgL_new1207z00_299 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 838 */
long BgL_arg1791z00_300;
{ /* Llib/avahi.scm 838 */
long BgL_res2337z00_1551;
BgL_res2337z00_1551 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1791z00_300 = BgL_res2337z00_1551; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1207z00_299), BgL_arg1791z00_300); } 
BgL_new1208z00_296 = BgL_new1207z00_299; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1208z00_296)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1208z00_296)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_4213;
{ /* Llib/avahi.scm 838 */
obj_t BgL_arg1789z00_297;
{ /* Llib/avahi.scm 838 */
obj_t BgL_arg1790z00_298;
{ /* Llib/avahi.scm 838 */
obj_t BgL_res2338z00_1555;
{ /* Llib/avahi.scm 838 */
obj_t BgL_classz00_1554;
BgL_classz00_1554 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_res2338z00_1555 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1554); } 
BgL_arg1790z00_298 = BgL_res2338z00_1555; } 
BgL_arg1789z00_297 = 
VECTOR_REF(BgL_arg1790z00_298,((long)2)); } 
BgL_auxz00_4213 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1789z00_297); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1208z00_296)))->BgL_stackz00)=((obj_t)BgL_auxz00_4213),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1208z00_296)))->BgL_procz00)=((obj_t)BGl_string2518z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1208z00_296)))->BgL_msgz00)=((obj_t)BGl_string2519z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1208z00_296)))->BgL_objz00)=((obj_t)BgL_btypez00_55),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1208z00_296))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1788z00_295 = BgL_new1208z00_296; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1788z00_295));} } } } } } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__avahi_avahiz00()
{
{ /* Llib/avahi.scm 15 */
{ /* Llib/avahi.scm 50 */
obj_t BgL_arg1795z00_316;obj_t BgL_arg1796z00_317;
{ /* Llib/avahi.scm 50 */
obj_t BgL_v1231z00_334;
BgL_v1231z00_334 = 
create_vector(((long)1)); 
{ /* Llib/avahi.scm 50 */
obj_t BgL_arg1802z00_335;
BgL_arg1802z00_335 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)49)), BGl_proc2522z00zz__avahi_avahiz00, BGl_proc2521z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2520z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)50))); 
VECTOR_SET(BgL_v1231z00_334,((long)0),BgL_arg1802z00_335); } 
BgL_arg1795z00_316 = BgL_v1231z00_334; } 
{ /* Llib/avahi.scm 50 */
obj_t BgL_v1232z00_348;
BgL_v1232z00_348 = 
create_vector(((long)0)); 
BgL_arg1796z00_317 = BgL_v1232z00_348; } 
BGl_z62avahizd2errorzb0zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)51)), 
CNST_TABLE_REF(((long)52)), BGl_z62errorz62zz__objectz00, ((long)37908), BGl_proc2525z00zz__avahi_avahiz00, BGl_proc2524z00zz__avahi_avahiz00, BFALSE, BGl_proc2523z00zz__avahi_avahiz00, BFALSE, BgL_arg1795z00_316, BgL_arg1796z00_317); } 
{ /* Llib/avahi.scm 52 */
obj_t BgL_arg1812z00_355;obj_t BgL_arg1813z00_356;
{ /* Llib/avahi.scm 52 */
obj_t BgL_v1233z00_373;
BgL_v1233z00_373 = 
create_vector(((long)0)); 
BgL_arg1812z00_355 = BgL_v1233z00_373; } 
{ /* Llib/avahi.scm 52 */
obj_t BgL_v1234z00_374;
BgL_v1234z00_374 = 
create_vector(((long)0)); 
BgL_arg1813z00_356 = BgL_v1234z00_374; } 
BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)53)), 
CNST_TABLE_REF(((long)52)), BGl_z62avahizd2errorzb0zz__avahi_avahiz00, ((long)15882), BGl_proc2528z00zz__avahi_avahiz00, BGl_proc2527z00zz__avahi_avahiz00, BFALSE, BGl_proc2526z00zz__avahi_avahiz00, BFALSE, BgL_arg1812z00_355, BgL_arg1813z00_356); } 
{ /* Llib/avahi.scm 54 */
obj_t BgL_arg1821z00_380;obj_t BgL_arg1822z00_381;
{ /* Llib/avahi.scm 54 */
obj_t BgL_v1235z00_387;
BgL_v1235z00_387 = 
create_vector(((long)0)); 
BgL_arg1821z00_380 = BgL_v1235z00_387; } 
{ /* Llib/avahi.scm 54 */
obj_t BgL_v1236z00_388;
BgL_v1236z00_388 = 
create_vector(((long)0)); 
BgL_arg1822z00_381 = BgL_v1236z00_388; } 
BGl_avahizd2objectzd2zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)54)), 
CNST_TABLE_REF(((long)52)), BGl_objectz00zz__objectz00, ((long)39383), BFALSE, BGl_proc2530z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2529z00zz__avahi_avahiz00, BFALSE, BgL_arg1821z00_380, BgL_arg1822z00_381); } 
{ /* Llib/avahi.scm 57 */
obj_t BgL_arg1828z00_393;obj_t BgL_arg1829z00_394;
{ /* Llib/avahi.scm 57 */
obj_t BgL_v1237z00_400;
BgL_v1237z00_400 = 
create_vector(((long)2)); 
{ /* Llib/avahi.scm 57 */
obj_t BgL_arg1833z00_401;
BgL_arg1833z00_401 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)55)), BGl_proc2533z00zz__avahi_avahiz00, BGl_proc2532z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2531z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)50))); 
VECTOR_SET(BgL_v1237z00_400,((long)0),BgL_arg1833z00_401); } 
{ /* Llib/avahi.scm 57 */
obj_t BgL_arg1840z00_414;
BgL_arg1840z00_414 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc2536z00zz__avahi_avahiz00, BGl_proc2535z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2534z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)57))); 
VECTOR_SET(BgL_v1237z00_400,((long)1),BgL_arg1840z00_414); } 
BgL_arg1828z00_393 = BgL_v1237z00_400; } 
{ /* Llib/avahi.scm 57 */
obj_t BgL_v1238z00_427;
BgL_v1238z00_427 = 
create_vector(((long)0)); 
BgL_arg1829z00_394 = BgL_v1238z00_427; } 
BGl_avahizd2pollzd2zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)58)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)43719), BFALSE, BGl_proc2538z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2537z00zz__avahi_avahiz00, BFALSE, BgL_arg1828z00_393, BgL_arg1829z00_394); } 
{ /* Llib/avahi.scm 61 */
obj_t BgL_arg1850z00_433;obj_t BgL_arg1851z00_434;
{ /* Llib/avahi.scm 61 */
obj_t BgL_v1239z00_448;
BgL_v1239z00_448 = 
create_vector(((long)1)); 
{ /* Llib/avahi.scm 61 */
obj_t BgL_arg1858z00_449;
BgL_arg1858z00_449 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2541z00zz__avahi_avahiz00, BGl_proc2540z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2539z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)60))); 
VECTOR_SET(BgL_v1239z00_448,((long)0),BgL_arg1858z00_449); } 
BgL_arg1850z00_433 = BgL_v1239z00_448; } 
{ /* Llib/avahi.scm 61 */
obj_t BgL_v1240z00_462;
BgL_v1240z00_462 = 
create_vector(((long)0)); 
BgL_arg1851z00_434 = BgL_v1240z00_462; } 
BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)61)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2pollzd2zz__avahi_avahiz00, ((long)59689), BGl_proc2544z00zz__avahi_avahiz00, BGl_proc2543z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2542z00zz__avahi_avahiz00, BFALSE, BgL_arg1850z00_433, BgL_arg1851z00_434); } 
{ /* Llib/avahi.scm 64 */
obj_t BgL_arg1868z00_469;obj_t BgL_arg1869z00_470;
{ /* Llib/avahi.scm 64 */
obj_t BgL_v1241z00_484;
BgL_v1241z00_484 = 
create_vector(((long)1)); 
{ /* Llib/avahi.scm 64 */
obj_t BgL_arg1876z00_485;
BgL_arg1876z00_485 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2547z00zz__avahi_avahiz00, BGl_proc2546z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2545z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)62))); 
VECTOR_SET(BgL_v1241z00_484,((long)0),BgL_arg1876z00_485); } 
BgL_arg1868z00_469 = BgL_v1241z00_484; } 
{ /* Llib/avahi.scm 64 */
obj_t BgL_v1242z00_498;
BgL_v1242z00_498 = 
create_vector(((long)0)); 
BgL_arg1869z00_470 = BgL_v1242z00_498; } 
BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)63)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2pollzd2zz__avahi_avahiz00, ((long)39682), BGl_proc2550z00zz__avahi_avahiz00, BGl_proc2549z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2548z00zz__avahi_avahiz00, BFALSE, BgL_arg1868z00_469, BgL_arg1869z00_470); } 
{ /* Llib/avahi.scm 67 */
obj_t BgL_arg1886z00_505;obj_t BgL_arg1887z00_506;
{ /* Llib/avahi.scm 67 */
obj_t BgL_v1243z00_524;
BgL_v1243z00_524 = 
create_vector(((long)12)); 
{ /* Llib/avahi.scm 67 */
obj_t BgL_arg1894z00_525;
BgL_arg1894z00_525 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2553z00zz__avahi_avahiz00, BGl_proc2552z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2551z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)64))); 
VECTOR_SET(BgL_v1243z00_524,((long)0),BgL_arg1894z00_525); } 
{ /* Llib/avahi.scm 67 */
obj_t BgL_arg1901z00_538;
BgL_arg1901z00_538 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)65)), BGl_proc2555z00zz__avahi_avahiz00, BGl_proc2554z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2pollzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1243z00_524,((long)1),BgL_arg1901z00_538); } 
{ /* Llib/avahi.scm 67 */
obj_t BgL_arg1906z00_548;
BgL_arg1906z00_548 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)66)), BGl_proc2558z00zz__avahi_avahiz00, BGl_proc2557z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2556z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)67))); 
VECTOR_SET(BgL_v1243z00_524,((long)2),BgL_arg1906z00_548); } 
{ /* Llib/avahi.scm 67 */
obj_t BgL_arg1913z00_561;
BgL_arg1913z00_561 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc2560z00zz__avahi_avahiz00, BGl_proc2559z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)69))); 
VECTOR_SET(BgL_v1243z00_524,((long)3),BgL_arg1913z00_561); } 
{ /* Llib/avahi.scm 67 */
obj_t BgL_arg1918z00_571;
BgL_arg1918z00_571 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)70)), BGl_proc2563z00zz__avahi_avahiz00, BGl_proc2562z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2561z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)57))); 
VECTOR_SET(BgL_v1243z00_524,((long)4),BgL_arg1918z00_571); } 
{ /* Llib/avahi.scm 67 */
obj_t BgL_arg1925z00_584;
BgL_arg1925z00_584 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)71)), BGl_proc2566z00zz__avahi_avahiz00, BGl_proc2565z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2564z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)57))); 
VECTOR_SET(BgL_v1243z00_524,((long)5),BgL_arg1925z00_584); } 
{ /* Llib/avahi.scm 67 */
obj_t BgL_arg1932z00_597;
BgL_arg1932z00_597 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)72)), BGl_proc2569z00zz__avahi_avahiz00, BGl_proc2568z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2567z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)57))); 
VECTOR_SET(BgL_v1243z00_524,((long)6),BgL_arg1932z00_597); } 
{ /* Llib/avahi.scm 67 */
obj_t BgL_arg1939z00_610;
BgL_arg1939z00_610 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)73)), BGl_proc2571z00zz__avahi_avahiz00, BGl_proc2570z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1243z00_524,((long)7),BgL_arg1939z00_610); } 
{ /* Llib/avahi.scm 67 */
obj_t BgL_arg1944z00_620;
BgL_arg1944z00_620 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc2573z00zz__avahi_avahiz00, BGl_proc2572z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1243z00_524,((long)8),BgL_arg1944z00_620); } 
{ /* Llib/avahi.scm 67 */
obj_t BgL_arg1949z00_630;
BgL_arg1949z00_630 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)76)), BGl_proc2575z00zz__avahi_avahiz00, BGl_proc2574z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1243z00_524,((long)9),BgL_arg1949z00_630); } 
{ /* Llib/avahi.scm 67 */
obj_t BgL_arg1954z00_640;
BgL_arg1954z00_640 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc2577z00zz__avahi_avahiz00, BGl_proc2576z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1243z00_524,((long)10),BgL_arg1954z00_640); } 
{ /* Llib/avahi.scm 67 */
obj_t BgL_arg1959z00_650;
BgL_arg1959z00_650 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)78)), BGl_proc2579z00zz__avahi_avahiz00, BGl_proc2578z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)67))); 
VECTOR_SET(BgL_v1243z00_524,((long)11),BgL_arg1959z00_650); } 
BgL_arg1886z00_505 = BgL_v1243z00_524; } 
{ /* Llib/avahi.scm 67 */
obj_t BgL_v1244z00_660;
BgL_v1244z00_660 = 
create_vector(((long)5)); 
{ /* Llib/avahi.scm 78 */
obj_t BgL_arg1964z00_661;
{ /* Llib/avahi.scm 78 */
obj_t BgL_arg1965z00_662;
BgL_arg1965z00_662 = 
MAKE_YOUNG_PAIR(BGl_proc2580z00zz__avahi_avahiz00, BFALSE); 
BgL_arg1964z00_661 = 
MAKE_YOUNG_PAIR(
BINT(((long)0)), BgL_arg1965z00_662); } 
VECTOR_SET(BgL_v1244z00_660,((long)0),BgL_arg1964z00_661); } 
{ /* Llib/avahi.scm 83 */
obj_t BgL_arg1973z00_675;
{ /* Llib/avahi.scm 83 */
obj_t BgL_arg1974z00_676;
BgL_arg1974z00_676 = 
MAKE_YOUNG_PAIR(BGl_proc2581z00zz__avahi_avahiz00, BGl_proc2582z00zz__avahi_avahiz00); 
BgL_arg1973z00_675 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BgL_arg1974z00_676); } 
VECTOR_SET(BgL_v1244z00_660,((long)1),BgL_arg1973z00_675); } 
{ /* Llib/avahi.scm 92 */
obj_t BgL_arg1989z00_703;
{ /* Llib/avahi.scm 92 */
obj_t BgL_arg1990z00_704;
BgL_arg1990z00_704 = 
MAKE_YOUNG_PAIR(BGl_proc2583z00zz__avahi_avahiz00, BFALSE); 
BgL_arg1989z00_703 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg1990z00_704); } 
VECTOR_SET(BgL_v1244z00_660,((long)2),BgL_arg1989z00_703); } 
{ /* Llib/avahi.scm 98 */
obj_t BgL_arg1998z00_717;
{ /* Llib/avahi.scm 98 */
obj_t BgL_arg1999z00_718;
BgL_arg1999z00_718 = 
MAKE_YOUNG_PAIR(BGl_proc2584z00zz__avahi_avahiz00, BFALSE); 
BgL_arg1998z00_717 = 
MAKE_YOUNG_PAIR(
BINT(((long)3)), BgL_arg1999z00_718); } 
VECTOR_SET(BgL_v1244z00_660,((long)3),BgL_arg1998z00_717); } 
{ /* Llib/avahi.scm 104 */
obj_t BgL_arg2007z00_731;
{ /* Llib/avahi.scm 104 */
obj_t BgL_arg2008z00_732;
BgL_arg2008z00_732 = 
MAKE_YOUNG_PAIR(BGl_proc2585z00zz__avahi_avahiz00, BFALSE); 
BgL_arg2007z00_731 = 
MAKE_YOUNG_PAIR(
BINT(((long)4)), BgL_arg2008z00_732); } 
VECTOR_SET(BgL_v1244z00_660,((long)4),BgL_arg2007z00_731); } 
BgL_arg1887z00_506 = BgL_v1244z00_660; } 
BGl_avahizd2clientzd2zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)79)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)28649), BGl_proc2588z00zz__avahi_avahiz00, BGl_proc2587z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2586z00zz__avahi_avahiz00, BFALSE, BgL_arg1886z00_505, BgL_arg1887z00_506); } 
{ /* Llib/avahi.scm 110 */
obj_t BgL_arg2020z00_752;obj_t BgL_arg2021z00_753;
{ /* Llib/avahi.scm 110 */
obj_t BgL_v1245z00_767;
BgL_v1245z00_767 = 
create_vector(((long)3)); 
{ /* Llib/avahi.scm 110 */
obj_t BgL_arg2028z00_768;
BgL_arg2028z00_768 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2591z00zz__avahi_avahiz00, BGl_proc2590z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2589z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)80))); 
VECTOR_SET(BgL_v1245z00_767,((long)0),BgL_arg2028z00_768); } 
{ /* Llib/avahi.scm 110 */
obj_t BgL_arg2035z00_781;
BgL_arg2035z00_781 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)81)), BGl_proc2593z00zz__avahi_avahiz00, BGl_proc2592z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1245z00_767,((long)1),BgL_arg2035z00_781); } 
{ /* Llib/avahi.scm 110 */
obj_t BgL_arg2040z00_791;
BgL_arg2040z00_791 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc2595z00zz__avahi_avahiz00, BGl_proc2594z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)69))); 
VECTOR_SET(BgL_v1245z00_767,((long)2),BgL_arg2040z00_791); } 
BgL_arg2020z00_752 = BgL_v1245z00_767; } 
{ /* Llib/avahi.scm 110 */
obj_t BgL_v1246z00_801;
BgL_v1246z00_801 = 
create_vector(((long)0)); 
BgL_arg2021z00_753 = BgL_v1246z00_801; } 
BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)82)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)3478), BGl_proc2598z00zz__avahi_avahiz00, BGl_proc2597z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2596z00zz__avahi_avahiz00, BFALSE, BgL_arg2020z00_752, BgL_arg2021z00_753); } 
{ /* Llib/avahi.scm 115 */
obj_t BgL_arg2048z00_808;obj_t BgL_arg2049z00_809;
{ /* Llib/avahi.scm 115 */
obj_t BgL_v1247z00_825;
BgL_v1247z00_825 = 
create_vector(((long)5)); 
{ /* Llib/avahi.scm 115 */
obj_t BgL_arg2056z00_826;
BgL_arg2056z00_826 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2601z00zz__avahi_avahiz00, BGl_proc2600z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2599z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)83))); 
VECTOR_SET(BgL_v1247z00_825,((long)0),BgL_arg2056z00_826); } 
{ /* Llib/avahi.scm 115 */
obj_t BgL_arg2063z00_839;
BgL_arg2063z00_839 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)81)), BGl_proc2603z00zz__avahi_avahiz00, BGl_proc2602z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1247z00_825,((long)1),BgL_arg2063z00_839); } 
{ /* Llib/avahi.scm 115 */
obj_t BgL_arg2068z00_849;
BgL_arg2068z00_849 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc2605z00zz__avahi_avahiz00, BGl_proc2604z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)69))); 
VECTOR_SET(BgL_v1247z00_825,((long)2),BgL_arg2068z00_849); } 
{ /* Llib/avahi.scm 115 */
obj_t BgL_arg2073z00_859;
BgL_arg2073z00_859 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)84)), BGl_proc2607z00zz__avahi_avahiz00, BGl_proc2606z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1247z00_825,((long)3),BgL_arg2073z00_859); } 
{ /* Llib/avahi.scm 115 */
obj_t BgL_arg2078z00_869;
BgL_arg2078z00_869 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)85)), BGl_proc2610z00zz__avahi_avahiz00, BGl_proc2609z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2608z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1247z00_825,((long)4),BgL_arg2078z00_869); } 
BgL_arg2048z00_808 = BgL_v1247z00_825; } 
{ /* Llib/avahi.scm 115 */
obj_t BgL_v1248z00_882;
BgL_v1248z00_882 = 
create_vector(((long)0)); 
BgL_arg2049z00_809 = BgL_v1248z00_882; } 
BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)86)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)44122), BGl_proc2613z00zz__avahi_avahiz00, BGl_proc2612z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2611z00zz__avahi_avahiz00, BFALSE, BgL_arg2048z00_808, BgL_arg2049z00_809); } 
{ /* Llib/avahi.scm 122 */
obj_t BgL_arg2088z00_889;obj_t BgL_arg2089z00_890;
{ /* Llib/avahi.scm 122 */
obj_t BgL_v1249z00_905;
BgL_v1249z00_905 = 
create_vector(((long)4)); 
{ /* Llib/avahi.scm 122 */
obj_t BgL_arg2096z00_906;
BgL_arg2096z00_906 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2616z00zz__avahi_avahiz00, BGl_proc2615z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2614z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)87))); 
VECTOR_SET(BgL_v1249z00_905,((long)0),BgL_arg2096z00_906); } 
{ /* Llib/avahi.scm 122 */
obj_t BgL_arg2103z00_919;
BgL_arg2103z00_919 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)81)), BGl_proc2618z00zz__avahi_avahiz00, BGl_proc2617z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1249z00_905,((long)1),BgL_arg2103z00_919); } 
{ /* Llib/avahi.scm 122 */
obj_t BgL_arg2108z00_929;
BgL_arg2108z00_929 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc2620z00zz__avahi_avahiz00, BGl_proc2619z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)69))); 
VECTOR_SET(BgL_v1249z00_905,((long)2),BgL_arg2108z00_929); } 
{ /* Llib/avahi.scm 122 */
obj_t BgL_arg2113z00_939;
BgL_arg2113z00_939 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)85)), BGl_proc2623z00zz__avahi_avahiz00, BGl_proc2622z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2621z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1249z00_905,((long)3),BgL_arg2113z00_939); } 
BgL_arg2088z00_889 = BgL_v1249z00_905; } 
{ /* Llib/avahi.scm 122 */
obj_t BgL_v1250z00_952;
BgL_v1250z00_952 = 
create_vector(((long)0)); 
BgL_arg2089z00_890 = BgL_v1250z00_952; } 
BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)88)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)22928), BGl_proc2626z00zz__avahi_avahiz00, BGl_proc2625z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2624z00zz__avahi_avahiz00, BFALSE, BgL_arg2088z00_889, BgL_arg2089z00_890); } 
{ /* Llib/avahi.scm 128 */
obj_t BgL_arg2123z00_959;obj_t BgL_arg2124z00_960;
{ /* Llib/avahi.scm 128 */
obj_t BgL_v1251z00_976;
BgL_v1251z00_976 = 
create_vector(((long)5)); 
{ /* Llib/avahi.scm 128 */
obj_t BgL_arg2131z00_977;
BgL_arg2131z00_977 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2629z00zz__avahi_avahiz00, BGl_proc2628z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2627z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)89))); 
VECTOR_SET(BgL_v1251z00_976,((long)0),BgL_arg2131z00_977); } 
{ /* Llib/avahi.scm 128 */
obj_t BgL_arg2138z00_990;
BgL_arg2138z00_990 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)81)), BGl_proc2631z00zz__avahi_avahiz00, BGl_proc2630z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1251z00_976,((long)1),BgL_arg2138z00_990); } 
{ /* Llib/avahi.scm 128 */
obj_t BgL_arg2143z00_1000;
BgL_arg2143z00_1000 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc2633z00zz__avahi_avahiz00, BGl_proc2632z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)69))); 
VECTOR_SET(BgL_v1251z00_976,((long)2),BgL_arg2143z00_1000); } 
{ /* Llib/avahi.scm 128 */
obj_t BgL_arg2149z00_1010;
BgL_arg2149z00_1010 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)42)), BGl_proc2636z00zz__avahi_avahiz00, BGl_proc2635z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2634z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)67))); 
VECTOR_SET(BgL_v1251z00_976,((long)3),BgL_arg2149z00_1010); } 
{ /* Llib/avahi.scm 128 */
obj_t BgL_arg2156z00_1023;
BgL_arg2156z00_1023 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)85)), BGl_proc2639z00zz__avahi_avahiz00, BGl_proc2638z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2637z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1251z00_976,((long)4),BgL_arg2156z00_1023); } 
BgL_arg2123z00_959 = BgL_v1251z00_976; } 
{ /* Llib/avahi.scm 128 */
obj_t BgL_v1252z00_1036;
BgL_v1252z00_1036 = 
create_vector(((long)0)); 
BgL_arg2124z00_960 = BgL_v1252z00_1036; } 
BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)90)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)49790), BGl_proc2642z00zz__avahi_avahiz00, BGl_proc2641z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2640z00zz__avahi_avahiz00, BFALSE, BgL_arg2123z00_959, BgL_arg2124z00_960); } 
{ /* Llib/avahi.scm 135 */
obj_t BgL_arg2166z00_1043;obj_t BgL_arg2167z00_1044;
{ /* Llib/avahi.scm 135 */
obj_t BgL_v1253z00_1063;
BgL_v1253z00_1063 = 
create_vector(((long)8)); 
{ /* Llib/avahi.scm 135 */
obj_t BgL_arg2174z00_1064;
BgL_arg2174z00_1064 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)59)), BGl_proc2645z00zz__avahi_avahiz00, BGl_proc2644z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2643z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)91))); 
VECTOR_SET(BgL_v1253z00_1063,((long)0),BgL_arg2174z00_1064); } 
{ /* Llib/avahi.scm 135 */
obj_t BgL_arg2181z00_1077;
BgL_arg2181z00_1077 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)81)), BGl_proc2647z00zz__avahi_avahiz00, BGl_proc2646z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1253z00_1063,((long)1),BgL_arg2181z00_1077); } 
{ /* Llib/avahi.scm 135 */
obj_t BgL_arg2186z00_1087;
BgL_arg2186z00_1087 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)68)), BGl_proc2649z00zz__avahi_avahiz00, BGl_proc2648z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)69))); 
VECTOR_SET(BgL_v1253z00_1063,((long)2),BgL_arg2186z00_1087); } 
{ /* Llib/avahi.scm 135 */
obj_t BgL_arg2191z00_1097;
BgL_arg2191z00_1097 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)92)), BGl_proc2651z00zz__avahi_avahiz00, BGl_proc2650z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)93))); 
VECTOR_SET(BgL_v1253z00_1063,((long)3),BgL_arg2191z00_1097); } 
{ /* Llib/avahi.scm 135 */
obj_t BgL_arg2196z00_1107;
BgL_arg2196z00_1107 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)94)), BGl_proc2653z00zz__avahi_avahiz00, BGl_proc2652z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)67))); 
VECTOR_SET(BgL_v1253z00_1063,((long)4),BgL_arg2196z00_1107); } 
{ /* Llib/avahi.scm 135 */
obj_t BgL_arg2201z00_1117;
BgL_arg2201z00_1117 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)95)), BGl_proc2655z00zz__avahi_avahiz00, BGl_proc2654z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1253z00_1063,((long)5),BgL_arg2201z00_1117); } 
{ /* Llib/avahi.scm 135 */
obj_t BgL_arg2206z00_1127;
BgL_arg2206z00_1127 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)84)), BGl_proc2657z00zz__avahi_avahiz00, BGl_proc2656z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1253z00_1063,((long)6),BgL_arg2206z00_1127); } 
{ /* Llib/avahi.scm 135 */
obj_t BgL_arg2211z00_1137;
BgL_arg2211z00_1137 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)85)), BGl_proc2660z00zz__avahi_avahiz00, BGl_proc2659z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2658z00zz__avahi_avahiz00, 
CNST_TABLE_REF(((long)74))); 
VECTOR_SET(BgL_v1253z00_1063,((long)7),BgL_arg2211z00_1137); } 
BgL_arg2166z00_1043 = BgL_v1253z00_1063; } 
{ /* Llib/avahi.scm 135 */
obj_t BgL_v1254z00_1150;
BgL_v1254z00_1150 = 
create_vector(((long)0)); 
BgL_arg2167z00_1044 = BgL_v1254z00_1150; } 
return ( 
BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)96)), 
CNST_TABLE_REF(((long)52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, ((long)20996), BGl_proc2663z00zz__avahi_avahiz00, BGl_proc2662z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2661z00zz__avahi_avahiz00, BFALSE, BgL_arg2166z00_1043, BgL_arg2167z00_1044), BUNSPEC) ;} } 

}



/* &<@anonymous:2173> */
obj_t BGl_z62zc3z04anonymousza32173ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2115, obj_t BgL_new1140z00_2116)
{
{ /* Llib/avahi.scm 135 */
{ 
BgL_avahizd2servicezd2resolverz00_bglt BgL_auxz00_4470;
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2116)))->BgL_z42builtinz42)=((AvahiServiceResolver *)
0L),BUNSPEC); 
{ 
BgL_avahizd2clientzd2_bglt BgL_auxz00_4474;
{ /* Llib/avahi.scm 135 */
obj_t BgL_classz00_2626;
BgL_classz00_2626 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 135 */
obj_t BgL__ortest_1107z00_2627;
BgL__ortest_1107z00_2627 = 
BGL_CLASS_NIL(BgL_classz00_2626); 
if(
CBOOL(BgL__ortest_1107z00_2627))
{ /* Llib/avahi.scm 135 */
BgL_auxz00_4474 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1107z00_2627)
; }  else 
{ /* Llib/avahi.scm 135 */
BgL_auxz00_4474 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2626))
; } } } 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2116)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_4474),BUNSPEC); } 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2116)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2116)))->BgL_interfacez00)=((AvahiIfIndex)
0L),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2116)))->BgL_protocolz00)=((obj_t)
CNST_TABLE_REF(((long)97))),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2116)))->BgL_namez00)=((obj_t)BGl_string2664z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2116)))->BgL_typez00)=((obj_t)BGl_string2664z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2116)))->BgL_domainz00)=((obj_t)BGl_string2664z00zz__avahi_avahiz00),BUNSPEC); 
BgL_auxz00_4470 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2116); 
return 
((obj_t)BgL_auxz00_4470);} } 

}



/* &lambda2171 */
BgL_avahizd2servicezd2resolverz00_bglt BGl_z62lambda2171z62zz__avahi_avahiz00(obj_t BgL_envz00_2117)
{
{ /* Llib/avahi.scm 135 */
{ /* Llib/avahi.scm 135 */
BgL_avahizd2servicezd2resolverz00_bglt BgL_new1139z00_2628;
BgL_new1139z00_2628 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2resolverz00_bgl) ))); 
{ /* Llib/avahi.scm 135 */
long BgL_arg2172z00_2629;
{ /* Llib/avahi.scm 135 */
long BgL_res2360z00_2630;
BgL_res2360z00_2630 = 
BGL_CLASS_INDEX(BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00); 
BgL_arg2172z00_2629 = BgL_res2360z00_2630; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1139z00_2628), BgL_arg2172z00_2629); } 
return BgL_new1139z00_2628;} } 

}



/* &lambda2168 */
BgL_avahizd2servicezd2resolverz00_bglt BGl_z62lambda2168z62zz__avahi_avahiz00(obj_t BgL_envz00_2118, obj_t BgL_z42builtin1131z42_2119, obj_t BgL_client1132z00_2120, obj_t BgL_proc1133z00_2121, obj_t BgL_interface1134z00_2122, obj_t BgL_protocol1135z00_2123, obj_t BgL_name1136z00_2124, obj_t BgL_type1137z00_2125, obj_t BgL_domain1138z00_2126)
{
{ /* Llib/avahi.scm 135 */
{ /* Llib/avahi.scm 135 */
AvahiServiceResolver * BgL_z42builtin1131z42_2631;AvahiIfIndex BgL_interface1134z00_2634;
BgL_z42builtin1131z42_2631 = 
FOREIGN_TO_COBJ(BgL_z42builtin1131z42_2119); 
BgL_interface1134z00_2634 = 
(long)CINT(BgL_interface1134z00_2122); 
{ /* Llib/avahi.scm 135 */
BgL_avahizd2servicezd2resolverz00_bglt BgL_new1228z00_2639;
{ /* Llib/avahi.scm 135 */
BgL_avahizd2servicezd2resolverz00_bglt BgL_new1227z00_2640;
BgL_new1227z00_2640 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2resolverz00_bgl) ))); 
{ /* Llib/avahi.scm 135 */
long BgL_arg2170z00_2641;
{ /* Llib/avahi.scm 135 */
long BgL_res2359z00_2642;
BgL_res2359z00_2642 = 
BGL_CLASS_INDEX(BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00); 
BgL_arg2170z00_2641 = BgL_res2359z00_2642; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1227z00_2640), BgL_arg2170z00_2641); } 
BgL_new1228z00_2639 = BgL_new1227z00_2640; } 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1228z00_2639))->BgL_z42builtinz42)=((AvahiServiceResolver *)BgL_z42builtin1131z42_2631),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1228z00_2639))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1132z00_2120)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1228z00_2639))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1133z00_2121)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1228z00_2639))->BgL_interfacez00)=((AvahiIfIndex)BgL_interface1134z00_2634),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1228z00_2639))->BgL_protocolz00)=((obj_t)
((obj_t)BgL_protocol1135z00_2123)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1228z00_2639))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1136z00_2124)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1228z00_2639))->BgL_typez00)=((obj_t)
((obj_t)BgL_type1137z00_2125)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1228z00_2639))->BgL_domainz00)=((obj_t)
((obj_t)BgL_domain1138z00_2126)),BUNSPEC); 
{ /* Llib/avahi.scm 135 */
obj_t BgL_fun2169z00_2643;
BgL_fun2169z00_2643 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00); 
PROCEDURE_ENTRY(BgL_fun2169z00_2643)(BgL_fun2169z00_2643, 
((obj_t)BgL_new1228z00_2639), BEOA); } 
return BgL_new1228z00_2639;} } } 

}



/* &<@anonymous:2217> */
obj_t BGl_z62zc3z04anonymousza32217ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2127)
{
{ /* Llib/avahi.scm 135 */
return BGl_string2664z00zz__avahi_avahiz00;} 

}



/* &lambda2216 */
obj_t BGl_z62lambda2216z62zz__avahi_avahiz00(obj_t BgL_envz00_2128, obj_t BgL_oz00_2129, obj_t BgL_vz00_2130)
{
{ /* Llib/avahi.scm 135 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2129)))->BgL_domainz00)=((obj_t)
((obj_t)BgL_vz00_2130)),BUNSPEC);} 

}



/* &lambda2215 */
obj_t BGl_z62lambda2215z62zz__avahi_avahiz00(obj_t BgL_envz00_2131, obj_t BgL_oz00_2132)
{
{ /* Llib/avahi.scm 135 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2132)))->BgL_domainz00);} 

}



/* &lambda2210 */
obj_t BGl_z62lambda2210z62zz__avahi_avahiz00(obj_t BgL_envz00_2133, obj_t BgL_oz00_2134, obj_t BgL_vz00_2135)
{
{ /* Llib/avahi.scm 135 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2134)))->BgL_typez00)=((obj_t)
((obj_t)BgL_vz00_2135)),BUNSPEC);} 

}



/* &lambda2209 */
obj_t BGl_z62lambda2209z62zz__avahi_avahiz00(obj_t BgL_envz00_2136, obj_t BgL_oz00_2137)
{
{ /* Llib/avahi.scm 135 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2137)))->BgL_typez00);} 

}



/* &lambda2205 */
obj_t BGl_z62lambda2205z62zz__avahi_avahiz00(obj_t BgL_envz00_2138, obj_t BgL_oz00_2139, obj_t BgL_vz00_2140)
{
{ /* Llib/avahi.scm 135 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2139)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_2140)),BUNSPEC);} 

}



/* &lambda2204 */
obj_t BGl_z62lambda2204z62zz__avahi_avahiz00(obj_t BgL_envz00_2141, obj_t BgL_oz00_2142)
{
{ /* Llib/avahi.scm 135 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2142)))->BgL_namez00);} 

}



/* &lambda2200 */
obj_t BGl_z62lambda2200z62zz__avahi_avahiz00(obj_t BgL_envz00_2143, obj_t BgL_oz00_2144, obj_t BgL_vz00_2145)
{
{ /* Llib/avahi.scm 135 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2144)))->BgL_protocolz00)=((obj_t)
((obj_t)BgL_vz00_2145)),BUNSPEC);} 

}



/* &lambda2199 */
obj_t BGl_z62lambda2199z62zz__avahi_avahiz00(obj_t BgL_envz00_2146, obj_t BgL_oz00_2147)
{
{ /* Llib/avahi.scm 135 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2147)))->BgL_protocolz00);} 

}



/* &lambda2195 */
obj_t BGl_z62lambda2195z62zz__avahi_avahiz00(obj_t BgL_envz00_2148, obj_t BgL_oz00_2149, obj_t BgL_vz00_2150)
{
{ /* Llib/avahi.scm 135 */
{ /* Llib/avahi.scm 135 */
AvahiIfIndex BgL_vz00_2657;
BgL_vz00_2657 = 
(long)CINT(BgL_vz00_2150); 
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2149)))->BgL_interfacez00)=((AvahiIfIndex)BgL_vz00_2657),BUNSPEC);} } 

}



/* &lambda2194 */
obj_t BGl_z62lambda2194z62zz__avahi_avahiz00(obj_t BgL_envz00_2151, obj_t BgL_oz00_2152)
{
{ /* Llib/avahi.scm 135 */
return 
BINT(
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2152)))->BgL_interfacez00));} 

}



/* &lambda2190 */
obj_t BGl_z62lambda2190z62zz__avahi_avahiz00(obj_t BgL_envz00_2153, obj_t BgL_oz00_2154, obj_t BgL_vz00_2155)
{
{ /* Llib/avahi.scm 135 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2154)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2155)),BUNSPEC);} 

}



/* &lambda2189 */
obj_t BGl_z62lambda2189z62zz__avahi_avahiz00(obj_t BgL_envz00_2156, obj_t BgL_oz00_2157)
{
{ /* Llib/avahi.scm 135 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2157)))->BgL_procz00);} 

}



/* &lambda2185 */
obj_t BGl_z62lambda2185z62zz__avahi_avahiz00(obj_t BgL_envz00_2158, obj_t BgL_oz00_2159, obj_t BgL_vz00_2160)
{
{ /* Llib/avahi.scm 135 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2159)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2160)),BUNSPEC);} 

}



/* &lambda2184 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2184z62zz__avahi_avahiz00(obj_t BgL_envz00_2161, obj_t BgL_oz00_2162)
{
{ /* Llib/avahi.scm 135 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2162)))->BgL_clientz00);} 

}



/* &<@anonymous:2180> */
obj_t BGl_z62zc3z04anonymousza32180ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2163)
{
{ /* Llib/avahi.scm 135 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2179 */
obj_t BGl_z62lambda2179z62zz__avahi_avahiz00(obj_t BgL_envz00_2164, obj_t BgL_oz00_2165, obj_t BgL_vz00_2166)
{
{ /* Llib/avahi.scm 135 */
{ /* Llib/avahi.scm 135 */
AvahiServiceResolver * BgL_vz00_2666;
BgL_vz00_2666 = 
FOREIGN_TO_COBJ(BgL_vz00_2166); 
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2165)))->BgL_z42builtinz42)=((AvahiServiceResolver *)BgL_vz00_2666),BUNSPEC);} } 

}



/* &lambda2178 */
obj_t BGl_z62lambda2178z62zz__avahi_avahiz00(obj_t BgL_envz00_2167, obj_t BgL_oz00_2168)
{
{ /* Llib/avahi.scm 135 */
return 
void_star_to_obj(
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2168)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2130> */
obj_t BGl_z62zc3z04anonymousza32130ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2169, obj_t BgL_new1129z00_2170)
{
{ /* Llib/avahi.scm 128 */
{ 
BgL_avahizd2domainzd2browserz00_bglt BgL_auxz00_4573;
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2170)))->BgL_z42builtinz42)=((AvahiDomainBrowser *)
0L),BUNSPEC); 
{ 
BgL_avahizd2clientzd2_bglt BgL_auxz00_4577;
{ /* Llib/avahi.scm 128 */
obj_t BgL_classz00_2669;
BgL_classz00_2669 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 128 */
obj_t BgL__ortest_1107z00_2670;
BgL__ortest_1107z00_2670 = 
BGL_CLASS_NIL(BgL_classz00_2669); 
if(
CBOOL(BgL__ortest_1107z00_2670))
{ /* Llib/avahi.scm 128 */
BgL_auxz00_4577 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1107z00_2670)
; }  else 
{ /* Llib/avahi.scm 128 */
BgL_auxz00_4577 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2669))
; } } } 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2170)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_4577),BUNSPEC); } 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2170)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2170)))->BgL_btypez00)=((obj_t)
CNST_TABLE_REF(((long)97))),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2170)))->BgL_domainz00)=((obj_t)BGl_string2664z00zz__avahi_avahiz00),BUNSPEC); 
BgL_auxz00_4573 = 
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2170); 
return 
((obj_t)BgL_auxz00_4573);} } 

}



/* &lambda2128 */
BgL_avahizd2domainzd2browserz00_bglt BGl_z62lambda2128z62zz__avahi_avahiz00(obj_t BgL_envz00_2171)
{
{ /* Llib/avahi.scm 128 */
{ /* Llib/avahi.scm 128 */
BgL_avahizd2domainzd2browserz00_bglt BgL_new1128z00_2671;
BgL_new1128z00_2671 = 
((BgL_avahizd2domainzd2browserz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2domainzd2browserz00_bgl) ))); 
{ /* Llib/avahi.scm 128 */
long BgL_arg2129z00_2672;
{ /* Llib/avahi.scm 128 */
long BgL_res2358z00_2673;
BgL_res2358z00_2673 = 
BGL_CLASS_INDEX(BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00); 
BgL_arg2129z00_2672 = BgL_res2358z00_2673; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1128z00_2671), BgL_arg2129z00_2672); } 
return BgL_new1128z00_2671;} } 

}



/* &lambda2125 */
BgL_avahizd2domainzd2browserz00_bglt BGl_z62lambda2125z62zz__avahi_avahiz00(obj_t BgL_envz00_2172, obj_t BgL_z42builtin1123z42_2173, obj_t BgL_client1124z00_2174, obj_t BgL_proc1125z00_2175, obj_t BgL_btype1126z00_2176, obj_t BgL_domain1127z00_2177)
{
{ /* Llib/avahi.scm 128 */
{ /* Llib/avahi.scm 128 */
AvahiDomainBrowser * BgL_z42builtin1123z42_2674;
BgL_z42builtin1123z42_2674 = 
FOREIGN_TO_COBJ(BgL_z42builtin1123z42_2173); 
{ /* Llib/avahi.scm 128 */
BgL_avahizd2domainzd2browserz00_bglt BgL_new1226z00_2679;
{ /* Llib/avahi.scm 128 */
BgL_avahizd2domainzd2browserz00_bglt BgL_new1225z00_2680;
BgL_new1225z00_2680 = 
((BgL_avahizd2domainzd2browserz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2domainzd2browserz00_bgl) ))); 
{ /* Llib/avahi.scm 128 */
long BgL_arg2127z00_2681;
{ /* Llib/avahi.scm 128 */
long BgL_res2357z00_2682;
BgL_res2357z00_2682 = 
BGL_CLASS_INDEX(BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00); 
BgL_arg2127z00_2681 = BgL_res2357z00_2682; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1225z00_2680), BgL_arg2127z00_2681); } 
BgL_new1226z00_2679 = BgL_new1225z00_2680; } 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1226z00_2679))->BgL_z42builtinz42)=((AvahiDomainBrowser *)BgL_z42builtin1123z42_2674),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1226z00_2679))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1124z00_2174)),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1226z00_2679))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1125z00_2175)),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1226z00_2679))->BgL_btypez00)=((obj_t)
((obj_t)BgL_btype1126z00_2176)),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1226z00_2679))->BgL_domainz00)=((obj_t)
((obj_t)BgL_domain1127z00_2177)),BUNSPEC); 
{ /* Llib/avahi.scm 128 */
obj_t BgL_fun2126z00_2683;
BgL_fun2126z00_2683 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00); 
PROCEDURE_ENTRY(BgL_fun2126z00_2683)(BgL_fun2126z00_2683, 
((obj_t)BgL_new1226z00_2679), BEOA); } 
return BgL_new1226z00_2679;} } } 

}



/* &<@anonymous:2162> */
obj_t BGl_z62zc3z04anonymousza32162ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2178)
{
{ /* Llib/avahi.scm 128 */
return BGl_string2664z00zz__avahi_avahiz00;} 

}



/* &lambda2161 */
obj_t BGl_z62lambda2161z62zz__avahi_avahiz00(obj_t BgL_envz00_2179, obj_t BgL_oz00_2180, obj_t BgL_vz00_2181)
{
{ /* Llib/avahi.scm 128 */
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2180)))->BgL_domainz00)=((obj_t)
((obj_t)BgL_vz00_2181)),BUNSPEC);} 

}



/* &lambda2160 */
obj_t BGl_z62lambda2160z62zz__avahi_avahiz00(obj_t BgL_envz00_2182, obj_t BgL_oz00_2183)
{
{ /* Llib/avahi.scm 128 */
return 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2183)))->BgL_domainz00);} 

}



/* &<@anonymous:2155> */
obj_t BGl_z62zc3z04anonymousza32155ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2184)
{
{ /* Llib/avahi.scm 128 */
return 
CNST_TABLE_REF(((long)98));} 

}



/* &lambda2154 */
obj_t BGl_z62lambda2154z62zz__avahi_avahiz00(obj_t BgL_envz00_2185, obj_t BgL_oz00_2186, obj_t BgL_vz00_2187)
{
{ /* Llib/avahi.scm 128 */
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2186)))->BgL_btypez00)=((obj_t)
((obj_t)BgL_vz00_2187)),BUNSPEC);} 

}



/* &lambda2153 */
obj_t BGl_z62lambda2153z62zz__avahi_avahiz00(obj_t BgL_envz00_2188, obj_t BgL_oz00_2189)
{
{ /* Llib/avahi.scm 128 */
return 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2189)))->BgL_btypez00);} 

}



/* &lambda2148 */
obj_t BGl_z62lambda2148z62zz__avahi_avahiz00(obj_t BgL_envz00_2190, obj_t BgL_oz00_2191, obj_t BgL_vz00_2192)
{
{ /* Llib/avahi.scm 128 */
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2191)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2192)),BUNSPEC);} 

}



/* &lambda2147 */
obj_t BGl_z62lambda2147z62zz__avahi_avahiz00(obj_t BgL_envz00_2193, obj_t BgL_oz00_2194)
{
{ /* Llib/avahi.scm 128 */
return 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2194)))->BgL_procz00);} 

}



/* &lambda2142 */
obj_t BGl_z62lambda2142z62zz__avahi_avahiz00(obj_t BgL_envz00_2195, obj_t BgL_oz00_2196, obj_t BgL_vz00_2197)
{
{ /* Llib/avahi.scm 128 */
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2196)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2197)),BUNSPEC);} 

}



/* &lambda2141 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2141z62zz__avahi_avahiz00(obj_t BgL_envz00_2198, obj_t BgL_oz00_2199)
{
{ /* Llib/avahi.scm 128 */
return 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2199)))->BgL_clientz00);} 

}



/* &<@anonymous:2137> */
obj_t BGl_z62zc3z04anonymousza32137ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2200)
{
{ /* Llib/avahi.scm 128 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2136 */
obj_t BGl_z62lambda2136z62zz__avahi_avahiz00(obj_t BgL_envz00_2201, obj_t BgL_oz00_2202, obj_t BgL_vz00_2203)
{
{ /* Llib/avahi.scm 128 */
{ /* Llib/avahi.scm 128 */
AvahiDomainBrowser * BgL_vz00_2697;
BgL_vz00_2697 = 
FOREIGN_TO_COBJ(BgL_vz00_2203); 
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2202)))->BgL_z42builtinz42)=((AvahiDomainBrowser *)BgL_vz00_2697),BUNSPEC);} } 

}



/* &lambda2135 */
obj_t BGl_z62lambda2135z62zz__avahi_avahiz00(obj_t BgL_envz00_2204, obj_t BgL_oz00_2205)
{
{ /* Llib/avahi.scm 128 */
return 
void_star_to_obj(
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2205)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2095> */
obj_t BGl_z62zc3z04anonymousza32095ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2206, obj_t BgL_new1121z00_2207)
{
{ /* Llib/avahi.scm 122 */
{ 
BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_auxz00_4648;
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2207)))->BgL_z42builtinz42)=((AvahiServiceTypeBrowser *)
0L),BUNSPEC); 
{ 
BgL_avahizd2clientzd2_bglt BgL_auxz00_4652;
{ /* Llib/avahi.scm 122 */
obj_t BgL_classz00_2700;
BgL_classz00_2700 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 122 */
obj_t BgL__ortest_1107z00_2701;
BgL__ortest_1107z00_2701 = 
BGL_CLASS_NIL(BgL_classz00_2700); 
if(
CBOOL(BgL__ortest_1107z00_2701))
{ /* Llib/avahi.scm 122 */
BgL_auxz00_4652 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1107z00_2701)
; }  else 
{ /* Llib/avahi.scm 122 */
BgL_auxz00_4652 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2700))
; } } } 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2207)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_4652),BUNSPEC); } 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2207)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2207)))->BgL_domainz00)=((obj_t)BGl_string2664z00zz__avahi_avahiz00),BUNSPEC); 
BgL_auxz00_4648 = 
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2207); 
return 
((obj_t)BgL_auxz00_4648);} } 

}



/* &lambda2093 */
BgL_avahizd2servicezd2typezd2browserzd2_bglt BGl_z62lambda2093z62zz__avahi_avahiz00(obj_t BgL_envz00_2208)
{
{ /* Llib/avahi.scm 122 */
{ /* Llib/avahi.scm 122 */
BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_new1120z00_2702;
BgL_new1120z00_2702 = 
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2typezd2browserzd2_bgl) ))); 
{ /* Llib/avahi.scm 122 */
long BgL_arg2094z00_2703;
{ /* Llib/avahi.scm 122 */
long BgL_res2356z00_2704;
BgL_res2356z00_2704 = 
BGL_CLASS_INDEX(BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00); 
BgL_arg2094z00_2703 = BgL_res2356z00_2704; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_2702), BgL_arg2094z00_2703); } 
return BgL_new1120z00_2702;} } 

}



/* &lambda2090 */
BgL_avahizd2servicezd2typezd2browserzd2_bglt BGl_z62lambda2090z62zz__avahi_avahiz00(obj_t BgL_envz00_2209, obj_t BgL_z42builtin1116z42_2210, obj_t BgL_client1117z00_2211, obj_t BgL_proc1118z00_2212, obj_t BgL_domain1119z00_2213)
{
{ /* Llib/avahi.scm 122 */
{ /* Llib/avahi.scm 122 */
AvahiServiceTypeBrowser * BgL_z42builtin1116z42_2705;
BgL_z42builtin1116z42_2705 = 
FOREIGN_TO_COBJ(BgL_z42builtin1116z42_2210); 
{ /* Llib/avahi.scm 122 */
BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_new1224z00_2709;
{ /* Llib/avahi.scm 122 */
BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_new1223z00_2710;
BgL_new1223z00_2710 = 
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2typezd2browserzd2_bgl) ))); 
{ /* Llib/avahi.scm 122 */
long BgL_arg2092z00_2711;
{ /* Llib/avahi.scm 122 */
long BgL_res2355z00_2712;
BgL_res2355z00_2712 = 
BGL_CLASS_INDEX(BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00); 
BgL_arg2092z00_2711 = BgL_res2355z00_2712; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1223z00_2710), BgL_arg2092z00_2711); } 
BgL_new1224z00_2709 = BgL_new1223z00_2710; } 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(BgL_new1224z00_2709))->BgL_z42builtinz42)=((AvahiServiceTypeBrowser *)BgL_z42builtin1116z42_2705),BUNSPEC); 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(BgL_new1224z00_2709))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1117z00_2211)),BUNSPEC); 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(BgL_new1224z00_2709))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1118z00_2212)),BUNSPEC); 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(BgL_new1224z00_2709))->BgL_domainz00)=((obj_t)
((obj_t)BgL_domain1119z00_2213)),BUNSPEC); 
{ /* Llib/avahi.scm 122 */
obj_t BgL_fun2091z00_2713;
BgL_fun2091z00_2713 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00); 
PROCEDURE_ENTRY(BgL_fun2091z00_2713)(BgL_fun2091z00_2713, 
((obj_t)BgL_new1224z00_2709), BEOA); } 
return BgL_new1224z00_2709;} } } 

}



/* &<@anonymous:2119> */
obj_t BGl_z62zc3z04anonymousza32119ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2214)
{
{ /* Llib/avahi.scm 122 */
return BGl_string2664z00zz__avahi_avahiz00;} 

}



/* &lambda2118 */
obj_t BGl_z62lambda2118z62zz__avahi_avahiz00(obj_t BgL_envz00_2215, obj_t BgL_oz00_2216, obj_t BgL_vz00_2217)
{
{ /* Llib/avahi.scm 122 */
return 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2216)))->BgL_domainz00)=((obj_t)
((obj_t)BgL_vz00_2217)),BUNSPEC);} 

}



/* &lambda2117 */
obj_t BGl_z62lambda2117z62zz__avahi_avahiz00(obj_t BgL_envz00_2218, obj_t BgL_oz00_2219)
{
{ /* Llib/avahi.scm 122 */
return 
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2219)))->BgL_domainz00);} 

}



/* &lambda2112 */
obj_t BGl_z62lambda2112z62zz__avahi_avahiz00(obj_t BgL_envz00_2220, obj_t BgL_oz00_2221, obj_t BgL_vz00_2222)
{
{ /* Llib/avahi.scm 122 */
return 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2221)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2222)),BUNSPEC);} 

}



/* &lambda2111 */
obj_t BGl_z62lambda2111z62zz__avahi_avahiz00(obj_t BgL_envz00_2223, obj_t BgL_oz00_2224)
{
{ /* Llib/avahi.scm 122 */
return 
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2224)))->BgL_procz00);} 

}



/* &lambda2107 */
obj_t BGl_z62lambda2107z62zz__avahi_avahiz00(obj_t BgL_envz00_2225, obj_t BgL_oz00_2226, obj_t BgL_vz00_2227)
{
{ /* Llib/avahi.scm 122 */
return 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2226)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2227)),BUNSPEC);} 

}



/* &lambda2106 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2106z62zz__avahi_avahiz00(obj_t BgL_envz00_2228, obj_t BgL_oz00_2229)
{
{ /* Llib/avahi.scm 122 */
return 
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2229)))->BgL_clientz00);} 

}



/* &<@anonymous:2102> */
obj_t BGl_z62zc3z04anonymousza32102ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2230)
{
{ /* Llib/avahi.scm 122 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2101 */
obj_t BGl_z62lambda2101z62zz__avahi_avahiz00(obj_t BgL_envz00_2231, obj_t BgL_oz00_2232, obj_t BgL_vz00_2233)
{
{ /* Llib/avahi.scm 122 */
{ /* Llib/avahi.scm 122 */
AvahiServiceTypeBrowser * BgL_vz00_2724;
BgL_vz00_2724 = 
FOREIGN_TO_COBJ(BgL_vz00_2233); 
return 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2232)))->BgL_z42builtinz42)=((AvahiServiceTypeBrowser *)BgL_vz00_2724),BUNSPEC);} } 

}



/* &lambda2100 */
obj_t BGl_z62lambda2100z62zz__avahi_avahiz00(obj_t BgL_envz00_2234, obj_t BgL_oz00_2235)
{
{ /* Llib/avahi.scm 122 */
return 
void_star_to_obj(
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2235)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2055> */
obj_t BGl_z62zc3z04anonymousza32055ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2236, obj_t BgL_new1114z00_2237)
{
{ /* Llib/avahi.scm 115 */
{ 
BgL_avahizd2servicezd2browserz00_bglt BgL_auxz00_4712;
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2237)))->BgL_z42builtinz42)=((AvahiServiceBrowser *)
0L),BUNSPEC); 
{ 
BgL_avahizd2clientzd2_bglt BgL_auxz00_4716;
{ /* Llib/avahi.scm 115 */
obj_t BgL_classz00_2727;
BgL_classz00_2727 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 115 */
obj_t BgL__ortest_1107z00_2728;
BgL__ortest_1107z00_2728 = 
BGL_CLASS_NIL(BgL_classz00_2727); 
if(
CBOOL(BgL__ortest_1107z00_2728))
{ /* Llib/avahi.scm 115 */
BgL_auxz00_4716 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1107z00_2728)
; }  else 
{ /* Llib/avahi.scm 115 */
BgL_auxz00_4716 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2727))
; } } } 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2237)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_4716),BUNSPEC); } 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2237)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2237)))->BgL_typez00)=((obj_t)BGl_string2664z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2237)))->BgL_domainz00)=((obj_t)BGl_string2664z00zz__avahi_avahiz00),BUNSPEC); 
BgL_auxz00_4712 = 
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2237); 
return 
((obj_t)BgL_auxz00_4712);} } 

}



/* &lambda2053 */
BgL_avahizd2servicezd2browserz00_bglt BGl_z62lambda2053z62zz__avahi_avahiz00(obj_t BgL_envz00_2238)
{
{ /* Llib/avahi.scm 115 */
{ /* Llib/avahi.scm 115 */
BgL_avahizd2servicezd2browserz00_bglt BgL_new1113z00_2729;
BgL_new1113z00_2729 = 
((BgL_avahizd2servicezd2browserz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2browserz00_bgl) ))); 
{ /* Llib/avahi.scm 115 */
long BgL_arg2054z00_2730;
{ /* Llib/avahi.scm 115 */
long BgL_res2354z00_2731;
BgL_res2354z00_2731 = 
BGL_CLASS_INDEX(BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00); 
BgL_arg2054z00_2730 = BgL_res2354z00_2731; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_2729), BgL_arg2054z00_2730); } 
return BgL_new1113z00_2729;} } 

}



/* &lambda2050 */
BgL_avahizd2servicezd2browserz00_bglt BGl_z62lambda2050z62zz__avahi_avahiz00(obj_t BgL_envz00_2239, obj_t BgL_z42builtin1108z42_2240, obj_t BgL_client1109z00_2241, obj_t BgL_proc1110z00_2242, obj_t BgL_type1111z00_2243, obj_t BgL_domain1112z00_2244)
{
{ /* Llib/avahi.scm 115 */
{ /* Llib/avahi.scm 115 */
AvahiServiceBrowser * BgL_z42builtin1108z42_2732;
BgL_z42builtin1108z42_2732 = 
FOREIGN_TO_COBJ(BgL_z42builtin1108z42_2240); 
{ /* Llib/avahi.scm 115 */
BgL_avahizd2servicezd2browserz00_bglt BgL_new1222z00_2737;
{ /* Llib/avahi.scm 115 */
BgL_avahizd2servicezd2browserz00_bglt BgL_new1221z00_2738;
BgL_new1221z00_2738 = 
((BgL_avahizd2servicezd2browserz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2browserz00_bgl) ))); 
{ /* Llib/avahi.scm 115 */
long BgL_arg2052z00_2739;
{ /* Llib/avahi.scm 115 */
long BgL_res2353z00_2740;
BgL_res2353z00_2740 = 
BGL_CLASS_INDEX(BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00); 
BgL_arg2052z00_2739 = BgL_res2353z00_2740; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1221z00_2738), BgL_arg2052z00_2739); } 
BgL_new1222z00_2737 = BgL_new1221z00_2738; } 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1222z00_2737))->BgL_z42builtinz42)=((AvahiServiceBrowser *)BgL_z42builtin1108z42_2732),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1222z00_2737))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1109z00_2241)),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1222z00_2737))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1110z00_2242)),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1222z00_2737))->BgL_typez00)=((obj_t)
((obj_t)BgL_type1111z00_2243)),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1222z00_2737))->BgL_domainz00)=((obj_t)
((obj_t)BgL_domain1112z00_2244)),BUNSPEC); 
{ /* Llib/avahi.scm 115 */
obj_t BgL_fun2051z00_2741;
BgL_fun2051z00_2741 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00); 
PROCEDURE_ENTRY(BgL_fun2051z00_2741)(BgL_fun2051z00_2741, 
((obj_t)BgL_new1222z00_2737), BEOA); } 
return BgL_new1222z00_2737;} } } 

}



/* &<@anonymous:2084> */
obj_t BGl_z62zc3z04anonymousza32084ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2245)
{
{ /* Llib/avahi.scm 115 */
return BGl_string2664z00zz__avahi_avahiz00;} 

}



/* &lambda2083 */
obj_t BGl_z62lambda2083z62zz__avahi_avahiz00(obj_t BgL_envz00_2246, obj_t BgL_oz00_2247, obj_t BgL_vz00_2248)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2247)))->BgL_domainz00)=((obj_t)
((obj_t)BgL_vz00_2248)),BUNSPEC);} 

}



/* &lambda2082 */
obj_t BGl_z62lambda2082z62zz__avahi_avahiz00(obj_t BgL_envz00_2249, obj_t BgL_oz00_2250)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2250)))->BgL_domainz00);} 

}



/* &lambda2077 */
obj_t BGl_z62lambda2077z62zz__avahi_avahiz00(obj_t BgL_envz00_2251, obj_t BgL_oz00_2252, obj_t BgL_vz00_2253)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2252)))->BgL_typez00)=((obj_t)
((obj_t)BgL_vz00_2253)),BUNSPEC);} 

}



/* &lambda2076 */
obj_t BGl_z62lambda2076z62zz__avahi_avahiz00(obj_t BgL_envz00_2254, obj_t BgL_oz00_2255)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2255)))->BgL_typez00);} 

}



/* &lambda2072 */
obj_t BGl_z62lambda2072z62zz__avahi_avahiz00(obj_t BgL_envz00_2256, obj_t BgL_oz00_2257, obj_t BgL_vz00_2258)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2257)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2258)),BUNSPEC);} 

}



/* &lambda2071 */
obj_t BGl_z62lambda2071z62zz__avahi_avahiz00(obj_t BgL_envz00_2259, obj_t BgL_oz00_2260)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2260)))->BgL_procz00);} 

}



/* &lambda2067 */
obj_t BGl_z62lambda2067z62zz__avahi_avahiz00(obj_t BgL_envz00_2261, obj_t BgL_oz00_2262, obj_t BgL_vz00_2263)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2262)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2263)),BUNSPEC);} 

}



/* &lambda2066 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2066z62zz__avahi_avahiz00(obj_t BgL_envz00_2264, obj_t BgL_oz00_2265)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2265)))->BgL_clientz00);} 

}



/* &<@anonymous:2062> */
obj_t BGl_z62zc3z04anonymousza32062ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2266)
{
{ /* Llib/avahi.scm 115 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2061 */
obj_t BGl_z62lambda2061z62zz__avahi_avahiz00(obj_t BgL_envz00_2267, obj_t BgL_oz00_2268, obj_t BgL_vz00_2269)
{
{ /* Llib/avahi.scm 115 */
{ /* Llib/avahi.scm 115 */
AvahiServiceBrowser * BgL_vz00_2755;
BgL_vz00_2755 = 
FOREIGN_TO_COBJ(BgL_vz00_2269); 
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2268)))->BgL_z42builtinz42)=((AvahiServiceBrowser *)BgL_vz00_2755),BUNSPEC);} } 

}



/* &lambda2060 */
obj_t BGl_z62lambda2060z62zz__avahi_avahiz00(obj_t BgL_envz00_2270, obj_t BgL_oz00_2271)
{
{ /* Llib/avahi.scm 115 */
return 
void_star_to_obj(
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2271)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2027> */
obj_t BGl_z62zc3z04anonymousza32027ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2272, obj_t BgL_new1106z00_2273)
{
{ /* Llib/avahi.scm 110 */
{ 
BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_4785;
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_new1106z00_2273)))->BgL_z42builtinz42)=((AvahiEntryGroup *)
0L),BUNSPEC); 
{ 
BgL_avahizd2clientzd2_bglt BgL_auxz00_4789;
{ /* Llib/avahi.scm 110 */
obj_t BgL_classz00_2758;
BgL_classz00_2758 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 110 */
obj_t BgL__ortest_1107z00_2759;
BgL__ortest_1107z00_2759 = 
BGL_CLASS_NIL(BgL_classz00_2758); 
if(
CBOOL(BgL__ortest_1107z00_2759))
{ /* Llib/avahi.scm 110 */
BgL_auxz00_4789 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1107z00_2759)
; }  else 
{ /* Llib/avahi.scm 110 */
BgL_auxz00_4789 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2758))
; } } } 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_new1106z00_2273)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_4789),BUNSPEC); } 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_new1106z00_2273)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_4785 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_new1106z00_2273); 
return 
((obj_t)BgL_auxz00_4785);} } 

}



/* &lambda2025 */
BgL_avahizd2entryzd2groupz00_bglt BGl_z62lambda2025z62zz__avahi_avahiz00(obj_t BgL_envz00_2274)
{
{ /* Llib/avahi.scm 110 */
{ /* Llib/avahi.scm 110 */
BgL_avahizd2entryzd2groupz00_bglt BgL_new1105z00_2760;
BgL_new1105z00_2760 = 
((BgL_avahizd2entryzd2groupz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2entryzd2groupz00_bgl) ))); 
{ /* Llib/avahi.scm 110 */
long BgL_arg2026z00_2761;
{ /* Llib/avahi.scm 110 */
long BgL_res2352z00_2762;
BgL_res2352z00_2762 = 
BGL_CLASS_INDEX(BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00); 
BgL_arg2026z00_2761 = BgL_res2352z00_2762; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1105z00_2760), BgL_arg2026z00_2761); } 
return BgL_new1105z00_2760;} } 

}



/* &lambda2022 */
BgL_avahizd2entryzd2groupz00_bglt BGl_z62lambda2022z62zz__avahi_avahiz00(obj_t BgL_envz00_2275, obj_t BgL_z42builtin1102z42_2276, obj_t BgL_client1103z00_2277, obj_t BgL_proc1104z00_2278)
{
{ /* Llib/avahi.scm 110 */
{ /* Llib/avahi.scm 110 */
AvahiEntryGroup * BgL_z42builtin1102z42_2763;
BgL_z42builtin1102z42_2763 = 
FOREIGN_TO_COBJ(BgL_z42builtin1102z42_2276); 
{ /* Llib/avahi.scm 110 */
BgL_avahizd2entryzd2groupz00_bglt BgL_new1220z00_2766;
{ /* Llib/avahi.scm 110 */
BgL_avahizd2entryzd2groupz00_bglt BgL_new1219z00_2767;
BgL_new1219z00_2767 = 
((BgL_avahizd2entryzd2groupz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2entryzd2groupz00_bgl) ))); 
{ /* Llib/avahi.scm 110 */
long BgL_arg2024z00_2768;
{ /* Llib/avahi.scm 110 */
long BgL_res2351z00_2769;
BgL_res2351z00_2769 = 
BGL_CLASS_INDEX(BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00); 
BgL_arg2024z00_2768 = BgL_res2351z00_2769; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1219z00_2767), BgL_arg2024z00_2768); } 
BgL_new1220z00_2766 = BgL_new1219z00_2767; } 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_new1220z00_2766))->BgL_z42builtinz42)=((AvahiEntryGroup *)BgL_z42builtin1102z42_2763),BUNSPEC); 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_new1220z00_2766))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1103z00_2277)),BUNSPEC); 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_new1220z00_2766))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1104z00_2278)),BUNSPEC); 
{ /* Llib/avahi.scm 110 */
obj_t BgL_fun2023z00_2770;
BgL_fun2023z00_2770 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00); 
PROCEDURE_ENTRY(BgL_fun2023z00_2770)(BgL_fun2023z00_2770, 
((obj_t)BgL_new1220z00_2766), BEOA); } 
return BgL_new1220z00_2766;} } } 

}



/* &lambda2044 */
obj_t BGl_z62lambda2044z62zz__avahi_avahiz00(obj_t BgL_envz00_2279, obj_t BgL_oz00_2280, obj_t BgL_vz00_2281)
{
{ /* Llib/avahi.scm 110 */
return 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2280)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2281)),BUNSPEC);} 

}



/* &lambda2043 */
obj_t BGl_z62lambda2043z62zz__avahi_avahiz00(obj_t BgL_envz00_2282, obj_t BgL_oz00_2283)
{
{ /* Llib/avahi.scm 110 */
return 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2283)))->BgL_procz00);} 

}



/* &lambda2039 */
obj_t BGl_z62lambda2039z62zz__avahi_avahiz00(obj_t BgL_envz00_2284, obj_t BgL_oz00_2285, obj_t BgL_vz00_2286)
{
{ /* Llib/avahi.scm 110 */
return 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2285)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2286)),BUNSPEC);} 

}



/* &lambda2038 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2038z62zz__avahi_avahiz00(obj_t BgL_envz00_2287, obj_t BgL_oz00_2288)
{
{ /* Llib/avahi.scm 110 */
return 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2288)))->BgL_clientz00);} 

}



/* &<@anonymous:2034> */
obj_t BGl_z62zc3z04anonymousza32034ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2289)
{
{ /* Llib/avahi.scm 110 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2033 */
obj_t BGl_z62lambda2033z62zz__avahi_avahiz00(obj_t BgL_envz00_2290, obj_t BgL_oz00_2291, obj_t BgL_vz00_2292)
{
{ /* Llib/avahi.scm 110 */
{ /* Llib/avahi.scm 110 */
AvahiEntryGroup * BgL_vz00_2778;
BgL_vz00_2778 = 
FOREIGN_TO_COBJ(BgL_vz00_2292); 
return 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2291)))->BgL_z42builtinz42)=((AvahiEntryGroup *)BgL_vz00_2778),BUNSPEC);} } 

}



/* &lambda2032 */
obj_t BGl_z62lambda2032z62zz__avahi_avahiz00(obj_t BgL_envz00_2293, obj_t BgL_oz00_2294)
{
{ /* Llib/avahi.scm 110 */
return 
void_star_to_obj(
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2294)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1893> */
obj_t BGl_z62zc3z04anonymousza31893ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2295, obj_t BgL_new1100z00_2296)
{
{ /* Llib/avahi.scm 67 */
{ 
BgL_avahizd2clientzd2_bglt BgL_auxz00_4840;
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1100z00_2296)))->BgL_z42builtinz42)=((AvahiClient *)
0L),BUNSPEC); 
{ 
BgL_avahizd2pollzd2_bglt BgL_auxz00_4844;
{ /* Llib/avahi.scm 67 */
obj_t BgL_classz00_2781;
BgL_classz00_2781 = BGl_avahizd2pollzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 67 */
obj_t BgL__ortest_1107z00_2782;
BgL__ortest_1107z00_2782 = 
BGL_CLASS_NIL(BgL_classz00_2781); 
if(
CBOOL(BgL__ortest_1107z00_2782))
{ /* Llib/avahi.scm 67 */
BgL_auxz00_4844 = 
((BgL_avahizd2pollzd2_bglt)BgL__ortest_1107z00_2782)
; }  else 
{ /* Llib/avahi.scm 67 */
BgL_auxz00_4844 = 
((BgL_avahizd2pollzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2781))
; } } } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1100z00_2296)))->BgL_pollz00)=((BgL_avahizd2pollzd2_bglt)BgL_auxz00_4844),BUNSPEC); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1100z00_2296)))->BgL_flagsz00)=((obj_t)
CNST_TABLE_REF(((long)97))),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1100z00_2296)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1100z00_2296)))->BgL_z52groupsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1100z00_2296)))->BgL_z52browsersz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1100z00_2296)))->BgL_resolversz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_4840 = 
((BgL_avahizd2clientzd2_bglt)BgL_new1100z00_2296); 
return 
((obj_t)BgL_auxz00_4840);} } 

}



/* &lambda1891 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda1891z62zz__avahi_avahiz00(obj_t BgL_envz00_2297)
{
{ /* Llib/avahi.scm 67 */
{ /* Llib/avahi.scm 67 */
BgL_avahizd2clientzd2_bglt BgL_new1099z00_2783;
BgL_new1099z00_2783 = 
((BgL_avahizd2clientzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2clientzd2_bgl) ))); 
{ /* Llib/avahi.scm 67 */
long BgL_arg1892z00_2784;
{ /* Llib/avahi.scm 67 */
long BgL_res2350z00_2785;
BgL_res2350z00_2785 = 
BGL_CLASS_INDEX(BGl_avahizd2clientzd2zz__avahi_avahiz00); 
BgL_arg1892z00_2784 = BgL_res2350z00_2785; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1099z00_2783), BgL_arg1892z00_2784); } 
return BgL_new1099z00_2783;} } 

}



/* &lambda1888 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda1888z62zz__avahi_avahiz00(obj_t BgL_envz00_2298, obj_t BgL_z42builtin1092z42_2299, obj_t BgL_poll1093z00_2300, obj_t BgL_flags1094z00_2301, obj_t BgL_proc1095z00_2302, obj_t BgL_z52groups1096z52_2303, obj_t BgL_z52browsers1097z52_2304, obj_t BgL_resolvers1098z00_2305)
{
{ /* Llib/avahi.scm 67 */
{ /* Llib/avahi.scm 67 */
AvahiClient * BgL_z42builtin1092z42_2786;
BgL_z42builtin1092z42_2786 = 
FOREIGN_TO_COBJ(BgL_z42builtin1092z42_2299); 
{ /* Llib/avahi.scm 67 */
BgL_avahizd2clientzd2_bglt BgL_new1218z00_2793;
{ /* Llib/avahi.scm 67 */
BgL_avahizd2clientzd2_bglt BgL_new1217z00_2794;
BgL_new1217z00_2794 = 
((BgL_avahizd2clientzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2clientzd2_bgl) ))); 
{ /* Llib/avahi.scm 67 */
long BgL_arg1890z00_2795;
{ /* Llib/avahi.scm 67 */
long BgL_res2349z00_2796;
BgL_res2349z00_2796 = 
BGL_CLASS_INDEX(BGl_avahizd2clientzd2zz__avahi_avahiz00); 
BgL_arg1890z00_2795 = BgL_res2349z00_2796; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1217z00_2794), BgL_arg1890z00_2795); } 
BgL_new1218z00_2793 = BgL_new1217z00_2794; } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1218z00_2793))->BgL_z42builtinz42)=((AvahiClient *)BgL_z42builtin1092z42_2786),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1218z00_2793))->BgL_pollz00)=((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2pollzd2_bglt)BgL_poll1093z00_2300)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1218z00_2793))->BgL_flagsz00)=((obj_t)
((obj_t)BgL_flags1094z00_2301)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1218z00_2793))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1095z00_2302)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1218z00_2793))->BgL_z52groupsz52)=((obj_t)
((obj_t)BgL_z52groups1096z52_2303)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1218z00_2793))->BgL_z52browsersz52)=((obj_t)
((obj_t)BgL_z52browsers1097z52_2304)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1218z00_2793))->BgL_resolversz00)=((obj_t)
((obj_t)BgL_resolvers1098z00_2305)),BUNSPEC); 
{ /* Llib/avahi.scm 67 */
obj_t BgL_fun1889z00_2797;
BgL_fun1889z00_2797 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2clientzd2zz__avahi_avahiz00); 
PROCEDURE_ENTRY(BgL_fun1889z00_2797)(BgL_fun1889z00_2797, 
((obj_t)BgL_new1218z00_2793), BEOA); } 
return BgL_new1218z00_2793;} } } 

}



/* &<@anonymous:2010> */
obj_t BGl_z62zc3z04anonymousza32010ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2306, obj_t BgL_oz00_2307)
{
{ /* Llib/avahi.scm 101 */
{ /* Llib/avahi.scm 104 */
bool_t BgL_test3069z00_4894;
{ /* Llib/avahi.scm 104 */
AvahiClient * BgL_arg2015z00_2798;
BgL_arg2015z00_2798 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2307)))->BgL_z42builtinz42); 
BgL_test3069z00_4894 = 
(BgL_arg2015z00_2798 == 0L); } 
if(BgL_test3069z00_4894)
{ /* Llib/avahi.scm 104 */
return 
CNST_TABLE_REF(((long)99));}  else 
{ /* Llib/avahi.scm 107 */
AvahiClientState BgL_arg2013z00_2799;
{ /* Llib/avahi.scm 107 */
AvahiClient * BgL_arg2014z00_2800;
BgL_arg2014z00_2800 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2307)))->BgL_z42builtinz42); 
BgL_arg2013z00_2799 = 
avahi_client_get_state(BgL_arg2014z00_2800); } 
return 
bgl_avahi_client_state_to_symbol(BgL_arg2013z00_2799);} } } 

}



/* &<@anonymous:2001> */
obj_t BGl_z62zc3z04anonymousza32001ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2308, obj_t BgL_oz00_2309)
{
{ /* Llib/avahi.scm 95 */
{ /* Llib/avahi.scm 98 */
bool_t BgL_test3070z00_4903;
{ /* Llib/avahi.scm 98 */
AvahiClient * BgL_arg2005z00_2801;
BgL_arg2005z00_2801 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2309)))->BgL_z42builtinz42); 
BgL_test3070z00_4903 = 
(BgL_arg2005z00_2801 == 0L); } 
if(BgL_test3070z00_4903)
{ /* Llib/avahi.scm 98 */
return BGl_string2665z00zz__avahi_avahiz00;}  else 
{ /* Llib/avahi.scm 100 */
AvahiClient * BgL_arg2004z00_2802;
BgL_arg2004z00_2802 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2309)))->BgL_z42builtinz42); 
return 
string_to_bstring(
avahi_client_get_host_name_fqdn(BgL_arg2004z00_2802));} } } 

}



/* &<@anonymous:1992> */
obj_t BGl_z62zc3z04anonymousza31992ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2310, obj_t BgL_oz00_2311)
{
{ /* Llib/avahi.scm 89 */
{ /* Llib/avahi.scm 92 */
bool_t BgL_test3071z00_4911;
{ /* Llib/avahi.scm 92 */
AvahiClient * BgL_arg1996z00_2803;
BgL_arg1996z00_2803 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2311)))->BgL_z42builtinz42); 
BgL_test3071z00_4911 = 
(BgL_arg1996z00_2803 == 0L); } 
if(BgL_test3071z00_4911)
{ /* Llib/avahi.scm 92 */
return BGl_string2665z00zz__avahi_avahiz00;}  else 
{ /* Llib/avahi.scm 94 */
AvahiClient * BgL_arg1995z00_2804;
BgL_arg1995z00_2804 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2311)))->BgL_z42builtinz42); 
return 
string_to_bstring(
avahi_client_get_domain_name(BgL_arg1995z00_2804));} } } 

}



/* &<@anonymous:1983> */
obj_t BGl_z62zc3z04anonymousza31983ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2312, obj_t BgL_oz00_2313, obj_t BgL_vz00_2314)
{
{ /* Llib/avahi.scm 81 */
{ /* Llib/avahi.scm 87 */
bool_t BgL_test3072z00_4919;
{ /* Llib/avahi.scm 87 */
AvahiClient * BgL_arg1987z00_2805;
BgL_arg1987z00_2805 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2313)))->BgL_z42builtinz42); 
BgL_test3072z00_4919 = 
(BgL_arg1987z00_2805 == 0L); } 
if(BgL_test3072z00_4919)
{ /* Llib/avahi.scm 87 */
return BFALSE;}  else 
{ /* Llib/avahi.scm 88 */
AvahiClient * BgL_arg1986z00_2806;
BgL_arg1986z00_2806 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2313)))->BgL_z42builtinz42); 
{ /* Llib/avahi.scm 88 */
char * BgL_tmpz00_4925;
{ /* Llib/avahi.scm 88 */
char * BgL_tmpz00_4926;
BgL_tmpz00_4926 = 
BSTRING_TO_STRING(
((obj_t)BgL_vz00_2314)); 
BgL_tmpz00_4925 = 
avahi_client_set_host_name(BgL_arg1986z00_2806, BgL_tmpz00_4926); } 
return 
string_to_bstring(BgL_tmpz00_4925);} } } } 

}



/* &<@anonymous:1977> */
obj_t BGl_z62zc3z04anonymousza31977ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2315, obj_t BgL_oz00_2316)
{
{ /* Llib/avahi.scm 81 */
{ /* Llib/avahi.scm 83 */
bool_t BgL_test3073z00_4931;
{ /* Llib/avahi.scm 83 */
AvahiClient * BgL_arg1981z00_2807;
BgL_arg1981z00_2807 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2316)))->BgL_z42builtinz42); 
BgL_test3073z00_4931 = 
(BgL_arg1981z00_2807 == 0L); } 
if(BgL_test3073z00_4931)
{ /* Llib/avahi.scm 83 */
return BGl_string2665z00zz__avahi_avahiz00;}  else 
{ /* Llib/avahi.scm 85 */
AvahiClient * BgL_arg1980z00_2808;
BgL_arg1980z00_2808 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2316)))->BgL_z42builtinz42); 
return 
string_to_bstring(
avahi_client_get_host_name(BgL_arg1980z00_2808));} } } 

}



/* &<@anonymous:1967> */
obj_t BGl_z62zc3z04anonymousza31967ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2317, obj_t BgL_oz00_2318)
{
{ /* Llib/avahi.scm 75 */
{ /* Llib/avahi.scm 78 */
bool_t BgL_test3074z00_4939;
{ /* Llib/avahi.scm 78 */
AvahiClient * BgL_arg1971z00_2809;
BgL_arg1971z00_2809 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2318)))->BgL_z42builtinz42); 
BgL_test3074z00_4939 = 
(BgL_arg1971z00_2809 == 0L); } 
if(BgL_test3074z00_4939)
{ /* Llib/avahi.scm 78 */
return BGl_string2665z00zz__avahi_avahiz00;}  else 
{ /* Llib/avahi.scm 80 */
AvahiClient * BgL_arg1970z00_2810;
BgL_arg1970z00_2810 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2318)))->BgL_z42builtinz42); 
return 
string_to_bstring(
avahi_client_get_version_string(BgL_arg1970z00_2810));} } } 

}



/* &<@anonymous:1963> */
obj_t BGl_z62zc3z04anonymousza31963ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2319, obj_t BgL_oz00_2320, obj_t BgL_vz00_2321)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2320), 
(int)(((long)4)), BgL_vz00_2321);} 

}



/* &<@anonymous:1962> */
obj_t BGl_z62zc3z04anonymousza31962ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2322, obj_t BgL_oz00_2323)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2323), 
(int)(((long)4)));} 

}



/* &<@anonymous:1958> */
obj_t BGl_z62zc3z04anonymousza31958ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2324, obj_t BgL_oz00_2325, obj_t BgL_vz00_2326)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2325), 
(int)(((long)3)), BgL_vz00_2326);} 

}



/* &<@anonymous:1957> */
obj_t BGl_z62zc3z04anonymousza31957ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2327, obj_t BgL_oz00_2328)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2328), 
(int)(((long)3)));} 

}



/* &<@anonymous:1953> */
obj_t BGl_z62zc3z04anonymousza31953ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2329, obj_t BgL_oz00_2330, obj_t BgL_vz00_2331)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2330), 
(int)(((long)2)), BgL_vz00_2331);} 

}



/* &<@anonymous:1952> */
obj_t BGl_z62zc3z04anonymousza31952ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2332, obj_t BgL_oz00_2333)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2333), 
(int)(((long)2)));} 

}



/* &<@anonymous:1948> */
obj_t BGl_z62zc3z04anonymousza31948ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2334, obj_t BgL_oz00_2335, obj_t BgL_vz00_2336)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2335), 
(int)(((long)1)), BgL_vz00_2336);} 

}



/* &<@anonymous:1947> */
obj_t BGl_z62zc3z04anonymousza31947ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2337, obj_t BgL_oz00_2338)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2338), 
(int)(((long)1)));} 

}



/* &<@anonymous:1943> */
obj_t BGl_z62zc3z04anonymousza31943ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2339, obj_t BgL_oz00_2340, obj_t BgL_vz00_2341)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2340), 
(int)(((long)0)), BgL_vz00_2341);} 

}



/* &<@anonymous:1942> */
obj_t BGl_z62zc3z04anonymousza31942ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2342, obj_t BgL_oz00_2343)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2343), 
(int)(((long)0)));} 

}



/* &<@anonymous:1938> */
obj_t BGl_z62zc3z04anonymousza31938ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2344)
{
{ /* Llib/avahi.scm 67 */
return BNIL;} 

}



/* &lambda1937 */
obj_t BGl_z62lambda1937z62zz__avahi_avahiz00(obj_t BgL_envz00_2345, obj_t BgL_oz00_2346, obj_t BgL_vz00_2347)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2346)))->BgL_resolversz00)=((obj_t)
((obj_t)BgL_vz00_2347)),BUNSPEC);} 

}



/* &lambda1936 */
obj_t BGl_z62lambda1936z62zz__avahi_avahiz00(obj_t BgL_envz00_2348, obj_t BgL_oz00_2349)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2349)))->BgL_resolversz00);} 

}



/* &<@anonymous:1931> */
obj_t BGl_z62zc3z04anonymousza31931ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2350)
{
{ /* Llib/avahi.scm 67 */
return BNIL;} 

}



/* &lambda1930 */
obj_t BGl_z62lambda1930z62zz__avahi_avahiz00(obj_t BgL_envz00_2351, obj_t BgL_oz00_2352, obj_t BgL_vz00_2353)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2352)))->BgL_z52browsersz52)=((obj_t)
((obj_t)BgL_vz00_2353)),BUNSPEC);} 

}



/* &lambda1929 */
obj_t BGl_z62lambda1929z62zz__avahi_avahiz00(obj_t BgL_envz00_2354, obj_t BgL_oz00_2355)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2355)))->BgL_z52browsersz52);} 

}



/* &<@anonymous:1924> */
obj_t BGl_z62zc3z04anonymousza31924ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2356)
{
{ /* Llib/avahi.scm 67 */
return BNIL;} 

}



/* &lambda1923 */
obj_t BGl_z62lambda1923z62zz__avahi_avahiz00(obj_t BgL_envz00_2357, obj_t BgL_oz00_2358, obj_t BgL_vz00_2359)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2358)))->BgL_z52groupsz52)=((obj_t)
((obj_t)BgL_vz00_2359)),BUNSPEC);} 

}



/* &lambda1922 */
obj_t BGl_z62lambda1922z62zz__avahi_avahiz00(obj_t BgL_envz00_2360, obj_t BgL_oz00_2361)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2361)))->BgL_z52groupsz52);} 

}



/* &lambda1917 */
obj_t BGl_z62lambda1917z62zz__avahi_avahiz00(obj_t BgL_envz00_2362, obj_t BgL_oz00_2363, obj_t BgL_vz00_2364)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2363)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2364)),BUNSPEC);} 

}



/* &lambda1916 */
obj_t BGl_z62lambda1916z62zz__avahi_avahiz00(obj_t BgL_envz00_2365, obj_t BgL_oz00_2366)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2366)))->BgL_procz00);} 

}



/* &<@anonymous:1912> */
obj_t BGl_z62zc3z04anonymousza31912ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2367)
{
{ /* Llib/avahi.scm 67 */
return 
CNST_TABLE_REF(((long)100));} 

}



/* &lambda1911 */
obj_t BGl_z62lambda1911z62zz__avahi_avahiz00(obj_t BgL_envz00_2368, obj_t BgL_oz00_2369, obj_t BgL_vz00_2370)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2369)))->BgL_flagsz00)=((obj_t)
((obj_t)BgL_vz00_2370)),BUNSPEC);} 

}



/* &lambda1910 */
obj_t BGl_z62lambda1910z62zz__avahi_avahiz00(obj_t BgL_envz00_2371, obj_t BgL_oz00_2372)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2372)))->BgL_flagsz00);} 

}



/* &lambda1905 */
obj_t BGl_z62lambda1905z62zz__avahi_avahiz00(obj_t BgL_envz00_2373, obj_t BgL_oz00_2374, obj_t BgL_vz00_2375)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2374)))->BgL_pollz00)=((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2pollzd2_bglt)BgL_vz00_2375)),BUNSPEC);} 

}



/* &lambda1904 */
BgL_avahizd2pollzd2_bglt BGl_z62lambda1904z62zz__avahi_avahiz00(obj_t BgL_envz00_2376, obj_t BgL_oz00_2377)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2377)))->BgL_pollz00);} 

}



/* &<@anonymous:1900> */
obj_t BGl_z62zc3z04anonymousza31900ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2378)
{
{ /* Llib/avahi.scm 67 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1899 */
obj_t BGl_z62lambda1899z62zz__avahi_avahiz00(obj_t BgL_envz00_2379, obj_t BgL_oz00_2380, obj_t BgL_vz00_2381)
{
{ /* Llib/avahi.scm 67 */
{ /* Llib/avahi.scm 67 */
AvahiClient * BgL_vz00_2830;
BgL_vz00_2830 = 
FOREIGN_TO_COBJ(BgL_vz00_2381); 
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2380)))->BgL_z42builtinz42)=((AvahiClient *)BgL_vz00_2830),BUNSPEC);} } 

}



/* &lambda1898 */
obj_t BGl_z62lambda1898z62zz__avahi_avahiz00(obj_t BgL_envz00_2382, obj_t BgL_oz00_2383)
{
{ /* Llib/avahi.scm 67 */
return 
void_star_to_obj(
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2383)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1875> */
obj_t BGl_z62zc3z04anonymousza31875ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2384, obj_t BgL_new1090z00_2385)
{
{ /* Llib/avahi.scm 64 */
{ 
BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_5016;
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_new1090z00_2385))))->BgL_z42ctypez42)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_new1090z00_2385))))->BgL_z52procsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_new1090z00_2385)))->BgL_z42builtinz42)=((AvahiThreadedPoll *)
0L),BUNSPEC); 
BgL_auxz00_5016 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_new1090z00_2385); 
return 
((obj_t)BgL_auxz00_5016);} } 

}



/* &lambda1873 */
BgL_avahizd2threadedzd2pollz00_bglt BGl_z62lambda1873z62zz__avahi_avahiz00(obj_t BgL_envz00_2386)
{
{ /* Llib/avahi.scm 64 */
{ /* Llib/avahi.scm 64 */
BgL_avahizd2threadedzd2pollz00_bglt BgL_new1089z00_2833;
BgL_new1089z00_2833 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2threadedzd2pollz00_bgl) ))); 
{ /* Llib/avahi.scm 64 */
long BgL_arg1874z00_2834;
{ /* Llib/avahi.scm 64 */
long BgL_res2348z00_2835;
BgL_res2348z00_2835 = 
BGL_CLASS_INDEX(BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00); 
BgL_arg1874z00_2834 = BgL_res2348z00_2835; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1089z00_2833), BgL_arg1874z00_2834); } 
return BgL_new1089z00_2833;} } 

}



/* &lambda1870 */
BgL_avahizd2threadedzd2pollz00_bglt BGl_z62lambda1870z62zz__avahi_avahiz00(obj_t BgL_envz00_2387, obj_t BgL_z42ctype1086z42_2388, obj_t BgL_z52procs1087z52_2389, obj_t BgL_z42builtin1088z42_2390)
{
{ /* Llib/avahi.scm 64 */
{ /* Llib/avahi.scm 64 */
int BgL_z42ctype1086z42_2836;AvahiThreadedPoll * BgL_z42builtin1088z42_2838;
BgL_z42ctype1086z42_2836 = 
CINT(BgL_z42ctype1086z42_2388); 
BgL_z42builtin1088z42_2838 = 
FOREIGN_TO_COBJ(BgL_z42builtin1088z42_2390); 
{ /* Llib/avahi.scm 64 */
BgL_avahizd2threadedzd2pollz00_bglt BgL_new1216z00_2839;
{ /* Llib/avahi.scm 64 */
BgL_avahizd2threadedzd2pollz00_bglt BgL_new1215z00_2840;
BgL_new1215z00_2840 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2threadedzd2pollz00_bgl) ))); 
{ /* Llib/avahi.scm 64 */
long BgL_arg1872z00_2841;
{ /* Llib/avahi.scm 64 */
long BgL_res2347z00_2842;
BgL_res2347z00_2842 = 
BGL_CLASS_INDEX(BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00); 
BgL_arg1872z00_2841 = BgL_res2347z00_2842; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1215z00_2840), BgL_arg1872z00_2841); } 
BgL_new1216z00_2839 = BgL_new1215z00_2840; } 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1216z00_2839)))->BgL_z42ctypez42)=((int)BgL_z42ctype1086z42_2836),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1216z00_2839)))->BgL_z52procsz52)=((obj_t)
((obj_t)BgL_z52procs1087z52_2389)),BUNSPEC); 
((((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_new1216z00_2839))->BgL_z42builtinz42)=((AvahiThreadedPoll *)BgL_z42builtin1088z42_2838),BUNSPEC); 
{ /* Llib/avahi.scm 64 */
obj_t BgL_fun1871z00_2843;
BgL_fun1871z00_2843 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00); 
PROCEDURE_ENTRY(BgL_fun1871z00_2843)(BgL_fun1871z00_2843, 
((obj_t)BgL_new1216z00_2839), BEOA); } 
return BgL_new1216z00_2839;} } } 

}



/* &<@anonymous:1882> */
obj_t BGl_z62zc3z04anonymousza31882ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2391)
{
{ /* Llib/avahi.scm 64 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1881 */
obj_t BGl_z62lambda1881z62zz__avahi_avahiz00(obj_t BgL_envz00_2392, obj_t BgL_oz00_2393, obj_t BgL_vz00_2394)
{
{ /* Llib/avahi.scm 64 */
{ /* Llib/avahi.scm 64 */
AvahiThreadedPoll * BgL_vz00_2845;
BgL_vz00_2845 = 
FOREIGN_TO_COBJ(BgL_vz00_2394); 
return 
((((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2393)))->BgL_z42builtinz42)=((AvahiThreadedPoll *)BgL_vz00_2845),BUNSPEC);} } 

}



/* &lambda1880 */
obj_t BGl_z62lambda1880z62zz__avahi_avahiz00(obj_t BgL_envz00_2395, obj_t BgL_oz00_2396)
{
{ /* Llib/avahi.scm 64 */
return 
void_star_to_obj(
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2396)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1857> */
obj_t BGl_z62zc3z04anonymousza31857ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2397, obj_t BgL_new1084z00_2398)
{
{ /* Llib/avahi.scm 61 */
{ 
BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_5059;
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_new1084z00_2398))))->BgL_z42ctypez42)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_new1084z00_2398))))->BgL_z52procsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_new1084z00_2398)))->BgL_z42builtinz42)=((AvahiSimplePoll *)
0L),BUNSPEC); 
BgL_auxz00_5059 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_new1084z00_2398); 
return 
((obj_t)BgL_auxz00_5059);} } 

}



/* &lambda1855 */
BgL_avahizd2simplezd2pollz00_bglt BGl_z62lambda1855z62zz__avahi_avahiz00(obj_t BgL_envz00_2399)
{
{ /* Llib/avahi.scm 61 */
{ /* Llib/avahi.scm 61 */
BgL_avahizd2simplezd2pollz00_bglt BgL_new1083z00_2848;
BgL_new1083z00_2848 = 
((BgL_avahizd2simplezd2pollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2simplezd2pollz00_bgl) ))); 
{ /* Llib/avahi.scm 61 */
long BgL_arg1856z00_2849;
{ /* Llib/avahi.scm 61 */
long BgL_res2346z00_2850;
BgL_res2346z00_2850 = 
BGL_CLASS_INDEX(BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00); 
BgL_arg1856z00_2849 = BgL_res2346z00_2850; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1083z00_2848), BgL_arg1856z00_2849); } 
return BgL_new1083z00_2848;} } 

}



/* &lambda1852 */
BgL_avahizd2simplezd2pollz00_bglt BGl_z62lambda1852z62zz__avahi_avahiz00(obj_t BgL_envz00_2400, obj_t BgL_z42ctype1080z42_2401, obj_t BgL_z52procs1081z52_2402, obj_t BgL_z42builtin1082z42_2403)
{
{ /* Llib/avahi.scm 61 */
{ /* Llib/avahi.scm 61 */
int BgL_z42ctype1080z42_2851;AvahiSimplePoll * BgL_z42builtin1082z42_2853;
BgL_z42ctype1080z42_2851 = 
CINT(BgL_z42ctype1080z42_2401); 
BgL_z42builtin1082z42_2853 = 
FOREIGN_TO_COBJ(BgL_z42builtin1082z42_2403); 
{ /* Llib/avahi.scm 61 */
BgL_avahizd2simplezd2pollz00_bglt BgL_new1214z00_2854;
{ /* Llib/avahi.scm 61 */
BgL_avahizd2simplezd2pollz00_bglt BgL_new1213z00_2855;
BgL_new1213z00_2855 = 
((BgL_avahizd2simplezd2pollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2simplezd2pollz00_bgl) ))); 
{ /* Llib/avahi.scm 61 */
long BgL_arg1854z00_2856;
{ /* Llib/avahi.scm 61 */
long BgL_res2345z00_2857;
BgL_res2345z00_2857 = 
BGL_CLASS_INDEX(BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00); 
BgL_arg1854z00_2856 = BgL_res2345z00_2857; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1213z00_2855), BgL_arg1854z00_2856); } 
BgL_new1214z00_2854 = BgL_new1213z00_2855; } 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1214z00_2854)))->BgL_z42ctypez42)=((int)BgL_z42ctype1080z42_2851),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1214z00_2854)))->BgL_z52procsz52)=((obj_t)
((obj_t)BgL_z52procs1081z52_2402)),BUNSPEC); 
((((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(BgL_new1214z00_2854))->BgL_z42builtinz42)=((AvahiSimplePoll *)BgL_z42builtin1082z42_2853),BUNSPEC); 
{ /* Llib/avahi.scm 61 */
obj_t BgL_fun1853z00_2858;
BgL_fun1853z00_2858 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00); 
PROCEDURE_ENTRY(BgL_fun1853z00_2858)(BgL_fun1853z00_2858, 
((obj_t)BgL_new1214z00_2854), BEOA); } 
return BgL_new1214z00_2854;} } } 

}



/* &<@anonymous:1864> */
obj_t BGl_z62zc3z04anonymousza31864ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2404)
{
{ /* Llib/avahi.scm 61 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1863 */
obj_t BGl_z62lambda1863z62zz__avahi_avahiz00(obj_t BgL_envz00_2405, obj_t BgL_oz00_2406, obj_t BgL_vz00_2407)
{
{ /* Llib/avahi.scm 61 */
{ /* Llib/avahi.scm 61 */
AvahiSimplePoll * BgL_vz00_2860;
BgL_vz00_2860 = 
FOREIGN_TO_COBJ(BgL_vz00_2407); 
return 
((((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2406)))->BgL_z42builtinz42)=((AvahiSimplePoll *)BgL_vz00_2860),BUNSPEC);} } 

}



/* &lambda1862 */
obj_t BGl_z62lambda1862z62zz__avahi_avahiz00(obj_t BgL_envz00_2408, obj_t BgL_oz00_2409)
{
{ /* Llib/avahi.scm 61 */
return 
void_star_to_obj(
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2409)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1832> */
obj_t BGl_z62zc3z04anonymousza31832ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2410, obj_t BgL_new1078z00_2411)
{
{ /* Llib/avahi.scm 57 */
{ 
BgL_avahizd2pollzd2_bglt BgL_auxz00_5102;
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1078z00_2411)))->BgL_z42ctypez42)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1078z00_2411)))->BgL_z52procsz52)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5102 = 
((BgL_avahizd2pollzd2_bglt)BgL_new1078z00_2411); 
return 
((obj_t)BgL_auxz00_5102);} } 

}



/* &lambda1830 */
BgL_avahizd2pollzd2_bglt BGl_z62lambda1830z62zz__avahi_avahiz00(obj_t BgL_envz00_2412)
{
{ /* Llib/avahi.scm 57 */
{ /* Llib/avahi.scm 57 */
BgL_avahizd2pollzd2_bglt BgL_new1077z00_2863;
BgL_new1077z00_2863 = 
((BgL_avahizd2pollzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2pollzd2_bgl) ))); 
{ /* Llib/avahi.scm 57 */
long BgL_arg1831z00_2864;
{ /* Llib/avahi.scm 57 */
long BgL_res2344z00_2865;
BgL_res2344z00_2865 = 
BGL_CLASS_INDEX(BGl_avahizd2pollzd2zz__avahi_avahiz00); 
BgL_arg1831z00_2864 = BgL_res2344z00_2865; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1077z00_2863), BgL_arg1831z00_2864); } 
return BgL_new1077z00_2863;} } 

}



/* &<@anonymous:1846> */
obj_t BGl_z62zc3z04anonymousza31846ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2413)
{
{ /* Llib/avahi.scm 57 */
return BNIL;} 

}



/* &lambda1845 */
obj_t BGl_z62lambda1845z62zz__avahi_avahiz00(obj_t BgL_envz00_2414, obj_t BgL_oz00_2415, obj_t BgL_vz00_2416)
{
{ /* Llib/avahi.scm 57 */
return 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2415)))->BgL_z52procsz52)=((obj_t)
((obj_t)BgL_vz00_2416)),BUNSPEC);} 

}



/* &lambda1844 */
obj_t BGl_z62lambda1844z62zz__avahi_avahiz00(obj_t BgL_envz00_2417, obj_t BgL_oz00_2418)
{
{ /* Llib/avahi.scm 57 */
return 
(((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2418)))->BgL_z52procsz52);} 

}



/* &<@anonymous:1839> */
obj_t BGl_z62zc3z04anonymousza31839ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2419)
{
{ /* Llib/avahi.scm 57 */
return 
BINT(((long)-1));} 

}



/* &lambda1838 */
obj_t BGl_z62lambda1838z62zz__avahi_avahiz00(obj_t BgL_envz00_2420, obj_t BgL_oz00_2421, obj_t BgL_vz00_2422)
{
{ /* Llib/avahi.scm 57 */
{ /* Llib/avahi.scm 57 */
int BgL_vz00_2870;
BgL_vz00_2870 = 
CINT(BgL_vz00_2422); 
return 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2421)))->BgL_z42ctypez42)=((int)BgL_vz00_2870),BUNSPEC);} } 

}



/* &lambda1837 */
obj_t BGl_z62lambda1837z62zz__avahi_avahiz00(obj_t BgL_envz00_2423, obj_t BgL_oz00_2424)
{
{ /* Llib/avahi.scm 57 */
return 
BINT(
(((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2424)))->BgL_z42ctypez42));} 

}



/* &<@anonymous:1825> */
obj_t BGl_z62zc3z04anonymousza31825ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2425, obj_t BgL_new1075z00_2426)
{
{ /* Llib/avahi.scm 54 */
return 
((obj_t)
((BgL_avahizd2objectzd2_bglt)BgL_new1075z00_2426));} 

}



/* &lambda1823 */
BgL_avahizd2objectzd2_bglt BGl_z62lambda1823z62zz__avahi_avahiz00(obj_t BgL_envz00_2427)
{
{ /* Llib/avahi.scm 54 */
{ /* Llib/avahi.scm 54 */
BgL_avahizd2objectzd2_bglt BgL_new1074z00_2873;
BgL_new1074z00_2873 = 
((BgL_avahizd2objectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2objectzd2_bgl) ))); 
{ /* Llib/avahi.scm 54 */
long BgL_arg1824z00_2874;
{ /* Llib/avahi.scm 54 */
long BgL_res2343z00_2875;
BgL_res2343z00_2875 = 
BGL_CLASS_INDEX(BGl_avahizd2objectzd2zz__avahi_avahiz00); 
BgL_arg1824z00_2874 = BgL_res2343z00_2875; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1074z00_2873), BgL_arg1824z00_2874); } 
return BgL_new1074z00_2873;} } 

}



/* &<@anonymous:1818> */
obj_t BGl_z62zc3z04anonymousza31818ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2428, obj_t BgL_new1072z00_2429)
{
{ /* Llib/avahi.scm 52 */
{ 
BgL_z62avahizd2collisionzd2errorz62_bglt BgL_auxz00_5132;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1072z00_2429))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1072z00_2429))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1072z00_2429))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1072z00_2429))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1072z00_2429))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1072z00_2429))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1072z00_2429))))->BgL_errnoz00)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_5132 = 
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1072z00_2429); 
return 
((obj_t)BgL_auxz00_5132);} } 

}



/* &lambda1816 */
BgL_z62avahizd2collisionzd2errorz62_bglt BGl_z62lambda1816z62zz__avahi_avahiz00(obj_t BgL_envz00_2430)
{
{ /* Llib/avahi.scm 52 */
{ /* Llib/avahi.scm 52 */
BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1071z00_2877;
BgL_new1071z00_2877 = 
((BgL_z62avahizd2collisionzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2collisionzd2errorz62_bgl) ))); 
{ /* Llib/avahi.scm 52 */
long BgL_arg1817z00_2878;
{ /* Llib/avahi.scm 52 */
long BgL_res2342z00_2879;
BgL_res2342z00_2879 = 
BGL_CLASS_INDEX(BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00); 
BgL_arg1817z00_2878 = BgL_res2342z00_2879; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1071z00_2877), BgL_arg1817z00_2878); } 
return BgL_new1071z00_2877;} } 

}



/* &lambda1814 */
BgL_z62avahizd2collisionzd2errorz62_bglt BGl_z62lambda1814z62zz__avahi_avahiz00(obj_t BgL_envz00_2431, obj_t BgL_fname1064z00_2432, obj_t BgL_location1065z00_2433, obj_t BgL_stack1066z00_2434, obj_t BgL_proc1067z00_2435, obj_t BgL_msg1068z00_2436, obj_t BgL_obj1069z00_2437, obj_t BgL_errno1070z00_2438)
{
{ /* Llib/avahi.scm 52 */
{ /* Llib/avahi.scm 52 */
int BgL_errno1070z00_2880;
BgL_errno1070z00_2880 = 
CINT(BgL_errno1070z00_2438); 
{ /* Llib/avahi.scm 52 */
BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1212z00_2881;
{ /* Llib/avahi.scm 52 */
BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1211z00_2882;
BgL_new1211z00_2882 = 
((BgL_z62avahizd2collisionzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2collisionzd2errorz62_bgl) ))); 
{ /* Llib/avahi.scm 52 */
long BgL_arg1815z00_2883;
{ /* Llib/avahi.scm 52 */
long BgL_res2341z00_2884;
BgL_res2341z00_2884 = 
BGL_CLASS_INDEX(BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00); 
BgL_arg1815z00_2883 = BgL_res2341z00_2884; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1211z00_2882), BgL_arg1815z00_2883); } 
BgL_new1212z00_2881 = BgL_new1211z00_2882; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1212z00_2881)))->BgL_fnamez00)=((obj_t)BgL_fname1064z00_2432),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1212z00_2881)))->BgL_locationz00)=((obj_t)BgL_location1065z00_2433),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1212z00_2881)))->BgL_stackz00)=((obj_t)BgL_stack1066z00_2434),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1212z00_2881)))->BgL_procz00)=((obj_t)BgL_proc1067z00_2435),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1212z00_2881)))->BgL_msgz00)=((obj_t)BgL_msg1068z00_2436),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1212z00_2881)))->BgL_objz00)=((obj_t)BgL_obj1069z00_2437),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_new1212z00_2881)))->BgL_errnoz00)=((int)BgL_errno1070z00_2880),BUNSPEC); 
return BgL_new1212z00_2881;} } } 

}



/* &<@anonymous:1801> */
obj_t BGl_z62zc3z04anonymousza31801ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2439, obj_t BgL_new1062z00_2440)
{
{ /* Llib/avahi.scm 50 */
{ 
BgL_z62avahizd2errorzb0_bglt BgL_auxz00_5180;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1062z00_2440))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1062z00_2440))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1062z00_2440))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1062z00_2440))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1062z00_2440))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1062z00_2440))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_new1062z00_2440)))->BgL_errnoz00)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_5180 = 
((BgL_z62avahizd2errorzb0_bglt)BgL_new1062z00_2440); 
return 
((obj_t)BgL_auxz00_5180);} } 

}



/* &lambda1799 */
BgL_z62avahizd2errorzb0_bglt BGl_z62lambda1799z62zz__avahi_avahiz00(obj_t BgL_envz00_2441)
{
{ /* Llib/avahi.scm 50 */
{ /* Llib/avahi.scm 50 */
BgL_z62avahizd2errorzb0_bglt BgL_new1061z00_2886;
BgL_new1061z00_2886 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 50 */
long BgL_arg1800z00_2887;
{ /* Llib/avahi.scm 50 */
long BgL_res2340z00_2888;
BgL_res2340z00_2888 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1800z00_2887 = BgL_res2340z00_2888; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1061z00_2886), BgL_arg1800z00_2887); } 
return BgL_new1061z00_2886;} } 

}



/* &lambda1797 */
BgL_z62avahizd2errorzb0_bglt BGl_z62lambda1797z62zz__avahi_avahiz00(obj_t BgL_envz00_2442, obj_t BgL_fname1053z00_2443, obj_t BgL_location1054z00_2444, obj_t BgL_stack1055z00_2445, obj_t BgL_proc1056z00_2446, obj_t BgL_msg1057z00_2447, obj_t BgL_obj1058z00_2448, obj_t BgL_errno1059z00_2449)
{
{ /* Llib/avahi.scm 50 */
{ /* Llib/avahi.scm 50 */
int BgL_errno1059z00_2889;
BgL_errno1059z00_2889 = 
CINT(BgL_errno1059z00_2449); 
{ /* Llib/avahi.scm 50 */
BgL_z62avahizd2errorzb0_bglt BgL_new1210z00_2890;
{ /* Llib/avahi.scm 50 */
BgL_z62avahizd2errorzb0_bglt BgL_new1209z00_2891;
BgL_new1209z00_2891 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 50 */
long BgL_arg1798z00_2892;
{ /* Llib/avahi.scm 50 */
long BgL_res2339z00_2893;
BgL_res2339z00_2893 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1798z00_2892 = BgL_res2339z00_2893; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1209z00_2891), BgL_arg1798z00_2892); } 
BgL_new1210z00_2890 = BgL_new1209z00_2891; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1210z00_2890)))->BgL_fnamez00)=((obj_t)BgL_fname1053z00_2443),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1210z00_2890)))->BgL_locationz00)=((obj_t)BgL_location1054z00_2444),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1210z00_2890)))->BgL_stackz00)=((obj_t)BgL_stack1055z00_2445),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1210z00_2890)))->BgL_procz00)=((obj_t)BgL_proc1056z00_2446),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1210z00_2890)))->BgL_msgz00)=((obj_t)BgL_msg1057z00_2447),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1210z00_2890)))->BgL_objz00)=((obj_t)BgL_obj1058z00_2448),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1210z00_2890))->BgL_errnoz00)=((int)BgL_errno1059z00_2889),BUNSPEC); 
return BgL_new1210z00_2890;} } } 

}



/* &<@anonymous:1808> */
obj_t BGl_z62zc3z04anonymousza31808ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2450)
{
{ /* Llib/avahi.scm 50 */
return 
BINT(((long)0));} 

}



/* &lambda1807 */
obj_t BGl_z62lambda1807z62zz__avahi_avahiz00(obj_t BgL_envz00_2451, obj_t BgL_oz00_2452, obj_t BgL_vz00_2453)
{
{ /* Llib/avahi.scm 50 */
{ /* Llib/avahi.scm 50 */
int BgL_vz00_2895;
BgL_vz00_2895 = 
CINT(BgL_vz00_2453); 
return 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_oz00_2452)))->BgL_errnoz00)=((int)BgL_vz00_2895),BUNSPEC);} } 

}



/* &lambda1806 */
obj_t BGl_z62lambda1806z62zz__avahi_avahiz00(obj_t BgL_envz00_2454, obj_t BgL_oz00_2455)
{
{ /* Llib/avahi.scm 50 */
return 
BINT(
(((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_oz00_2455)))->BgL_errnoz00));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__avahi_avahiz00()
{
{ /* Llib/avahi.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2666z00zz__avahi_avahiz00, BGl_avahizd2objectzd2zz__avahi_avahiz00, BGl_string2667z00zz__avahi_avahiz00);} 

}



/* &avahi-init1255 */
obj_t BGl_z62avahizd2init1255zb0zz__avahi_avahiz00(obj_t BgL_envz00_2459, obj_t BgL_oz00_2460)
{
{ /* Llib/avahi.scm 288 */
return 
((obj_t)
((BgL_avahizd2objectzd2_bglt)BgL_oz00_2460));} 

}



/* avahi-init */
BGL_EXPORTED_DEF obj_t BGl_avahizd2initzd2zz__avahi_avahiz00(BgL_avahizd2objectzd2_bglt BgL_oz00_9)
{
{ /* Llib/avahi.scm 288 */
{ /* Llib/avahi.scm 288 */
obj_t BgL_method1256z00_1158;
{ /* Llib/avahi.scm 288 */
obj_t BgL_res2371z00_1783;
{ /* Llib/avahi.scm 288 */
long BgL_objzd2classzd2numz00_1748;
{ /* Llib/avahi.scm 288 */
long BgL_res2361z00_1751;
BgL_res2361z00_1751 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_9)); 
BgL_objzd2classzd2numz00_1748 = BgL_res2361z00_1751; } 
{ /* Llib/avahi.scm 288 */
obj_t BgL_arg1741z00_1749;
BgL_arg1741z00_1749 = 
PROCEDURE_REF(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, 
(int)(((long)1))); 
{ /* Llib/avahi.scm 288 */
int BgL_offsetz00_1753;
BgL_offsetz00_1753 = 
(int)(BgL_objzd2classzd2numz00_1748); 
{ /* Llib/avahi.scm 288 */
long BgL_offsetz00_1754;
BgL_offsetz00_1754 = 
(
(long)(BgL_offsetz00_1753)-OBJECT_TYPE); 
{ /* Llib/avahi.scm 288 */
long BgL_modz00_1755;
BgL_modz00_1755 = 
(BgL_offsetz00_1754 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/avahi.scm 288 */
long BgL_restz00_1757;
BgL_restz00_1757 = 
(BgL_offsetz00_1754 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/avahi.scm 288 */

{ /* Llib/avahi.scm 288 */
obj_t BgL_bucketz00_1759;
BgL_bucketz00_1759 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_1749),BgL_modz00_1755); 
BgL_res2371z00_1783 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1759),BgL_restz00_1757); } } } } } } } } 
BgL_method1256z00_1158 = BgL_res2371z00_1783; } 
return 
PROCEDURE_ENTRY(BgL_method1256z00_1158)(BgL_method1256z00_1158, 
((obj_t)BgL_oz00_9), BEOA);} } 

}



/* &avahi-init */
obj_t BGl_z62avahizd2initzb0zz__avahi_avahiz00(obj_t BgL_envz00_2456, obj_t BgL_oz00_2457)
{
{ /* Llib/avahi.scm 288 */
{ /* Llib/avahi.scm 288 */
BgL_avahizd2objectzd2_bglt BgL_auxz00_5266;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2457, BGl_avahizd2objectzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 288 */
BgL_auxz00_5266 = 
((BgL_avahizd2objectzd2_bglt)BgL_oz00_2457)
; }  else 
{ 
obj_t BgL_auxz00_5270;
BgL_auxz00_5270 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2454z00zz__avahi_avahiz00, 
BINT(((long)11745)), BGl_string2668z00zz__avahi_avahiz00, BGl_string2669z00zz__avahi_avahiz00, BgL_oz00_2457); 
FAILURE(BgL_auxz00_5270,BFALSE,BFALSE);} 
return 
BGl_avahizd2initzd2zz__avahi_avahiz00(BgL_auxz00_5266);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__avahi_avahiz00()
{
{ /* Llib/avahi.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00, BGl_proc2670z00zz__avahi_avahiz00, BGl_string2671z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00, BGl_proc2672z00zz__avahi_avahiz00, BGl_string2671z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2clientzd2zz__avahi_avahiz00, BGl_proc2673z00zz__avahi_avahiz00, BGl_string2671z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00, BGl_proc2674z00zz__avahi_avahiz00, BGl_string2671z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00, BGl_proc2675z00zz__avahi_avahiz00, BGl_string2671z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00, BGl_proc2676z00zz__avahi_avahiz00, BGl_string2671z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00, BGl_proc2677z00zz__avahi_avahiz00, BGl_string2671z00zz__avahi_avahiz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00, BGl_proc2678z00zz__avahi_avahiz00, BGl_string2671z00zz__avahi_avahiz00);} 

}



/* &avahi-init-avahi-ser1273 */
obj_t BGl_z62avahizd2initzd2avahizd2ser1273zb0zz__avahi_avahiz00(obj_t BgL_envz00_2469, obj_t BgL_oz00_2470)
{
{ /* Llib/avahi.scm 661 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2470)))->BgL_procz00), 
(int)(((long)12))))
{ /* Llib/avahi.scm 663 */
{ /* Llib/avahi.scm 665 */
BgL_avahizd2clientzd2_bglt BgL_i1190z00_2899;
BgL_i1190z00_2899 = 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2470)))->BgL_clientz00); 
{ 
obj_t BgL_auxz00_5290;
{ /* Llib/avahi.scm 666 */
obj_t BgL_arg2245z00_2900;
BgL_arg2245z00_2900 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1190z00_2899))->BgL_resolversz00); 
BgL_auxz00_5290 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2470)), BgL_arg2245z00_2900); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1190z00_2899))->BgL_resolversz00)=((obj_t)BgL_auxz00_5290),BUNSPEC); } } 
{ /* Llib/avahi.scm 667 */
BgL_avahizd2servicezd2resolverz00_bglt BgL_tmpz00_5296;
BgL_tmpz00_5296 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2470); 
bgl_avahi_service_resolver_new(BgL_tmpz00_5296); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 668 */
obj_t BgL_arg2246z00_2901;
BgL_arg2246z00_2901 = 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2470)))->BgL_procz00); 
{ /* Llib/avahi.scm 668 */
char * BgL_procz00_2902;char * BgL_msgz00_2903;
BgL_procz00_2902 = 
BSTRING_TO_STRING(BGl_string2497z00zz__avahi_avahiz00); 
BgL_msgz00_2903 = 
BSTRING_TO_STRING(BGl_string2463z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_arg1294z00_2904;
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_2905;
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_new1141z00_2906;
BgL_new1141z00_2906 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 214 */
long BgL_arg1326z00_2907;
{ /* Llib/avahi.scm 214 */
long BgL_res2251z00_2908;
BgL_res2251z00_2908 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1326z00_2907 = BgL_res2251z00_2908; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_2906), BgL_arg1326z00_2907); } 
BgL_new1142z00_2905 = BgL_new1141z00_2906; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2905)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2905)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_5311;
{ /* Llib/avahi.scm 214 */
obj_t BgL_arg1300z00_2909;
{ /* Llib/avahi.scm 214 */
obj_t BgL_arg1325z00_2910;
{ /* Llib/avahi.scm 214 */
obj_t BgL_res2252z00_2911;
{ /* Llib/avahi.scm 214 */
obj_t BgL_classz00_2912;
BgL_classz00_2912 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_res2252z00_2911 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2912); } 
BgL_arg1325z00_2910 = BgL_res2252z00_2911; } 
BgL_arg1300z00_2909 = 
VECTOR_REF(BgL_arg1325z00_2910,((long)2)); } 
BgL_auxz00_5311 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1300z00_2909); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2905)))->BgL_stackz00)=((obj_t)BgL_auxz00_5311),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2905)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_2902)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2905)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_2903)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2905)))->BgL_objz00)=((obj_t)BgL_arg2246z00_2901),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1142z00_2905))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1294z00_2904 = BgL_new1142z00_2905; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1294z00_2904));} } } } 

}



/* &avahi-init-avahi-dom1271 */
obj_t BGl_z62avahizd2initzd2avahizd2dom1271zb0zz__avahi_avahiz00(obj_t BgL_envz00_2471, obj_t BgL_oz00_2472)
{
{ /* Llib/avahi.scm 641 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2472)))->BgL_procz00), 
(int)(((long)5))))
{ /* Llib/avahi.scm 643 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 251 */
obj_t BgL_tmp3078z00_5333;
BgL_tmp3078z00_5333 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2472)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp3078z00_5333; } 
{ /* Llib/avahi.scm 646 */
obj_t BgL_arg2239z00_2914;
BgL_arg2239z00_2914 = 
BGl_avahizd2symbolzd2ze3domainzd2browserzd2typeze3zz__avahi_avahiz00(
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2472)))->BgL_btypez00)); 
{ /* Llib/avahi.scm 646 */
AvahiDomainBrowserType BgL_auxz00_5344;BgL_avahizd2domainzd2browserz00_bglt BgL_tmpz00_5342;
BgL_auxz00_5344 = 
(long)CINT(BgL_arg2239z00_2914); 
BgL_tmpz00_5342 = 
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2472); 
bgl_avahi_domain_browser_new(BgL_tmpz00_5342, BgL_auxz00_5344); } 
return BUNSPEC;} }  else 
{ /* Llib/avahi.scm 647 */
obj_t BgL_arg2241z00_2915;
BgL_arg2241z00_2915 = 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2472)))->BgL_procz00); 
{ /* Llib/avahi.scm 647 */
char * BgL_procz00_2916;char * BgL_msgz00_2917;
BgL_procz00_2916 = 
BSTRING_TO_STRING(BGl_string2495z00zz__avahi_avahiz00); 
BgL_msgz00_2917 = 
BSTRING_TO_STRING(BGl_string2463z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_arg1294z00_2918;
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_2919;
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_new1141z00_2920;
BgL_new1141z00_2920 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 214 */
long BgL_arg1326z00_2921;
{ /* Llib/avahi.scm 214 */
long BgL_res2251z00_2922;
BgL_res2251z00_2922 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1326z00_2921 = BgL_res2251z00_2922; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_2920), BgL_arg1326z00_2921); } 
BgL_new1142z00_2919 = BgL_new1141z00_2920; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2919)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2919)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_5359;
{ /* Llib/avahi.scm 214 */
obj_t BgL_arg1300z00_2923;
{ /* Llib/avahi.scm 214 */
obj_t BgL_arg1325z00_2924;
{ /* Llib/avahi.scm 214 */
obj_t BgL_res2252z00_2925;
{ /* Llib/avahi.scm 214 */
obj_t BgL_classz00_2926;
BgL_classz00_2926 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_res2252z00_2925 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2926); } 
BgL_arg1325z00_2924 = BgL_res2252z00_2925; } 
BgL_arg1300z00_2923 = 
VECTOR_REF(BgL_arg1325z00_2924,((long)2)); } 
BgL_auxz00_5359 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1300z00_2923); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2919)))->BgL_stackz00)=((obj_t)BgL_auxz00_5359),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2919)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_2916)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2919)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_2917)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2919)))->BgL_objz00)=((obj_t)BgL_arg2241z00_2915),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1142z00_2919))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1294z00_2918 = BgL_new1142z00_2919; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1294z00_2918));} } } } 

}



/* &avahi-init-avahi-ser1269 */
obj_t BGl_z62avahizd2initzd2avahizd2ser1269zb0zz__avahi_avahiz00(obj_t BgL_envz00_2473, obj_t BgL_oz00_2474)
{
{ /* Llib/avahi.scm 621 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2474)))->BgL_procz00), 
(int)(((long)7))))
{ /* Llib/avahi.scm 623 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 251 */
obj_t BgL_tmp3080z00_5381;
BgL_tmp3080z00_5381 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2474)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp3080z00_5381; } 
{ /* Llib/avahi.scm 626 */
BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_tmpz00_5387;
BgL_tmpz00_5387 = 
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2474); 
bgl_avahi_service_type_browser_new(BgL_tmpz00_5387); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 627 */
obj_t BgL_arg2235z00_2928;
BgL_arg2235z00_2928 = 
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2474)))->BgL_procz00); 
{ /* Llib/avahi.scm 627 */
char * BgL_procz00_2929;char * BgL_msgz00_2930;
BgL_procz00_2929 = 
BSTRING_TO_STRING(BGl_string2679z00zz__avahi_avahiz00); 
BgL_msgz00_2930 = 
BSTRING_TO_STRING(BGl_string2463z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_arg1294z00_2931;
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_2932;
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_new1141z00_2933;
BgL_new1141z00_2933 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 214 */
long BgL_arg1326z00_2934;
{ /* Llib/avahi.scm 214 */
long BgL_res2251z00_2935;
BgL_res2251z00_2935 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1326z00_2934 = BgL_res2251z00_2935; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_2933), BgL_arg1326z00_2934); } 
BgL_new1142z00_2932 = BgL_new1141z00_2933; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2932)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2932)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_5402;
{ /* Llib/avahi.scm 214 */
obj_t BgL_arg1300z00_2936;
{ /* Llib/avahi.scm 214 */
obj_t BgL_arg1325z00_2937;
{ /* Llib/avahi.scm 214 */
obj_t BgL_res2252z00_2938;
{ /* Llib/avahi.scm 214 */
obj_t BgL_classz00_2939;
BgL_classz00_2939 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_res2252z00_2938 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2939); } 
BgL_arg1325z00_2937 = BgL_res2252z00_2938; } 
BgL_arg1300z00_2936 = 
VECTOR_REF(BgL_arg1325z00_2937,((long)2)); } 
BgL_auxz00_5402 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1300z00_2936); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2932)))->BgL_stackz00)=((obj_t)BgL_auxz00_5402),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2932)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_2929)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2932)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_2930)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2932)))->BgL_objz00)=((obj_t)BgL_arg2235z00_2928),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1142z00_2932))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1294z00_2931 = BgL_new1142z00_2932; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1294z00_2931));} } } } 

}



/* &avahi-init-avahi-ser1267 */
obj_t BGl_z62avahizd2initzd2avahizd2ser1267zb0zz__avahi_avahiz00(obj_t BgL_envz00_2475, obj_t BgL_oz00_2476)
{
{ /* Llib/avahi.scm 598 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2476)))->BgL_procz00), 
(int)(((long)8))))
{ /* Llib/avahi.scm 600 */
{ /* Llib/avahi.scm 602 */
BgL_avahizd2clientzd2_bglt BgL_i1184z00_2941;
BgL_i1184z00_2941 = 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2476)))->BgL_clientz00); 
{ 
obj_t BgL_auxz00_5426;
{ /* Llib/avahi.scm 603 */
obj_t BgL_arg2230z00_2942;
BgL_arg2230z00_2942 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1184z00_2941))->BgL_z52browsersz52); 
BgL_auxz00_5426 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2476)), BgL_arg2230z00_2942); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1184z00_2941))->BgL_z52browsersz52)=((obj_t)BgL_auxz00_5426),BUNSPEC); } } 
{ /* Llib/avahi.scm 604 */
BgL_avahizd2servicezd2browserz00_bglt BgL_tmpz00_5432;
BgL_tmpz00_5432 = 
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2476); 
bgl_avahi_service_browser_new(BgL_tmpz00_5432); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 605 */
obj_t BgL_arg2231z00_2943;
BgL_arg2231z00_2943 = 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2476)))->BgL_procz00); 
{ /* Llib/avahi.scm 605 */
char * BgL_procz00_2944;char * BgL_msgz00_2945;
BgL_procz00_2944 = 
BSTRING_TO_STRING(BGl_string2493z00zz__avahi_avahiz00); 
BgL_msgz00_2945 = 
BSTRING_TO_STRING(BGl_string2463z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_arg1294z00_2946;
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_2947;
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_new1141z00_2948;
BgL_new1141z00_2948 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 214 */
long BgL_arg1326z00_2949;
{ /* Llib/avahi.scm 214 */
long BgL_res2251z00_2950;
BgL_res2251z00_2950 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1326z00_2949 = BgL_res2251z00_2950; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_2948), BgL_arg1326z00_2949); } 
BgL_new1142z00_2947 = BgL_new1141z00_2948; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2947)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2947)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_5447;
{ /* Llib/avahi.scm 214 */
obj_t BgL_arg1300z00_2951;
{ /* Llib/avahi.scm 214 */
obj_t BgL_arg1325z00_2952;
{ /* Llib/avahi.scm 214 */
obj_t BgL_res2252z00_2953;
{ /* Llib/avahi.scm 214 */
obj_t BgL_classz00_2954;
BgL_classz00_2954 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_res2252z00_2953 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2954); } 
BgL_arg1325z00_2952 = BgL_res2252z00_2953; } 
BgL_arg1300z00_2951 = 
VECTOR_REF(BgL_arg1325z00_2952,((long)2)); } 
BgL_auxz00_5447 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1300z00_2951); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2947)))->BgL_stackz00)=((obj_t)BgL_auxz00_5447),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2947)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_2944)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2947)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_2945)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2947)))->BgL_objz00)=((obj_t)BgL_arg2231z00_2943),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1142z00_2947))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1294z00_2946 = BgL_new1142z00_2947; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1294z00_2946));} } } } 

}



/* &avahi-init-avahi-ent1264 */
obj_t BGl_z62avahizd2initzd2avahizd2ent1264zb0zz__avahi_avahiz00(obj_t BgL_envz00_2477, obj_t BgL_oz00_2478)
{
{ /* Llib/avahi.scm 450 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2478)))->BgL_procz00), 
(int)(((long)2))))
{ /* Llib/avahi.scm 452 */
{ /* Llib/avahi.scm 454 */
BgL_avahizd2clientzd2_bglt BgL_i1159z00_2956;
BgL_i1159z00_2956 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2478)))->BgL_clientz00); 
{ 
obj_t BgL_auxz00_5471;
{ /* Llib/avahi.scm 455 */
obj_t BgL_arg2225z00_2957;
BgL_arg2225z00_2957 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1159z00_2956))->BgL_z52groupsz52); 
BgL_auxz00_5471 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2478)), BgL_arg2225z00_2957); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1159z00_2956))->BgL_z52groupsz52)=((obj_t)BgL_auxz00_5471),BUNSPEC); } } 
{ /* Llib/avahi.scm 456 */
BgL_avahizd2entryzd2groupz00_bglt BgL_tmpz00_5477;
BgL_tmpz00_5477 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2478); 
bgl_avahi_entry_group_new(BgL_tmpz00_5477); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 457 */
obj_t BgL_arg2226z00_2958;
BgL_arg2226z00_2958 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2478)))->BgL_procz00); 
{ /* Llib/avahi.scm 457 */
char * BgL_procz00_2959;char * BgL_msgz00_2960;
BgL_procz00_2959 = 
BSTRING_TO_STRING(BGl_string2482z00zz__avahi_avahiz00); 
BgL_msgz00_2960 = 
BSTRING_TO_STRING(BGl_string2463z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_arg1294z00_2961;
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_2962;
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_new1141z00_2963;
BgL_new1141z00_2963 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 214 */
long BgL_arg1326z00_2964;
{ /* Llib/avahi.scm 214 */
long BgL_res2251z00_2965;
BgL_res2251z00_2965 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1326z00_2964 = BgL_res2251z00_2965; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_2963), BgL_arg1326z00_2964); } 
BgL_new1142z00_2962 = BgL_new1141z00_2963; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2962)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2962)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_5492;
{ /* Llib/avahi.scm 214 */
obj_t BgL_arg1300z00_2966;
{ /* Llib/avahi.scm 214 */
obj_t BgL_arg1325z00_2967;
{ /* Llib/avahi.scm 214 */
obj_t BgL_res2252z00_2968;
{ /* Llib/avahi.scm 214 */
obj_t BgL_classz00_2969;
BgL_classz00_2969 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_res2252z00_2968 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2969); } 
BgL_arg1325z00_2967 = BgL_res2252z00_2968; } 
BgL_arg1300z00_2966 = 
VECTOR_REF(BgL_arg1325z00_2967,((long)2)); } 
BgL_auxz00_5492 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1300z00_2966); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2962)))->BgL_stackz00)=((obj_t)BgL_auxz00_5492),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2962)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_2959)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2962)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_2960)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2962)))->BgL_objz00)=((obj_t)BgL_arg2226z00_2958),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1142z00_2962))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1294z00_2961 = BgL_new1142z00_2962; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1294z00_2961));} } } } 

}



/* &avahi-init-avahi-cli1262 */
obj_t BGl_z62avahizd2initzd2avahizd2cli1262zb0zz__avahi_avahiz00(obj_t BgL_envz00_2479, obj_t BgL_oz00_2480)
{
{ /* Llib/avahi.scm 401 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2480)))->BgL_procz00), 
(int)(((long)2))))
{ /* Llib/avahi.scm 403 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 251 */
obj_t BgL_tmp3084z00_5514;
BgL_tmp3084z00_5514 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2480)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp3084z00_5514; } 
{ /* Llib/avahi.scm 406 */
BgL_avahizd2clientzd2_bglt BgL_tmpz00_5520;
BgL_tmpz00_5520 = 
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2480); 
bgl_avahi_client_new(BgL_tmpz00_5520); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 407 */
obj_t BgL_arg2221z00_2971;
BgL_arg2221z00_2971 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2480)))->BgL_procz00); 
{ /* Llib/avahi.scm 407 */
char * BgL_procz00_2972;char * BgL_msgz00_2973;
BgL_procz00_2972 = 
BSTRING_TO_STRING(BGl_string2680z00zz__avahi_avahiz00); 
BgL_msgz00_2973 = 
BSTRING_TO_STRING(BGl_string2463z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_arg1294z00_2974;
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_2975;
{ /* Llib/avahi.scm 214 */
BgL_z62avahizd2errorzb0_bglt BgL_new1141z00_2976;
BgL_new1141z00_2976 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 214 */
long BgL_arg1326z00_2977;
{ /* Llib/avahi.scm 214 */
long BgL_res2251z00_2978;
BgL_res2251z00_2978 = 
BGL_CLASS_INDEX(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BgL_arg1326z00_2977 = BgL_res2251z00_2978; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_2976), BgL_arg1326z00_2977); } 
BgL_new1142z00_2975 = BgL_new1141z00_2976; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2975)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2975)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_5535;
{ /* Llib/avahi.scm 214 */
obj_t BgL_arg1300z00_2979;
{ /* Llib/avahi.scm 214 */
obj_t BgL_arg1325z00_2980;
{ /* Llib/avahi.scm 214 */
obj_t BgL_res2252z00_2981;
{ /* Llib/avahi.scm 214 */
obj_t BgL_classz00_2982;
BgL_classz00_2982 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_res2252z00_2981 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_2982); } 
BgL_arg1325z00_2980 = BgL_res2252z00_2981; } 
BgL_arg1300z00_2979 = 
VECTOR_REF(BgL_arg1325z00_2980,((long)2)); } 
BgL_auxz00_5535 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1300z00_2979); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1142z00_2975)))->BgL_stackz00)=((obj_t)BgL_auxz00_5535),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2975)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_2972)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2975)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_2973)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1142z00_2975)))->BgL_objz00)=((obj_t)BgL_arg2221z00_2971),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1142z00_2975))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1294z00_2974 = BgL_new1142z00_2975; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1294z00_2974));} } } } 

}



/* &avahi-init-avahi-thr1260 */
obj_t BGl_z62avahizd2initzd2avahizd2thr1260zb0zz__avahi_avahiz00(obj_t BgL_envz00_2481, obj_t BgL_oz00_2482)
{
{ /* Llib/avahi.scm 339 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 251 */
obj_t BgL_tmp3085z00_5552;
BgL_tmp3085z00_5552 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2482)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp3085z00_5552; } 
{ /* Llib/avahi.scm 341 */
BgL_avahizd2threadedzd2pollz00_bglt BgL_tmpz00_5558;
BgL_tmpz00_5558 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2482); 
bgl_avahi_threaded_poll_new(BgL_tmpz00_5558); } BUNSPEC; 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2482))))->BgL_z42ctypez42)=((int)
(int)(((long)2))),BUNSPEC); 
BGl_z52avahizd2threadzd2initz12z40zz__avahi_avahiz00(); 
return 
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2482));} 

}



/* &avahi-init-avahi-sim1258 */
obj_t BGl_z62avahizd2initzd2avahizd2sim1258zb0zz__avahi_avahiz00(obj_t BgL_envz00_2483, obj_t BgL_oz00_2484)
{
{ /* Llib/avahi.scm 294 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 251 */
obj_t BgL_tmp3086z00_5568;
BgL_tmp3086z00_5568 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2484)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp3086z00_5568; } 
{ /* Llib/avahi.scm 296 */
BgL_avahizd2simplezd2pollz00_bglt BgL_tmpz00_5574;
BgL_tmpz00_5574 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2484); 
bgl_avahi_simple_poll_new(BgL_tmpz00_5574); } BUNSPEC; 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2484))))->BgL_z42ctypez42)=((int)
(int)(((long)1))),BUNSPEC); 
return 
((obj_t)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2484));} 

}

#ifdef __cplusplus
}
#endif
