/*===========================================================================*/
/*   (Llib/block_ciphers.scm)                                                */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue 12 May 2020 08:36:09 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.3h/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -unsafe -safee -copt -fPIC -copt -IPosix Llib/block_ciphers.scm -o objs/block_ciphers.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_blockzd2cipherzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   long BgL_blockzd2siza7ez75;
   long BgL_preferredzd2keyzd2lengthz00;
   obj_t BgL_encryptz12z12;
   obj_t BgL_decryptz12z12;
   obj_t BgL_keyzd2ze3encryptzd2paramze3;
   obj_t BgL_keyzd2ze3decryptzd2paramze3;
} *BgL_blockzd2cipherzd2_bglt;

typedef struct BgL_cipherzd2statezd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
} *BgL_cipherzd2statezd2_bglt;

typedef struct BgL_ecbzd2encryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
} *BgL_ecbzd2encryptzd2_bglt;

typedef struct BgL_ecbzd2decryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
} *BgL_ecbzd2decryptzd2_bglt;

typedef struct BgL_cbczd2encryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_cbczd2encryptzd2_bglt;

typedef struct BgL_cbczd2decryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_cbczd2decryptzd2_bglt;

typedef struct BgL_pcbczd2encryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_pcbczd2encryptzd2_bglt;

typedef struct BgL_pcbczd2decryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_pcbczd2decryptzd2_bglt;

typedef struct BgL_streamzd2cipherzd2statez00_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
} *BgL_streamzd2cipherzd2statez00_bglt;

typedef struct BgL_cfbzd2encryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_chainz00;
} *BgL_cfbzd2encryptzd2_bglt;

typedef struct BgL_cfbzd2decryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_cfbzd2decryptzd2_bglt;

typedef struct BgL_ofbz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_chainz00;
} *BgL_ofbz00_bglt;

typedef struct BgL_ctrz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_noncez00;
   obj_t BgL_noncezd2strzd2;
   long BgL_blockzd2counterzd2;
   obj_t BgL_noncezd2initz12zc0;
   obj_t BgL_noncezd2updatez12zc0;
} *BgL_ctrz00_bglt;

typedef struct BgL_cipherzd2modezd2statez00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_encryptzf3zf3;
   long BgL_blockzd2siza7ez75;
   struct BgL_cipherzd2statezd2_bgl * BgL_cipherzd2statezd2;
   obj_t BgL_ivzd2actionzd2;
   obj_t BgL_ivz00;
   obj_t BgL_padzf2unpadzf2;
   obj_t BgL_loopzd2bufferzd2;
   long BgL_posz00;
} *BgL_cipherzd2modezd2statez00_bglt;


static obj_t BGl_z62lambda2494z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62decryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2PCB1327za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32399ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2PCB1331za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static long BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2modezd2statez00_bglt, obj_t, long, obj_t, obj_t, long, obj_t);
static obj_t BGl__decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32016ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__cryptozd2blockzd2ciphersz00();
BGL_EXPORTED_DECL obj_t BGl_decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cfbzd2decryptzd2_bglt BGl_createzd2CFBzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62dozd2cipherzd2IVzd2initz121306za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_registerzd2cipherz12zc0zz__cryptozd2blockzd2ciphersz00(obj_t, BgL_blockzd2cipherzd2_bglt);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__cryptozd2blockzd2ciphersz00();
BGL_EXPORTED_DECL obj_t BGl_encryptz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62encryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32232ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static long BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2modezd2statez00_bglt, obj_t, long, obj_t, obj_t, long, obj_t);
BGL_IMPORT obj_t make_string(long, unsigned char);
static BgL_blockzd2cipherzd2_bglt BGl_z62blockzd2cipherzd2descriptionz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_ctrz00_bglt BGl_createzd2CTRzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62encryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cbczd2decryptzd2_bglt BGl_createzd2CBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62zc3z04anonymousza32414ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62encryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_writezd2lastzd2decryptedz12ze70zf5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, BgL_cipherzd2modezd2statez00_bglt, long, obj_t, long);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CBC1319za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1358ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CBC1323za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_encryptzd2fastzd2stringz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62readzd2stringzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long, obj_t, long, long);
static obj_t BGl_z62lambda2301z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2302z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2306z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cfbzd2encryptzd2_bglt BGl_createzd2CFBzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62lambda2307z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2O1345z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_pcbczd2encryptzd2_bglt BGl_z62lambda2313z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static BgL_pcbczd2encryptzd2_bglt BGl_z62lambda2315z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32257ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2321z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__cryptozd2blockzd2ciphersz00();
static obj_t BGl_z62lambda2322z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2326z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2327z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2P1325z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2P1329z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_IMPORT long bgl_rgc_blit_string(obj_t, char *, long, long);
static BgL_pcbczd2decryptzd2_bglt BGl_z62lambda2333z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32364ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_pcbczd2decryptzd2_bglt BGl_z62lambda2335z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_search1369ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_CTRz00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62decryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2341z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2342z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt, obj_t, long, obj_t, long);
static BgL_pcbczd2decryptzd2_bglt BGl_createzd2PCBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62lambda2346z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2347z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62readzd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long, obj_t, long, long);
static BgL_blockzd2cipherzd2_bglt BGl_z62lambda2186z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_blockzd2cipherzd2_bglt BGl_z62lambda2188z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl__decryptz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32471ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static BgL_streamzd2cipherzd2statez00_bglt BGl_z62lambda2352z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62decryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32277ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2194z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2195z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2199z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cfbzd2encryptzd2_bglt BGl_z62lambda2360z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cfbzd2encryptzd2_bglt BGl_z62lambda2362z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2368z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2369z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl__decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
static obj_t BGl_search1402ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
BGL_IMPORT obj_t blit_string(obj_t, long, obj_t, long, long);
static BgL_cfbzd2decryptzd2_bglt BGl_z62lambda2375z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cfbzd2decryptzd2_bglt BGl_z62lambda2377z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1310zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2383z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2384z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2388z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2389z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cbczd2encryptzd2_bglt BGl_createzd2CBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62zc3z04anonymousza32297ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_ofbz00_bglt BGl_z62lambda2395z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ofbz00_bglt BGl_z62lambda2397z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl__encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1337zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt, obj_t, long, obj_t, long, long, long);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2ECB1313za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2ECB1315za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1343zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1349zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1355zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1413ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32478ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1317z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32495ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_OFBz00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
extern obj_t BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(obj_t, long, obj_t);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1321z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1333z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1339z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CFB1335za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__cryptozd2blockzd2ciphersz00();
static obj_t BGl_encryptzd2fastzd2mmapz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CFB1341za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1351z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_search1424ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__cryptozd2blockzd2ciphersz00();
static BgL_pcbczd2encryptzd2_bglt BGl_createzd2PCBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62writezd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32156ze33298ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static BgL_cipherzd2statezd2_bglt BGl_createzd2ECBzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long, bool_t);
static obj_t BGl_z62zc3z04anonymousza32016ze33297ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz121308z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1435ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62defaultzd2noncezd2updatez12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1380ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl__encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl__encryptz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_ofbz00_bglt BGl_createzd2OFBzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CTR1353za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_IMPORT obj_t bgl_close_input_port(obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2OFB1347za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
static obj_t BGl_z62registerzd2cipherz12za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1446ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62defaultzd2noncezd2initz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32317ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cipherzd2modezd2statez00_bglt BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1391ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62zc3z04anonymousza32156ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62readzd2mmapzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long, obj_t, long, long);
static obj_t BGl_z62lambda2200z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2204z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2205z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2209z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2string2keyzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2cipherzd2paddingz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2utilzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__mmapz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62lambda2210z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32190ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2214z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2215z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2219z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2220z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2randomzd2stringz00zz__cryptozd2utilzd2(long, obj_t);
static obj_t BGl_z62lambda2224z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2225z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32337ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2blockz12za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1457ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl__encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_IMPORT bool_t rgc_buffer_eof_p(obj_t);
static BgL_cipherzd2statezd2_bglt BGl_z62lambda2230z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32354ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2236z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2237z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__cryptozd2blockzd2ciphersz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00();
static obj_t BGl_z62lambda2241z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2403z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2242z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2404z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2246z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2247z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_blockzd2cipherzd2_bglt BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl__decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_ctrz00_bglt BGl_z62lambda2410z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ctrz00_bglt BGl_z62lambda2412z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static BgL_ecbzd2encryptzd2_bglt BGl_z62lambda2253z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32267ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_ecbzd2encryptzd2_bglt BGl_z62lambda2255z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2418z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2419z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_decryptz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2423z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl__decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2424z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_ecbzd2decryptzd2_bglt BGl_z62lambda2263z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ecbzd2decryptzd2_bglt BGl_z62lambda2265z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2428z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2429z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2433z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2434z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cbczd2encryptzd2_bglt BGl_z62lambda2273z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1468ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static BgL_cbczd2encryptzd2_bglt BGl_z62lambda2275z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2438z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2439z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2281z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2282z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cipherzd2modezd2statez00_bglt BGl_z62lambda2445z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cipherzd2modezd2statez00_bglt BGl_z62lambda2447z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2286z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2287z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2453z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2454z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32449ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cbczd2decryptzd2_bglt BGl_z62lambda2293z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cbczd2decryptzd2_bglt BGl_z62lambda2295z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2458z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2459z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cipherzd2statezd2_bglt BGl_z62lambda2463z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2464z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2469z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2470z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2476z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cipherzd2modezd2statez00_bglt BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2477z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl__decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2482z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32379ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2483z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_search1479ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62dozd2cipherzd2blockz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2487z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2488z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2493z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t __cnst[ 93 ] ;


extern obj_t BGl_bytezd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00;
extern obj_t BGl_za7erozd2padzd2envza7zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_encryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762encryptza7d2fas3935z00, BGl_z62encryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza700za7za7__c3936za7, opt_generic_entry, BGl__decryptz00zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_decryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762decryptza7d2fas3937z00, BGl_z62decryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
extern obj_t BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2;
DEFINE_STATIC_BGL_GENERIC( BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3938za7, BGl_z62dozd2cipherzd2blockz12z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2filezd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2fileza73939z00, opt_generic_entry, BGl__decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_encryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762encryptza7d2fas3940z00, BGl_z62encryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
extern obj_t BGl_nozd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2portzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2portza73941z00, opt_generic_entry, BGl__decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_decryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762decryptza7d2fas3942z00, BGl_z62decryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2sendcharszd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2sendc3943za7, opt_generic_entry, BGl__encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3904z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3944za7, BGl_z62dozd2cipherzd2blockz12zd2ECB1313za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3906z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3945za7, BGl_z62dozd2cipherzd2blockz12zd2ECB1315za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3907z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3946za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1317z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3909z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3947za7, BGl_z62dozd2cipherzd2blockz12zd2CBC1319za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3910z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3948za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1321z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3911z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3949za7, BGl_z62dozd2cipherzd2blockz12zd2CBC1323za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3912z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3950za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2P1325z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3913z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3951za7, BGl_z62dozd2cipherzd2blockz12zd2PCB1327za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3914z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3952za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2P1329z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3915z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3953za7, BGl_z62dozd2cipherzd2blockz12zd2PCB1331za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3916z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3954za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1333z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3917z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3955za7, BGl_z62dozd2cipherzd2blockz12zd2CFB1335za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3918z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3956za7, BGl_z62dozd2cipherzd2partialzd2bl1337zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3920z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3957za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1339z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3921z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3958za7, BGl_z62dozd2cipherzd2blockz12zd2CFB1341za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3922z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3959za7, BGl_z62dozd2cipherzd2partialzd2bl1343zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3923z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3960za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2O1345z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3924z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3961za7, BGl_z62dozd2cipherzd2blockz12zd2OFB1347za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3925z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3962za7, BGl_z62dozd2cipherzd2partialzd2bl1349zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3926z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3963za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1351z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3927z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3964za7, BGl_z62dozd2cipherzd2blockz12zd2CTR1353za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3928z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3965za7, BGl_z62dozd2cipherzd2partialzd2bl1355zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
BGL_IMPORT obj_t BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3779z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2195za7623966z00, BGl_z62lambda2195z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3780z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2194za7623967z00, BGl_z62lambda2194z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3781z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2200za7623968z00, BGl_z62lambda2200z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3782z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2199za7623969z00, BGl_z62lambda2199z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2filezd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2fileza73970z00, opt_generic_entry, BGl__encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3783z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2205za7623971z00, BGl_z62lambda2205z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3784z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2204za7623972z00, BGl_z62lambda2204z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_isozd210126zd2padzd2envzd2zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3785z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2210za7623973z00, BGl_z62lambda2210z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3786z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2209za7623974z00, BGl_z62lambda2209z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3787z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2215za7623975z00, BGl_z62lambda2215z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3788z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2214za7623976z00, BGl_z62lambda2214z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3789z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2220za7623977z00, BGl_z62lambda2220z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_za7erozd2unpadzd2envza7zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3790z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2219za7623978z00, BGl_z62lambda2219z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3791z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2225za7623979z00, BGl_z62lambda2225z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3792z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2224za7623980z00, BGl_z62lambda2224z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3793z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3981za7, BGl_z62zc3z04anonymousza32190ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3794z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2188za7623982z00, BGl_z62lambda2188z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3795z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2186za7623983z00, BGl_z62lambda2186z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3796z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2237za7623984z00, BGl_z62lambda2237z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3797z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2236za7623985z00, BGl_z62lambda2236z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3798z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2242za7623986z00, BGl_z62lambda2242z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3799z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2241za7623987z00, BGl_z62lambda2241z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3892z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3892za700za7za7_3988za7, "", 0 );
DEFINE_BGL_L_PROCEDURE(BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762readza7d2mmapza7d3989za7, BGl_z62readzd2mmapzd2atz12z70zz__cryptozd2blockzd2ciphersz00 );
DEFINE_STRING( BGl_string3894z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3894za700za7za7_3990za7, "do-cipher-IV-init!1306", 22 );
DEFINE_STRING( BGl_string3896z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3896za700za7za7_3991za7, "do-cipher-block!1308", 20 );
DEFINE_STRING( BGl_string3898z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3898za700za7za7_3992za7, "do-cipher-partial-bl1310", 24 );
DEFINE_STRING( BGl_string3899z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3899za700za7za7_3993za7, "Internal Error: Could not find method for state", 47 );
DEFINE_STATIC_BGL_GENERIC( BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3994za7, BGl_z62dozd2cipherzd2IVzd2initz12za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2portzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2portza73995z00, opt_generic_entry, BGl__encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2stringzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2strin3996za7, opt_generic_entry, BGl__decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
extern obj_t BGl_nozd2padzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_defaultzd2noncezd2updatez12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762defaultza7d2non3997z00, BGl_z62defaultzd2noncezd2updatez12z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 3 );
DEFINE_BGL_L_PROCEDURE(BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762readza7d2string3998z00, BGl_z62readzd2stringzd2atz12z70zz__cryptozd2blockzd2ciphersz00 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_registerzd2cipherz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762registerza7d2ci3999z00, BGl_z62registerzd2cipherz12za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_encryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762encryptza7d2fas4000z00, BGl_z62encryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
extern obj_t BGl_ansizd2xze2923zd2padzd2envz30zz__cryptozd2cipherzd2paddingz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_blockzd2cipherzd2descriptionzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762blockza7d2ciphe4001z00, BGl_z62blockzd2cipherzd2descriptionz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_bitzd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_BGL_L_PROCEDURE(BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762readza7d2portza7d4002za7, BGl_z62readzd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2mmapzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2mmapza74003z00, opt_generic_entry, BGl__decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762writeza7d2portza74004za7, BGl_z62writezd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_decryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762decryptza7d2fas4005z00, BGl_z62decryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3800z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2247za7624006z00, BGl_z62lambda2247z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3801z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2246za7624007z00, BGl_z62lambda2246z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3802z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo4008za7, BGl_z62zc3z04anonymousza32232ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3803z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2230za7624009z00, BGl_z62lambda2230z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3804z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo4010za7, BGl_z62zc3z04anonymousza32257ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3805z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2255za7624011z00, BGl_z62lambda2255z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3806z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2253za7624012z00, BGl_z62lambda2253z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3807z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo4013za7, BGl_z62zc3z04anonymousza32267ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3808z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2265za7624014z00, BGl_z62lambda2265z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3809z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2263za7624015z00, BGl_z62lambda2263z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3737za700za7za7_4016za7, "/builddir/build/BUILD/bigloo-4.3h/api/crypto/src/Llib/block_ciphers.scm", 71 );
DEFINE_STRING( BGl_string3738z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3738za700za7za7_4017za7, "&default-nonce-init!", 20 );
DEFINE_STRING( BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3739za700za7za7_4018za7, "bstring", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3810z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2282za7624019z00, BGl_z62lambda2282z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3811z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2281za7624020z00, BGl_z62lambda2281z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3812z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2287za7624021z00, BGl_z62lambda2287z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3900z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3900za700za7za7_4022za7, "&do-cipher-IV-init!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3813z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2286za7624023z00, BGl_z62lambda2286z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3901z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3901za700za7za7_4024za7, "Cipher-State", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3814z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo4025za7, BGl_z62zc3z04anonymousza32277ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3902z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3902za700za7za7_4026za7, "&do-cipher-block!", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3815z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2275za7624027z00, BGl_z62lambda2275z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3740z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3740za700za7za7_4028za7, "&default-nonce-update!", 22 );
DEFINE_STRING( BGl_string3903z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3903za700za7za7_4029za7, "&do-cipher-partial-block!", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3816z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2273za7624030z00, BGl_z62lambda2273z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3741z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3741za700za7za7_4031za7, "Internal Error. Unexpected IV-action", 36 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3817z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2302za7624032z00, BGl_z62lambda2302z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3742za700za7za7_4033za7, "Could not read IV", 17 );
DEFINE_STRING( BGl_string3905z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3905za700za7za7_4034za7, "do-cipher-block!", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3818z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2301za7624035z00, BGl_z62lambda2301z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3743z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3743za700za7za7_4036za7, "Message size must be a multiple of block-size", 45 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3819z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2307za7624037z00, BGl_z62lambda2307z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3744z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3744za700za7za7_4038za7, "Unknown cipher mode", 19 );
DEFINE_STRING( BGl_string3745z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3745za700za7za7_4039za7, "Invalid padding mode", 20 );
DEFINE_STRING( BGl_string3908z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3908za700za7za7_4040za7, "do-cipher-IV-init!", 18 );
DEFINE_STRING( BGl_string3746z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3746za700za7za7_4041za7, "IV vector is too small", 22 );
DEFINE_STRING( BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3747za700za7za7_4042za7, "Illegal keyword argument", 24 );
DEFINE_STRING( BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3748za700za7za7_4043za7, "_encrypt", 8 );
DEFINE_STRING( BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3749za700za7za7_4044za7, "bint", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2sendcharszd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2sendc4045za7, opt_generic_entry, BGl__decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3820z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2306za7624046z00, BGl_z62lambda2306z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3821z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo4047za7, BGl_z62zc3z04anonymousza32297ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3822z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2295za7624048z00, BGl_z62lambda2295z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3823z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2293za7624049z00, BGl_z62lambda2293z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3824z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2322za7624050z00, BGl_z62lambda2322z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3825z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2321za7624051z00, BGl_z62lambda2321z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3750za700za7za7_4052za7, "symbol", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3826z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2327za7624053z00, BGl_z62lambda2327z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3751z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3751za700za7za7_4054za7, "procedure", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3827z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2326za7624055z00, BGl_z62lambda2326z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3752za700za7za7_4056za7, "wrong number of arguments: [3..9] expected, provided", 52 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3828z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo4057za7, BGl_z62zc3z04anonymousza32317ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3753z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3753za700za7za7_4058za7, "_encrypt-string", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3829z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2315za7624059z00, BGl_z62lambda2315z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3754za700za7za7_4060za7, "&encrypt-fast-string", 20 );
DEFINE_STRING( BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3755za700za7za7_4061za7, "_encrypt-mmap", 13 );
DEFINE_STRING( BGl_string3756z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3756za700za7za7_4062za7, "mmap", 4 );
DEFINE_STRING( BGl_string3919z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3919za700za7za7_4063za7, "do-cipher-partial-block!", 24 );
DEFINE_STRING( BGl_string3757z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3757za700za7za7_4064za7, "&encrypt-fast-mmap", 18 );
DEFINE_STRING( BGl_string3758z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3758za700za7za7_4065za7, "_encrypt-port", 13 );
DEFINE_STRING( BGl_string3759z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3759za700za7za7_4066za7, "input-port", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_defaultzd2noncezd2initz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762defaultza7d2non4067z00, BGl_z62defaultzd2noncezd2initz12z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3830z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2313za7624068z00, BGl_z62lambda2313z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3831z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2342za7624069z00, BGl_z62lambda2342z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3832z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2341za7624070z00, BGl_z62lambda2341z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3833z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2347za7624071z00, BGl_z62lambda2347z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3834z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2346za7624072z00, BGl_z62lambda2346z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3835z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo4073za7, BGl_z62zc3z04anonymousza32337ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3760z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3760za700za7za7_4074za7, "&encrypt-fast-port", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3836z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2335za7624075z00, BGl_z62lambda2335z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3761z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3761za700za7za7_4076za7, "_encrypt-file", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3837z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2333za7624077z00, BGl_z62lambda2333z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3762z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3762za700za7za7_4078za7, "Could not open file", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3838z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo4079za7, BGl_z62zc3z04anonymousza32354ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3763z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3763za700za7za7_4080za7, "_encrypt-sendchars", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3839z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2352za7624081z00, BGl_z62lambda2352z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3764z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3764za700za7za7_4082za7, "output-port", 11 );
DEFINE_STRING( BGl_string3765z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3765za700za7za7_4083za7, "wrong number of arguments: [4..10] expected, provided", 53 );
DEFINE_STRING( BGl_string3766z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3766za700za7za7_4084za7, "_decrypt", 8 );
DEFINE_STRING( BGl_string3929z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3929za700za7za7_4085za7, "__crypto-block-ciphers", 22 );
DEFINE_STRING( BGl_string3767z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3767za700za7za7_4086za7, "_decrypt-string", 15 );
DEFINE_STRING( BGl_string3768z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3768za700za7za7_4087za7, "&decrypt-fast-string", 20 );
DEFINE_STRING( BGl_string3769z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3769za700za7za7_4088za7, "_decrypt-mmap", 13 );
extern obj_t BGl_bitzd2padzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3840z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2369za7624089z00, BGl_z62lambda2369z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3841z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2368za7624090z00, BGl_z62lambda2368z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3842z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo4091za7, BGl_z62zc3z04anonymousza32364ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3930z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3930za700za7za7_4092za7, "cipher-IV-init en/decrypt-block en/decrypt-partial-block unspecified _ Cipher-Mode-State pos loop-buffer pad/unpad symbol IV-action cipher-state bool encrypt? CTR nonce-update! nonce-init! block-counter nonce-str nonce OFB CFB-Decrypt CFB-Encrypt Stream-Cipher-State PCBC-Decrypt PCBC-Encrypt CBC-Decrypt CBC-Encrypt chain buffer ECB-Decrypt ECB-Encrypt Cipher-State obj param cipher __crypto-block-ciphers Block-Cipher key->decrypt-param key->encrypt-param decrypt! procedure encrypt! preferred-key-length long block-size bstring name block-cipher-description decrypt-sendchars decrypt-file decrypt-file::bstring decrypt-port::bstring decrypt-mmap::bstring decrypt-string::bstring decrypt::bstring encrypt-sendchars encrypt-file encrypt-file::bstring encrypt-port::bstring encrypt-mmap::bstring encrypt-string::bstring :string->key :pad :nonce-update! :nonce-init! :mode :IV encrypt::bstring (:IV :mode :nonce-init! :nonce-update! :pad :string->key) encryption zero pkcs7 iso-10126 ansi-x.923 bit none encrypt ctr ofb pcbc "
"cbc cfb ecb decrypt decrypt-input! IV read encrypt-input! do-nothing done write init ", 1109 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3843z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2362za7624093z00, BGl_z62lambda2362z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3844z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2360za7624094z00, BGl_z62lambda2360z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3845z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2384za7624095z00, BGl_z62lambda2384z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3770z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3770za700za7za7_4096za7, "&decrypt-fast-mmap", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3846z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2383za7624097z00, BGl_z62lambda2383z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3771z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3771za700za7za7_4098za7, "_decrypt-port", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3847z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2389za7624099z00, BGl_z62lambda2389z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3772z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3772za700za7za7_4100za7, "&decrypt-fast-port", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3848z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2388za7624101z00, BGl_z62lambda2388z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3773z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3773za700za7za7_4102za7, "_decrypt-file", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3849z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo4103za7, BGl_z62zc3z04anonymousza32379ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3774z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3774za700za7za7_4104za7, "_decrypt-sendchars", 18 );
DEFINE_STRING( BGl_string3775z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3775za700za7za7_4105za7, "&register-cipher!", 17 );
DEFINE_STRING( BGl_string3776z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3776za700za7za7_4106za7, "Block-Cipher", 12 );
DEFINE_STRING( BGl_string3777z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3777za700za7za7_4107za7, "Could not find cipher", 21 );
DEFINE_STRING( BGl_string3778z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3778za700za7za7_4108za7, "&block-cipher-description", 25 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2mmapzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2mmapza74109z00, opt_generic_entry, BGl__encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3850z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2377za7624110z00, BGl_z62lambda2377z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_GENERIC( BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4111za7, BGl_z62dozd2cipherzd2partialzd2blockz12za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3851z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2375za7624112z00, BGl_z62lambda2375z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3852z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2404za7624113z00, BGl_z62lambda2404z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3853z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2403za7624114z00, BGl_z62lambda2403z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3854z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo4115za7, BGl_z62zc3z04anonymousza32399ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3855z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2397za7624116z00, BGl_z62lambda2397z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3856z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2395za7624117z00, BGl_z62lambda2395z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3857z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2419za7624118z00, BGl_z62lambda2419z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3858z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2418za7624119z00, BGl_z62lambda2418z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3859z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2424za7624120z00, BGl_z62lambda2424z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3860z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2423za7624121z00, BGl_z62lambda2423z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3861z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2429za7624122z00, BGl_z62lambda2429z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3862z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2428za7624123z00, BGl_z62lambda2428z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3863z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2434za7624124z00, BGl_z62lambda2434z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3864z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2433za7624125z00, BGl_z62lambda2433z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3865z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2439za7624126z00, BGl_z62lambda2439z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3866z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2438za7624127z00, BGl_z62lambda2438z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3867z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo4128za7, BGl_z62zc3z04anonymousza32414ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3868z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2412za7624129z00, BGl_z62lambda2412z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3869z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2410za7624130z00, BGl_z62lambda2410z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3870z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2454za7624131z00, BGl_z62lambda2454z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3871z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2453za7624132z00, BGl_z62lambda2453z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3872z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2459za7624133z00, BGl_z62lambda2459z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3873z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2458za7624134z00, BGl_z62lambda2458z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3874z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2464za7624135z00, BGl_z62lambda2464z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3875z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2463za7624136z00, BGl_z62lambda2463z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3876z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo4137za7, BGl_z62zc3z04anonymousza32471ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3877z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2470za7624138z00, BGl_z62lambda2470z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3878z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2469za7624139z00, BGl_z62lambda2469z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3879z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo4140za7, BGl_z62zc3z04anonymousza32478ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
extern obj_t BGl_pkcs7zd2padzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3880z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2477za7624141z00, BGl_z62lambda2477z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3881z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2476za7624142z00, BGl_z62lambda2476z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3882z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2483za7624143z00, BGl_z62lambda2483z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3883z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2482za7624144z00, BGl_z62lambda2482z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3884z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2488za7624145z00, BGl_z62lambda2488z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3885z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2487za7624146z00, BGl_z62lambda2487z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3886z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo4147za7, BGl_z62zc3z04anonymousza32495ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3887z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2494za7624148z00, BGl_z62lambda2494z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3888z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2493za7624149z00, BGl_z62lambda2493z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3889z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo4150za7, BGl_z62zc3z04anonymousza32449ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3890z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2447za7624151z00, BGl_z62lambda2447z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3891z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2445za7624152z00, BGl_z62lambda2445z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3893z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4153za7, BGl_z62dozd2cipherzd2IVzd2initz121306za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3895z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4154za7, BGl_z62dozd2cipherzd2blockz121308z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3897z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d4155za7, BGl_z62dozd2cipherzd2partialzd2bl1310zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2stringzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2strin4156za7, opt_generic_entry, BGl__encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza700za7za7__c4157za7, opt_generic_entry, BGl__encryptz00zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CTRz00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_OFBz00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00(long BgL_checksumz00_6707, char * BgL_fromz00_6708)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00))
{ 
BGl_requirezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__cryptozd2blockzd2ciphersz00(); 
BGl_libraryzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00(); 
BGl_cnstzd2initzd2zz__cryptozd2blockzd2ciphersz00(); 
BGl_importedzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00(); 
BGl_objectzd2initzd2zz__cryptozd2blockzd2ciphersz00(); 
BGl_genericzd2initzd2zz__cryptozd2blockzd2ciphersz00(); 
BGl_methodzd2initzd2zz__cryptozd2blockzd2ciphersz00(); 
return 
BGl_toplevelzd2initzd2zz__cryptozd2blockzd2ciphersz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00()
{
{ /* Llib/block_ciphers.scm 1 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__mmapz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__crypto-block-ciphers"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__cryptozd2blockzd2ciphersz00()
{
{ /* Llib/block_ciphers.scm 1 */
{ /* Llib/block_ciphers.scm 1 */
obj_t BgL_cportz00_6129;
{ /* Llib/block_ciphers.scm 1 */
obj_t BgL_stringz00_6137;
BgL_stringz00_6137 = BGl_string3930z00zz__cryptozd2blockzd2ciphersz00; 
{ /* Llib/block_ciphers.scm 1 */
obj_t BgL_startz00_6138;
BgL_startz00_6138 = 
BINT(((long)0)); 
{ /* Llib/block_ciphers.scm 1 */
obj_t BgL_endz00_6139;
BgL_endz00_6139 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_6137))); 
{ /* Llib/block_ciphers.scm 1 */

BgL_cportz00_6129 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_6137, BgL_startz00_6138, BgL_endz00_6139); } } } } 
{ 
long BgL_iz00_6130;
BgL_iz00_6130 = ((long)92); 
BgL_loopz00_6131:
if(
(BgL_iz00_6130==((long)-1)))
{ /* Llib/block_ciphers.scm 1 */
return BUNSPEC;}  else 
{ /* Llib/block_ciphers.scm 1 */
{ /* Llib/block_ciphers.scm 1 */
obj_t BgL_arg3932z00_6133;
{ /* Llib/block_ciphers.scm 1 */

{ /* Llib/block_ciphers.scm 1 */
obj_t BgL_locationz00_6135;
BgL_locationz00_6135 = 
BBOOL(((bool_t)0)); 
{ /* Llib/block_ciphers.scm 1 */

BgL_arg3932z00_6133 = 
BGl_readz00zz__readerz00(BgL_cportz00_6129, BgL_locationz00_6135); } } } 
{ /* Llib/block_ciphers.scm 1 */
int BgL_tmpz00_6745;
BgL_tmpz00_6745 = 
(int)(BgL_iz00_6130); 
CNST_TABLE_SET(BgL_tmpz00_6745, BgL_arg3932z00_6133); } } 
{ /* Llib/block_ciphers.scm 1 */
int BgL_auxz00_6136;
BgL_auxz00_6136 = 
(int)(
(BgL_iz00_6130-((long)1))); 
{ 
long BgL_iz00_6750;
BgL_iz00_6750 = 
(long)(BgL_auxz00_6136); 
BgL_iz00_6130 = BgL_iz00_6750; 
goto BgL_loopz00_6131;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__cryptozd2blockzd2ciphersz00()
{
{ /* Llib/block_ciphers.scm 1 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__cryptozd2blockzd2ciphersz00()
{
{ /* Llib/block_ciphers.scm 1 */
return ( 
BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00 = BNIL, BUNSPEC) ;} 

}



/* &read-string-at! */
obj_t BGl_z62readzd2stringzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4928, obj_t BgL_strz00_4929, long BgL_strzd2poszd2_4930, obj_t BgL_tozd2strzd2_4931, long BgL_tozd2poszd2_4932, long BgL_lenz00_4933)
{
{ /* Llib/block_ciphers.scm 142 */
{ /* Llib/block_ciphers.scm 143 */
long BgL_tmpz00_6753;
{ /* Llib/block_ciphers.scm 143 */
long BgL_strzd2lenzd2_6149;
BgL_strzd2lenzd2_6149 = 
STRING_LENGTH(
((obj_t)BgL_strz00_4929)); 
{ /* Llib/block_ciphers.scm 143 */

if(
(
(BgL_strzd2poszd2_4930+BgL_lenz00_4933)<=BgL_strzd2lenzd2_6149))
{ /* Llib/block_ciphers.scm 144 */
blit_string(
((obj_t)BgL_strz00_4929), BgL_strzd2poszd2_4930, BgL_tozd2strzd2_4931, BgL_tozd2poszd2_4932, BgL_lenz00_4933); 
BgL_tmpz00_6753 = BgL_lenz00_4933; }  else 
{ /* Llib/block_ciphers.scm 148 */
long BgL_remainingzd2lenzd2_6153;
BgL_remainingzd2lenzd2_6153 = 
(BgL_strzd2lenzd2_6149-BgL_strzd2poszd2_4930); 
blit_string(
((obj_t)BgL_strz00_4929), BgL_strzd2poszd2_4930, BgL_tozd2strzd2_4931, BgL_tozd2poszd2_4932, BgL_remainingzd2lenzd2_6153); 
BgL_tmpz00_6753 = BgL_remainingzd2lenzd2_6153; } } } 
return 
BINT(BgL_tmpz00_6753);} } 

}



/* &read-mmap-at! */
obj_t BGl_z62readzd2mmapzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4934, obj_t BgL_mmapz00_4935, long BgL_mmapzd2poszd2_4936, obj_t BgL_tozd2strzd2_4937, long BgL_tozd2poszd2_4938, long BgL_lenz00_4939)
{
{ /* Llib/block_ciphers.scm 151 */
{ /* Llib/block_ciphers.scm 152 */
long BgL_tmpz00_6765;
{ 
long BgL_lenz00_6155;
BgL_lenz00_6155 = BgL_lenz00_4939; 
BgL_readzd2mmapzd2atz12z12_6154:
{ /* Llib/block_ciphers.scm 152 */
long BgL_mmapzd2lenzd2_6156;
{ /* Llib/block_ciphers.scm 152 */
long BgL_res2668z00_6157;
{ /* Llib/block_ciphers.scm 152 */
obj_t BgL_tmpz00_6766;
BgL_tmpz00_6766 = 
((obj_t)BgL_mmapz00_4935); 
BgL_res2668z00_6157 = 
BGL_MMAP_LENGTH(BgL_tmpz00_6766); } 
BgL_mmapzd2lenzd2_6156 = BgL_res2668z00_6157; } 
if(
(BgL_lenz00_6155==((long)0)))
{ /* Llib/block_ciphers.scm 154 */
BgL_tmpz00_6765 = ((long)0)
; }  else 
{ /* Llib/block_ciphers.scm 155 */
bool_t BgL_test4162z00_6771;
{ /* Llib/block_ciphers.scm 155 */
long BgL_n2z00_6158;
BgL_n2z00_6158 = 
(long)(BgL_mmapzd2lenzd2_6156); 
BgL_test4162z00_6771 = 
(
(BgL_mmapzd2poszd2_4936+BgL_lenz00_6155)>BgL_n2z00_6158); } 
if(BgL_test4162z00_6771)
{ /* Llib/block_ciphers.scm 156 */
long BgL_arg1575z00_6159;
{ /* Llib/block_ciphers.scm 156 */
long BgL_za71za7_6160;
BgL_za71za7_6160 = 
(long)(BgL_mmapzd2lenzd2_6156); 
BgL_arg1575z00_6159 = 
(BgL_za71za7_6160-BgL_mmapzd2poszd2_4936); } 
{ 
long BgL_lenz00_6777;
BgL_lenz00_6777 = BgL_arg1575z00_6159; 
BgL_lenz00_6155 = BgL_lenz00_6777; 
goto BgL_readzd2mmapzd2atz12z12_6154;} }  else 
{ 
long BgL_iz00_6162;
BgL_iz00_6162 = ((long)0); 
BgL_loopz00_6161:
if(
(BgL_iz00_6162==BgL_lenz00_6155))
{ /* Llib/block_ciphers.scm 159 */
BgL_tmpz00_6765 = BgL_lenz00_6155
; }  else 
{ /* Llib/block_ciphers.scm 159 */
{ /* Llib/block_ciphers.scm 162 */
long BgL_arg1587z00_6163;unsigned char BgL_arg1588z00_6164;
BgL_arg1587z00_6163 = 
(BgL_tozd2poszd2_4938+BgL_iz00_6162); 
{ /* Llib/block_ciphers.scm 163 */
long BgL_arg1589z00_6165;
BgL_arg1589z00_6165 = 
(BgL_mmapzd2poszd2_4936+BgL_iz00_6162); 
{ /* Llib/block_ciphers.scm 163 */
unsigned char BgL_res2678z00_6166;
{ /* Llib/block_ciphers.scm 163 */
long BgL_iz00_6167;
BgL_iz00_6167 = 
(long)(BgL_arg1589z00_6165); 
{ /* Llib/block_ciphers.scm 163 */
unsigned char BgL_cz00_6168;
{ /* Llib/block_ciphers.scm 163 */
obj_t BgL_tmpz00_6783;
BgL_tmpz00_6783 = 
((obj_t)BgL_mmapz00_4935); 
BgL_cz00_6168 = 
BGL_MMAP_REF(BgL_tmpz00_6783, BgL_iz00_6167); } 
{ /* Llib/block_ciphers.scm 163 */
long BgL_arg1638z00_6169;
BgL_arg1638z00_6169 = 
(BgL_iz00_6167+((long)1)); 
{ /* Llib/block_ciphers.scm 163 */
long BgL_res2677z00_6170;
{ /* Llib/block_ciphers.scm 163 */
obj_t BgL_tmpz00_6787;
BgL_tmpz00_6787 = 
((obj_t)BgL_mmapz00_4935); 
BGL_MMAP_RP_SET(BgL_tmpz00_6787, BgL_arg1638z00_6169); } BUNSPEC; 
BgL_res2677z00_6170 = BgL_arg1638z00_6169; BgL_res2677z00_6170; } } 
BgL_res2678z00_6166 = BgL_cz00_6168; } } 
BgL_arg1588z00_6164 = BgL_res2678z00_6166; } } 
STRING_SET(BgL_tozd2strzd2_4937, BgL_arg1587z00_6163, BgL_arg1588z00_6164); } 
{ 
long BgL_iz00_6791;
BgL_iz00_6791 = 
(BgL_iz00_6162+((long)1)); 
BgL_iz00_6162 = BgL_iz00_6791; 
goto BgL_loopz00_6161;} } } } } } 
return 
BINT(BgL_tmpz00_6765);} } 

}



/* &read-port-at! */
obj_t BGl_z62readzd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4940, obj_t BgL_pz00_4941, long BgL_pzd2poszd2_4942, obj_t BgL_tozd2strzd2_4943, long BgL_tozd2poszd2_4944, long BgL_lenz00_4945)
{
{ /* Llib/block_ciphers.scm 165 */
{ /* Llib/block_ciphers.scm 166 */
obj_t BgL_nz00_6175;
{ /* Llib/block_ciphers.scm 166 */
long BgL_nz00_6176;
BgL_nz00_6176 = 
bgl_rgc_blit_string(BgL_pz00_4941, 
BSTRING_TO_STRING(BgL_tozd2strzd2_4943), BgL_tozd2poszd2_4944, BgL_lenz00_4945); 
{ /* Llib/block_ciphers.scm 166 */
bool_t BgL_test4164z00_6796;
if(
(BgL_nz00_6176==((long)0)))
{ /* Llib/block_ciphers.scm 166 */
BgL_test4164z00_6796 = 
rgc_buffer_eof_p(BgL_pz00_4941)
; }  else 
{ /* Llib/block_ciphers.scm 166 */
BgL_test4164z00_6796 = ((bool_t)0)
; } 
if(BgL_test4164z00_6796)
{ /* Llib/block_ciphers.scm 166 */
BgL_nz00_6175 = BEOF; }  else 
{ /* Llib/block_ciphers.scm 166 */
BgL_nz00_6175 = 
BINT(BgL_nz00_6176); } } } 
{ /* Llib/block_ciphers.scm 167 */
bool_t BgL_test4166z00_6801;
{ /* Llib/block_ciphers.scm 167 */
bool_t BgL_res2681z00_6177;
BgL_res2681z00_6177 = 
EOF_OBJECTP(BgL_nz00_6175); 
BgL_test4166z00_6801 = BgL_res2681z00_6177; } 
if(BgL_test4166z00_6801)
{ /* Llib/block_ciphers.scm 167 */
return 
BINT(((long)0));}  else 
{ /* Llib/block_ciphers.scm 167 */
return BgL_nz00_6175;} } } } 

}



/* &write-port-at! */
obj_t BGl_z62writezd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4946, obj_t BgL_fromz00_4947, obj_t BgL_fromzd2poszd2_4948, obj_t BgL_pz00_4949, obj_t BgL_pzd2poszd2_4950, obj_t BgL_lenz00_4951)
{
{ /* Llib/block_ciphers.scm 171 */
{ /* Llib/block_ciphers.scm 173 */
bool_t BgL_tmpz00_6804;
{ /* Llib/block_ciphers.scm 173 */
long BgL_fromzd2poszd2_6178;
BgL_fromzd2poszd2_6178 = 
(long)CINT(BgL_fromzd2poszd2_4948); 
{ 
long BgL_iz00_6181;
BgL_iz00_6181 = ((long)0); 
BgL_loopz00_6180:
if(
(BgL_iz00_6181==
(long)CINT(BgL_lenz00_4951)))
{ /* Llib/block_ciphers.scm 173 */
BgL_tmpz00_6804 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 173 */
{ /* Llib/block_ciphers.scm 174 */
unsigned char BgL_arg1617z00_6182;
BgL_arg1617z00_6182 = 
STRING_REF(
((obj_t)BgL_fromz00_4947), 
(BgL_fromzd2poszd2_6178+BgL_iz00_6181)); 
{ /* Llib/block_ciphers.scm 174 */
obj_t BgL_tmpz00_6812;
BgL_tmpz00_6812 = 
((obj_t)BgL_pz00_4949); 
bgl_display_char(BgL_arg1617z00_6182, BgL_tmpz00_6812); } } 
{ 
long BgL_iz00_6815;
BgL_iz00_6815 = 
(BgL_iz00_6181+((long)1)); 
BgL_iz00_6181 = BgL_iz00_6815; 
goto BgL_loopz00_6180;} } } } 
return 
BBOOL(BgL_tmpz00_6804);} } 

}



/* &default-nonce-init! */
obj_t BGl_z62defaultzd2noncezd2initz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4952, obj_t BgL_strz00_4953, obj_t BgL_noncez00_4954)
{
{ /* Llib/block_ciphers.scm 189 */
{ /* Llib/block_ciphers.scm 190 */
obj_t BgL_strz00_6183;
if(
STRINGP(BgL_strz00_4953))
{ /* Llib/block_ciphers.scm 190 */
BgL_strz00_6183 = BgL_strz00_4953; }  else 
{ 
obj_t BgL_auxz00_6820;
BgL_auxz00_6820 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)6773)), BGl_string3738z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_strz00_4953); 
FAILURE(BgL_auxz00_6820,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 190 */
long BgL_arg1649z00_6184;
{ /* Llib/block_ciphers.scm 190 */
long BgL_az00_6185;long BgL_bz00_6186;
BgL_az00_6185 = 
STRING_LENGTH(BgL_strz00_6183); 
BgL_bz00_6186 = 
STRING_LENGTH(
((obj_t)BgL_noncez00_4954)); 
if(
(BgL_az00_6185<BgL_bz00_6186))
{ /* Llib/block_ciphers.scm 191 */
BgL_arg1649z00_6184 = BgL_az00_6185; }  else 
{ /* Llib/block_ciphers.scm 191 */
BgL_arg1649z00_6184 = BgL_bz00_6186; } } 
return 
blit_string(
((obj_t)BgL_noncez00_4954), ((long)0), BgL_strz00_6183, ((long)0), BgL_arg1649z00_6184);} } } 

}



/* &default-nonce-update! */
obj_t BGl_z62defaultzd2noncezd2updatez12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4955, obj_t BgL_strz00_4956, obj_t BgL_noncez00_4957, obj_t BgL_iz00_4958)
{
{ /* Llib/block_ciphers.scm 192 */
{ /* Llib/block_ciphers.scm 193 */
obj_t BgL_strz00_6187;
if(
STRINGP(BgL_strz00_4956))
{ /* Llib/block_ciphers.scm 193 */
BgL_strz00_6187 = BgL_strz00_4956; }  else 
{ 
obj_t BgL_auxz00_6833;
BgL_auxz00_6833 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)6889)), BGl_string3740z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_strz00_4956); 
FAILURE(BgL_auxz00_6833,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 193 */
long BgL_g1158z00_6188;
BgL_g1158z00_6188 = 
(
STRING_LENGTH(BgL_strz00_6187)-((long)1)); 
{ 
long BgL_iz00_6190;
BgL_iz00_6190 = BgL_g1158z00_6188; 
BgL_loopz00_6189:
if(
(BgL_iz00_6190>=((long)0)))
{ /* Llib/block_ciphers.scm 195 */
long BgL_cz00_6191;
BgL_cz00_6191 = 
(
STRING_REF(BgL_strz00_6187, BgL_iz00_6190)); 
if(
(BgL_cz00_6191==((long)255)))
{ /* Llib/block_ciphers.scm 196 */
STRING_SET(BgL_strz00_6187, BgL_iz00_6190, ((unsigned char)'\000')); 
{ 
long BgL_iz00_6846;
BgL_iz00_6846 = 
(BgL_iz00_6190-((long)1)); 
BgL_iz00_6190 = BgL_iz00_6846; 
goto BgL_loopz00_6189;} }  else 
{ /* Llib/block_ciphers.scm 200 */
unsigned char BgL_tmpz00_6848;
BgL_tmpz00_6848 = 
(
(BgL_cz00_6191+((long)1))); 
return 
STRING_SET(BgL_strz00_6187, BgL_iz00_6190, BgL_tmpz00_6848);} }  else 
{ /* Llib/block_ciphers.scm 194 */
return BFALSE;} } } } } 

}



/* create-ECB-state */
BgL_cipherzd2statezd2_bglt BGl_createzd2ECBzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_enzf2decryptzf2_50, obj_t BgL_paramz00_51, long BgL_blockzd2siza7ez75_52, bool_t BgL_encryptzf3zf3_53)
{
{ /* Llib/block_ciphers.scm 223 */
if(BgL_encryptzf3zf3_53)
{ /* Llib/block_ciphers.scm 225 */
BgL_ecbzd2encryptzd2_bglt BgL_new1160z00_496;
{ /* Llib/block_ciphers.scm 228 */
BgL_ecbzd2encryptzd2_bglt BgL_new1159z00_497;
BgL_new1159z00_497 = 
((BgL_ecbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 228 */
long BgL_arg1666z00_498;
{ /* Llib/block_ciphers.scm 228 */
long BgL_res2698z00_2716;
BgL_res2698z00_2716 = 
BGL_CLASS_INDEX(BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1666z00_498 = BgL_res2698z00_2716; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1159z00_497), BgL_arg1666z00_498); } 
{ /* Llib/block_ciphers.scm 228 */
BgL_objectz00_bglt BgL_tmpz00_6857;
BgL_tmpz00_6857 = 
((BgL_objectz00_bglt)BgL_new1159z00_497); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6857, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1159z00_497); 
BgL_new1160z00_496 = BgL_new1159z00_497; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1160z00_496)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_52),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1160z00_496)))->BgL_cipherz00)=((obj_t)BgL_enzf2decryptzf2_50),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1160z00_496)))->BgL_paramz00)=((obj_t)BgL_paramz00_51),BUNSPEC); 
return 
((BgL_cipherzd2statezd2_bglt)BgL_new1160z00_496);}  else 
{ /* Llib/block_ciphers.scm 229 */
BgL_ecbzd2decryptzd2_bglt BgL_new1162z00_499;
{ /* Llib/block_ciphers.scm 232 */
BgL_ecbzd2decryptzd2_bglt BgL_new1161z00_500;
BgL_new1161z00_500 = 
((BgL_ecbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 232 */
long BgL_arg1667z00_501;
{ /* Llib/block_ciphers.scm 232 */
long BgL_res2699z00_2721;
BgL_res2699z00_2721 = 
BGL_CLASS_INDEX(BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1667z00_501 = BgL_res2699z00_2721; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1161z00_500), BgL_arg1667z00_501); } 
{ /* Llib/block_ciphers.scm 232 */
BgL_objectz00_bglt BgL_tmpz00_6872;
BgL_tmpz00_6872 = 
((BgL_objectz00_bglt)BgL_new1161z00_500); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6872, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1161z00_500); 
BgL_new1162z00_499 = BgL_new1161z00_500; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1162z00_499)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_52),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1162z00_499)))->BgL_cipherz00)=((obj_t)BgL_enzf2decryptzf2_50),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1162z00_499)))->BgL_paramz00)=((obj_t)BgL_paramz00_51),BUNSPEC); 
return 
((BgL_cipherzd2statezd2_bglt)BgL_new1162z00_499);} } 

}



/* create-CBC-encryption-state */
BgL_cbczd2encryptzd2_bglt BGl_createzd2CBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_64, obj_t BgL_paramz00_65, long BgL_blockzd2siza7ez75_66)
{
{ /* Llib/block_ciphers.scm 242 */
{ /* Llib/block_ciphers.scm 243 */
BgL_cbczd2encryptzd2_bglt BgL_new1166z00_502;
{ /* Llib/block_ciphers.scm 246 */
BgL_cbczd2encryptzd2_bglt BgL_new1165z00_507;
BgL_new1165z00_507 = 
((BgL_cbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 246 */
long BgL_arg1669z00_508;
{ /* Llib/block_ciphers.scm 246 */
long BgL_res2700z00_2726;
BgL_res2700z00_2726 = 
BGL_CLASS_INDEX(BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1669z00_508 = BgL_res2700z00_2726; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1165z00_507), BgL_arg1669z00_508); } 
{ /* Llib/block_ciphers.scm 246 */
BgL_objectz00_bglt BgL_tmpz00_6887;
BgL_tmpz00_6887 = 
((BgL_objectz00_bglt)BgL_new1165z00_507); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6887, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1165z00_507); 
BgL_new1166z00_502 = BgL_new1165z00_507; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1166z00_502)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_66),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1166z00_502)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_64),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1166z00_502)))->BgL_paramz00)=((obj_t)BgL_paramz00_65),BUNSPEC); 
{ 
obj_t BgL_auxz00_6897;
{ /* Llib/block_ciphers.scm 247 */

{ /* Llib/block_ciphers.scm 247 */
obj_t BgL_res2701z00_2731;
BgL_res2701z00_2731 = 
make_string(BgL_blockzd2siza7ez75_66, ((unsigned char)' ')); 
BgL_auxz00_6897 = BgL_res2701z00_2731; } } 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(BgL_new1166z00_502))->BgL_bufferz00)=((obj_t)BgL_auxz00_6897),BUNSPEC); } 
{ 
obj_t BgL_auxz00_6900;
{ /* Llib/block_ciphers.scm 248 */

{ /* Llib/block_ciphers.scm 248 */
obj_t BgL_res2702z00_2733;
BgL_res2702z00_2733 = 
make_string(BgL_blockzd2siza7ez75_66, ((unsigned char)' ')); 
BgL_auxz00_6900 = BgL_res2702z00_2733; } } 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(BgL_new1166z00_502))->BgL_chainz00)=((obj_t)BgL_auxz00_6900),BUNSPEC); } 
return BgL_new1166z00_502;} } 

}



/* create-CBC-decryption-state */
BgL_cbczd2decryptzd2_bglt BGl_createzd2CBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_decryptz00_74, obj_t BgL_paramz00_75, long BgL_blockzd2siza7ez75_76)
{
{ /* Llib/block_ciphers.scm 259 */
{ /* Llib/block_ciphers.scm 260 */
BgL_cbczd2decryptzd2_bglt BgL_new1170z00_509;
{ /* Llib/block_ciphers.scm 263 */
BgL_cbczd2decryptzd2_bglt BgL_new1169z00_514;
BgL_new1169z00_514 = 
((BgL_cbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 263 */
long BgL_arg1670z00_515;
{ /* Llib/block_ciphers.scm 263 */
long BgL_res2703z00_2735;
BgL_res2703z00_2735 = 
BGL_CLASS_INDEX(BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1670z00_515 = BgL_res2703z00_2735; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1169z00_514), BgL_arg1670z00_515); } 
{ /* Llib/block_ciphers.scm 263 */
BgL_objectz00_bglt BgL_tmpz00_6907;
BgL_tmpz00_6907 = 
((BgL_objectz00_bglt)BgL_new1169z00_514); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6907, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1169z00_514); 
BgL_new1170z00_509 = BgL_new1169z00_514; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1170z00_509)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_76),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1170z00_509)))->BgL_cipherz00)=((obj_t)BgL_decryptz00_74),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1170z00_509)))->BgL_paramz00)=((obj_t)BgL_paramz00_75),BUNSPEC); 
{ 
obj_t BgL_auxz00_6917;
{ /* Llib/block_ciphers.scm 264 */

{ /* Llib/block_ciphers.scm 264 */
obj_t BgL_res2704z00_2740;
BgL_res2704z00_2740 = 
make_string(BgL_blockzd2siza7ez75_76, ((unsigned char)' ')); 
BgL_auxz00_6917 = BgL_res2704z00_2740; } } 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(BgL_new1170z00_509))->BgL_bufferz00)=((obj_t)BgL_auxz00_6917),BUNSPEC); } 
{ 
obj_t BgL_auxz00_6920;
{ /* Llib/block_ciphers.scm 265 */

{ /* Llib/block_ciphers.scm 265 */
obj_t BgL_res2705z00_2742;
BgL_res2705z00_2742 = 
make_string(BgL_blockzd2siza7ez75_76, ((unsigned char)' ')); 
BgL_auxz00_6920 = BgL_res2705z00_2742; } } 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(BgL_new1170z00_509))->BgL_chainz00)=((obj_t)BgL_auxz00_6920),BUNSPEC); } 
return BgL_new1170z00_509;} } 

}



/* create-PCBC-encryption-state */
BgL_pcbczd2encryptzd2_bglt BGl_createzd2PCBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_84, obj_t BgL_paramz00_85, long BgL_blockzd2siza7ez75_86)
{
{ /* Llib/block_ciphers.scm 280 */
{ /* Llib/block_ciphers.scm 281 */
BgL_pcbczd2encryptzd2_bglt BgL_new1174z00_516;
{ /* Llib/block_ciphers.scm 285 */
BgL_pcbczd2encryptzd2_bglt BgL_new1173z00_521;
BgL_new1173z00_521 = 
((BgL_pcbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 285 */
long BgL_arg1672z00_522;
{ /* Llib/block_ciphers.scm 285 */
long BgL_res2706z00_2744;
BgL_res2706z00_2744 = 
BGL_CLASS_INDEX(BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1672z00_522 = BgL_res2706z00_2744; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1173z00_521), BgL_arg1672z00_522); } 
{ /* Llib/block_ciphers.scm 285 */
BgL_objectz00_bglt BgL_tmpz00_6927;
BgL_tmpz00_6927 = 
((BgL_objectz00_bglt)BgL_new1173z00_521); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6927, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1173z00_521); 
BgL_new1174z00_516 = BgL_new1173z00_521; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1174z00_516)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_86),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1174z00_516)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_84),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1174z00_516)))->BgL_paramz00)=((obj_t)BgL_paramz00_85),BUNSPEC); 
{ 
obj_t BgL_auxz00_6937;
{ /* Llib/block_ciphers.scm 282 */

{ /* Llib/block_ciphers.scm 282 */
obj_t BgL_res2707z00_2749;
BgL_res2707z00_2749 = 
make_string(BgL_blockzd2siza7ez75_86, ((unsigned char)' ')); 
BgL_auxz00_6937 = BgL_res2707z00_2749; } } 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(BgL_new1174z00_516))->BgL_bufferz00)=((obj_t)BgL_auxz00_6937),BUNSPEC); } 
{ 
obj_t BgL_auxz00_6940;
{ /* Llib/block_ciphers.scm 286 */

{ /* Llib/block_ciphers.scm 286 */
obj_t BgL_res2708z00_2751;
BgL_res2708z00_2751 = 
make_string(BgL_blockzd2siza7ez75_86, ((unsigned char)' ')); 
BgL_auxz00_6940 = BgL_res2708z00_2751; } } 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(BgL_new1174z00_516))->BgL_chainz00)=((obj_t)BgL_auxz00_6940),BUNSPEC); } 
return BgL_new1174z00_516;} } 

}



/* create-PCBC-decryption-state */
BgL_pcbczd2decryptzd2_bglt BGl_createzd2PCBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_decryptz00_94, obj_t BgL_paramz00_95, long BgL_blockzd2siza7ez75_96)
{
{ /* Llib/block_ciphers.scm 298 */
{ /* Llib/block_ciphers.scm 299 */
BgL_pcbczd2decryptzd2_bglt BgL_new1178z00_523;
{ /* Llib/block_ciphers.scm 303 */
BgL_pcbczd2decryptzd2_bglt BgL_new1177z00_528;
BgL_new1177z00_528 = 
((BgL_pcbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 303 */
long BgL_arg1675z00_529;
{ /* Llib/block_ciphers.scm 303 */
long BgL_res2709z00_2753;
BgL_res2709z00_2753 = 
BGL_CLASS_INDEX(BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1675z00_529 = BgL_res2709z00_2753; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1177z00_528), BgL_arg1675z00_529); } 
{ /* Llib/block_ciphers.scm 303 */
BgL_objectz00_bglt BgL_tmpz00_6947;
BgL_tmpz00_6947 = 
((BgL_objectz00_bglt)BgL_new1177z00_528); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6947, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1177z00_528); 
BgL_new1178z00_523 = BgL_new1177z00_528; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1178z00_523)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_96),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1178z00_523)))->BgL_cipherz00)=((obj_t)BgL_decryptz00_94),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1178z00_523)))->BgL_paramz00)=((obj_t)BgL_paramz00_95),BUNSPEC); 
{ 
obj_t BgL_auxz00_6957;
{ /* Llib/block_ciphers.scm 300 */

{ /* Llib/block_ciphers.scm 300 */
obj_t BgL_res2710z00_2758;
BgL_res2710z00_2758 = 
make_string(BgL_blockzd2siza7ez75_96, ((unsigned char)' ')); 
BgL_auxz00_6957 = BgL_res2710z00_2758; } } 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(BgL_new1178z00_523))->BgL_bufferz00)=((obj_t)BgL_auxz00_6957),BUNSPEC); } 
{ 
obj_t BgL_auxz00_6960;
{ /* Llib/block_ciphers.scm 304 */

{ /* Llib/block_ciphers.scm 304 */
obj_t BgL_res2711z00_2760;
BgL_res2711z00_2760 = 
make_string(BgL_blockzd2siza7ez75_96, ((unsigned char)' ')); 
BgL_auxz00_6960 = BgL_res2711z00_2760; } } 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(BgL_new1178z00_523))->BgL_chainz00)=((obj_t)BgL_auxz00_6960),BUNSPEC); } 
return BgL_new1178z00_523;} } 

}



/* create-CFB-encryption-state */
BgL_cfbzd2encryptzd2_bglt BGl_createzd2CFBzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_104, obj_t BgL_paramz00_105, long BgL_blockzd2siza7ez75_106)
{
{ /* Llib/block_ciphers.scm 318 */
{ /* Llib/block_ciphers.scm 319 */
BgL_cfbzd2encryptzd2_bglt BgL_new1182z00_530;
{ /* Llib/block_ciphers.scm 322 */
BgL_cfbzd2encryptzd2_bglt BgL_new1181z00_533;
BgL_new1181z00_533 = 
((BgL_cfbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 322 */
long BgL_arg1676z00_534;
{ /* Llib/block_ciphers.scm 322 */
long BgL_res2712z00_2762;
BgL_res2712z00_2762 = 
BGL_CLASS_INDEX(BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1676z00_534 = BgL_res2712z00_2762; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1181z00_533), BgL_arg1676z00_534); } 
{ /* Llib/block_ciphers.scm 322 */
BgL_objectz00_bglt BgL_tmpz00_6967;
BgL_tmpz00_6967 = 
((BgL_objectz00_bglt)BgL_new1181z00_533); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6967, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1181z00_533); 
BgL_new1182z00_530 = BgL_new1181z00_533; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1182z00_530)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_106),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1182z00_530)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_104),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1182z00_530)))->BgL_paramz00)=((obj_t)BgL_paramz00_105),BUNSPEC); 
{ 
obj_t BgL_auxz00_6977;
{ /* Llib/block_ciphers.scm 323 */

{ /* Llib/block_ciphers.scm 323 */
obj_t BgL_res2713z00_2767;
BgL_res2713z00_2767 = 
make_string(BgL_blockzd2siza7ez75_106, ((unsigned char)' ')); 
BgL_auxz00_6977 = BgL_res2713z00_2767; } } 
((((BgL_cfbzd2encryptzd2_bglt)COBJECT(BgL_new1182z00_530))->BgL_chainz00)=((obj_t)BgL_auxz00_6977),BUNSPEC); } 
return BgL_new1182z00_530;} } 

}



/* create-CFB-decryption-state */
BgL_cfbzd2decryptzd2_bglt BGl_createzd2CFBzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_121, obj_t BgL_paramz00_122, long BgL_blockzd2siza7ez75_123)
{
{ /* Llib/block_ciphers.scm 341 */
{ /* Llib/block_ciphers.scm 342 */
BgL_cfbzd2decryptzd2_bglt BgL_new1187z00_535;
{ /* Llib/block_ciphers.scm 346 */
BgL_cfbzd2decryptzd2_bglt BgL_new1186z00_540;
BgL_new1186z00_540 = 
((BgL_cfbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 346 */
long BgL_arg1677z00_541;
{ /* Llib/block_ciphers.scm 346 */
long BgL_res2714z00_2769;
BgL_res2714z00_2769 = 
BGL_CLASS_INDEX(BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1677z00_541 = BgL_res2714z00_2769; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1186z00_540), BgL_arg1677z00_541); } 
{ /* Llib/block_ciphers.scm 346 */
BgL_objectz00_bglt BgL_tmpz00_6984;
BgL_tmpz00_6984 = 
((BgL_objectz00_bglt)BgL_new1186z00_540); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6984, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1186z00_540); 
BgL_new1187z00_535 = BgL_new1186z00_540; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1187z00_535)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_123),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1187z00_535)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_121),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1187z00_535)))->BgL_paramz00)=((obj_t)BgL_paramz00_122),BUNSPEC); 
{ 
obj_t BgL_auxz00_6994;
{ /* Llib/block_ciphers.scm 343 */

{ /* Llib/block_ciphers.scm 343 */
obj_t BgL_res2715z00_2774;
BgL_res2715z00_2774 = 
make_string(BgL_blockzd2siza7ez75_123, ((unsigned char)' ')); 
BgL_auxz00_6994 = BgL_res2715z00_2774; } } 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(BgL_new1187z00_535))->BgL_bufferz00)=((obj_t)BgL_auxz00_6994),BUNSPEC); } 
{ 
obj_t BgL_auxz00_6997;
{ /* Llib/block_ciphers.scm 347 */

{ /* Llib/block_ciphers.scm 347 */
obj_t BgL_res2716z00_2776;
BgL_res2716z00_2776 = 
make_string(BgL_blockzd2siza7ez75_123, ((unsigned char)' ')); 
BgL_auxz00_6997 = BgL_res2716z00_2776; } } 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(BgL_new1187z00_535))->BgL_chainz00)=((obj_t)BgL_auxz00_6997),BUNSPEC); } 
return BgL_new1187z00_535;} } 

}



/* create-OFB-state */
BgL_ofbz00_bglt BGl_createzd2OFBzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_138, obj_t BgL_paramz00_139, long BgL_blockzd2siza7ez75_140)
{
{ /* Llib/block_ciphers.scm 369 */
{ /* Llib/block_ciphers.scm 370 */
BgL_ofbz00_bglt BgL_new1192z00_542;
{ /* Llib/block_ciphers.scm 373 */
BgL_ofbz00_bglt BgL_new1191z00_545;
BgL_new1191z00_545 = 
((BgL_ofbz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ofbz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 373 */
long BgL_arg1678z00_546;
{ /* Llib/block_ciphers.scm 373 */
long BgL_res2717z00_2778;
BgL_res2717z00_2778 = 
BGL_CLASS_INDEX(BGl_OFBz00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1678z00_546 = BgL_res2717z00_2778; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1191z00_545), BgL_arg1678z00_546); } 
{ /* Llib/block_ciphers.scm 373 */
BgL_objectz00_bglt BgL_tmpz00_7004;
BgL_tmpz00_7004 = 
((BgL_objectz00_bglt)BgL_new1191z00_545); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7004, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1191z00_545); 
BgL_new1192z00_542 = BgL_new1191z00_545; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1192z00_542)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_140),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1192z00_542)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_138),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1192z00_542)))->BgL_paramz00)=((obj_t)BgL_paramz00_139),BUNSPEC); 
{ 
obj_t BgL_auxz00_7014;
{ /* Llib/block_ciphers.scm 374 */

{ /* Llib/block_ciphers.scm 374 */
obj_t BgL_res2718z00_2783;
BgL_res2718z00_2783 = 
make_string(BgL_blockzd2siza7ez75_140, ((unsigned char)' ')); 
BgL_auxz00_7014 = BgL_res2718z00_2783; } } 
((((BgL_ofbz00_bglt)COBJECT(BgL_new1192z00_542))->BgL_chainz00)=((obj_t)BgL_auxz00_7014),BUNSPEC); } 
return BgL_new1192z00_542;} } 

}



/* create-CTR-state */
BgL_ctrz00_bglt BGl_createzd2CTRzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_155, obj_t BgL_paramz00_156, obj_t BgL_noncezd2initz12zc0_157, obj_t BgL_noncezd2updatez12zc0_158, long BgL_blockzd2siza7ez75_159)
{
{ /* Llib/block_ciphers.scm 394 */
{ /* Llib/block_ciphers.scm 397 */
BgL_ctrz00_bglt BgL_new1197z00_547;
{ /* Llib/block_ciphers.scm 405 */
BgL_ctrz00_bglt BgL_new1196z00_550;
BgL_new1196z00_550 = 
((BgL_ctrz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ctrz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 405 */
long BgL_arg1679z00_551;
{ /* Llib/block_ciphers.scm 405 */
long BgL_res2719z00_2785;
BgL_res2719z00_2785 = 
BGL_CLASS_INDEX(BGl_CTRz00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1679z00_551 = BgL_res2719z00_2785; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1196z00_550), BgL_arg1679z00_551); } 
{ /* Llib/block_ciphers.scm 405 */
BgL_objectz00_bglt BgL_tmpz00_7021;
BgL_tmpz00_7021 = 
((BgL_objectz00_bglt)BgL_new1196z00_550); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7021, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1196z00_550); 
BgL_new1197z00_547 = BgL_new1196z00_550; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1197z00_547)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_159),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1197z00_547)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_155),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1197z00_547)))->BgL_paramz00)=((obj_t)BgL_paramz00_156),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1197z00_547))->BgL_noncez00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
obj_t BgL_auxz00_7032;
{ /* Llib/block_ciphers.scm 401 */

{ /* Llib/block_ciphers.scm 401 */
obj_t BgL_res2720z00_2790;
BgL_res2720z00_2790 = 
make_string(BgL_blockzd2siza7ez75_159, ((unsigned char)' ')); 
BgL_auxz00_7032 = BgL_res2720z00_2790; } } 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1197z00_547))->BgL_noncezd2strzd2)=((obj_t)BgL_auxz00_7032),BUNSPEC); } 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1197z00_547))->BgL_blockzd2counterzd2)=((long)((long)0)),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1197z00_547))->BgL_noncezd2initz12zc0)=((obj_t)BgL_noncezd2initz12zc0_157),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1197z00_547))->BgL_noncezd2updatez12zc0)=((obj_t)BgL_noncezd2updatez12zc0_158),BUNSPEC); 
return BgL_new1197z00_547;} } 

}



/* encrypt-input! */
long BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2modezd2statez00_bglt BgL_modezd2statezd2_174, obj_t BgL_fromz00_175, long BgL_fromzd2poszd2_176, obj_t BgL_readzd2atz12zc0_177, obj_t BgL_toz00_178, long BgL_tozd2poszd2_179, obj_t BgL_writezd2atz12zc0_180)
{
{ /* Llib/block_ciphers.scm 433 */
{ /* Llib/block_ciphers.scm 439 */
obj_t BgL_casezd2valuezd2_553;
BgL_casezd2valuezd2_553 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivzd2actionzd2); 
if(
(BgL_casezd2valuezd2_553==
CNST_TABLE_REF(((long)0))))
{ /* Llib/block_ciphers.scm 439 */
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivz00)); }  else 
{ /* Llib/block_ciphers.scm 439 */
if(
(BgL_casezd2valuezd2_553==
CNST_TABLE_REF(((long)1))))
{ /* Llib/block_ciphers.scm 439 */
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivz00)); 
{ /* Llib/block_ciphers.scm 443 */
obj_t BgL_arg1691z00_560;long BgL_arg1692z00_561;
BgL_arg1691z00_560 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivz00); 
BgL_arg1692z00_561 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75); 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_180)(BgL_writezd2atz12zc0_180, BgL_arg1691z00_560, 
BINT(((long)0)), BgL_toz00_178, 
BINT(BgL_tozd2poszd2_179), 
BINT(BgL_arg1692z00_561), BEOA); } 
BgL_tozd2poszd2_179 = 
(BgL_tozd2poszd2_179+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)); }  else 
{ /* Llib/block_ciphers.scm 439 */
if(
(BgL_casezd2valuezd2_553==
CNST_TABLE_REF(((long)2))))
{ /* Llib/block_ciphers.scm 439 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 446 */
obj_t BgL_arg1695z00_564;
BgL_arg1695z00_564 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivzd2actionzd2); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)4)), BGl_string3741z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1695z00_564); } } } } 
{ /* Llib/block_ciphers.scm 450 */
obj_t BgL_bufferz00_565;obj_t BgL_padz00_566;
BgL_bufferz00_565 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_loopzd2bufferzd2); 
BgL_padz00_566 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_padzf2unpadzf2); 
{ 
long BgL_iz00_568;
BgL_iz00_568 = ((long)0); 
BgL_zc3z04anonymousza31696ze3z87_569:
{ /* Llib/block_ciphers.scm 453 */
obj_t BgL_nbzd2copiedzd2_570;
{ /* Llib/block_ciphers.scm 453 */
long BgL_arg1756z00_595;long BgL_arg1757z00_596;
BgL_arg1756z00_595 = 
(BgL_fromzd2poszd2_176+BgL_iz00_568); 
BgL_arg1757z00_596 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75); 
BgL_nbzd2copiedzd2_570 = 
PROCEDURE_L_ENTRY(BgL_readzd2atz12zc0_177)(BgL_readzd2atz12zc0_177, BgL_fromz00_175, BgL_arg1756z00_595, BgL_bufferz00_565, ((long)0), BgL_arg1757z00_596); } 
{ /* Llib/block_ciphers.scm 457 */
bool_t BgL_test4177z00_7085;
if(
(
(long)CINT(BgL_nbzd2copiedzd2_570)<
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 457 */
if(
CBOOL(BgL_padz00_566))
{ /* Llib/block_ciphers.scm 457 */
BgL_test4177z00_7085 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 457 */
BgL_test4177z00_7085 = ((bool_t)1)
; } }  else 
{ /* Llib/block_ciphers.scm 457 */
BgL_test4177z00_7085 = ((bool_t)0)
; } 
if(BgL_test4177z00_7085)
{ /* Llib/block_ciphers.scm 457 */
if(
(
(long)CINT(BgL_nbzd2copiedzd2_570)==((long)0)))
{ /* Llib/block_ciphers.scm 458 */
return 
(BgL_iz00_568+BgL_tozd2poszd2_179);}  else 
{ /* Llib/block_ciphers.scm 458 */
BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), BgL_bufferz00_565, ((long)0), BgL_bufferz00_565, ((long)0), ((long)0), 
(long)CINT(BgL_nbzd2copiedzd2_570)); 
{ /* Llib/block_ciphers.scm 464 */
long BgL_arg1711z00_577;
BgL_arg1711z00_577 = 
(BgL_tozd2poszd2_179+BgL_iz00_568); 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_180)(BgL_writezd2atz12zc0_180, BgL_bufferz00_565, 
BINT(((long)0)), BgL_toz00_178, 
BINT(BgL_arg1711z00_577), BgL_nbzd2copiedzd2_570, BEOA); } 
return 
(BgL_iz00_568+
(BgL_tozd2poszd2_179+
(long)CINT(BgL_nbzd2copiedzd2_570)));} }  else 
{ /* Llib/block_ciphers.scm 457 */
if(
(
(long)CINT(BgL_nbzd2copiedzd2_570)<
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 466 */
if(
CBOOL(
PROCEDURE_ENTRY(BgL_padz00_566)(BgL_padz00_566, BgL_bufferz00_565, BgL_nbzd2copiedzd2_570, BEOA)))
{ /* Llib/block_ciphers.scm 467 */
BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), BgL_bufferz00_565, ((long)0), BgL_bufferz00_565, ((long)0)); 
{ /* Llib/block_ciphers.scm 470 */
long BgL_arg1736z00_583;long BgL_arg1737z00_584;
BgL_arg1736z00_583 = 
(BgL_tozd2poszd2_179+BgL_iz00_568); 
BgL_arg1737z00_584 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75); 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_180)(BgL_writezd2atz12zc0_180, BgL_bufferz00_565, 
BINT(((long)0)), BgL_toz00_178, 
BINT(BgL_arg1736z00_583), 
BINT(BgL_arg1737z00_584), BEOA); } 
return 
(BgL_iz00_568+
(BgL_tozd2poszd2_179+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)));}  else 
{ /* Llib/block_ciphers.scm 467 */
return 
(BgL_iz00_568+BgL_tozd2poszd2_179);} }  else 
{ /* Llib/block_ciphers.scm 466 */
BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), BgL_bufferz00_565, ((long)0), BgL_bufferz00_565, ((long)0)); 
{ /* Llib/block_ciphers.scm 475 */
long BgL_arg1750z00_588;long BgL_arg1751z00_589;
BgL_arg1750z00_588 = 
(BgL_tozd2poszd2_179+BgL_iz00_568); 
BgL_arg1751z00_589 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75); 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_180)(BgL_writezd2atz12zc0_180, BgL_bufferz00_565, 
BINT(((long)0)), BgL_toz00_178, 
BINT(BgL_arg1750z00_588), 
BINT(BgL_arg1751z00_589), BEOA); } 
{ 
long BgL_iz00_7158;
BgL_iz00_7158 = 
(BgL_iz00_568+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)); 
BgL_iz00_568 = BgL_iz00_7158; 
goto BgL_zc3z04anonymousza31696ze3z87_569;} } } } } } } } 

}



/* decrypt-input! */
long BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2modezd2statez00_bglt BgL_modezd2statezd2_181, obj_t BgL_fromz00_182, long BgL_fromzd2poszd2_183, obj_t BgL_readzd2atz12zc0_184, obj_t BgL_toz00_185, long BgL_tozd2poszd2_186, obj_t BgL_writezd2atz12zc0_187)
{
{ /* Llib/block_ciphers.scm 479 */
{ /* Llib/block_ciphers.scm 485 */
obj_t BgL_casezd2valuezd2_600;
BgL_casezd2valuezd2_600 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_ivzd2actionzd2); 
if(
(BgL_casezd2valuezd2_600==
CNST_TABLE_REF(((long)0))))
{ /* Llib/block_ciphers.scm 485 */
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_cipherzd2statezd2), 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_ivz00)); }  else 
{ /* Llib/block_ciphers.scm 485 */
if(
(BgL_casezd2valuezd2_600==
CNST_TABLE_REF(((long)5))))
{ /* Llib/block_ciphers.scm 488 */
obj_t BgL_nbzd2readzd2_605;
{ /* Llib/block_ciphers.scm 488 */
obj_t BgL_arg1768z00_612;long BgL_arg1769z00_613;
BgL_arg1768z00_612 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_loopzd2bufferzd2); 
BgL_arg1769z00_613 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75); 
BgL_nbzd2readzd2_605 = 
PROCEDURE_L_ENTRY(BgL_readzd2atz12zc0_184)(BgL_readzd2atz12zc0_184, BgL_fromz00_182, BgL_fromzd2poszd2_183, BgL_arg1768z00_612, ((long)0), BgL_arg1769z00_613); } 
if(
(
(long)CINT(BgL_nbzd2readzd2_605)==
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 489 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 489 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)6)), BGl_string3742z00zz__cryptozd2blockzd2ciphersz00, BgL_nbzd2readzd2_605); } 
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_cipherzd2statezd2), 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_loopzd2bufferzd2)); 
BgL_fromzd2poszd2_183 = 
(BgL_fromzd2poszd2_183+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)); }  else 
{ /* Llib/block_ciphers.scm 485 */
if(
(BgL_casezd2valuezd2_600==
CNST_TABLE_REF(((long)2))))
{ /* Llib/block_ciphers.scm 485 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 496 */
obj_t BgL_arg1771z00_615;
BgL_arg1771z00_615 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_ivzd2actionzd2); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)7)), BGl_string3741z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1771z00_615); } } } } 
{ /* Llib/block_ciphers.scm 504 */
obj_t BgL_bufferz00_616;obj_t BgL_unpadz00_617;obj_t BgL_lastzd2decryptedzd2_618;
BgL_bufferz00_616 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_loopzd2bufferzd2); 
BgL_unpadz00_617 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_padzf2unpadzf2); 
{ /* Llib/block_ciphers.scm 507 */
long BgL_arg1803z00_657;
BgL_arg1803z00_657 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 507 */

BgL_lastzd2decryptedzd2_618 = 
make_string(BgL_arg1803z00_657, ((unsigned char)' ')); } } 
{ 
long BgL_iz00_620;
{ /* Llib/block_ciphers.scm 508 */
obj_t BgL_tmpz00_7203;
BgL_iz00_620 = ((long)0); 
BgL_zc3z04anonymousza31772ze3z87_621:
{ /* Llib/block_ciphers.scm 509 */
obj_t BgL_nbzd2copiedzd2_622;
{ /* Llib/block_ciphers.scm 509 */
long BgL_arg1801z00_654;long BgL_arg1802z00_655;
BgL_arg1801z00_654 = 
(BgL_fromzd2poszd2_183+BgL_iz00_620); 
BgL_arg1802z00_655 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75); 
BgL_nbzd2copiedzd2_622 = 
PROCEDURE_L_ENTRY(BgL_readzd2atz12zc0_184)(BgL_readzd2atz12zc0_184, BgL_fromz00_182, BgL_arg1801z00_654, BgL_bufferz00_616, ((long)0), BgL_arg1802z00_655); } 
{ /* Llib/block_ciphers.scm 513 */
bool_t BgL_test4187z00_7214;
if(
(
(long)CINT(BgL_nbzd2copiedzd2_622)<
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 513 */
if(
CBOOL(BgL_unpadz00_617))
{ /* Llib/block_ciphers.scm 513 */
BgL_test4187z00_7214 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 513 */
BgL_test4187z00_7214 = ((bool_t)1)
; } }  else 
{ /* Llib/block_ciphers.scm 513 */
BgL_test4187z00_7214 = ((bool_t)0)
; } 
if(BgL_test4187z00_7214)
{ /* Llib/block_ciphers.scm 513 */
BGl_writezd2lastzd2decryptedz12ze70zf5zz__cryptozd2blockzd2ciphersz00(BgL_toz00_185, BgL_writezd2atz12zc0_187, BgL_modezd2statezd2_181, BgL_tozd2poszd2_186, BgL_lastzd2decryptedzd2_618, 
(BgL_iz00_620-
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75))); 
if(
(
(long)CINT(BgL_nbzd2copiedzd2_622)==((long)0)))
{ /* Llib/block_ciphers.scm 515 */
BgL_tmpz00_7203 = 
BINT(
(BgL_iz00_620+BgL_tozd2poszd2_186))
; }  else 
{ /* Llib/block_ciphers.scm 515 */
BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_cipherzd2statezd2), BgL_bufferz00_616, ((long)0), BgL_bufferz00_616, ((long)0), ((long)0), 
(long)CINT(BgL_nbzd2copiedzd2_622)); 
{ /* Llib/block_ciphers.scm 521 */
long BgL_arg1781z00_631;
BgL_arg1781z00_631 = 
(BgL_tozd2poszd2_186+BgL_iz00_620); 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_187)(BgL_writezd2atz12zc0_187, BgL_bufferz00_616, 
BINT(((long)0)), BgL_toz00_185, 
BINT(BgL_arg1781z00_631), BgL_nbzd2copiedzd2_622, BEOA); } 
BgL_tmpz00_7203 = 
BINT(
(BgL_iz00_620+
(BgL_tozd2poszd2_186+
(long)CINT(BgL_nbzd2copiedzd2_622)))); } }  else 
{ /* Llib/block_ciphers.scm 513 */
if(
(
(long)CINT(BgL_nbzd2copiedzd2_622)<
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 525 */
bool_t BgL_test4192z00_7251;
if(
(
(long)CINT(BgL_nbzd2copiedzd2_622)==((long)0)))
{ /* Llib/block_ciphers.scm 525 */
BgL_test4192z00_7251 = 
(BgL_iz00_620==((long)0))
; }  else 
{ /* Llib/block_ciphers.scm 525 */
BgL_test4192z00_7251 = ((bool_t)0)
; } 
if(BgL_test4192z00_7251)
{ /* Llib/block_ciphers.scm 525 */
BgL_tmpz00_7203 = 
BINT(BgL_tozd2poszd2_186)
; }  else 
{ /* Llib/block_ciphers.scm 525 */
if(
(
(long)CINT(BgL_nbzd2copiedzd2_622)==((long)0)))
{ /* Llib/block_ciphers.scm 528 */
obj_t BgL_plainzd2charszd2_638;
BgL_plainzd2charszd2_638 = 
PROCEDURE_ENTRY(BgL_unpadz00_617)(BgL_unpadz00_617, BgL_lastzd2decryptedzd2_618, BEOA); 
{ /* Llib/block_ciphers.scm 530 */
long BgL_arg1788z00_639;
BgL_arg1788z00_639 = 
(BgL_tozd2poszd2_186+
(BgL_iz00_620-
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75))); 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_187)(BgL_writezd2atz12zc0_187, BgL_lastzd2decryptedzd2_618, 
BINT(((long)0)), BgL_toz00_185, 
BINT(BgL_arg1788z00_639), BgL_plainzd2charszd2_638, BEOA); } 
BgL_tmpz00_7203 = 
BINT(
(
(BgL_iz00_620-
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75))+
(BgL_tozd2poszd2_186+
(long)CINT(BgL_plainzd2charszd2_638)))); }  else 
{ /* Llib/block_ciphers.scm 527 */
BgL_tmpz00_7203 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)8)), BGl_string3743z00zz__cryptozd2blockzd2ciphersz00, BgL_nbzd2copiedzd2_622)
; } } }  else 
{ /* Llib/block_ciphers.scm 523 */
BGl_writezd2lastzd2decryptedz12ze70zf5zz__cryptozd2blockzd2ciphersz00(BgL_toz00_185, BgL_writezd2atz12zc0_187, BgL_modezd2statezd2_181, BgL_tozd2poszd2_186, BgL_lastzd2decryptedzd2_618, 
(BgL_iz00_620-
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75))); 
BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_cipherzd2statezd2), BgL_bufferz00_616, ((long)0), BgL_lastzd2decryptedzd2_618, ((long)0)); 
{ 
long BgL_iz00_7290;
BgL_iz00_7290 = 
(BgL_iz00_620+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)); 
BgL_iz00_620 = BgL_iz00_7290; 
goto BgL_zc3z04anonymousza31772ze3z87_621;} } } } } 
return 
(long)CINT(BgL_tmpz00_7203);} } } } 

}



/* write-last-decrypted!~0 */
obj_t BGl_writezd2lastzd2decryptedz12ze70zf5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_toz00_5682, obj_t BgL_writezd2atz12zc0_5681, BgL_cipherzd2modezd2statez00_bglt BgL_i1202z00_5680, long BgL_tozd2poszd2_5679, obj_t BgL_lastzd2decryptedzd2_660, long BgL_iz00_661)
{
{ /* Llib/block_ciphers.scm 502 */
if(
(BgL_iz00_661<((long)0)))
{ /* Llib/block_ciphers.scm 501 */
return BFALSE;}  else 
{ /* Llib/block_ciphers.scm 502 */
long BgL_arg1806z00_664;long BgL_arg1807z00_665;
BgL_arg1806z00_664 = 
(BgL_tozd2poszd2_5679+BgL_iz00_661); 
BgL_arg1807z00_665 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_i1202z00_5680))->BgL_blockzd2siza7ez75); 
return 
PROCEDURE_ENTRY(BgL_writezd2atz12zc0_5681)(BgL_writezd2atz12zc0_5681, BgL_lastzd2decryptedzd2_660, 
BINT(((long)0)), BgL_toz00_5682, 
BINT(BgL_arg1806z00_664), 
BINT(BgL_arg1807z00_665), BEOA);} } 

}



/* create-encryption-state */
BgL_cipherzd2modezd2statez00_bglt BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_188, obj_t BgL_passwordz00_189, obj_t BgL_ivz00_190, obj_t BgL_modez00_191, obj_t BgL_padz00_192, obj_t BgL_noncezd2initz12zc0_193, obj_t BgL_noncezd2updatez12zc0_194, obj_t BgL_stringzd2ze3keyz31_195)
{
{ /* Llib/block_ciphers.scm 594 */
{ /* Llib/block_ciphers.scm 597 */
BgL_blockzd2cipherzd2_bglt BgL_i1203z00_667;
BgL_i1203z00_667 = 
BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_188); 
{ 
obj_t BgL_modez00_719;obj_t BgL_paramz00_720;long BgL_bsz00_721;
{ /* Llib/block_ciphers.scm 615 */
obj_t BgL_keyz00_669;
if(
CBOOL(BgL_stringzd2ze3keyz31_195))
{ /* Llib/block_ciphers.scm 615 */
BgL_keyz00_669 = 
PROCEDURE_ENTRY(BgL_stringzd2ze3keyz31_195)(BgL_stringzd2ze3keyz31_195, BgL_passwordz00_189, BEOA); }  else 
{ /* Llib/block_ciphers.scm 615 */
BgL_keyz00_669 = 
BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(BgL_passwordz00_189, 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1203z00_667))->BgL_preferredzd2keyzd2lengthz00), BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2); } 
{ /* Llib/block_ciphers.scm 615 */
obj_t BgL_padzd2proczd2_670;
{ /* Llib/block_ciphers.scm 619 */
bool_t BgL_test4197z00_7318;
{ /* Llib/block_ciphers.scm 619 */
bool_t BgL__ortest_1206z00_716;
BgL__ortest_1206z00_716 = 
(BgL_modez00_191==
CNST_TABLE_REF(((long)9))); 
if(BgL__ortest_1206z00_716)
{ /* Llib/block_ciphers.scm 619 */
BgL_test4197z00_7318 = BgL__ortest_1206z00_716
; }  else 
{ /* Llib/block_ciphers.scm 619 */
bool_t BgL__ortest_1207z00_717;
BgL__ortest_1207z00_717 = 
(BgL_modez00_191==
CNST_TABLE_REF(((long)11))); 
if(BgL__ortest_1207z00_717)
{ /* Llib/block_ciphers.scm 619 */
BgL_test4197z00_7318 = BgL__ortest_1207z00_717
; }  else 
{ /* Llib/block_ciphers.scm 619 */
BgL_test4197z00_7318 = 
(BgL_modez00_191==
CNST_TABLE_REF(((long)12)))
; } } } 
if(BgL_test4197z00_7318)
{ /* Llib/block_ciphers.scm 619 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)16))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_670 = BGl_nozd2padzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)17))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_670 = BGl_bitzd2padzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)18))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_670 = BGl_ansizd2xze2923zd2padzd2envz30zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)19))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_670 = BGl_isozd210126zd2padzd2envzd2zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)20))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_670 = BGl_pkcs7zd2padzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
CNST_TABLE_REF(((long)21))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_670 = BGl_za7erozd2padzd2envza7zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
PROCEDUREP(BgL_padz00_192))
{ /* Llib/block_ciphers.scm 628 */
BgL_padzd2proczd2_670 = BgL_padz00_192; }  else 
{ /* Llib/block_ciphers.scm 628 */
BgL_padzd2proczd2_670 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)15)), BGl_string3745z00zz__cryptozd2blockzd2ciphersz00, BgL_padz00_192); } } } } } } } }  else 
{ /* Llib/block_ciphers.scm 619 */
BgL_padzd2proczd2_670 = BFALSE; } } 
{ /* Llib/block_ciphers.scm 619 */
obj_t BgL_encryptionzd2ivzd2_671;
if(
CBOOL(BgL_ivz00_190))
{ /* Llib/block_ciphers.scm 634 */
BgL_encryptionzd2ivzd2_671 = BgL_ivz00_190; }  else 
{ /* Llib/block_ciphers.scm 634 */
if(
(BgL_modez00_191==
CNST_TABLE_REF(((long)9))))
{ /* Llib/block_ciphers.scm 635 */
BgL_encryptionzd2ivzd2_671 = BFALSE; }  else 
{ /* Llib/block_ciphers.scm 635 */
BgL_encryptionzd2ivzd2_671 = 
BGl_makezd2randomzd2stringz00zz__cryptozd2utilzd2(
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1203z00_667))->BgL_blockzd2siza7ez75), BFALSE); } } 
{ /* Llib/block_ciphers.scm 634 */
obj_t BgL_paramz00_672;
{ /* Llib/block_ciphers.scm 639 */
obj_t BgL_fun1826z00_698;
BgL_fun1826z00_698 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1203z00_667))->BgL_keyzd2ze3encryptzd2paramze3); 
BgL_paramz00_672 = 
PROCEDURE_ENTRY(BgL_fun1826z00_698)(BgL_fun1826z00_698, BgL_keyz00_669, BEOA); } 
{ /* Llib/block_ciphers.scm 639 */
obj_t BgL_statez00_673;
BgL_modez00_719 = BgL_modez00_191; 
BgL_paramz00_720 = BgL_paramz00_672; 
BgL_bsz00_721 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1203z00_667))->BgL_blockzd2siza7ez75); 
if(
(BgL_modez00_719==
CNST_TABLE_REF(((long)9))))
{ /* Llib/block_ciphers.scm 602 */
obj_t BgL_arg1840z00_725;
BgL_arg1840z00_725 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1203z00_667))->BgL_encryptz12z12); 
BgL_statez00_673 = 
((obj_t)
BGl_createzd2ECBzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1840z00_725, BgL_paramz00_720, BgL_bsz00_721, ((bool_t)1))); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_719==
CNST_TABLE_REF(((long)10))))
{ /* Llib/block_ciphers.scm 603 */
obj_t BgL_arg1842z00_727;
BgL_arg1842z00_727 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1203z00_667))->BgL_encryptz12z12); 
BgL_statez00_673 = 
((obj_t)
BGl_createzd2CFBzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1842z00_727, BgL_paramz00_720, BgL_bsz00_721)); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_719==
CNST_TABLE_REF(((long)11))))
{ /* Llib/block_ciphers.scm 604 */
obj_t BgL_arg1844z00_729;
BgL_arg1844z00_729 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1203z00_667))->BgL_encryptz12z12); 
BgL_statez00_673 = 
((obj_t)
BGl_createzd2CBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1844z00_729, BgL_paramz00_720, BgL_bsz00_721)); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_719==
CNST_TABLE_REF(((long)12))))
{ /* Llib/block_ciphers.scm 605 */
obj_t BgL_arg1846z00_731;
BgL_arg1846z00_731 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1203z00_667))->BgL_encryptz12z12); 
BgL_statez00_673 = 
((obj_t)
BGl_createzd2PCBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1846z00_731, BgL_paramz00_720, BgL_bsz00_721)); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_719==
CNST_TABLE_REF(((long)13))))
{ /* Llib/block_ciphers.scm 606 */
obj_t BgL_arg1848z00_733;
BgL_arg1848z00_733 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1203z00_667))->BgL_encryptz12z12); 
BgL_statez00_673 = 
((obj_t)
BGl_createzd2OFBzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1848z00_733, BgL_paramz00_720, BgL_bsz00_721)); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_719==
CNST_TABLE_REF(((long)14))))
{ /* Llib/block_ciphers.scm 607 */
obj_t BgL_arg1850z00_735;obj_t BgL_arg1851z00_736;obj_t BgL_arg1852z00_737;
BgL_arg1850z00_735 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1203z00_667))->BgL_encryptz12z12); 
if(
CBOOL(BgL_noncezd2initz12zc0_193))
{ /* Llib/block_ciphers.scm 608 */
BgL_arg1851z00_736 = BgL_noncezd2initz12zc0_193; }  else 
{ /* Llib/block_ciphers.scm 608 */
BgL_arg1851z00_736 = BGl_defaultzd2noncezd2initz12zd2envzc0zz__cryptozd2blockzd2ciphersz00; } 
if(
CBOOL(BgL_noncezd2updatez12zc0_194))
{ /* Llib/block_ciphers.scm 609 */
BgL_arg1852z00_737 = BgL_noncezd2updatez12zc0_194; }  else 
{ /* Llib/block_ciphers.scm 609 */
BgL_arg1852z00_737 = BGl_defaultzd2noncezd2updatez12zd2envzc0zz__cryptozd2blockzd2ciphersz00; } 
BgL_statez00_673 = 
((obj_t)
BGl_createzd2CTRzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1850z00_735, BgL_paramz00_720, BgL_arg1851z00_736, BgL_arg1852z00_737, BgL_bsz00_721)); }  else 
{ /* Llib/block_ciphers.scm 601 */
BgL_statez00_673 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)15)), BGl_string3744z00zz__cryptozd2blockzd2ciphersz00, BgL_modez00_719); } } } } } } 
{ /* Llib/block_ciphers.scm 640 */

if(
(BgL_modez00_191==
CNST_TABLE_REF(((long)9))))
{ /* Llib/block_ciphers.scm 642 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 642 */
if(
(BgL_modez00_191==
CNST_TABLE_REF(((long)14))))
{ /* Llib/block_ciphers.scm 643 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 645 */
bool_t BgL_test4219z00_7412;
if(
STRINGP(BgL_encryptionzd2ivzd2_671))
{ /* Llib/block_ciphers.scm 645 */
if(
(
STRING_LENGTH(BgL_encryptionzd2ivzd2_671)>=
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1203z00_667))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 646 */
BgL_test4219z00_7412 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 646 */
BgL_test4219z00_7412 = ((bool_t)1)
; } }  else 
{ /* Llib/block_ciphers.scm 645 */
BgL_test4219z00_7412 = ((bool_t)1)
; } 
if(BgL_test4219z00_7412)
{ /* Llib/block_ciphers.scm 649 */
obj_t BgL_arg1817z00_683;
if(
STRINGP(BgL_ivz00_190))
{ /* Llib/block_ciphers.scm 649 */
BgL_arg1817z00_683 = 
BINT(
STRING_LENGTH(BgL_ivz00_190)); }  else 
{ /* Llib/block_ciphers.scm 649 */
BgL_arg1817z00_683 = BgL_ivz00_190; } 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)22)), BGl_string3746z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1817z00_683); }  else 
{ /* Llib/block_ciphers.scm 645 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 652 */
BgL_cipherzd2modezd2statez00_bglt BgL_new1210z00_689;
{ /* Llib/block_ciphers.scm 653 */
BgL_cipherzd2modezd2statez00_bglt BgL_new1209z00_695;
BgL_new1209z00_695 = 
((BgL_cipherzd2modezd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2modezd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 653 */
long BgL_arg1824z00_696;
{ /* Llib/block_ciphers.scm 653 */
long BgL_res2785z00_2950;
BgL_res2785z00_2950 = 
BGL_CLASS_INDEX(BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1824z00_696 = BgL_res2785z00_2950; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1209z00_695), BgL_arg1824z00_696); } 
{ /* Llib/block_ciphers.scm 653 */
BgL_objectz00_bglt BgL_tmpz00_7429;
BgL_tmpz00_7429 = 
((BgL_objectz00_bglt)BgL_new1209z00_695); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7429, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1209z00_695); 
BgL_new1210z00_689 = BgL_new1209z00_695; } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1210z00_689))->BgL_encryptzf3zf3)=((bool_t)((bool_t)1)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1210z00_689))->BgL_blockzd2siza7ez75)=((long)
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1203z00_667))->BgL_blockzd2siza7ez75)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1210z00_689))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_673)),BUNSPEC); 
{ 
obj_t BgL_auxz00_7438;
if(
(BgL_modez00_191==
CNST_TABLE_REF(((long)9))))
{ /* Llib/block_ciphers.scm 657 */
BgL_auxz00_7438 = 
CNST_TABLE_REF(((long)2))
; }  else 
{ /* Llib/block_ciphers.scm 658 */
bool_t BgL_test4224z00_7443;
if(
CBOOL(BgL_ivz00_190))
{ /* Llib/block_ciphers.scm 658 */
BgL_test4224z00_7443 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 658 */
BgL_test4224z00_7443 = 
CBOOL(BgL_encryptionzd2ivzd2_671)
; } 
if(BgL_test4224z00_7443)
{ /* Llib/block_ciphers.scm 658 */
BgL_auxz00_7438 = 
CNST_TABLE_REF(((long)1))
; }  else 
{ /* Llib/block_ciphers.scm 658 */
BgL_auxz00_7438 = 
CNST_TABLE_REF(((long)0))
; } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1210z00_689))->BgL_ivzd2actionzd2)=((obj_t)BgL_auxz00_7438),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1210z00_689))->BgL_ivz00)=((obj_t)BgL_encryptionzd2ivzd2_671),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1210z00_689))->BgL_padzf2unpadzf2)=((obj_t)BgL_padzd2proczd2_670),BUNSPEC); 
{ 
obj_t BgL_auxz00_7452;
{ /* Llib/block_ciphers.scm 662 */
long BgL_arg1823z00_692;
BgL_arg1823z00_692 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1203z00_667))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 662 */

{ /* Llib/block_ciphers.scm 662 */
obj_t BgL_res2786z00_2955;
BgL_res2786z00_2955 = 
make_string(BgL_arg1823z00_692, ((unsigned char)' ')); 
BgL_auxz00_7452 = BgL_res2786z00_2955; } } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1210z00_689))->BgL_loopzd2bufferzd2)=((obj_t)BgL_auxz00_7452),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1210z00_689))->BgL_posz00)=((long)((long)0)),BUNSPEC); 
return BgL_new1210z00_689;} } } } } } } } } } 

}



/* create-decryption-state */
BgL_cipherzd2modezd2statez00_bglt BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_196, obj_t BgL_passwordz00_197, obj_t BgL_ivz00_198, obj_t BgL_modez00_199, obj_t BgL_padz00_200, obj_t BgL_noncezd2initz12zc0_201, obj_t BgL_noncezd2updatez12zc0_202, obj_t BgL_stringzd2ze3keyz31_203)
{
{ /* Llib/block_ciphers.scm 664 */
{ /* Llib/block_ciphers.scm 667 */
BgL_blockzd2cipherzd2_bglt BgL_i1211z00_741;
BgL_i1211z00_741 = 
BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_196); 
{ 
obj_t BgL_modez00_795;obj_t BgL_paramz00_796;long BgL_bsz00_797;
{ /* Llib/block_ciphers.scm 686 */
obj_t BgL_keyz00_743;
if(
CBOOL(BgL_stringzd2ze3keyz31_203))
{ /* Llib/block_ciphers.scm 686 */
BgL_keyz00_743 = 
PROCEDURE_ENTRY(BgL_stringzd2ze3keyz31_203)(BgL_stringzd2ze3keyz31_203, BgL_passwordz00_197, BEOA); }  else 
{ /* Llib/block_ciphers.scm 686 */
BgL_keyz00_743 = 
BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(BgL_passwordz00_197, 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1211z00_741))->BgL_preferredzd2keyzd2lengthz00), BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2); } 
{ /* Llib/block_ciphers.scm 686 */
obj_t BgL_unpadzd2proczd2_744;
{ /* Llib/block_ciphers.scm 690 */
bool_t BgL_test4227z00_7466;
{ /* Llib/block_ciphers.scm 690 */
bool_t BgL__ortest_1214z00_792;
BgL__ortest_1214z00_792 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)9))); 
if(BgL__ortest_1214z00_792)
{ /* Llib/block_ciphers.scm 690 */
BgL_test4227z00_7466 = BgL__ortest_1214z00_792
; }  else 
{ /* Llib/block_ciphers.scm 690 */
bool_t BgL__ortest_1215z00_793;
BgL__ortest_1215z00_793 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)11))); 
if(BgL__ortest_1215z00_793)
{ /* Llib/block_ciphers.scm 690 */
BgL_test4227z00_7466 = BgL__ortest_1215z00_793
; }  else 
{ /* Llib/block_ciphers.scm 690 */
BgL_test4227z00_7466 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)12)))
; } } } 
if(BgL_test4227z00_7466)
{ /* Llib/block_ciphers.scm 690 */
if(
(BgL_padz00_200==
CNST_TABLE_REF(((long)16))))
{ /* Llib/block_ciphers.scm 692 */
BgL_unpadzd2proczd2_744 = BGl_nozd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 692 */
if(
(BgL_padz00_200==
CNST_TABLE_REF(((long)17))))
{ /* Llib/block_ciphers.scm 692 */
BgL_unpadzd2proczd2_744 = BGl_bitzd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 692 */
bool_t BgL_test4232z00_7481;
{ /* Llib/block_ciphers.scm 692 */
bool_t BgL__ortest_1216z00_790;
BgL__ortest_1216z00_790 = 
(BgL_padz00_200==
CNST_TABLE_REF(((long)18))); 
if(BgL__ortest_1216z00_790)
{ /* Llib/block_ciphers.scm 692 */
BgL_test4232z00_7481 = BgL__ortest_1216z00_790
; }  else 
{ /* Llib/block_ciphers.scm 692 */
bool_t BgL__ortest_1217z00_791;
BgL__ortest_1217z00_791 = 
(BgL_padz00_200==
CNST_TABLE_REF(((long)19))); 
if(BgL__ortest_1217z00_791)
{ /* Llib/block_ciphers.scm 692 */
BgL_test4232z00_7481 = BgL__ortest_1217z00_791
; }  else 
{ /* Llib/block_ciphers.scm 692 */
BgL_test4232z00_7481 = 
(BgL_padz00_200==
CNST_TABLE_REF(((long)20)))
; } } } 
if(BgL_test4232z00_7481)
{ /* Llib/block_ciphers.scm 692 */
BgL_unpadzd2proczd2_744 = BGl_bytezd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 692 */
if(
(BgL_padz00_200==
CNST_TABLE_REF(((long)21))))
{ /* Llib/block_ciphers.scm 692 */
BgL_unpadzd2proczd2_744 = BGl_za7erozd2unpadzd2envza7zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 692 */
if(
PROCEDUREP(BgL_padz00_200))
{ /* Llib/block_ciphers.scm 698 */
BgL_unpadzd2proczd2_744 = BgL_padz00_200; }  else 
{ /* Llib/block_ciphers.scm 698 */
BgL_unpadzd2proczd2_744 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)8)), BGl_string3745z00zz__cryptozd2blockzd2ciphersz00, BgL_padz00_200); } } } } } }  else 
{ /* Llib/block_ciphers.scm 690 */
BgL_unpadzd2proczd2_744 = BFALSE; } } 
{ /* Llib/block_ciphers.scm 690 */
obj_t BgL_paramz00_745;
{ /* Llib/block_ciphers.scm 704 */
bool_t BgL_test4237z00_7497;
{ /* Llib/block_ciphers.scm 704 */
bool_t BgL__ortest_1218z00_776;
BgL__ortest_1218z00_776 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)9))); 
if(BgL__ortest_1218z00_776)
{ /* Llib/block_ciphers.scm 704 */
BgL_test4237z00_7497 = BgL__ortest_1218z00_776
; }  else 
{ /* Llib/block_ciphers.scm 704 */
bool_t BgL__ortest_1219z00_777;
BgL__ortest_1219z00_777 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)11))); 
if(BgL__ortest_1219z00_777)
{ /* Llib/block_ciphers.scm 704 */
BgL_test4237z00_7497 = BgL__ortest_1219z00_777
; }  else 
{ /* Llib/block_ciphers.scm 704 */
BgL_test4237z00_7497 = 
(BgL_modez00_199==
CNST_TABLE_REF(((long)12)))
; } } } 
if(BgL_test4237z00_7497)
{ /* Llib/block_ciphers.scm 705 */
obj_t BgL_fun1871z00_774;
BgL_fun1871z00_774 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1211z00_741))->BgL_keyzd2ze3decryptzd2paramze3); 
BgL_paramz00_745 = 
PROCEDURE_ENTRY(BgL_fun1871z00_774)(BgL_fun1871z00_774, BgL_keyz00_743, BEOA); }  else 
{ /* Llib/block_ciphers.scm 706 */
obj_t BgL_fun1872z00_775;
BgL_fun1872z00_775 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1211z00_741))->BgL_keyzd2ze3encryptzd2paramze3); 
BgL_paramz00_745 = 
PROCEDURE_ENTRY(BgL_fun1872z00_775)(BgL_fun1872z00_775, BgL_keyz00_743, BEOA); } } 
{ /* Llib/block_ciphers.scm 704 */
obj_t BgL_statez00_746;
BgL_modez00_795 = BgL_modez00_199; 
BgL_paramz00_796 = BgL_paramz00_745; 
BgL_bsz00_797 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1211z00_741))->BgL_blockzd2siza7ez75); 
if(
(BgL_modez00_795==
CNST_TABLE_REF(((long)9))))
{ /* Llib/block_ciphers.scm 673 */
obj_t BgL_arg1882z00_801;
BgL_arg1882z00_801 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1211z00_741))->BgL_decryptz12z12); 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2ECBzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1882z00_801, BgL_paramz00_796, BgL_bsz00_797, ((bool_t)0))); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_795==
CNST_TABLE_REF(((long)11))))
{ /* Llib/block_ciphers.scm 674 */
obj_t BgL_arg1884z00_803;
BgL_arg1884z00_803 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1211z00_741))->BgL_decryptz12z12); 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2CBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1884z00_803, BgL_paramz00_796, BgL_bsz00_797)); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_795==
CNST_TABLE_REF(((long)12))))
{ /* Llib/block_ciphers.scm 675 */
obj_t BgL_arg1886z00_805;
BgL_arg1886z00_805 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1211z00_741))->BgL_decryptz12z12); 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2PCBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1886z00_805, BgL_paramz00_796, BgL_bsz00_797)); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_795==
CNST_TABLE_REF(((long)10))))
{ /* Llib/block_ciphers.scm 676 */
obj_t BgL_arg1888z00_807;
BgL_arg1888z00_807 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1211z00_741))->BgL_encryptz12z12); 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2CFBzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1888z00_807, BgL_paramz00_796, BgL_bsz00_797)); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_795==
CNST_TABLE_REF(((long)13))))
{ /* Llib/block_ciphers.scm 677 */
obj_t BgL_arg1890z00_809;
BgL_arg1890z00_809 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1211z00_741))->BgL_encryptz12z12); 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2OFBzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1890z00_809, BgL_paramz00_796, BgL_bsz00_797)); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_795==
CNST_TABLE_REF(((long)14))))
{ /* Llib/block_ciphers.scm 678 */
obj_t BgL_arg1892z00_811;obj_t BgL_arg1893z00_812;obj_t BgL_arg1894z00_813;
BgL_arg1892z00_811 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1211z00_741))->BgL_encryptz12z12); 
if(
CBOOL(BgL_noncezd2initz12zc0_201))
{ /* Llib/block_ciphers.scm 679 */
BgL_arg1893z00_812 = BgL_noncezd2initz12zc0_201; }  else 
{ /* Llib/block_ciphers.scm 679 */
BgL_arg1893z00_812 = BGl_defaultzd2noncezd2initz12zd2envzc0zz__cryptozd2blockzd2ciphersz00; } 
if(
CBOOL(BgL_noncezd2updatez12zc0_202))
{ /* Llib/block_ciphers.scm 680 */
BgL_arg1894z00_813 = BgL_noncezd2updatez12zc0_202; }  else 
{ /* Llib/block_ciphers.scm 680 */
BgL_arg1894z00_813 = BGl_defaultzd2noncezd2updatez12zd2envzc0zz__cryptozd2blockzd2ciphersz00; } 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2CTRzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1892z00_811, BgL_paramz00_796, BgL_arg1893z00_812, BgL_arg1894z00_813, BgL_bsz00_797)); }  else 
{ /* Llib/block_ciphers.scm 672 */
BgL_statez00_746 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)8)), BGl_string3744z00zz__cryptozd2blockzd2ciphersz00, BgL_modez00_795); } } } } } } 
{ /* Llib/block_ciphers.scm 707 */

if(
(BgL_modez00_199==
CNST_TABLE_REF(((long)9))))
{ /* Llib/block_ciphers.scm 709 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 709 */
if(
(BgL_modez00_199==
CNST_TABLE_REF(((long)14))))
{ /* Llib/block_ciphers.scm 710 */
CNST_TABLE_REF(((long)3)); }  else 
{ /* Llib/block_ciphers.scm 710 */
if(
CBOOL(BgL_ivz00_198))
{ /* Llib/block_ciphers.scm 713 */
bool_t BgL_test4251z00_7569;
if(
STRINGP(BgL_ivz00_198))
{ /* Llib/block_ciphers.scm 713 */
if(
(
STRING_LENGTH(BgL_ivz00_198)>=
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1211z00_741))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 714 */
BgL_test4251z00_7569 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 714 */
BgL_test4251z00_7569 = ((bool_t)1)
; } }  else 
{ /* Llib/block_ciphers.scm 713 */
BgL_test4251z00_7569 = ((bool_t)1)
; } 
if(BgL_test4251z00_7569)
{ /* Llib/block_ciphers.scm 717 */
obj_t BgL_arg1862z00_756;
if(
STRINGP(BgL_ivz00_198))
{ /* Llib/block_ciphers.scm 717 */
BgL_arg1862z00_756 = 
BINT(
STRING_LENGTH(BgL_ivz00_198)); }  else 
{ /* Llib/block_ciphers.scm 717 */
BgL_arg1862z00_756 = BgL_ivz00_198; } 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)22)), BGl_string3746z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1862z00_756); }  else 
{ /* Llib/block_ciphers.scm 713 */BFALSE; } }  else 
{ /* Llib/block_ciphers.scm 711 */
CNST_TABLE_REF(((long)3)); } } } 
{ /* Llib/block_ciphers.scm 720 */
BgL_cipherzd2modezd2statez00_bglt BgL_new1221z00_762;
{ /* Llib/block_ciphers.scm 721 */
BgL_cipherzd2modezd2statez00_bglt BgL_new1220z00_767;
BgL_new1220z00_767 = 
((BgL_cipherzd2modezd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2modezd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 721 */
long BgL_arg1868z00_768;
{ /* Llib/block_ciphers.scm 721 */
long BgL_res2802z00_2985;
BgL_res2802z00_2985 = 
BGL_CLASS_INDEX(BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg1868z00_768 = BgL_res2802z00_2985; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1220z00_767), BgL_arg1868z00_768); } 
{ /* Llib/block_ciphers.scm 721 */
BgL_objectz00_bglt BgL_tmpz00_7587;
BgL_tmpz00_7587 = 
((BgL_objectz00_bglt)BgL_new1220z00_767); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7587, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1220z00_767); 
BgL_new1221z00_762 = BgL_new1220z00_767; } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1221z00_762))->BgL_encryptzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1221z00_762))->BgL_blockzd2siza7ez75)=((long)
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1211z00_741))->BgL_blockzd2siza7ez75)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1221z00_762))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_746)),BUNSPEC); 
{ 
obj_t BgL_auxz00_7596;
if(
(BgL_modez00_199==
CNST_TABLE_REF(((long)9))))
{ /* Llib/block_ciphers.scm 725 */
BgL_auxz00_7596 = 
CNST_TABLE_REF(((long)2))
; }  else 
{ /* Llib/block_ciphers.scm 725 */
if(
CBOOL(BgL_ivz00_198))
{ /* Llib/block_ciphers.scm 726 */
BgL_auxz00_7596 = 
CNST_TABLE_REF(((long)0))
; }  else 
{ /* Llib/block_ciphers.scm 726 */
BgL_auxz00_7596 = 
CNST_TABLE_REF(((long)5))
; } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1221z00_762))->BgL_ivzd2actionzd2)=((obj_t)BgL_auxz00_7596),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1221z00_762))->BgL_ivz00)=((obj_t)BgL_ivz00_198),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1221z00_762))->BgL_padzf2unpadzf2)=((obj_t)BgL_unpadzd2proczd2_744),BUNSPEC); 
{ 
obj_t BgL_auxz00_7608;
{ /* Llib/block_ciphers.scm 730 */
long BgL_arg1867z00_764;
BgL_arg1867z00_764 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1211z00_741))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 730 */

{ /* Llib/block_ciphers.scm 730 */
obj_t BgL_res2803z00_2990;
BgL_res2803z00_2990 = 
make_string(BgL_arg1867z00_764, ((unsigned char)' ')); 
BgL_auxz00_7608 = BgL_res2803z00_2990; } } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1221z00_762))->BgL_loopzd2bufferzd2)=((obj_t)BgL_auxz00_7608),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1221z00_762))->BgL_posz00)=((long)((long)0)),BUNSPEC); 
return BgL_new1221z00_762;} } } } } } } } } 

}



/* _encrypt */
obj_t BGl__encryptz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_214, obj_t BgL_opt1356z00_213)
{
{ /* Llib/block_ciphers.scm 736 */
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_cipherz00_821;obj_t BgL_plainz00_822;obj_t BgL_passwordz00_823;
BgL_cipherz00_821 = 
VECTOR_REF(BgL_opt1356z00_213,((long)0)); 
BgL_plainz00_822 = 
VECTOR_REF(BgL_opt1356z00_213,((long)1)); 
BgL_passwordz00_823 = 
VECTOR_REF(BgL_opt1356z00_213,((long)2)); 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_ivz00_824;
BgL_ivz00_824 = BFALSE; 
{ /* Llib/block_ciphers.scm 737 */
obj_t BgL_modez00_825;
BgL_modez00_825 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_noncezd2initz12zc0_826;
BgL_noncezd2initz12zc0_826 = BFALSE; 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_noncezd2updatez12zc0_827;
BgL_noncezd2updatez12zc0_827 = BFALSE; 
{ /* Llib/block_ciphers.scm 737 */
obj_t BgL_padz00_828;
BgL_padz00_828 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_stringzd2ze3keyz31_829;
BgL_stringzd2ze3keyz31_829 = BFALSE; 
{ /* Llib/block_ciphers.scm 736 */

{ 
long BgL_iz00_830;
BgL_iz00_830 = ((long)3); 
BgL_check1359z00_831:
if(
(BgL_iz00_830==
VECTOR_LENGTH(BgL_opt1356z00_213)))
{ /* Llib/block_ciphers.scm 736 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 736 */
bool_t BgL_test4258z00_7621;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_arg1900z00_837;
BgL_arg1900z00_837 = 
VECTOR_REF(BgL_opt1356z00_213,BgL_iz00_830); 
BgL_test4258z00_7621 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1900z00_837, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_test4258z00_7621)
{ 
long BgL_iz00_7626;
BgL_iz00_7626 = 
(BgL_iz00_830+((long)2)); 
BgL_iz00_830 = BgL_iz00_7626; 
goto BgL_check1359z00_831;}  else 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_arg1899z00_836;
BgL_arg1899z00_836 = 
VECTOR_REF(BgL_opt1356z00_213,BgL_iz00_830); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)24)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1899z00_836); } } } 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_index1361z00_838;
BgL_index1361z00_838 = 
BGl_search1358ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1356z00_213), BgL_opt1356z00_213, 
CNST_TABLE_REF(((long)25)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
bool_t BgL_test4259z00_7634;
{ /* Llib/block_ciphers.scm 736 */
long BgL_n1z00_3013;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7635;
if(
INTEGERP(BgL_index1361z00_838))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7635 = BgL_index1361z00_838
; }  else 
{ 
obj_t BgL_auxz00_7638;
BgL_auxz00_7638 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1361z00_838); 
FAILURE(BgL_auxz00_7638,BFALSE,BFALSE);} 
BgL_n1z00_3013 = 
(long)CINT(BgL_tmpz00_7635); } 
BgL_test4259z00_7634 = 
(BgL_n1z00_3013>=((long)0)); } 
if(BgL_test4259z00_7634)
{ 
long BgL_auxz00_7644;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7645;
if(
INTEGERP(BgL_index1361z00_838))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7645 = BgL_index1361z00_838
; }  else 
{ 
obj_t BgL_auxz00_7648;
BgL_auxz00_7648 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1361z00_838); 
FAILURE(BgL_auxz00_7648,BFALSE,BFALSE);} 
BgL_auxz00_7644 = 
(long)CINT(BgL_tmpz00_7645); } 
BgL_ivz00_824 = 
VECTOR_REF(BgL_opt1356z00_213,BgL_auxz00_7644); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_index1362z00_840;
BgL_index1362z00_840 = 
BGl_search1358ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1356z00_213), BgL_opt1356z00_213, 
CNST_TABLE_REF(((long)26)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
bool_t BgL_test4262z00_7657;
{ /* Llib/block_ciphers.scm 736 */
long BgL_n1z00_3015;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7658;
if(
INTEGERP(BgL_index1362z00_840))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7658 = BgL_index1362z00_840
; }  else 
{ 
obj_t BgL_auxz00_7661;
BgL_auxz00_7661 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1362z00_840); 
FAILURE(BgL_auxz00_7661,BFALSE,BFALSE);} 
BgL_n1z00_3015 = 
(long)CINT(BgL_tmpz00_7658); } 
BgL_test4262z00_7657 = 
(BgL_n1z00_3015>=((long)0)); } 
if(BgL_test4262z00_7657)
{ 
long BgL_auxz00_7667;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7668;
if(
INTEGERP(BgL_index1362z00_840))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7668 = BgL_index1362z00_840
; }  else 
{ 
obj_t BgL_auxz00_7671;
BgL_auxz00_7671 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1362z00_840); 
FAILURE(BgL_auxz00_7671,BFALSE,BFALSE);} 
BgL_auxz00_7667 = 
(long)CINT(BgL_tmpz00_7668); } 
BgL_modez00_825 = 
VECTOR_REF(BgL_opt1356z00_213,BgL_auxz00_7667); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_index1363z00_842;
BgL_index1363z00_842 = 
BGl_search1358ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1356z00_213), BgL_opt1356z00_213, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
bool_t BgL_test4265z00_7680;
{ /* Llib/block_ciphers.scm 736 */
long BgL_n1z00_3017;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7681;
if(
INTEGERP(BgL_index1363z00_842))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7681 = BgL_index1363z00_842
; }  else 
{ 
obj_t BgL_auxz00_7684;
BgL_auxz00_7684 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1363z00_842); 
FAILURE(BgL_auxz00_7684,BFALSE,BFALSE);} 
BgL_n1z00_3017 = 
(long)CINT(BgL_tmpz00_7681); } 
BgL_test4265z00_7680 = 
(BgL_n1z00_3017>=((long)0)); } 
if(BgL_test4265z00_7680)
{ 
long BgL_auxz00_7690;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7691;
if(
INTEGERP(BgL_index1363z00_842))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7691 = BgL_index1363z00_842
; }  else 
{ 
obj_t BgL_auxz00_7694;
BgL_auxz00_7694 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1363z00_842); 
FAILURE(BgL_auxz00_7694,BFALSE,BFALSE);} 
BgL_auxz00_7690 = 
(long)CINT(BgL_tmpz00_7691); } 
BgL_noncezd2initz12zc0_826 = 
VECTOR_REF(BgL_opt1356z00_213,BgL_auxz00_7690); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_index1364z00_844;
BgL_index1364z00_844 = 
BGl_search1358ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1356z00_213), BgL_opt1356z00_213, 
CNST_TABLE_REF(((long)28)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
bool_t BgL_test4268z00_7703;
{ /* Llib/block_ciphers.scm 736 */
long BgL_n1z00_3019;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7704;
if(
INTEGERP(BgL_index1364z00_844))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7704 = BgL_index1364z00_844
; }  else 
{ 
obj_t BgL_auxz00_7707;
BgL_auxz00_7707 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1364z00_844); 
FAILURE(BgL_auxz00_7707,BFALSE,BFALSE);} 
BgL_n1z00_3019 = 
(long)CINT(BgL_tmpz00_7704); } 
BgL_test4268z00_7703 = 
(BgL_n1z00_3019>=((long)0)); } 
if(BgL_test4268z00_7703)
{ 
long BgL_auxz00_7713;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7714;
if(
INTEGERP(BgL_index1364z00_844))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7714 = BgL_index1364z00_844
; }  else 
{ 
obj_t BgL_auxz00_7717;
BgL_auxz00_7717 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1364z00_844); 
FAILURE(BgL_auxz00_7717,BFALSE,BFALSE);} 
BgL_auxz00_7713 = 
(long)CINT(BgL_tmpz00_7714); } 
BgL_noncezd2updatez12zc0_827 = 
VECTOR_REF(BgL_opt1356z00_213,BgL_auxz00_7713); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_index1365z00_846;
BgL_index1365z00_846 = 
BGl_search1358ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1356z00_213), BgL_opt1356z00_213, 
CNST_TABLE_REF(((long)29)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
bool_t BgL_test4271z00_7726;
{ /* Llib/block_ciphers.scm 736 */
long BgL_n1z00_3021;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7727;
if(
INTEGERP(BgL_index1365z00_846))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7727 = BgL_index1365z00_846
; }  else 
{ 
obj_t BgL_auxz00_7730;
BgL_auxz00_7730 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1365z00_846); 
FAILURE(BgL_auxz00_7730,BFALSE,BFALSE);} 
BgL_n1z00_3021 = 
(long)CINT(BgL_tmpz00_7727); } 
BgL_test4271z00_7726 = 
(BgL_n1z00_3021>=((long)0)); } 
if(BgL_test4271z00_7726)
{ 
long BgL_auxz00_7736;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7737;
if(
INTEGERP(BgL_index1365z00_846))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7737 = BgL_index1365z00_846
; }  else 
{ 
obj_t BgL_auxz00_7740;
BgL_auxz00_7740 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1365z00_846); 
FAILURE(BgL_auxz00_7740,BFALSE,BFALSE);} 
BgL_auxz00_7736 = 
(long)CINT(BgL_tmpz00_7737); } 
BgL_padz00_828 = 
VECTOR_REF(BgL_opt1356z00_213,BgL_auxz00_7736); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_index1366z00_848;
BgL_index1366z00_848 = 
BGl_search1358ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1356z00_213), BgL_opt1356z00_213, 
CNST_TABLE_REF(((long)30)), ((long)3)); 
{ /* Llib/block_ciphers.scm 736 */
bool_t BgL_test4274z00_7749;
{ /* Llib/block_ciphers.scm 736 */
long BgL_n1z00_3023;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7750;
if(
INTEGERP(BgL_index1366z00_848))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7750 = BgL_index1366z00_848
; }  else 
{ 
obj_t BgL_auxz00_7753;
BgL_auxz00_7753 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1366z00_848); 
FAILURE(BgL_auxz00_7753,BFALSE,BFALSE);} 
BgL_n1z00_3023 = 
(long)CINT(BgL_tmpz00_7750); } 
BgL_test4274z00_7749 = 
(BgL_n1z00_3023>=((long)0)); } 
if(BgL_test4274z00_7749)
{ 
long BgL_auxz00_7759;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_tmpz00_7760;
if(
INTEGERP(BgL_index1366z00_848))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7760 = BgL_index1366z00_848
; }  else 
{ 
obj_t BgL_auxz00_7763;
BgL_auxz00_7763 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1366z00_848); 
FAILURE(BgL_auxz00_7763,BFALSE,BFALSE);} 
BgL_auxz00_7759 = 
(long)CINT(BgL_tmpz00_7760); } 
BgL_stringzd2ze3keyz31_829 = 
VECTOR_REF(BgL_opt1356z00_213,BgL_auxz00_7759); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_arg1907z00_850;obj_t BgL_arg1908z00_851;obj_t BgL_arg1909z00_852;
BgL_arg1907z00_850 = 
VECTOR_REF(BgL_opt1356z00_213,((long)0)); 
BgL_arg1908z00_851 = 
VECTOR_REF(BgL_opt1356z00_213,((long)1)); 
BgL_arg1909z00_852 = 
VECTOR_REF(BgL_opt1356z00_213,((long)2)); 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_ivz00_853;
BgL_ivz00_853 = BgL_ivz00_824; 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_modez00_854;
BgL_modez00_854 = BgL_modez00_825; 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_noncezd2initz12zc0_855;
BgL_noncezd2initz12zc0_855 = BgL_noncezd2initz12zc0_826; 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_noncezd2updatez12zc0_856;
BgL_noncezd2updatez12zc0_856 = BgL_noncezd2updatez12zc0_827; 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_padz00_857;
BgL_padz00_857 = BgL_padz00_828; 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_stringzd2ze3keyz31_858;
BgL_stringzd2ze3keyz31_858 = BgL_stringzd2ze3keyz31_829; 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_res2820z00_3035;
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_cipherz00_3025;obj_t BgL_passwordz00_3026;
if(
SYMBOLP(BgL_arg1907z00_850))
{ /* Llib/block_ciphers.scm 736 */
BgL_cipherz00_3025 = BgL_arg1907z00_850; }  else 
{ 
obj_t BgL_auxz00_7774;
BgL_auxz00_7774 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1907z00_850); 
FAILURE(BgL_auxz00_7774,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg1909z00_852))
{ /* Llib/block_ciphers.scm 736 */
BgL_passwordz00_3026 = BgL_arg1909z00_852; }  else 
{ 
obj_t BgL_auxz00_7780;
BgL_auxz00_7780 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)26745)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1909z00_852); 
FAILURE(BgL_auxz00_7780,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 740 */
obj_t BgL_redirectz00_3027;
if(
STRINGP(BgL_arg1908z00_851))
{ /* Llib/block_ciphers.scm 741 */
BgL_redirectz00_3027 = BGl_encryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 742 */
bool_t BgL_test4280z00_7786;
{ /* Llib/block_ciphers.scm 742 */
bool_t BgL_res2818z00_3032;
BgL_res2818z00_3032 = 
BGL_MMAPP(BgL_arg1908z00_851); 
BgL_test4280z00_7786 = BgL_res2818z00_3032; } 
if(BgL_test4280z00_7786)
{ /* Llib/block_ciphers.scm 742 */
BgL_redirectz00_3027 = BGl_encryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 743 */
bool_t BgL_test4281z00_7788;
{ /* Llib/block_ciphers.scm 743 */
bool_t BgL__ortest_1057z00_3033;
BgL__ortest_1057z00_3033 = 
OUTPUT_PORTP(BgL_arg1908z00_851); 
if(BgL__ortest_1057z00_3033)
{ /* Llib/block_ciphers.scm 743 */
BgL_test4281z00_7788 = BgL__ortest_1057z00_3033
; }  else 
{ /* Llib/block_ciphers.scm 743 */
BgL_test4281z00_7788 = 
INPUT_PORTP(BgL_arg1908z00_851)
; } } 
if(BgL_test4281z00_7788)
{ /* Llib/block_ciphers.scm 743 */
BgL_redirectz00_3027 = BGl_encryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 743 */
CNST_TABLE_REF(((long)15)); 
BgL_redirectz00_3027 = BgL_arg1908z00_851; } } } 
{ /* Llib/block_ciphers.scm 747 */
obj_t BgL_aux3333z00_5717;
{ /* Llib/block_ciphers.scm 747 */
obj_t BgL_tmpfunz00_7804;
{ /* Llib/block_ciphers.scm 747 */
bool_t BgL_test3332z00_5716;
BgL_test3332z00_5716 = 
PROCEDUREP(BgL_redirectz00_3027); 
if(BgL_test3332z00_5716)
{ /* Llib/block_ciphers.scm 747 */
BgL_tmpfunz00_7804 = BgL_redirectz00_3027
; }  else 
{ 
obj_t BgL_auxz00_7807;
BgL_auxz00_7807 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27156)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3751z00zz__cryptozd2blockzd2ciphersz00, BgL_redirectz00_3027); 
FAILURE(BgL_auxz00_7807,BFALSE,BFALSE);} } 
BgL_aux3333z00_5717 = 
PROCEDURE_ENTRY(BgL_tmpfunz00_7804)(BgL_redirectz00_3027, BgL_cipherz00_3025, BgL_arg1908z00_851, BgL_passwordz00_3026, BgL_ivz00_853, BgL_modez00_854, BgL_padz00_857, BgL_noncezd2initz12zc0_855, BgL_noncezd2updatez12zc0_856, BgL_stringzd2ze3keyz31_858, BEOA); } 
if(
STRINGP(BgL_aux3333z00_5717))
{ /* Llib/block_ciphers.scm 747 */
BgL_res2820z00_3035 = BgL_aux3333z00_5717; }  else 
{ 
obj_t BgL_auxz00_7813;
BgL_auxz00_7813 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27156)), BGl_string3748z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_aux3333z00_5717); 
FAILURE(BgL_auxz00_7813,BFALSE,BFALSE);} } } } 
return BgL_res2820z00_3035;} } } } } } } } } } } } } } } } } 

}



/* search1358~0 */
obj_t BGl_search1358ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1357z00_5678, obj_t BgL_opt1356z00_5677, obj_t BgL_k1z00_818, long BgL_iz00_819)
{
{ /* Llib/block_ciphers.scm 736 */
BGl_search1358ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_819==BgL_l1357z00_5678))
{ /* Llib/block_ciphers.scm 736 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 736 */
if(
(BgL_iz00_819==
(BgL_l1357z00_5678-((long)1))))
{ /* Llib/block_ciphers.scm 736 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)24)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1356z00_5677)));}  else 
{ /* Llib/block_ciphers.scm 736 */
obj_t BgL_vz00_863;
BgL_vz00_863 = 
VECTOR_REF(BgL_opt1356z00_5677,BgL_iz00_819); 
if(
(BgL_vz00_863==BgL_k1z00_818))
{ /* Llib/block_ciphers.scm 736 */
return 
BINT(
(BgL_iz00_819+((long)1)));}  else 
{ 
long BgL_iz00_7832;
BgL_iz00_7832 = 
(BgL_iz00_819+((long)2)); 
BgL_iz00_819 = BgL_iz00_7832; 
goto BGl_search1358ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* encrypt */
BGL_EXPORTED_DEF obj_t BGl_encryptz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_204, obj_t BgL_plaintextz00_205, obj_t BgL_passwordz00_206, obj_t BgL_ivz00_207, obj_t BgL_modez00_208, obj_t BgL_noncezd2initz12zc0_209, obj_t BgL_noncezd2updatez12zc0_210, obj_t BgL_padz00_211, obj_t BgL_stringzd2ze3keyz31_212)
{
{ /* Llib/block_ciphers.scm 736 */
{ /* Llib/block_ciphers.scm 740 */
obj_t BgL_redirectz00_3036;
if(
STRINGP(BgL_plaintextz00_205))
{ /* Llib/block_ciphers.scm 741 */
BgL_redirectz00_3036 = BGl_encryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 742 */
bool_t BgL_test4289z00_7836;
{ /* Llib/block_ciphers.scm 742 */
bool_t BgL_res2822z00_3041;
BgL_res2822z00_3041 = 
BGL_MMAPP(BgL_plaintextz00_205); 
BgL_test4289z00_7836 = BgL_res2822z00_3041; } 
if(BgL_test4289z00_7836)
{ /* Llib/block_ciphers.scm 742 */
BgL_redirectz00_3036 = BGl_encryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 743 */
bool_t BgL_test4290z00_7838;
{ /* Llib/block_ciphers.scm 743 */
bool_t BgL__ortest_1057z00_3042;
BgL__ortest_1057z00_3042 = 
OUTPUT_PORTP(BgL_plaintextz00_205); 
if(BgL__ortest_1057z00_3042)
{ /* Llib/block_ciphers.scm 743 */
BgL_test4290z00_7838 = BgL__ortest_1057z00_3042
; }  else 
{ /* Llib/block_ciphers.scm 743 */
BgL_test4290z00_7838 = 
INPUT_PORTP(BgL_plaintextz00_205)
; } } 
if(BgL_test4290z00_7838)
{ /* Llib/block_ciphers.scm 743 */
BgL_redirectz00_3036 = BGl_encryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 743 */
CNST_TABLE_REF(((long)15)); 
BgL_redirectz00_3036 = BgL_plaintextz00_205; } } } 
return 
PROCEDURE_ENTRY(BgL_redirectz00_3036)(BgL_redirectz00_3036, BgL_cipherz00_204, BgL_plaintextz00_205, BgL_passwordz00_206, BgL_ivz00_207, BgL_modez00_208, BgL_padz00_211, BgL_noncezd2initz12zc0_209, BgL_noncezd2updatez12zc0_210, BgL_stringzd2ze3keyz31_212, BEOA);} } 

}



/* _encrypt-string */
obj_t BGl__encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_225, obj_t BgL_opt1367z00_224)
{
{ /* Llib/block_ciphers.scm 750 */
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_cipherz00_875;obj_t BgL_plaintextz00_876;obj_t BgL_passwordz00_877;
BgL_cipherz00_875 = 
VECTOR_REF(BgL_opt1367z00_224,((long)0)); 
BgL_plaintextz00_876 = 
VECTOR_REF(BgL_opt1367z00_224,((long)1)); 
BgL_passwordz00_877 = 
VECTOR_REF(BgL_opt1367z00_224,((long)2)); 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_ivz00_878;
BgL_ivz00_878 = BFALSE; 
{ /* Llib/block_ciphers.scm 751 */
obj_t BgL_modez00_879;
BgL_modez00_879 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_noncezd2initz12zc0_880;
BgL_noncezd2initz12zc0_880 = BFALSE; 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_noncezd2updatez12zc0_881;
BgL_noncezd2updatez12zc0_881 = BFALSE; 
{ /* Llib/block_ciphers.scm 752 */
obj_t BgL_padz00_882;
BgL_padz00_882 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_stringzd2ze3keyz31_883;
BgL_stringzd2ze3keyz31_883 = BFALSE; 
{ /* Llib/block_ciphers.scm 750 */

{ 
long BgL_iz00_884;
BgL_iz00_884 = ((long)3); 
BgL_check1370z00_885:
if(
(BgL_iz00_884==
VECTOR_LENGTH(BgL_opt1367z00_224)))
{ /* Llib/block_ciphers.scm 750 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 750 */
bool_t BgL_test4293z00_7863;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_arg1925z00_891;
BgL_arg1925z00_891 = 
VECTOR_REF(BgL_opt1367z00_224,BgL_iz00_884); 
BgL_test4293z00_7863 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1925z00_891, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_test4293z00_7863)
{ 
long BgL_iz00_7868;
BgL_iz00_7868 = 
(BgL_iz00_884+((long)2)); 
BgL_iz00_884 = BgL_iz00_7868; 
goto BgL_check1370z00_885;}  else 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_arg1924z00_890;
BgL_arg1924z00_890 = 
VECTOR_REF(BgL_opt1367z00_224,BgL_iz00_884); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)31)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1924z00_890); } } } 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_index1372z00_892;
BgL_index1372z00_892 = 
BGl_search1369ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1367z00_224), BgL_opt1367z00_224, 
CNST_TABLE_REF(((long)25)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
bool_t BgL_test4294z00_7876;
{ /* Llib/block_ciphers.scm 750 */
long BgL_n1z00_3066;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7877;
if(
INTEGERP(BgL_index1372z00_892))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7877 = BgL_index1372z00_892
; }  else 
{ 
obj_t BgL_auxz00_7880;
BgL_auxz00_7880 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3753z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1372z00_892); 
FAILURE(BgL_auxz00_7880,BFALSE,BFALSE);} 
BgL_n1z00_3066 = 
(long)CINT(BgL_tmpz00_7877); } 
BgL_test4294z00_7876 = 
(BgL_n1z00_3066>=((long)0)); } 
if(BgL_test4294z00_7876)
{ 
long BgL_auxz00_7886;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7887;
if(
INTEGERP(BgL_index1372z00_892))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7887 = BgL_index1372z00_892
; }  else 
{ 
obj_t BgL_auxz00_7890;
BgL_auxz00_7890 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3753z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1372z00_892); 
FAILURE(BgL_auxz00_7890,BFALSE,BFALSE);} 
BgL_auxz00_7886 = 
(long)CINT(BgL_tmpz00_7887); } 
BgL_ivz00_878 = 
VECTOR_REF(BgL_opt1367z00_224,BgL_auxz00_7886); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_index1373z00_894;
BgL_index1373z00_894 = 
BGl_search1369ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1367z00_224), BgL_opt1367z00_224, 
CNST_TABLE_REF(((long)26)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
bool_t BgL_test4297z00_7899;
{ /* Llib/block_ciphers.scm 750 */
long BgL_n1z00_3068;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7900;
if(
INTEGERP(BgL_index1373z00_894))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7900 = BgL_index1373z00_894
; }  else 
{ 
obj_t BgL_auxz00_7903;
BgL_auxz00_7903 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3753z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1373z00_894); 
FAILURE(BgL_auxz00_7903,BFALSE,BFALSE);} 
BgL_n1z00_3068 = 
(long)CINT(BgL_tmpz00_7900); } 
BgL_test4297z00_7899 = 
(BgL_n1z00_3068>=((long)0)); } 
if(BgL_test4297z00_7899)
{ 
long BgL_auxz00_7909;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7910;
if(
INTEGERP(BgL_index1373z00_894))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7910 = BgL_index1373z00_894
; }  else 
{ 
obj_t BgL_auxz00_7913;
BgL_auxz00_7913 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3753z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1373z00_894); 
FAILURE(BgL_auxz00_7913,BFALSE,BFALSE);} 
BgL_auxz00_7909 = 
(long)CINT(BgL_tmpz00_7910); } 
BgL_modez00_879 = 
VECTOR_REF(BgL_opt1367z00_224,BgL_auxz00_7909); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_index1374z00_896;
BgL_index1374z00_896 = 
BGl_search1369ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1367z00_224), BgL_opt1367z00_224, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
bool_t BgL_test4300z00_7922;
{ /* Llib/block_ciphers.scm 750 */
long BgL_n1z00_3070;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7923;
if(
INTEGERP(BgL_index1374z00_896))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7923 = BgL_index1374z00_896
; }  else 
{ 
obj_t BgL_auxz00_7926;
BgL_auxz00_7926 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3753z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1374z00_896); 
FAILURE(BgL_auxz00_7926,BFALSE,BFALSE);} 
BgL_n1z00_3070 = 
(long)CINT(BgL_tmpz00_7923); } 
BgL_test4300z00_7922 = 
(BgL_n1z00_3070>=((long)0)); } 
if(BgL_test4300z00_7922)
{ 
long BgL_auxz00_7932;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7933;
if(
INTEGERP(BgL_index1374z00_896))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7933 = BgL_index1374z00_896
; }  else 
{ 
obj_t BgL_auxz00_7936;
BgL_auxz00_7936 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3753z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1374z00_896); 
FAILURE(BgL_auxz00_7936,BFALSE,BFALSE);} 
BgL_auxz00_7932 = 
(long)CINT(BgL_tmpz00_7933); } 
BgL_noncezd2initz12zc0_880 = 
VECTOR_REF(BgL_opt1367z00_224,BgL_auxz00_7932); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_index1375z00_898;
BgL_index1375z00_898 = 
BGl_search1369ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1367z00_224), BgL_opt1367z00_224, 
CNST_TABLE_REF(((long)28)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
bool_t BgL_test4303z00_7945;
{ /* Llib/block_ciphers.scm 750 */
long BgL_n1z00_3072;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7946;
if(
INTEGERP(BgL_index1375z00_898))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7946 = BgL_index1375z00_898
; }  else 
{ 
obj_t BgL_auxz00_7949;
BgL_auxz00_7949 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3753z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1375z00_898); 
FAILURE(BgL_auxz00_7949,BFALSE,BFALSE);} 
BgL_n1z00_3072 = 
(long)CINT(BgL_tmpz00_7946); } 
BgL_test4303z00_7945 = 
(BgL_n1z00_3072>=((long)0)); } 
if(BgL_test4303z00_7945)
{ 
long BgL_auxz00_7955;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7956;
if(
INTEGERP(BgL_index1375z00_898))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7956 = BgL_index1375z00_898
; }  else 
{ 
obj_t BgL_auxz00_7959;
BgL_auxz00_7959 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3753z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1375z00_898); 
FAILURE(BgL_auxz00_7959,BFALSE,BFALSE);} 
BgL_auxz00_7955 = 
(long)CINT(BgL_tmpz00_7956); } 
BgL_noncezd2updatez12zc0_881 = 
VECTOR_REF(BgL_opt1367z00_224,BgL_auxz00_7955); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_index1376z00_900;
BgL_index1376z00_900 = 
BGl_search1369ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1367z00_224), BgL_opt1367z00_224, 
CNST_TABLE_REF(((long)29)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
bool_t BgL_test4306z00_7968;
{ /* Llib/block_ciphers.scm 750 */
long BgL_n1z00_3074;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7969;
if(
INTEGERP(BgL_index1376z00_900))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7969 = BgL_index1376z00_900
; }  else 
{ 
obj_t BgL_auxz00_7972;
BgL_auxz00_7972 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3753z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1376z00_900); 
FAILURE(BgL_auxz00_7972,BFALSE,BFALSE);} 
BgL_n1z00_3074 = 
(long)CINT(BgL_tmpz00_7969); } 
BgL_test4306z00_7968 = 
(BgL_n1z00_3074>=((long)0)); } 
if(BgL_test4306z00_7968)
{ 
long BgL_auxz00_7978;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7979;
if(
INTEGERP(BgL_index1376z00_900))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7979 = BgL_index1376z00_900
; }  else 
{ 
obj_t BgL_auxz00_7982;
BgL_auxz00_7982 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3753z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1376z00_900); 
FAILURE(BgL_auxz00_7982,BFALSE,BFALSE);} 
BgL_auxz00_7978 = 
(long)CINT(BgL_tmpz00_7979); } 
BgL_padz00_882 = 
VECTOR_REF(BgL_opt1367z00_224,BgL_auxz00_7978); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_index1377z00_902;
BgL_index1377z00_902 = 
BGl_search1369ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1367z00_224), BgL_opt1367z00_224, 
CNST_TABLE_REF(((long)30)), ((long)3)); 
{ /* Llib/block_ciphers.scm 750 */
bool_t BgL_test4309z00_7991;
{ /* Llib/block_ciphers.scm 750 */
long BgL_n1z00_3076;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_7992;
if(
INTEGERP(BgL_index1377z00_902))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7992 = BgL_index1377z00_902
; }  else 
{ 
obj_t BgL_auxz00_7995;
BgL_auxz00_7995 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3753z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1377z00_902); 
FAILURE(BgL_auxz00_7995,BFALSE,BFALSE);} 
BgL_n1z00_3076 = 
(long)CINT(BgL_tmpz00_7992); } 
BgL_test4309z00_7991 = 
(BgL_n1z00_3076>=((long)0)); } 
if(BgL_test4309z00_7991)
{ 
long BgL_auxz00_8001;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_tmpz00_8002;
if(
INTEGERP(BgL_index1377z00_902))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_8002 = BgL_index1377z00_902
; }  else 
{ 
obj_t BgL_auxz00_8005;
BgL_auxz00_8005 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3753z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1377z00_902); 
FAILURE(BgL_auxz00_8005,BFALSE,BFALSE);} 
BgL_auxz00_8001 = 
(long)CINT(BgL_tmpz00_8002); } 
BgL_stringzd2ze3keyz31_883 = 
VECTOR_REF(BgL_opt1367z00_224,BgL_auxz00_8001); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_arg1932z00_904;obj_t BgL_arg1933z00_905;obj_t BgL_arg1934z00_906;
BgL_arg1932z00_904 = 
VECTOR_REF(BgL_opt1367z00_224,((long)0)); 
BgL_arg1933z00_905 = 
VECTOR_REF(BgL_opt1367z00_224,((long)1)); 
BgL_arg1934z00_906 = 
VECTOR_REF(BgL_opt1367z00_224,((long)2)); 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_ivz00_907;
BgL_ivz00_907 = BgL_ivz00_878; 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_modez00_908;
BgL_modez00_908 = BgL_modez00_879; 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_noncezd2initz12zc0_909;
BgL_noncezd2initz12zc0_909 = BgL_noncezd2initz12zc0_880; 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_noncezd2updatez12zc0_910;
BgL_noncezd2updatez12zc0_910 = BgL_noncezd2updatez12zc0_881; 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_padz00_911;
BgL_padz00_911 = BgL_padz00_882; 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_stringzd2ze3keyz31_912;
BgL_stringzd2ze3keyz31_912 = BgL_stringzd2ze3keyz31_883; 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_res2837z00_3081;
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_cipherz00_3078;obj_t BgL_plaintextz00_3079;obj_t BgL_passwordz00_3080;
if(
SYMBOLP(BgL_arg1932z00_904))
{ /* Llib/block_ciphers.scm 750 */
BgL_cipherz00_3078 = BgL_arg1932z00_904; }  else 
{ 
obj_t BgL_auxz00_8016;
BgL_auxz00_8016 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3753z00zz__cryptozd2blockzd2ciphersz00, BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1932z00_904); 
FAILURE(BgL_auxz00_8016,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg1933z00_905))
{ /* Llib/block_ciphers.scm 750 */
BgL_plaintextz00_3079 = BgL_arg1933z00_905; }  else 
{ 
obj_t BgL_auxz00_8022;
BgL_auxz00_8022 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3753z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1933z00_905); 
FAILURE(BgL_auxz00_8022,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg1934z00_906))
{ /* Llib/block_ciphers.scm 750 */
BgL_passwordz00_3080 = BgL_arg1934z00_906; }  else 
{ 
obj_t BgL_auxz00_8028;
BgL_auxz00_8028 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27248)), BGl_string3753z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1934z00_906); 
FAILURE(BgL_auxz00_8028,BFALSE,BFALSE);} 
BgL_res2837z00_3081 = 
BGl_encryptzd2fastzd2stringz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3078, BgL_plaintextz00_3079, BgL_passwordz00_3080, BgL_ivz00_907, BgL_modez00_908, BgL_padz00_911, BgL_noncezd2initz12zc0_909, BgL_noncezd2updatez12zc0_910, BgL_stringzd2ze3keyz31_912); } 
return BgL_res2837z00_3081;} } } } } } } } } } } } } } } } } 

}



/* search1369~0 */
obj_t BGl_search1369ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1368z00_5676, obj_t BgL_opt1367z00_5675, obj_t BgL_k1z00_872, long BgL_iz00_873)
{
{ /* Llib/block_ciphers.scm 750 */
BGl_search1369ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_873==BgL_l1368z00_5676))
{ /* Llib/block_ciphers.scm 750 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 750 */
if(
(BgL_iz00_873==
(BgL_l1368z00_5676-((long)1))))
{ /* Llib/block_ciphers.scm 750 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)31)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1367z00_5675)));}  else 
{ /* Llib/block_ciphers.scm 750 */
obj_t BgL_vz00_917;
BgL_vz00_917 = 
VECTOR_REF(BgL_opt1367z00_5675,BgL_iz00_873); 
if(
(BgL_vz00_917==BgL_k1z00_872))
{ /* Llib/block_ciphers.scm 750 */
return 
BINT(
(BgL_iz00_873+((long)1)));}  else 
{ 
long BgL_iz00_8048;
BgL_iz00_8048 = 
(BgL_iz00_873+((long)2)); 
BgL_iz00_873 = BgL_iz00_8048; 
goto BGl_search1369ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* encrypt-string */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_215, obj_t BgL_plaintextz00_216, obj_t BgL_passwordz00_217, obj_t BgL_ivz00_218, obj_t BgL_modez00_219, obj_t BgL_noncezd2initz12zc0_220, obj_t BgL_noncezd2updatez12zc0_221, obj_t BgL_padz00_222, obj_t BgL_stringzd2ze3keyz31_223)
{
{ /* Llib/block_ciphers.scm 750 */
{ /* Llib/block_ciphers.scm 765 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3083;
BgL_statez00_3083 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_215, BgL_passwordz00_217, BgL_ivz00_218, BgL_modez00_219, BgL_padz00_222, BgL_noncezd2initz12zc0_220, BgL_noncezd2updatez12zc0_221, BgL_stringzd2ze3keyz31_223); 
{ /* Llib/block_ciphers.scm 765 */
long BgL_blockzd2siza7ez75_3084;
BgL_blockzd2siza7ez75_3084 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_statez00_3083))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 768 */
obj_t BgL_strz00_3086;
{ /* Llib/block_ciphers.scm 770 */
long BgL_arg1943z00_3087;
BgL_arg1943z00_3087 = 
(
(((long)2)*BgL_blockzd2siza7ez75_3084)+
STRING_LENGTH(BgL_plaintextz00_216)); 
{ /* Llib/block_ciphers.scm 770 */

BgL_strz00_3086 = 
make_string(BgL_arg1943z00_3087, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 770 */

{ /* Llib/block_ciphers.scm 771 */
long BgL_tmpz00_8056;
BgL_tmpz00_8056 = 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3083, BgL_plaintextz00_216, ((long)0), BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3086, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_3086, BgL_tmpz00_8056);} } } } } } 

}



/* encrypt-fast-string */
obj_t BGl_encryptzd2fastzd2stringz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_226, obj_t BgL_plaintextz00_227, obj_t BgL_passwordz00_228, obj_t BgL_ivz00_229, obj_t BgL_modez00_230, obj_t BgL_padz00_231, obj_t BgL_noncezd2initz12zc0_232, obj_t BgL_noncezd2updatez12zc0_233, obj_t BgL_stringzd2ze3keyz31_234)
{
{ /* Llib/block_ciphers.scm 759 */
{ /* Llib/block_ciphers.scm 765 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3104;
BgL_statez00_3104 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_226, BgL_passwordz00_228, BgL_ivz00_229, BgL_modez00_230, BgL_padz00_231, BgL_noncezd2initz12zc0_232, BgL_noncezd2updatez12zc0_233, BgL_stringzd2ze3keyz31_234); 
{ /* Llib/block_ciphers.scm 765 */
long BgL_blockzd2siza7ez75_3105;
BgL_blockzd2siza7ez75_3105 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_statez00_3104))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 768 */
obj_t BgL_strz00_3107;
{ /* Llib/block_ciphers.scm 770 */
long BgL_arg1943z00_3108;
BgL_arg1943z00_3108 = 
(
(((long)2)*BgL_blockzd2siza7ez75_3105)+
STRING_LENGTH(BgL_plaintextz00_227)); 
{ /* Llib/block_ciphers.scm 770 */

BgL_strz00_3107 = 
make_string(BgL_arg1943z00_3108, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 770 */

{ /* Llib/block_ciphers.scm 771 */
long BgL_tmpz00_8065;
BgL_tmpz00_8065 = 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3104, BgL_plaintextz00_227, ((long)0), BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3107, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_3107, BgL_tmpz00_8065);} } } } } } 

}



/* &encrypt-fast-string */
obj_t BGl_z62encryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4987, obj_t BgL_cipherz00_4988, obj_t BgL_plaintextz00_4989, obj_t BgL_passwordz00_4990, obj_t BgL_ivz00_4991, obj_t BgL_modez00_4992, obj_t BgL_padz00_4993, obj_t BgL_noncezd2initz12zc0_4994, obj_t BgL_noncezd2updatez12zc0_4995, obj_t BgL_stringzd2ze3keyz31_4996)
{
{ /* Llib/block_ciphers.scm 759 */
{ /* Llib/block_ciphers.scm 765 */
obj_t BgL_auxz00_8068;
if(
STRINGP(BgL_plaintextz00_4989))
{ /* Llib/block_ciphers.scm 765 */
BgL_auxz00_8068 = BgL_plaintextz00_4989
; }  else 
{ 
obj_t BgL_auxz00_8071;
BgL_auxz00_8071 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)27766)), BGl_string3754z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_plaintextz00_4989); 
FAILURE(BgL_auxz00_8071,BFALSE,BFALSE);} 
return 
BGl_encryptzd2fastzd2stringz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4988, BgL_auxz00_8068, BgL_passwordz00_4990, BgL_ivz00_4991, BgL_modez00_4992, BgL_padz00_4993, BgL_noncezd2initz12zc0_4994, BgL_noncezd2updatez12zc0_4995, BgL_stringzd2ze3keyz31_4996);} } 

}



/* _encrypt-mmap */
obj_t BGl__encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_245, obj_t BgL_opt1378z00_244)
{
{ /* Llib/block_ciphers.scm 776 */
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_cipherz00_935;obj_t BgL_plaintextz00_936;obj_t BgL_passwordz00_937;
BgL_cipherz00_935 = 
VECTOR_REF(BgL_opt1378z00_244,((long)0)); 
BgL_plaintextz00_936 = 
VECTOR_REF(BgL_opt1378z00_244,((long)1)); 
BgL_passwordz00_937 = 
VECTOR_REF(BgL_opt1378z00_244,((long)2)); 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_ivz00_938;
BgL_ivz00_938 = BFALSE; 
{ /* Llib/block_ciphers.scm 777 */
obj_t BgL_modez00_939;
BgL_modez00_939 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_noncezd2initz12zc0_940;
BgL_noncezd2initz12zc0_940 = BFALSE; 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_noncezd2updatez12zc0_941;
BgL_noncezd2updatez12zc0_941 = BFALSE; 
{ /* Llib/block_ciphers.scm 777 */
obj_t BgL_padz00_942;
BgL_padz00_942 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_stringzd2ze3keyz31_943;
BgL_stringzd2ze3keyz31_943 = BFALSE; 
{ /* Llib/block_ciphers.scm 776 */

{ 
long BgL_iz00_944;
BgL_iz00_944 = ((long)3); 
BgL_check1381z00_945:
if(
(BgL_iz00_944==
VECTOR_LENGTH(BgL_opt1378z00_244)))
{ /* Llib/block_ciphers.scm 776 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 776 */
bool_t BgL_test4320z00_8084;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_arg1951z00_951;
BgL_arg1951z00_951 = 
VECTOR_REF(BgL_opt1378z00_244,BgL_iz00_944); 
BgL_test4320z00_8084 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1951z00_951, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_test4320z00_8084)
{ 
long BgL_iz00_8089;
BgL_iz00_8089 = 
(BgL_iz00_944+((long)2)); 
BgL_iz00_944 = BgL_iz00_8089; 
goto BgL_check1381z00_945;}  else 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_arg1950z00_950;
BgL_arg1950z00_950 = 
VECTOR_REF(BgL_opt1378z00_244,BgL_iz00_944); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)32)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1950z00_950); } } } 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_index1383z00_952;
BgL_index1383z00_952 = 
BGl_search1380ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1378z00_244), BgL_opt1378z00_244, 
CNST_TABLE_REF(((long)25)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
bool_t BgL_test4321z00_8097;
{ /* Llib/block_ciphers.scm 776 */
long BgL_n1z00_3147;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8098;
if(
INTEGERP(BgL_index1383z00_952))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8098 = BgL_index1383z00_952
; }  else 
{ 
obj_t BgL_auxz00_8101;
BgL_auxz00_8101 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1383z00_952); 
FAILURE(BgL_auxz00_8101,BFALSE,BFALSE);} 
BgL_n1z00_3147 = 
(long)CINT(BgL_tmpz00_8098); } 
BgL_test4321z00_8097 = 
(BgL_n1z00_3147>=((long)0)); } 
if(BgL_test4321z00_8097)
{ 
long BgL_auxz00_8107;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8108;
if(
INTEGERP(BgL_index1383z00_952))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8108 = BgL_index1383z00_952
; }  else 
{ 
obj_t BgL_auxz00_8111;
BgL_auxz00_8111 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1383z00_952); 
FAILURE(BgL_auxz00_8111,BFALSE,BFALSE);} 
BgL_auxz00_8107 = 
(long)CINT(BgL_tmpz00_8108); } 
BgL_ivz00_938 = 
VECTOR_REF(BgL_opt1378z00_244,BgL_auxz00_8107); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_index1384z00_954;
BgL_index1384z00_954 = 
BGl_search1380ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1378z00_244), BgL_opt1378z00_244, 
CNST_TABLE_REF(((long)26)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
bool_t BgL_test4324z00_8120;
{ /* Llib/block_ciphers.scm 776 */
long BgL_n1z00_3149;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8121;
if(
INTEGERP(BgL_index1384z00_954))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8121 = BgL_index1384z00_954
; }  else 
{ 
obj_t BgL_auxz00_8124;
BgL_auxz00_8124 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1384z00_954); 
FAILURE(BgL_auxz00_8124,BFALSE,BFALSE);} 
BgL_n1z00_3149 = 
(long)CINT(BgL_tmpz00_8121); } 
BgL_test4324z00_8120 = 
(BgL_n1z00_3149>=((long)0)); } 
if(BgL_test4324z00_8120)
{ 
long BgL_auxz00_8130;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8131;
if(
INTEGERP(BgL_index1384z00_954))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8131 = BgL_index1384z00_954
; }  else 
{ 
obj_t BgL_auxz00_8134;
BgL_auxz00_8134 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1384z00_954); 
FAILURE(BgL_auxz00_8134,BFALSE,BFALSE);} 
BgL_auxz00_8130 = 
(long)CINT(BgL_tmpz00_8131); } 
BgL_modez00_939 = 
VECTOR_REF(BgL_opt1378z00_244,BgL_auxz00_8130); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_index1385z00_956;
BgL_index1385z00_956 = 
BGl_search1380ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1378z00_244), BgL_opt1378z00_244, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
bool_t BgL_test4327z00_8143;
{ /* Llib/block_ciphers.scm 776 */
long BgL_n1z00_3151;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8144;
if(
INTEGERP(BgL_index1385z00_956))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8144 = BgL_index1385z00_956
; }  else 
{ 
obj_t BgL_auxz00_8147;
BgL_auxz00_8147 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1385z00_956); 
FAILURE(BgL_auxz00_8147,BFALSE,BFALSE);} 
BgL_n1z00_3151 = 
(long)CINT(BgL_tmpz00_8144); } 
BgL_test4327z00_8143 = 
(BgL_n1z00_3151>=((long)0)); } 
if(BgL_test4327z00_8143)
{ 
long BgL_auxz00_8153;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8154;
if(
INTEGERP(BgL_index1385z00_956))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8154 = BgL_index1385z00_956
; }  else 
{ 
obj_t BgL_auxz00_8157;
BgL_auxz00_8157 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1385z00_956); 
FAILURE(BgL_auxz00_8157,BFALSE,BFALSE);} 
BgL_auxz00_8153 = 
(long)CINT(BgL_tmpz00_8154); } 
BgL_noncezd2initz12zc0_940 = 
VECTOR_REF(BgL_opt1378z00_244,BgL_auxz00_8153); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_index1386z00_958;
BgL_index1386z00_958 = 
BGl_search1380ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1378z00_244), BgL_opt1378z00_244, 
CNST_TABLE_REF(((long)28)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
bool_t BgL_test4330z00_8166;
{ /* Llib/block_ciphers.scm 776 */
long BgL_n1z00_3153;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8167;
if(
INTEGERP(BgL_index1386z00_958))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8167 = BgL_index1386z00_958
; }  else 
{ 
obj_t BgL_auxz00_8170;
BgL_auxz00_8170 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1386z00_958); 
FAILURE(BgL_auxz00_8170,BFALSE,BFALSE);} 
BgL_n1z00_3153 = 
(long)CINT(BgL_tmpz00_8167); } 
BgL_test4330z00_8166 = 
(BgL_n1z00_3153>=((long)0)); } 
if(BgL_test4330z00_8166)
{ 
long BgL_auxz00_8176;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8177;
if(
INTEGERP(BgL_index1386z00_958))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8177 = BgL_index1386z00_958
; }  else 
{ 
obj_t BgL_auxz00_8180;
BgL_auxz00_8180 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1386z00_958); 
FAILURE(BgL_auxz00_8180,BFALSE,BFALSE);} 
BgL_auxz00_8176 = 
(long)CINT(BgL_tmpz00_8177); } 
BgL_noncezd2updatez12zc0_941 = 
VECTOR_REF(BgL_opt1378z00_244,BgL_auxz00_8176); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_index1387z00_960;
BgL_index1387z00_960 = 
BGl_search1380ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1378z00_244), BgL_opt1378z00_244, 
CNST_TABLE_REF(((long)29)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
bool_t BgL_test4333z00_8189;
{ /* Llib/block_ciphers.scm 776 */
long BgL_n1z00_3155;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8190;
if(
INTEGERP(BgL_index1387z00_960))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8190 = BgL_index1387z00_960
; }  else 
{ 
obj_t BgL_auxz00_8193;
BgL_auxz00_8193 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1387z00_960); 
FAILURE(BgL_auxz00_8193,BFALSE,BFALSE);} 
BgL_n1z00_3155 = 
(long)CINT(BgL_tmpz00_8190); } 
BgL_test4333z00_8189 = 
(BgL_n1z00_3155>=((long)0)); } 
if(BgL_test4333z00_8189)
{ 
long BgL_auxz00_8199;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8200;
if(
INTEGERP(BgL_index1387z00_960))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8200 = BgL_index1387z00_960
; }  else 
{ 
obj_t BgL_auxz00_8203;
BgL_auxz00_8203 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1387z00_960); 
FAILURE(BgL_auxz00_8203,BFALSE,BFALSE);} 
BgL_auxz00_8199 = 
(long)CINT(BgL_tmpz00_8200); } 
BgL_padz00_942 = 
VECTOR_REF(BgL_opt1378z00_244,BgL_auxz00_8199); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_index1388z00_962;
BgL_index1388z00_962 = 
BGl_search1380ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1378z00_244), BgL_opt1378z00_244, 
CNST_TABLE_REF(((long)30)), ((long)3)); 
{ /* Llib/block_ciphers.scm 776 */
bool_t BgL_test4336z00_8212;
{ /* Llib/block_ciphers.scm 776 */
long BgL_n1z00_3157;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8213;
if(
INTEGERP(BgL_index1388z00_962))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8213 = BgL_index1388z00_962
; }  else 
{ 
obj_t BgL_auxz00_8216;
BgL_auxz00_8216 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1388z00_962); 
FAILURE(BgL_auxz00_8216,BFALSE,BFALSE);} 
BgL_n1z00_3157 = 
(long)CINT(BgL_tmpz00_8213); } 
BgL_test4336z00_8212 = 
(BgL_n1z00_3157>=((long)0)); } 
if(BgL_test4336z00_8212)
{ 
long BgL_auxz00_8222;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_tmpz00_8223;
if(
INTEGERP(BgL_index1388z00_962))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8223 = BgL_index1388z00_962
; }  else 
{ 
obj_t BgL_auxz00_8226;
BgL_auxz00_8226 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1388z00_962); 
FAILURE(BgL_auxz00_8226,BFALSE,BFALSE);} 
BgL_auxz00_8222 = 
(long)CINT(BgL_tmpz00_8223); } 
BgL_stringzd2ze3keyz31_943 = 
VECTOR_REF(BgL_opt1378z00_244,BgL_auxz00_8222); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_arg1958z00_964;obj_t BgL_arg1959z00_965;obj_t BgL_arg1960z00_966;
BgL_arg1958z00_964 = 
VECTOR_REF(BgL_opt1378z00_244,((long)0)); 
BgL_arg1959z00_965 = 
VECTOR_REF(BgL_opt1378z00_244,((long)1)); 
BgL_arg1960z00_966 = 
VECTOR_REF(BgL_opt1378z00_244,((long)2)); 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_ivz00_967;
BgL_ivz00_967 = BgL_ivz00_938; 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_modez00_968;
BgL_modez00_968 = BgL_modez00_939; 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_noncezd2initz12zc0_969;
BgL_noncezd2initz12zc0_969 = BgL_noncezd2initz12zc0_940; 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_noncezd2updatez12zc0_970;
BgL_noncezd2updatez12zc0_970 = BgL_noncezd2updatez12zc0_941; 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_padz00_971;
BgL_padz00_971 = BgL_padz00_942; 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_stringzd2ze3keyz31_972;
BgL_stringzd2ze3keyz31_972 = BgL_stringzd2ze3keyz31_943; 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_res2859z00_3162;
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_cipherz00_3159;obj_t BgL_plaintextz00_3160;obj_t BgL_passwordz00_3161;
if(
SYMBOLP(BgL_arg1958z00_964))
{ /* Llib/block_ciphers.scm 776 */
BgL_cipherz00_3159 = BgL_arg1958z00_964; }  else 
{ 
obj_t BgL_auxz00_8237;
BgL_auxz00_8237 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1958z00_964); 
FAILURE(BgL_auxz00_8237,BFALSE,BFALSE);} 
if(
BGL_MMAPP(BgL_arg1959z00_965))
{ /* Llib/block_ciphers.scm 776 */
BgL_plaintextz00_3160 = BgL_arg1959z00_965; }  else 
{ 
obj_t BgL_auxz00_8243;
BgL_auxz00_8243 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3756z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1959z00_965); 
FAILURE(BgL_auxz00_8243,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg1960z00_966))
{ /* Llib/block_ciphers.scm 776 */
BgL_passwordz00_3161 = BgL_arg1960z00_966; }  else 
{ 
obj_t BgL_auxz00_8249;
BgL_auxz00_8249 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28176)), BGl_string3755z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1960z00_966); 
FAILURE(BgL_auxz00_8249,BFALSE,BFALSE);} 
BgL_res2859z00_3162 = 
BGl_encryptzd2fastzd2mmapz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3159, BgL_plaintextz00_3160, BgL_passwordz00_3161, BgL_ivz00_967, BgL_modez00_968, BgL_padz00_971, BgL_noncezd2initz12zc0_969, BgL_noncezd2updatez12zc0_970, BgL_stringzd2ze3keyz31_972); } 
return BgL_res2859z00_3162;} } } } } } } } } } } } } } } } } 

}



/* search1380~0 */
obj_t BGl_search1380ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1379z00_5674, obj_t BgL_opt1378z00_5673, obj_t BgL_k1z00_932, long BgL_iz00_933)
{
{ /* Llib/block_ciphers.scm 776 */
BGl_search1380ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_933==BgL_l1379z00_5674))
{ /* Llib/block_ciphers.scm 776 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 776 */
if(
(BgL_iz00_933==
(BgL_l1379z00_5674-((long)1))))
{ /* Llib/block_ciphers.scm 776 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)32)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1378z00_5673)));}  else 
{ /* Llib/block_ciphers.scm 776 */
obj_t BgL_vz00_977;
BgL_vz00_977 = 
VECTOR_REF(BgL_opt1378z00_5673,BgL_iz00_933); 
if(
(BgL_vz00_977==BgL_k1z00_932))
{ /* Llib/block_ciphers.scm 776 */
return 
BINT(
(BgL_iz00_933+((long)1)));}  else 
{ 
long BgL_iz00_8269;
BgL_iz00_8269 = 
(BgL_iz00_933+((long)2)); 
BgL_iz00_933 = BgL_iz00_8269; 
goto BGl_search1380ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* encrypt-mmap */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_235, obj_t BgL_plaintextz00_236, obj_t BgL_passwordz00_237, obj_t BgL_ivz00_238, obj_t BgL_modez00_239, obj_t BgL_noncezd2initz12zc0_240, obj_t BgL_noncezd2updatez12zc0_241, obj_t BgL_padz00_242, obj_t BgL_stringzd2ze3keyz31_243)
{
{ /* Llib/block_ciphers.scm 776 */
{ /* Llib/block_ciphers.scm 789 */
long BgL_lenz00_3164;
{ /* Llib/block_ciphers.scm 789 */
long BgL_res2860z00_3175;
BgL_res2860z00_3175 = 
BGL_MMAP_LENGTH(BgL_plaintextz00_236); 
BgL_lenz00_3164 = BgL_res2860z00_3175; } 
{ /* Llib/block_ciphers.scm 789 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3165;
BgL_statez00_3165 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_235, BgL_passwordz00_237, BgL_ivz00_238, BgL_modez00_239, BgL_padz00_242, BgL_noncezd2initz12zc0_240, BgL_noncezd2updatez12zc0_241, BgL_stringzd2ze3keyz31_243); 
{ /* Llib/block_ciphers.scm 790 */
obj_t BgL_strz00_3166;
{ /* Llib/block_ciphers.scm 793 */
long BgL_arg1969z00_3167;
{ /* Llib/block_ciphers.scm 793 */
long BgL_za72za7_3179;
BgL_za72za7_3179 = 
(long)(BgL_lenz00_3164); 
BgL_arg1969z00_3167 = 
(
(((long)2)*
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_statez00_3165))->BgL_blockzd2siza7ez75))+BgL_za72za7_3179); } 
{ /* Llib/block_ciphers.scm 793 */

BgL_strz00_3166 = 
make_string(BgL_arg1969z00_3167, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 793 */

{ /* Llib/block_ciphers.scm 796 */
long BgL_tmpz00_8278;
BgL_tmpz00_8278 = 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3165, BgL_plaintextz00_236, ((long)0), BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3166, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_3166, BgL_tmpz00_8278);} } } } } } 

}



/* encrypt-fast-mmap */
obj_t BGl_encryptzd2fastzd2mmapz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_246, obj_t BgL_plaintextz00_247, obj_t BgL_passwordz00_248, obj_t BgL_ivz00_249, obj_t BgL_modez00_250, obj_t BgL_padz00_251, obj_t BgL_noncezd2initz12zc0_252, obj_t BgL_noncezd2updatez12zc0_253, obj_t BgL_stringzd2ze3keyz31_254)
{
{ /* Llib/block_ciphers.scm 784 */
{ /* Llib/block_ciphers.scm 789 */
long BgL_lenz00_3185;
{ /* Llib/block_ciphers.scm 789 */
long BgL_res2864z00_3196;
BgL_res2864z00_3196 = 
BGL_MMAP_LENGTH(BgL_plaintextz00_247); 
BgL_lenz00_3185 = BgL_res2864z00_3196; } 
{ /* Llib/block_ciphers.scm 789 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3186;
BgL_statez00_3186 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_246, BgL_passwordz00_248, BgL_ivz00_249, BgL_modez00_250, BgL_padz00_251, BgL_noncezd2initz12zc0_252, BgL_noncezd2updatez12zc0_253, BgL_stringzd2ze3keyz31_254); 
{ /* Llib/block_ciphers.scm 790 */
obj_t BgL_strz00_3187;
{ /* Llib/block_ciphers.scm 793 */
long BgL_arg1969z00_3188;
{ /* Llib/block_ciphers.scm 793 */
long BgL_za72za7_3200;
BgL_za72za7_3200 = 
(long)(BgL_lenz00_3185); 
BgL_arg1969z00_3188 = 
(
(((long)2)*
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_statez00_3186))->BgL_blockzd2siza7ez75))+BgL_za72za7_3200); } 
{ /* Llib/block_ciphers.scm 793 */

BgL_strz00_3187 = 
make_string(BgL_arg1969z00_3188, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 793 */

{ /* Llib/block_ciphers.scm 796 */
long BgL_tmpz00_8288;
BgL_tmpz00_8288 = 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3186, BgL_plaintextz00_247, ((long)0), BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3187, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_3187, BgL_tmpz00_8288);} } } } } } 

}



/* &encrypt-fast-mmap */
obj_t BGl_z62encryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4997, obj_t BgL_cipherz00_4998, obj_t BgL_plaintextz00_4999, obj_t BgL_passwordz00_5000, obj_t BgL_ivz00_5001, obj_t BgL_modez00_5002, obj_t BgL_padz00_5003, obj_t BgL_noncezd2initz12zc0_5004, obj_t BgL_noncezd2updatez12zc0_5005, obj_t BgL_stringzd2ze3keyz31_5006)
{
{ /* Llib/block_ciphers.scm 784 */
{ /* Llib/block_ciphers.scm 789 */
obj_t BgL_auxz00_8291;
if(
BGL_MMAPP(BgL_plaintextz00_4999))
{ /* Llib/block_ciphers.scm 789 */
BgL_auxz00_8291 = BgL_plaintextz00_4999
; }  else 
{ 
obj_t BgL_auxz00_8294;
BgL_auxz00_8294 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)28697)), BGl_string3757z00zz__cryptozd2blockzd2ciphersz00, BGl_string3756z00zz__cryptozd2blockzd2ciphersz00, BgL_plaintextz00_4999); 
FAILURE(BgL_auxz00_8294,BFALSE,BFALSE);} 
return 
BGl_encryptzd2fastzd2mmapz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4998, BgL_auxz00_8291, BgL_passwordz00_5000, BgL_ivz00_5001, BgL_modez00_5002, BgL_padz00_5003, BgL_noncezd2initz12zc0_5004, BgL_noncezd2updatez12zc0_5005, BgL_stringzd2ze3keyz31_5006);} } 

}



/* _encrypt-port */
obj_t BGl__encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_265, obj_t BgL_opt1389z00_264)
{
{ /* Llib/block_ciphers.scm 801 */
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_cipherz00_995;obj_t BgL_plaintextz00_996;obj_t BgL_passwordz00_997;
BgL_cipherz00_995 = 
VECTOR_REF(BgL_opt1389z00_264,((long)0)); 
BgL_plaintextz00_996 = 
VECTOR_REF(BgL_opt1389z00_264,((long)1)); 
BgL_passwordz00_997 = 
VECTOR_REF(BgL_opt1389z00_264,((long)2)); 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_ivz00_998;
BgL_ivz00_998 = BFALSE; 
{ /* Llib/block_ciphers.scm 802 */
obj_t BgL_modez00_999;
BgL_modez00_999 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_noncezd2initz12zc0_1000;
BgL_noncezd2initz12zc0_1000 = BFALSE; 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_noncezd2updatez12zc0_1001;
BgL_noncezd2updatez12zc0_1001 = BFALSE; 
{ /* Llib/block_ciphers.scm 802 */
obj_t BgL_padz00_1002;
BgL_padz00_1002 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_stringzd2ze3keyz31_1003;
BgL_stringzd2ze3keyz31_1003 = BFALSE; 
{ /* Llib/block_ciphers.scm 801 */

{ 
long BgL_iz00_1004;
BgL_iz00_1004 = ((long)3); 
BgL_check1392z00_1005:
if(
(BgL_iz00_1004==
VECTOR_LENGTH(BgL_opt1389z00_264)))
{ /* Llib/block_ciphers.scm 801 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 801 */
bool_t BgL_test4347z00_8307;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_arg1977z00_1011;
BgL_arg1977z00_1011 = 
VECTOR_REF(BgL_opt1389z00_264,BgL_iz00_1004); 
BgL_test4347z00_8307 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1977z00_1011, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_test4347z00_8307)
{ 
long BgL_iz00_8312;
BgL_iz00_8312 = 
(BgL_iz00_1004+((long)2)); 
BgL_iz00_1004 = BgL_iz00_8312; 
goto BgL_check1392z00_1005;}  else 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_arg1976z00_1010;
BgL_arg1976z00_1010 = 
VECTOR_REF(BgL_opt1389z00_264,BgL_iz00_1004); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)33)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1976z00_1010); } } } 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_index1394z00_1012;
BgL_index1394z00_1012 = 
BGl_search1391ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1389z00_264), BgL_opt1389z00_264, 
CNST_TABLE_REF(((long)25)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
bool_t BgL_test4348z00_8320;
{ /* Llib/block_ciphers.scm 801 */
long BgL_n1z00_3228;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8321;
if(
INTEGERP(BgL_index1394z00_1012))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8321 = BgL_index1394z00_1012
; }  else 
{ 
obj_t BgL_auxz00_8324;
BgL_auxz00_8324 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3758z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1394z00_1012); 
FAILURE(BgL_auxz00_8324,BFALSE,BFALSE);} 
BgL_n1z00_3228 = 
(long)CINT(BgL_tmpz00_8321); } 
BgL_test4348z00_8320 = 
(BgL_n1z00_3228>=((long)0)); } 
if(BgL_test4348z00_8320)
{ 
long BgL_auxz00_8330;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8331;
if(
INTEGERP(BgL_index1394z00_1012))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8331 = BgL_index1394z00_1012
; }  else 
{ 
obj_t BgL_auxz00_8334;
BgL_auxz00_8334 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3758z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1394z00_1012); 
FAILURE(BgL_auxz00_8334,BFALSE,BFALSE);} 
BgL_auxz00_8330 = 
(long)CINT(BgL_tmpz00_8331); } 
BgL_ivz00_998 = 
VECTOR_REF(BgL_opt1389z00_264,BgL_auxz00_8330); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_index1395z00_1014;
BgL_index1395z00_1014 = 
BGl_search1391ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1389z00_264), BgL_opt1389z00_264, 
CNST_TABLE_REF(((long)26)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
bool_t BgL_test4351z00_8343;
{ /* Llib/block_ciphers.scm 801 */
long BgL_n1z00_3230;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8344;
if(
INTEGERP(BgL_index1395z00_1014))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8344 = BgL_index1395z00_1014
; }  else 
{ 
obj_t BgL_auxz00_8347;
BgL_auxz00_8347 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3758z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1395z00_1014); 
FAILURE(BgL_auxz00_8347,BFALSE,BFALSE);} 
BgL_n1z00_3230 = 
(long)CINT(BgL_tmpz00_8344); } 
BgL_test4351z00_8343 = 
(BgL_n1z00_3230>=((long)0)); } 
if(BgL_test4351z00_8343)
{ 
long BgL_auxz00_8353;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8354;
if(
INTEGERP(BgL_index1395z00_1014))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8354 = BgL_index1395z00_1014
; }  else 
{ 
obj_t BgL_auxz00_8357;
BgL_auxz00_8357 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3758z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1395z00_1014); 
FAILURE(BgL_auxz00_8357,BFALSE,BFALSE);} 
BgL_auxz00_8353 = 
(long)CINT(BgL_tmpz00_8354); } 
BgL_modez00_999 = 
VECTOR_REF(BgL_opt1389z00_264,BgL_auxz00_8353); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_index1396z00_1016;
BgL_index1396z00_1016 = 
BGl_search1391ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1389z00_264), BgL_opt1389z00_264, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
bool_t BgL_test4354z00_8366;
{ /* Llib/block_ciphers.scm 801 */
long BgL_n1z00_3232;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8367;
if(
INTEGERP(BgL_index1396z00_1016))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8367 = BgL_index1396z00_1016
; }  else 
{ 
obj_t BgL_auxz00_8370;
BgL_auxz00_8370 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3758z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1396z00_1016); 
FAILURE(BgL_auxz00_8370,BFALSE,BFALSE);} 
BgL_n1z00_3232 = 
(long)CINT(BgL_tmpz00_8367); } 
BgL_test4354z00_8366 = 
(BgL_n1z00_3232>=((long)0)); } 
if(BgL_test4354z00_8366)
{ 
long BgL_auxz00_8376;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8377;
if(
INTEGERP(BgL_index1396z00_1016))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8377 = BgL_index1396z00_1016
; }  else 
{ 
obj_t BgL_auxz00_8380;
BgL_auxz00_8380 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3758z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1396z00_1016); 
FAILURE(BgL_auxz00_8380,BFALSE,BFALSE);} 
BgL_auxz00_8376 = 
(long)CINT(BgL_tmpz00_8377); } 
BgL_noncezd2initz12zc0_1000 = 
VECTOR_REF(BgL_opt1389z00_264,BgL_auxz00_8376); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_index1397z00_1018;
BgL_index1397z00_1018 = 
BGl_search1391ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1389z00_264), BgL_opt1389z00_264, 
CNST_TABLE_REF(((long)28)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
bool_t BgL_test4357z00_8389;
{ /* Llib/block_ciphers.scm 801 */
long BgL_n1z00_3234;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8390;
if(
INTEGERP(BgL_index1397z00_1018))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8390 = BgL_index1397z00_1018
; }  else 
{ 
obj_t BgL_auxz00_8393;
BgL_auxz00_8393 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3758z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1397z00_1018); 
FAILURE(BgL_auxz00_8393,BFALSE,BFALSE);} 
BgL_n1z00_3234 = 
(long)CINT(BgL_tmpz00_8390); } 
BgL_test4357z00_8389 = 
(BgL_n1z00_3234>=((long)0)); } 
if(BgL_test4357z00_8389)
{ 
long BgL_auxz00_8399;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8400;
if(
INTEGERP(BgL_index1397z00_1018))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8400 = BgL_index1397z00_1018
; }  else 
{ 
obj_t BgL_auxz00_8403;
BgL_auxz00_8403 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3758z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1397z00_1018); 
FAILURE(BgL_auxz00_8403,BFALSE,BFALSE);} 
BgL_auxz00_8399 = 
(long)CINT(BgL_tmpz00_8400); } 
BgL_noncezd2updatez12zc0_1001 = 
VECTOR_REF(BgL_opt1389z00_264,BgL_auxz00_8399); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_index1398z00_1020;
BgL_index1398z00_1020 = 
BGl_search1391ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1389z00_264), BgL_opt1389z00_264, 
CNST_TABLE_REF(((long)29)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
bool_t BgL_test4360z00_8412;
{ /* Llib/block_ciphers.scm 801 */
long BgL_n1z00_3236;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8413;
if(
INTEGERP(BgL_index1398z00_1020))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8413 = BgL_index1398z00_1020
; }  else 
{ 
obj_t BgL_auxz00_8416;
BgL_auxz00_8416 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3758z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1398z00_1020); 
FAILURE(BgL_auxz00_8416,BFALSE,BFALSE);} 
BgL_n1z00_3236 = 
(long)CINT(BgL_tmpz00_8413); } 
BgL_test4360z00_8412 = 
(BgL_n1z00_3236>=((long)0)); } 
if(BgL_test4360z00_8412)
{ 
long BgL_auxz00_8422;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8423;
if(
INTEGERP(BgL_index1398z00_1020))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8423 = BgL_index1398z00_1020
; }  else 
{ 
obj_t BgL_auxz00_8426;
BgL_auxz00_8426 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3758z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1398z00_1020); 
FAILURE(BgL_auxz00_8426,BFALSE,BFALSE);} 
BgL_auxz00_8422 = 
(long)CINT(BgL_tmpz00_8423); } 
BgL_padz00_1002 = 
VECTOR_REF(BgL_opt1389z00_264,BgL_auxz00_8422); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_index1399z00_1022;
BgL_index1399z00_1022 = 
BGl_search1391ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1389z00_264), BgL_opt1389z00_264, 
CNST_TABLE_REF(((long)30)), ((long)3)); 
{ /* Llib/block_ciphers.scm 801 */
bool_t BgL_test4363z00_8435;
{ /* Llib/block_ciphers.scm 801 */
long BgL_n1z00_3238;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8436;
if(
INTEGERP(BgL_index1399z00_1022))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8436 = BgL_index1399z00_1022
; }  else 
{ 
obj_t BgL_auxz00_8439;
BgL_auxz00_8439 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3758z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1399z00_1022); 
FAILURE(BgL_auxz00_8439,BFALSE,BFALSE);} 
BgL_n1z00_3238 = 
(long)CINT(BgL_tmpz00_8436); } 
BgL_test4363z00_8435 = 
(BgL_n1z00_3238>=((long)0)); } 
if(BgL_test4363z00_8435)
{ 
long BgL_auxz00_8445;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_tmpz00_8446;
if(
INTEGERP(BgL_index1399z00_1022))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8446 = BgL_index1399z00_1022
; }  else 
{ 
obj_t BgL_auxz00_8449;
BgL_auxz00_8449 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3758z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1399z00_1022); 
FAILURE(BgL_auxz00_8449,BFALSE,BFALSE);} 
BgL_auxz00_8445 = 
(long)CINT(BgL_tmpz00_8446); } 
BgL_stringzd2ze3keyz31_1003 = 
VECTOR_REF(BgL_opt1389z00_264,BgL_auxz00_8445); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_arg1984z00_1024;obj_t BgL_arg1985z00_1025;obj_t BgL_arg1986z00_1026;
BgL_arg1984z00_1024 = 
VECTOR_REF(BgL_opt1389z00_264,((long)0)); 
BgL_arg1985z00_1025 = 
VECTOR_REF(BgL_opt1389z00_264,((long)1)); 
BgL_arg1986z00_1026 = 
VECTOR_REF(BgL_opt1389z00_264,((long)2)); 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_ivz00_1027;
BgL_ivz00_1027 = BgL_ivz00_998; 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_modez00_1028;
BgL_modez00_1028 = BgL_modez00_999; 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_noncezd2initz12zc0_1029;
BgL_noncezd2initz12zc0_1029 = BgL_noncezd2initz12zc0_1000; 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_noncezd2updatez12zc0_1030;
BgL_noncezd2updatez12zc0_1030 = BgL_noncezd2updatez12zc0_1001; 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_padz00_1031;
BgL_padz00_1031 = BgL_padz00_1002; 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_stringzd2ze3keyz31_1032;
BgL_stringzd2ze3keyz31_1032 = BgL_stringzd2ze3keyz31_1003; 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_res2881z00_3248;
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_cipherz00_3240;obj_t BgL_plaintextz00_3241;obj_t BgL_passwordz00_3242;
if(
SYMBOLP(BgL_arg1984z00_1024))
{ /* Llib/block_ciphers.scm 801 */
BgL_cipherz00_3240 = BgL_arg1984z00_1024; }  else 
{ 
obj_t BgL_auxz00_8460;
BgL_auxz00_8460 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3758z00zz__cryptozd2blockzd2ciphersz00, BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1984z00_1024); 
FAILURE(BgL_auxz00_8460,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg1985z00_1025))
{ /* Llib/block_ciphers.scm 801 */
BgL_plaintextz00_3241 = BgL_arg1985z00_1025; }  else 
{ 
obj_t BgL_auxz00_8466;
BgL_auxz00_8466 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3758z00zz__cryptozd2blockzd2ciphersz00, BGl_string3759z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1985z00_1025); 
FAILURE(BgL_auxz00_8466,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg1986z00_1026))
{ /* Llib/block_ciphers.scm 801 */
BgL_passwordz00_3242 = BgL_arg1986z00_1026; }  else 
{ 
obj_t BgL_auxz00_8472;
BgL_auxz00_8472 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29094)), BGl_string3758z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1986z00_1026); 
FAILURE(BgL_auxz00_8472,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 812 */
obj_t BgL_pz00_3244;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3245;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_3244 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3245 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3240, BgL_passwordz00_3242, BgL_ivz00_1027, BgL_modez00_1028, BgL_padz00_1031, BgL_noncezd2initz12zc0_1029, BgL_noncezd2updatez12zc0_1030, BgL_stringzd2ze3keyz31_1032); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3245, BgL_plaintextz00_3241, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3244, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
{ /* Llib/block_ciphers.scm 819 */
obj_t BgL_aux3429z00_5813;
BgL_aux3429z00_5813 = 
bgl_close_output_port(BgL_pz00_3244); 
if(
STRINGP(BgL_aux3429z00_5813))
{ /* Llib/block_ciphers.scm 819 */
BgL_res2881z00_3248 = BgL_aux3429z00_5813; }  else 
{ 
obj_t BgL_auxz00_8482;
BgL_auxz00_8482 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29782)), BGl_string3758z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_aux3429z00_5813); 
FAILURE(BgL_auxz00_8482,BFALSE,BFALSE);} } } } 
return BgL_res2881z00_3248;} } } } } } } } } } } } } } } } } 

}



/* search1391~0 */
obj_t BGl_search1391ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1390z00_5672, obj_t BgL_opt1389z00_5671, obj_t BgL_k1z00_992, long BgL_iz00_993)
{
{ /* Llib/block_ciphers.scm 801 */
BGl_search1391ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_993==BgL_l1390z00_5672))
{ /* Llib/block_ciphers.scm 801 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 801 */
if(
(BgL_iz00_993==
(BgL_l1390z00_5672-((long)1))))
{ /* Llib/block_ciphers.scm 801 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)33)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1389z00_5671)));}  else 
{ /* Llib/block_ciphers.scm 801 */
obj_t BgL_vz00_1037;
BgL_vz00_1037 = 
VECTOR_REF(BgL_opt1389z00_5671,BgL_iz00_993); 
if(
(BgL_vz00_1037==BgL_k1z00_992))
{ /* Llib/block_ciphers.scm 801 */
return 
BINT(
(BgL_iz00_993+((long)1)));}  else 
{ 
long BgL_iz00_8501;
BgL_iz00_8501 = 
(BgL_iz00_993+((long)2)); 
BgL_iz00_993 = BgL_iz00_8501; 
goto BGl_search1391ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* encrypt-port */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_255, obj_t BgL_plaintextz00_256, obj_t BgL_passwordz00_257, obj_t BgL_ivz00_258, obj_t BgL_modez00_259, obj_t BgL_noncezd2initz12zc0_260, obj_t BgL_noncezd2updatez12zc0_261, obj_t BgL_padz00_262, obj_t BgL_stringzd2ze3keyz31_263)
{
{ /* Llib/block_ciphers.scm 801 */
{ /* Llib/block_ciphers.scm 812 */
obj_t BgL_pz00_3250;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3251;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_3250 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3251 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_255, BgL_passwordz00_257, BgL_ivz00_258, BgL_modez00_259, BgL_padz00_262, BgL_noncezd2initz12zc0_260, BgL_noncezd2updatez12zc0_261, BgL_stringzd2ze3keyz31_263); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3251, BgL_plaintextz00_256, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3250, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
return 
bgl_close_output_port(BgL_pz00_3250);} } 

}



/* &encrypt-fast-port */
obj_t BGl_z62encryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5007, obj_t BgL_cipherz00_5008, obj_t BgL_plaintextz00_5009, obj_t BgL_passwordz00_5010, obj_t BgL_ivz00_5011, obj_t BgL_modez00_5012, obj_t BgL_padz00_5013, obj_t BgL_noncezd2initz12zc0_5014, obj_t BgL_noncezd2updatez12zc0_5015, obj_t BgL_stringzd2ze3keyz31_5016)
{
{ /* Llib/block_ciphers.scm 809 */
{ /* Llib/block_ciphers.scm 812 */
obj_t BgL_plaintextz00_6192;
if(
INPUT_PORTP(BgL_plaintextz00_5009))
{ /* Llib/block_ciphers.scm 812 */
BgL_plaintextz00_6192 = BgL_plaintextz00_5009; }  else 
{ 
obj_t BgL_auxz00_8509;
BgL_auxz00_8509 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29540)), BGl_string3760z00zz__cryptozd2blockzd2ciphersz00, BGl_string3759z00zz__cryptozd2blockzd2ciphersz00, BgL_plaintextz00_5009); 
FAILURE(BgL_auxz00_8509,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 812 */
obj_t BgL_pz00_6193;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_6194;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_6193 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_6194 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_5008, BgL_passwordz00_5010, BgL_ivz00_5011, BgL_modez00_5012, BgL_padz00_5013, BgL_noncezd2initz12zc0_5014, BgL_noncezd2updatez12zc0_5015, BgL_stringzd2ze3keyz31_5016); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_6194, BgL_plaintextz00_6192, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_6193, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
return 
bgl_close_output_port(BgL_pz00_6193);} } } 

}



/* _encrypt-file */
obj_t BGl__encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_285, obj_t BgL_opt1400z00_284)
{
{ /* Llib/block_ciphers.scm 821 */
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_cipherz00_1048;obj_t BgL_filenamez00_1049;obj_t BgL_passwordz00_1050;
BgL_cipherz00_1048 = 
VECTOR_REF(BgL_opt1400z00_284,((long)0)); 
BgL_filenamez00_1049 = 
VECTOR_REF(BgL_opt1400z00_284,((long)1)); 
BgL_passwordz00_1050 = 
VECTOR_REF(BgL_opt1400z00_284,((long)2)); 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_ivz00_1051;
BgL_ivz00_1051 = BFALSE; 
{ /* Llib/block_ciphers.scm 822 */
obj_t BgL_modez00_1052;
BgL_modez00_1052 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_noncezd2initz12zc0_1053;
BgL_noncezd2initz12zc0_1053 = BFALSE; 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_noncezd2updatez12zc0_1054;
BgL_noncezd2updatez12zc0_1054 = BFALSE; 
{ /* Llib/block_ciphers.scm 822 */
obj_t BgL_padz00_1055;
BgL_padz00_1055 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_stringzd2ze3keyz31_1056;
BgL_stringzd2ze3keyz31_1056 = BFALSE; 
{ /* Llib/block_ciphers.scm 821 */

{ 
long BgL_iz00_1057;
BgL_iz00_1057 = ((long)3); 
BgL_check1403z00_1058:
if(
(BgL_iz00_1057==
VECTOR_LENGTH(BgL_opt1400z00_284)))
{ /* Llib/block_ciphers.scm 821 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 821 */
bool_t BgL_test4375z00_8525;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_arg1999z00_1064;
BgL_arg1999z00_1064 = 
VECTOR_REF(BgL_opt1400z00_284,BgL_iz00_1057); 
BgL_test4375z00_8525 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1999z00_1064, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_test4375z00_8525)
{ 
long BgL_iz00_8530;
BgL_iz00_8530 = 
(BgL_iz00_1057+((long)2)); 
BgL_iz00_1057 = BgL_iz00_8530; 
goto BgL_check1403z00_1058;}  else 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_arg1998z00_1063;
BgL_arg1998z00_1063 = 
VECTOR_REF(BgL_opt1400z00_284,BgL_iz00_1057); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)34)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1998z00_1063); } } } 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_index1405z00_1065;
BgL_index1405z00_1065 = 
BGl_search1402ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1400z00_284), BgL_opt1400z00_284, 
CNST_TABLE_REF(((long)25)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
bool_t BgL_test4376z00_8538;
{ /* Llib/block_ciphers.scm 821 */
long BgL_n1z00_3280;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8539;
if(
INTEGERP(BgL_index1405z00_1065))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8539 = BgL_index1405z00_1065
; }  else 
{ 
obj_t BgL_auxz00_8542;
BgL_auxz00_8542 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3761z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1405z00_1065); 
FAILURE(BgL_auxz00_8542,BFALSE,BFALSE);} 
BgL_n1z00_3280 = 
(long)CINT(BgL_tmpz00_8539); } 
BgL_test4376z00_8538 = 
(BgL_n1z00_3280>=((long)0)); } 
if(BgL_test4376z00_8538)
{ 
long BgL_auxz00_8548;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8549;
if(
INTEGERP(BgL_index1405z00_1065))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8549 = BgL_index1405z00_1065
; }  else 
{ 
obj_t BgL_auxz00_8552;
BgL_auxz00_8552 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3761z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1405z00_1065); 
FAILURE(BgL_auxz00_8552,BFALSE,BFALSE);} 
BgL_auxz00_8548 = 
(long)CINT(BgL_tmpz00_8549); } 
BgL_ivz00_1051 = 
VECTOR_REF(BgL_opt1400z00_284,BgL_auxz00_8548); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_index1406z00_1067;
BgL_index1406z00_1067 = 
BGl_search1402ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1400z00_284), BgL_opt1400z00_284, 
CNST_TABLE_REF(((long)26)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
bool_t BgL_test4379z00_8561;
{ /* Llib/block_ciphers.scm 821 */
long BgL_n1z00_3282;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8562;
if(
INTEGERP(BgL_index1406z00_1067))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8562 = BgL_index1406z00_1067
; }  else 
{ 
obj_t BgL_auxz00_8565;
BgL_auxz00_8565 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3761z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1406z00_1067); 
FAILURE(BgL_auxz00_8565,BFALSE,BFALSE);} 
BgL_n1z00_3282 = 
(long)CINT(BgL_tmpz00_8562); } 
BgL_test4379z00_8561 = 
(BgL_n1z00_3282>=((long)0)); } 
if(BgL_test4379z00_8561)
{ 
long BgL_auxz00_8571;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8572;
if(
INTEGERP(BgL_index1406z00_1067))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8572 = BgL_index1406z00_1067
; }  else 
{ 
obj_t BgL_auxz00_8575;
BgL_auxz00_8575 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3761z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1406z00_1067); 
FAILURE(BgL_auxz00_8575,BFALSE,BFALSE);} 
BgL_auxz00_8571 = 
(long)CINT(BgL_tmpz00_8572); } 
BgL_modez00_1052 = 
VECTOR_REF(BgL_opt1400z00_284,BgL_auxz00_8571); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_index1407z00_1069;
BgL_index1407z00_1069 = 
BGl_search1402ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1400z00_284), BgL_opt1400z00_284, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
bool_t BgL_test4382z00_8584;
{ /* Llib/block_ciphers.scm 821 */
long BgL_n1z00_3284;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8585;
if(
INTEGERP(BgL_index1407z00_1069))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8585 = BgL_index1407z00_1069
; }  else 
{ 
obj_t BgL_auxz00_8588;
BgL_auxz00_8588 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3761z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1407z00_1069); 
FAILURE(BgL_auxz00_8588,BFALSE,BFALSE);} 
BgL_n1z00_3284 = 
(long)CINT(BgL_tmpz00_8585); } 
BgL_test4382z00_8584 = 
(BgL_n1z00_3284>=((long)0)); } 
if(BgL_test4382z00_8584)
{ 
long BgL_auxz00_8594;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8595;
if(
INTEGERP(BgL_index1407z00_1069))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8595 = BgL_index1407z00_1069
; }  else 
{ 
obj_t BgL_auxz00_8598;
BgL_auxz00_8598 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3761z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1407z00_1069); 
FAILURE(BgL_auxz00_8598,BFALSE,BFALSE);} 
BgL_auxz00_8594 = 
(long)CINT(BgL_tmpz00_8595); } 
BgL_noncezd2initz12zc0_1053 = 
VECTOR_REF(BgL_opt1400z00_284,BgL_auxz00_8594); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_index1408z00_1071;
BgL_index1408z00_1071 = 
BGl_search1402ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1400z00_284), BgL_opt1400z00_284, 
CNST_TABLE_REF(((long)28)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
bool_t BgL_test4385z00_8607;
{ /* Llib/block_ciphers.scm 821 */
long BgL_n1z00_3286;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8608;
if(
INTEGERP(BgL_index1408z00_1071))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8608 = BgL_index1408z00_1071
; }  else 
{ 
obj_t BgL_auxz00_8611;
BgL_auxz00_8611 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3761z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1408z00_1071); 
FAILURE(BgL_auxz00_8611,BFALSE,BFALSE);} 
BgL_n1z00_3286 = 
(long)CINT(BgL_tmpz00_8608); } 
BgL_test4385z00_8607 = 
(BgL_n1z00_3286>=((long)0)); } 
if(BgL_test4385z00_8607)
{ 
long BgL_auxz00_8617;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8618;
if(
INTEGERP(BgL_index1408z00_1071))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8618 = BgL_index1408z00_1071
; }  else 
{ 
obj_t BgL_auxz00_8621;
BgL_auxz00_8621 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3761z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1408z00_1071); 
FAILURE(BgL_auxz00_8621,BFALSE,BFALSE);} 
BgL_auxz00_8617 = 
(long)CINT(BgL_tmpz00_8618); } 
BgL_noncezd2updatez12zc0_1054 = 
VECTOR_REF(BgL_opt1400z00_284,BgL_auxz00_8617); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_index1409z00_1073;
BgL_index1409z00_1073 = 
BGl_search1402ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1400z00_284), BgL_opt1400z00_284, 
CNST_TABLE_REF(((long)29)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
bool_t BgL_test4388z00_8630;
{ /* Llib/block_ciphers.scm 821 */
long BgL_n1z00_3288;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8631;
if(
INTEGERP(BgL_index1409z00_1073))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8631 = BgL_index1409z00_1073
; }  else 
{ 
obj_t BgL_auxz00_8634;
BgL_auxz00_8634 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3761z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1409z00_1073); 
FAILURE(BgL_auxz00_8634,BFALSE,BFALSE);} 
BgL_n1z00_3288 = 
(long)CINT(BgL_tmpz00_8631); } 
BgL_test4388z00_8630 = 
(BgL_n1z00_3288>=((long)0)); } 
if(BgL_test4388z00_8630)
{ 
long BgL_auxz00_8640;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8641;
if(
INTEGERP(BgL_index1409z00_1073))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8641 = BgL_index1409z00_1073
; }  else 
{ 
obj_t BgL_auxz00_8644;
BgL_auxz00_8644 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3761z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1409z00_1073); 
FAILURE(BgL_auxz00_8644,BFALSE,BFALSE);} 
BgL_auxz00_8640 = 
(long)CINT(BgL_tmpz00_8641); } 
BgL_padz00_1055 = 
VECTOR_REF(BgL_opt1400z00_284,BgL_auxz00_8640); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_index1410z00_1075;
BgL_index1410z00_1075 = 
BGl_search1402ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1400z00_284), BgL_opt1400z00_284, 
CNST_TABLE_REF(((long)30)), ((long)3)); 
{ /* Llib/block_ciphers.scm 821 */
bool_t BgL_test4391z00_8653;
{ /* Llib/block_ciphers.scm 821 */
long BgL_n1z00_3290;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8654;
if(
INTEGERP(BgL_index1410z00_1075))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8654 = BgL_index1410z00_1075
; }  else 
{ 
obj_t BgL_auxz00_8657;
BgL_auxz00_8657 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3761z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1410z00_1075); 
FAILURE(BgL_auxz00_8657,BFALSE,BFALSE);} 
BgL_n1z00_3290 = 
(long)CINT(BgL_tmpz00_8654); } 
BgL_test4391z00_8653 = 
(BgL_n1z00_3290>=((long)0)); } 
if(BgL_test4391z00_8653)
{ 
long BgL_auxz00_8663;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_tmpz00_8664;
if(
INTEGERP(BgL_index1410z00_1075))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8664 = BgL_index1410z00_1075
; }  else 
{ 
obj_t BgL_auxz00_8667;
BgL_auxz00_8667 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3761z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1410z00_1075); 
FAILURE(BgL_auxz00_8667,BFALSE,BFALSE);} 
BgL_auxz00_8663 = 
(long)CINT(BgL_tmpz00_8664); } 
BgL_stringzd2ze3keyz31_1056 = 
VECTOR_REF(BgL_opt1400z00_284,BgL_auxz00_8663); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_arg2006z00_1077;obj_t BgL_arg2007z00_1078;obj_t BgL_arg2008z00_1079;
BgL_arg2006z00_1077 = 
VECTOR_REF(BgL_opt1400z00_284,((long)0)); 
BgL_arg2007z00_1078 = 
VECTOR_REF(BgL_opt1400z00_284,((long)1)); 
BgL_arg2008z00_1079 = 
VECTOR_REF(BgL_opt1400z00_284,((long)2)); 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_ivz00_1080;
BgL_ivz00_1080 = BgL_ivz00_1051; 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_modez00_1081;
BgL_modez00_1081 = BgL_modez00_1052; 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_noncezd2initz12zc0_1082;
BgL_noncezd2initz12zc0_1082 = BgL_noncezd2initz12zc0_1053; 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_noncezd2updatez12zc0_1083;
BgL_noncezd2updatez12zc0_1083 = BgL_noncezd2updatez12zc0_1054; 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_padz00_1084;
BgL_padz00_1084 = BgL_padz00_1055; 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_stringzd2ze3keyz31_1085;
BgL_stringzd2ze3keyz31_1085 = BgL_stringzd2ze3keyz31_1056; 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_res2895z00_3309;
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_cipherz00_3292;obj_t BgL_filenamez00_3293;obj_t BgL_passwordz00_3294;
if(
SYMBOLP(BgL_arg2006z00_1077))
{ /* Llib/block_ciphers.scm 821 */
BgL_cipherz00_3292 = BgL_arg2006z00_1077; }  else 
{ 
obj_t BgL_auxz00_8678;
BgL_auxz00_8678 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3761z00zz__cryptozd2blockzd2ciphersz00, BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2006z00_1077); 
FAILURE(BgL_auxz00_8678,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2007z00_1078))
{ /* Llib/block_ciphers.scm 821 */
BgL_filenamez00_3293 = BgL_arg2007z00_1078; }  else 
{ 
obj_t BgL_auxz00_8684;
BgL_auxz00_8684 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3761z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2007z00_1078); 
FAILURE(BgL_auxz00_8684,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2008z00_1079))
{ /* Llib/block_ciphers.scm 821 */
BgL_passwordz00_3294 = BgL_arg2008z00_1079; }  else 
{ 
obj_t BgL_auxz00_8690;
BgL_auxz00_8690 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)29807)), BGl_string3761z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2008z00_1079); 
FAILURE(BgL_auxz00_8690,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 825 */
obj_t BgL_pz00_3295;
{ /* Llib/block_ciphers.scm 825 */

BgL_pz00_3295 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_3293, BTRUE, 
BINT(((long)5000000))); } 
if(
CBOOL(BgL_pz00_3295))
{ /* Llib/block_ciphers.scm 826 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 826 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)35)), BGl_string3762z00zz__cryptozd2blockzd2ciphersz00, BgL_filenamez00_3293); } 
{ /* Llib/block_ciphers.scm 830 */
obj_t BgL_exitd1229z00_3299;
BgL_exitd1229z00_3299 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/block_ciphers.scm 834 */
obj_t BgL_zc3z04anonymousza32016ze3z87_5023;
BgL_zc3z04anonymousza32016ze3z87_5023 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32016ze3ze5zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32016ze3z87_5023, 
(int)(((long)0)), BgL_pz00_3295); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1229z00_3299, BgL_zc3z04anonymousza32016ze3z87_5023); 
{ /* Llib/block_ciphers.scm 831 */
obj_t BgL_tmp1231z00_3301;
{ /* Llib/block_ciphers.scm 831 */
obj_t BgL_plaintextz00_3303;
if(
INPUT_PORTP(BgL_pz00_3295))
{ /* Llib/block_ciphers.scm 831 */
BgL_plaintextz00_3303 = BgL_pz00_3295; }  else 
{ 
obj_t BgL_auxz00_8709;
BgL_auxz00_8709 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30174)), BGl_string3761z00zz__cryptozd2blockzd2ciphersz00, BGl_string3759z00zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3295); 
FAILURE(BgL_auxz00_8709,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 812 */
obj_t BgL_pz00_3304;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3305;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_3304 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3305 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3292, BgL_passwordz00_3294, BgL_ivz00_1080, BgL_modez00_1081, BgL_padz00_1084, BgL_noncezd2initz12zc0_1082, BgL_noncezd2updatez12zc0_1083, BgL_stringzd2ze3keyz31_1085); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3305, BgL_plaintextz00_3303, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3304, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
BgL_tmp1231z00_3301 = 
bgl_close_output_port(BgL_pz00_3304); } } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1229z00_3299); 
{ /* Llib/block_ciphers.scm 834 */
obj_t BgL_portz00_3308;
if(
INPUT_PORTP(BgL_pz00_3295))
{ /* Llib/block_ciphers.scm 834 */
BgL_portz00_3308 = BgL_pz00_3295; }  else 
{ 
obj_t BgL_auxz00_8720;
BgL_auxz00_8720 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30270)), BGl_string3761z00zz__cryptozd2blockzd2ciphersz00, BGl_string3759z00zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3295); 
FAILURE(BgL_auxz00_8720,BFALSE,BFALSE);} 
bgl_close_input_port(BgL_portz00_3308); } 
if(
STRINGP(BgL_tmp1231z00_3301))
{ /* Llib/block_ciphers.scm 830 */
BgL_res2895z00_3309 = BgL_tmp1231z00_3301; }  else 
{ 
obj_t BgL_auxz00_8727;
BgL_auxz00_8727 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30130)), BGl_string3761z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_tmp1231z00_3301); 
FAILURE(BgL_auxz00_8727,BFALSE,BFALSE);} } } } } } 
return BgL_res2895z00_3309;} } } } } } } } } } } } } } } } } 

}



/* search1402~0 */
obj_t BGl_search1402ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1401z00_5670, obj_t BgL_opt1400z00_5669, obj_t BgL_k1z00_1045, long BgL_iz00_1046)
{
{ /* Llib/block_ciphers.scm 821 */
BGl_search1402ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1046==BgL_l1401z00_5670))
{ /* Llib/block_ciphers.scm 821 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 821 */
if(
(BgL_iz00_1046==
(BgL_l1401z00_5670-((long)1))))
{ /* Llib/block_ciphers.scm 821 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)34)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1400z00_5669)));}  else 
{ /* Llib/block_ciphers.scm 821 */
obj_t BgL_vz00_1090;
BgL_vz00_1090 = 
VECTOR_REF(BgL_opt1400z00_5669,BgL_iz00_1046); 
if(
(BgL_vz00_1090==BgL_k1z00_1045))
{ /* Llib/block_ciphers.scm 821 */
return 
BINT(
(BgL_iz00_1046+((long)1)));}  else 
{ 
long BgL_iz00_8746;
BgL_iz00_8746 = 
(BgL_iz00_1046+((long)2)); 
BgL_iz00_1046 = BgL_iz00_8746; 
goto BGl_search1402ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* &<@anonymous:2016> */
obj_t BGl_z62zc3z04anonymousza32016ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5024)
{
{ /* Llib/block_ciphers.scm 830 */
{ /* Llib/block_ciphers.scm 834 */
obj_t BgL_pz00_5025;
BgL_pz00_5025 = 
PROCEDURE_REF(BgL_envz00_5024, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_5025));} } 

}



/* encrypt-file */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_275, obj_t BgL_filenamez00_276, obj_t BgL_passwordz00_277, obj_t BgL_ivz00_278, obj_t BgL_modez00_279, obj_t BgL_noncezd2initz12zc0_280, obj_t BgL_noncezd2updatez12zc0_281, obj_t BgL_padz00_282, obj_t BgL_stringzd2ze3keyz31_283)
{
{ /* Llib/block_ciphers.scm 821 */
{ /* Llib/block_ciphers.scm 825 */
obj_t BgL_pz00_3310;
{ /* Llib/block_ciphers.scm 825 */

BgL_pz00_3310 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_276, BTRUE, 
BINT(((long)5000000))); } 
if(
CBOOL(BgL_pz00_3310))
{ /* Llib/block_ciphers.scm 826 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 826 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)35)), BGl_string3762z00zz__cryptozd2blockzd2ciphersz00, BgL_filenamez00_276); } 
{ /* Llib/block_ciphers.scm 830 */
obj_t BgL_exitd1229z00_3314;
BgL_exitd1229z00_3314 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/block_ciphers.scm 834 */
obj_t BgL_zc3z04anonymousza32016ze3z87_5026;
BgL_zc3z04anonymousza32016ze3z87_5026 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32016ze33297ze5zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32016ze3z87_5026, 
(int)(((long)0)), BgL_pz00_3310); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1229z00_3314, BgL_zc3z04anonymousza32016ze3z87_5026); 
{ /* Llib/block_ciphers.scm 831 */
obj_t BgL_tmp1231z00_3316;
{ /* Llib/block_ciphers.scm 812 */
obj_t BgL_pz00_3319;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3320;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_3319 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3320 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_275, BgL_passwordz00_277, BgL_ivz00_278, BgL_modez00_279, BgL_padz00_282, BgL_noncezd2initz12zc0_280, BgL_noncezd2updatez12zc0_281, BgL_stringzd2ze3keyz31_283); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3320, 
((obj_t)BgL_pz00_3310), ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3319, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
BgL_tmp1231z00_3316 = 
bgl_close_output_port(BgL_pz00_3319); } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1229z00_3314); 
bgl_close_input_port(
((obj_t)BgL_pz00_3310)); 
return BgL_tmp1231z00_3316;} } } } } 

}



/* &<@anonymous:2016>3297 */
obj_t BGl_z62zc3z04anonymousza32016ze33297ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5027)
{
{ /* Llib/block_ciphers.scm 830 */
{ /* Llib/block_ciphers.scm 834 */
obj_t BgL_pz00_5028;
BgL_pz00_5028 = 
PROCEDURE_REF(BgL_envz00_5027, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_5028));} } 

}



/* _encrypt-sendchars */
obj_t BGl__encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_297, obj_t BgL_opt1411z00_296)
{
{ /* Llib/block_ciphers.scm 836 */
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_cipherz00_1107;obj_t BgL_inz00_1108;obj_t BgL_outz00_1109;obj_t BgL_passwordz00_1110;
BgL_cipherz00_1107 = 
VECTOR_REF(BgL_opt1411z00_296,((long)0)); 
BgL_inz00_1108 = 
VECTOR_REF(BgL_opt1411z00_296,((long)1)); 
BgL_outz00_1109 = 
VECTOR_REF(BgL_opt1411z00_296,((long)2)); 
BgL_passwordz00_1110 = 
VECTOR_REF(BgL_opt1411z00_296,((long)3)); 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_ivz00_1111;
BgL_ivz00_1111 = BFALSE; 
{ /* Llib/block_ciphers.scm 838 */
obj_t BgL_modez00_1112;
BgL_modez00_1112 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_noncezd2initz12zc0_1113;
BgL_noncezd2initz12zc0_1113 = BFALSE; 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_noncezd2updatez12zc0_1114;
BgL_noncezd2updatez12zc0_1114 = BFALSE; 
{ /* Llib/block_ciphers.scm 838 */
obj_t BgL_padz00_1115;
BgL_padz00_1115 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_stringzd2ze3keyz31_1116;
BgL_stringzd2ze3keyz31_1116 = BFALSE; 
{ /* Llib/block_ciphers.scm 836 */

{ 
long BgL_iz00_1117;
BgL_iz00_1117 = ((long)4); 
BgL_check1414z00_1118:
if(
(BgL_iz00_1117==
VECTOR_LENGTH(BgL_opt1411z00_296)))
{ /* Llib/block_ciphers.scm 836 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 836 */
bool_t BgL_test4406z00_8786;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_arg2022z00_1124;
BgL_arg2022z00_1124 = 
VECTOR_REF(BgL_opt1411z00_296,BgL_iz00_1117); 
BgL_test4406z00_8786 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2022z00_1124, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_test4406z00_8786)
{ 
long BgL_iz00_8791;
BgL_iz00_8791 = 
(BgL_iz00_1117+((long)2)); 
BgL_iz00_1117 = BgL_iz00_8791; 
goto BgL_check1414z00_1118;}  else 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_arg2021z00_1123;
BgL_arg2021z00_1123 = 
VECTOR_REF(BgL_opt1411z00_296,BgL_iz00_1117); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)36)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2021z00_1123); } } } 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_index1416z00_1125;
BgL_index1416z00_1125 = 
BGl_search1413ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1411z00_296), BgL_opt1411z00_296, 
CNST_TABLE_REF(((long)25)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
bool_t BgL_test4407z00_8799;
{ /* Llib/block_ciphers.scm 836 */
long BgL_n1z00_3346;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8800;
if(
INTEGERP(BgL_index1416z00_1125))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8800 = BgL_index1416z00_1125
; }  else 
{ 
obj_t BgL_auxz00_8803;
BgL_auxz00_8803 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3763z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1416z00_1125); 
FAILURE(BgL_auxz00_8803,BFALSE,BFALSE);} 
BgL_n1z00_3346 = 
(long)CINT(BgL_tmpz00_8800); } 
BgL_test4407z00_8799 = 
(BgL_n1z00_3346>=((long)0)); } 
if(BgL_test4407z00_8799)
{ 
long BgL_auxz00_8809;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8810;
if(
INTEGERP(BgL_index1416z00_1125))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8810 = BgL_index1416z00_1125
; }  else 
{ 
obj_t BgL_auxz00_8813;
BgL_auxz00_8813 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3763z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1416z00_1125); 
FAILURE(BgL_auxz00_8813,BFALSE,BFALSE);} 
BgL_auxz00_8809 = 
(long)CINT(BgL_tmpz00_8810); } 
BgL_ivz00_1111 = 
VECTOR_REF(BgL_opt1411z00_296,BgL_auxz00_8809); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_index1417z00_1127;
BgL_index1417z00_1127 = 
BGl_search1413ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1411z00_296), BgL_opt1411z00_296, 
CNST_TABLE_REF(((long)26)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
bool_t BgL_test4410z00_8822;
{ /* Llib/block_ciphers.scm 836 */
long BgL_n1z00_3348;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8823;
if(
INTEGERP(BgL_index1417z00_1127))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8823 = BgL_index1417z00_1127
; }  else 
{ 
obj_t BgL_auxz00_8826;
BgL_auxz00_8826 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3763z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1417z00_1127); 
FAILURE(BgL_auxz00_8826,BFALSE,BFALSE);} 
BgL_n1z00_3348 = 
(long)CINT(BgL_tmpz00_8823); } 
BgL_test4410z00_8822 = 
(BgL_n1z00_3348>=((long)0)); } 
if(BgL_test4410z00_8822)
{ 
long BgL_auxz00_8832;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8833;
if(
INTEGERP(BgL_index1417z00_1127))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8833 = BgL_index1417z00_1127
; }  else 
{ 
obj_t BgL_auxz00_8836;
BgL_auxz00_8836 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3763z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1417z00_1127); 
FAILURE(BgL_auxz00_8836,BFALSE,BFALSE);} 
BgL_auxz00_8832 = 
(long)CINT(BgL_tmpz00_8833); } 
BgL_modez00_1112 = 
VECTOR_REF(BgL_opt1411z00_296,BgL_auxz00_8832); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_index1418z00_1129;
BgL_index1418z00_1129 = 
BGl_search1413ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1411z00_296), BgL_opt1411z00_296, 
CNST_TABLE_REF(((long)27)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
bool_t BgL_test4413z00_8845;
{ /* Llib/block_ciphers.scm 836 */
long BgL_n1z00_3350;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8846;
if(
INTEGERP(BgL_index1418z00_1129))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8846 = BgL_index1418z00_1129
; }  else 
{ 
obj_t BgL_auxz00_8849;
BgL_auxz00_8849 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3763z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1418z00_1129); 
FAILURE(BgL_auxz00_8849,BFALSE,BFALSE);} 
BgL_n1z00_3350 = 
(long)CINT(BgL_tmpz00_8846); } 
BgL_test4413z00_8845 = 
(BgL_n1z00_3350>=((long)0)); } 
if(BgL_test4413z00_8845)
{ 
long BgL_auxz00_8855;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8856;
if(
INTEGERP(BgL_index1418z00_1129))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8856 = BgL_index1418z00_1129
; }  else 
{ 
obj_t BgL_auxz00_8859;
BgL_auxz00_8859 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3763z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1418z00_1129); 
FAILURE(BgL_auxz00_8859,BFALSE,BFALSE);} 
BgL_auxz00_8855 = 
(long)CINT(BgL_tmpz00_8856); } 
BgL_noncezd2initz12zc0_1113 = 
VECTOR_REF(BgL_opt1411z00_296,BgL_auxz00_8855); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_index1419z00_1131;
BgL_index1419z00_1131 = 
BGl_search1413ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1411z00_296), BgL_opt1411z00_296, 
CNST_TABLE_REF(((long)28)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
bool_t BgL_test4416z00_8868;
{ /* Llib/block_ciphers.scm 836 */
long BgL_n1z00_3352;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8869;
if(
INTEGERP(BgL_index1419z00_1131))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8869 = BgL_index1419z00_1131
; }  else 
{ 
obj_t BgL_auxz00_8872;
BgL_auxz00_8872 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3763z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1419z00_1131); 
FAILURE(BgL_auxz00_8872,BFALSE,BFALSE);} 
BgL_n1z00_3352 = 
(long)CINT(BgL_tmpz00_8869); } 
BgL_test4416z00_8868 = 
(BgL_n1z00_3352>=((long)0)); } 
if(BgL_test4416z00_8868)
{ 
long BgL_auxz00_8878;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8879;
if(
INTEGERP(BgL_index1419z00_1131))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8879 = BgL_index1419z00_1131
; }  else 
{ 
obj_t BgL_auxz00_8882;
BgL_auxz00_8882 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3763z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1419z00_1131); 
FAILURE(BgL_auxz00_8882,BFALSE,BFALSE);} 
BgL_auxz00_8878 = 
(long)CINT(BgL_tmpz00_8879); } 
BgL_noncezd2updatez12zc0_1114 = 
VECTOR_REF(BgL_opt1411z00_296,BgL_auxz00_8878); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_index1420z00_1133;
BgL_index1420z00_1133 = 
BGl_search1413ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1411z00_296), BgL_opt1411z00_296, 
CNST_TABLE_REF(((long)29)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
bool_t BgL_test4419z00_8891;
{ /* Llib/block_ciphers.scm 836 */
long BgL_n1z00_3354;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8892;
if(
INTEGERP(BgL_index1420z00_1133))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8892 = BgL_index1420z00_1133
; }  else 
{ 
obj_t BgL_auxz00_8895;
BgL_auxz00_8895 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3763z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1420z00_1133); 
FAILURE(BgL_auxz00_8895,BFALSE,BFALSE);} 
BgL_n1z00_3354 = 
(long)CINT(BgL_tmpz00_8892); } 
BgL_test4419z00_8891 = 
(BgL_n1z00_3354>=((long)0)); } 
if(BgL_test4419z00_8891)
{ 
long BgL_auxz00_8901;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8902;
if(
INTEGERP(BgL_index1420z00_1133))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8902 = BgL_index1420z00_1133
; }  else 
{ 
obj_t BgL_auxz00_8905;
BgL_auxz00_8905 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3763z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1420z00_1133); 
FAILURE(BgL_auxz00_8905,BFALSE,BFALSE);} 
BgL_auxz00_8901 = 
(long)CINT(BgL_tmpz00_8902); } 
BgL_padz00_1115 = 
VECTOR_REF(BgL_opt1411z00_296,BgL_auxz00_8901); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_index1421z00_1135;
BgL_index1421z00_1135 = 
BGl_search1413ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1411z00_296), BgL_opt1411z00_296, 
CNST_TABLE_REF(((long)30)), ((long)4)); 
{ /* Llib/block_ciphers.scm 836 */
bool_t BgL_test4422z00_8914;
{ /* Llib/block_ciphers.scm 836 */
long BgL_n1z00_3356;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8915;
if(
INTEGERP(BgL_index1421z00_1135))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8915 = BgL_index1421z00_1135
; }  else 
{ 
obj_t BgL_auxz00_8918;
BgL_auxz00_8918 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3763z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1421z00_1135); 
FAILURE(BgL_auxz00_8918,BFALSE,BFALSE);} 
BgL_n1z00_3356 = 
(long)CINT(BgL_tmpz00_8915); } 
BgL_test4422z00_8914 = 
(BgL_n1z00_3356>=((long)0)); } 
if(BgL_test4422z00_8914)
{ 
long BgL_auxz00_8924;
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_tmpz00_8925;
if(
INTEGERP(BgL_index1421z00_1135))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_8925 = BgL_index1421z00_1135
; }  else 
{ 
obj_t BgL_auxz00_8928;
BgL_auxz00_8928 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3763z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1421z00_1135); 
FAILURE(BgL_auxz00_8928,BFALSE,BFALSE);} 
BgL_auxz00_8924 = 
(long)CINT(BgL_tmpz00_8925); } 
BgL_stringzd2ze3keyz31_1116 = 
VECTOR_REF(BgL_opt1411z00_296,BgL_auxz00_8924); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_arg2029z00_1137;obj_t BgL_arg2030z00_1138;obj_t BgL_arg2031z00_1139;obj_t BgL_arg2032z00_1140;
BgL_arg2029z00_1137 = 
VECTOR_REF(BgL_opt1411z00_296,((long)0)); 
BgL_arg2030z00_1138 = 
VECTOR_REF(BgL_opt1411z00_296,((long)1)); 
BgL_arg2031z00_1139 = 
VECTOR_REF(BgL_opt1411z00_296,((long)2)); 
BgL_arg2032z00_1140 = 
VECTOR_REF(BgL_opt1411z00_296,((long)3)); 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_ivz00_1141;
BgL_ivz00_1141 = BgL_ivz00_1111; 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_modez00_1142;
BgL_modez00_1142 = BgL_modez00_1112; 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_noncezd2initz12zc0_1143;
BgL_noncezd2initz12zc0_1143 = BgL_noncezd2initz12zc0_1113; 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_noncezd2updatez12zc0_1144;
BgL_noncezd2updatez12zc0_1144 = BgL_noncezd2updatez12zc0_1114; 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_padz00_1145;
BgL_padz00_1145 = BgL_padz00_1115; 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_stringzd2ze3keyz31_1146;
BgL_stringzd2ze3keyz31_1146 = BgL_stringzd2ze3keyz31_1116; 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_cipherz00_3358;obj_t BgL_inz00_3359;obj_t BgL_outz00_3360;obj_t BgL_passwordz00_3361;
if(
SYMBOLP(BgL_arg2029z00_1137))
{ /* Llib/block_ciphers.scm 836 */
BgL_cipherz00_3358 = BgL_arg2029z00_1137; }  else 
{ 
obj_t BgL_auxz00_8940;
BgL_auxz00_8940 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3763z00zz__cryptozd2blockzd2ciphersz00, BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2029z00_1137); 
FAILURE(BgL_auxz00_8940,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg2030z00_1138))
{ /* Llib/block_ciphers.scm 836 */
BgL_inz00_3359 = BgL_arg2030z00_1138; }  else 
{ 
obj_t BgL_auxz00_8946;
BgL_auxz00_8946 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3763z00zz__cryptozd2blockzd2ciphersz00, BGl_string3759z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2030z00_1138); 
FAILURE(BgL_auxz00_8946,BFALSE,BFALSE);} 
if(
OUTPUT_PORTP(BgL_arg2031z00_1139))
{ /* Llib/block_ciphers.scm 836 */
BgL_outz00_3360 = BgL_arg2031z00_1139; }  else 
{ 
obj_t BgL_auxz00_8952;
BgL_auxz00_8952 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3763z00zz__cryptozd2blockzd2ciphersz00, BGl_string3764z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2031z00_1139); 
FAILURE(BgL_auxz00_8952,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2032z00_1140))
{ /* Llib/block_ciphers.scm 836 */
BgL_passwordz00_3361 = BgL_arg2032z00_1140; }  else 
{ 
obj_t BgL_auxz00_8958;
BgL_auxz00_8958 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30277)), BGl_string3763z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2032z00_1140); 
FAILURE(BgL_auxz00_8958,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 841 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3362;
BgL_statez00_3362 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3358, BgL_passwordz00_3361, BgL_ivz00_1141, BgL_modez00_1142, BgL_padz00_1145, BgL_noncezd2initz12zc0_1143, BgL_noncezd2updatez12zc0_1144, BgL_stringzd2ze3keyz31_1146); 
return 
BINT(
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3362, BgL_inz00_3359, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_outz00_3360, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00));} } } } } } } } } } } } } } } } } } 

}



/* search1413~0 */
obj_t BGl_search1413ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1412z00_5668, obj_t BgL_opt1411z00_5667, obj_t BgL_k1z00_1104, long BgL_iz00_1105)
{
{ /* Llib/block_ciphers.scm 836 */
BGl_search1413ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1105==BgL_l1412z00_5668))
{ /* Llib/block_ciphers.scm 836 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 836 */
if(
(BgL_iz00_1105==
(BgL_l1412z00_5668-((long)1))))
{ /* Llib/block_ciphers.scm 836 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)36)), BGl_string3765z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1411z00_5667)));}  else 
{ /* Llib/block_ciphers.scm 836 */
obj_t BgL_vz00_1151;
BgL_vz00_1151 = 
VECTOR_REF(BgL_opt1411z00_5667,BgL_iz00_1105); 
if(
(BgL_vz00_1151==BgL_k1z00_1104))
{ /* Llib/block_ciphers.scm 836 */
return 
BINT(
(BgL_iz00_1105+((long)1)));}  else 
{ 
long BgL_iz00_8980;
BgL_iz00_8980 = 
(BgL_iz00_1105+((long)2)); 
BgL_iz00_1105 = BgL_iz00_8980; 
goto BGl_search1413ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* encrypt-sendchars */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_286, obj_t BgL_inz00_287, obj_t BgL_outz00_288, obj_t BgL_passwordz00_289, obj_t BgL_ivz00_290, obj_t BgL_modez00_291, obj_t BgL_noncezd2initz12zc0_292, obj_t BgL_noncezd2updatez12zc0_293, obj_t BgL_padz00_294, obj_t BgL_stringzd2ze3keyz31_295)
{
{ /* Llib/block_ciphers.scm 836 */
{ /* Llib/block_ciphers.scm 841 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3363;
BgL_statez00_3363 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_286, BgL_passwordz00_289, BgL_ivz00_290, BgL_modez00_291, BgL_padz00_294, BgL_noncezd2initz12zc0_292, BgL_noncezd2updatez12zc0_293, BgL_stringzd2ze3keyz31_295); 
return 
BINT(
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3363, BgL_inz00_287, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_outz00_288, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00));} } 

}



/* _decrypt */
obj_t BGl__decryptz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_308, obj_t BgL_opt1422z00_307)
{
{ /* Llib/block_ciphers.scm 850 */
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_cipherz00_1160;obj_t BgL_ciphertextz00_1161;obj_t BgL_passwordz00_1162;
BgL_cipherz00_1160 = 
VECTOR_REF(BgL_opt1422z00_307,((long)0)); 
BgL_ciphertextz00_1161 = 
VECTOR_REF(BgL_opt1422z00_307,((long)1)); 
BgL_passwordz00_1162 = 
VECTOR_REF(BgL_opt1422z00_307,((long)2)); 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_ivz00_1163;
BgL_ivz00_1163 = BFALSE; 
{ /* Llib/block_ciphers.scm 851 */
obj_t BgL_modez00_1164;
BgL_modez00_1164 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_noncezd2initz12zc0_1165;
BgL_noncezd2initz12zc0_1165 = BFALSE; 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_noncezd2updatez12zc0_1166;
BgL_noncezd2updatez12zc0_1166 = BFALSE; 
{ /* Llib/block_ciphers.scm 851 */
obj_t BgL_padz00_1167;
BgL_padz00_1167 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_stringzd2ze3keyz31_1168;
BgL_stringzd2ze3keyz31_1168 = BFALSE; 
{ /* Llib/block_ciphers.scm 850 */

{ 
long BgL_iz00_1169;
BgL_iz00_1169 = ((long)3); 
BgL_check1425z00_1170:
if(
(BgL_iz00_1169==
VECTOR_LENGTH(BgL_opt1422z00_307)))
{ /* Llib/block_ciphers.scm 850 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 850 */
bool_t BgL_test4433z00_8993;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_arg2045z00_1176;
BgL_arg2045z00_1176 = 
VECTOR_REF(BgL_opt1422z00_307,BgL_iz00_1169); 
BgL_test4433z00_8993 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2045z00_1176, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_test4433z00_8993)
{ 
long BgL_iz00_8998;
BgL_iz00_8998 = 
(BgL_iz00_1169+((long)2)); 
BgL_iz00_1169 = BgL_iz00_8998; 
goto BgL_check1425z00_1170;}  else 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_arg2044z00_1175;
BgL_arg2044z00_1175 = 
VECTOR_REF(BgL_opt1422z00_307,BgL_iz00_1169); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)37)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2044z00_1175); } } } 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_index1427z00_1177;
BgL_index1427z00_1177 = 
BGl_search1424ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1422z00_307), BgL_opt1422z00_307, 
CNST_TABLE_REF(((long)25)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
bool_t BgL_test4434z00_9006;
{ /* Llib/block_ciphers.scm 850 */
long BgL_n1z00_3386;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_9007;
if(
INTEGERP(BgL_index1427z00_1177))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9007 = BgL_index1427z00_1177
; }  else 
{ 
obj_t BgL_auxz00_9010;
BgL_auxz00_9010 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3766z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1427z00_1177); 
FAILURE(BgL_auxz00_9010,BFALSE,BFALSE);} 
BgL_n1z00_3386 = 
(long)CINT(BgL_tmpz00_9007); } 
BgL_test4434z00_9006 = 
(BgL_n1z00_3386>=((long)0)); } 
if(BgL_test4434z00_9006)
{ 
long BgL_auxz00_9016;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_9017;
if(
INTEGERP(BgL_index1427z00_1177))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9017 = BgL_index1427z00_1177
; }  else 
{ 
obj_t BgL_auxz00_9020;
BgL_auxz00_9020 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3766z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1427z00_1177); 
FAILURE(BgL_auxz00_9020,BFALSE,BFALSE);} 
BgL_auxz00_9016 = 
(long)CINT(BgL_tmpz00_9017); } 
BgL_ivz00_1163 = 
VECTOR_REF(BgL_opt1422z00_307,BgL_auxz00_9016); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_index1428z00_1179;
BgL_index1428z00_1179 = 
BGl_search1424ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1422z00_307), BgL_opt1422z00_307, 
CNST_TABLE_REF(((long)26)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
bool_t BgL_test4437z00_9029;
{ /* Llib/block_ciphers.scm 850 */
long BgL_n1z00_3388;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_9030;
if(
INTEGERP(BgL_index1428z00_1179))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9030 = BgL_index1428z00_1179
; }  else 
{ 
obj_t BgL_auxz00_9033;
BgL_auxz00_9033 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3766z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1428z00_1179); 
FAILURE(BgL_auxz00_9033,BFALSE,BFALSE);} 
BgL_n1z00_3388 = 
(long)CINT(BgL_tmpz00_9030); } 
BgL_test4437z00_9029 = 
(BgL_n1z00_3388>=((long)0)); } 
if(BgL_test4437z00_9029)
{ 
long BgL_auxz00_9039;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_9040;
if(
INTEGERP(BgL_index1428z00_1179))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9040 = BgL_index1428z00_1179
; }  else 
{ 
obj_t BgL_auxz00_9043;
BgL_auxz00_9043 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3766z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1428z00_1179); 
FAILURE(BgL_auxz00_9043,BFALSE,BFALSE);} 
BgL_auxz00_9039 = 
(long)CINT(BgL_tmpz00_9040); } 
BgL_modez00_1164 = 
VECTOR_REF(BgL_opt1422z00_307,BgL_auxz00_9039); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_index1429z00_1181;
BgL_index1429z00_1181 = 
BGl_search1424ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1422z00_307), BgL_opt1422z00_307, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
bool_t BgL_test4440z00_9052;
{ /* Llib/block_ciphers.scm 850 */
long BgL_n1z00_3390;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_9053;
if(
INTEGERP(BgL_index1429z00_1181))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9053 = BgL_index1429z00_1181
; }  else 
{ 
obj_t BgL_auxz00_9056;
BgL_auxz00_9056 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3766z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1429z00_1181); 
FAILURE(BgL_auxz00_9056,BFALSE,BFALSE);} 
BgL_n1z00_3390 = 
(long)CINT(BgL_tmpz00_9053); } 
BgL_test4440z00_9052 = 
(BgL_n1z00_3390>=((long)0)); } 
if(BgL_test4440z00_9052)
{ 
long BgL_auxz00_9062;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_9063;
if(
INTEGERP(BgL_index1429z00_1181))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9063 = BgL_index1429z00_1181
; }  else 
{ 
obj_t BgL_auxz00_9066;
BgL_auxz00_9066 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3766z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1429z00_1181); 
FAILURE(BgL_auxz00_9066,BFALSE,BFALSE);} 
BgL_auxz00_9062 = 
(long)CINT(BgL_tmpz00_9063); } 
BgL_noncezd2initz12zc0_1165 = 
VECTOR_REF(BgL_opt1422z00_307,BgL_auxz00_9062); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_index1430z00_1183;
BgL_index1430z00_1183 = 
BGl_search1424ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1422z00_307), BgL_opt1422z00_307, 
CNST_TABLE_REF(((long)28)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
bool_t BgL_test4443z00_9075;
{ /* Llib/block_ciphers.scm 850 */
long BgL_n1z00_3392;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_9076;
if(
INTEGERP(BgL_index1430z00_1183))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9076 = BgL_index1430z00_1183
; }  else 
{ 
obj_t BgL_auxz00_9079;
BgL_auxz00_9079 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3766z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1430z00_1183); 
FAILURE(BgL_auxz00_9079,BFALSE,BFALSE);} 
BgL_n1z00_3392 = 
(long)CINT(BgL_tmpz00_9076); } 
BgL_test4443z00_9075 = 
(BgL_n1z00_3392>=((long)0)); } 
if(BgL_test4443z00_9075)
{ 
long BgL_auxz00_9085;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_9086;
if(
INTEGERP(BgL_index1430z00_1183))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9086 = BgL_index1430z00_1183
; }  else 
{ 
obj_t BgL_auxz00_9089;
BgL_auxz00_9089 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3766z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1430z00_1183); 
FAILURE(BgL_auxz00_9089,BFALSE,BFALSE);} 
BgL_auxz00_9085 = 
(long)CINT(BgL_tmpz00_9086); } 
BgL_noncezd2updatez12zc0_1166 = 
VECTOR_REF(BgL_opt1422z00_307,BgL_auxz00_9085); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_index1431z00_1185;
BgL_index1431z00_1185 = 
BGl_search1424ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1422z00_307), BgL_opt1422z00_307, 
CNST_TABLE_REF(((long)29)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
bool_t BgL_test4446z00_9098;
{ /* Llib/block_ciphers.scm 850 */
long BgL_n1z00_3394;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_9099;
if(
INTEGERP(BgL_index1431z00_1185))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9099 = BgL_index1431z00_1185
; }  else 
{ 
obj_t BgL_auxz00_9102;
BgL_auxz00_9102 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3766z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1431z00_1185); 
FAILURE(BgL_auxz00_9102,BFALSE,BFALSE);} 
BgL_n1z00_3394 = 
(long)CINT(BgL_tmpz00_9099); } 
BgL_test4446z00_9098 = 
(BgL_n1z00_3394>=((long)0)); } 
if(BgL_test4446z00_9098)
{ 
long BgL_auxz00_9108;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_9109;
if(
INTEGERP(BgL_index1431z00_1185))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9109 = BgL_index1431z00_1185
; }  else 
{ 
obj_t BgL_auxz00_9112;
BgL_auxz00_9112 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3766z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1431z00_1185); 
FAILURE(BgL_auxz00_9112,BFALSE,BFALSE);} 
BgL_auxz00_9108 = 
(long)CINT(BgL_tmpz00_9109); } 
BgL_padz00_1167 = 
VECTOR_REF(BgL_opt1422z00_307,BgL_auxz00_9108); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_index1432z00_1187;
BgL_index1432z00_1187 = 
BGl_search1424ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1422z00_307), BgL_opt1422z00_307, 
CNST_TABLE_REF(((long)30)), ((long)3)); 
{ /* Llib/block_ciphers.scm 850 */
bool_t BgL_test4449z00_9121;
{ /* Llib/block_ciphers.scm 850 */
long BgL_n1z00_3396;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_9122;
if(
INTEGERP(BgL_index1432z00_1187))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9122 = BgL_index1432z00_1187
; }  else 
{ 
obj_t BgL_auxz00_9125;
BgL_auxz00_9125 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3766z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1432z00_1187); 
FAILURE(BgL_auxz00_9125,BFALSE,BFALSE);} 
BgL_n1z00_3396 = 
(long)CINT(BgL_tmpz00_9122); } 
BgL_test4449z00_9121 = 
(BgL_n1z00_3396>=((long)0)); } 
if(BgL_test4449z00_9121)
{ 
long BgL_auxz00_9131;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_tmpz00_9132;
if(
INTEGERP(BgL_index1432z00_1187))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9132 = BgL_index1432z00_1187
; }  else 
{ 
obj_t BgL_auxz00_9135;
BgL_auxz00_9135 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3766z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1432z00_1187); 
FAILURE(BgL_auxz00_9135,BFALSE,BFALSE);} 
BgL_auxz00_9131 = 
(long)CINT(BgL_tmpz00_9132); } 
BgL_stringzd2ze3keyz31_1168 = 
VECTOR_REF(BgL_opt1422z00_307,BgL_auxz00_9131); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_arg2052z00_1189;obj_t BgL_arg2053z00_1190;obj_t BgL_arg2054z00_1191;
BgL_arg2052z00_1189 = 
VECTOR_REF(BgL_opt1422z00_307,((long)0)); 
BgL_arg2053z00_1190 = 
VECTOR_REF(BgL_opt1422z00_307,((long)1)); 
BgL_arg2054z00_1191 = 
VECTOR_REF(BgL_opt1422z00_307,((long)2)); 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_ivz00_1192;
BgL_ivz00_1192 = BgL_ivz00_1163; 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_modez00_1193;
BgL_modez00_1193 = BgL_modez00_1164; 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_noncezd2initz12zc0_1194;
BgL_noncezd2initz12zc0_1194 = BgL_noncezd2initz12zc0_1165; 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_noncezd2updatez12zc0_1195;
BgL_noncezd2updatez12zc0_1195 = BgL_noncezd2updatez12zc0_1166; 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_padz00_1196;
BgL_padz00_1196 = BgL_padz00_1167; 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_stringzd2ze3keyz31_1197;
BgL_stringzd2ze3keyz31_1197 = BgL_stringzd2ze3keyz31_1168; 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_res2925z00_3408;
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_cipherz00_3398;obj_t BgL_passwordz00_3399;
if(
SYMBOLP(BgL_arg2052z00_1189))
{ /* Llib/block_ciphers.scm 850 */
BgL_cipherz00_3398 = BgL_arg2052z00_1189; }  else 
{ 
obj_t BgL_auxz00_9146;
BgL_auxz00_9146 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3766z00zz__cryptozd2blockzd2ciphersz00, BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2052z00_1189); 
FAILURE(BgL_auxz00_9146,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2054z00_1191))
{ /* Llib/block_ciphers.scm 850 */
BgL_passwordz00_3399 = BgL_arg2054z00_1191; }  else 
{ 
obj_t BgL_auxz00_9152;
BgL_auxz00_9152 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)30763)), BGl_string3766z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2054z00_1191); 
FAILURE(BgL_auxz00_9152,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 854 */
obj_t BgL_redirectz00_3400;
if(
STRINGP(BgL_arg2053z00_1190))
{ /* Llib/block_ciphers.scm 855 */
BgL_redirectz00_3400 = BGl_decryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 856 */
bool_t BgL_test4455z00_9158;
{ /* Llib/block_ciphers.scm 856 */
bool_t BgL_res2923z00_3405;
BgL_res2923z00_3405 = 
BGL_MMAPP(BgL_arg2053z00_1190); 
BgL_test4455z00_9158 = BgL_res2923z00_3405; } 
if(BgL_test4455z00_9158)
{ /* Llib/block_ciphers.scm 856 */
BgL_redirectz00_3400 = BGl_decryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 857 */
bool_t BgL_test4456z00_9160;
{ /* Llib/block_ciphers.scm 857 */
bool_t BgL__ortest_1057z00_3406;
BgL__ortest_1057z00_3406 = 
OUTPUT_PORTP(BgL_arg2053z00_1190); 
if(BgL__ortest_1057z00_3406)
{ /* Llib/block_ciphers.scm 857 */
BgL_test4456z00_9160 = BgL__ortest_1057z00_3406
; }  else 
{ /* Llib/block_ciphers.scm 857 */
BgL_test4456z00_9160 = 
INPUT_PORTP(BgL_arg2053z00_1190)
; } } 
if(BgL_test4456z00_9160)
{ /* Llib/block_ciphers.scm 857 */
BgL_redirectz00_3400 = BGl_decryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 857 */
CNST_TABLE_REF(((long)8)); 
BgL_redirectz00_3400 = BgL_arg2053z00_1190; } } } 
{ /* Llib/block_ciphers.scm 861 */
obj_t BgL_aux3531z00_5915;
{ /* Llib/block_ciphers.scm 861 */
obj_t BgL_tmpfunz00_9176;
{ /* Llib/block_ciphers.scm 861 */
bool_t BgL_test3530z00_5914;
BgL_test3530z00_5914 = 
PROCEDUREP(BgL_redirectz00_3400); 
if(BgL_test3530z00_5914)
{ /* Llib/block_ciphers.scm 861 */
BgL_tmpfunz00_9176 = BgL_redirectz00_3400
; }  else 
{ 
obj_t BgL_auxz00_9179;
BgL_auxz00_9179 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31179)), BGl_string3766z00zz__cryptozd2blockzd2ciphersz00, BGl_string3751z00zz__cryptozd2blockzd2ciphersz00, BgL_redirectz00_3400); 
FAILURE(BgL_auxz00_9179,BFALSE,BFALSE);} } 
BgL_aux3531z00_5915 = 
PROCEDURE_ENTRY(BgL_tmpfunz00_9176)(BgL_redirectz00_3400, BgL_cipherz00_3398, BgL_arg2053z00_1190, BgL_passwordz00_3399, BgL_ivz00_1192, BgL_modez00_1193, BgL_padz00_1196, BgL_noncezd2initz12zc0_1194, BgL_noncezd2updatez12zc0_1195, BgL_stringzd2ze3keyz31_1197, BEOA); } 
if(
STRINGP(BgL_aux3531z00_5915))
{ /* Llib/block_ciphers.scm 861 */
BgL_res2925z00_3408 = BgL_aux3531z00_5915; }  else 
{ 
obj_t BgL_auxz00_9185;
BgL_auxz00_9185 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31179)), BGl_string3766z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_aux3531z00_5915); 
FAILURE(BgL_auxz00_9185,BFALSE,BFALSE);} } } } 
return BgL_res2925z00_3408;} } } } } } } } } } } } } } } } } 

}



/* search1424~0 */
obj_t BGl_search1424ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1423z00_5666, obj_t BgL_opt1422z00_5665, obj_t BgL_k1z00_1157, long BgL_iz00_1158)
{
{ /* Llib/block_ciphers.scm 850 */
BGl_search1424ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1158==BgL_l1423z00_5666))
{ /* Llib/block_ciphers.scm 850 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 850 */
if(
(BgL_iz00_1158==
(BgL_l1423z00_5666-((long)1))))
{ /* Llib/block_ciphers.scm 850 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)37)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1422z00_5665)));}  else 
{ /* Llib/block_ciphers.scm 850 */
obj_t BgL_vz00_1202;
BgL_vz00_1202 = 
VECTOR_REF(BgL_opt1422z00_5665,BgL_iz00_1158); 
if(
(BgL_vz00_1202==BgL_k1z00_1157))
{ /* Llib/block_ciphers.scm 850 */
return 
BINT(
(BgL_iz00_1158+((long)1)));}  else 
{ 
long BgL_iz00_9204;
BgL_iz00_9204 = 
(BgL_iz00_1158+((long)2)); 
BgL_iz00_1158 = BgL_iz00_9204; 
goto BGl_search1424ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* decrypt */
BGL_EXPORTED_DEF obj_t BGl_decryptz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_298, obj_t BgL_ciphertextz00_299, obj_t BgL_passwordz00_300, obj_t BgL_ivz00_301, obj_t BgL_modez00_302, obj_t BgL_noncezd2initz12zc0_303, obj_t BgL_noncezd2updatez12zc0_304, obj_t BgL_padz00_305, obj_t BgL_stringzd2ze3keyz31_306)
{
{ /* Llib/block_ciphers.scm 850 */
{ /* Llib/block_ciphers.scm 854 */
obj_t BgL_redirectz00_3409;
if(
STRINGP(BgL_ciphertextz00_299))
{ /* Llib/block_ciphers.scm 855 */
BgL_redirectz00_3409 = BGl_decryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 856 */
bool_t BgL_test4464z00_9208;
{ /* Llib/block_ciphers.scm 856 */
bool_t BgL_res2927z00_3414;
BgL_res2927z00_3414 = 
BGL_MMAPP(BgL_ciphertextz00_299); 
BgL_test4464z00_9208 = BgL_res2927z00_3414; } 
if(BgL_test4464z00_9208)
{ /* Llib/block_ciphers.scm 856 */
BgL_redirectz00_3409 = BGl_decryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 857 */
bool_t BgL_test4465z00_9210;
{ /* Llib/block_ciphers.scm 857 */
bool_t BgL__ortest_1057z00_3415;
BgL__ortest_1057z00_3415 = 
OUTPUT_PORTP(BgL_ciphertextz00_299); 
if(BgL__ortest_1057z00_3415)
{ /* Llib/block_ciphers.scm 857 */
BgL_test4465z00_9210 = BgL__ortest_1057z00_3415
; }  else 
{ /* Llib/block_ciphers.scm 857 */
BgL_test4465z00_9210 = 
INPUT_PORTP(BgL_ciphertextz00_299)
; } } 
if(BgL_test4465z00_9210)
{ /* Llib/block_ciphers.scm 857 */
BgL_redirectz00_3409 = BGl_decryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 857 */
CNST_TABLE_REF(((long)8)); 
BgL_redirectz00_3409 = BgL_ciphertextz00_299; } } } 
return 
PROCEDURE_ENTRY(BgL_redirectz00_3409)(BgL_redirectz00_3409, BgL_cipherz00_298, BgL_ciphertextz00_299, BgL_passwordz00_300, BgL_ivz00_301, BgL_modez00_302, BgL_padz00_305, BgL_noncezd2initz12zc0_303, BgL_noncezd2updatez12zc0_304, BgL_stringzd2ze3keyz31_306, BEOA);} } 

}



/* _decrypt-string */
obj_t BGl__decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_319, obj_t BgL_opt1433z00_318)
{
{ /* Llib/block_ciphers.scm 864 */
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_cipherz00_1214;obj_t BgL_ciphertextz00_1215;obj_t BgL_passwordz00_1216;
BgL_cipherz00_1214 = 
VECTOR_REF(BgL_opt1433z00_318,((long)0)); 
BgL_ciphertextz00_1215 = 
VECTOR_REF(BgL_opt1433z00_318,((long)1)); 
BgL_passwordz00_1216 = 
VECTOR_REF(BgL_opt1433z00_318,((long)2)); 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_ivz00_1217;
BgL_ivz00_1217 = BFALSE; 
{ /* Llib/block_ciphers.scm 865 */
obj_t BgL_modez00_1218;
BgL_modez00_1218 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_noncezd2initz12zc0_1219;
BgL_noncezd2initz12zc0_1219 = BFALSE; 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_noncezd2updatez12zc0_1220;
BgL_noncezd2updatez12zc0_1220 = BFALSE; 
{ /* Llib/block_ciphers.scm 865 */
obj_t BgL_padz00_1221;
BgL_padz00_1221 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_stringzd2ze3keyz31_1222;
BgL_stringzd2ze3keyz31_1222 = BFALSE; 
{ /* Llib/block_ciphers.scm 864 */

{ 
long BgL_iz00_1223;
BgL_iz00_1223 = ((long)3); 
BgL_check1436z00_1224:
if(
(BgL_iz00_1223==
VECTOR_LENGTH(BgL_opt1433z00_318)))
{ /* Llib/block_ciphers.scm 864 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 864 */
bool_t BgL_test4468z00_9235;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_arg2070z00_1230;
BgL_arg2070z00_1230 = 
VECTOR_REF(BgL_opt1433z00_318,BgL_iz00_1223); 
BgL_test4468z00_9235 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2070z00_1230, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_test4468z00_9235)
{ 
long BgL_iz00_9240;
BgL_iz00_9240 = 
(BgL_iz00_1223+((long)2)); 
BgL_iz00_1223 = BgL_iz00_9240; 
goto BgL_check1436z00_1224;}  else 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_arg2069z00_1229;
BgL_arg2069z00_1229 = 
VECTOR_REF(BgL_opt1433z00_318,BgL_iz00_1223); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)38)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2069z00_1229); } } } 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_index1438z00_1231;
BgL_index1438z00_1231 = 
BGl_search1435ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1433z00_318), BgL_opt1433z00_318, 
CNST_TABLE_REF(((long)25)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
bool_t BgL_test4469z00_9248;
{ /* Llib/block_ciphers.scm 864 */
long BgL_n1z00_3439;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9249;
if(
INTEGERP(BgL_index1438z00_1231))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9249 = BgL_index1438z00_1231
; }  else 
{ 
obj_t BgL_auxz00_9252;
BgL_auxz00_9252 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3767z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1438z00_1231); 
FAILURE(BgL_auxz00_9252,BFALSE,BFALSE);} 
BgL_n1z00_3439 = 
(long)CINT(BgL_tmpz00_9249); } 
BgL_test4469z00_9248 = 
(BgL_n1z00_3439>=((long)0)); } 
if(BgL_test4469z00_9248)
{ 
long BgL_auxz00_9258;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9259;
if(
INTEGERP(BgL_index1438z00_1231))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9259 = BgL_index1438z00_1231
; }  else 
{ 
obj_t BgL_auxz00_9262;
BgL_auxz00_9262 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3767z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1438z00_1231); 
FAILURE(BgL_auxz00_9262,BFALSE,BFALSE);} 
BgL_auxz00_9258 = 
(long)CINT(BgL_tmpz00_9259); } 
BgL_ivz00_1217 = 
VECTOR_REF(BgL_opt1433z00_318,BgL_auxz00_9258); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_index1439z00_1233;
BgL_index1439z00_1233 = 
BGl_search1435ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1433z00_318), BgL_opt1433z00_318, 
CNST_TABLE_REF(((long)26)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
bool_t BgL_test4472z00_9271;
{ /* Llib/block_ciphers.scm 864 */
long BgL_n1z00_3441;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9272;
if(
INTEGERP(BgL_index1439z00_1233))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9272 = BgL_index1439z00_1233
; }  else 
{ 
obj_t BgL_auxz00_9275;
BgL_auxz00_9275 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3767z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1439z00_1233); 
FAILURE(BgL_auxz00_9275,BFALSE,BFALSE);} 
BgL_n1z00_3441 = 
(long)CINT(BgL_tmpz00_9272); } 
BgL_test4472z00_9271 = 
(BgL_n1z00_3441>=((long)0)); } 
if(BgL_test4472z00_9271)
{ 
long BgL_auxz00_9281;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9282;
if(
INTEGERP(BgL_index1439z00_1233))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9282 = BgL_index1439z00_1233
; }  else 
{ 
obj_t BgL_auxz00_9285;
BgL_auxz00_9285 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3767z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1439z00_1233); 
FAILURE(BgL_auxz00_9285,BFALSE,BFALSE);} 
BgL_auxz00_9281 = 
(long)CINT(BgL_tmpz00_9282); } 
BgL_modez00_1218 = 
VECTOR_REF(BgL_opt1433z00_318,BgL_auxz00_9281); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_index1440z00_1235;
BgL_index1440z00_1235 = 
BGl_search1435ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1433z00_318), BgL_opt1433z00_318, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
bool_t BgL_test4475z00_9294;
{ /* Llib/block_ciphers.scm 864 */
long BgL_n1z00_3443;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9295;
if(
INTEGERP(BgL_index1440z00_1235))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9295 = BgL_index1440z00_1235
; }  else 
{ 
obj_t BgL_auxz00_9298;
BgL_auxz00_9298 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3767z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1440z00_1235); 
FAILURE(BgL_auxz00_9298,BFALSE,BFALSE);} 
BgL_n1z00_3443 = 
(long)CINT(BgL_tmpz00_9295); } 
BgL_test4475z00_9294 = 
(BgL_n1z00_3443>=((long)0)); } 
if(BgL_test4475z00_9294)
{ 
long BgL_auxz00_9304;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9305;
if(
INTEGERP(BgL_index1440z00_1235))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9305 = BgL_index1440z00_1235
; }  else 
{ 
obj_t BgL_auxz00_9308;
BgL_auxz00_9308 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3767z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1440z00_1235); 
FAILURE(BgL_auxz00_9308,BFALSE,BFALSE);} 
BgL_auxz00_9304 = 
(long)CINT(BgL_tmpz00_9305); } 
BgL_noncezd2initz12zc0_1219 = 
VECTOR_REF(BgL_opt1433z00_318,BgL_auxz00_9304); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_index1441z00_1237;
BgL_index1441z00_1237 = 
BGl_search1435ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1433z00_318), BgL_opt1433z00_318, 
CNST_TABLE_REF(((long)28)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
bool_t BgL_test4478z00_9317;
{ /* Llib/block_ciphers.scm 864 */
long BgL_n1z00_3445;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9318;
if(
INTEGERP(BgL_index1441z00_1237))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9318 = BgL_index1441z00_1237
; }  else 
{ 
obj_t BgL_auxz00_9321;
BgL_auxz00_9321 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3767z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1441z00_1237); 
FAILURE(BgL_auxz00_9321,BFALSE,BFALSE);} 
BgL_n1z00_3445 = 
(long)CINT(BgL_tmpz00_9318); } 
BgL_test4478z00_9317 = 
(BgL_n1z00_3445>=((long)0)); } 
if(BgL_test4478z00_9317)
{ 
long BgL_auxz00_9327;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9328;
if(
INTEGERP(BgL_index1441z00_1237))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9328 = BgL_index1441z00_1237
; }  else 
{ 
obj_t BgL_auxz00_9331;
BgL_auxz00_9331 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3767z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1441z00_1237); 
FAILURE(BgL_auxz00_9331,BFALSE,BFALSE);} 
BgL_auxz00_9327 = 
(long)CINT(BgL_tmpz00_9328); } 
BgL_noncezd2updatez12zc0_1220 = 
VECTOR_REF(BgL_opt1433z00_318,BgL_auxz00_9327); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_index1442z00_1239;
BgL_index1442z00_1239 = 
BGl_search1435ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1433z00_318), BgL_opt1433z00_318, 
CNST_TABLE_REF(((long)29)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
bool_t BgL_test4481z00_9340;
{ /* Llib/block_ciphers.scm 864 */
long BgL_n1z00_3447;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9341;
if(
INTEGERP(BgL_index1442z00_1239))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9341 = BgL_index1442z00_1239
; }  else 
{ 
obj_t BgL_auxz00_9344;
BgL_auxz00_9344 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3767z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1442z00_1239); 
FAILURE(BgL_auxz00_9344,BFALSE,BFALSE);} 
BgL_n1z00_3447 = 
(long)CINT(BgL_tmpz00_9341); } 
BgL_test4481z00_9340 = 
(BgL_n1z00_3447>=((long)0)); } 
if(BgL_test4481z00_9340)
{ 
long BgL_auxz00_9350;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9351;
if(
INTEGERP(BgL_index1442z00_1239))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9351 = BgL_index1442z00_1239
; }  else 
{ 
obj_t BgL_auxz00_9354;
BgL_auxz00_9354 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3767z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1442z00_1239); 
FAILURE(BgL_auxz00_9354,BFALSE,BFALSE);} 
BgL_auxz00_9350 = 
(long)CINT(BgL_tmpz00_9351); } 
BgL_padz00_1221 = 
VECTOR_REF(BgL_opt1433z00_318,BgL_auxz00_9350); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_index1443z00_1241;
BgL_index1443z00_1241 = 
BGl_search1435ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1433z00_318), BgL_opt1433z00_318, 
CNST_TABLE_REF(((long)30)), ((long)3)); 
{ /* Llib/block_ciphers.scm 864 */
bool_t BgL_test4484z00_9363;
{ /* Llib/block_ciphers.scm 864 */
long BgL_n1z00_3449;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9364;
if(
INTEGERP(BgL_index1443z00_1241))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9364 = BgL_index1443z00_1241
; }  else 
{ 
obj_t BgL_auxz00_9367;
BgL_auxz00_9367 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3767z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1443z00_1241); 
FAILURE(BgL_auxz00_9367,BFALSE,BFALSE);} 
BgL_n1z00_3449 = 
(long)CINT(BgL_tmpz00_9364); } 
BgL_test4484z00_9363 = 
(BgL_n1z00_3449>=((long)0)); } 
if(BgL_test4484z00_9363)
{ 
long BgL_auxz00_9373;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_tmpz00_9374;
if(
INTEGERP(BgL_index1443z00_1241))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9374 = BgL_index1443z00_1241
; }  else 
{ 
obj_t BgL_auxz00_9377;
BgL_auxz00_9377 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3767z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1443z00_1241); 
FAILURE(BgL_auxz00_9377,BFALSE,BFALSE);} 
BgL_auxz00_9373 = 
(long)CINT(BgL_tmpz00_9374); } 
BgL_stringzd2ze3keyz31_1222 = 
VECTOR_REF(BgL_opt1433z00_318,BgL_auxz00_9373); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_arg2077z00_1243;obj_t BgL_arg2078z00_1244;obj_t BgL_arg2079z00_1245;
BgL_arg2077z00_1243 = 
VECTOR_REF(BgL_opt1433z00_318,((long)0)); 
BgL_arg2078z00_1244 = 
VECTOR_REF(BgL_opt1433z00_318,((long)1)); 
BgL_arg2079z00_1245 = 
VECTOR_REF(BgL_opt1433z00_318,((long)2)); 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_ivz00_1246;
BgL_ivz00_1246 = BgL_ivz00_1217; 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_modez00_1247;
BgL_modez00_1247 = BgL_modez00_1218; 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_noncezd2initz12zc0_1248;
BgL_noncezd2initz12zc0_1248 = BgL_noncezd2initz12zc0_1219; 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_noncezd2updatez12zc0_1249;
BgL_noncezd2updatez12zc0_1249 = BgL_noncezd2updatez12zc0_1220; 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_padz00_1250;
BgL_padz00_1250 = BgL_padz00_1221; 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_stringzd2ze3keyz31_1251;
BgL_stringzd2ze3keyz31_1251 = BgL_stringzd2ze3keyz31_1222; 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_res2945z00_3469;
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_cipherz00_3451;obj_t BgL_ciphertextz00_3452;obj_t BgL_passwordz00_3453;
if(
SYMBOLP(BgL_arg2077z00_1243))
{ /* Llib/block_ciphers.scm 864 */
BgL_cipherz00_3451 = BgL_arg2077z00_1243; }  else 
{ 
obj_t BgL_auxz00_9388;
BgL_auxz00_9388 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3767z00zz__cryptozd2blockzd2ciphersz00, BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2077z00_1243); 
FAILURE(BgL_auxz00_9388,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2078z00_1244))
{ /* Llib/block_ciphers.scm 864 */
BgL_ciphertextz00_3452 = BgL_arg2078z00_1244; }  else 
{ 
obj_t BgL_auxz00_9394;
BgL_auxz00_9394 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3767z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2078z00_1244); 
FAILURE(BgL_auxz00_9394,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2079z00_1245))
{ /* Llib/block_ciphers.scm 864 */
BgL_passwordz00_3453 = BgL_arg2079z00_1245; }  else 
{ 
obj_t BgL_auxz00_9400;
BgL_auxz00_9400 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31272)), BGl_string3767z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2079z00_1245); 
FAILURE(BgL_auxz00_9400,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 868 */
obj_t BgL_res2944z00_3468;
{ /* Llib/block_ciphers.scm 874 */
obj_t BgL_strz00_3456;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3457;
{ /* Llib/block_ciphers.scm 874 */
long BgL_arg2088z00_3458;
BgL_arg2088z00_3458 = 
STRING_LENGTH(BgL_ciphertextz00_3452); 
{ /* Llib/block_ciphers.scm 874 */

BgL_strz00_3456 = 
make_string(BgL_arg2088z00_3458, ((unsigned char)' ')); } } 
BgL_statez00_3457 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3451, BgL_passwordz00_3453, BgL_ivz00_1246, BgL_modez00_1247, BgL_padz00_1250, BgL_noncezd2initz12zc0_1248, BgL_noncezd2updatez12zc0_1249, BgL_stringzd2ze3keyz31_1251); 
{ /* Llib/block_ciphers.scm 878 */
long BgL_tmpz00_9407;
BgL_tmpz00_9407 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3457, BgL_ciphertextz00_3452, ((long)0), BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3456, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
BgL_res2944z00_3468 = 
bgl_string_shrink(BgL_strz00_3456, BgL_tmpz00_9407); } } 
BgL_res2945z00_3469 = BgL_res2944z00_3468; } } 
return BgL_res2945z00_3469;} } } } } } } } } } } } } } } } } 

}



/* search1435~0 */
obj_t BGl_search1435ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1434z00_5664, obj_t BgL_opt1433z00_5663, obj_t BgL_k1z00_1211, long BgL_iz00_1212)
{
{ /* Llib/block_ciphers.scm 864 */
BGl_search1435ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1212==BgL_l1434z00_5664))
{ /* Llib/block_ciphers.scm 864 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 864 */
if(
(BgL_iz00_1212==
(BgL_l1434z00_5664-((long)1))))
{ /* Llib/block_ciphers.scm 864 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)38)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1433z00_5663)));}  else 
{ /* Llib/block_ciphers.scm 864 */
obj_t BgL_vz00_1256;
BgL_vz00_1256 = 
VECTOR_REF(BgL_opt1433z00_5663,BgL_iz00_1212); 
if(
(BgL_vz00_1256==BgL_k1z00_1211))
{ /* Llib/block_ciphers.scm 864 */
return 
BINT(
(BgL_iz00_1212+((long)1)));}  else 
{ 
long BgL_iz00_9425;
BgL_iz00_9425 = 
(BgL_iz00_1212+((long)2)); 
BgL_iz00_1212 = BgL_iz00_9425; 
goto BGl_search1435ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* decrypt-string */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_309, obj_t BgL_ciphertextz00_310, obj_t BgL_passwordz00_311, obj_t BgL_ivz00_312, obj_t BgL_modez00_313, obj_t BgL_noncezd2initz12zc0_314, obj_t BgL_noncezd2updatez12zc0_315, obj_t BgL_padz00_316, obj_t BgL_stringzd2ze3keyz31_317)
{
{ /* Llib/block_ciphers.scm 864 */
{ /* Llib/block_ciphers.scm 868 */
obj_t BgL_res2948z00_3484;
{ /* Llib/block_ciphers.scm 874 */
obj_t BgL_strz00_3472;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3473;
{ /* Llib/block_ciphers.scm 874 */
long BgL_arg2088z00_3474;
BgL_arg2088z00_3474 = 
STRING_LENGTH(BgL_ciphertextz00_310); 
{ /* Llib/block_ciphers.scm 874 */

BgL_strz00_3472 = 
make_string(BgL_arg2088z00_3474, ((unsigned char)' ')); } } 
BgL_statez00_3473 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_309, BgL_passwordz00_311, BgL_ivz00_312, BgL_modez00_313, BgL_padz00_316, BgL_noncezd2initz12zc0_314, BgL_noncezd2updatez12zc0_315, BgL_stringzd2ze3keyz31_317); 
{ /* Llib/block_ciphers.scm 878 */
long BgL_tmpz00_9430;
BgL_tmpz00_9430 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3473, BgL_ciphertextz00_310, ((long)0), BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3472, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
BgL_res2948z00_3484 = 
bgl_string_shrink(BgL_strz00_3472, BgL_tmpz00_9430); } } 
return BgL_res2948z00_3484;} } 

}



/* &decrypt-fast-string */
obj_t BGl_z62decryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5029, obj_t BgL_cipherz00_5030, obj_t BgL_ciphertextz00_5031, obj_t BgL_passwordz00_5032, obj_t BgL_ivz00_5033, obj_t BgL_modez00_5034, obj_t BgL_padz00_5035, obj_t BgL_noncezd2initz12zc0_5036, obj_t BgL_noncezd2updatez12zc0_5037, obj_t BgL_stringzd2ze3keyz31_5038)
{
{ /* Llib/block_ciphers.scm 871 */
{ /* Llib/block_ciphers.scm 874 */
obj_t BgL_ciphertextz00_6195;obj_t BgL_passwordz00_6196;
if(
STRINGP(BgL_ciphertextz00_5031))
{ /* Llib/block_ciphers.scm 874 */
BgL_ciphertextz00_6195 = BgL_ciphertextz00_5031; }  else 
{ 
obj_t BgL_auxz00_9435;
BgL_auxz00_9435 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31721)), BGl_string3768z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_ciphertextz00_5031); 
FAILURE(BgL_auxz00_9435,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passwordz00_5032))
{ /* Llib/block_ciphers.scm 874 */
BgL_passwordz00_6196 = BgL_passwordz00_5032; }  else 
{ 
obj_t BgL_auxz00_9441;
BgL_auxz00_9441 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)31721)), BGl_string3768z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_passwordz00_5032); 
FAILURE(BgL_auxz00_9441,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 874 */
obj_t BgL_strz00_6197;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_6198;
{ /* Llib/block_ciphers.scm 874 */
long BgL_arg2088z00_6199;
BgL_arg2088z00_6199 = 
STRING_LENGTH(BgL_ciphertextz00_6195); 
{ /* Llib/block_ciphers.scm 874 */

BgL_strz00_6197 = 
make_string(BgL_arg2088z00_6199, ((unsigned char)' ')); } } 
BgL_statez00_6198 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_5030, BgL_passwordz00_6196, BgL_ivz00_5033, BgL_modez00_5034, BgL_padz00_5035, BgL_noncezd2initz12zc0_5036, BgL_noncezd2updatez12zc0_5037, BgL_stringzd2ze3keyz31_5038); 
{ /* Llib/block_ciphers.scm 878 */
long BgL_tmpz00_9448;
BgL_tmpz00_9448 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_6198, BgL_ciphertextz00_6195, ((long)0), BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_6197, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_6197, BgL_tmpz00_9448);} } } } 

}



/* _decrypt-mmap */
obj_t BGl__decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_339, obj_t BgL_opt1444z00_338)
{
{ /* Llib/block_ciphers.scm 883 */
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_cipherz00_1270;obj_t BgL_ciphertextz00_1271;obj_t BgL_passwordz00_1272;
BgL_cipherz00_1270 = 
VECTOR_REF(BgL_opt1444z00_338,((long)0)); 
BgL_ciphertextz00_1271 = 
VECTOR_REF(BgL_opt1444z00_338,((long)1)); 
BgL_passwordz00_1272 = 
VECTOR_REF(BgL_opt1444z00_338,((long)2)); 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_ivz00_1273;
BgL_ivz00_1273 = BFALSE; 
{ /* Llib/block_ciphers.scm 884 */
obj_t BgL_modez00_1274;
BgL_modez00_1274 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_noncezd2initz12zc0_1275;
BgL_noncezd2initz12zc0_1275 = BFALSE; 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_noncezd2updatez12zc0_1276;
BgL_noncezd2updatez12zc0_1276 = BFALSE; 
{ /* Llib/block_ciphers.scm 884 */
obj_t BgL_padz00_1277;
BgL_padz00_1277 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_stringzd2ze3keyz31_1278;
BgL_stringzd2ze3keyz31_1278 = BFALSE; 
{ /* Llib/block_ciphers.scm 883 */

{ 
long BgL_iz00_1279;
BgL_iz00_1279 = ((long)3); 
BgL_check1447z00_1280:
if(
(BgL_iz00_1279==
VECTOR_LENGTH(BgL_opt1444z00_338)))
{ /* Llib/block_ciphers.scm 883 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 883 */
bool_t BgL_test4496z00_9459;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_arg2094z00_1286;
BgL_arg2094z00_1286 = 
VECTOR_REF(BgL_opt1444z00_338,BgL_iz00_1279); 
BgL_test4496z00_9459 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2094z00_1286, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_test4496z00_9459)
{ 
long BgL_iz00_9464;
BgL_iz00_9464 = 
(BgL_iz00_1279+((long)2)); 
BgL_iz00_1279 = BgL_iz00_9464; 
goto BgL_check1447z00_1280;}  else 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_arg2093z00_1285;
BgL_arg2093z00_1285 = 
VECTOR_REF(BgL_opt1444z00_338,BgL_iz00_1279); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)39)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2093z00_1285); } } } 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_index1449z00_1287;
BgL_index1449z00_1287 = 
BGl_search1446ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1444z00_338), BgL_opt1444z00_338, 
CNST_TABLE_REF(((long)25)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
bool_t BgL_test4497z00_9472;
{ /* Llib/block_ciphers.scm 883 */
long BgL_n1z00_3519;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9473;
if(
INTEGERP(BgL_index1449z00_1287))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9473 = BgL_index1449z00_1287
; }  else 
{ 
obj_t BgL_auxz00_9476;
BgL_auxz00_9476 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3769z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1449z00_1287); 
FAILURE(BgL_auxz00_9476,BFALSE,BFALSE);} 
BgL_n1z00_3519 = 
(long)CINT(BgL_tmpz00_9473); } 
BgL_test4497z00_9472 = 
(BgL_n1z00_3519>=((long)0)); } 
if(BgL_test4497z00_9472)
{ 
long BgL_auxz00_9482;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9483;
if(
INTEGERP(BgL_index1449z00_1287))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9483 = BgL_index1449z00_1287
; }  else 
{ 
obj_t BgL_auxz00_9486;
BgL_auxz00_9486 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3769z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1449z00_1287); 
FAILURE(BgL_auxz00_9486,BFALSE,BFALSE);} 
BgL_auxz00_9482 = 
(long)CINT(BgL_tmpz00_9483); } 
BgL_ivz00_1273 = 
VECTOR_REF(BgL_opt1444z00_338,BgL_auxz00_9482); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_index1450z00_1289;
BgL_index1450z00_1289 = 
BGl_search1446ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1444z00_338), BgL_opt1444z00_338, 
CNST_TABLE_REF(((long)26)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
bool_t BgL_test4500z00_9495;
{ /* Llib/block_ciphers.scm 883 */
long BgL_n1z00_3521;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9496;
if(
INTEGERP(BgL_index1450z00_1289))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9496 = BgL_index1450z00_1289
; }  else 
{ 
obj_t BgL_auxz00_9499;
BgL_auxz00_9499 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3769z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1450z00_1289); 
FAILURE(BgL_auxz00_9499,BFALSE,BFALSE);} 
BgL_n1z00_3521 = 
(long)CINT(BgL_tmpz00_9496); } 
BgL_test4500z00_9495 = 
(BgL_n1z00_3521>=((long)0)); } 
if(BgL_test4500z00_9495)
{ 
long BgL_auxz00_9505;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9506;
if(
INTEGERP(BgL_index1450z00_1289))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9506 = BgL_index1450z00_1289
; }  else 
{ 
obj_t BgL_auxz00_9509;
BgL_auxz00_9509 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3769z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1450z00_1289); 
FAILURE(BgL_auxz00_9509,BFALSE,BFALSE);} 
BgL_auxz00_9505 = 
(long)CINT(BgL_tmpz00_9506); } 
BgL_modez00_1274 = 
VECTOR_REF(BgL_opt1444z00_338,BgL_auxz00_9505); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_index1451z00_1291;
BgL_index1451z00_1291 = 
BGl_search1446ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1444z00_338), BgL_opt1444z00_338, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
bool_t BgL_test4503z00_9518;
{ /* Llib/block_ciphers.scm 883 */
long BgL_n1z00_3523;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9519;
if(
INTEGERP(BgL_index1451z00_1291))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9519 = BgL_index1451z00_1291
; }  else 
{ 
obj_t BgL_auxz00_9522;
BgL_auxz00_9522 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3769z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1451z00_1291); 
FAILURE(BgL_auxz00_9522,BFALSE,BFALSE);} 
BgL_n1z00_3523 = 
(long)CINT(BgL_tmpz00_9519); } 
BgL_test4503z00_9518 = 
(BgL_n1z00_3523>=((long)0)); } 
if(BgL_test4503z00_9518)
{ 
long BgL_auxz00_9528;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9529;
if(
INTEGERP(BgL_index1451z00_1291))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9529 = BgL_index1451z00_1291
; }  else 
{ 
obj_t BgL_auxz00_9532;
BgL_auxz00_9532 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3769z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1451z00_1291); 
FAILURE(BgL_auxz00_9532,BFALSE,BFALSE);} 
BgL_auxz00_9528 = 
(long)CINT(BgL_tmpz00_9529); } 
BgL_noncezd2initz12zc0_1275 = 
VECTOR_REF(BgL_opt1444z00_338,BgL_auxz00_9528); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_index1452z00_1293;
BgL_index1452z00_1293 = 
BGl_search1446ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1444z00_338), BgL_opt1444z00_338, 
CNST_TABLE_REF(((long)28)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
bool_t BgL_test4508z00_9541;
{ /* Llib/block_ciphers.scm 883 */
long BgL_n1z00_3525;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9542;
if(
INTEGERP(BgL_index1452z00_1293))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9542 = BgL_index1452z00_1293
; }  else 
{ 
obj_t BgL_auxz00_9545;
BgL_auxz00_9545 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3769z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1452z00_1293); 
FAILURE(BgL_auxz00_9545,BFALSE,BFALSE);} 
BgL_n1z00_3525 = 
(long)CINT(BgL_tmpz00_9542); } 
BgL_test4508z00_9541 = 
(BgL_n1z00_3525>=((long)0)); } 
if(BgL_test4508z00_9541)
{ 
long BgL_auxz00_9551;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9552;
if(
INTEGERP(BgL_index1452z00_1293))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9552 = BgL_index1452z00_1293
; }  else 
{ 
obj_t BgL_auxz00_9555;
BgL_auxz00_9555 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3769z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1452z00_1293); 
FAILURE(BgL_auxz00_9555,BFALSE,BFALSE);} 
BgL_auxz00_9551 = 
(long)CINT(BgL_tmpz00_9552); } 
BgL_noncezd2updatez12zc0_1276 = 
VECTOR_REF(BgL_opt1444z00_338,BgL_auxz00_9551); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_index1453z00_1295;
BgL_index1453z00_1295 = 
BGl_search1446ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1444z00_338), BgL_opt1444z00_338, 
CNST_TABLE_REF(((long)29)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
bool_t BgL_test4511z00_9564;
{ /* Llib/block_ciphers.scm 883 */
long BgL_n1z00_3527;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9565;
if(
INTEGERP(BgL_index1453z00_1295))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9565 = BgL_index1453z00_1295
; }  else 
{ 
obj_t BgL_auxz00_9568;
BgL_auxz00_9568 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3769z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1453z00_1295); 
FAILURE(BgL_auxz00_9568,BFALSE,BFALSE);} 
BgL_n1z00_3527 = 
(long)CINT(BgL_tmpz00_9565); } 
BgL_test4511z00_9564 = 
(BgL_n1z00_3527>=((long)0)); } 
if(BgL_test4511z00_9564)
{ 
long BgL_auxz00_9574;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9575;
if(
INTEGERP(BgL_index1453z00_1295))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9575 = BgL_index1453z00_1295
; }  else 
{ 
obj_t BgL_auxz00_9578;
BgL_auxz00_9578 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3769z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1453z00_1295); 
FAILURE(BgL_auxz00_9578,BFALSE,BFALSE);} 
BgL_auxz00_9574 = 
(long)CINT(BgL_tmpz00_9575); } 
BgL_padz00_1277 = 
VECTOR_REF(BgL_opt1444z00_338,BgL_auxz00_9574); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_index1454z00_1297;
BgL_index1454z00_1297 = 
BGl_search1446ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1444z00_338), BgL_opt1444z00_338, 
CNST_TABLE_REF(((long)30)), ((long)3)); 
{ /* Llib/block_ciphers.scm 883 */
bool_t BgL_test4514z00_9587;
{ /* Llib/block_ciphers.scm 883 */
long BgL_n1z00_3529;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9588;
if(
INTEGERP(BgL_index1454z00_1297))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9588 = BgL_index1454z00_1297
; }  else 
{ 
obj_t BgL_auxz00_9591;
BgL_auxz00_9591 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3769z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1454z00_1297); 
FAILURE(BgL_auxz00_9591,BFALSE,BFALSE);} 
BgL_n1z00_3529 = 
(long)CINT(BgL_tmpz00_9588); } 
BgL_test4514z00_9587 = 
(BgL_n1z00_3529>=((long)0)); } 
if(BgL_test4514z00_9587)
{ 
long BgL_auxz00_9597;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_tmpz00_9598;
if(
INTEGERP(BgL_index1454z00_1297))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_9598 = BgL_index1454z00_1297
; }  else 
{ 
obj_t BgL_auxz00_9601;
BgL_auxz00_9601 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3769z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1454z00_1297); 
FAILURE(BgL_auxz00_9601,BFALSE,BFALSE);} 
BgL_auxz00_9597 = 
(long)CINT(BgL_tmpz00_9598); } 
BgL_stringzd2ze3keyz31_1278 = 
VECTOR_REF(BgL_opt1444z00_338,BgL_auxz00_9597); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_arg2101z00_1299;obj_t BgL_arg2102z00_1300;obj_t BgL_arg2103z00_1301;
BgL_arg2101z00_1299 = 
VECTOR_REF(BgL_opt1444z00_338,((long)0)); 
BgL_arg2102z00_1300 = 
VECTOR_REF(BgL_opt1444z00_338,((long)1)); 
BgL_arg2103z00_1301 = 
VECTOR_REF(BgL_opt1444z00_338,((long)2)); 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_ivz00_1302;
BgL_ivz00_1302 = BgL_ivz00_1273; 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_modez00_1303;
BgL_modez00_1303 = BgL_modez00_1274; 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_noncezd2initz12zc0_1304;
BgL_noncezd2initz12zc0_1304 = BgL_noncezd2initz12zc0_1275; 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_noncezd2updatez12zc0_1305;
BgL_noncezd2updatez12zc0_1305 = BgL_noncezd2updatez12zc0_1276; 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_padz00_1306;
BgL_padz00_1306 = BgL_padz00_1277; 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_stringzd2ze3keyz31_1307;
BgL_stringzd2ze3keyz31_1307 = BgL_stringzd2ze3keyz31_1278; 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_res2967z00_3549;
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_cipherz00_3531;obj_t BgL_ciphertextz00_3532;obj_t BgL_passwordz00_3533;
if(
SYMBOLP(BgL_arg2101z00_1299))
{ /* Llib/block_ciphers.scm 883 */
BgL_cipherz00_3531 = BgL_arg2101z00_1299; }  else 
{ 
obj_t BgL_auxz00_9612;
BgL_auxz00_9612 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3769z00zz__cryptozd2blockzd2ciphersz00, BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2101z00_1299); 
FAILURE(BgL_auxz00_9612,BFALSE,BFALSE);} 
if(
BGL_MMAPP(BgL_arg2102z00_1300))
{ /* Llib/block_ciphers.scm 883 */
BgL_ciphertextz00_3532 = BgL_arg2102z00_1300; }  else 
{ 
obj_t BgL_auxz00_9618;
BgL_auxz00_9618 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3769z00zz__cryptozd2blockzd2ciphersz00, BGl_string3756z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2102z00_1300); 
FAILURE(BgL_auxz00_9618,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2103z00_1301))
{ /* Llib/block_ciphers.scm 883 */
BgL_passwordz00_3533 = BgL_arg2103z00_1301; }  else 
{ 
obj_t BgL_auxz00_9624;
BgL_auxz00_9624 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32021)), BGl_string3769z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2103z00_1301); 
FAILURE(BgL_auxz00_9624,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 887 */
obj_t BgL_res2966z00_3548;
{ /* Llib/block_ciphers.scm 893 */
long BgL_lenz00_3536;
{ /* Llib/block_ciphers.scm 893 */
long BgL_res2964z00_3543;
BgL_res2964z00_3543 = 
BGL_MMAP_LENGTH(BgL_ciphertextz00_3532); 
BgL_lenz00_3536 = BgL_res2964z00_3543; } 
{ /* Llib/block_ciphers.scm 893 */
obj_t BgL_strz00_3537;
{ /* Llib/block_ciphers.scm 894 */

{ /* Llib/block_ciphers.scm 894 */
obj_t BgL_res2965z00_3545;
{ /* Llib/block_ciphers.scm 894 */
long BgL_kz00_3544;
BgL_kz00_3544 = 
(long)(BgL_lenz00_3536); 
BgL_res2965z00_3545 = 
make_string(BgL_kz00_3544, ((unsigned char)' ')); } 
BgL_strz00_3537 = BgL_res2965z00_3545; } } 
{ /* Llib/block_ciphers.scm 894 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3540;
BgL_statez00_3540 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3531, BgL_passwordz00_3533, BgL_ivz00_1302, BgL_modez00_1303, BgL_padz00_1306, BgL_noncezd2initz12zc0_1304, BgL_noncezd2updatez12zc0_1305, BgL_stringzd2ze3keyz31_1307); 
{ /* Llib/block_ciphers.scm 895 */

{ /* Llib/block_ciphers.scm 898 */
long BgL_tmpz00_9632;
BgL_tmpz00_9632 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3540, BgL_ciphertextz00_3532, ((long)0), BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3537, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
BgL_res2966z00_3548 = 
bgl_string_shrink(BgL_strz00_3537, BgL_tmpz00_9632); } } } } } 
BgL_res2967z00_3549 = BgL_res2966z00_3548; } } 
return BgL_res2967z00_3549;} } } } } } } } } } } } } } } } } 

}



/* search1446~0 */
obj_t BGl_search1446ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1445z00_5662, obj_t BgL_opt1444z00_5661, obj_t BgL_k1z00_1267, long BgL_iz00_1268)
{
{ /* Llib/block_ciphers.scm 883 */
BGl_search1446ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1268==BgL_l1445z00_5662))
{ /* Llib/block_ciphers.scm 883 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 883 */
if(
(BgL_iz00_1268==
(BgL_l1445z00_5662-((long)1))))
{ /* Llib/block_ciphers.scm 883 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)39)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1444z00_5661)));}  else 
{ /* Llib/block_ciphers.scm 883 */
obj_t BgL_vz00_1312;
BgL_vz00_1312 = 
VECTOR_REF(BgL_opt1444z00_5661,BgL_iz00_1268); 
if(
(BgL_vz00_1312==BgL_k1z00_1267))
{ /* Llib/block_ciphers.scm 883 */
return 
BINT(
(BgL_iz00_1268+((long)1)));}  else 
{ 
long BgL_iz00_9650;
BgL_iz00_9650 = 
(BgL_iz00_1268+((long)2)); 
BgL_iz00_1268 = BgL_iz00_9650; 
goto BGl_search1446ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* decrypt-mmap */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_329, obj_t BgL_ciphertextz00_330, obj_t BgL_passwordz00_331, obj_t BgL_ivz00_332, obj_t BgL_modez00_333, obj_t BgL_noncezd2initz12zc0_334, obj_t BgL_noncezd2updatez12zc0_335, obj_t BgL_padz00_336, obj_t BgL_stringzd2ze3keyz31_337)
{
{ /* Llib/block_ciphers.scm 883 */
{ /* Llib/block_ciphers.scm 887 */
obj_t BgL_res2970z00_3564;
{ /* Llib/block_ciphers.scm 893 */
long BgL_lenz00_3552;
{ /* Llib/block_ciphers.scm 893 */
long BgL_res2968z00_3559;
BgL_res2968z00_3559 = 
BGL_MMAP_LENGTH(BgL_ciphertextz00_330); 
BgL_lenz00_3552 = BgL_res2968z00_3559; } 
{ /* Llib/block_ciphers.scm 893 */
obj_t BgL_strz00_3553;
{ /* Llib/block_ciphers.scm 894 */

{ /* Llib/block_ciphers.scm 894 */
obj_t BgL_res2969z00_3561;
{ /* Llib/block_ciphers.scm 894 */
long BgL_kz00_3560;
BgL_kz00_3560 = 
(long)(BgL_lenz00_3552); 
BgL_res2969z00_3561 = 
make_string(BgL_kz00_3560, ((unsigned char)' ')); } 
BgL_strz00_3553 = BgL_res2969z00_3561; } } 
{ /* Llib/block_ciphers.scm 894 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3556;
BgL_statez00_3556 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_329, BgL_passwordz00_331, BgL_ivz00_332, BgL_modez00_333, BgL_padz00_336, BgL_noncezd2initz12zc0_334, BgL_noncezd2updatez12zc0_335, BgL_stringzd2ze3keyz31_337); 
{ /* Llib/block_ciphers.scm 895 */

{ /* Llib/block_ciphers.scm 898 */
long BgL_tmpz00_9656;
BgL_tmpz00_9656 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3556, BgL_ciphertextz00_330, ((long)0), BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3553, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
BgL_res2970z00_3564 = 
bgl_string_shrink(BgL_strz00_3553, BgL_tmpz00_9656); } } } } } 
return BgL_res2970z00_3564;} } 

}



/* &decrypt-fast-mmap */
obj_t BGl_z62decryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5039, obj_t BgL_cipherz00_5040, obj_t BgL_ciphertextz00_5041, obj_t BgL_passwordz00_5042, obj_t BgL_ivz00_5043, obj_t BgL_modez00_5044, obj_t BgL_padz00_5045, obj_t BgL_noncezd2initz12zc0_5046, obj_t BgL_noncezd2updatez12zc0_5047, obj_t BgL_stringzd2ze3keyz31_5048)
{
{ /* Llib/block_ciphers.scm 890 */
{ /* Llib/block_ciphers.scm 893 */
obj_t BgL_ciphertextz00_6200;obj_t BgL_passwordz00_6201;
if(
BGL_MMAPP(BgL_ciphertextz00_5041))
{ /* Llib/block_ciphers.scm 893 */
BgL_ciphertextz00_6200 = BgL_ciphertextz00_5041; }  else 
{ 
obj_t BgL_auxz00_9661;
BgL_auxz00_9661 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32475)), BGl_string3770z00zz__cryptozd2blockzd2ciphersz00, BGl_string3756z00zz__cryptozd2blockzd2ciphersz00, BgL_ciphertextz00_5041); 
FAILURE(BgL_auxz00_9661,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passwordz00_5042))
{ /* Llib/block_ciphers.scm 893 */
BgL_passwordz00_6201 = BgL_passwordz00_5042; }  else 
{ 
obj_t BgL_auxz00_9667;
BgL_auxz00_9667 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32475)), BGl_string3770z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_passwordz00_5042); 
FAILURE(BgL_auxz00_9667,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 893 */
long BgL_lenz00_6202;
{ /* Llib/block_ciphers.scm 893 */
long BgL_res2971z00_6203;
BgL_res2971z00_6203 = 
BGL_MMAP_LENGTH(BgL_ciphertextz00_6200); 
BgL_lenz00_6202 = BgL_res2971z00_6203; } 
{ /* Llib/block_ciphers.scm 893 */
obj_t BgL_strz00_6204;
{ /* Llib/block_ciphers.scm 894 */

{ /* Llib/block_ciphers.scm 894 */
obj_t BgL_res2972z00_6205;
{ /* Llib/block_ciphers.scm 894 */
long BgL_kz00_6206;
BgL_kz00_6206 = 
(long)(BgL_lenz00_6202); 
BgL_res2972z00_6205 = 
make_string(BgL_kz00_6206, ((unsigned char)' ')); } 
BgL_strz00_6204 = BgL_res2972z00_6205; } } 
{ /* Llib/block_ciphers.scm 894 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_6207;
BgL_statez00_6207 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_5040, BgL_passwordz00_6201, BgL_ivz00_5043, BgL_modez00_5044, BgL_padz00_5045, BgL_noncezd2initz12zc0_5046, BgL_noncezd2updatez12zc0_5047, BgL_stringzd2ze3keyz31_5048); 
{ /* Llib/block_ciphers.scm 895 */

{ /* Llib/block_ciphers.scm 898 */
long BgL_tmpz00_9675;
BgL_tmpz00_9675 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_6207, BgL_ciphertextz00_6200, ((long)0), BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_6204, ((long)0), BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_6204, BgL_tmpz00_9675);} } } } } } } 

}



/* _decrypt-port */
obj_t BGl__decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_359, obj_t BgL_opt1455z00_358)
{
{ /* Llib/block_ciphers.scm 903 */
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_cipherz00_1326;obj_t BgL_ciphertextz00_1327;obj_t BgL_passwordz00_1328;
BgL_cipherz00_1326 = 
VECTOR_REF(BgL_opt1455z00_358,((long)0)); 
BgL_ciphertextz00_1327 = 
VECTOR_REF(BgL_opt1455z00_358,((long)1)); 
BgL_passwordz00_1328 = 
VECTOR_REF(BgL_opt1455z00_358,((long)2)); 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_ivz00_1329;
BgL_ivz00_1329 = BFALSE; 
{ /* Llib/block_ciphers.scm 904 */
obj_t BgL_modez00_1330;
BgL_modez00_1330 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_noncezd2initz12zc0_1331;
BgL_noncezd2initz12zc0_1331 = BFALSE; 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_noncezd2updatez12zc0_1332;
BgL_noncezd2updatez12zc0_1332 = BFALSE; 
{ /* Llib/block_ciphers.scm 904 */
obj_t BgL_padz00_1333;
BgL_padz00_1333 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_stringzd2ze3keyz31_1334;
BgL_stringzd2ze3keyz31_1334 = BFALSE; 
{ /* Llib/block_ciphers.scm 903 */

{ 
long BgL_iz00_1335;
BgL_iz00_1335 = ((long)3); 
BgL_check1458z00_1336:
if(
(BgL_iz00_1335==
VECTOR_LENGTH(BgL_opt1455z00_358)))
{ /* Llib/block_ciphers.scm 903 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 903 */
bool_t BgL_test4526z00_9686;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_arg2117z00_1342;
BgL_arg2117z00_1342 = 
VECTOR_REF(BgL_opt1455z00_358,BgL_iz00_1335); 
BgL_test4526z00_9686 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2117z00_1342, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_test4526z00_9686)
{ 
long BgL_iz00_9691;
BgL_iz00_9691 = 
(BgL_iz00_1335+((long)2)); 
BgL_iz00_1335 = BgL_iz00_9691; 
goto BgL_check1458z00_1336;}  else 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_arg2116z00_1341;
BgL_arg2116z00_1341 = 
VECTOR_REF(BgL_opt1455z00_358,BgL_iz00_1335); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)40)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2116z00_1341); } } } 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_index1460z00_1343;
BgL_index1460z00_1343 = 
BGl_search1457ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1455z00_358), BgL_opt1455z00_358, 
CNST_TABLE_REF(((long)25)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
bool_t BgL_test4527z00_9699;
{ /* Llib/block_ciphers.scm 903 */
long BgL_n1z00_3599;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9700;
if(
INTEGERP(BgL_index1460z00_1343))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9700 = BgL_index1460z00_1343
; }  else 
{ 
obj_t BgL_auxz00_9703;
BgL_auxz00_9703 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3771z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1460z00_1343); 
FAILURE(BgL_auxz00_9703,BFALSE,BFALSE);} 
BgL_n1z00_3599 = 
(long)CINT(BgL_tmpz00_9700); } 
BgL_test4527z00_9699 = 
(BgL_n1z00_3599>=((long)0)); } 
if(BgL_test4527z00_9699)
{ 
long BgL_auxz00_9709;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9710;
if(
INTEGERP(BgL_index1460z00_1343))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9710 = BgL_index1460z00_1343
; }  else 
{ 
obj_t BgL_auxz00_9713;
BgL_auxz00_9713 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3771z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1460z00_1343); 
FAILURE(BgL_auxz00_9713,BFALSE,BFALSE);} 
BgL_auxz00_9709 = 
(long)CINT(BgL_tmpz00_9710); } 
BgL_ivz00_1329 = 
VECTOR_REF(BgL_opt1455z00_358,BgL_auxz00_9709); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_index1461z00_1345;
BgL_index1461z00_1345 = 
BGl_search1457ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1455z00_358), BgL_opt1455z00_358, 
CNST_TABLE_REF(((long)26)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
bool_t BgL_test4530z00_9722;
{ /* Llib/block_ciphers.scm 903 */
long BgL_n1z00_3601;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9723;
if(
INTEGERP(BgL_index1461z00_1345))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9723 = BgL_index1461z00_1345
; }  else 
{ 
obj_t BgL_auxz00_9726;
BgL_auxz00_9726 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3771z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1461z00_1345); 
FAILURE(BgL_auxz00_9726,BFALSE,BFALSE);} 
BgL_n1z00_3601 = 
(long)CINT(BgL_tmpz00_9723); } 
BgL_test4530z00_9722 = 
(BgL_n1z00_3601>=((long)0)); } 
if(BgL_test4530z00_9722)
{ 
long BgL_auxz00_9732;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9733;
if(
INTEGERP(BgL_index1461z00_1345))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9733 = BgL_index1461z00_1345
; }  else 
{ 
obj_t BgL_auxz00_9736;
BgL_auxz00_9736 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3771z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1461z00_1345); 
FAILURE(BgL_auxz00_9736,BFALSE,BFALSE);} 
BgL_auxz00_9732 = 
(long)CINT(BgL_tmpz00_9733); } 
BgL_modez00_1330 = 
VECTOR_REF(BgL_opt1455z00_358,BgL_auxz00_9732); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_index1462z00_1347;
BgL_index1462z00_1347 = 
BGl_search1457ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1455z00_358), BgL_opt1455z00_358, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
bool_t BgL_test4533z00_9745;
{ /* Llib/block_ciphers.scm 903 */
long BgL_n1z00_3603;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9746;
if(
INTEGERP(BgL_index1462z00_1347))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9746 = BgL_index1462z00_1347
; }  else 
{ 
obj_t BgL_auxz00_9749;
BgL_auxz00_9749 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3771z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1462z00_1347); 
FAILURE(BgL_auxz00_9749,BFALSE,BFALSE);} 
BgL_n1z00_3603 = 
(long)CINT(BgL_tmpz00_9746); } 
BgL_test4533z00_9745 = 
(BgL_n1z00_3603>=((long)0)); } 
if(BgL_test4533z00_9745)
{ 
long BgL_auxz00_9755;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9756;
if(
INTEGERP(BgL_index1462z00_1347))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9756 = BgL_index1462z00_1347
; }  else 
{ 
obj_t BgL_auxz00_9759;
BgL_auxz00_9759 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3771z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1462z00_1347); 
FAILURE(BgL_auxz00_9759,BFALSE,BFALSE);} 
BgL_auxz00_9755 = 
(long)CINT(BgL_tmpz00_9756); } 
BgL_noncezd2initz12zc0_1331 = 
VECTOR_REF(BgL_opt1455z00_358,BgL_auxz00_9755); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_index1463z00_1349;
BgL_index1463z00_1349 = 
BGl_search1457ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1455z00_358), BgL_opt1455z00_358, 
CNST_TABLE_REF(((long)28)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
bool_t BgL_test4536z00_9768;
{ /* Llib/block_ciphers.scm 903 */
long BgL_n1z00_3605;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9769;
if(
INTEGERP(BgL_index1463z00_1349))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9769 = BgL_index1463z00_1349
; }  else 
{ 
obj_t BgL_auxz00_9772;
BgL_auxz00_9772 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3771z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1463z00_1349); 
FAILURE(BgL_auxz00_9772,BFALSE,BFALSE);} 
BgL_n1z00_3605 = 
(long)CINT(BgL_tmpz00_9769); } 
BgL_test4536z00_9768 = 
(BgL_n1z00_3605>=((long)0)); } 
if(BgL_test4536z00_9768)
{ 
long BgL_auxz00_9778;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9779;
if(
INTEGERP(BgL_index1463z00_1349))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9779 = BgL_index1463z00_1349
; }  else 
{ 
obj_t BgL_auxz00_9782;
BgL_auxz00_9782 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3771z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1463z00_1349); 
FAILURE(BgL_auxz00_9782,BFALSE,BFALSE);} 
BgL_auxz00_9778 = 
(long)CINT(BgL_tmpz00_9779); } 
BgL_noncezd2updatez12zc0_1332 = 
VECTOR_REF(BgL_opt1455z00_358,BgL_auxz00_9778); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_index1464z00_1351;
BgL_index1464z00_1351 = 
BGl_search1457ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1455z00_358), BgL_opt1455z00_358, 
CNST_TABLE_REF(((long)29)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
bool_t BgL_test4539z00_9791;
{ /* Llib/block_ciphers.scm 903 */
long BgL_n1z00_3607;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9792;
if(
INTEGERP(BgL_index1464z00_1351))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9792 = BgL_index1464z00_1351
; }  else 
{ 
obj_t BgL_auxz00_9795;
BgL_auxz00_9795 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3771z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1464z00_1351); 
FAILURE(BgL_auxz00_9795,BFALSE,BFALSE);} 
BgL_n1z00_3607 = 
(long)CINT(BgL_tmpz00_9792); } 
BgL_test4539z00_9791 = 
(BgL_n1z00_3607>=((long)0)); } 
if(BgL_test4539z00_9791)
{ 
long BgL_auxz00_9801;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9802;
if(
INTEGERP(BgL_index1464z00_1351))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9802 = BgL_index1464z00_1351
; }  else 
{ 
obj_t BgL_auxz00_9805;
BgL_auxz00_9805 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3771z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1464z00_1351); 
FAILURE(BgL_auxz00_9805,BFALSE,BFALSE);} 
BgL_auxz00_9801 = 
(long)CINT(BgL_tmpz00_9802); } 
BgL_padz00_1333 = 
VECTOR_REF(BgL_opt1455z00_358,BgL_auxz00_9801); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_index1465z00_1353;
BgL_index1465z00_1353 = 
BGl_search1457ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1455z00_358), BgL_opt1455z00_358, 
CNST_TABLE_REF(((long)30)), ((long)3)); 
{ /* Llib/block_ciphers.scm 903 */
bool_t BgL_test4542z00_9814;
{ /* Llib/block_ciphers.scm 903 */
long BgL_n1z00_3609;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9815;
if(
INTEGERP(BgL_index1465z00_1353))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9815 = BgL_index1465z00_1353
; }  else 
{ 
obj_t BgL_auxz00_9818;
BgL_auxz00_9818 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3771z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1465z00_1353); 
FAILURE(BgL_auxz00_9818,BFALSE,BFALSE);} 
BgL_n1z00_3609 = 
(long)CINT(BgL_tmpz00_9815); } 
BgL_test4542z00_9814 = 
(BgL_n1z00_3609>=((long)0)); } 
if(BgL_test4542z00_9814)
{ 
long BgL_auxz00_9824;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_tmpz00_9825;
if(
INTEGERP(BgL_index1465z00_1353))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_9825 = BgL_index1465z00_1353
; }  else 
{ 
obj_t BgL_auxz00_9828;
BgL_auxz00_9828 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3771z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1465z00_1353); 
FAILURE(BgL_auxz00_9828,BFALSE,BFALSE);} 
BgL_auxz00_9824 = 
(long)CINT(BgL_tmpz00_9825); } 
BgL_stringzd2ze3keyz31_1334 = 
VECTOR_REF(BgL_opt1455z00_358,BgL_auxz00_9824); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_arg2124z00_1355;obj_t BgL_arg2125z00_1356;obj_t BgL_arg2126z00_1357;
BgL_arg2124z00_1355 = 
VECTOR_REF(BgL_opt1455z00_358,((long)0)); 
BgL_arg2125z00_1356 = 
VECTOR_REF(BgL_opt1455z00_358,((long)1)); 
BgL_arg2126z00_1357 = 
VECTOR_REF(BgL_opt1455z00_358,((long)2)); 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_ivz00_1358;
BgL_ivz00_1358 = BgL_ivz00_1329; 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_modez00_1359;
BgL_modez00_1359 = BgL_modez00_1330; 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_noncezd2initz12zc0_1360;
BgL_noncezd2initz12zc0_1360 = BgL_noncezd2initz12zc0_1331; 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_noncezd2updatez12zc0_1361;
BgL_noncezd2updatez12zc0_1361 = BgL_noncezd2updatez12zc0_1332; 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_padz00_1362;
BgL_padz00_1362 = BgL_padz00_1333; 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_stringzd2ze3keyz31_1363;
BgL_stringzd2ze3keyz31_1363 = BgL_stringzd2ze3keyz31_1334; 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_res2987z00_3621;
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_cipherz00_3611;obj_t BgL_ciphertextz00_3612;obj_t BgL_passwordz00_3613;
if(
SYMBOLP(BgL_arg2124z00_1355))
{ /* Llib/block_ciphers.scm 903 */
BgL_cipherz00_3611 = BgL_arg2124z00_1355; }  else 
{ 
obj_t BgL_auxz00_9839;
BgL_auxz00_9839 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3771z00zz__cryptozd2blockzd2ciphersz00, BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2124z00_1355); 
FAILURE(BgL_auxz00_9839,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg2125z00_1356))
{ /* Llib/block_ciphers.scm 903 */
BgL_ciphertextz00_3612 = BgL_arg2125z00_1356; }  else 
{ 
obj_t BgL_auxz00_9845;
BgL_auxz00_9845 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3771z00zz__cryptozd2blockzd2ciphersz00, BGl_string3759z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2125z00_1356); 
FAILURE(BgL_auxz00_9845,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2126z00_1357))
{ /* Llib/block_ciphers.scm 903 */
BgL_passwordz00_3613 = BgL_arg2126z00_1357; }  else 
{ 
obj_t BgL_auxz00_9851;
BgL_auxz00_9851 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)32788)), BGl_string3771z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2126z00_1357); 
FAILURE(BgL_auxz00_9851,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 907 */
obj_t BgL_res2986z00_3620;
{ /* Llib/block_ciphers.scm 913 */
obj_t BgL_pz00_3616;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3617;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_3616 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3617 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3611, BgL_passwordz00_3613, BgL_ivz00_1358, BgL_modez00_1359, BgL_padz00_1362, BgL_noncezd2initz12zc0_1360, BgL_noncezd2updatez12zc0_1361, BgL_stringzd2ze3keyz31_1363); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3617, BgL_ciphertextz00_3612, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3616, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
{ /* Llib/block_ciphers.scm 920 */
obj_t BgL_aux3631z00_6015;
BgL_aux3631z00_6015 = 
bgl_close_output_port(BgL_pz00_3616); 
if(
STRINGP(BgL_aux3631z00_6015))
{ /* Llib/block_ciphers.scm 920 */
BgL_res2986z00_3620 = BgL_aux3631z00_6015; }  else 
{ 
obj_t BgL_auxz00_9861;
BgL_auxz00_9861 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33496)), BGl_string3771z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_aux3631z00_6015); 
FAILURE(BgL_auxz00_9861,BFALSE,BFALSE);} } } 
BgL_res2987z00_3621 = BgL_res2986z00_3620; } } 
return BgL_res2987z00_3621;} } } } } } } } } } } } } } } } } 

}



/* search1457~0 */
obj_t BGl_search1457ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1456z00_5660, obj_t BgL_opt1455z00_5659, obj_t BgL_k1z00_1323, long BgL_iz00_1324)
{
{ /* Llib/block_ciphers.scm 903 */
BGl_search1457ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1324==BgL_l1456z00_5660))
{ /* Llib/block_ciphers.scm 903 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 903 */
if(
(BgL_iz00_1324==
(BgL_l1456z00_5660-((long)1))))
{ /* Llib/block_ciphers.scm 903 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)40)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1455z00_5659)));}  else 
{ /* Llib/block_ciphers.scm 903 */
obj_t BgL_vz00_1368;
BgL_vz00_1368 = 
VECTOR_REF(BgL_opt1455z00_5659,BgL_iz00_1324); 
if(
(BgL_vz00_1368==BgL_k1z00_1323))
{ /* Llib/block_ciphers.scm 903 */
return 
BINT(
(BgL_iz00_1324+((long)1)));}  else 
{ 
long BgL_iz00_9880;
BgL_iz00_9880 = 
(BgL_iz00_1324+((long)2)); 
BgL_iz00_1324 = BgL_iz00_9880; 
goto BGl_search1457ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* decrypt-port */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_349, obj_t BgL_ciphertextz00_350, obj_t BgL_passwordz00_351, obj_t BgL_ivz00_352, obj_t BgL_modez00_353, obj_t BgL_noncezd2initz12zc0_354, obj_t BgL_noncezd2updatez12zc0_355, obj_t BgL_padz00_356, obj_t BgL_stringzd2ze3keyz31_357)
{
{ /* Llib/block_ciphers.scm 903 */
{ /* Llib/block_ciphers.scm 907 */
obj_t BgL_res2988z00_3628;
{ /* Llib/block_ciphers.scm 913 */
obj_t BgL_pz00_3624;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3625;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_3624 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3625 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_349, BgL_passwordz00_351, BgL_ivz00_352, BgL_modez00_353, BgL_padz00_356, BgL_noncezd2initz12zc0_354, BgL_noncezd2updatez12zc0_355, BgL_stringzd2ze3keyz31_357); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3625, BgL_ciphertextz00_350, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3624, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
BgL_res2988z00_3628 = 
bgl_close_output_port(BgL_pz00_3624); } 
return BgL_res2988z00_3628;} } 

}



/* &decrypt-fast-port */
obj_t BGl_z62decryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5049, obj_t BgL_cipherz00_5050, obj_t BgL_ciphertextz00_5051, obj_t BgL_passwordz00_5052, obj_t BgL_ivz00_5053, obj_t BgL_modez00_5054, obj_t BgL_padz00_5055, obj_t BgL_noncezd2initz12zc0_5056, obj_t BgL_noncezd2updatez12zc0_5057, obj_t BgL_stringzd2ze3keyz31_5058)
{
{ /* Llib/block_ciphers.scm 910 */
{ /* Llib/block_ciphers.scm 913 */
obj_t BgL_ciphertextz00_6208;obj_t BgL_passwordz00_6209;
if(
INPUT_PORTP(BgL_ciphertextz00_5051))
{ /* Llib/block_ciphers.scm 913 */
BgL_ciphertextz00_6208 = BgL_ciphertextz00_5051; }  else 
{ 
obj_t BgL_auxz00_9888;
BgL_auxz00_9888 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33253)), BGl_string3772z00zz__cryptozd2blockzd2ciphersz00, BGl_string3759z00zz__cryptozd2blockzd2ciphersz00, BgL_ciphertextz00_5051); 
FAILURE(BgL_auxz00_9888,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passwordz00_5052))
{ /* Llib/block_ciphers.scm 913 */
BgL_passwordz00_6209 = BgL_passwordz00_5052; }  else 
{ 
obj_t BgL_auxz00_9894;
BgL_auxz00_9894 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33253)), BGl_string3772z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_passwordz00_5052); 
FAILURE(BgL_auxz00_9894,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 913 */
obj_t BgL_pz00_6210;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_6211;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_6210 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_6211 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_5050, BgL_passwordz00_6209, BgL_ivz00_5053, BgL_modez00_5054, BgL_padz00_5055, BgL_noncezd2initz12zc0_5056, BgL_noncezd2updatez12zc0_5057, BgL_stringzd2ze3keyz31_5058); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_6211, BgL_ciphertextz00_6208, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_6210, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
return 
bgl_close_output_port(BgL_pz00_6210);} } } 

}



/* _decrypt-file */
obj_t BGl__decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_379, obj_t BgL_opt1466z00_378)
{
{ /* Llib/block_ciphers.scm 922 */
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_cipherz00_1379;obj_t BgL_filenamez00_1380;obj_t BgL_passwordz00_1381;
BgL_cipherz00_1379 = 
VECTOR_REF(BgL_opt1466z00_378,((long)0)); 
BgL_filenamez00_1380 = 
VECTOR_REF(BgL_opt1466z00_378,((long)1)); 
BgL_passwordz00_1381 = 
VECTOR_REF(BgL_opt1466z00_378,((long)2)); 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_ivz00_1382;
BgL_ivz00_1382 = BFALSE; 
{ /* Llib/block_ciphers.scm 923 */
obj_t BgL_modez00_1383;
BgL_modez00_1383 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_noncezd2initz12zc0_1384;
BgL_noncezd2initz12zc0_1384 = BFALSE; 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_noncezd2updatez12zc0_1385;
BgL_noncezd2updatez12zc0_1385 = BFALSE; 
{ /* Llib/block_ciphers.scm 923 */
obj_t BgL_padz00_1386;
BgL_padz00_1386 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_stringzd2ze3keyz31_1387;
BgL_stringzd2ze3keyz31_1387 = BFALSE; 
{ /* Llib/block_ciphers.scm 922 */

{ 
long BgL_iz00_1388;
BgL_iz00_1388 = ((long)3); 
BgL_check1469z00_1389:
if(
(BgL_iz00_1388==
VECTOR_LENGTH(BgL_opt1466z00_378)))
{ /* Llib/block_ciphers.scm 922 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 922 */
bool_t BgL_test4555z00_9910;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_arg2139z00_1395;
BgL_arg2139z00_1395 = 
VECTOR_REF(BgL_opt1466z00_378,BgL_iz00_1388); 
BgL_test4555z00_9910 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2139z00_1395, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_test4555z00_9910)
{ 
long BgL_iz00_9915;
BgL_iz00_9915 = 
(BgL_iz00_1388+((long)2)); 
BgL_iz00_1388 = BgL_iz00_9915; 
goto BgL_check1469z00_1389;}  else 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_arg2138z00_1394;
BgL_arg2138z00_1394 = 
VECTOR_REF(BgL_opt1466z00_378,BgL_iz00_1388); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)41)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2138z00_1394); } } } 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_index1471z00_1396;
BgL_index1471z00_1396 = 
BGl_search1468ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1466z00_378), BgL_opt1466z00_378, 
CNST_TABLE_REF(((long)25)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
bool_t BgL_test4556z00_9923;
{ /* Llib/block_ciphers.scm 922 */
long BgL_n1z00_3655;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_9924;
if(
INTEGERP(BgL_index1471z00_1396))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9924 = BgL_index1471z00_1396
; }  else 
{ 
obj_t BgL_auxz00_9927;
BgL_auxz00_9927 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3773z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1471z00_1396); 
FAILURE(BgL_auxz00_9927,BFALSE,BFALSE);} 
BgL_n1z00_3655 = 
(long)CINT(BgL_tmpz00_9924); } 
BgL_test4556z00_9923 = 
(BgL_n1z00_3655>=((long)0)); } 
if(BgL_test4556z00_9923)
{ 
long BgL_auxz00_9933;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_9934;
if(
INTEGERP(BgL_index1471z00_1396))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9934 = BgL_index1471z00_1396
; }  else 
{ 
obj_t BgL_auxz00_9937;
BgL_auxz00_9937 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3773z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1471z00_1396); 
FAILURE(BgL_auxz00_9937,BFALSE,BFALSE);} 
BgL_auxz00_9933 = 
(long)CINT(BgL_tmpz00_9934); } 
BgL_ivz00_1382 = 
VECTOR_REF(BgL_opt1466z00_378,BgL_auxz00_9933); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_index1472z00_1398;
BgL_index1472z00_1398 = 
BGl_search1468ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1466z00_378), BgL_opt1466z00_378, 
CNST_TABLE_REF(((long)26)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
bool_t BgL_test4559z00_9946;
{ /* Llib/block_ciphers.scm 922 */
long BgL_n1z00_3657;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_9947;
if(
INTEGERP(BgL_index1472z00_1398))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9947 = BgL_index1472z00_1398
; }  else 
{ 
obj_t BgL_auxz00_9950;
BgL_auxz00_9950 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3773z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1472z00_1398); 
FAILURE(BgL_auxz00_9950,BFALSE,BFALSE);} 
BgL_n1z00_3657 = 
(long)CINT(BgL_tmpz00_9947); } 
BgL_test4559z00_9946 = 
(BgL_n1z00_3657>=((long)0)); } 
if(BgL_test4559z00_9946)
{ 
long BgL_auxz00_9956;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_9957;
if(
INTEGERP(BgL_index1472z00_1398))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9957 = BgL_index1472z00_1398
; }  else 
{ 
obj_t BgL_auxz00_9960;
BgL_auxz00_9960 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3773z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1472z00_1398); 
FAILURE(BgL_auxz00_9960,BFALSE,BFALSE);} 
BgL_auxz00_9956 = 
(long)CINT(BgL_tmpz00_9957); } 
BgL_modez00_1383 = 
VECTOR_REF(BgL_opt1466z00_378,BgL_auxz00_9956); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_index1473z00_1400;
BgL_index1473z00_1400 = 
BGl_search1468ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1466z00_378), BgL_opt1466z00_378, 
CNST_TABLE_REF(((long)27)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
bool_t BgL_test4562z00_9969;
{ /* Llib/block_ciphers.scm 922 */
long BgL_n1z00_3659;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_9970;
if(
INTEGERP(BgL_index1473z00_1400))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9970 = BgL_index1473z00_1400
; }  else 
{ 
obj_t BgL_auxz00_9973;
BgL_auxz00_9973 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3773z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1473z00_1400); 
FAILURE(BgL_auxz00_9973,BFALSE,BFALSE);} 
BgL_n1z00_3659 = 
(long)CINT(BgL_tmpz00_9970); } 
BgL_test4562z00_9969 = 
(BgL_n1z00_3659>=((long)0)); } 
if(BgL_test4562z00_9969)
{ 
long BgL_auxz00_9979;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_9980;
if(
INTEGERP(BgL_index1473z00_1400))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9980 = BgL_index1473z00_1400
; }  else 
{ 
obj_t BgL_auxz00_9983;
BgL_auxz00_9983 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3773z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1473z00_1400); 
FAILURE(BgL_auxz00_9983,BFALSE,BFALSE);} 
BgL_auxz00_9979 = 
(long)CINT(BgL_tmpz00_9980); } 
BgL_noncezd2initz12zc0_1384 = 
VECTOR_REF(BgL_opt1466z00_378,BgL_auxz00_9979); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_index1474z00_1402;
BgL_index1474z00_1402 = 
BGl_search1468ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1466z00_378), BgL_opt1466z00_378, 
CNST_TABLE_REF(((long)28)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
bool_t BgL_test4565z00_9992;
{ /* Llib/block_ciphers.scm 922 */
long BgL_n1z00_3661;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_9993;
if(
INTEGERP(BgL_index1474z00_1402))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_9993 = BgL_index1474z00_1402
; }  else 
{ 
obj_t BgL_auxz00_9996;
BgL_auxz00_9996 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3773z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1474z00_1402); 
FAILURE(BgL_auxz00_9996,BFALSE,BFALSE);} 
BgL_n1z00_3661 = 
(long)CINT(BgL_tmpz00_9993); } 
BgL_test4565z00_9992 = 
(BgL_n1z00_3661>=((long)0)); } 
if(BgL_test4565z00_9992)
{ 
long BgL_auxz00_10002;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_10003;
if(
INTEGERP(BgL_index1474z00_1402))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_10003 = BgL_index1474z00_1402
; }  else 
{ 
obj_t BgL_auxz00_10006;
BgL_auxz00_10006 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3773z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1474z00_1402); 
FAILURE(BgL_auxz00_10006,BFALSE,BFALSE);} 
BgL_auxz00_10002 = 
(long)CINT(BgL_tmpz00_10003); } 
BgL_noncezd2updatez12zc0_1385 = 
VECTOR_REF(BgL_opt1466z00_378,BgL_auxz00_10002); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_index1475z00_1404;
BgL_index1475z00_1404 = 
BGl_search1468ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1466z00_378), BgL_opt1466z00_378, 
CNST_TABLE_REF(((long)29)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
bool_t BgL_test4568z00_10015;
{ /* Llib/block_ciphers.scm 922 */
long BgL_n1z00_3663;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_10016;
if(
INTEGERP(BgL_index1475z00_1404))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_10016 = BgL_index1475z00_1404
; }  else 
{ 
obj_t BgL_auxz00_10019;
BgL_auxz00_10019 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3773z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1475z00_1404); 
FAILURE(BgL_auxz00_10019,BFALSE,BFALSE);} 
BgL_n1z00_3663 = 
(long)CINT(BgL_tmpz00_10016); } 
BgL_test4568z00_10015 = 
(BgL_n1z00_3663>=((long)0)); } 
if(BgL_test4568z00_10015)
{ 
long BgL_auxz00_10025;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_10026;
if(
INTEGERP(BgL_index1475z00_1404))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_10026 = BgL_index1475z00_1404
; }  else 
{ 
obj_t BgL_auxz00_10029;
BgL_auxz00_10029 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3773z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1475z00_1404); 
FAILURE(BgL_auxz00_10029,BFALSE,BFALSE);} 
BgL_auxz00_10025 = 
(long)CINT(BgL_tmpz00_10026); } 
BgL_padz00_1386 = 
VECTOR_REF(BgL_opt1466z00_378,BgL_auxz00_10025); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_index1476z00_1406;
BgL_index1476z00_1406 = 
BGl_search1468ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1466z00_378), BgL_opt1466z00_378, 
CNST_TABLE_REF(((long)30)), ((long)3)); 
{ /* Llib/block_ciphers.scm 922 */
bool_t BgL_test4571z00_10038;
{ /* Llib/block_ciphers.scm 922 */
long BgL_n1z00_3665;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_10039;
if(
INTEGERP(BgL_index1476z00_1406))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_10039 = BgL_index1476z00_1406
; }  else 
{ 
obj_t BgL_auxz00_10042;
BgL_auxz00_10042 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3773z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1476z00_1406); 
FAILURE(BgL_auxz00_10042,BFALSE,BFALSE);} 
BgL_n1z00_3665 = 
(long)CINT(BgL_tmpz00_10039); } 
BgL_test4571z00_10038 = 
(BgL_n1z00_3665>=((long)0)); } 
if(BgL_test4571z00_10038)
{ 
long BgL_auxz00_10048;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_tmpz00_10049;
if(
INTEGERP(BgL_index1476z00_1406))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_10049 = BgL_index1476z00_1406
; }  else 
{ 
obj_t BgL_auxz00_10052;
BgL_auxz00_10052 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3773z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1476z00_1406); 
FAILURE(BgL_auxz00_10052,BFALSE,BFALSE);} 
BgL_auxz00_10048 = 
(long)CINT(BgL_tmpz00_10049); } 
BgL_stringzd2ze3keyz31_1387 = 
VECTOR_REF(BgL_opt1466z00_378,BgL_auxz00_10048); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_arg2146z00_1408;obj_t BgL_arg2147z00_1409;obj_t BgL_arg2148z00_1410;
BgL_arg2146z00_1408 = 
VECTOR_REF(BgL_opt1466z00_378,((long)0)); 
BgL_arg2147z00_1409 = 
VECTOR_REF(BgL_opt1466z00_378,((long)1)); 
BgL_arg2148z00_1410 = 
VECTOR_REF(BgL_opt1466z00_378,((long)2)); 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_ivz00_1411;
BgL_ivz00_1411 = BgL_ivz00_1382; 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_modez00_1412;
BgL_modez00_1412 = BgL_modez00_1383; 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_noncezd2initz12zc0_1413;
BgL_noncezd2initz12zc0_1413 = BgL_noncezd2initz12zc0_1384; 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_noncezd2updatez12zc0_1414;
BgL_noncezd2updatez12zc0_1414 = BgL_noncezd2updatez12zc0_1385; 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_padz00_1415;
BgL_padz00_1415 = BgL_padz00_1386; 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_stringzd2ze3keyz31_1416;
BgL_stringzd2ze3keyz31_1416 = BgL_stringzd2ze3keyz31_1387; 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_res3003z00_3686;
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_cipherz00_3667;obj_t BgL_filenamez00_3668;obj_t BgL_passwordz00_3669;
if(
SYMBOLP(BgL_arg2146z00_1408))
{ /* Llib/block_ciphers.scm 922 */
BgL_cipherz00_3667 = BgL_arg2146z00_1408; }  else 
{ 
obj_t BgL_auxz00_10063;
BgL_auxz00_10063 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3773z00zz__cryptozd2blockzd2ciphersz00, BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2146z00_1408); 
FAILURE(BgL_auxz00_10063,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2147z00_1409))
{ /* Llib/block_ciphers.scm 922 */
BgL_filenamez00_3668 = BgL_arg2147z00_1409; }  else 
{ 
obj_t BgL_auxz00_10069;
BgL_auxz00_10069 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3773z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2147z00_1409); 
FAILURE(BgL_auxz00_10069,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2148z00_1410))
{ /* Llib/block_ciphers.scm 922 */
BgL_passwordz00_3669 = BgL_arg2148z00_1410; }  else 
{ 
obj_t BgL_auxz00_10075;
BgL_auxz00_10075 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33521)), BGl_string3773z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2148z00_1410); 
FAILURE(BgL_auxz00_10075,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 926 */
obj_t BgL_pz00_3670;
{ /* Llib/block_ciphers.scm 926 */

BgL_pz00_3670 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_3668, BTRUE, 
BINT(((long)5000000))); } 
if(
CBOOL(BgL_pz00_3670))
{ /* Llib/block_ciphers.scm 927 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 927 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)42)), BGl_string3762z00zz__cryptozd2blockzd2ciphersz00, BgL_filenamez00_3668); } 
{ /* Llib/block_ciphers.scm 931 */
obj_t BgL_exitd1238z00_3674;
BgL_exitd1238z00_3674 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/block_ciphers.scm 935 */
obj_t BgL_zc3z04anonymousza32156ze3z87_5059;
BgL_zc3z04anonymousza32156ze3z87_5059 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32156ze3ze5zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32156ze3z87_5059, 
(int)(((long)0)), BgL_pz00_3670); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1238z00_3674, BgL_zc3z04anonymousza32156ze3z87_5059); 
{ /* Llib/block_ciphers.scm 932 */
obj_t BgL_tmp1240z00_3676;
{ /* Llib/block_ciphers.scm 932 */
obj_t BgL_res3002z00_3684;
{ /* Llib/block_ciphers.scm 932 */
obj_t BgL_ciphertextz00_3678;
if(
INPUT_PORTP(BgL_pz00_3670))
{ /* Llib/block_ciphers.scm 932 */
BgL_ciphertextz00_3678 = BgL_pz00_3670; }  else 
{ 
obj_t BgL_auxz00_10094;
BgL_auxz00_10094 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33888)), BGl_string3773z00zz__cryptozd2blockzd2ciphersz00, BGl_string3759z00zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3670); 
FAILURE(BgL_auxz00_10094,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 913 */
obj_t BgL_pz00_3680;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3681;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_3680 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3681 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3667, BgL_passwordz00_3669, BgL_ivz00_1411, BgL_modez00_1412, BgL_padz00_1415, BgL_noncezd2initz12zc0_1413, BgL_noncezd2updatez12zc0_1414, BgL_stringzd2ze3keyz31_1416); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3681, BgL_ciphertextz00_3678, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3680, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
{ /* Llib/block_ciphers.scm 920 */
obj_t BgL_aux3669z00_6053;
BgL_aux3669z00_6053 = 
bgl_close_output_port(BgL_pz00_3680); 
if(
STRINGP(BgL_aux3669z00_6053))
{ /* Llib/block_ciphers.scm 920 */
BgL_res3002z00_3684 = BgL_aux3669z00_6053; }  else 
{ 
obj_t BgL_auxz00_10104;
BgL_auxz00_10104 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33496)), BGl_string3773z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_aux3669z00_6053); 
FAILURE(BgL_auxz00_10104,BFALSE,BFALSE);} } } } 
BgL_tmp1240z00_3676 = BgL_res3002z00_3684; } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1238z00_3674); 
{ /* Llib/block_ciphers.scm 935 */
obj_t BgL_portz00_3685;
if(
INPUT_PORTP(BgL_pz00_3670))
{ /* Llib/block_ciphers.scm 935 */
BgL_portz00_3685 = BgL_pz00_3670; }  else 
{ 
obj_t BgL_auxz00_10111;
BgL_auxz00_10111 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33984)), BGl_string3773z00zz__cryptozd2blockzd2ciphersz00, BGl_string3759z00zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3670); 
FAILURE(BgL_auxz00_10111,BFALSE,BFALSE);} 
bgl_close_input_port(BgL_portz00_3685); } 
BgL_res3003z00_3686 = BgL_tmp1240z00_3676; } } } } } 
return BgL_res3003z00_3686;} } } } } } } } } } } } } } } } } 

}



/* search1468~0 */
obj_t BGl_search1468ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1467z00_5658, obj_t BgL_opt1466z00_5657, obj_t BgL_k1z00_1376, long BgL_iz00_1377)
{
{ /* Llib/block_ciphers.scm 922 */
BGl_search1468ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1377==BgL_l1467z00_5658))
{ /* Llib/block_ciphers.scm 922 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 922 */
if(
(BgL_iz00_1377==
(BgL_l1467z00_5658-((long)1))))
{ /* Llib/block_ciphers.scm 922 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)41)), BGl_string3752z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1466z00_5657)));}  else 
{ /* Llib/block_ciphers.scm 922 */
obj_t BgL_vz00_1421;
BgL_vz00_1421 = 
VECTOR_REF(BgL_opt1466z00_5657,BgL_iz00_1377); 
if(
(BgL_vz00_1421==BgL_k1z00_1376))
{ /* Llib/block_ciphers.scm 922 */
return 
BINT(
(BgL_iz00_1377+((long)1)));}  else 
{ 
long BgL_iz00_10131;
BgL_iz00_10131 = 
(BgL_iz00_1377+((long)2)); 
BgL_iz00_1377 = BgL_iz00_10131; 
goto BGl_search1468ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* &<@anonymous:2156> */
obj_t BGl_z62zc3z04anonymousza32156ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5060)
{
{ /* Llib/block_ciphers.scm 931 */
{ /* Llib/block_ciphers.scm 935 */
obj_t BgL_pz00_5061;
BgL_pz00_5061 = 
PROCEDURE_REF(BgL_envz00_5060, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_5061));} } 

}



/* decrypt-file */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_369, obj_t BgL_filenamez00_370, obj_t BgL_passwordz00_371, obj_t BgL_ivz00_372, obj_t BgL_modez00_373, obj_t BgL_noncezd2initz12zc0_374, obj_t BgL_noncezd2updatez12zc0_375, obj_t BgL_padz00_376, obj_t BgL_stringzd2ze3keyz31_377)
{
{ /* Llib/block_ciphers.scm 922 */
{ /* Llib/block_ciphers.scm 926 */
obj_t BgL_pz00_3687;
{ /* Llib/block_ciphers.scm 926 */

BgL_pz00_3687 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_370, BTRUE, 
BINT(((long)5000000))); } 
if(
CBOOL(BgL_pz00_3687))
{ /* Llib/block_ciphers.scm 927 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 927 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)42)), BGl_string3762z00zz__cryptozd2blockzd2ciphersz00, BgL_filenamez00_370); } 
{ /* Llib/block_ciphers.scm 931 */
obj_t BgL_exitd1238z00_3691;
BgL_exitd1238z00_3691 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/block_ciphers.scm 935 */
obj_t BgL_zc3z04anonymousza32156ze3z87_5062;
BgL_zc3z04anonymousza32156ze3z87_5062 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32156ze33298ze5zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32156ze3z87_5062, 
(int)(((long)0)), BgL_pz00_3687); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1238z00_3691, BgL_zc3z04anonymousza32156ze3z87_5062); 
{ /* Llib/block_ciphers.scm 932 */
obj_t BgL_tmp1240z00_3693;
{ /* Llib/block_ciphers.scm 932 */
obj_t BgL_res3004z00_3701;
{ /* Llib/block_ciphers.scm 913 */
obj_t BgL_pz00_3697;BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3698;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_3697 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3698 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_369, BgL_passwordz00_371, BgL_ivz00_372, BgL_modez00_373, BgL_padz00_376, BgL_noncezd2initz12zc0_374, BgL_noncezd2updatez12zc0_375, BgL_stringzd2ze3keyz31_377); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3698, 
((obj_t)BgL_pz00_3687), ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3697, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
BgL_res3004z00_3701 = 
bgl_close_output_port(BgL_pz00_3697); } 
BgL_tmp1240z00_3693 = BgL_res3004z00_3701; } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1238z00_3691); 
bgl_close_input_port(
((obj_t)BgL_pz00_3687)); 
return BgL_tmp1240z00_3693;} } } } } 

}



/* &<@anonymous:2156>3298 */
obj_t BGl_z62zc3z04anonymousza32156ze33298ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5063)
{
{ /* Llib/block_ciphers.scm 931 */
{ /* Llib/block_ciphers.scm 935 */
obj_t BgL_pz00_5064;
BgL_pz00_5064 = 
PROCEDURE_REF(BgL_envz00_5063, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_5064));} } 

}



/* _decrypt-sendchars */
obj_t BGl__decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_391, obj_t BgL_opt1477z00_390)
{
{ /* Llib/block_ciphers.scm 937 */
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_cipherz00_1438;obj_t BgL_inz00_1439;obj_t BgL_outz00_1440;obj_t BgL_passwordz00_1441;
BgL_cipherz00_1438 = 
VECTOR_REF(BgL_opt1477z00_390,((long)0)); 
BgL_inz00_1439 = 
VECTOR_REF(BgL_opt1477z00_390,((long)1)); 
BgL_outz00_1440 = 
VECTOR_REF(BgL_opt1477z00_390,((long)2)); 
BgL_passwordz00_1441 = 
VECTOR_REF(BgL_opt1477z00_390,((long)3)); 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_ivz00_1442;
BgL_ivz00_1442 = BFALSE; 
{ /* Llib/block_ciphers.scm 939 */
obj_t BgL_modez00_1443;
BgL_modez00_1443 = 
CNST_TABLE_REF(((long)10)); 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_noncezd2initz12zc0_1444;
BgL_noncezd2initz12zc0_1444 = BFALSE; 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_noncezd2updatez12zc0_1445;
BgL_noncezd2updatez12zc0_1445 = BFALSE; 
{ /* Llib/block_ciphers.scm 939 */
obj_t BgL_padz00_1446;
BgL_padz00_1446 = 
CNST_TABLE_REF(((long)16)); 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_stringzd2ze3keyz31_1447;
BgL_stringzd2ze3keyz31_1447 = BFALSE; 
{ /* Llib/block_ciphers.scm 937 */

{ 
long BgL_iz00_1448;
BgL_iz00_1448 = ((long)4); 
BgL_check1480z00_1449:
if(
(BgL_iz00_1448==
VECTOR_LENGTH(BgL_opt1477z00_390)))
{ /* Llib/block_ciphers.scm 937 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 937 */
bool_t BgL_test4586z00_10171;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_arg2162z00_1455;
BgL_arg2162z00_1455 = 
VECTOR_REF(BgL_opt1477z00_390,BgL_iz00_1448); 
BgL_test4586z00_10171 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2162z00_1455, 
CNST_TABLE_REF(((long)23)))); } 
if(BgL_test4586z00_10171)
{ 
long BgL_iz00_10176;
BgL_iz00_10176 = 
(BgL_iz00_1448+((long)2)); 
BgL_iz00_1448 = BgL_iz00_10176; 
goto BgL_check1480z00_1449;}  else 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_arg2161z00_1454;
BgL_arg2161z00_1454 = 
VECTOR_REF(BgL_opt1477z00_390,BgL_iz00_1448); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)43)), BGl_string3747z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2161z00_1454); } } } 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_index1482z00_1456;
BgL_index1482z00_1456 = 
BGl_search1479ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1477z00_390), BgL_opt1477z00_390, 
CNST_TABLE_REF(((long)25)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
bool_t BgL_test4587z00_10184;
{ /* Llib/block_ciphers.scm 937 */
long BgL_n1z00_3725;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10185;
if(
INTEGERP(BgL_index1482z00_1456))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10185 = BgL_index1482z00_1456
; }  else 
{ 
obj_t BgL_auxz00_10188;
BgL_auxz00_10188 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3774z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1482z00_1456); 
FAILURE(BgL_auxz00_10188,BFALSE,BFALSE);} 
BgL_n1z00_3725 = 
(long)CINT(BgL_tmpz00_10185); } 
BgL_test4587z00_10184 = 
(BgL_n1z00_3725>=((long)0)); } 
if(BgL_test4587z00_10184)
{ 
long BgL_auxz00_10194;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10195;
if(
INTEGERP(BgL_index1482z00_1456))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10195 = BgL_index1482z00_1456
; }  else 
{ 
obj_t BgL_auxz00_10198;
BgL_auxz00_10198 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3774z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1482z00_1456); 
FAILURE(BgL_auxz00_10198,BFALSE,BFALSE);} 
BgL_auxz00_10194 = 
(long)CINT(BgL_tmpz00_10195); } 
BgL_ivz00_1442 = 
VECTOR_REF(BgL_opt1477z00_390,BgL_auxz00_10194); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_index1483z00_1458;
BgL_index1483z00_1458 = 
BGl_search1479ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1477z00_390), BgL_opt1477z00_390, 
CNST_TABLE_REF(((long)26)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
bool_t BgL_test4590z00_10207;
{ /* Llib/block_ciphers.scm 937 */
long BgL_n1z00_3727;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10208;
if(
INTEGERP(BgL_index1483z00_1458))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10208 = BgL_index1483z00_1458
; }  else 
{ 
obj_t BgL_auxz00_10211;
BgL_auxz00_10211 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3774z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1483z00_1458); 
FAILURE(BgL_auxz00_10211,BFALSE,BFALSE);} 
BgL_n1z00_3727 = 
(long)CINT(BgL_tmpz00_10208); } 
BgL_test4590z00_10207 = 
(BgL_n1z00_3727>=((long)0)); } 
if(BgL_test4590z00_10207)
{ 
long BgL_auxz00_10217;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10218;
if(
INTEGERP(BgL_index1483z00_1458))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10218 = BgL_index1483z00_1458
; }  else 
{ 
obj_t BgL_auxz00_10221;
BgL_auxz00_10221 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3774z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1483z00_1458); 
FAILURE(BgL_auxz00_10221,BFALSE,BFALSE);} 
BgL_auxz00_10217 = 
(long)CINT(BgL_tmpz00_10218); } 
BgL_modez00_1443 = 
VECTOR_REF(BgL_opt1477z00_390,BgL_auxz00_10217); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_index1484z00_1460;
BgL_index1484z00_1460 = 
BGl_search1479ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1477z00_390), BgL_opt1477z00_390, 
CNST_TABLE_REF(((long)27)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
bool_t BgL_test4593z00_10230;
{ /* Llib/block_ciphers.scm 937 */
long BgL_n1z00_3729;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10231;
if(
INTEGERP(BgL_index1484z00_1460))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10231 = BgL_index1484z00_1460
; }  else 
{ 
obj_t BgL_auxz00_10234;
BgL_auxz00_10234 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3774z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1484z00_1460); 
FAILURE(BgL_auxz00_10234,BFALSE,BFALSE);} 
BgL_n1z00_3729 = 
(long)CINT(BgL_tmpz00_10231); } 
BgL_test4593z00_10230 = 
(BgL_n1z00_3729>=((long)0)); } 
if(BgL_test4593z00_10230)
{ 
long BgL_auxz00_10240;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10241;
if(
INTEGERP(BgL_index1484z00_1460))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10241 = BgL_index1484z00_1460
; }  else 
{ 
obj_t BgL_auxz00_10244;
BgL_auxz00_10244 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3774z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1484z00_1460); 
FAILURE(BgL_auxz00_10244,BFALSE,BFALSE);} 
BgL_auxz00_10240 = 
(long)CINT(BgL_tmpz00_10241); } 
BgL_noncezd2initz12zc0_1444 = 
VECTOR_REF(BgL_opt1477z00_390,BgL_auxz00_10240); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_index1485z00_1462;
BgL_index1485z00_1462 = 
BGl_search1479ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1477z00_390), BgL_opt1477z00_390, 
CNST_TABLE_REF(((long)28)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
bool_t BgL_test4596z00_10253;
{ /* Llib/block_ciphers.scm 937 */
long BgL_n1z00_3731;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10254;
if(
INTEGERP(BgL_index1485z00_1462))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10254 = BgL_index1485z00_1462
; }  else 
{ 
obj_t BgL_auxz00_10257;
BgL_auxz00_10257 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3774z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1485z00_1462); 
FAILURE(BgL_auxz00_10257,BFALSE,BFALSE);} 
BgL_n1z00_3731 = 
(long)CINT(BgL_tmpz00_10254); } 
BgL_test4596z00_10253 = 
(BgL_n1z00_3731>=((long)0)); } 
if(BgL_test4596z00_10253)
{ 
long BgL_auxz00_10263;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10264;
if(
INTEGERP(BgL_index1485z00_1462))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10264 = BgL_index1485z00_1462
; }  else 
{ 
obj_t BgL_auxz00_10267;
BgL_auxz00_10267 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3774z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1485z00_1462); 
FAILURE(BgL_auxz00_10267,BFALSE,BFALSE);} 
BgL_auxz00_10263 = 
(long)CINT(BgL_tmpz00_10264); } 
BgL_noncezd2updatez12zc0_1445 = 
VECTOR_REF(BgL_opt1477z00_390,BgL_auxz00_10263); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_index1486z00_1464;
BgL_index1486z00_1464 = 
BGl_search1479ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1477z00_390), BgL_opt1477z00_390, 
CNST_TABLE_REF(((long)29)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
bool_t BgL_test4599z00_10276;
{ /* Llib/block_ciphers.scm 937 */
long BgL_n1z00_3733;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10277;
if(
INTEGERP(BgL_index1486z00_1464))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10277 = BgL_index1486z00_1464
; }  else 
{ 
obj_t BgL_auxz00_10280;
BgL_auxz00_10280 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3774z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1486z00_1464); 
FAILURE(BgL_auxz00_10280,BFALSE,BFALSE);} 
BgL_n1z00_3733 = 
(long)CINT(BgL_tmpz00_10277); } 
BgL_test4599z00_10276 = 
(BgL_n1z00_3733>=((long)0)); } 
if(BgL_test4599z00_10276)
{ 
long BgL_auxz00_10286;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10287;
if(
INTEGERP(BgL_index1486z00_1464))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10287 = BgL_index1486z00_1464
; }  else 
{ 
obj_t BgL_auxz00_10290;
BgL_auxz00_10290 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3774z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1486z00_1464); 
FAILURE(BgL_auxz00_10290,BFALSE,BFALSE);} 
BgL_auxz00_10286 = 
(long)CINT(BgL_tmpz00_10287); } 
BgL_padz00_1446 = 
VECTOR_REF(BgL_opt1477z00_390,BgL_auxz00_10286); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_index1487z00_1466;
BgL_index1487z00_1466 = 
BGl_search1479ze70ze7zz__cryptozd2blockzd2ciphersz00(
VECTOR_LENGTH(BgL_opt1477z00_390), BgL_opt1477z00_390, 
CNST_TABLE_REF(((long)30)), ((long)4)); 
{ /* Llib/block_ciphers.scm 937 */
bool_t BgL_test4602z00_10299;
{ /* Llib/block_ciphers.scm 937 */
long BgL_n1z00_3735;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10300;
if(
INTEGERP(BgL_index1487z00_1466))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10300 = BgL_index1487z00_1466
; }  else 
{ 
obj_t BgL_auxz00_10303;
BgL_auxz00_10303 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3774z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1487z00_1466); 
FAILURE(BgL_auxz00_10303,BFALSE,BFALSE);} 
BgL_n1z00_3735 = 
(long)CINT(BgL_tmpz00_10300); } 
BgL_test4602z00_10299 = 
(BgL_n1z00_3735>=((long)0)); } 
if(BgL_test4602z00_10299)
{ 
long BgL_auxz00_10309;
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_tmpz00_10310;
if(
INTEGERP(BgL_index1487z00_1466))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_10310 = BgL_index1487z00_1466
; }  else 
{ 
obj_t BgL_auxz00_10313;
BgL_auxz00_10313 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3774z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_index1487z00_1466); 
FAILURE(BgL_auxz00_10313,BFALSE,BFALSE);} 
BgL_auxz00_10309 = 
(long)CINT(BgL_tmpz00_10310); } 
BgL_stringzd2ze3keyz31_1447 = 
VECTOR_REF(BgL_opt1477z00_390,BgL_auxz00_10309); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_arg2169z00_1468;obj_t BgL_arg2170z00_1469;obj_t BgL_arg2171z00_1470;obj_t BgL_arg2172z00_1471;
BgL_arg2169z00_1468 = 
VECTOR_REF(BgL_opt1477z00_390,((long)0)); 
BgL_arg2170z00_1469 = 
VECTOR_REF(BgL_opt1477z00_390,((long)1)); 
BgL_arg2171z00_1470 = 
VECTOR_REF(BgL_opt1477z00_390,((long)2)); 
BgL_arg2172z00_1471 = 
VECTOR_REF(BgL_opt1477z00_390,((long)3)); 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_ivz00_1472;
BgL_ivz00_1472 = BgL_ivz00_1442; 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_modez00_1473;
BgL_modez00_1473 = BgL_modez00_1443; 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_noncezd2initz12zc0_1474;
BgL_noncezd2initz12zc0_1474 = BgL_noncezd2initz12zc0_1444; 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_noncezd2updatez12zc0_1475;
BgL_noncezd2updatez12zc0_1475 = BgL_noncezd2updatez12zc0_1445; 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_padz00_1476;
BgL_padz00_1476 = BgL_padz00_1446; 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_stringzd2ze3keyz31_1477;
BgL_stringzd2ze3keyz31_1477 = BgL_stringzd2ze3keyz31_1447; 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_cipherz00_3737;obj_t BgL_inz00_3738;obj_t BgL_outz00_3739;obj_t BgL_passwordz00_3740;
if(
SYMBOLP(BgL_arg2169z00_1468))
{ /* Llib/block_ciphers.scm 937 */
BgL_cipherz00_3737 = BgL_arg2169z00_1468; }  else 
{ 
obj_t BgL_auxz00_10325;
BgL_auxz00_10325 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3774z00zz__cryptozd2blockzd2ciphersz00, BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2169z00_1468); 
FAILURE(BgL_auxz00_10325,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg2170z00_1469))
{ /* Llib/block_ciphers.scm 937 */
BgL_inz00_3738 = BgL_arg2170z00_1469; }  else 
{ 
obj_t BgL_auxz00_10331;
BgL_auxz00_10331 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3774z00zz__cryptozd2blockzd2ciphersz00, BGl_string3759z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2170z00_1469); 
FAILURE(BgL_auxz00_10331,BFALSE,BFALSE);} 
if(
OUTPUT_PORTP(BgL_arg2171z00_1470))
{ /* Llib/block_ciphers.scm 937 */
BgL_outz00_3739 = BgL_arg2171z00_1470; }  else 
{ 
obj_t BgL_auxz00_10337;
BgL_auxz00_10337 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3774z00zz__cryptozd2blockzd2ciphersz00, BGl_string3764z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2171z00_1470); 
FAILURE(BgL_auxz00_10337,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2172z00_1471))
{ /* Llib/block_ciphers.scm 937 */
BgL_passwordz00_3740 = BgL_arg2172z00_1471; }  else 
{ 
obj_t BgL_auxz00_10343;
BgL_auxz00_10343 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)33991)), BGl_string3774z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2172z00_1471); 
FAILURE(BgL_auxz00_10343,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 941 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3741;
BgL_statez00_3741 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3737, BgL_passwordz00_3740, BgL_ivz00_1472, BgL_modez00_1473, BgL_padz00_1476, BgL_noncezd2initz12zc0_1474, BgL_noncezd2updatez12zc0_1475, BgL_stringzd2ze3keyz31_1477); 
return 
BINT(
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3741, BgL_inz00_3738, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_outz00_3739, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00));} } } } } } } } } } } } } } } } } } 

}



/* search1479~0 */
obj_t BGl_search1479ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1478z00_5656, obj_t BgL_opt1477z00_5655, obj_t BgL_k1z00_1435, long BgL_iz00_1436)
{
{ /* Llib/block_ciphers.scm 937 */
BGl_search1479ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1436==BgL_l1478z00_5656))
{ /* Llib/block_ciphers.scm 937 */
return 
BINT(((long)-1));}  else 
{ /* Llib/block_ciphers.scm 937 */
if(
(BgL_iz00_1436==
(BgL_l1478z00_5656-((long)1))))
{ /* Llib/block_ciphers.scm 937 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)43)), BGl_string3765z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1477z00_5655)));}  else 
{ /* Llib/block_ciphers.scm 937 */
obj_t BgL_vz00_1482;
BgL_vz00_1482 = 
VECTOR_REF(BgL_opt1477z00_5655,BgL_iz00_1436); 
if(
(BgL_vz00_1482==BgL_k1z00_1435))
{ /* Llib/block_ciphers.scm 937 */
return 
BINT(
(BgL_iz00_1436+((long)1)));}  else 
{ 
long BgL_iz00_10365;
BgL_iz00_10365 = 
(BgL_iz00_1436+((long)2)); 
BgL_iz00_1436 = BgL_iz00_10365; 
goto BGl_search1479ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* decrypt-sendchars */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_380, obj_t BgL_inz00_381, obj_t BgL_outz00_382, obj_t BgL_passwordz00_383, obj_t BgL_ivz00_384, obj_t BgL_modez00_385, obj_t BgL_noncezd2initz12zc0_386, obj_t BgL_noncezd2updatez12zc0_387, obj_t BgL_padz00_388, obj_t BgL_stringzd2ze3keyz31_389)
{
{ /* Llib/block_ciphers.scm 937 */
{ /* Llib/block_ciphers.scm 941 */
BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3742;
BgL_statez00_3742 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_380, BgL_passwordz00_383, BgL_ivz00_384, BgL_modez00_385, BgL_padz00_388, BgL_noncezd2initz12zc0_386, BgL_noncezd2updatez12zc0_387, BgL_stringzd2ze3keyz31_389); 
return 
BINT(
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3742, BgL_inz00_381, ((long)0), BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_outz00_382, ((long)0), BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00));} } 

}



/* register-cipher! */
BGL_EXPORTED_DEF obj_t BGl_registerzd2cipherz12zc0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_lookupzd2namezd2_392, BgL_blockzd2cipherzd2_bglt BgL_descz00_393)
{
{ /* Llib/block_ciphers.scm 952 */
{ /* Llib/block_ciphers.scm 953 */
obj_t BgL_arg2180z00_3743;
BgL_arg2180z00_3743 = 
MAKE_YOUNG_PAIR(BgL_lookupzd2namezd2_392, 
((obj_t)BgL_descz00_393)); 
return ( 
BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00 = 
MAKE_YOUNG_PAIR(BgL_arg2180z00_3743, BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00), BUNSPEC) ;} } 

}



/* &register-cipher! */
obj_t BGl_z62registerzd2cipherz12za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5065, obj_t BgL_lookupzd2namezd2_5066, obj_t BgL_descz00_5067)
{
{ /* Llib/block_ciphers.scm 952 */
{ /* Llib/block_ciphers.scm 953 */
BgL_blockzd2cipherzd2_bglt BgL_auxz00_10380;obj_t BgL_auxz00_10373;
if(
BGl_isazf3zf3zz__objectz00(BgL_descz00_5067, BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00))
{ /* Llib/block_ciphers.scm 953 */
BgL_auxz00_10380 = 
((BgL_blockzd2cipherzd2_bglt)BgL_descz00_5067)
; }  else 
{ 
obj_t BgL_auxz00_10384;
BgL_auxz00_10384 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34555)), BGl_string3775z00zz__cryptozd2blockzd2ciphersz00, BGl_string3776z00zz__cryptozd2blockzd2ciphersz00, BgL_descz00_5067); 
FAILURE(BgL_auxz00_10384,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_lookupzd2namezd2_5066))
{ /* Llib/block_ciphers.scm 953 */
BgL_auxz00_10373 = BgL_lookupzd2namezd2_5066
; }  else 
{ 
obj_t BgL_auxz00_10376;
BgL_auxz00_10376 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34555)), BGl_string3775z00zz__cryptozd2blockzd2ciphersz00, BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BgL_lookupzd2namezd2_5066); 
FAILURE(BgL_auxz00_10376,BFALSE,BFALSE);} 
return 
BGl_registerzd2cipherz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_10373, BgL_auxz00_10380);} } 

}



/* block-cipher-description */
BGL_EXPORTED_DEF BgL_blockzd2cipherzd2_bglt BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_lookupzd2namezd2_394)
{
{ /* Llib/block_ciphers.scm 955 */
{ /* Llib/block_ciphers.scm 956 */
obj_t BgL_desczd2pzd2_1488;
BgL_desczd2pzd2_1488 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_lookupzd2namezd2_394, BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00); 
if(
CBOOL(BgL_desczd2pzd2_1488))
{ /* Llib/block_ciphers.scm 957 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 957 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)44)), BGl_string3777z00zz__cryptozd2blockzd2ciphersz00, BgL_lookupzd2namezd2_394); } 
return 
((BgL_blockzd2cipherzd2_bglt)
CDR(
((obj_t)BgL_desczd2pzd2_1488)));} } 

}



/* &block-cipher-description */
BgL_blockzd2cipherzd2_bglt BGl_z62blockzd2cipherzd2descriptionz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5068, obj_t BgL_lookupzd2namezd2_5069)
{
{ /* Llib/block_ciphers.scm 955 */
{ /* Llib/block_ciphers.scm 956 */
obj_t BgL_auxz00_10397;
if(
SYMBOLP(BgL_lookupzd2namezd2_5069))
{ /* Llib/block_ciphers.scm 956 */
BgL_auxz00_10397 = BgL_lookupzd2namezd2_5069
; }  else 
{ 
obj_t BgL_auxz00_10400;
BgL_auxz00_10400 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)34687)), BGl_string3778z00zz__cryptozd2blockzd2ciphersz00, BGl_string3750z00zz__cryptozd2blockzd2ciphersz00, BgL_lookupzd2namezd2_5069); 
FAILURE(BgL_auxz00_10400,BFALSE,BFALSE);} 
return 
BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_10397);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__cryptozd2blockzd2ciphersz00()
{
{ /* Llib/block_ciphers.scm 1 */
{ /* Llib/block_ciphers.scm 6 */
obj_t BgL_arg2184z00_1492;obj_t BgL_arg2185z00_1493;
{ /* Llib/block_ciphers.scm 6 */
obj_t BgL_v1278z00_1510;
BgL_v1278z00_1510 = 
create_vector(((long)7)); 
{ /* Llib/block_ciphers.scm 6 */
obj_t BgL_arg2191z00_1511;
BgL_arg2191z00_1511 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_proc3780z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3779z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1278z00_1510,((long)0),BgL_arg2191z00_1511); } 
{ /* Llib/block_ciphers.scm 6 */
obj_t BgL_arg2196z00_1521;
BgL_arg2196z00_1521 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)47)), BGl_proc3782z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3781z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1278z00_1510,((long)1),BgL_arg2196z00_1521); } 
{ /* Llib/block_ciphers.scm 6 */
obj_t BgL_arg2201z00_1531;
BgL_arg2201z00_1531 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)49)), BGl_proc3784z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3783z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1278z00_1510,((long)2),BgL_arg2201z00_1531); } 
{ /* Llib/block_ciphers.scm 6 */
obj_t BgL_arg2206z00_1541;
BgL_arg2206z00_1541 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)50)), BGl_proc3786z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3785z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1278z00_1510,((long)3),BgL_arg2206z00_1541); } 
{ /* Llib/block_ciphers.scm 6 */
obj_t BgL_arg2211z00_1551;
BgL_arg2211z00_1551 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)52)), BGl_proc3788z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3787z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1278z00_1510,((long)4),BgL_arg2211z00_1551); } 
{ /* Llib/block_ciphers.scm 6 */
obj_t BgL_arg2216z00_1561;
BgL_arg2216z00_1561 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)53)), BGl_proc3790z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3789z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1278z00_1510,((long)5),BgL_arg2216z00_1561); } 
{ /* Llib/block_ciphers.scm 6 */
obj_t BgL_arg2221z00_1571;
BgL_arg2221z00_1571 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)54)), BGl_proc3792z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3791z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1278z00_1510,((long)6),BgL_arg2221z00_1571); } 
BgL_arg2184z00_1492 = BgL_v1278z00_1510; } 
{ /* Llib/block_ciphers.scm 6 */
obj_t BgL_v1279z00_1581;
BgL_v1279z00_1581 = 
create_vector(((long)0)); 
BgL_arg2185z00_1493 = BgL_v1279z00_1581; } 
BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)55)), 
CNST_TABLE_REF(((long)56)), BGl_objectz00zz__objectz00, ((long)63399), BGl_proc3795z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3794z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3793z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2184z00_1492, BgL_arg2185z00_1493); } 
{ /* Llib/block_ciphers.scm 77 */
obj_t BgL_arg2228z00_1587;obj_t BgL_arg2229z00_1588;
{ /* Llib/block_ciphers.scm 77 */
obj_t BgL_v1280z00_1594;
BgL_v1280z00_1594 = 
create_vector(((long)3)); 
{ /* Llib/block_ciphers.scm 77 */
obj_t BgL_arg2233z00_1595;
BgL_arg2233z00_1595 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)47)), BGl_proc3797z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3796z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1280z00_1594,((long)0),BgL_arg2233z00_1595); } 
{ /* Llib/block_ciphers.scm 77 */
obj_t BgL_arg2238z00_1605;
BgL_arg2238z00_1605 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)57)), BGl_proc3799z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3798z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1280z00_1594,((long)1),BgL_arg2238z00_1605); } 
{ /* Llib/block_ciphers.scm 77 */
obj_t BgL_arg2243z00_1615;
BgL_arg2243z00_1615 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)58)), BGl_proc3801z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3800z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)59))); 
VECTOR_SET(BgL_v1280z00_1594,((long)2),BgL_arg2243z00_1615); } 
BgL_arg2228z00_1587 = BgL_v1280z00_1594; } 
{ /* Llib/block_ciphers.scm 77 */
obj_t BgL_v1281z00_1625;
BgL_v1281z00_1625 = 
create_vector(((long)0)); 
BgL_arg2229z00_1588 = BgL_v1281z00_1625; } 
BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)60)), 
CNST_TABLE_REF(((long)56)), BGl_objectz00zz__objectz00, ((long)46511), BFALSE, BGl_proc3803z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3802z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2228z00_1587, BgL_arg2229z00_1588); } 
{ /* Llib/block_ciphers.scm 81 */
obj_t BgL_arg2251z00_1631;obj_t BgL_arg2252z00_1632;
{ /* Llib/block_ciphers.scm 81 */
obj_t BgL_v1282z00_1645;
BgL_v1282z00_1645 = 
create_vector(((long)0)); 
BgL_arg2251z00_1631 = BgL_v1282z00_1645; } 
{ /* Llib/block_ciphers.scm 81 */
obj_t BgL_v1283z00_1646;
BgL_v1283z00_1646 = 
create_vector(((long)0)); 
BgL_arg2252z00_1632 = BgL_v1283z00_1646; } 
BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)61)), 
CNST_TABLE_REF(((long)56)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)15877), BGl_proc3806z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3805z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3804z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2251z00_1631, BgL_arg2252z00_1632); } 
{ /* Llib/block_ciphers.scm 82 */
obj_t BgL_arg2261z00_1653;obj_t BgL_arg2262z00_1654;
{ /* Llib/block_ciphers.scm 82 */
obj_t BgL_v1284z00_1667;
BgL_v1284z00_1667 = 
create_vector(((long)0)); 
BgL_arg2261z00_1653 = BgL_v1284z00_1667; } 
{ /* Llib/block_ciphers.scm 82 */
obj_t BgL_v1285z00_1668;
BgL_v1285z00_1668 = 
create_vector(((long)0)); 
BgL_arg2262z00_1654 = BgL_v1285z00_1668; } 
BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)62)), 
CNST_TABLE_REF(((long)56)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)55855), BGl_proc3809z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3808z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3807z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2261z00_1653, BgL_arg2262z00_1654); } 
{ /* Llib/block_ciphers.scm 83 */
obj_t BgL_arg2271z00_1675;obj_t BgL_arg2272z00_1676;
{ /* Llib/block_ciphers.scm 83 */
obj_t BgL_v1286z00_1691;
BgL_v1286z00_1691 = 
create_vector(((long)2)); 
{ /* Llib/block_ciphers.scm 83 */
obj_t BgL_arg2278z00_1692;
BgL_arg2278z00_1692 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)63)), BGl_proc3811z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3810z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1286z00_1691,((long)0),BgL_arg2278z00_1692); } 
{ /* Llib/block_ciphers.scm 83 */
obj_t BgL_arg2283z00_1702;
BgL_arg2283z00_1702 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc3813z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3812z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1286z00_1691,((long)1),BgL_arg2283z00_1702); } 
BgL_arg2271z00_1675 = BgL_v1286z00_1691; } 
{ /* Llib/block_ciphers.scm 83 */
obj_t BgL_v1287z00_1712;
BgL_v1287z00_1712 = 
create_vector(((long)0)); 
BgL_arg2272z00_1676 = BgL_v1287z00_1712; } 
BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)65)), 
CNST_TABLE_REF(((long)56)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)16316), BGl_proc3816z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3815z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3814z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2271z00_1675, BgL_arg2272z00_1676); } 
{ /* Llib/block_ciphers.scm 86 */
obj_t BgL_arg2291z00_1719;obj_t BgL_arg2292z00_1720;
{ /* Llib/block_ciphers.scm 86 */
obj_t BgL_v1288z00_1735;
BgL_v1288z00_1735 = 
create_vector(((long)2)); 
{ /* Llib/block_ciphers.scm 86 */
obj_t BgL_arg2298z00_1736;
BgL_arg2298z00_1736 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)63)), BGl_proc3818z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3817z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1288z00_1735,((long)0),BgL_arg2298z00_1736); } 
{ /* Llib/block_ciphers.scm 86 */
obj_t BgL_arg2303z00_1746;
BgL_arg2303z00_1746 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc3820z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3819z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1288z00_1735,((long)1),BgL_arg2303z00_1746); } 
BgL_arg2291z00_1719 = BgL_v1288z00_1735; } 
{ /* Llib/block_ciphers.scm 86 */
obj_t BgL_v1289z00_1756;
BgL_v1289z00_1756 = 
create_vector(((long)0)); 
BgL_arg2292z00_1720 = BgL_v1289z00_1756; } 
BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)66)), 
CNST_TABLE_REF(((long)56)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)41938), BGl_proc3823z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3822z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3821z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2291z00_1719, BgL_arg2292z00_1720); } 
{ /* Llib/block_ciphers.scm 89 */
obj_t BgL_arg2311z00_1763;obj_t BgL_arg2312z00_1764;
{ /* Llib/block_ciphers.scm 89 */
obj_t BgL_v1290z00_1779;
BgL_v1290z00_1779 = 
create_vector(((long)2)); 
{ /* Llib/block_ciphers.scm 89 */
obj_t BgL_arg2318z00_1780;
BgL_arg2318z00_1780 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)63)), BGl_proc3825z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3824z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1290z00_1779,((long)0),BgL_arg2318z00_1780); } 
{ /* Llib/block_ciphers.scm 89 */
obj_t BgL_arg2323z00_1790;
BgL_arg2323z00_1790 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc3827z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3826z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1290z00_1779,((long)1),BgL_arg2323z00_1790); } 
BgL_arg2311z00_1763 = BgL_v1290z00_1779; } 
{ /* Llib/block_ciphers.scm 89 */
obj_t BgL_v1291z00_1800;
BgL_v1291z00_1800 = 
create_vector(((long)0)); 
BgL_arg2312z00_1764 = BgL_v1291z00_1800; } 
BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)67)), 
CNST_TABLE_REF(((long)56)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)34988), BGl_proc3830z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3829z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3828z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2311z00_1763, BgL_arg2312z00_1764); } 
{ /* Llib/block_ciphers.scm 92 */
obj_t BgL_arg2331z00_1807;obj_t BgL_arg2332z00_1808;
{ /* Llib/block_ciphers.scm 92 */
obj_t BgL_v1292z00_1823;
BgL_v1292z00_1823 = 
create_vector(((long)2)); 
{ /* Llib/block_ciphers.scm 92 */
obj_t BgL_arg2338z00_1824;
BgL_arg2338z00_1824 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)63)), BGl_proc3832z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3831z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1292z00_1823,((long)0),BgL_arg2338z00_1824); } 
{ /* Llib/block_ciphers.scm 92 */
obj_t BgL_arg2343z00_1834;
BgL_arg2343z00_1834 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc3834z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3833z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1292z00_1823,((long)1),BgL_arg2343z00_1834); } 
BgL_arg2331z00_1807 = BgL_v1292z00_1823; } 
{ /* Llib/block_ciphers.scm 92 */
obj_t BgL_v1293z00_1844;
BgL_v1293z00_1844 = 
create_vector(((long)0)); 
BgL_arg2332z00_1808 = BgL_v1293z00_1844; } 
BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)68)), 
CNST_TABLE_REF(((long)56)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)11458), BGl_proc3837z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3836z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3835z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2331z00_1807, BgL_arg2332z00_1808); } 
{ /* Llib/block_ciphers.scm 96 */
obj_t BgL_arg2350z00_1850;obj_t BgL_arg2351z00_1851;
{ /* Llib/block_ciphers.scm 96 */
obj_t BgL_v1294z00_1857;
BgL_v1294z00_1857 = 
create_vector(((long)0)); 
BgL_arg2350z00_1850 = BgL_v1294z00_1857; } 
{ /* Llib/block_ciphers.scm 96 */
obj_t BgL_v1295z00_1858;
BgL_v1295z00_1858 = 
create_vector(((long)0)); 
BgL_arg2351z00_1851 = BgL_v1295z00_1858; } 
BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)69)), 
CNST_TABLE_REF(((long)56)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, ((long)43473), BFALSE, BGl_proc3839z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3838z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2350z00_1850, BgL_arg2351z00_1851); } 
{ /* Llib/block_ciphers.scm 97 */
obj_t BgL_arg2358z00_1864;obj_t BgL_arg2359z00_1865;
{ /* Llib/block_ciphers.scm 97 */
obj_t BgL_v1296z00_1879;
BgL_v1296z00_1879 = 
create_vector(((long)1)); 
{ /* Llib/block_ciphers.scm 97 */
obj_t BgL_arg2365z00_1880;
BgL_arg2365z00_1880 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc3841z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3840z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1296z00_1879,((long)0),BgL_arg2365z00_1880); } 
BgL_arg2358z00_1864 = BgL_v1296z00_1879; } 
{ /* Llib/block_ciphers.scm 97 */
obj_t BgL_v1297z00_1890;
BgL_v1297z00_1890 = 
create_vector(((long)0)); 
BgL_arg2359z00_1865 = BgL_v1297z00_1890; } 
BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)70)), 
CNST_TABLE_REF(((long)56)), BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00, ((long)46218), BGl_proc3844z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3843z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3842z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2358z00_1864, BgL_arg2359z00_1865); } 
{ /* Llib/block_ciphers.scm 99 */
obj_t BgL_arg2373z00_1897;obj_t BgL_arg2374z00_1898;
{ /* Llib/block_ciphers.scm 99 */
obj_t BgL_v1298z00_1913;
BgL_v1298z00_1913 = 
create_vector(((long)2)); 
{ /* Llib/block_ciphers.scm 99 */
obj_t BgL_arg2380z00_1914;
BgL_arg2380z00_1914 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)63)), BGl_proc3846z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3845z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1298z00_1913,((long)0),BgL_arg2380z00_1914); } 
{ /* Llib/block_ciphers.scm 99 */
obj_t BgL_arg2385z00_1924;
BgL_arg2385z00_1924 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc3848z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3847z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1298z00_1913,((long)1),BgL_arg2385z00_1924); } 
BgL_arg2373z00_1897 = BgL_v1298z00_1913; } 
{ /* Llib/block_ciphers.scm 99 */
obj_t BgL_v1299z00_1934;
BgL_v1299z00_1934 = 
create_vector(((long)0)); 
BgL_arg2374z00_1898 = BgL_v1299z00_1934; } 
BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)71)), 
CNST_TABLE_REF(((long)56)), BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00, ((long)63662), BGl_proc3851z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3850z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3849z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2373z00_1897, BgL_arg2374z00_1898); } 
{ /* Llib/block_ciphers.scm 102 */
obj_t BgL_arg2393z00_1941;obj_t BgL_arg2394z00_1942;
{ /* Llib/block_ciphers.scm 102 */
obj_t BgL_v1300z00_1956;
BgL_v1300z00_1956 = 
create_vector(((long)1)); 
{ /* Llib/block_ciphers.scm 102 */
obj_t BgL_arg2400z00_1957;
BgL_arg2400z00_1957 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)64)), BGl_proc3853z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3852z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1300z00_1956,((long)0),BgL_arg2400z00_1957); } 
BgL_arg2393z00_1941 = BgL_v1300z00_1956; } 
{ /* Llib/block_ciphers.scm 102 */
obj_t BgL_v1301z00_1967;
BgL_v1301z00_1967 = 
create_vector(((long)0)); 
BgL_arg2394z00_1942 = BgL_v1301z00_1967; } 
BGl_OFBz00zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)72)), 
CNST_TABLE_REF(((long)56)), BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00, ((long)15584), BGl_proc3856z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3855z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3854z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2393z00_1941, BgL_arg2394z00_1942); } 
{ /* Llib/block_ciphers.scm 104 */
obj_t BgL_arg2408z00_1974;obj_t BgL_arg2409z00_1975;
{ /* Llib/block_ciphers.scm 104 */
obj_t BgL_v1302z00_1993;
BgL_v1302z00_1993 = 
create_vector(((long)5)); 
{ /* Llib/block_ciphers.scm 104 */
obj_t BgL_arg2415z00_1994;
BgL_arg2415z00_1994 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)73)), BGl_proc3858z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3857z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)59))); 
VECTOR_SET(BgL_v1302z00_1993,((long)0),BgL_arg2415z00_1994); } 
{ /* Llib/block_ciphers.scm 104 */
obj_t BgL_arg2420z00_2004;
BgL_arg2420z00_2004 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)74)), BGl_proc3860z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3859z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1302z00_1993,((long)1),BgL_arg2420z00_2004); } 
{ /* Llib/block_ciphers.scm 104 */
obj_t BgL_arg2425z00_2014;
BgL_arg2425z00_2014 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc3862z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3861z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1302z00_1993,((long)2),BgL_arg2425z00_2014); } 
{ /* Llib/block_ciphers.scm 104 */
obj_t BgL_arg2430z00_2024;
BgL_arg2430z00_2024 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)76)), BGl_proc3864z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3863z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1302z00_1993,((long)3),BgL_arg2430z00_2024); } 
{ /* Llib/block_ciphers.scm 104 */
obj_t BgL_arg2435z00_2034;
BgL_arg2435z00_2034 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc3866z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3865z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)51))); 
VECTOR_SET(BgL_v1302z00_1993,((long)4),BgL_arg2435z00_2034); } 
BgL_arg2408z00_1974 = BgL_v1302z00_1993; } 
{ /* Llib/block_ciphers.scm 104 */
obj_t BgL_v1303z00_2044;
BgL_v1303z00_2044 = 
create_vector(((long)0)); 
BgL_arg2409z00_1975 = BgL_v1303z00_2044; } 
BGl_CTRz00zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)78)), 
CNST_TABLE_REF(((long)56)), BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00, ((long)15240), BGl_proc3869z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3868z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3867z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2408z00_1974, BgL_arg2409z00_1975); } 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_arg2443z00_2051;obj_t BgL_arg2444z00_2052;
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_v1304z00_2070;
BgL_v1304z00_2070 = 
create_vector(((long)8)); 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_arg2450z00_2071;
BgL_arg2450z00_2071 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)79)), BGl_proc3871z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3870z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)80))); 
VECTOR_SET(BgL_v1304z00_2070,((long)0),BgL_arg2450z00_2071); } 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_arg2455z00_2081;
BgL_arg2455z00_2081 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)47)), BGl_proc3873z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3872z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1304z00_2070,((long)1),BgL_arg2455z00_2081); } 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_arg2460z00_2091;
BgL_arg2460z00_2091 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)81)), BGl_proc3875z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3874z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00); 
VECTOR_SET(BgL_v1304z00_2070,((long)2),BgL_arg2460z00_2091); } 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_arg2465z00_2101;
BgL_arg2465z00_2101 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)82)), BGl_proc3878z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3877z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3876z00zz__cryptozd2blockzd2ciphersz00, 
CNST_TABLE_REF(((long)83))); 
VECTOR_SET(BgL_v1304z00_2070,((long)3),BgL_arg2465z00_2101); } 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_arg2472z00_2114;
BgL_arg2472z00_2114 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc3881z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3880z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3879z00zz__cryptozd2blockzd2ciphersz00, 
CNST_TABLE_REF(((long)59))); 
VECTOR_SET(BgL_v1304z00_2070,((long)4),BgL_arg2472z00_2114); } 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_arg2479z00_2127;
BgL_arg2479z00_2127 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)84)), BGl_proc3883z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3882z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)59))); 
VECTOR_SET(BgL_v1304z00_2070,((long)5),BgL_arg2479z00_2127); } 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_arg2484z00_2137;
BgL_arg2484z00_2137 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)85)), BGl_proc3885z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3884z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)46))); 
VECTOR_SET(BgL_v1304z00_2070,((long)6),BgL_arg2484z00_2137); } 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_arg2489z00_2147;
BgL_arg2489z00_2147 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)86)), BGl_proc3888z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3887z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3886z00zz__cryptozd2blockzd2ciphersz00, 
CNST_TABLE_REF(((long)48))); 
VECTOR_SET(BgL_v1304z00_2070,((long)7),BgL_arg2489z00_2147); } 
BgL_arg2443z00_2051 = BgL_v1304z00_2070; } 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_v1305z00_2160;
BgL_v1305z00_2160 = 
create_vector(((long)0)); 
BgL_arg2444z00_2052 = BgL_v1305z00_2160; } 
return ( 
BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)87)), 
CNST_TABLE_REF(((long)56)), BGl_objectz00zz__objectz00, ((long)41267), BGl_proc3891z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3890z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3889z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2443z00_2051, BgL_arg2444z00_2052), BUNSPEC) ;} } 

}



/* &<@anonymous:2449> */
obj_t BGl_z62zc3z04anonymousza32449ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5186, obj_t BgL_new1150z00_5187)
{
{ /* Llib/block_ciphers.scm 111 */
{ 
BgL_cipherzd2modezd2statez00_bglt BgL_auxz00_10614;
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_5187)))->BgL_encryptzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_5187)))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
{ 
BgL_cipherzd2statezd2_bglt BgL_auxz00_10619;
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL_classz00_6213;
BgL_classz00_6213 = BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00; 
{ /* Llib/block_ciphers.scm 111 */
obj_t BgL__ortest_1107z00_6214;
BgL__ortest_1107z00_6214 = 
BGL_CLASS_NIL(BgL_classz00_6213); 
if(
CBOOL(BgL__ortest_1107z00_6214))
{ /* Llib/block_ciphers.scm 111 */
BgL_auxz00_10619 = 
((BgL_cipherzd2statezd2_bglt)BgL__ortest_1107z00_6214)
; }  else 
{ /* Llib/block_ciphers.scm 111 */
BgL_auxz00_10619 = 
((BgL_cipherzd2statezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_6213))
; } } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_5187)))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)BgL_auxz00_10619),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_5187)))->BgL_ivzd2actionzd2)=((obj_t)
CNST_TABLE_REF(((long)88))),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_5187)))->BgL_ivz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_5187)))->BgL_padzf2unpadzf2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_5187)))->BgL_loopzd2bufferzd2)=((obj_t)BGl_string3892z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_5187)))->BgL_posz00)=((long)((long)0)),BUNSPEC); 
BgL_auxz00_10614 = 
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1150z00_5187); 
return 
((obj_t)BgL_auxz00_10614);} } 

}



/* &lambda2447 */
BgL_cipherzd2modezd2statez00_bglt BGl_z62lambda2447z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5188)
{
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
BgL_cipherzd2modezd2statez00_bglt BgL_new1149z00_6215;
BgL_new1149z00_6215 = 
((BgL_cipherzd2modezd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2modezd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 111 */
long BgL_arg2448z00_6216;
{ /* Llib/block_ciphers.scm 111 */
long BgL_res3043z00_6217;
BgL_res3043z00_6217 = 
BGL_CLASS_INDEX(BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2448z00_6216 = BgL_res3043z00_6217; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1149z00_6215), BgL_arg2448z00_6216); } 
{ /* Llib/block_ciphers.scm 111 */
BgL_objectz00_bglt BgL_tmpz00_10645;
BgL_tmpz00_10645 = 
((BgL_objectz00_bglt)BgL_new1149z00_6215); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10645, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1149z00_6215); 
return BgL_new1149z00_6215;} } 

}



/* &lambda2445 */
BgL_cipherzd2modezd2statez00_bglt BGl_z62lambda2445z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5189, obj_t BgL_encryptzf31141zf3_5190, obj_t BgL_blockzd2siza7e1142z75_5191, obj_t BgL_cipherzd2state1143zd2_5192, obj_t BgL_ivzd2action1144zd2_5193, obj_t BgL_iv1145z00_5194, obj_t BgL_padzf2unpad1146zf2_5195, obj_t BgL_loopzd2buffer1147zd2_5196, obj_t BgL_pos1148z00_5197)
{
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
bool_t BgL_encryptzf31141zf3_6218;long BgL_blockzd2siza7e1142z75_6219;long BgL_pos1148z00_6223;
BgL_encryptzf31141zf3_6218 = 
CBOOL(BgL_encryptzf31141zf3_5190); 
BgL_blockzd2siza7e1142z75_6219 = 
(long)CINT(BgL_blockzd2siza7e1142z75_5191); 
BgL_pos1148z00_6223 = 
(long)CINT(BgL_pos1148z00_5197); 
{ /* Llib/block_ciphers.scm 111 */
BgL_cipherzd2modezd2statez00_bglt BgL_new1265z00_6224;
{ /* Llib/block_ciphers.scm 111 */
BgL_cipherzd2modezd2statez00_bglt BgL_new1264z00_6225;
BgL_new1264z00_6225 = 
((BgL_cipherzd2modezd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2modezd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 111 */
long BgL_arg2446z00_6226;
{ /* Llib/block_ciphers.scm 111 */
long BgL_res3042z00_6227;
BgL_res3042z00_6227 = 
BGL_CLASS_INDEX(BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2446z00_6226 = BgL_res3042z00_6227; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1264z00_6225), BgL_arg2446z00_6226); } 
{ /* Llib/block_ciphers.scm 111 */
BgL_objectz00_bglt BgL_tmpz00_10656;
BgL_tmpz00_10656 = 
((BgL_objectz00_bglt)BgL_new1264z00_6225); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10656, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1264z00_6225); 
BgL_new1265z00_6224 = BgL_new1264z00_6225; } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1265z00_6224))->BgL_encryptzf3zf3)=((bool_t)BgL_encryptzf31141zf3_6218),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1265z00_6224))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1142z75_6219),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1265z00_6224))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)
((BgL_cipherzd2statezd2_bglt)BgL_cipherzd2state1143zd2_5192)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1265z00_6224))->BgL_ivzd2actionzd2)=((obj_t)
((obj_t)BgL_ivzd2action1144zd2_5193)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1265z00_6224))->BgL_ivz00)=((obj_t)BgL_iv1145z00_5194),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1265z00_6224))->BgL_padzf2unpadzf2)=((obj_t)BgL_padzf2unpad1146zf2_5195),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1265z00_6224))->BgL_loopzd2bufferzd2)=((obj_t)
((obj_t)BgL_loopzd2buffer1147zd2_5196)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1265z00_6224))->BgL_posz00)=((long)BgL_pos1148z00_6223),BUNSPEC); 
return BgL_new1265z00_6224;} } } 

}



/* &<@anonymous:2495> */
obj_t BGl_z62zc3z04anonymousza32495ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5198)
{
{ /* Llib/block_ciphers.scm 111 */
return 
BINT(((long)0));} 

}



/* &lambda2494 */
obj_t BGl_z62lambda2494z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5199, obj_t BgL_oz00_5200, obj_t BgL_vz00_5201)
{
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
long BgL_vz00_6229;
BgL_vz00_6229 = 
(long)CINT(BgL_vz00_5201); 
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5200)))->BgL_posz00)=((long)BgL_vz00_6229),BUNSPEC);} } 

}



/* &lambda2493 */
obj_t BGl_z62lambda2493z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5202, obj_t BgL_oz00_5203)
{
{ /* Llib/block_ciphers.scm 111 */
return 
BINT(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5203)))->BgL_posz00));} 

}



/* &lambda2488 */
obj_t BGl_z62lambda2488z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5204, obj_t BgL_oz00_5205, obj_t BgL_vz00_5206)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5205)))->BgL_loopzd2bufferzd2)=((obj_t)
((obj_t)BgL_vz00_5206)),BUNSPEC);} 

}



/* &lambda2487 */
obj_t BGl_z62lambda2487z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5207, obj_t BgL_oz00_5208)
{
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5208)))->BgL_loopzd2bufferzd2);} 

}



/* &lambda2483 */
obj_t BGl_z62lambda2483z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5209, obj_t BgL_oz00_5210, obj_t BgL_vz00_5211)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5210)))->BgL_padzf2unpadzf2)=((obj_t)BgL_vz00_5211),BUNSPEC);} 

}



/* &lambda2482 */
obj_t BGl_z62lambda2482z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5212, obj_t BgL_oz00_5213)
{
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5213)))->BgL_padzf2unpadzf2);} 

}



/* &<@anonymous:2478> */
obj_t BGl_z62zc3z04anonymousza32478ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5214)
{
{ /* Llib/block_ciphers.scm 111 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2477 */
obj_t BGl_z62lambda2477z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5215, obj_t BgL_oz00_5216, obj_t BgL_vz00_5217)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5216)))->BgL_ivz00)=((obj_t)BgL_vz00_5217),BUNSPEC);} 

}



/* &lambda2476 */
obj_t BGl_z62lambda2476z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5218, obj_t BgL_oz00_5219)
{
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5219)))->BgL_ivz00);} 

}



/* &<@anonymous:2471> */
obj_t BGl_z62zc3z04anonymousza32471ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5220)
{
{ /* Llib/block_ciphers.scm 111 */
return 
CNST_TABLE_REF(((long)89));} 

}



/* &lambda2470 */
obj_t BGl_z62lambda2470z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5221, obj_t BgL_oz00_5222, obj_t BgL_vz00_5223)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5222)))->BgL_ivzd2actionzd2)=((obj_t)
((obj_t)BgL_vz00_5223)),BUNSPEC);} 

}



/* &lambda2469 */
obj_t BGl_z62lambda2469z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5224, obj_t BgL_oz00_5225)
{
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5225)))->BgL_ivzd2actionzd2);} 

}



/* &lambda2464 */
obj_t BGl_z62lambda2464z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5226, obj_t BgL_oz00_5227, obj_t BgL_vz00_5228)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5227)))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)
((BgL_cipherzd2statezd2_bglt)BgL_vz00_5228)),BUNSPEC);} 

}



/* &lambda2463 */
BgL_cipherzd2statezd2_bglt BGl_z62lambda2463z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5229, obj_t BgL_oz00_5230)
{
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5230)))->BgL_cipherzd2statezd2);} 

}



/* &lambda2459 */
obj_t BGl_z62lambda2459z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5231, obj_t BgL_oz00_5232, obj_t BgL_vz00_5233)
{
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
long BgL_vz00_6245;
BgL_vz00_6245 = 
(long)CINT(BgL_vz00_5233); 
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5232)))->BgL_blockzd2siza7ez75)=((long)BgL_vz00_6245),BUNSPEC);} } 

}



/* &lambda2458 */
obj_t BGl_z62lambda2458z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5234, obj_t BgL_oz00_5235)
{
{ /* Llib/block_ciphers.scm 111 */
return 
BINT(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5235)))->BgL_blockzd2siza7ez75));} 

}



/* &lambda2454 */
obj_t BGl_z62lambda2454z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5236, obj_t BgL_oz00_5237, obj_t BgL_vz00_5238)
{
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
bool_t BgL_vz00_6248;
BgL_vz00_6248 = 
CBOOL(BgL_vz00_5238); 
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5237)))->BgL_encryptzf3zf3)=((bool_t)BgL_vz00_6248),BUNSPEC);} } 

}



/* &lambda2453 */
obj_t BGl_z62lambda2453z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5239, obj_t BgL_oz00_5240)
{
{ /* Llib/block_ciphers.scm 111 */
return 
BBOOL(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_5240)))->BgL_encryptzf3zf3));} 

}



/* &<@anonymous:2414> */
obj_t BGl_z62zc3z04anonymousza32414ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5241, obj_t BgL_new1139z00_5242)
{
{ /* Llib/block_ciphers.scm 104 */
{ 
BgL_ctrz00_bglt BgL_auxz00_10715;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_new1139z00_5242))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_new1139z00_5242))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_new1139z00_5242))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1139z00_5242)))->BgL_noncez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1139z00_5242)))->BgL_noncezd2strzd2)=((obj_t)BGl_string3892z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1139z00_5242)))->BgL_blockzd2counterzd2)=((long)((long)0)),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1139z00_5242)))->BgL_noncezd2initz12zc0)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1139z00_5242)))->BgL_noncezd2updatez12zc0)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_10715 = 
((BgL_ctrz00_bglt)BgL_new1139z00_5242); 
return 
((obj_t)BgL_auxz00_10715);} } 

}



/* &lambda2412 */
BgL_ctrz00_bglt BGl_z62lambda2412z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5243)
{
{ /* Llib/block_ciphers.scm 104 */
{ /* Llib/block_ciphers.scm 104 */
BgL_ctrz00_bglt BgL_new1138z00_6251;
BgL_new1138z00_6251 = 
((BgL_ctrz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ctrz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 104 */
long BgL_arg2413z00_6252;
{ /* Llib/block_ciphers.scm 104 */
long BgL_res3041z00_6253;
BgL_res3041z00_6253 = 
BGL_CLASS_INDEX(BGl_CTRz00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2413z00_6252 = BgL_res3041z00_6253; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1138z00_6251), BgL_arg2413z00_6252); } 
{ /* Llib/block_ciphers.scm 104 */
BgL_objectz00_bglt BgL_tmpz00_10741;
BgL_tmpz00_10741 = 
((BgL_objectz00_bglt)BgL_new1138z00_6251); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10741, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1138z00_6251); 
return BgL_new1138z00_6251;} } 

}



/* &lambda2410 */
BgL_ctrz00_bglt BGl_z62lambda2410z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5244, obj_t BgL_blockzd2siza7e1130z75_5245, obj_t BgL_cipher1131z00_5246, obj_t BgL_param1132z00_5247, obj_t BgL_nonce1133z00_5248, obj_t BgL_noncezd2str1134zd2_5249, obj_t BgL_blockzd2counter1135zd2_5250, obj_t BgL_noncezd2initz121136zc0_5251, obj_t BgL_noncezd2updatez121137zc0_5252)
{
{ /* Llib/block_ciphers.scm 104 */
{ /* Llib/block_ciphers.scm 104 */
long BgL_blockzd2siza7e1130z75_6254;long BgL_blockzd2counter1135zd2_6257;
BgL_blockzd2siza7e1130z75_6254 = 
(long)CINT(BgL_blockzd2siza7e1130z75_5245); 
BgL_blockzd2counter1135zd2_6257 = 
(long)CINT(BgL_blockzd2counter1135zd2_5250); 
{ /* Llib/block_ciphers.scm 104 */
BgL_ctrz00_bglt BgL_new1263z00_6260;
{ /* Llib/block_ciphers.scm 104 */
BgL_ctrz00_bglt BgL_new1262z00_6261;
BgL_new1262z00_6261 = 
((BgL_ctrz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ctrz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 104 */
long BgL_arg2411z00_6262;
{ /* Llib/block_ciphers.scm 104 */
long BgL_res3040z00_6263;
BgL_res3040z00_6263 = 
BGL_CLASS_INDEX(BGl_CTRz00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2411z00_6262 = BgL_res3040z00_6263; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1262z00_6261), BgL_arg2411z00_6262); } 
{ /* Llib/block_ciphers.scm 104 */
BgL_objectz00_bglt BgL_tmpz00_10751;
BgL_tmpz00_10751 = 
((BgL_objectz00_bglt)BgL_new1262z00_6261); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10751, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1262z00_6261); 
BgL_new1263z00_6260 = BgL_new1262z00_6261; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1263z00_6260)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1130z75_6254),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1263z00_6260)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1131z00_5246)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1263z00_6260)))->BgL_paramz00)=((obj_t)BgL_param1132z00_5247),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1263z00_6260))->BgL_noncez00)=((obj_t)BgL_nonce1133z00_5248),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1263z00_6260))->BgL_noncezd2strzd2)=((obj_t)
((obj_t)BgL_noncezd2str1134zd2_5249)),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1263z00_6260))->BgL_blockzd2counterzd2)=((long)BgL_blockzd2counter1135zd2_6257),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1263z00_6260))->BgL_noncezd2initz12zc0)=((obj_t)
((obj_t)BgL_noncezd2initz121136zc0_5251)),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1263z00_6260))->BgL_noncezd2updatez12zc0)=((obj_t)
((obj_t)BgL_noncezd2updatez121137zc0_5252)),BUNSPEC); 
return BgL_new1263z00_6260;} } } 

}



/* &lambda2439 */
obj_t BGl_z62lambda2439z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5253, obj_t BgL_oz00_5254, obj_t BgL_vz00_5255)
{
{ /* Llib/block_ciphers.scm 104 */
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_5254)))->BgL_noncezd2updatez12zc0)=((obj_t)
((obj_t)BgL_vz00_5255)),BUNSPEC);} 

}



/* &lambda2438 */
obj_t BGl_z62lambda2438z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5256, obj_t BgL_oz00_5257)
{
{ /* Llib/block_ciphers.scm 104 */
return 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_5257)))->BgL_noncezd2updatez12zc0);} 

}



/* &lambda2434 */
obj_t BGl_z62lambda2434z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5258, obj_t BgL_oz00_5259, obj_t BgL_vz00_5260)
{
{ /* Llib/block_ciphers.scm 104 */
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_5259)))->BgL_noncezd2initz12zc0)=((obj_t)
((obj_t)BgL_vz00_5260)),BUNSPEC);} 

}



/* &lambda2433 */
obj_t BGl_z62lambda2433z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5261, obj_t BgL_oz00_5262)
{
{ /* Llib/block_ciphers.scm 104 */
return 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_5262)))->BgL_noncezd2initz12zc0);} 

}



/* &lambda2429 */
obj_t BGl_z62lambda2429z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5263, obj_t BgL_oz00_5264, obj_t BgL_vz00_5265)
{
{ /* Llib/block_ciphers.scm 104 */
{ /* Llib/block_ciphers.scm 104 */
long BgL_vz00_6271;
BgL_vz00_6271 = 
(long)CINT(BgL_vz00_5265); 
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_5264)))->BgL_blockzd2counterzd2)=((long)BgL_vz00_6271),BUNSPEC);} } 

}



/* &lambda2428 */
obj_t BGl_z62lambda2428z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5266, obj_t BgL_oz00_5267)
{
{ /* Llib/block_ciphers.scm 104 */
return 
BINT(
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_5267)))->BgL_blockzd2counterzd2));} 

}



/* &lambda2424 */
obj_t BGl_z62lambda2424z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5268, obj_t BgL_oz00_5269, obj_t BgL_vz00_5270)
{
{ /* Llib/block_ciphers.scm 104 */
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_5269)))->BgL_noncezd2strzd2)=((obj_t)
((obj_t)BgL_vz00_5270)),BUNSPEC);} 

}



/* &lambda2423 */
obj_t BGl_z62lambda2423z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5271, obj_t BgL_oz00_5272)
{
{ /* Llib/block_ciphers.scm 104 */
return 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_5272)))->BgL_noncezd2strzd2);} 

}



/* &lambda2419 */
obj_t BGl_z62lambda2419z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5273, obj_t BgL_oz00_5274, obj_t BgL_vz00_5275)
{
{ /* Llib/block_ciphers.scm 104 */
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_5274)))->BgL_noncez00)=((obj_t)BgL_vz00_5275),BUNSPEC);} 

}



/* &lambda2418 */
obj_t BGl_z62lambda2418z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5276, obj_t BgL_oz00_5277)
{
{ /* Llib/block_ciphers.scm 104 */
return 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_5277)))->BgL_noncez00);} 

}



/* &<@anonymous:2399> */
obj_t BGl_z62zc3z04anonymousza32399ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5278, obj_t BgL_new1128z00_5279)
{
{ /* Llib/block_ciphers.scm 102 */
{ 
BgL_ofbz00_bglt BgL_auxz00_10795;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_new1128z00_5279))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_new1128z00_5279))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_new1128z00_5279))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_new1128z00_5279)))->BgL_chainz00)=((obj_t)BGl_string3892z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10795 = 
((BgL_ofbz00_bglt)BgL_new1128z00_5279); 
return 
((obj_t)BgL_auxz00_10795);} } 

}



/* &lambda2397 */
BgL_ofbz00_bglt BGl_z62lambda2397z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5280)
{
{ /* Llib/block_ciphers.scm 102 */
{ /* Llib/block_ciphers.scm 102 */
BgL_ofbz00_bglt BgL_new1127z00_6279;
BgL_new1127z00_6279 = 
((BgL_ofbz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ofbz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 102 */
long BgL_arg2398z00_6280;
{ /* Llib/block_ciphers.scm 102 */
long BgL_res3039z00_6281;
BgL_res3039z00_6281 = 
BGL_CLASS_INDEX(BGl_OFBz00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2398z00_6280 = BgL_res3039z00_6281; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_6279), BgL_arg2398z00_6280); } 
{ /* Llib/block_ciphers.scm 102 */
BgL_objectz00_bglt BgL_tmpz00_10813;
BgL_tmpz00_10813 = 
((BgL_objectz00_bglt)BgL_new1127z00_6279); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10813, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1127z00_6279); 
return BgL_new1127z00_6279;} } 

}



/* &lambda2395 */
BgL_ofbz00_bglt BGl_z62lambda2395z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5281, obj_t BgL_blockzd2siza7e1123z75_5282, obj_t BgL_cipher1124z00_5283, obj_t BgL_param1125z00_5284, obj_t BgL_chain1126z00_5285)
{
{ /* Llib/block_ciphers.scm 102 */
{ /* Llib/block_ciphers.scm 102 */
long BgL_blockzd2siza7e1123z75_6282;
BgL_blockzd2siza7e1123z75_6282 = 
(long)CINT(BgL_blockzd2siza7e1123z75_5282); 
{ /* Llib/block_ciphers.scm 102 */
BgL_ofbz00_bglt BgL_new1261z00_6285;
{ /* Llib/block_ciphers.scm 102 */
BgL_ofbz00_bglt BgL_new1260z00_6286;
BgL_new1260z00_6286 = 
((BgL_ofbz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ofbz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 102 */
long BgL_arg2396z00_6287;
{ /* Llib/block_ciphers.scm 102 */
long BgL_res3038z00_6288;
BgL_res3038z00_6288 = 
BGL_CLASS_INDEX(BGl_OFBz00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2396z00_6287 = BgL_res3038z00_6288; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1260z00_6286), BgL_arg2396z00_6287); } 
{ /* Llib/block_ciphers.scm 102 */
BgL_objectz00_bglt BgL_tmpz00_10822;
BgL_tmpz00_10822 = 
((BgL_objectz00_bglt)BgL_new1260z00_6286); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10822, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1260z00_6286); 
BgL_new1261z00_6285 = BgL_new1260z00_6286; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1261z00_6285)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1123z75_6282),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1261z00_6285)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1124z00_5283)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1261z00_6285)))->BgL_paramz00)=((obj_t)BgL_param1125z00_5284),BUNSPEC); 
((((BgL_ofbz00_bglt)COBJECT(BgL_new1261z00_6285))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1126z00_5285)),BUNSPEC); 
return BgL_new1261z00_6285;} } } 

}



/* &lambda2404 */
obj_t BGl_z62lambda2404z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5286, obj_t BgL_oz00_5287, obj_t BgL_vz00_5288)
{
{ /* Llib/block_ciphers.scm 102 */
return 
((((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_oz00_5287)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_5288)),BUNSPEC);} 

}



/* &lambda2403 */
obj_t BGl_z62lambda2403z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5289, obj_t BgL_oz00_5290)
{
{ /* Llib/block_ciphers.scm 102 */
return 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_oz00_5290)))->BgL_chainz00);} 

}



/* &<@anonymous:2379> */
obj_t BGl_z62zc3z04anonymousza32379ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5291, obj_t BgL_new1121z00_5292)
{
{ /* Llib/block_ciphers.scm 99 */
{ 
BgL_cfbzd2decryptzd2_bglt BgL_auxz00_10840;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_new1121z00_5292))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_new1121z00_5292))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_new1121z00_5292))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_new1121z00_5292)))->BgL_bufferz00)=((obj_t)BGl_string3892z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_new1121z00_5292)))->BgL_chainz00)=((obj_t)BGl_string3892z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10840 = 
((BgL_cfbzd2decryptzd2_bglt)BgL_new1121z00_5292); 
return 
((obj_t)BgL_auxz00_10840);} } 

}



/* &lambda2377 */
BgL_cfbzd2decryptzd2_bglt BGl_z62lambda2377z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5293)
{
{ /* Llib/block_ciphers.scm 99 */
{ /* Llib/block_ciphers.scm 99 */
BgL_cfbzd2decryptzd2_bglt BgL_new1120z00_6293;
BgL_new1120z00_6293 = 
((BgL_cfbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 99 */
long BgL_arg2378z00_6294;
{ /* Llib/block_ciphers.scm 99 */
long BgL_res3037z00_6295;
BgL_res3037z00_6295 = 
BGL_CLASS_INDEX(BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2378z00_6294 = BgL_res3037z00_6295; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_6293), BgL_arg2378z00_6294); } 
{ /* Llib/block_ciphers.scm 99 */
BgL_objectz00_bglt BgL_tmpz00_10860;
BgL_tmpz00_10860 = 
((BgL_objectz00_bglt)BgL_new1120z00_6293); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10860, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1120z00_6293); 
return BgL_new1120z00_6293;} } 

}



/* &lambda2375 */
BgL_cfbzd2decryptzd2_bglt BGl_z62lambda2375z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5294, obj_t BgL_blockzd2siza7e1115z75_5295, obj_t BgL_cipher1116z00_5296, obj_t BgL_param1117z00_5297, obj_t BgL_buffer1118z00_5298, obj_t BgL_chain1119z00_5299)
{
{ /* Llib/block_ciphers.scm 99 */
{ /* Llib/block_ciphers.scm 99 */
long BgL_blockzd2siza7e1115z75_6296;
BgL_blockzd2siza7e1115z75_6296 = 
(long)CINT(BgL_blockzd2siza7e1115z75_5295); 
{ /* Llib/block_ciphers.scm 99 */
BgL_cfbzd2decryptzd2_bglt BgL_new1259z00_6300;
{ /* Llib/block_ciphers.scm 99 */
BgL_cfbzd2decryptzd2_bglt BgL_new1258z00_6301;
BgL_new1258z00_6301 = 
((BgL_cfbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 99 */
long BgL_arg2376z00_6302;
{ /* Llib/block_ciphers.scm 99 */
long BgL_res3036z00_6303;
BgL_res3036z00_6303 = 
BGL_CLASS_INDEX(BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2376z00_6302 = BgL_res3036z00_6303; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1258z00_6301), BgL_arg2376z00_6302); } 
{ /* Llib/block_ciphers.scm 99 */
BgL_objectz00_bglt BgL_tmpz00_10869;
BgL_tmpz00_10869 = 
((BgL_objectz00_bglt)BgL_new1258z00_6301); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10869, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1258z00_6301); 
BgL_new1259z00_6300 = BgL_new1258z00_6301; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1259z00_6300)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1115z75_6296),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1259z00_6300)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1116z00_5296)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1259z00_6300)))->BgL_paramz00)=((obj_t)BgL_param1117z00_5297),BUNSPEC); 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(BgL_new1259z00_6300))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1118z00_5298)),BUNSPEC); 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(BgL_new1259z00_6300))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1119z00_5299)),BUNSPEC); 
return BgL_new1259z00_6300;} } } 

}



/* &lambda2389 */
obj_t BGl_z62lambda2389z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5300, obj_t BgL_oz00_5301, obj_t BgL_vz00_5302)
{
{ /* Llib/block_ciphers.scm 99 */
return 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_oz00_5301)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_5302)),BUNSPEC);} 

}



/* &lambda2388 */
obj_t BGl_z62lambda2388z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5303, obj_t BgL_oz00_5304)
{
{ /* Llib/block_ciphers.scm 99 */
return 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_oz00_5304)))->BgL_chainz00);} 

}



/* &lambda2384 */
obj_t BGl_z62lambda2384z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5305, obj_t BgL_oz00_5306, obj_t BgL_vz00_5307)
{
{ /* Llib/block_ciphers.scm 99 */
return 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_oz00_5306)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_5307)),BUNSPEC);} 

}



/* &lambda2383 */
obj_t BGl_z62lambda2383z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5308, obj_t BgL_oz00_5309)
{
{ /* Llib/block_ciphers.scm 99 */
return 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_oz00_5309)))->BgL_bufferz00);} 

}



/* &<@anonymous:2364> */
obj_t BGl_z62zc3z04anonymousza32364ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5310, obj_t BgL_new1113z00_5311)
{
{ /* Llib/block_ciphers.scm 97 */
{ 
BgL_cfbzd2encryptzd2_bglt BgL_auxz00_10894;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_new1113z00_5311))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_new1113z00_5311))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_new1113z00_5311))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_new1113z00_5311)))->BgL_chainz00)=((obj_t)BGl_string3892z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10894 = 
((BgL_cfbzd2encryptzd2_bglt)BgL_new1113z00_5311); 
return 
((obj_t)BgL_auxz00_10894);} } 

}



/* &lambda2362 */
BgL_cfbzd2encryptzd2_bglt BGl_z62lambda2362z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5312)
{
{ /* Llib/block_ciphers.scm 97 */
{ /* Llib/block_ciphers.scm 97 */
BgL_cfbzd2encryptzd2_bglt BgL_new1112z00_6311;
BgL_new1112z00_6311 = 
((BgL_cfbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 97 */
long BgL_arg2363z00_6312;
{ /* Llib/block_ciphers.scm 97 */
long BgL_res3035z00_6313;
BgL_res3035z00_6313 = 
BGL_CLASS_INDEX(BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2363z00_6312 = BgL_res3035z00_6313; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1112z00_6311), BgL_arg2363z00_6312); } 
{ /* Llib/block_ciphers.scm 97 */
BgL_objectz00_bglt BgL_tmpz00_10912;
BgL_tmpz00_10912 = 
((BgL_objectz00_bglt)BgL_new1112z00_6311); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10912, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1112z00_6311); 
return BgL_new1112z00_6311;} } 

}



/* &lambda2360 */
BgL_cfbzd2encryptzd2_bglt BGl_z62lambda2360z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5313, obj_t BgL_blockzd2siza7e1108z75_5314, obj_t BgL_cipher1109z00_5315, obj_t BgL_param1110z00_5316, obj_t BgL_chain1111z00_5317)
{
{ /* Llib/block_ciphers.scm 97 */
{ /* Llib/block_ciphers.scm 97 */
long BgL_blockzd2siza7e1108z75_6314;
BgL_blockzd2siza7e1108z75_6314 = 
(long)CINT(BgL_blockzd2siza7e1108z75_5314); 
{ /* Llib/block_ciphers.scm 97 */
BgL_cfbzd2encryptzd2_bglt BgL_new1257z00_6317;
{ /* Llib/block_ciphers.scm 97 */
BgL_cfbzd2encryptzd2_bglt BgL_new1256z00_6318;
BgL_new1256z00_6318 = 
((BgL_cfbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 97 */
long BgL_arg2361z00_6319;
{ /* Llib/block_ciphers.scm 97 */
long BgL_res3034z00_6320;
BgL_res3034z00_6320 = 
BGL_CLASS_INDEX(BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2361z00_6319 = BgL_res3034z00_6320; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1256z00_6318), BgL_arg2361z00_6319); } 
{ /* Llib/block_ciphers.scm 97 */
BgL_objectz00_bglt BgL_tmpz00_10921;
BgL_tmpz00_10921 = 
((BgL_objectz00_bglt)BgL_new1256z00_6318); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10921, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1256z00_6318); 
BgL_new1257z00_6317 = BgL_new1256z00_6318; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1257z00_6317)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1108z75_6314),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1257z00_6317)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1109z00_5315)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1257z00_6317)))->BgL_paramz00)=((obj_t)BgL_param1110z00_5316),BUNSPEC); 
((((BgL_cfbzd2encryptzd2_bglt)COBJECT(BgL_new1257z00_6317))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1111z00_5317)),BUNSPEC); 
return BgL_new1257z00_6317;} } } 

}



/* &lambda2369 */
obj_t BGl_z62lambda2369z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5318, obj_t BgL_oz00_5319, obj_t BgL_vz00_5320)
{
{ /* Llib/block_ciphers.scm 97 */
return 
((((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_oz00_5319)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_5320)),BUNSPEC);} 

}



/* &lambda2368 */
obj_t BGl_z62lambda2368z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5321, obj_t BgL_oz00_5322)
{
{ /* Llib/block_ciphers.scm 97 */
return 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_oz00_5322)))->BgL_chainz00);} 

}



/* &<@anonymous:2354> */
obj_t BGl_z62zc3z04anonymousza32354ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5323, obj_t BgL_new1106z00_5324)
{
{ /* Llib/block_ciphers.scm 96 */
{ 
BgL_streamzd2cipherzd2statez00_bglt BgL_auxz00_10939;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_streamzd2cipherzd2statez00_bglt)BgL_new1106z00_5324))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_streamzd2cipherzd2statez00_bglt)BgL_new1106z00_5324))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_streamzd2cipherzd2statez00_bglt)BgL_new1106z00_5324))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_10939 = 
((BgL_streamzd2cipherzd2statez00_bglt)BgL_new1106z00_5324); 
return 
((obj_t)BgL_auxz00_10939);} } 

}



/* &lambda2352 */
BgL_streamzd2cipherzd2statez00_bglt BGl_z62lambda2352z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5325)
{
{ /* Llib/block_ciphers.scm 96 */
{ /* Llib/block_ciphers.scm 96 */
BgL_streamzd2cipherzd2statez00_bglt BgL_new1105z00_6325;
BgL_new1105z00_6325 = 
((BgL_streamzd2cipherzd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_streamzd2cipherzd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 96 */
long BgL_arg2353z00_6326;
{ /* Llib/block_ciphers.scm 96 */
long BgL_res3033z00_6327;
BgL_res3033z00_6327 = 
BGL_CLASS_INDEX(BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2353z00_6326 = BgL_res3033z00_6327; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1105z00_6325), BgL_arg2353z00_6326); } 
return BgL_new1105z00_6325;} } 

}



/* &<@anonymous:2337> */
obj_t BGl_z62zc3z04anonymousza32337ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5326, obj_t BgL_new1103z00_5327)
{
{ /* Llib/block_ciphers.scm 92 */
{ 
BgL_pcbczd2decryptzd2_bglt BgL_auxz00_10955;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_new1103z00_5327))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_new1103z00_5327))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_new1103z00_5327))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_new1103z00_5327)))->BgL_bufferz00)=((obj_t)BGl_string3892z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_new1103z00_5327)))->BgL_chainz00)=((obj_t)BGl_string3892z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_10955 = 
((BgL_pcbczd2decryptzd2_bglt)BgL_new1103z00_5327); 
return 
((obj_t)BgL_auxz00_10955);} } 

}



/* &lambda2335 */
BgL_pcbczd2decryptzd2_bglt BGl_z62lambda2335z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5328)
{
{ /* Llib/block_ciphers.scm 92 */
{ /* Llib/block_ciphers.scm 92 */
BgL_pcbczd2decryptzd2_bglt BgL_new1102z00_6329;
BgL_new1102z00_6329 = 
((BgL_pcbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 92 */
long BgL_arg2336z00_6330;
{ /* Llib/block_ciphers.scm 92 */
long BgL_res3032z00_6331;
BgL_res3032z00_6331 = 
BGL_CLASS_INDEX(BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2336z00_6330 = BgL_res3032z00_6331; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1102z00_6329), BgL_arg2336z00_6330); } 
{ /* Llib/block_ciphers.scm 92 */
BgL_objectz00_bglt BgL_tmpz00_10975;
BgL_tmpz00_10975 = 
((BgL_objectz00_bglt)BgL_new1102z00_6329); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10975, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1102z00_6329); 
return BgL_new1102z00_6329;} } 

}



/* &lambda2333 */
BgL_pcbczd2decryptzd2_bglt BGl_z62lambda2333z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5329, obj_t BgL_blockzd2siza7e1097z75_5330, obj_t BgL_cipher1098z00_5331, obj_t BgL_param1099z00_5332, obj_t BgL_buffer1100z00_5333, obj_t BgL_chain1101z00_5334)
{
{ /* Llib/block_ciphers.scm 92 */
{ /* Llib/block_ciphers.scm 92 */
long BgL_blockzd2siza7e1097z75_6332;
BgL_blockzd2siza7e1097z75_6332 = 
(long)CINT(BgL_blockzd2siza7e1097z75_5330); 
{ /* Llib/block_ciphers.scm 92 */
BgL_pcbczd2decryptzd2_bglt BgL_new1255z00_6336;
{ /* Llib/block_ciphers.scm 92 */
BgL_pcbczd2decryptzd2_bglt BgL_new1254z00_6337;
BgL_new1254z00_6337 = 
((BgL_pcbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 92 */
long BgL_arg2334z00_6338;
{ /* Llib/block_ciphers.scm 92 */
long BgL_res3031z00_6339;
BgL_res3031z00_6339 = 
BGL_CLASS_INDEX(BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2334z00_6338 = BgL_res3031z00_6339; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1254z00_6337), BgL_arg2334z00_6338); } 
{ /* Llib/block_ciphers.scm 92 */
BgL_objectz00_bglt BgL_tmpz00_10984;
BgL_tmpz00_10984 = 
((BgL_objectz00_bglt)BgL_new1254z00_6337); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10984, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1254z00_6337); 
BgL_new1255z00_6336 = BgL_new1254z00_6337; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1255z00_6336)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1097z75_6332),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1255z00_6336)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1098z00_5331)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1255z00_6336)))->BgL_paramz00)=((obj_t)BgL_param1099z00_5332),BUNSPEC); 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(BgL_new1255z00_6336))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1100z00_5333)),BUNSPEC); 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(BgL_new1255z00_6336))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1101z00_5334)),BUNSPEC); 
return BgL_new1255z00_6336;} } } 

}



/* &lambda2347 */
obj_t BGl_z62lambda2347z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5335, obj_t BgL_oz00_5336, obj_t BgL_vz00_5337)
{
{ /* Llib/block_ciphers.scm 92 */
return 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_oz00_5336)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_5337)),BUNSPEC);} 

}



/* &lambda2346 */
obj_t BGl_z62lambda2346z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5338, obj_t BgL_oz00_5339)
{
{ /* Llib/block_ciphers.scm 92 */
return 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_oz00_5339)))->BgL_chainz00);} 

}



/* &lambda2342 */
obj_t BGl_z62lambda2342z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5340, obj_t BgL_oz00_5341, obj_t BgL_vz00_5342)
{
{ /* Llib/block_ciphers.scm 92 */
return 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_oz00_5341)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_5342)),BUNSPEC);} 

}



/* &lambda2341 */
obj_t BGl_z62lambda2341z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5343, obj_t BgL_oz00_5344)
{
{ /* Llib/block_ciphers.scm 92 */
return 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_oz00_5344)))->BgL_bufferz00);} 

}



/* &<@anonymous:2317> */
obj_t BGl_z62zc3z04anonymousza32317ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5345, obj_t BgL_new1095z00_5346)
{
{ /* Llib/block_ciphers.scm 89 */
{ 
BgL_pcbczd2encryptzd2_bglt BgL_auxz00_11009;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_new1095z00_5346))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_new1095z00_5346))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_new1095z00_5346))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_new1095z00_5346)))->BgL_bufferz00)=((obj_t)BGl_string3892z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_new1095z00_5346)))->BgL_chainz00)=((obj_t)BGl_string3892z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_11009 = 
((BgL_pcbczd2encryptzd2_bglt)BgL_new1095z00_5346); 
return 
((obj_t)BgL_auxz00_11009);} } 

}



/* &lambda2315 */
BgL_pcbczd2encryptzd2_bglt BGl_z62lambda2315z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5347)
{
{ /* Llib/block_ciphers.scm 89 */
{ /* Llib/block_ciphers.scm 89 */
BgL_pcbczd2encryptzd2_bglt BgL_new1094z00_6347;
BgL_new1094z00_6347 = 
((BgL_pcbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 89 */
long BgL_arg2316z00_6348;
{ /* Llib/block_ciphers.scm 89 */
long BgL_res3030z00_6349;
BgL_res3030z00_6349 = 
BGL_CLASS_INDEX(BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2316z00_6348 = BgL_res3030z00_6349; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1094z00_6347), BgL_arg2316z00_6348); } 
{ /* Llib/block_ciphers.scm 89 */
BgL_objectz00_bglt BgL_tmpz00_11029;
BgL_tmpz00_11029 = 
((BgL_objectz00_bglt)BgL_new1094z00_6347); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11029, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1094z00_6347); 
return BgL_new1094z00_6347;} } 

}



/* &lambda2313 */
BgL_pcbczd2encryptzd2_bglt BGl_z62lambda2313z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5348, obj_t BgL_blockzd2siza7e1089z75_5349, obj_t BgL_cipher1090z00_5350, obj_t BgL_param1091z00_5351, obj_t BgL_buffer1092z00_5352, obj_t BgL_chain1093z00_5353)
{
{ /* Llib/block_ciphers.scm 89 */
{ /* Llib/block_ciphers.scm 89 */
long BgL_blockzd2siza7e1089z75_6350;
BgL_blockzd2siza7e1089z75_6350 = 
(long)CINT(BgL_blockzd2siza7e1089z75_5349); 
{ /* Llib/block_ciphers.scm 89 */
BgL_pcbczd2encryptzd2_bglt BgL_new1253z00_6354;
{ /* Llib/block_ciphers.scm 89 */
BgL_pcbczd2encryptzd2_bglt BgL_new1252z00_6355;
BgL_new1252z00_6355 = 
((BgL_pcbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 89 */
long BgL_arg2314z00_6356;
{ /* Llib/block_ciphers.scm 89 */
long BgL_res3029z00_6357;
BgL_res3029z00_6357 = 
BGL_CLASS_INDEX(BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2314z00_6356 = BgL_res3029z00_6357; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1252z00_6355), BgL_arg2314z00_6356); } 
{ /* Llib/block_ciphers.scm 89 */
BgL_objectz00_bglt BgL_tmpz00_11038;
BgL_tmpz00_11038 = 
((BgL_objectz00_bglt)BgL_new1252z00_6355); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11038, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1252z00_6355); 
BgL_new1253z00_6354 = BgL_new1252z00_6355; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1253z00_6354)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1089z75_6350),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1253z00_6354)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1090z00_5350)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1253z00_6354)))->BgL_paramz00)=((obj_t)BgL_param1091z00_5351),BUNSPEC); 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(BgL_new1253z00_6354))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1092z00_5352)),BUNSPEC); 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(BgL_new1253z00_6354))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1093z00_5353)),BUNSPEC); 
return BgL_new1253z00_6354;} } } 

}



/* &lambda2327 */
obj_t BGl_z62lambda2327z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5354, obj_t BgL_oz00_5355, obj_t BgL_vz00_5356)
{
{ /* Llib/block_ciphers.scm 89 */
return 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_oz00_5355)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_5356)),BUNSPEC);} 

}



/* &lambda2326 */
obj_t BGl_z62lambda2326z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5357, obj_t BgL_oz00_5358)
{
{ /* Llib/block_ciphers.scm 89 */
return 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_oz00_5358)))->BgL_chainz00);} 

}



/* &lambda2322 */
obj_t BGl_z62lambda2322z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5359, obj_t BgL_oz00_5360, obj_t BgL_vz00_5361)
{
{ /* Llib/block_ciphers.scm 89 */
return 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_oz00_5360)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_5361)),BUNSPEC);} 

}



/* &lambda2321 */
obj_t BGl_z62lambda2321z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5362, obj_t BgL_oz00_5363)
{
{ /* Llib/block_ciphers.scm 89 */
return 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_oz00_5363)))->BgL_bufferz00);} 

}



/* &<@anonymous:2297> */
obj_t BGl_z62zc3z04anonymousza32297ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5364, obj_t BgL_new1087z00_5365)
{
{ /* Llib/block_ciphers.scm 86 */
{ 
BgL_cbczd2decryptzd2_bglt BgL_auxz00_11063;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_new1087z00_5365))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_new1087z00_5365))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_new1087z00_5365))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_new1087z00_5365)))->BgL_bufferz00)=((obj_t)BGl_string3892z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_new1087z00_5365)))->BgL_chainz00)=((obj_t)BGl_string3892z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_11063 = 
((BgL_cbczd2decryptzd2_bglt)BgL_new1087z00_5365); 
return 
((obj_t)BgL_auxz00_11063);} } 

}



/* &lambda2295 */
BgL_cbczd2decryptzd2_bglt BGl_z62lambda2295z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5366)
{
{ /* Llib/block_ciphers.scm 86 */
{ /* Llib/block_ciphers.scm 86 */
BgL_cbczd2decryptzd2_bglt BgL_new1086z00_6365;
BgL_new1086z00_6365 = 
((BgL_cbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 86 */
long BgL_arg2296z00_6366;
{ /* Llib/block_ciphers.scm 86 */
long BgL_res3028z00_6367;
BgL_res3028z00_6367 = 
BGL_CLASS_INDEX(BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2296z00_6366 = BgL_res3028z00_6367; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1086z00_6365), BgL_arg2296z00_6366); } 
{ /* Llib/block_ciphers.scm 86 */
BgL_objectz00_bglt BgL_tmpz00_11083;
BgL_tmpz00_11083 = 
((BgL_objectz00_bglt)BgL_new1086z00_6365); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11083, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1086z00_6365); 
return BgL_new1086z00_6365;} } 

}



/* &lambda2293 */
BgL_cbczd2decryptzd2_bglt BGl_z62lambda2293z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5367, obj_t BgL_blockzd2siza7e1081z75_5368, obj_t BgL_cipher1082z00_5369, obj_t BgL_param1083z00_5370, obj_t BgL_buffer1084z00_5371, obj_t BgL_chain1085z00_5372)
{
{ /* Llib/block_ciphers.scm 86 */
{ /* Llib/block_ciphers.scm 86 */
long BgL_blockzd2siza7e1081z75_6368;
BgL_blockzd2siza7e1081z75_6368 = 
(long)CINT(BgL_blockzd2siza7e1081z75_5368); 
{ /* Llib/block_ciphers.scm 86 */
BgL_cbczd2decryptzd2_bglt BgL_new1251z00_6372;
{ /* Llib/block_ciphers.scm 86 */
BgL_cbczd2decryptzd2_bglt BgL_new1250z00_6373;
BgL_new1250z00_6373 = 
((BgL_cbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 86 */
long BgL_arg2294z00_6374;
{ /* Llib/block_ciphers.scm 86 */
long BgL_res3027z00_6375;
BgL_res3027z00_6375 = 
BGL_CLASS_INDEX(BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2294z00_6374 = BgL_res3027z00_6375; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1250z00_6373), BgL_arg2294z00_6374); } 
{ /* Llib/block_ciphers.scm 86 */
BgL_objectz00_bglt BgL_tmpz00_11092;
BgL_tmpz00_11092 = 
((BgL_objectz00_bglt)BgL_new1250z00_6373); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11092, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1250z00_6373); 
BgL_new1251z00_6372 = BgL_new1250z00_6373; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1251z00_6372)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1081z75_6368),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1251z00_6372)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1082z00_5369)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1251z00_6372)))->BgL_paramz00)=((obj_t)BgL_param1083z00_5370),BUNSPEC); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(BgL_new1251z00_6372))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1084z00_5371)),BUNSPEC); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(BgL_new1251z00_6372))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1085z00_5372)),BUNSPEC); 
return BgL_new1251z00_6372;} } } 

}



/* &lambda2307 */
obj_t BGl_z62lambda2307z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5373, obj_t BgL_oz00_5374, obj_t BgL_vz00_5375)
{
{ /* Llib/block_ciphers.scm 86 */
return 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_oz00_5374)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_5375)),BUNSPEC);} 

}



/* &lambda2306 */
obj_t BGl_z62lambda2306z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5376, obj_t BgL_oz00_5377)
{
{ /* Llib/block_ciphers.scm 86 */
return 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_oz00_5377)))->BgL_chainz00);} 

}



/* &lambda2302 */
obj_t BGl_z62lambda2302z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5378, obj_t BgL_oz00_5379, obj_t BgL_vz00_5380)
{
{ /* Llib/block_ciphers.scm 86 */
return 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_oz00_5379)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_5380)),BUNSPEC);} 

}



/* &lambda2301 */
obj_t BGl_z62lambda2301z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5381, obj_t BgL_oz00_5382)
{
{ /* Llib/block_ciphers.scm 86 */
return 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_oz00_5382)))->BgL_bufferz00);} 

}



/* &<@anonymous:2277> */
obj_t BGl_z62zc3z04anonymousza32277ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5383, obj_t BgL_new1079z00_5384)
{
{ /* Llib/block_ciphers.scm 83 */
{ 
BgL_cbczd2encryptzd2_bglt BgL_auxz00_11117;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_new1079z00_5384))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_new1079z00_5384))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_new1079z00_5384))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_new1079z00_5384)))->BgL_bufferz00)=((obj_t)BGl_string3892z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_new1079z00_5384)))->BgL_chainz00)=((obj_t)BGl_string3892z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_11117 = 
((BgL_cbczd2encryptzd2_bglt)BgL_new1079z00_5384); 
return 
((obj_t)BgL_auxz00_11117);} } 

}



/* &lambda2275 */
BgL_cbczd2encryptzd2_bglt BGl_z62lambda2275z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5385)
{
{ /* Llib/block_ciphers.scm 83 */
{ /* Llib/block_ciphers.scm 83 */
BgL_cbczd2encryptzd2_bglt BgL_new1078z00_6383;
BgL_new1078z00_6383 = 
((BgL_cbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 83 */
long BgL_arg2276z00_6384;
{ /* Llib/block_ciphers.scm 83 */
long BgL_res3026z00_6385;
BgL_res3026z00_6385 = 
BGL_CLASS_INDEX(BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2276z00_6384 = BgL_res3026z00_6385; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_6383), BgL_arg2276z00_6384); } 
{ /* Llib/block_ciphers.scm 83 */
BgL_objectz00_bglt BgL_tmpz00_11137;
BgL_tmpz00_11137 = 
((BgL_objectz00_bglt)BgL_new1078z00_6383); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11137, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1078z00_6383); 
return BgL_new1078z00_6383;} } 

}



/* &lambda2273 */
BgL_cbczd2encryptzd2_bglt BGl_z62lambda2273z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5386, obj_t BgL_blockzd2siza7e1073z75_5387, obj_t BgL_cipher1074z00_5388, obj_t BgL_param1075z00_5389, obj_t BgL_buffer1076z00_5390, obj_t BgL_chain1077z00_5391)
{
{ /* Llib/block_ciphers.scm 83 */
{ /* Llib/block_ciphers.scm 83 */
long BgL_blockzd2siza7e1073z75_6386;
BgL_blockzd2siza7e1073z75_6386 = 
(long)CINT(BgL_blockzd2siza7e1073z75_5387); 
{ /* Llib/block_ciphers.scm 83 */
BgL_cbczd2encryptzd2_bglt BgL_new1249z00_6390;
{ /* Llib/block_ciphers.scm 83 */
BgL_cbczd2encryptzd2_bglt BgL_new1248z00_6391;
BgL_new1248z00_6391 = 
((BgL_cbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 83 */
long BgL_arg2274z00_6392;
{ /* Llib/block_ciphers.scm 83 */
long BgL_res3025z00_6393;
BgL_res3025z00_6393 = 
BGL_CLASS_INDEX(BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2274z00_6392 = BgL_res3025z00_6393; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1248z00_6391), BgL_arg2274z00_6392); } 
{ /* Llib/block_ciphers.scm 83 */
BgL_objectz00_bglt BgL_tmpz00_11146;
BgL_tmpz00_11146 = 
((BgL_objectz00_bglt)BgL_new1248z00_6391); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11146, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1248z00_6391); 
BgL_new1249z00_6390 = BgL_new1248z00_6391; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1249z00_6390)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1073z75_6386),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1249z00_6390)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1074z00_5388)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1249z00_6390)))->BgL_paramz00)=((obj_t)BgL_param1075z00_5389),BUNSPEC); 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(BgL_new1249z00_6390))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1076z00_5390)),BUNSPEC); 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(BgL_new1249z00_6390))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1077z00_5391)),BUNSPEC); 
return BgL_new1249z00_6390;} } } 

}



/* &lambda2287 */
obj_t BGl_z62lambda2287z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5392, obj_t BgL_oz00_5393, obj_t BgL_vz00_5394)
{
{ /* Llib/block_ciphers.scm 83 */
return 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_oz00_5393)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_5394)),BUNSPEC);} 

}



/* &lambda2286 */
obj_t BGl_z62lambda2286z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5395, obj_t BgL_oz00_5396)
{
{ /* Llib/block_ciphers.scm 83 */
return 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_oz00_5396)))->BgL_chainz00);} 

}



/* &lambda2282 */
obj_t BGl_z62lambda2282z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5397, obj_t BgL_oz00_5398, obj_t BgL_vz00_5399)
{
{ /* Llib/block_ciphers.scm 83 */
return 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_oz00_5398)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_5399)),BUNSPEC);} 

}



/* &lambda2281 */
obj_t BGl_z62lambda2281z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5400, obj_t BgL_oz00_5401)
{
{ /* Llib/block_ciphers.scm 83 */
return 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_oz00_5401)))->BgL_bufferz00);} 

}



/* &<@anonymous:2267> */
obj_t BGl_z62zc3z04anonymousza32267ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5402, obj_t BgL_new1071z00_5403)
{
{ /* Llib/block_ciphers.scm 82 */
{ 
BgL_ecbzd2decryptzd2_bglt BgL_auxz00_11171;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_new1071z00_5403))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_new1071z00_5403))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_new1071z00_5403))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_11171 = 
((BgL_ecbzd2decryptzd2_bglt)BgL_new1071z00_5403); 
return 
((obj_t)BgL_auxz00_11171);} } 

}



/* &lambda2265 */
BgL_ecbzd2decryptzd2_bglt BGl_z62lambda2265z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5404)
{
{ /* Llib/block_ciphers.scm 82 */
{ /* Llib/block_ciphers.scm 82 */
BgL_ecbzd2decryptzd2_bglt BgL_new1070z00_6401;
BgL_new1070z00_6401 = 
((BgL_ecbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 82 */
long BgL_arg2266z00_6402;
{ /* Llib/block_ciphers.scm 82 */
long BgL_res3024z00_6403;
BgL_res3024z00_6403 = 
BGL_CLASS_INDEX(BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2266z00_6402 = BgL_res3024z00_6403; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1070z00_6401), BgL_arg2266z00_6402); } 
{ /* Llib/block_ciphers.scm 82 */
BgL_objectz00_bglt BgL_tmpz00_11187;
BgL_tmpz00_11187 = 
((BgL_objectz00_bglt)BgL_new1070z00_6401); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11187, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1070z00_6401); 
return BgL_new1070z00_6401;} } 

}



/* &lambda2263 */
BgL_ecbzd2decryptzd2_bglt BGl_z62lambda2263z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5405, obj_t BgL_blockzd2siza7e1067z75_5406, obj_t BgL_cipher1068z00_5407, obj_t BgL_param1069z00_5408)
{
{ /* Llib/block_ciphers.scm 82 */
{ /* Llib/block_ciphers.scm 82 */
long BgL_blockzd2siza7e1067z75_6404;
BgL_blockzd2siza7e1067z75_6404 = 
(long)CINT(BgL_blockzd2siza7e1067z75_5406); 
{ /* Llib/block_ciphers.scm 82 */
BgL_ecbzd2decryptzd2_bglt BgL_new1247z00_6406;
{ /* Llib/block_ciphers.scm 82 */
BgL_ecbzd2decryptzd2_bglt BgL_new1246z00_6407;
BgL_new1246z00_6407 = 
((BgL_ecbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 82 */
long BgL_arg2264z00_6408;
{ /* Llib/block_ciphers.scm 82 */
long BgL_res3023z00_6409;
BgL_res3023z00_6409 = 
BGL_CLASS_INDEX(BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2264z00_6408 = BgL_res3023z00_6409; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1246z00_6407), BgL_arg2264z00_6408); } 
{ /* Llib/block_ciphers.scm 82 */
BgL_objectz00_bglt BgL_tmpz00_11196;
BgL_tmpz00_11196 = 
((BgL_objectz00_bglt)BgL_new1246z00_6407); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11196, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1246z00_6407); 
BgL_new1247z00_6406 = BgL_new1246z00_6407; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1247z00_6406)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1067z75_6404),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1247z00_6406)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1068z00_5407)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1247z00_6406)))->BgL_paramz00)=((obj_t)BgL_param1069z00_5408),BUNSPEC); 
return BgL_new1247z00_6406;} } } 

}



/* &<@anonymous:2257> */
obj_t BGl_z62zc3z04anonymousza32257ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5409, obj_t BgL_new1065z00_5410)
{
{ /* Llib/block_ciphers.scm 81 */
{ 
BgL_ecbzd2encryptzd2_bglt BgL_auxz00_11207;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_new1065z00_5410))))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_new1065z00_5410))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_new1065z00_5410))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_11207 = 
((BgL_ecbzd2encryptzd2_bglt)BgL_new1065z00_5410); 
return 
((obj_t)BgL_auxz00_11207);} } 

}



/* &lambda2255 */
BgL_ecbzd2encryptzd2_bglt BGl_z62lambda2255z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5411)
{
{ /* Llib/block_ciphers.scm 81 */
{ /* Llib/block_ciphers.scm 81 */
BgL_ecbzd2encryptzd2_bglt BgL_new1064z00_6411;
BgL_new1064z00_6411 = 
((BgL_ecbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 81 */
long BgL_arg2256z00_6412;
{ /* Llib/block_ciphers.scm 81 */
long BgL_res3022z00_6413;
BgL_res3022z00_6413 = 
BGL_CLASS_INDEX(BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2256z00_6412 = BgL_res3022z00_6413; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1064z00_6411), BgL_arg2256z00_6412); } 
{ /* Llib/block_ciphers.scm 81 */
BgL_objectz00_bglt BgL_tmpz00_11223;
BgL_tmpz00_11223 = 
((BgL_objectz00_bglt)BgL_new1064z00_6411); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11223, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1064z00_6411); 
return BgL_new1064z00_6411;} } 

}



/* &lambda2253 */
BgL_ecbzd2encryptzd2_bglt BGl_z62lambda2253z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5412, obj_t BgL_blockzd2siza7e1061z75_5413, obj_t BgL_cipher1062z00_5414, obj_t BgL_param1063z00_5415)
{
{ /* Llib/block_ciphers.scm 81 */
{ /* Llib/block_ciphers.scm 81 */
long BgL_blockzd2siza7e1061z75_6414;
BgL_blockzd2siza7e1061z75_6414 = 
(long)CINT(BgL_blockzd2siza7e1061z75_5413); 
{ /* Llib/block_ciphers.scm 81 */
BgL_ecbzd2encryptzd2_bglt BgL_new1245z00_6416;
{ /* Llib/block_ciphers.scm 81 */
BgL_ecbzd2encryptzd2_bglt BgL_new1244z00_6417;
BgL_new1244z00_6417 = 
((BgL_ecbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 81 */
long BgL_arg2254z00_6418;
{ /* Llib/block_ciphers.scm 81 */
long BgL_res3021z00_6419;
BgL_res3021z00_6419 = 
BGL_CLASS_INDEX(BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2254z00_6418 = BgL_res3021z00_6419; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1244z00_6417), BgL_arg2254z00_6418); } 
{ /* Llib/block_ciphers.scm 81 */
BgL_objectz00_bglt BgL_tmpz00_11232;
BgL_tmpz00_11232 = 
((BgL_objectz00_bglt)BgL_new1244z00_6417); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11232, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1244z00_6417); 
BgL_new1245z00_6416 = BgL_new1244z00_6417; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1245z00_6416)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1061z75_6414),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1245z00_6416)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1062z00_5414)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1245z00_6416)))->BgL_paramz00)=((obj_t)BgL_param1063z00_5415),BUNSPEC); 
return BgL_new1245z00_6416;} } } 

}



/* &<@anonymous:2232> */
obj_t BGl_z62zc3z04anonymousza32232ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5416, obj_t BgL_new1059z00_5417)
{
{ /* Llib/block_ciphers.scm 77 */
{ 
BgL_cipherzd2statezd2_bglt BgL_auxz00_11243;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1059z00_5417)))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1059z00_5417)))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1059z00_5417)))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_11243 = 
((BgL_cipherzd2statezd2_bglt)BgL_new1059z00_5417); 
return 
((obj_t)BgL_auxz00_11243);} } 

}



/* &lambda2230 */
BgL_cipherzd2statezd2_bglt BGl_z62lambda2230z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5418)
{
{ /* Llib/block_ciphers.scm 77 */
{ /* Llib/block_ciphers.scm 77 */
BgL_cipherzd2statezd2_bglt BgL_new1058z00_6421;
BgL_new1058z00_6421 = 
((BgL_cipherzd2statezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2statezd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 77 */
long BgL_arg2231z00_6422;
{ /* Llib/block_ciphers.scm 77 */
long BgL_res3020z00_6423;
BgL_res3020z00_6423 = 
BGL_CLASS_INDEX(BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2231z00_6422 = BgL_res3020z00_6423; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1058z00_6421), BgL_arg2231z00_6422); } 
return BgL_new1058z00_6421;} } 

}



/* &lambda2247 */
obj_t BGl_z62lambda2247z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5419, obj_t BgL_oz00_5420, obj_t BgL_vz00_5421)
{
{ /* Llib/block_ciphers.scm 77 */
return 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_5420)))->BgL_paramz00)=((obj_t)BgL_vz00_5421),BUNSPEC);} 

}



/* &lambda2246 */
obj_t BGl_z62lambda2246z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5422, obj_t BgL_oz00_5423)
{
{ /* Llib/block_ciphers.scm 77 */
return 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_5423)))->BgL_paramz00);} 

}



/* &lambda2242 */
obj_t BGl_z62lambda2242z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5424, obj_t BgL_oz00_5425, obj_t BgL_vz00_5426)
{
{ /* Llib/block_ciphers.scm 77 */
return 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_5425)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_vz00_5426)),BUNSPEC);} 

}



/* &lambda2241 */
obj_t BGl_z62lambda2241z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5427, obj_t BgL_oz00_5428)
{
{ /* Llib/block_ciphers.scm 77 */
return 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_5428)))->BgL_cipherz00);} 

}



/* &lambda2237 */
obj_t BGl_z62lambda2237z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5429, obj_t BgL_oz00_5430, obj_t BgL_vz00_5431)
{
{ /* Llib/block_ciphers.scm 77 */
{ /* Llib/block_ciphers.scm 77 */
long BgL_vz00_6430;
BgL_vz00_6430 = 
(long)CINT(BgL_vz00_5431); 
return 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_5430)))->BgL_blockzd2siza7ez75)=((long)BgL_vz00_6430),BUNSPEC);} } 

}



/* &lambda2236 */
obj_t BGl_z62lambda2236z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5432, obj_t BgL_oz00_5433)
{
{ /* Llib/block_ciphers.scm 77 */
return 
BINT(
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_5433)))->BgL_blockzd2siza7ez75));} 

}



/* &<@anonymous:2190> */
obj_t BGl_z62zc3z04anonymousza32190ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5434, obj_t BgL_new1056z00_5435)
{
{ /* Llib/block_ciphers.scm 6 */
{ 
BgL_blockzd2cipherzd2_bglt BgL_auxz00_11271;
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1056z00_5435)))->BgL_namez00)=((obj_t)BGl_string3892z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1056z00_5435)))->BgL_blockzd2siza7ez75)=((long)((long)0)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1056z00_5435)))->BgL_preferredzd2keyzd2lengthz00)=((long)((long)0)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1056z00_5435)))->BgL_encryptz12z12)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1056z00_5435)))->BgL_decryptz12z12)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1056z00_5435)))->BgL_keyzd2ze3encryptzd2paramze3)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1056z00_5435)))->BgL_keyzd2ze3decryptzd2paramze3)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_11271 = 
((BgL_blockzd2cipherzd2_bglt)BgL_new1056z00_5435); 
return 
((obj_t)BgL_auxz00_11271);} } 

}



/* &lambda2188 */
BgL_blockzd2cipherzd2_bglt BGl_z62lambda2188z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5436)
{
{ /* Llib/block_ciphers.scm 6 */
{ /* Llib/block_ciphers.scm 6 */
BgL_blockzd2cipherzd2_bglt BgL_new1055z00_6433;
BgL_new1055z00_6433 = 
((BgL_blockzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_blockzd2cipherzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 6 */
long BgL_arg2189z00_6434;
{ /* Llib/block_ciphers.scm 6 */
long BgL_res3019z00_6435;
BgL_res3019z00_6435 = 
BGL_CLASS_INDEX(BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2189z00_6434 = BgL_res3019z00_6435; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1055z00_6433), BgL_arg2189z00_6434); } 
{ /* Llib/block_ciphers.scm 6 */
BgL_objectz00_bglt BgL_tmpz00_11292;
BgL_tmpz00_11292 = 
((BgL_objectz00_bglt)BgL_new1055z00_6433); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11292, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1055z00_6433); 
return BgL_new1055z00_6433;} } 

}



/* &lambda2186 */
BgL_blockzd2cipherzd2_bglt BGl_z62lambda2186z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5437, obj_t BgL_name1048z00_5438, obj_t BgL_blockzd2siza7e1049z75_5439, obj_t BgL_preferredzd2keyzd2length1050z00_5440, obj_t BgL_encryptz121051z12_5441, obj_t BgL_decryptz121052z12_5442, obj_t BgL_keyzd2ze3encryptzd2param1053ze3_5443, obj_t BgL_keyzd2ze3decryptzd2param1054ze3_5444)
{
{ /* Llib/block_ciphers.scm 6 */
{ /* Llib/block_ciphers.scm 6 */
long BgL_blockzd2siza7e1049z75_6437;long BgL_preferredzd2keyzd2length1050z00_6438;
BgL_blockzd2siza7e1049z75_6437 = 
(long)CINT(BgL_blockzd2siza7e1049z75_5439); 
BgL_preferredzd2keyzd2length1050z00_6438 = 
(long)CINT(BgL_preferredzd2keyzd2length1050z00_5440); 
{ /* Llib/block_ciphers.scm 6 */
BgL_blockzd2cipherzd2_bglt BgL_new1243z00_6443;
{ /* Llib/block_ciphers.scm 6 */
BgL_blockzd2cipherzd2_bglt BgL_new1242z00_6444;
BgL_new1242z00_6444 = 
((BgL_blockzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_blockzd2cipherzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 6 */
long BgL_arg2187z00_6445;
{ /* Llib/block_ciphers.scm 6 */
long BgL_res3018z00_6446;
BgL_res3018z00_6446 = 
BGL_CLASS_INDEX(BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00); 
BgL_arg2187z00_6445 = BgL_res3018z00_6446; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1242z00_6444), BgL_arg2187z00_6445); } 
{ /* Llib/block_ciphers.scm 6 */
BgL_objectz00_bglt BgL_tmpz00_11302;
BgL_tmpz00_11302 = 
((BgL_objectz00_bglt)BgL_new1242z00_6444); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11302, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1242z00_6444); 
BgL_new1243z00_6443 = BgL_new1242z00_6444; } 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1243z00_6443))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1048z00_5438)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1243z00_6443))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1049z75_6437),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1243z00_6443))->BgL_preferredzd2keyzd2lengthz00)=((long)BgL_preferredzd2keyzd2length1050z00_6438),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1243z00_6443))->BgL_encryptz12z12)=((obj_t)
((obj_t)BgL_encryptz121051z12_5441)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1243z00_6443))->BgL_decryptz12z12)=((obj_t)
((obj_t)BgL_decryptz121052z12_5442)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1243z00_6443))->BgL_keyzd2ze3encryptzd2paramze3)=((obj_t)
((obj_t)BgL_keyzd2ze3encryptzd2param1053ze3_5443)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1243z00_6443))->BgL_keyzd2ze3decryptzd2paramze3)=((obj_t)
((obj_t)BgL_keyzd2ze3decryptzd2param1054ze3_5444)),BUNSPEC); 
return BgL_new1243z00_6443;} } } 

}



/* &lambda2225 */
obj_t BGl_z62lambda2225z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5445, obj_t BgL_oz00_5446, obj_t BgL_vz00_5447)
{
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5446)))->BgL_keyzd2ze3decryptzd2paramze3)=((obj_t)
((obj_t)BgL_vz00_5447)),BUNSPEC);} 

}



/* &lambda2224 */
obj_t BGl_z62lambda2224z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5448, obj_t BgL_oz00_5449)
{
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5449)))->BgL_keyzd2ze3decryptzd2paramze3);} 

}



/* &lambda2220 */
obj_t BGl_z62lambda2220z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5450, obj_t BgL_oz00_5451, obj_t BgL_vz00_5452)
{
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5451)))->BgL_keyzd2ze3encryptzd2paramze3)=((obj_t)
((obj_t)BgL_vz00_5452)),BUNSPEC);} 

}



/* &lambda2219 */
obj_t BGl_z62lambda2219z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5453, obj_t BgL_oz00_5454)
{
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5454)))->BgL_keyzd2ze3encryptzd2paramze3);} 

}



/* &lambda2215 */
obj_t BGl_z62lambda2215z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5455, obj_t BgL_oz00_5456, obj_t BgL_vz00_5457)
{
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5456)))->BgL_decryptz12z12)=((obj_t)
((obj_t)BgL_vz00_5457)),BUNSPEC);} 

}



/* &lambda2214 */
obj_t BGl_z62lambda2214z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5458, obj_t BgL_oz00_5459)
{
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5459)))->BgL_decryptz12z12);} 

}



/* &lambda2210 */
obj_t BGl_z62lambda2210z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5460, obj_t BgL_oz00_5461, obj_t BgL_vz00_5462)
{
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5461)))->BgL_encryptz12z12)=((obj_t)
((obj_t)BgL_vz00_5462)),BUNSPEC);} 

}



/* &lambda2209 */
obj_t BGl_z62lambda2209z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5463, obj_t BgL_oz00_5464)
{
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5464)))->BgL_encryptz12z12);} 

}



/* &lambda2205 */
obj_t BGl_z62lambda2205z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5465, obj_t BgL_oz00_5466, obj_t BgL_vz00_5467)
{
{ /* Llib/block_ciphers.scm 6 */
{ /* Llib/block_ciphers.scm 6 */
long BgL_vz00_6460;
BgL_vz00_6460 = 
(long)CINT(BgL_vz00_5467); 
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5466)))->BgL_preferredzd2keyzd2lengthz00)=((long)BgL_vz00_6460),BUNSPEC);} } 

}



/* &lambda2204 */
obj_t BGl_z62lambda2204z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5468, obj_t BgL_oz00_5469)
{
{ /* Llib/block_ciphers.scm 6 */
return 
BINT(
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5469)))->BgL_preferredzd2keyzd2lengthz00));} 

}



/* &lambda2200 */
obj_t BGl_z62lambda2200z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5470, obj_t BgL_oz00_5471, obj_t BgL_vz00_5472)
{
{ /* Llib/block_ciphers.scm 6 */
{ /* Llib/block_ciphers.scm 6 */
long BgL_vz00_6463;
BgL_vz00_6463 = 
(long)CINT(BgL_vz00_5472); 
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5471)))->BgL_blockzd2siza7ez75)=((long)BgL_vz00_6463),BUNSPEC);} } 

}



/* &lambda2199 */
obj_t BGl_z62lambda2199z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5473, obj_t BgL_oz00_5474)
{
{ /* Llib/block_ciphers.scm 6 */
return 
BINT(
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5474)))->BgL_blockzd2siza7ez75));} 

}



/* &lambda2195 */
obj_t BGl_z62lambda2195z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5475, obj_t BgL_oz00_5476, obj_t BgL_vz00_5477)
{
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5476)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_5477)),BUNSPEC);} 

}



/* &lambda2194 */
obj_t BGl_z62lambda2194z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5478, obj_t BgL_oz00_5479)
{
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_5479)))->BgL_namez00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__cryptozd2blockzd2ciphersz00()
{
{ /* Llib/block_ciphers.scm 1 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_proc3893z00zz__cryptozd2blockzd2ciphersz00, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, BGl_string3894z00zz__cryptozd2blockzd2ciphersz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_proc3895z00zz__cryptozd2blockzd2ciphersz00, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, BGl_string3896z00zz__cryptozd2blockzd2ciphersz00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_proc3897z00zz__cryptozd2blockzd2ciphersz00, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, BGl_string3898z00zz__cryptozd2blockzd2ciphersz00);} 

}



/* &do-cipher-partial-bl1310 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1310zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5483, obj_t BgL_statez00_5484, obj_t BgL_fromz00_5485, obj_t BgL_fromzd2blockzd2posz00_5486, obj_t BgL_toz00_5487, obj_t BgL_tozd2blockzd2posz00_5488, obj_t BgL_atz00_5489, obj_t BgL_lenz00_5490)
{
{ /* Llib/block_ciphers.scm 212 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)90)), BGl_string3899z00zz__cryptozd2blockzd2ciphersz00, 
((obj_t)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_5484)));} 

}



/* &do-cipher-block!1308 */
obj_t BGl_z62dozd2cipherzd2blockz121308z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5491, obj_t BgL_statez00_5492, obj_t BgL_fromz00_5493, obj_t BgL_fromzd2poszd2_5494, obj_t BgL_toz00_5495, obj_t BgL_tozd2poszd2_5496)
{
{ /* Llib/block_ciphers.scm 206 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)91)), BGl_string3899z00zz__cryptozd2blockzd2ciphersz00, 
((obj_t)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_5492)));} 

}



/* &do-cipher-IV-init!1306 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz121306za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5497, obj_t BgL_statez00_5498, obj_t BgL_ivz00_5499)
{
{ /* Llib/block_ciphers.scm 202 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)92)), BGl_string3899z00zz__cryptozd2blockzd2ciphersz00, 
((obj_t)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_5498)));} 

}



/* do-cipher-IV-init! */
obj_t BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt BgL_statez00_36, obj_t BgL_ivz00_37)
{
{ /* Llib/block_ciphers.scm 202 */
{ /* Llib/block_ciphers.scm 202 */
obj_t BgL_method1307z00_2187;
{ /* Llib/block_ciphers.scm 202 */
obj_t BgL_res3054z00_3982;
{ /* Llib/block_ciphers.scm 202 */
long BgL_objzd2classzd2numz00_3947;
{ /* Llib/block_ciphers.scm 202 */
long BgL_res3044z00_3950;
BgL_res3044z00_3950 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_statez00_36)); 
BgL_objzd2classzd2numz00_3947 = BgL_res3044z00_3950; } 
{ /* Llib/block_ciphers.scm 202 */
obj_t BgL_arg1741z00_3948;
BgL_arg1741z00_3948 = 
PROCEDURE_REF(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)1))); 
{ /* Llib/block_ciphers.scm 202 */
int BgL_offsetz00_3952;
BgL_offsetz00_3952 = 
(int)(BgL_objzd2classzd2numz00_3947); 
{ /* Llib/block_ciphers.scm 202 */
long BgL_offsetz00_3953;
BgL_offsetz00_3953 = 
(
(long)(BgL_offsetz00_3952)-OBJECT_TYPE); 
{ /* Llib/block_ciphers.scm 202 */
long BgL_modz00_3954;
BgL_modz00_3954 = 
(BgL_offsetz00_3953 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/block_ciphers.scm 202 */
long BgL_restz00_3956;
BgL_restz00_3956 = 
(BgL_offsetz00_3953 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/block_ciphers.scm 202 */

{ /* Llib/block_ciphers.scm 202 */
obj_t BgL_bucketz00_3958;
BgL_bucketz00_3958 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_3948),BgL_modz00_3954); 
BgL_res3054z00_3982 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3958),BgL_restz00_3956); } } } } } } } } 
BgL_method1307z00_2187 = BgL_res3054z00_3982; } 
return 
PROCEDURE_ENTRY(BgL_method1307z00_2187)(BgL_method1307z00_2187, 
((obj_t)BgL_statez00_36), BgL_ivz00_37, BEOA);} } 

}



/* &do-cipher-IV-init! */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5500, obj_t BgL_statez00_5501, obj_t BgL_ivz00_5502)
{
{ /* Llib/block_ciphers.scm 202 */
{ /* Llib/block_ciphers.scm 202 */
BgL_cipherzd2statezd2_bglt BgL_auxz00_11401;
if(
BGl_isazf3zf3zz__objectz00(BgL_statez00_5501, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00))
{ /* Llib/block_ciphers.scm 202 */
BgL_auxz00_11401 = 
((BgL_cipherzd2statezd2_bglt)BgL_statez00_5501)
; }  else 
{ 
obj_t BgL_auxz00_11405;
BgL_auxz00_11405 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7145)), BGl_string3900z00zz__cryptozd2blockzd2ciphersz00, BGl_string3901z00zz__cryptozd2blockzd2ciphersz00, BgL_statez00_5501); 
FAILURE(BgL_auxz00_11405,BFALSE,BFALSE);} 
return 
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_11401, BgL_ivz00_5502);} } 

}



/* do-cipher-block! */
obj_t BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt BgL_statez00_38, obj_t BgL_fromz00_39, long BgL_fromzd2poszd2_40, obj_t BgL_toz00_41, long BgL_tozd2poszd2_42)
{
{ /* Llib/block_ciphers.scm 206 */
{ /* Llib/block_ciphers.scm 206 */
obj_t BgL_method1309z00_2188;
{ /* Llib/block_ciphers.scm 206 */
obj_t BgL_res3065z00_4019;
{ /* Llib/block_ciphers.scm 206 */
long BgL_objzd2classzd2numz00_3984;
{ /* Llib/block_ciphers.scm 206 */
long BgL_res3055z00_3987;
BgL_res3055z00_3987 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_statez00_38)); 
BgL_objzd2classzd2numz00_3984 = BgL_res3055z00_3987; } 
{ /* Llib/block_ciphers.scm 206 */
obj_t BgL_arg1741z00_3985;
BgL_arg1741z00_3985 = 
PROCEDURE_REF(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)1))); 
{ /* Llib/block_ciphers.scm 206 */
int BgL_offsetz00_3989;
BgL_offsetz00_3989 = 
(int)(BgL_objzd2classzd2numz00_3984); 
{ /* Llib/block_ciphers.scm 206 */
long BgL_offsetz00_3990;
BgL_offsetz00_3990 = 
(
(long)(BgL_offsetz00_3989)-OBJECT_TYPE); 
{ /* Llib/block_ciphers.scm 206 */
long BgL_modz00_3991;
BgL_modz00_3991 = 
(BgL_offsetz00_3990 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/block_ciphers.scm 206 */
long BgL_restz00_3993;
BgL_restz00_3993 = 
(BgL_offsetz00_3990 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/block_ciphers.scm 206 */

{ /* Llib/block_ciphers.scm 206 */
obj_t BgL_bucketz00_3995;
BgL_bucketz00_3995 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_3985),BgL_modz00_3991); 
BgL_res3065z00_4019 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3995),BgL_restz00_3993); } } } } } } } } 
BgL_method1309z00_2188 = BgL_res3065z00_4019; } 
return 
PROCEDURE_ENTRY(BgL_method1309z00_2188)(BgL_method1309z00_2188, 
((obj_t)BgL_statez00_38), BgL_fromz00_39, 
BINT(BgL_fromzd2poszd2_40), BgL_toz00_41, 
BINT(BgL_tozd2poszd2_42), BEOA);} } 

}



/* &do-cipher-block! */
obj_t BGl_z62dozd2cipherzd2blockz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5503, obj_t BgL_statez00_5504, obj_t BgL_fromz00_5505, obj_t BgL_fromzd2poszd2_5506, obj_t BgL_toz00_5507, obj_t BgL_tozd2poszd2_5508)
{
{ /* Llib/block_ciphers.scm 206 */
{ /* Llib/block_ciphers.scm 206 */
long BgL_auxz00_11477;obj_t BgL_auxz00_11470;long BgL_auxz00_11461;obj_t BgL_auxz00_11454;BgL_cipherzd2statezd2_bglt BgL_auxz00_11446;
{ /* Llib/block_ciphers.scm 206 */
obj_t BgL_tmpz00_11478;
if(
INTEGERP(BgL_tozd2poszd2_5508))
{ /* Llib/block_ciphers.scm 206 */
BgL_tmpz00_11478 = BgL_tozd2poszd2_5508
; }  else 
{ 
obj_t BgL_auxz00_11481;
BgL_auxz00_11481 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7295)), BGl_string3902z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_tozd2poszd2_5508); 
FAILURE(BgL_auxz00_11481,BFALSE,BFALSE);} 
BgL_auxz00_11477 = 
(long)CINT(BgL_tmpz00_11478); } 
if(
STRINGP(BgL_toz00_5507))
{ /* Llib/block_ciphers.scm 206 */
BgL_auxz00_11470 = BgL_toz00_5507
; }  else 
{ 
obj_t BgL_auxz00_11473;
BgL_auxz00_11473 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7295)), BGl_string3902z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_toz00_5507); 
FAILURE(BgL_auxz00_11473,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 206 */
obj_t BgL_tmpz00_11462;
if(
INTEGERP(BgL_fromzd2poszd2_5506))
{ /* Llib/block_ciphers.scm 206 */
BgL_tmpz00_11462 = BgL_fromzd2poszd2_5506
; }  else 
{ 
obj_t BgL_auxz00_11465;
BgL_auxz00_11465 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7295)), BGl_string3902z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_fromzd2poszd2_5506); 
FAILURE(BgL_auxz00_11465,BFALSE,BFALSE);} 
BgL_auxz00_11461 = 
(long)CINT(BgL_tmpz00_11462); } 
if(
STRINGP(BgL_fromz00_5505))
{ /* Llib/block_ciphers.scm 206 */
BgL_auxz00_11454 = BgL_fromz00_5505
; }  else 
{ 
obj_t BgL_auxz00_11457;
BgL_auxz00_11457 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7295)), BGl_string3902z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_fromz00_5505); 
FAILURE(BgL_auxz00_11457,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_statez00_5504, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00))
{ /* Llib/block_ciphers.scm 206 */
BgL_auxz00_11446 = 
((BgL_cipherzd2statezd2_bglt)BgL_statez00_5504)
; }  else 
{ 
obj_t BgL_auxz00_11450;
BgL_auxz00_11450 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7295)), BGl_string3902z00zz__cryptozd2blockzd2ciphersz00, BGl_string3901z00zz__cryptozd2blockzd2ciphersz00, BgL_statez00_5504); 
FAILURE(BgL_auxz00_11450,BFALSE,BFALSE);} 
return 
BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_11446, BgL_auxz00_11454, BgL_auxz00_11461, BgL_auxz00_11470, BgL_auxz00_11477);} } 

}



/* do-cipher-partial-block! */
obj_t BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt BgL_statez00_43, obj_t BgL_fromz00_44, long BgL_fromzd2blockzd2posz00_45, obj_t BgL_toz00_46, long BgL_tozd2blockzd2posz00_47, long BgL_atz00_48, long BgL_lenz00_49)
{
{ /* Llib/block_ciphers.scm 212 */
{ /* Llib/block_ciphers.scm 212 */
obj_t BgL_method1311z00_2189;
{ /* Llib/block_ciphers.scm 212 */
obj_t BgL_res3076z00_4056;
{ /* Llib/block_ciphers.scm 212 */
long BgL_objzd2classzd2numz00_4021;
{ /* Llib/block_ciphers.scm 212 */
long BgL_res3066z00_4024;
BgL_res3066z00_4024 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_statez00_43)); 
BgL_objzd2classzd2numz00_4021 = BgL_res3066z00_4024; } 
{ /* Llib/block_ciphers.scm 212 */
obj_t BgL_arg1741z00_4022;
BgL_arg1741z00_4022 = 
PROCEDURE_REF(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, 
(int)(((long)1))); 
{ /* Llib/block_ciphers.scm 212 */
int BgL_offsetz00_4026;
BgL_offsetz00_4026 = 
(int)(BgL_objzd2classzd2numz00_4021); 
{ /* Llib/block_ciphers.scm 212 */
long BgL_offsetz00_4027;
BgL_offsetz00_4027 = 
(
(long)(BgL_offsetz00_4026)-OBJECT_TYPE); 
{ /* Llib/block_ciphers.scm 212 */
long BgL_modz00_4028;
BgL_modz00_4028 = 
(BgL_offsetz00_4027 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/block_ciphers.scm 212 */
long BgL_restz00_4030;
BgL_restz00_4030 = 
(BgL_offsetz00_4027 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/block_ciphers.scm 212 */

{ /* Llib/block_ciphers.scm 212 */
obj_t BgL_bucketz00_4032;
BgL_bucketz00_4032 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_4022),BgL_modz00_4028); 
BgL_res3076z00_4056 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4032),BgL_restz00_4030); } } } } } } } } 
BgL_method1311z00_2189 = BgL_res3076z00_4056; } 
return 
PROCEDURE_ENTRY(BgL_method1311z00_2189)(BgL_method1311z00_2189, 
((obj_t)BgL_statez00_43), BgL_fromz00_44, 
BINT(BgL_fromzd2blockzd2posz00_45), BgL_toz00_46, 
BINT(BgL_tozd2blockzd2posz00_47), 
BINT(BgL_atz00_48), 
BINT(BgL_lenz00_49), BEOA);} } 

}



/* &do-cipher-partial-block! */
obj_t BGl_z62dozd2cipherzd2partialzd2blockz12za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5509, obj_t BgL_statez00_5510, obj_t BgL_fromz00_5511, obj_t BgL_fromzd2blockzd2posz00_5512, obj_t BgL_toz00_5513, obj_t BgL_tozd2blockzd2posz00_5514, obj_t BgL_atz00_5515, obj_t BgL_lenz00_5516)
{
{ /* Llib/block_ciphers.scm 212 */
{ /* Llib/block_ciphers.scm 212 */
long BgL_auxz00_11576;long BgL_auxz00_11567;long BgL_auxz00_11558;obj_t BgL_auxz00_11551;long BgL_auxz00_11542;obj_t BgL_auxz00_11535;BgL_cipherzd2statezd2_bglt BgL_auxz00_11527;
{ /* Llib/block_ciphers.scm 212 */
obj_t BgL_tmpz00_11577;
if(
INTEGERP(BgL_lenz00_5516))
{ /* Llib/block_ciphers.scm 212 */
BgL_tmpz00_11577 = BgL_lenz00_5516
; }  else 
{ 
obj_t BgL_auxz00_11580;
BgL_auxz00_11580 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7508)), BGl_string3903z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_lenz00_5516); 
FAILURE(BgL_auxz00_11580,BFALSE,BFALSE);} 
BgL_auxz00_11576 = 
(long)CINT(BgL_tmpz00_11577); } 
{ /* Llib/block_ciphers.scm 212 */
obj_t BgL_tmpz00_11568;
if(
INTEGERP(BgL_atz00_5515))
{ /* Llib/block_ciphers.scm 212 */
BgL_tmpz00_11568 = BgL_atz00_5515
; }  else 
{ 
obj_t BgL_auxz00_11571;
BgL_auxz00_11571 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7508)), BGl_string3903z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_atz00_5515); 
FAILURE(BgL_auxz00_11571,BFALSE,BFALSE);} 
BgL_auxz00_11567 = 
(long)CINT(BgL_tmpz00_11568); } 
{ /* Llib/block_ciphers.scm 212 */
obj_t BgL_tmpz00_11559;
if(
INTEGERP(BgL_tozd2blockzd2posz00_5514))
{ /* Llib/block_ciphers.scm 212 */
BgL_tmpz00_11559 = BgL_tozd2blockzd2posz00_5514
; }  else 
{ 
obj_t BgL_auxz00_11562;
BgL_auxz00_11562 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7508)), BGl_string3903z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_tozd2blockzd2posz00_5514); 
FAILURE(BgL_auxz00_11562,BFALSE,BFALSE);} 
BgL_auxz00_11558 = 
(long)CINT(BgL_tmpz00_11559); } 
if(
STRINGP(BgL_toz00_5513))
{ /* Llib/block_ciphers.scm 212 */
BgL_auxz00_11551 = BgL_toz00_5513
; }  else 
{ 
obj_t BgL_auxz00_11554;
BgL_auxz00_11554 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7508)), BGl_string3903z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_toz00_5513); 
FAILURE(BgL_auxz00_11554,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 212 */
obj_t BgL_tmpz00_11543;
if(
INTEGERP(BgL_fromzd2blockzd2posz00_5512))
{ /* Llib/block_ciphers.scm 212 */
BgL_tmpz00_11543 = BgL_fromzd2blockzd2posz00_5512
; }  else 
{ 
obj_t BgL_auxz00_11546;
BgL_auxz00_11546 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7508)), BGl_string3903z00zz__cryptozd2blockzd2ciphersz00, BGl_string3749z00zz__cryptozd2blockzd2ciphersz00, BgL_fromzd2blockzd2posz00_5512); 
FAILURE(BgL_auxz00_11546,BFALSE,BFALSE);} 
BgL_auxz00_11542 = 
(long)CINT(BgL_tmpz00_11543); } 
if(
STRINGP(BgL_fromz00_5511))
{ /* Llib/block_ciphers.scm 212 */
BgL_auxz00_11535 = BgL_fromz00_5511
; }  else 
{ 
obj_t BgL_auxz00_11538;
BgL_auxz00_11538 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7508)), BGl_string3903z00zz__cryptozd2blockzd2ciphersz00, BGl_string3739z00zz__cryptozd2blockzd2ciphersz00, BgL_fromz00_5511); 
FAILURE(BgL_auxz00_11538,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_statez00_5510, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00))
{ /* Llib/block_ciphers.scm 212 */
BgL_auxz00_11527 = 
((BgL_cipherzd2statezd2_bglt)BgL_statez00_5510)
; }  else 
{ 
obj_t BgL_auxz00_11531;
BgL_auxz00_11531 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3737z00zz__cryptozd2blockzd2ciphersz00, 
BINT(((long)7508)), BGl_string3903z00zz__cryptozd2blockzd2ciphersz00, BGl_string3901z00zz__cryptozd2blockzd2ciphersz00, BgL_statez00_5510); 
FAILURE(BgL_auxz00_11531,BFALSE,BFALSE);} 
return 
BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_11527, BgL_auxz00_11535, BgL_auxz00_11542, BgL_auxz00_11551, BgL_auxz00_11558, BgL_auxz00_11567, BgL_auxz00_11576);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__cryptozd2blockzd2ciphersz00()
{
{ /* Llib/block_ciphers.scm 1 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3904z00zz__cryptozd2blockzd2ciphersz00, BGl_string3905z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3906z00zz__cryptozd2blockzd2ciphersz00, BGl_string3905z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3907z00zz__cryptozd2blockzd2ciphersz00, BGl_string3908z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3909z00zz__cryptozd2blockzd2ciphersz00, BGl_string3905z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3910z00zz__cryptozd2blockzd2ciphersz00, BGl_string3908z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3911z00zz__cryptozd2blockzd2ciphersz00, BGl_string3905z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3912z00zz__cryptozd2blockzd2ciphersz00, BGl_string3908z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3913z00zz__cryptozd2blockzd2ciphersz00, BGl_string3905z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3914z00zz__cryptozd2blockzd2ciphersz00, BGl_string3908z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3915z00zz__cryptozd2blockzd2ciphersz00, BGl_string3905z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3916z00zz__cryptozd2blockzd2ciphersz00, BGl_string3908z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3917z00zz__cryptozd2blockzd2ciphersz00, BGl_string3905z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3918z00zz__cryptozd2blockzd2ciphersz00, BGl_string3919z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3920z00zz__cryptozd2blockzd2ciphersz00, BGl_string3908z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3921z00zz__cryptozd2blockzd2ciphersz00, BGl_string3905z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3922z00zz__cryptozd2blockzd2ciphersz00, BGl_string3919z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_OFBz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3923z00zz__cryptozd2blockzd2ciphersz00, BGl_string3908z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_OFBz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3924z00zz__cryptozd2blockzd2ciphersz00, BGl_string3905z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_OFBz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3925z00zz__cryptozd2blockzd2ciphersz00, BGl_string3919z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CTRz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3926z00zz__cryptozd2blockzd2ciphersz00, BGl_string3908z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CTRz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3927z00zz__cryptozd2blockzd2ciphersz00, BGl_string3905z00zz__cryptozd2blockzd2ciphersz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CTRz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3928z00zz__cryptozd2blockzd2ciphersz00, BGl_string3919z00zz__cryptozd2blockzd2ciphersz00);} 

}



/* &do-cipher-partial-bl1355 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1355zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5539, obj_t BgL_statez00_5540, obj_t BgL_fromz00_5541, obj_t BgL_fromzd2poszd2_5542, obj_t BgL_toz00_5543, obj_t BgL_tozd2poszd2_5544, obj_t BgL_atz00_5545, obj_t BgL_lenz00_5546)
{
{ /* Llib/block_ciphers.scm 417 */
{ /* Llib/block_ciphers.scm 419 */
bool_t BgL_tmpz00_11608;
if(
(
(long)CINT(BgL_atz00_5545)==((long)0)))
{ /* Llib/block_ciphers.scm 421 */
{ /* Llib/block_ciphers.scm 422 */
obj_t BgL_fun2626z00_6482;
BgL_fun2626z00_6482 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5540)))->BgL_noncezd2updatez12zc0); 
{ /* Llib/block_ciphers.scm 422 */
obj_t BgL_arg2623z00_6483;obj_t BgL_arg2624z00_6484;long BgL_arg2625z00_6485;
BgL_arg2623z00_6483 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5540)))->BgL_noncezd2strzd2); 
BgL_arg2624z00_6484 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5540)))->BgL_noncez00); 
BgL_arg2625z00_6485 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5540)))->BgL_blockzd2counterzd2); 
PROCEDURE_ENTRY(BgL_fun2626z00_6482)(BgL_fun2626z00_6482, BgL_arg2623z00_6483, BgL_arg2624z00_6484, 
BINT(BgL_arg2625z00_6485), BEOA); } } 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5540)))->BgL_blockzd2counterzd2)=((long)
(
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5540)))->BgL_blockzd2counterzd2)+((long)1))),BUNSPEC); 
{ /* Llib/block_ciphers.scm 424 */
obj_t BgL_fun2631z00_6486;
BgL_fun2631z00_6486 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_5540))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 424 */
obj_t BgL_arg2628z00_6487;obj_t BgL_arg2629z00_6488;obj_t BgL_arg2630z00_6489;
BgL_arg2628z00_6487 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5540)))->BgL_noncezd2strzd2); 
BgL_arg2629z00_6488 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5540)))->BgL_noncezd2strzd2); 
BgL_arg2630z00_6489 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_5540))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2631z00_6486)(BgL_fun2631z00_6486, BgL_arg2628z00_6487, 
BINT(((long)0)), BgL_arg2629z00_6488, 
BINT(((long)0)), BgL_arg2630z00_6489, BEOA); } } }  else 
{ /* Llib/block_ciphers.scm 421 */BFALSE; } 
{ /* Llib/block_ciphers.scm 425 */
long BgL_arg2632z00_6490;long BgL_arg2633z00_6491;obj_t BgL_arg2634z00_6492;
BgL_arg2632z00_6490 = 
(
(long)CINT(BgL_tozd2poszd2_5544)+
(long)CINT(BgL_atz00_5545)); 
BgL_arg2633z00_6491 = 
(
(long)CINT(BgL_fromzd2poszd2_5542)+
(long)CINT(BgL_atz00_5545)); 
BgL_arg2634z00_6492 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5540)))->BgL_noncezd2strzd2); 
{ 
long BgL_iz00_6494;
BgL_iz00_6494 = ((long)0); 
BgL_loopz00_6493:
if(
(BgL_iz00_6494==
(BgL_arg2632z00_6490+
(long)CINT(BgL_lenz00_5546))))
{ /* Llib/block_ciphers.scm 128 */
BgL_tmpz00_11608 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 128 */
{ /* Llib/block_ciphers.scm 129 */
long BgL_arg1514z00_6495;unsigned char BgL_arg1521z00_6496;
BgL_arg1514z00_6495 = 
(BgL_arg2632z00_6490+BgL_iz00_6494); 
BgL_arg1521z00_6496 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5541), 
(BgL_arg2633z00_6491+BgL_iz00_6494))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2634z00_6492, 
(
(long)CINT(BgL_atz00_5545)+BgL_iz00_6494)))))))); 
{ /* Llib/block_ciphers.scm 129 */
unsigned char BgL_charz00_6497;
BgL_charz00_6497 = 
(unsigned char)(BgL_arg1521z00_6496); 
{ /* Llib/block_ciphers.scm 129 */
obj_t BgL_tmpz00_11681;
BgL_tmpz00_11681 = 
((obj_t)BgL_toz00_5543); 
STRING_SET(BgL_tmpz00_11681, BgL_arg1514z00_6495, BgL_charz00_6497); } } } 
{ 
long BgL_iz00_11684;
BgL_iz00_11684 = 
(BgL_iz00_6494+((long)1)); 
BgL_iz00_6494 = BgL_iz00_11684; 
goto BgL_loopz00_6493;} } } } 
return 
BBOOL(BgL_tmpz00_11608);} } 

}



/* &do-cipher-block!-CTR1353 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CTR1353za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5547, obj_t BgL_statez00_5548, obj_t BgL_fromz00_5549, obj_t BgL_fromzd2poszd2_5550, obj_t BgL_toz00_5551, obj_t BgL_tozd2poszd2_5552)
{
{ /* Llib/block_ciphers.scm 410 */
{ /* Llib/block_ciphers.scm 413 */
obj_t BgL_fun2614z00_6499;
BgL_fun2614z00_6499 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5548)))->BgL_noncezd2updatez12zc0); 
{ /* Llib/block_ciphers.scm 413 */
obj_t BgL_arg2611z00_6500;obj_t BgL_arg2612z00_6501;long BgL_arg2613z00_6502;
BgL_arg2611z00_6500 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5548)))->BgL_noncezd2strzd2); 
BgL_arg2612z00_6501 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5548)))->BgL_noncez00); 
BgL_arg2613z00_6502 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5548)))->BgL_blockzd2counterzd2); 
PROCEDURE_ENTRY(BgL_fun2614z00_6499)(BgL_fun2614z00_6499, BgL_arg2611z00_6500, BgL_arg2612z00_6501, 
BINT(BgL_arg2613z00_6502), BEOA); } } 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5548)))->BgL_blockzd2counterzd2)=((long)
(
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5548)))->BgL_blockzd2counterzd2)+((long)1))),BUNSPEC); 
{ /* Llib/block_ciphers.scm 415 */
obj_t BgL_fun2619z00_6503;
BgL_fun2619z00_6503 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_5548))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 415 */
obj_t BgL_arg2616z00_6504;obj_t BgL_arg2617z00_6505;obj_t BgL_arg2618z00_6506;
BgL_arg2616z00_6504 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5548)))->BgL_noncezd2strzd2); 
BgL_arg2617z00_6505 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5548)))->BgL_noncezd2strzd2); 
BgL_arg2618z00_6506 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_5548))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2619z00_6503)(BgL_fun2619z00_6503, BgL_arg2616z00_6504, 
BINT(((long)0)), BgL_arg2617z00_6505, 
BINT(((long)0)), BgL_arg2618z00_6506, BEOA); } } 
{ /* Llib/block_ciphers.scm 416 */
obj_t BgL_arg2620z00_6507;long BgL_arg2621z00_6508;
BgL_arg2620z00_6507 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5548)))->BgL_noncezd2strzd2); 
BgL_arg2621z00_6508 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_5548))))->BgL_blockzd2siza7ez75); 
{ 
long BgL_iz00_6510;
BgL_iz00_6510 = ((long)0); 
BgL_loopz00_6509:
if(
(BgL_iz00_6510==BgL_arg2621z00_6508))
{ /* Llib/block_ciphers.scm 416 */
return BgL_toz00_5551;}  else 
{ /* Llib/block_ciphers.scm 416 */
{ /* Llib/block_ciphers.scm 416 */
long BgL_arg2637z00_6511;unsigned char BgL_arg2638z00_6512;
BgL_arg2637z00_6511 = 
(
(long)CINT(BgL_tozd2poszd2_5552)+BgL_iz00_6510); 
BgL_arg2638z00_6512 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5549), 
(
(long)CINT(BgL_fromzd2poszd2_5550)+BgL_iz00_6510))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2620z00_6507, 
(((long)0)+BgL_iz00_6510)))))))); 
{ /* Llib/block_ciphers.scm 416 */
unsigned char BgL_charz00_6513;
BgL_charz00_6513 = 
(unsigned char)(BgL_arg2638z00_6512); 
{ /* Llib/block_ciphers.scm 416 */
obj_t BgL_tmpz00_11752;
BgL_tmpz00_11752 = 
((obj_t)BgL_toz00_5551); 
STRING_SET(BgL_tmpz00_11752, BgL_arg2637z00_6511, BgL_charz00_6513); } } } 
{ 
long BgL_iz00_11755;
BgL_iz00_11755 = 
(BgL_iz00_6510+((long)1)); 
BgL_iz00_6510 = BgL_iz00_11755; 
goto BgL_loopz00_6509;} } } } } 

}



/* &do-cipher-IV-init!-C1351 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1351z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5553, obj_t BgL_statez00_5554, obj_t BgL_ivz00_5555)
{
{ /* Llib/block_ciphers.scm 406 */
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5554)))->BgL_noncez00)=((obj_t)BgL_ivz00_5555),BUNSPEC); 
{ /* Llib/block_ciphers.scm 409 */
obj_t BgL_fun2610z00_6515;
BgL_fun2610z00_6515 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5554)))->BgL_noncezd2initz12zc0); 
{ /* Llib/block_ciphers.scm 409 */
obj_t BgL_arg2608z00_6516;obj_t BgL_arg2609z00_6517;
BgL_arg2608z00_6516 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5554)))->BgL_noncezd2strzd2); 
BgL_arg2609z00_6517 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_5554)))->BgL_noncez00); 
return 
PROCEDURE_ENTRY(BgL_fun2610z00_6515)(BgL_fun2610z00_6515, BgL_arg2608z00_6516, BgL_arg2609z00_6517, BEOA);} } } 

}



/* &do-cipher-partial-bl1349 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1349zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5556, obj_t BgL_statez00_5557, obj_t BgL_fromz00_5558, obj_t BgL_fromzd2poszd2_5559, obj_t BgL_toz00_5560, obj_t BgL_tozd2poszd2_5561, obj_t BgL_atz00_5562, obj_t BgL_lenz00_5563)
{
{ /* Llib/block_ciphers.scm 382 */
{ /* Llib/block_ciphers.scm 384 */
bool_t BgL_tmpz00_11770;
if(
(
(long)CINT(BgL_atz00_5562)==((long)0)))
{ /* Llib/block_ciphers.scm 386 */
obj_t BgL_fun2604z00_6519;
BgL_fun2604z00_6519 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_5557))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 386 */
obj_t BgL_arg2601z00_6520;obj_t BgL_arg2602z00_6521;obj_t BgL_arg2603z00_6522;
BgL_arg2601z00_6520 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5557)))->BgL_chainz00); 
BgL_arg2602z00_6521 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5557)))->BgL_chainz00); 
BgL_arg2603z00_6522 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_5557))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2604z00_6519)(BgL_fun2604z00_6519, BgL_arg2601z00_6520, 
BINT(((long)0)), BgL_arg2602z00_6521, 
BINT(((long)0)), BgL_arg2603z00_6522, BEOA); } }  else 
{ /* Llib/block_ciphers.scm 385 */BFALSE; } 
{ /* Llib/block_ciphers.scm 387 */
long BgL_arg2605z00_6523;long BgL_arg2606z00_6524;obj_t BgL_arg2607z00_6525;
BgL_arg2605z00_6523 = 
(
(long)CINT(BgL_tozd2poszd2_5561)+
(long)CINT(BgL_atz00_5562)); 
BgL_arg2606z00_6524 = 
(
(long)CINT(BgL_fromzd2poszd2_5559)+
(long)CINT(BgL_atz00_5562)); 
BgL_arg2607z00_6525 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5557)))->BgL_chainz00); 
{ 
long BgL_iz00_6527;
BgL_iz00_6527 = ((long)0); 
BgL_loopz00_6526:
if(
(BgL_iz00_6527==
(BgL_arg2605z00_6523+
(long)CINT(BgL_lenz00_5563))))
{ /* Llib/block_ciphers.scm 128 */
BgL_tmpz00_11770 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 128 */
{ /* Llib/block_ciphers.scm 129 */
long BgL_arg1514z00_6528;unsigned char BgL_arg1521z00_6529;
BgL_arg1514z00_6528 = 
(BgL_arg2605z00_6523+BgL_iz00_6527); 
BgL_arg1521z00_6529 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5558), 
(BgL_arg2606z00_6524+BgL_iz00_6527))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2607z00_6525, 
(
(long)CINT(BgL_atz00_5562)+BgL_iz00_6527)))))))); 
{ /* Llib/block_ciphers.scm 129 */
unsigned char BgL_charz00_6530;
BgL_charz00_6530 = 
(unsigned char)(BgL_arg1521z00_6529); 
{ /* Llib/block_ciphers.scm 129 */
obj_t BgL_tmpz00_11823;
BgL_tmpz00_11823 = 
((obj_t)BgL_toz00_5560); 
STRING_SET(BgL_tmpz00_11823, BgL_arg1514z00_6528, BgL_charz00_6530); } } } 
{ 
long BgL_iz00_11826;
BgL_iz00_11826 = 
(BgL_iz00_6527+((long)1)); 
BgL_iz00_6527 = BgL_iz00_11826; 
goto BgL_loopz00_6526;} } } } 
return 
BBOOL(BgL_tmpz00_11770);} } 

}



/* &do-cipher-block!-OFB1347 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2OFB1347za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5564, obj_t BgL_statez00_5565, obj_t BgL_fromz00_5566, obj_t BgL_fromzd2poszd2_5567, obj_t BgL_toz00_5568, obj_t BgL_tozd2poszd2_5569)
{
{ /* Llib/block_ciphers.scm 378 */
{ /* Llib/block_ciphers.scm 380 */
obj_t BgL_fun2597z00_6532;
BgL_fun2597z00_6532 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_5565))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 380 */
obj_t BgL_arg2594z00_6533;obj_t BgL_arg2595z00_6534;obj_t BgL_arg2596z00_6535;
BgL_arg2594z00_6533 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5565)))->BgL_chainz00); 
BgL_arg2595z00_6534 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5565)))->BgL_chainz00); 
BgL_arg2596z00_6535 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_5565))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2597z00_6532)(BgL_fun2597z00_6532, BgL_arg2594z00_6533, 
BINT(((long)0)), BgL_arg2595z00_6534, 
BINT(((long)0)), BgL_arg2596z00_6535, BEOA); } } 
{ /* Llib/block_ciphers.scm 381 */
obj_t BgL_arg2598z00_6536;long BgL_arg2599z00_6537;
BgL_arg2598z00_6536 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5565)))->BgL_chainz00); 
BgL_arg2599z00_6537 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_5565))))->BgL_blockzd2siza7ez75); 
{ 
long BgL_iz00_6539;
BgL_iz00_6539 = ((long)0); 
BgL_loopz00_6538:
if(
(BgL_iz00_6539==BgL_arg2599z00_6537))
{ /* Llib/block_ciphers.scm 381 */
return BgL_toz00_5568;}  else 
{ /* Llib/block_ciphers.scm 381 */
{ /* Llib/block_ciphers.scm 381 */
long BgL_arg2637z00_6540;unsigned char BgL_arg2638z00_6541;
BgL_arg2637z00_6540 = 
(
(long)CINT(BgL_tozd2poszd2_5569)+BgL_iz00_6539); 
BgL_arg2638z00_6541 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5566), 
(
(long)CINT(BgL_fromzd2poszd2_5567)+BgL_iz00_6539))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2598z00_6536, 
(((long)0)+BgL_iz00_6539)))))))); 
{ /* Llib/block_ciphers.scm 381 */
unsigned char BgL_charz00_6542;
BgL_charz00_6542 = 
(unsigned char)(BgL_arg2638z00_6541); 
{ /* Llib/block_ciphers.scm 381 */
obj_t BgL_tmpz00_11874;
BgL_tmpz00_11874 = 
((obj_t)BgL_toz00_5568); 
STRING_SET(BgL_tmpz00_11874, BgL_arg2637z00_6540, BgL_charz00_6542); } } } 
{ 
long BgL_iz00_11877;
BgL_iz00_11877 = 
(BgL_iz00_6539+((long)1)); 
BgL_iz00_6539 = BgL_iz00_11877; 
goto BgL_loopz00_6538;} } } } } 

}



/* &do-cipher-IV-init!-O1345 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2O1345z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5570, obj_t BgL_statez00_5571, obj_t BgL_ivz00_5572)
{
{ /* Llib/block_ciphers.scm 375 */
{ /* Llib/block_ciphers.scm 377 */
obj_t BgL_arg2592z00_6544;long BgL_arg2593z00_6545;
BgL_arg2592z00_6544 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5571)))->BgL_chainz00); 
BgL_arg2593z00_6545 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_5571))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5572), ((long)0), BgL_arg2592z00_6544, ((long)0), BgL_arg2593z00_6545);} } 

}



/* &do-cipher-partial-bl1343 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1343zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5573, obj_t BgL_statez00_5574, obj_t BgL_fromz00_5575, obj_t BgL_fromzd2poszd2_5576, obj_t BgL_toz00_5577, obj_t BgL_tozd2poszd2_5578, obj_t BgL_atz00_5579, obj_t BgL_lenz00_5580)
{
{ /* Llib/block_ciphers.scm 356 */
{ /* Llib/block_ciphers.scm 358 */
bool_t BgL_tmpz00_11886;
if(
(
(long)CINT(BgL_atz00_5579)==((long)0)))
{ /* Llib/block_ciphers.scm 360 */
obj_t BgL_fun2586z00_6547;
BgL_fun2586z00_6547 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5574))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 360 */
obj_t BgL_arg2583z00_6548;obj_t BgL_arg2584z00_6549;obj_t BgL_arg2585z00_6550;
BgL_arg2583z00_6548 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5574)))->BgL_chainz00); 
BgL_arg2584z00_6549 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5574)))->BgL_bufferz00); 
BgL_arg2585z00_6550 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5574))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2586z00_6547)(BgL_fun2586z00_6547, BgL_arg2583z00_6548, 
BINT(((long)0)), BgL_arg2584z00_6549, 
BINT(((long)0)), BgL_arg2585z00_6550, BEOA); } }  else 
{ /* Llib/block_ciphers.scm 359 */BFALSE; } 
{ /* Llib/block_ciphers.scm 361 */
long BgL_arg2587z00_6551;obj_t BgL_arg2588z00_6552;
BgL_arg2587z00_6551 = 
(
(long)CINT(BgL_fromzd2poszd2_5576)+
(long)CINT(BgL_atz00_5579)); 
BgL_arg2588z00_6552 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5574)))->BgL_chainz00); 
{ /* Llib/block_ciphers.scm 361 */
long BgL_o2z00_6553;long BgL_lz00_6554;
BgL_o2z00_6553 = 
(long)CINT(BgL_atz00_5579); 
BgL_lz00_6554 = 
(long)CINT(BgL_lenz00_5580); 
blit_string(
((obj_t)BgL_fromz00_5575), BgL_arg2587z00_6551, BgL_arg2588z00_6552, BgL_o2z00_6553, BgL_lz00_6554); } } 
{ /* Llib/block_ciphers.scm 362 */
long BgL_arg2589z00_6555;obj_t BgL_arg2590z00_6556;long BgL_arg2591z00_6557;
BgL_arg2589z00_6555 = 
(
(long)CINT(BgL_tozd2poszd2_5578)+
(long)CINT(BgL_atz00_5579)); 
BgL_arg2590z00_6556 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5574)))->BgL_bufferz00); 
BgL_arg2591z00_6557 = 
(
(long)CINT(BgL_fromzd2poszd2_5576)+
(long)CINT(BgL_atz00_5579)); 
{ 
long BgL_iz00_6559;
BgL_iz00_6559 = ((long)0); 
BgL_loopz00_6558:
if(
(BgL_iz00_6559==
(BgL_arg2589z00_6555+
(long)CINT(BgL_lenz00_5580))))
{ /* Llib/block_ciphers.scm 128 */
BgL_tmpz00_11886 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 128 */
{ /* Llib/block_ciphers.scm 129 */
long BgL_arg1514z00_6560;unsigned char BgL_arg1521z00_6561;
BgL_arg1514z00_6560 = 
(BgL_arg2589z00_6555+BgL_iz00_6559); 
BgL_arg1521z00_6561 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2590z00_6556, 
(((long)0)+BgL_iz00_6559))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5575), 
(BgL_arg2591z00_6557+BgL_iz00_6559)))))))); 
{ /* Llib/block_ciphers.scm 129 */
unsigned char BgL_charz00_6562;
BgL_charz00_6562 = 
(unsigned char)(BgL_arg1521z00_6561); 
{ /* Llib/block_ciphers.scm 129 */
obj_t BgL_tmpz00_11947;
BgL_tmpz00_11947 = 
((obj_t)BgL_toz00_5577); 
STRING_SET(BgL_tmpz00_11947, BgL_arg1514z00_6560, BgL_charz00_6562); } } } 
{ 
long BgL_iz00_11950;
BgL_iz00_11950 = 
(BgL_iz00_6559+((long)1)); 
BgL_iz00_6559 = BgL_iz00_11950; 
goto BgL_loopz00_6558;} } } } 
return 
BBOOL(BgL_tmpz00_11886);} } 

}



/* &do-cipher-block!-CFB1341 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CFB1341za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5581, obj_t BgL_statez00_5582, obj_t BgL_fromz00_5583, obj_t BgL_fromzd2poszd2_5584, obj_t BgL_toz00_5585, obj_t BgL_tozd2poszd2_5586)
{
{ /* Llib/block_ciphers.scm 351 */
{ /* Llib/block_ciphers.scm 353 */
obj_t BgL_fun2577z00_6564;
BgL_fun2577z00_6564 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5582))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 353 */
obj_t BgL_arg2574z00_6565;obj_t BgL_arg2575z00_6566;obj_t BgL_arg2576z00_6567;
BgL_arg2574z00_6565 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5582)))->BgL_chainz00); 
BgL_arg2575z00_6566 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5582)))->BgL_bufferz00); 
BgL_arg2576z00_6567 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5582))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2577z00_6564)(BgL_fun2577z00_6564, BgL_arg2574z00_6565, 
BINT(((long)0)), BgL_arg2575z00_6566, 
BINT(((long)0)), BgL_arg2576z00_6567, BEOA); } } 
{ /* Llib/block_ciphers.scm 354 */
obj_t BgL_arg2578z00_6568;long BgL_arg2579z00_6569;
BgL_arg2578z00_6568 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5582)))->BgL_chainz00); 
BgL_arg2579z00_6569 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5582))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 354 */
long BgL_o1z00_6570;
BgL_o1z00_6570 = 
(long)CINT(BgL_fromzd2poszd2_5584); 
blit_string(
((obj_t)BgL_fromz00_5583), BgL_o1z00_6570, BgL_arg2578z00_6568, ((long)0), BgL_arg2579z00_6569); } } 
{ /* Llib/block_ciphers.scm 355 */
obj_t BgL_arg2580z00_6571;long BgL_arg2581z00_6572;
BgL_arg2580z00_6571 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5582)))->BgL_bufferz00); 
BgL_arg2581z00_6572 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5582))))->BgL_blockzd2siza7ez75); 
{ 
long BgL_iz00_6574;
BgL_iz00_6574 = ((long)0); 
BgL_loopz00_6573:
if(
(BgL_iz00_6574==BgL_arg2581z00_6572))
{ /* Llib/block_ciphers.scm 355 */
return BgL_toz00_5585;}  else 
{ /* Llib/block_ciphers.scm 355 */
{ /* Llib/block_ciphers.scm 355 */
long BgL_arg2637z00_6575;unsigned char BgL_arg2638z00_6576;
BgL_arg2637z00_6575 = 
(
(long)CINT(BgL_tozd2poszd2_5586)+BgL_iz00_6574); 
BgL_arg2638z00_6576 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2580z00_6571, 
(((long)0)+BgL_iz00_6574))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5583), 
(
(long)CINT(BgL_fromzd2poszd2_5584)+BgL_iz00_6574)))))))); 
{ /* Llib/block_ciphers.scm 355 */
unsigned char BgL_charz00_6577;
BgL_charz00_6577 = 
(unsigned char)(BgL_arg2638z00_6576); 
{ /* Llib/block_ciphers.scm 355 */
obj_t BgL_tmpz00_12006;
BgL_tmpz00_12006 = 
((obj_t)BgL_toz00_5585); 
STRING_SET(BgL_tmpz00_12006, BgL_arg2637z00_6575, BgL_charz00_6577); } } } 
{ 
long BgL_iz00_12009;
BgL_iz00_12009 = 
(BgL_iz00_6574+((long)1)); 
BgL_iz00_6574 = BgL_iz00_12009; 
goto BgL_loopz00_6573;} } } } } 

}



/* &do-cipher-IV-init!-C1339 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1339z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5587, obj_t BgL_statez00_5588, obj_t BgL_ivz00_5589)
{
{ /* Llib/block_ciphers.scm 348 */
{ /* Llib/block_ciphers.scm 350 */
obj_t BgL_arg2572z00_6579;long BgL_arg2573z00_6580;
BgL_arg2572z00_6579 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5588)))->BgL_chainz00); 
BgL_arg2573z00_6580 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5588))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5589), ((long)0), BgL_arg2572z00_6579, ((long)0), BgL_arg2573z00_6580);} } 

}



/* &do-cipher-partial-bl1337 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1337zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5590, obj_t BgL_statez00_5591, obj_t BgL_fromz00_5592, obj_t BgL_fromzd2poszd2_5593, obj_t BgL_toz00_5594, obj_t BgL_tozd2poszd2_5595, obj_t BgL_atz00_5596, obj_t BgL_lenz00_5597)
{
{ /* Llib/block_ciphers.scm 332 */
if(
(
(long)CINT(BgL_atz00_5596)==((long)0)))
{ /* Llib/block_ciphers.scm 336 */
obj_t BgL_fun2566z00_6582;
BgL_fun2566z00_6582 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5591))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 336 */
obj_t BgL_arg2563z00_6583;obj_t BgL_arg2564z00_6584;obj_t BgL_arg2565z00_6585;
BgL_arg2563z00_6583 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5591)))->BgL_chainz00); 
BgL_arg2564z00_6584 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5591)))->BgL_chainz00); 
BgL_arg2565z00_6585 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5591))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2566z00_6582)(BgL_fun2566z00_6582, BgL_arg2563z00_6583, 
BINT(((long)0)), BgL_arg2564z00_6584, 
BINT(((long)0)), BgL_arg2565z00_6585, BEOA); } }  else 
{ /* Llib/block_ciphers.scm 335 */BFALSE; } 
{ /* Llib/block_ciphers.scm 337 */
obj_t BgL_arg2567z00_6586;obj_t BgL_arg2568z00_6587;long BgL_arg2569z00_6588;
BgL_arg2567z00_6586 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5591)))->BgL_chainz00); 
BgL_arg2568z00_6587 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5591)))->BgL_chainz00); 
BgL_arg2569z00_6588 = 
(
(long)CINT(BgL_fromzd2poszd2_5593)+
(long)CINT(BgL_atz00_5596)); 
{ 
long BgL_iz00_6590;
BgL_iz00_6590 = ((long)0); 
BgL_loopz00_6589:
if(
(BgL_iz00_6590==
(
(long)CINT(BgL_atz00_5596)+
(long)CINT(BgL_lenz00_5597))))
{ /* Llib/block_ciphers.scm 128 */((bool_t)0); }  else 
{ /* Llib/block_ciphers.scm 128 */
{ /* Llib/block_ciphers.scm 129 */
long BgL_arg1514z00_6591;unsigned char BgL_arg1521z00_6592;
BgL_arg1514z00_6591 = 
(
(long)CINT(BgL_atz00_5596)+BgL_iz00_6590); 
BgL_arg1521z00_6592 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2568z00_6587, 
(
(long)CINT(BgL_atz00_5596)+BgL_iz00_6590))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5592), 
(BgL_arg2569z00_6588+BgL_iz00_6590)))))))); 
{ /* Llib/block_ciphers.scm 129 */
unsigned char BgL_tmpz00_12070;
BgL_tmpz00_12070 = 
(unsigned char)(BgL_arg1521z00_6592); 
STRING_SET(BgL_arg2567z00_6586, BgL_arg1514z00_6591, BgL_tmpz00_12070); } } 
{ 
long BgL_iz00_12073;
BgL_iz00_12073 = 
(BgL_iz00_6590+((long)1)); 
BgL_iz00_6590 = BgL_iz00_12073; 
goto BgL_loopz00_6589;} } } } 
{ /* Llib/block_ciphers.scm 338 */
obj_t BgL_arg2570z00_6593;long BgL_arg2571z00_6594;
BgL_arg2570z00_6593 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5591)))->BgL_chainz00); 
BgL_arg2571z00_6594 = 
(
(long)CINT(BgL_tozd2poszd2_5595)+
(long)CINT(BgL_atz00_5596)); 
{ /* Llib/block_ciphers.scm 338 */
long BgL_o1z00_6595;long BgL_lz00_6596;
BgL_o1z00_6595 = 
(long)CINT(BgL_atz00_5596); 
BgL_lz00_6596 = 
(long)CINT(BgL_lenz00_5597); 
return 
blit_string(BgL_arg2570z00_6593, BgL_o1z00_6595, 
((obj_t)BgL_toz00_5594), BgL_arg2571z00_6594, BgL_lz00_6596);} } } 

}



/* &do-cipher-block!-CFB1335 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CFB1335za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5598, obj_t BgL_statez00_5599, obj_t BgL_fromz00_5600, obj_t BgL_fromzd2poszd2_5601, obj_t BgL_toz00_5602, obj_t BgL_tozd2poszd2_5603)
{
{ /* Llib/block_ciphers.scm 327 */
{ /* Llib/block_ciphers.scm 329 */
obj_t BgL_fun2556z00_6598;
BgL_fun2556z00_6598 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5599))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 329 */
obj_t BgL_arg2553z00_6599;obj_t BgL_arg2554z00_6600;obj_t BgL_arg2555z00_6601;
BgL_arg2553z00_6599 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5599)))->BgL_chainz00); 
BgL_arg2554z00_6600 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5599)))->BgL_chainz00); 
BgL_arg2555z00_6601 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5599))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2556z00_6598)(BgL_fun2556z00_6598, BgL_arg2553z00_6599, 
BINT(((long)0)), BgL_arg2554z00_6600, 
BINT(((long)0)), BgL_arg2555z00_6601, BEOA); } } 
{ /* Llib/block_ciphers.scm 330 */
obj_t BgL_arg2557z00_6602;obj_t BgL_arg2558z00_6603;long BgL_arg2559z00_6604;
BgL_arg2557z00_6602 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5599)))->BgL_chainz00); 
BgL_arg2558z00_6603 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5599)))->BgL_chainz00); 
BgL_arg2559z00_6604 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5599))))->BgL_blockzd2siza7ez75); 
{ 
long BgL_iz00_6606;
BgL_iz00_6606 = ((long)0); 
BgL_loopz00_6605:
if(
(BgL_iz00_6606==BgL_arg2559z00_6604))
{ /* Llib/block_ciphers.scm 330 */BgL_arg2557z00_6602; }  else 
{ /* Llib/block_ciphers.scm 330 */
{ /* Llib/block_ciphers.scm 330 */
long BgL_arg2637z00_6607;unsigned char BgL_arg2638z00_6608;
BgL_arg2637z00_6607 = 
(((long)0)+BgL_iz00_6606); 
BgL_arg2638z00_6608 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5600), 
(
(long)CINT(BgL_fromzd2poszd2_5601)+BgL_iz00_6606))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2558z00_6603, 
(((long)0)+BgL_iz00_6606)))))))); 
{ /* Llib/block_ciphers.scm 330 */
unsigned char BgL_tmpz00_12129;
BgL_tmpz00_12129 = 
(unsigned char)(BgL_arg2638z00_6608); 
STRING_SET(BgL_arg2557z00_6602, BgL_arg2637z00_6607, BgL_tmpz00_12129); } } 
{ 
long BgL_iz00_12132;
BgL_iz00_12132 = 
(BgL_iz00_6606+((long)1)); 
BgL_iz00_6606 = BgL_iz00_12132; 
goto BgL_loopz00_6605;} } } } 
{ /* Llib/block_ciphers.scm 331 */
obj_t BgL_arg2560z00_6609;long BgL_arg2561z00_6610;
BgL_arg2560z00_6609 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5599)))->BgL_chainz00); 
BgL_arg2561z00_6610 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5599))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 331 */
long BgL_o2z00_6611;
BgL_o2z00_6611 = 
(long)CINT(BgL_tozd2poszd2_5603); 
return 
blit_string(BgL_arg2560z00_6609, ((long)0), 
((obj_t)BgL_toz00_5602), BgL_o2z00_6611, BgL_arg2561z00_6610);} } } 

}



/* &do-cipher-IV-init!-C1333 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1333z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5604, obj_t BgL_statez00_5605, obj_t BgL_ivz00_5606)
{
{ /* Llib/block_ciphers.scm 324 */
{ /* Llib/block_ciphers.scm 326 */
obj_t BgL_arg2551z00_6613;long BgL_arg2552z00_6614;
BgL_arg2551z00_6613 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5605)))->BgL_chainz00); 
BgL_arg2552z00_6614 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5605))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5606), ((long)0), BgL_arg2551z00_6613, ((long)0), BgL_arg2552z00_6614);} } 

}



/* &do-cipher-block!-PCB1331 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2PCB1331za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5607, obj_t BgL_statez00_5608, obj_t BgL_fromz00_5609, obj_t BgL_fromzd2poszd2_5610, obj_t BgL_toz00_5611, obj_t BgL_tozd2poszd2_5612)
{
{ /* Llib/block_ciphers.scm 308 */
{ /* Llib/block_ciphers.scm 310 */
obj_t BgL_fun2541z00_6616;
BgL_fun2541z00_6616 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5608))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 310 */
obj_t BgL_arg2539z00_6617;obj_t BgL_arg2540z00_6618;
BgL_arg2539z00_6617 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5608)))->BgL_bufferz00); 
BgL_arg2540z00_6618 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5608))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2541z00_6616)(BgL_fun2541z00_6616, BgL_fromz00_5609, BgL_fromzd2poszd2_5610, BgL_arg2539z00_6617, 
BINT(((long)0)), BgL_arg2540z00_6618, BEOA); } } 
{ /* Llib/block_ciphers.scm 311 */
obj_t BgL_arg2542z00_6619;obj_t BgL_arg2543z00_6620;obj_t BgL_arg2544z00_6621;long BgL_arg2545z00_6622;
BgL_arg2542z00_6619 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5608)))->BgL_bufferz00); 
BgL_arg2543z00_6620 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5608)))->BgL_bufferz00); 
BgL_arg2544z00_6621 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5608)))->BgL_chainz00); 
BgL_arg2545z00_6622 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5608))))->BgL_blockzd2siza7ez75); 
{ 
long BgL_iz00_6624;
BgL_iz00_6624 = ((long)0); 
BgL_loopz00_6623:
if(
(BgL_iz00_6624==BgL_arg2545z00_6622))
{ /* Llib/block_ciphers.scm 311 */BgL_arg2542z00_6619; }  else 
{ /* Llib/block_ciphers.scm 311 */
{ /* Llib/block_ciphers.scm 311 */
long BgL_arg2637z00_6625;unsigned char BgL_arg2638z00_6626;
BgL_arg2637z00_6625 = 
(((long)0)+BgL_iz00_6624); 
BgL_arg2638z00_6626 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2543z00_6620, 
(((long)0)+BgL_iz00_6624))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2544z00_6621, 
(((long)0)+BgL_iz00_6624)))))))); 
{ /* Llib/block_ciphers.scm 311 */
unsigned char BgL_tmpz00_12191;
BgL_tmpz00_12191 = 
(unsigned char)(BgL_arg2638z00_6626); 
STRING_SET(BgL_arg2542z00_6619, BgL_arg2637z00_6625, BgL_tmpz00_12191); } } 
{ 
long BgL_iz00_12194;
BgL_iz00_12194 = 
(BgL_iz00_6624+((long)1)); 
BgL_iz00_6624 = BgL_iz00_12194; 
goto BgL_loopz00_6623;} } } } 
{ /* Llib/block_ciphers.scm 312 */
obj_t BgL_arg2546z00_6627;obj_t BgL_arg2547z00_6628;long BgL_arg2548z00_6629;
BgL_arg2546z00_6627 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5608)))->BgL_chainz00); 
BgL_arg2547z00_6628 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5608)))->BgL_bufferz00); 
BgL_arg2548z00_6629 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5608))))->BgL_blockzd2siza7ez75); 
{ 
long BgL_iz00_6631;
BgL_iz00_6631 = ((long)0); 
BgL_loopz00_6630:
if(
(BgL_iz00_6631==BgL_arg2548z00_6629))
{ /* Llib/block_ciphers.scm 312 */BgL_arg2546z00_6627; }  else 
{ /* Llib/block_ciphers.scm 312 */
{ /* Llib/block_ciphers.scm 312 */
long BgL_arg2637z00_6632;unsigned char BgL_arg2638z00_6633;
BgL_arg2637z00_6632 = 
(((long)0)+BgL_iz00_6631); 
BgL_arg2638z00_6633 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5609), 
(
(long)CINT(BgL_fromzd2poszd2_5610)+BgL_iz00_6631))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2547z00_6628, 
(((long)0)+BgL_iz00_6631)))))))); 
{ /* Llib/block_ciphers.scm 312 */
unsigned char BgL_tmpz00_12221;
BgL_tmpz00_12221 = 
(unsigned char)(BgL_arg2638z00_6633); 
STRING_SET(BgL_arg2546z00_6627, BgL_arg2637z00_6632, BgL_tmpz00_12221); } } 
{ 
long BgL_iz00_12224;
BgL_iz00_12224 = 
(BgL_iz00_6631+((long)1)); 
BgL_iz00_6631 = BgL_iz00_12224; 
goto BgL_loopz00_6630;} } } } 
{ /* Llib/block_ciphers.scm 313 */
obj_t BgL_arg2549z00_6634;long BgL_arg2550z00_6635;
BgL_arg2549z00_6634 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5608)))->BgL_bufferz00); 
BgL_arg2550z00_6635 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5608))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 313 */
long BgL_o2z00_6636;
BgL_o2z00_6636 = 
(long)CINT(BgL_tozd2poszd2_5612); 
return 
blit_string(BgL_arg2549z00_6634, ((long)0), 
((obj_t)BgL_toz00_5611), BgL_o2z00_6636, BgL_arg2550z00_6635);} } } 

}



/* &do-cipher-IV-init!-P1329 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2P1329z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5613, obj_t BgL_statez00_5614, obj_t BgL_ivz00_5615)
{
{ /* Llib/block_ciphers.scm 305 */
{ /* Llib/block_ciphers.scm 307 */
obj_t BgL_arg2537z00_6638;long BgL_arg2538z00_6639;
BgL_arg2537z00_6638 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5614)))->BgL_chainz00); 
BgL_arg2538z00_6639 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5614))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5615), ((long)0), BgL_arg2537z00_6638, ((long)0), BgL_arg2538z00_6639);} } 

}



/* &do-cipher-block!-PCB1327 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2PCB1327za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5616, obj_t BgL_statez00_5617, obj_t BgL_fromz00_5618, obj_t BgL_fromzd2poszd2_5619, obj_t BgL_toz00_5620, obj_t BgL_tozd2poszd2_5621)
{
{ /* Llib/block_ciphers.scm 290 */
{ /* Llib/block_ciphers.scm 292 */
obj_t BgL_arg2525z00_6641;obj_t BgL_arg2526z00_6642;long BgL_arg2527z00_6643;
BgL_arg2525z00_6641 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5617)))->BgL_bufferz00); 
BgL_arg2526z00_6642 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5617)))->BgL_chainz00); 
BgL_arg2527z00_6643 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5617))))->BgL_blockzd2siza7ez75); 
{ 
long BgL_iz00_6645;
BgL_iz00_6645 = ((long)0); 
BgL_loopz00_6644:
if(
(BgL_iz00_6645==BgL_arg2527z00_6643))
{ /* Llib/block_ciphers.scm 292 */BgL_arg2525z00_6641; }  else 
{ /* Llib/block_ciphers.scm 292 */
{ /* Llib/block_ciphers.scm 292 */
long BgL_arg2637z00_6646;unsigned char BgL_arg2638z00_6647;
BgL_arg2637z00_6646 = 
(((long)0)+BgL_iz00_6645); 
BgL_arg2638z00_6647 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2526z00_6642, 
(((long)0)+BgL_iz00_6645))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5618), 
(
(long)CINT(BgL_fromzd2poszd2_5619)+BgL_iz00_6645)))))))); 
{ /* Llib/block_ciphers.scm 292 */
unsigned char BgL_tmpz00_12266;
BgL_tmpz00_12266 = 
(unsigned char)(BgL_arg2638z00_6647); 
STRING_SET(BgL_arg2525z00_6641, BgL_arg2637z00_6646, BgL_tmpz00_12266); } } 
{ 
long BgL_iz00_12269;
BgL_iz00_12269 = 
(BgL_iz00_6645+((long)1)); 
BgL_iz00_6645 = BgL_iz00_12269; 
goto BgL_loopz00_6644;} } } } 
{ /* Llib/block_ciphers.scm 293 */
obj_t BgL_fun2531z00_6648;
BgL_fun2531z00_6648 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5617))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 293 */
obj_t BgL_arg2528z00_6649;obj_t BgL_arg2529z00_6650;obj_t BgL_arg2530z00_6651;
BgL_arg2528z00_6649 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5617)))->BgL_bufferz00); 
BgL_arg2529z00_6650 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5617)))->BgL_bufferz00); 
BgL_arg2530z00_6651 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5617))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2531z00_6648)(BgL_fun2531z00_6648, BgL_arg2528z00_6649, 
BINT(((long)0)), BgL_arg2529z00_6650, 
BINT(((long)0)), BgL_arg2530z00_6651, BEOA); } } 
{ /* Llib/block_ciphers.scm 294 */
obj_t BgL_arg2532z00_6652;obj_t BgL_arg2533z00_6653;long BgL_arg2534z00_6654;
BgL_arg2532z00_6652 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5617)))->BgL_chainz00); 
BgL_arg2533z00_6653 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5617)))->BgL_bufferz00); 
BgL_arg2534z00_6654 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5617))))->BgL_blockzd2siza7ez75); 
{ 
long BgL_iz00_6656;
BgL_iz00_6656 = ((long)0); 
BgL_loopz00_6655:
if(
(BgL_iz00_6656==BgL_arg2534z00_6654))
{ /* Llib/block_ciphers.scm 294 */BgL_arg2532z00_6652; }  else 
{ /* Llib/block_ciphers.scm 294 */
{ /* Llib/block_ciphers.scm 294 */
long BgL_arg2637z00_6657;unsigned char BgL_arg2638z00_6658;
BgL_arg2637z00_6657 = 
(((long)0)+BgL_iz00_6656); 
BgL_arg2638z00_6658 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5618), 
(
(long)CINT(BgL_fromzd2poszd2_5619)+BgL_iz00_6656))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2533z00_6653, 
(((long)0)+BgL_iz00_6656)))))))); 
{ /* Llib/block_ciphers.scm 294 */
unsigned char BgL_tmpz00_12316;
BgL_tmpz00_12316 = 
(unsigned char)(BgL_arg2638z00_6658); 
STRING_SET(BgL_arg2532z00_6652, BgL_arg2637z00_6657, BgL_tmpz00_12316); } } 
{ 
long BgL_iz00_12319;
BgL_iz00_12319 = 
(BgL_iz00_6656+((long)1)); 
BgL_iz00_6656 = BgL_iz00_12319; 
goto BgL_loopz00_6655;} } } } 
{ /* Llib/block_ciphers.scm 295 */
obj_t BgL_arg2535z00_6659;long BgL_arg2536z00_6660;
BgL_arg2535z00_6659 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5617)))->BgL_bufferz00); 
BgL_arg2536z00_6660 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5617))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 295 */
long BgL_o2z00_6661;
BgL_o2z00_6661 = 
(long)CINT(BgL_tozd2poszd2_5621); 
return 
blit_string(BgL_arg2535z00_6659, ((long)0), 
((obj_t)BgL_toz00_5620), BgL_o2z00_6661, BgL_arg2536z00_6660);} } } 

}



/* &do-cipher-IV-init!-P1325 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2P1325z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5622, obj_t BgL_statez00_5623, obj_t BgL_ivz00_5624)
{
{ /* Llib/block_ciphers.scm 287 */
{ /* Llib/block_ciphers.scm 289 */
obj_t BgL_arg2523z00_6663;long BgL_arg2524z00_6664;
BgL_arg2523z00_6663 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5623)))->BgL_chainz00); 
BgL_arg2524z00_6664 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5623))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5624), ((long)0), BgL_arg2523z00_6663, ((long)0), BgL_arg2524z00_6664);} } 

}



/* &do-cipher-block!-CBC1323 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CBC1323za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5625, obj_t BgL_statez00_5626, obj_t BgL_fromz00_5627, obj_t BgL_fromzd2poszd2_5628, obj_t BgL_toz00_5629, obj_t BgL_tozd2poszd2_5630)
{
{ /* Llib/block_ciphers.scm 269 */
{ /* Llib/block_ciphers.scm 271 */
obj_t BgL_arg2516z00_6666;long BgL_arg2517z00_6667;
BgL_arg2516z00_6666 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5626)))->BgL_bufferz00); 
BgL_arg2517z00_6667 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5626))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 271 */
long BgL_o1z00_6668;
BgL_o1z00_6668 = 
(long)CINT(BgL_fromzd2poszd2_5628); 
blit_string(
((obj_t)BgL_fromz00_5627), BgL_o1z00_6668, BgL_arg2516z00_6666, ((long)0), BgL_arg2517z00_6667); } } 
{ /* Llib/block_ciphers.scm 272 */
obj_t BgL_fun2520z00_6669;
BgL_fun2520z00_6669 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5626))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 272 */
obj_t BgL_arg2518z00_6670;obj_t BgL_arg2519z00_6671;
BgL_arg2518z00_6670 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5626)))->BgL_bufferz00); 
BgL_arg2519z00_6671 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5626))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2520z00_6669)(BgL_fun2520z00_6669, BgL_arg2518z00_6670, 
BINT(((long)0)), BgL_toz00_5629, BgL_tozd2poszd2_5630, BgL_arg2519z00_6671, BEOA); } } 
{ /* Llib/block_ciphers.scm 273 */
obj_t BgL_arg2521z00_6672;long BgL_arg2522z00_6673;
BgL_arg2521z00_6672 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5626)))->BgL_chainz00); 
BgL_arg2522z00_6673 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5626))))->BgL_blockzd2siza7ez75); 
{ 
long BgL_iz00_6675;
BgL_iz00_6675 = ((long)0); 
BgL_loopz00_6674:
if(
(BgL_iz00_6675==BgL_arg2522z00_6673))
{ /* Llib/block_ciphers.scm 273 */BgL_toz00_5629; }  else 
{ /* Llib/block_ciphers.scm 273 */
{ /* Llib/block_ciphers.scm 273 */
long BgL_arg2637z00_6676;unsigned char BgL_arg2638z00_6677;
BgL_arg2637z00_6676 = 
(
(long)CINT(BgL_tozd2poszd2_5630)+BgL_iz00_6675); 
BgL_arg2638z00_6677 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_toz00_5629), 
(
(long)CINT(BgL_tozd2poszd2_5630)+BgL_iz00_6675))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2521z00_6672, 
(((long)0)+BgL_iz00_6675)))))))); 
{ /* Llib/block_ciphers.scm 273 */
unsigned char BgL_charz00_6678;
BgL_charz00_6678 = 
(unsigned char)(BgL_arg2638z00_6677); 
{ /* Llib/block_ciphers.scm 273 */
obj_t BgL_tmpz00_12386;
BgL_tmpz00_12386 = 
((obj_t)BgL_toz00_5629); 
STRING_SET(BgL_tmpz00_12386, BgL_arg2637z00_6676, BgL_charz00_6678); } } } 
{ 
long BgL_iz00_12389;
BgL_iz00_12389 = 
(BgL_iz00_6675+((long)1)); 
BgL_iz00_6675 = BgL_iz00_12389; 
goto BgL_loopz00_6674;} } } } 
{ /* Llib/block_ciphers.scm 274 */
obj_t BgL_tmpz00_6679;
BgL_tmpz00_6679 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5626)))->BgL_chainz00); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5626)))->BgL_chainz00)=((obj_t)
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5626)))->BgL_bufferz00)),BUNSPEC); 
return 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5626)))->BgL_bufferz00)=((obj_t)BgL_tmpz00_6679),BUNSPEC);} } 

}



/* &do-cipher-IV-init!-C1321 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1321z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5631, obj_t BgL_statez00_5632, obj_t BgL_ivz00_5633)
{
{ /* Llib/block_ciphers.scm 266 */
{ /* Llib/block_ciphers.scm 268 */
obj_t BgL_arg2514z00_6681;long BgL_arg2515z00_6682;
BgL_arg2514z00_6681 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5632)))->BgL_chainz00); 
BgL_arg2515z00_6682 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5632))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5633), ((long)0), BgL_arg2514z00_6681, ((long)0), BgL_arg2515z00_6682);} } 

}



/* &do-cipher-block!-CBC1319 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CBC1319za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5634, obj_t BgL_statez00_5635, obj_t BgL_fromz00_5636, obj_t BgL_fromzd2poszd2_5637, obj_t BgL_toz00_5638, obj_t BgL_tozd2poszd2_5639)
{
{ /* Llib/block_ciphers.scm 252 */
{ /* Llib/block_ciphers.scm 254 */
obj_t BgL_arg2505z00_6684;obj_t BgL_arg2506z00_6685;long BgL_arg2507z00_6686;
BgL_arg2505z00_6684 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5635)))->BgL_bufferz00); 
BgL_arg2506z00_6685 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5635)))->BgL_chainz00); 
BgL_arg2507z00_6686 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5635))))->BgL_blockzd2siza7ez75); 
{ 
long BgL_iz00_6688;
BgL_iz00_6688 = ((long)0); 
BgL_loopz00_6687:
if(
(BgL_iz00_6688==BgL_arg2507z00_6686))
{ /* Llib/block_ciphers.scm 254 */BgL_arg2505z00_6684; }  else 
{ /* Llib/block_ciphers.scm 254 */
{ /* Llib/block_ciphers.scm 254 */
long BgL_arg2637z00_6689;unsigned char BgL_arg2638z00_6690;
BgL_arg2637z00_6689 = 
(((long)0)+BgL_iz00_6688); 
BgL_arg2638z00_6690 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2506z00_6685, 
(((long)0)+BgL_iz00_6688))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5636), 
(
(long)CINT(BgL_fromzd2poszd2_5637)+BgL_iz00_6688)))))))); 
{ /* Llib/block_ciphers.scm 254 */
unsigned char BgL_tmpz00_12431;
BgL_tmpz00_12431 = 
(unsigned char)(BgL_arg2638z00_6690); 
STRING_SET(BgL_arg2505z00_6684, BgL_arg2637z00_6689, BgL_tmpz00_12431); } } 
{ 
long BgL_iz00_12434;
BgL_iz00_12434 = 
(BgL_iz00_6688+((long)1)); 
BgL_iz00_6688 = BgL_iz00_12434; 
goto BgL_loopz00_6687;} } } } 
{ /* Llib/block_ciphers.scm 255 */
obj_t BgL_fun2511z00_6691;
BgL_fun2511z00_6691 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5635))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 255 */
obj_t BgL_arg2508z00_6692;obj_t BgL_arg2509z00_6693;obj_t BgL_arg2510z00_6694;
BgL_arg2508z00_6692 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5635)))->BgL_bufferz00); 
BgL_arg2509z00_6693 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5635)))->BgL_chainz00); 
BgL_arg2510z00_6694 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5635))))->BgL_paramz00); 
PROCEDURE_ENTRY(BgL_fun2511z00_6691)(BgL_fun2511z00_6691, BgL_arg2508z00_6692, 
BINT(((long)0)), BgL_arg2509z00_6693, 
BINT(((long)0)), BgL_arg2510z00_6694, BEOA); } } 
{ /* Llib/block_ciphers.scm 256 */
obj_t BgL_arg2512z00_6695;long BgL_arg2513z00_6696;
BgL_arg2512z00_6695 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5635)))->BgL_chainz00); 
BgL_arg2513z00_6696 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5635))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 256 */
long BgL_o2z00_6697;
BgL_o2z00_6697 = 
(long)CINT(BgL_tozd2poszd2_5639); 
return 
blit_string(BgL_arg2512z00_6695, ((long)0), 
((obj_t)BgL_toz00_5638), BgL_o2z00_6697, BgL_arg2513z00_6696);} } } 

}



/* &do-cipher-IV-init!-C1317 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1317z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5640, obj_t BgL_statez00_5641, obj_t BgL_ivz00_5642)
{
{ /* Llib/block_ciphers.scm 249 */
{ /* Llib/block_ciphers.scm 251 */
obj_t BgL_arg2503z00_6699;long BgL_arg2504z00_6700;
BgL_arg2503z00_6699 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5641)))->BgL_chainz00); 
BgL_arg2504z00_6700 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5641))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5642), ((long)0), BgL_arg2503z00_6699, ((long)0), BgL_arg2504z00_6700);} } 

}



/* &do-cipher-block!-ECB1315 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2ECB1315za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5643, obj_t BgL_statez00_5644, obj_t BgL_fromz00_5645, obj_t BgL_fromzd2poszd2_5646, obj_t BgL_toz00_5647, obj_t BgL_tozd2poszd2_5648)
{
{ /* Llib/block_ciphers.scm 236 */
{ /* Llib/block_ciphers.scm 238 */
obj_t BgL_fun2502z00_6702;
BgL_fun2502z00_6702 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_statez00_5644))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 238 */
obj_t BgL_arg2501z00_6703;
BgL_arg2501z00_6703 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_statez00_5644))))->BgL_paramz00); 
return 
PROCEDURE_ENTRY(BgL_fun2502z00_6702)(BgL_fun2502z00_6702, BgL_fromz00_5645, BgL_fromzd2poszd2_5646, BgL_toz00_5647, BgL_tozd2poszd2_5648, BgL_arg2501z00_6703, BEOA);} } } 

}



/* &do-cipher-block!-ECB1313 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2ECB1313za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5649, obj_t BgL_statez00_5650, obj_t BgL_fromz00_5651, obj_t BgL_fromzd2poszd2_5652, obj_t BgL_toz00_5653, obj_t BgL_tozd2poszd2_5654)
{
{ /* Llib/block_ciphers.scm 233 */
{ /* Llib/block_ciphers.scm 235 */
obj_t BgL_fun2500z00_6705;
BgL_fun2500z00_6705 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_statez00_5650))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 235 */
obj_t BgL_arg2499z00_6706;
BgL_arg2499z00_6706 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_statez00_5650))))->BgL_paramz00); 
return 
PROCEDURE_ENTRY(BgL_fun2500z00_6705)(BgL_fun2500z00_6705, BgL_fromz00_5651, BgL_fromzd2poszd2_5652, BgL_toz00_5653, BgL_tozd2poszd2_5654, BgL_arg2499z00_6706, BEOA);} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00()
{
{ /* Llib/block_ciphers.scm 1 */
BGl_modulezd2initializa7ationz75zz__cryptozd2utilzd2(((long)300158978), 
BSTRING_TO_STRING(BGl_string3929z00zz__cryptozd2blockzd2ciphersz00)); 
BGl_modulezd2initializa7ationz75zz__cryptozd2cipherzd2paddingz00(((long)63410218), 
BSTRING_TO_STRING(BGl_string3929z00zz__cryptozd2blockzd2ciphersz00)); 
return 
BGl_modulezd2initializa7ationz75zz__cryptozd2string2keyzd2(((long)210905795), 
BSTRING_TO_STRING(BGl_string3929z00zz__cryptozd2blockzd2ciphersz00));} 

}

#ifdef __cplusplus
}
#endif
