/*===========================================================================*/
/*   (Llib/flac.scm)                                                         */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue 12 May 2020 08:36:09 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.3h/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -unsafe -safee -srfi flac -copt  -copt -fPIC -copt -IClib Llib/flac.scm -o objs/flac.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <FLAC/stream_decoder.h>
#include <bglflac.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_flaczd2decoderzd2_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
} *BgL_flaczd2decoderzd2_bglt;

typedef struct BgL_z62flaczd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62flaczd2errorzb0_bglt;


BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62flaczd2decoderzd2tell1128z62zz__flac_flacz00(obj_t, obj_t);
BGL_EXPORTED_DECL FLAC__StreamDecoder * BGl_z52z42flaczd2decoderzd2newz10zz__flac_flacz00();
static obj_t BGl_z62flaczd2decoderzd2write1124z62zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31213ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_z62z52z42flaczd2makezd2customz72zz__flac_flacz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31303ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_z62flaczd2decoderzd2resetz12z70zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__flac_flacz00();
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_length(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62flaczd2decoderzd2resetz121120z70zz__flac_flacz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_metadata(BgL_flaczd2decoderzd2_bglt, BGL_LONGLONG_T, long, long, long);
static obj_t BGl_z62zc3z04anonymousza31234ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__flac_flacz00();
BGL_EXPORTED_DECL long BGl_flaczd2decoderzd2infoz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62flaczd2decoderzd2tellz62zz__flac_flacz00(obj_t, obj_t);
BGL_IMPORT obj_t make_string(long, unsigned char);
BGL_EXPORTED_DECL obj_t BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62flaczd2decoderzd2metadataz62zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_flaczd2decoderzd2initz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_read(BgL_flaczd2decoderzd2_bglt, long);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1203z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1204z62zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62flaczd2decoderzd2closez62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2decode11118z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1211z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1212z62zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_flaczd2volumezd2setz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt, obj_t);
static obj_t BGl_z62lambda1232z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1233z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31347ze3ze5zz__flac_flacz00(obj_t);
BGL_EXPORTED_DECL long BGl_flaczd2decoderzd2positionz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza31542ze3ze5zz__flac_flacz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52z42flaczd2makezd2customz10zz__flac_flacz00();
static obj_t BGl_z62objectzd2printzd2flaczd2de1111zb0zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2decode16z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2decodez62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1423z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1424z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1267z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1268z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2decode1116z62zz__flac_flacz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__flac_flacz00();
static obj_t BGl_z62flaczd2decoderzd2positionz62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2close1114z62zz__flac_flacz00(obj_t, obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62flaczd2volumezd2get1138z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2info1134z62zz__flac_flacz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
static obj_t BGl_z62flaczd2decoderzd2read1122z62zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_flaczd2decoderzd2closez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_flaczd2decoderzd2statezd2ze3symbolz31zz__flac_flacz00(FLAC__StreamDecoderState);
static obj_t BGl_z62flaczd2volumezd2getz62zz__flac_flacz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_tell(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_requirezd2initializa7ationz75zz__flac_flacz00 = BUNSPEC;
static obj_t BGl_z62flaczd2decoderzd2seekz62zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__flac_flacz00();
static obj_t BGl_z62zc3z04anonymousza31205ze3ze5zz__flac_flacz00(obj_t);
BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__flac_flacz00();
BGL_EXPORTED_DECL int bgl_flac_error(char *, char *, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2volumezd2setz121140z70zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2writez62zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62flaczd2errorzb0zz__flac_flacz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2positio1136z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2error1888zb0zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2metadat1126z62zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31335ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31425ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31174ze3ze5zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31620ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_z62lambda1301z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1302z62zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__flac_flacz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__customz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static obj_t BGl_z62lambda1333z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31608ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_z62lambda1334z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static BgL_flaczd2decoderzd2_bglt BGl_z62lambda1172z62zz__flac_flacz00(obj_t);
static obj_t BGl_z62flaczd2decoderzd2seek1130z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52z42flaczd2decoderzd2newz72zz__flac_flacz00(obj_t);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_write(BgL_flaczd2decoderzd2_bglt, long, long, long, long);
static obj_t BGl_z62lambda1345z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31269ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_z62lambda1346z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__flac_flacz00();
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2zz__flac_flacz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zz__flac_flacz00();
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_seek(BgL_flaczd2decoderzd2_bglt, BGL_LONGLONG_T);
static obj_t BGl_z62zc3z04anonymousza31197ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_z62lambda1195z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1196z62zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_custom_nil();
static BgL_z62flaczd2errorzb0_bglt BGl_z62lambda1522z62zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62flaczd2decoderzd2infoz62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2volumezd2setz12z70zz__flac_flacz00(obj_t, obj_t, obj_t);
static BgL_z62flaczd2errorzb0_bglt BGl_z62lambda1539z62zz__flac_flacz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62flaczd2decoderzd2length1132z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2initz62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2init1112z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2readz62zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_flaczd2volumezd2getz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62flaczd2decoderzd2lengthz62zz__flac_flacz00(obj_t, obj_t);
static obj_t __cnst[ 33 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2032z00zz__flac_flacz00, BgL_bgl_za762objectza7d2prin2040z00, BGl_z62objectzd2printzd2flaczd2de1111zb0zz__flac_flacz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2volumezd2setz12zd2envzc0zz__flac_flacz00, BgL_bgl_za762flacza7d2volume2041z00, BGl_z62flaczd2volumezd2setz12z70zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2042z00, BGl_z62flaczd2decoderzd2metadataz62zz__flac_flacz00, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52z42flaczd2decoderzd2newzd2envzc2zz__flac_flacz00, BgL_bgl_za762za752za742flacza7d22043z00, BGl_z62z52z42flaczd2decoderzd2newz72zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2lengthzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2044z00, BGl_z62flaczd2decoderzd2lengthz62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2seekzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2045z00, BGl_z62flaczd2decoderzd2seekz62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1950z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo2046za7, BGl_z62zc3z04anonymousza31197ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1951z00zz__flac_flacz00, BgL_bgl_za762lambda1196za7622047z00, BGl_z62lambda1196z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1952z00zz__flac_flacz00, BgL_bgl_za762lambda1195za7622048z00, BGl_z62lambda1195z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1953z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo2049za7, BGl_z62zc3z04anonymousza31205ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1954z00zz__flac_flacz00, BgL_bgl_za762lambda1204za7622050z00, BGl_z62lambda1204z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1955z00zz__flac_flacz00, BgL_bgl_za762lambda1203za7622051z00, BGl_z62lambda1203z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1956z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo2052za7, BGl_z62zc3z04anonymousza31213ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1957z00zz__flac_flacz00, BgL_bgl_za762lambda1212za7622053z00, BGl_z62lambda1212z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1958z00zz__flac_flacz00, BgL_bgl_za762lambda1211za7622054z00, BGl_z62lambda1211z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1959z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo2055za7, BGl_z62zc3z04anonymousza31234ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1960z00zz__flac_flacz00, BgL_bgl_za762lambda1233za7622056z00, BGl_z62lambda1233z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1961z00zz__flac_flacz00, BgL_bgl_za762lambda1232za7622057z00, BGl_z62lambda1232z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1962z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo2058za7, BGl_z62zc3z04anonymousza31269ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1963z00zz__flac_flacz00, BgL_bgl_za762lambda1268za7622059z00, BGl_z62lambda1268z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1964z00zz__flac_flacz00, BgL_bgl_za762lambda1267za7622060z00, BGl_z62lambda1267z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1965z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo2061za7, BGl_z62zc3z04anonymousza31303ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1966z00zz__flac_flacz00, BgL_bgl_za762lambda1302za7622062z00, BGl_z62lambda1302z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1967z00zz__flac_flacz00, BgL_bgl_za762lambda1301za7622063z00, BGl_z62lambda1301z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1968z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo2064za7, BGl_z62zc3z04anonymousza31335ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1969z00zz__flac_flacz00, BgL_bgl_za762lambda1334za7622065z00, BGl_z62lambda1334z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1970z00zz__flac_flacz00, BgL_bgl_za762lambda1333za7622066z00, BGl_z62lambda1333z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1971z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo2067za7, BGl_z62zc3z04anonymousza31347ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1972z00zz__flac_flacz00, BgL_bgl_za762lambda1346za7622068z00, BGl_z62lambda1346z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1973z00zz__flac_flacz00, BgL_bgl_za762lambda1345za7622069z00, BGl_z62lambda1345z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1974z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo2070za7, BGl_z62zc3z04anonymousza31425ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1975z00zz__flac_flacz00, BgL_bgl_za762lambda1424za7622071z00, BGl_z62lambda1424z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1976z00zz__flac_flacz00, BgL_bgl_za762lambda1423za7622072z00, BGl_z62lambda1423z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1977z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo2073za7, BGl_z62zc3z04anonymousza31174ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1978z00zz__flac_flacz00, BgL_bgl_za762lambda1172za7622074z00, BGl_z62lambda1172z62zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1979z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo2075za7, BGl_z62zc3z04anonymousza31542ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1980z00zz__flac_flacz00, BgL_bgl_za762lambda1539za7622076z00, BGl_z62lambda1539z62zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1981z00zz__flac_flacz00, BgL_bgl_za762lambda1522za7622077z00, BGl_z62lambda1522z62zz__flac_flacz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1983z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2078z00, BGl_z62flaczd2decoderzd2init1112z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1985z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2079z00, BGl_z62flaczd2decoderzd2close1114z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1987z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2080z00, BGl_z62flaczd2decoderzd2decode1116z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1989z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2081z00, BGl_z62flaczd2decoderzd2decode11118z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2082z00, BGl_z62flaczd2decoderzd2resetz12z70zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1991z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2083z00, BGl_z62flaczd2decoderzd2resetz121120z70zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1993z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2084z00, BGl_z62flaczd2decoderzd2read1122z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1995z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2085z00, BGl_z62flaczd2decoderzd2write1124z62zz__flac_flacz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1997z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2086z00, BGl_z62flaczd2decoderzd2metadat1126z62zz__flac_flacz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1999z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2087z00, BGl_z62flaczd2decoderzd2tell1128z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2088z00, BGl_z62flaczd2decoderzd2initz62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2writezd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2089z00, BGl_z62flaczd2decoderzd2writez62zz__flac_flacz00, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2tellzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2090z00, BGl_z62flaczd2decoderzd2tellz62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2000z00zz__flac_flacz00, BgL_bgl_string2000za700za7za7_2091za7, "flac-decoder-tell1128", 21 );
DEFINE_STRING( BGl_string2002z00zz__flac_flacz00, BgL_bgl_string2002za700za7za7_2092za7, "flac-decoder-seek1130", 21 );
DEFINE_STRING( BGl_string2004z00zz__flac_flacz00, BgL_bgl_string2004za700za7za7_2093za7, "flac-decoder-length1132", 23 );
DEFINE_STRING( BGl_string2006z00zz__flac_flacz00, BgL_bgl_string2006za700za7za7_2094za7, "flac-decoder-info1134", 21 );
DEFINE_STRING( BGl_string2008z00zz__flac_flacz00, BgL_bgl_string2008za700za7za7_2095za7, "flac-decoder-positio1136", 24 );
DEFINE_STRING( BGl_string2010z00zz__flac_flacz00, BgL_bgl_string2010za700za7za7_2096za7, "flac-volume-get1138", 19 );
DEFINE_STRING( BGl_string2012z00zz__flac_flacz00, BgL_bgl_string2012za700za7za7_2097za7, "flac-volume-set!1140", 20 );
DEFINE_STRING( BGl_string2013z00zz__flac_flacz00, BgL_bgl_string2013za700za7za7_2098za7, "No method for this object", 25 );
DEFINE_STRING( BGl_string2014z00zz__flac_flacz00, BgL_bgl_string2014za700za7za7_2099za7, "&flac-decoder-init", 18 );
DEFINE_STRING( BGl_string2015z00zz__flac_flacz00, BgL_bgl_string2015za700za7za7_2100za7, "flac-decoder", 12 );
DEFINE_STRING( BGl_string2016z00zz__flac_flacz00, BgL_bgl_string2016za700za7za7_2101za7, "&flac-decoder-close", 19 );
DEFINE_STRING( BGl_string2017z00zz__flac_flacz00, BgL_bgl_string2017za700za7za7_2102za7, "&flac-decoder-decode", 20 );
DEFINE_STRING( BGl_string2018z00zz__flac_flacz00, BgL_bgl_string2018za700za7za7_2103za7, "&flac-decoder-decode16", 22 );
DEFINE_STRING( BGl_string2019z00zz__flac_flacz00, BgL_bgl_string2019za700za7za7_2104za7, "&flac-decoder-reset!", 20 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2positionzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2105z00, BGl_z62flaczd2decoderzd2positionz62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2020z00zz__flac_flacz00, BgL_bgl_string2020za700za7za7_2106za7, "&flac-decoder-read", 18 );
DEFINE_STRING( BGl_string2021z00zz__flac_flacz00, BgL_bgl_string2021za700za7za7_2107za7, "bint", 4 );
DEFINE_STRING( BGl_string2022z00zz__flac_flacz00, BgL_bgl_string2022za700za7za7_2108za7, "&flac-decoder-write", 19 );
DEFINE_STRING( BGl_string2023z00zz__flac_flacz00, BgL_bgl_string2023za700za7za7_2109za7, "&flac-decoder-metadata", 22 );
DEFINE_STRING( BGl_string2024z00zz__flac_flacz00, BgL_bgl_string2024za700za7za7_2110za7, "bllong", 6 );
DEFINE_STRING( BGl_string2025z00zz__flac_flacz00, BgL_bgl_string2025za700za7za7_2111za7, "&flac-decoder-tell", 18 );
DEFINE_STRING( BGl_string2026z00zz__flac_flacz00, BgL_bgl_string2026za700za7za7_2112za7, "&flac-decoder-seek", 18 );
DEFINE_STRING( BGl_string2027z00zz__flac_flacz00, BgL_bgl_string2027za700za7za7_2113za7, "&flac-decoder-length", 20 );
DEFINE_STRING( BGl_string2028z00zz__flac_flacz00, BgL_bgl_string2028za700za7za7_2114za7, "&flac-decoder-info", 18 );
DEFINE_STRING( BGl_string2029z00zz__flac_flacz00, BgL_bgl_string2029za700za7za7_2115za7, "&flac-decoder-position", 22 );
DEFINE_STRING( BGl_string2030z00zz__flac_flacz00, BgL_bgl_string2030za700za7za7_2116za7, "&flac-volume-get", 16 );
DEFINE_STRING( BGl_string2031z00zz__flac_flacz00, BgL_bgl_string2031za700za7za7_2117za7, "&flac-volume-set!", 17 );
DEFINE_STRING( BGl_string2033z00zz__flac_flacz00, BgL_bgl_string2033za700za7za7_2118za7, "object-print", 12 );
DEFINE_STRING( BGl_string2034z00zz__flac_flacz00, BgL_bgl_string2034za700za7za7_2119za7, "#|flac-decoder|", 15 );
DEFINE_STRING( BGl_string2035z00zz__flac_flacz00, BgL_bgl_string2035za700za7za7_2120za7, "flac-decoder-read1122 flac-decoder-write1124 flac-decoder-metadat1126 &flac-error __flac_flac flac-decoder %rchecksum int %bchecksum md5check double %volume long %sample bool %eof bstring outbuf custom %flacbuf $flac-decoder $builtin unknown stream-decoder-uninitialized stream-decoder-memory-allocation-error stream-decoder-aborted stream-decoder-seek-error STREAM-DECODER-OGG-ERROR stream-decoder-end-of-stream stream-decoder-read-frame stream-decoder-search-for-frame-sync stream-decoder-read-metadata decoder-search-for-metata ", 531 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2decodezd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2121z00, BGl_z62flaczd2decoderzd2decodez62zz__flac_flacz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2closezd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2122z00, BGl_z62flaczd2decoderzd2closez62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1946z00zz__flac_flacz00, BgL_bgl_string1946za700za7za7_2123za7, "Llib/flac.scm", 13 );
DEFINE_STRING( BGl_string1947z00zz__flac_flacz00, BgL_bgl_string1947za700za7za7_2124za7, "/builddir/build/BUILD/bigloo-4.3h/api/flac/src/Llib/flac.scm", 60 );
DEFINE_STRING( BGl_string1948z00zz__flac_flacz00, BgL_bgl_string1948za700za7za7_2125za7, "&flac-error1888", 15 );
DEFINE_STRING( BGl_string1949z00zz__flac_flacz00, BgL_bgl_string1949za700za7za7_2126za7, "bstring", 7 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2decode16zd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2127z00, BGl_z62flaczd2decoderzd2decode16z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2infozd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2128z00, BGl_z62flaczd2decoderzd2infoz62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1982z00zz__flac_flacz00, BgL_bgl_string1982za700za7za7_2129za7, "", 0 );
DEFINE_STRING( BGl_string1984z00zz__flac_flacz00, BgL_bgl_string1984za700za7za7_2130za7, "flac-decoder-init1112", 21 );
DEFINE_STRING( BGl_string1986z00zz__flac_flacz00, BgL_bgl_string1986za700za7za7_2131za7, "flac-decoder-close1114", 22 );
DEFINE_STRING( BGl_string1988z00zz__flac_flacz00, BgL_bgl_string1988za700za7za7_2132za7, "flac-decoder-decode1116", 23 );
DEFINE_STRING( BGl_string1990z00zz__flac_flacz00, BgL_bgl_string1990za700za7za7_2133za7, "flac-decoder-decode11118", 24 );
DEFINE_STRING( BGl_string1992z00zz__flac_flacz00, BgL_bgl_string1992za700za7za7_2134za7, "flac-decoder-reset!1120", 23 );
DEFINE_STRING( BGl_string1994z00zz__flac_flacz00, BgL_bgl_string1994za700za7za7_2135za7, "flac-decoder-read1122", 21 );
DEFINE_STRING( BGl_string1996z00zz__flac_flacz00, BgL_bgl_string1996za700za7za7_2136za7, "flac-decoder-write1124", 22 );
DEFINE_STRING( BGl_string1998z00zz__flac_flacz00, BgL_bgl_string1998za700za7za7_2137za7, "flac-decoder-metadat1126", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2138z00, BGl_z62flaczd2decoderzd2readz62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_flaczd2errorzd2envz00zz__flac_flacz00, BgL_bgl_za762flacza7d2error12139z00, BGl_z62flaczd2error1888zb0zz__flac_flacz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52z42flaczd2makezd2customzd2envzc2zz__flac_flacz00, BgL_bgl_za762za752za742flacza7d22140z00, BGl_z62z52z42flaczd2makezd2customz72zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2001z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2141z00, BGl_z62flaczd2decoderzd2seek1130z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2003z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2142z00, BGl_z62flaczd2decoderzd2length1132z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2005z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2143z00, BGl_z62flaczd2decoderzd2info1134z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2007z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode2144z00, BGl_z62flaczd2decoderzd2positio1136z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2009z00zz__flac_flacz00, BgL_bgl_za762flacza7d2volume2145z00, BGl_z62flaczd2volumezd2get1138z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2011z00zz__flac_flacz00, BgL_bgl_za762flacza7d2volume2146z00, BGl_z62flaczd2volumezd2setz121140z70zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2volumezd2getzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2volume2147z00, BGl_z62flaczd2volumezd2getz62zz__flac_flacz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__flac_flacz00) );
ADD_ROOT( (void *)(&BGl_z62flaczd2errorzb0zz__flac_flacz00) );
ADD_ROOT( (void *)(&BGl_flaczd2decoderzd2zz__flac_flacz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__flac_flacz00(long BgL_checksumz00_1446, char * BgL_fromz00_1447)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__flac_flacz00))
{ 
BGl_requirezd2initializa7ationz75zz__flac_flacz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__flac_flacz00(); 
BGl_libraryzd2moduleszd2initz00zz__flac_flacz00(); 
BGl_cnstzd2initzd2zz__flac_flacz00(); 
BGl_objectzd2initzd2zz__flac_flacz00(); 
BGl_genericzd2initzd2zz__flac_flacz00(); 
BGl_methodzd2initzd2zz__flac_flacz00(); 
return 
BGl_toplevelzd2initzd2zz__flac_flacz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__flac_flacz00()
{
{ /* Llib/flac.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__customz00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__flac_flac"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__flac_flacz00()
{
{ /* Llib/flac.scm 15 */
{ /* Llib/flac.scm 15 */
obj_t BgL_cportz00_1338;
{ /* Llib/flac.scm 15 */
obj_t BgL_stringz00_1346;
BgL_stringz00_1346 = BGl_string2035z00zz__flac_flacz00; 
{ /* Llib/flac.scm 15 */
obj_t BgL_startz00_1347;
BgL_startz00_1347 = 
BINT(((long)0)); 
{ /* Llib/flac.scm 15 */
obj_t BgL_endz00_1348;
BgL_endz00_1348 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1346))); 
{ /* Llib/flac.scm 15 */

BgL_cportz00_1338 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1346, BgL_startz00_1347, BgL_endz00_1348); } } } } 
{ 
long BgL_iz00_1339;
BgL_iz00_1339 = ((long)32); 
BgL_loopz00_1340:
if(
(BgL_iz00_1339==((long)-1)))
{ /* Llib/flac.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/flac.scm 15 */
{ /* Llib/flac.scm 15 */
obj_t BgL_arg2037z00_1342;
{ /* Llib/flac.scm 15 */

{ /* Llib/flac.scm 15 */
obj_t BgL_locationz00_1344;
BgL_locationz00_1344 = 
BBOOL(((bool_t)0)); 
{ /* Llib/flac.scm 15 */

BgL_arg2037z00_1342 = 
BGl_readz00zz__readerz00(BgL_cportz00_1338, BgL_locationz00_1344); } } } 
{ /* Llib/flac.scm 15 */
int BgL_tmpz00_1483;
BgL_tmpz00_1483 = 
(int)(BgL_iz00_1339); 
CNST_TABLE_SET(BgL_tmpz00_1483, BgL_arg2037z00_1342); } } 
{ /* Llib/flac.scm 15 */
int BgL_auxz00_1345;
BgL_auxz00_1345 = 
(int)(
(BgL_iz00_1339-((long)1))); 
{ 
long BgL_iz00_1488;
BgL_iz00_1488 = 
(long)(BgL_auxz00_1345); 
BgL_iz00_1339 = BgL_iz00_1488; 
goto BgL_loopz00_1340;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__flac_flacz00()
{
{ /* Llib/flac.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__flac_flacz00()
{
{ /* Llib/flac.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), 
BSTRING_TO_STRING(BGl_string1946z00zz__flac_flacz00)); 
return BUNSPEC;} 

}



/* %$flac-decoder-new */
BGL_EXPORTED_DEF FLAC__StreamDecoder * BGl_z52z42flaczd2decoderzd2newz10zz__flac_flacz00()
{
{ /* Llib/flac.scm 77 */
return 
FLAC__stream_decoder_new();} 

}



/* &%$flac-decoder-new */
obj_t BGl_z62z52z42flaczd2decoderzd2newz72zz__flac_flacz00(obj_t BgL_envz00_1037)
{
{ /* Llib/flac.scm 77 */
return 
void_star_to_obj(
BGl_z52z42flaczd2decoderzd2newz10zz__flac_flacz00());} 

}



/* %$flac-make-custom */
BGL_EXPORTED_DEF obj_t BGl_z52z42flaczd2makezd2customz10zz__flac_flacz00()
{
{ /* Llib/flac.scm 83 */
return 
create_custom(((long)0));} 

}



/* &%$flac-make-custom */
obj_t BGl_z62z52z42flaczd2makezd2customz72zz__flac_flacz00(obj_t BgL_envz00_1038)
{
{ /* Llib/flac.scm 83 */
return 
BGl_z52z42flaczd2makezd2customz10zz__flac_flacz00();} 

}



/* flac-decoder-state->symbol */
obj_t BGl_flaczd2decoderzd2statezd2ze3symbolz31zz__flac_flacz00(FLAC__StreamDecoderState BgL_sz00_29)
{
{ /* Llib/flac.scm 195 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_SEARCH_FOR_METADATA))
{ /* Llib/flac.scm 197 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Llib/flac.scm 197 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_READ_METADATA))
{ /* Llib/flac.scm 199 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Llib/flac.scm 199 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_SEARCH_FOR_FRAME_SYNC))
{ /* Llib/flac.scm 201 */
return 
CNST_TABLE_REF(((long)2));}  else 
{ /* Llib/flac.scm 201 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_READ_FRAME))
{ /* Llib/flac.scm 203 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Llib/flac.scm 203 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_END_OF_STREAM))
{ /* Llib/flac.scm 205 */
return 
CNST_TABLE_REF(((long)4));}  else 
{ /* Llib/flac.scm 205 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_OGG_ERROR))
{ /* Llib/flac.scm 207 */
return 
CNST_TABLE_REF(((long)5));}  else 
{ /* Llib/flac.scm 207 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_SEEK_ERROR))
{ /* Llib/flac.scm 209 */
return 
CNST_TABLE_REF(((long)6));}  else 
{ /* Llib/flac.scm 209 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_ABORTED))
{ /* Llib/flac.scm 211 */
return 
CNST_TABLE_REF(((long)7));}  else 
{ /* Llib/flac.scm 211 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_MEMORY_ALLOCATION_ERROR))
{ /* Llib/flac.scm 213 */
return 
CNST_TABLE_REF(((long)8));}  else 
{ /* Llib/flac.scm 213 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_UNINITIALIZED))
{ /* Llib/flac.scm 215 */
return 
CNST_TABLE_REF(((long)9));}  else 
{ /* Llib/flac.scm 215 */
return 
CNST_TABLE_REF(((long)10));} } } } } } } } } } } 

}



/* flac-error */
BGL_EXPORTED_DEF int bgl_flac_error(char * BgL_procz00_35, char * BgL_msgz00_36, obj_t BgL_objz00_37)
{
{ /* Llib/flac.scm 267 */
{ /* Llib/flac.scm 268 */
BgL_z62flaczd2errorzb0_bglt BgL_arg1161z00_63;
{ /* Llib/flac.scm 268 */
BgL_z62flaczd2errorzb0_bglt BgL_new1101z00_64;
{ /* Llib/flac.scm 268 */
BgL_z62flaczd2errorzb0_bglt BgL_new1100z00_67;
BgL_new1100z00_67 = 
((BgL_z62flaczd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62flaczd2errorzb0_bgl) ))); 
{ /* Llib/flac.scm 268 */
long BgL_arg1166z00_68;
{ /* Llib/flac.scm 268 */
long BgL_res1700z00_405;
BgL_res1700z00_405 = 
BGL_CLASS_INDEX(BGl_z62flaczd2errorzb0zz__flac_flacz00); 
BgL_arg1166z00_68 = BgL_res1700z00_405; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1100z00_67), BgL_arg1166z00_68); } 
BgL_new1101z00_64 = BgL_new1100z00_67; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1101z00_64)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1101z00_64)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_1537;
{ /* Llib/flac.scm 268 */
obj_t BgL_arg1162z00_65;
{ /* Llib/flac.scm 268 */
obj_t BgL_arg1165z00_66;
{ /* Llib/flac.scm 268 */
obj_t BgL_res1701z00_409;
{ /* Llib/flac.scm 268 */
obj_t BgL_classz00_408;
BgL_classz00_408 = BGl_z62flaczd2errorzb0zz__flac_flacz00; 
BgL_res1701z00_409 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_408); } 
BgL_arg1165z00_66 = BgL_res1701z00_409; } 
BgL_arg1162z00_65 = 
VECTOR_REF(BgL_arg1165z00_66,((long)2)); } 
BgL_auxz00_1537 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1162z00_65); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1101z00_64)))->BgL_stackz00)=((obj_t)BgL_auxz00_1537),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1101z00_64)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_35)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1101z00_64)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_36)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1101z00_64)))->BgL_objz00)=((obj_t)BgL_objz00_37),BUNSPEC); 
BgL_arg1161z00_63 = BgL_new1101z00_64; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1161z00_63)); } 
return 
(int)(((long)0));} 

}



/* &flac-error1888 */
obj_t BGl_z62flaczd2error1888zb0zz__flac_flacz00(obj_t BgL_envz00_1039, obj_t BgL_procz00_1040, obj_t BgL_msgz00_1041, obj_t BgL_objz00_1042)
{
{ /* Llib/flac.scm 267 */
{ /* Llib/flac.scm 271 */
int BgL_tmpz00_1554;
{ /* Llib/flac.scm 271 */
char * BgL_auxz00_1564;char * BgL_auxz00_1555;
{ /* Llib/flac.scm 271 */
obj_t BgL_tmpz00_1565;
if(
STRINGP(BgL_msgz00_1041))
{ /* Llib/flac.scm 271 */
BgL_tmpz00_1565 = BgL_msgz00_1041
; }  else 
{ 
obj_t BgL_auxz00_1568;
BgL_auxz00_1568 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)12279)), BGl_string1948z00zz__flac_flacz00, BGl_string1949z00zz__flac_flacz00, BgL_msgz00_1041); 
FAILURE(BgL_auxz00_1568,BFALSE,BFALSE);} 
BgL_auxz00_1564 = 
BSTRING_TO_STRING(BgL_tmpz00_1565); } 
{ /* Llib/flac.scm 271 */
obj_t BgL_tmpz00_1556;
if(
STRINGP(BgL_procz00_1040))
{ /* Llib/flac.scm 271 */
BgL_tmpz00_1556 = BgL_procz00_1040
; }  else 
{ 
obj_t BgL_auxz00_1559;
BgL_auxz00_1559 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)12279)), BGl_string1948z00zz__flac_flacz00, BGl_string1949z00zz__flac_flacz00, BgL_procz00_1040); 
FAILURE(BgL_auxz00_1559,BFALSE,BFALSE);} 
BgL_auxz00_1555 = 
BSTRING_TO_STRING(BgL_tmpz00_1556); } 
BgL_tmpz00_1554 = 
bgl_flac_error(BgL_auxz00_1555, BgL_auxz00_1564, BgL_objz00_1042); } 
return 
BINT(BgL_tmpz00_1554);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__flac_flacz00()
{
{ /* Llib/flac.scm 15 */
{ /* Llib/flac.scm 31 */
obj_t BgL_arg1170z00_71;obj_t BgL_arg1171z00_72;
{ /* Llib/flac.scm 31 */
obj_t BgL_v1106z00_78;
BgL_v1106z00_78 = 
create_vector(((long)9)); 
{ /* Llib/flac.scm 31 */
obj_t BgL_arg1175z00_79;
BgL_arg1175z00_79 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc1952z00zz__flac_flacz00, BGl_proc1951z00zz__flac_flacz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1950z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)12))); 
VECTOR_SET(BgL_v1106z00_78,((long)0),BgL_arg1175z00_79); } 
{ /* Llib/flac.scm 31 */
obj_t BgL_arg1199z00_92;
BgL_arg1199z00_92 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc1955z00zz__flac_flacz00, BGl_proc1954z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1953z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)14))); 
VECTOR_SET(BgL_v1106z00_78,((long)1),BgL_arg1199z00_92); } 
{ /* Llib/flac.scm 31 */
obj_t BgL_arg1206z00_105;
BgL_arg1206z00_105 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc1958z00zz__flac_flacz00, BGl_proc1957z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1956z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)16))); 
VECTOR_SET(BgL_v1106z00_78,((long)2),BgL_arg1206z00_105); } 
{ /* Llib/flac.scm 31 */
obj_t BgL_arg1214z00_118;
BgL_arg1214z00_118 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc1961z00zz__flac_flacz00, BGl_proc1960z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1959z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)18))); 
VECTOR_SET(BgL_v1106z00_78,((long)3),BgL_arg1214z00_118); } 
{ /* Llib/flac.scm 31 */
obj_t BgL_arg1258z00_131;
BgL_arg1258z00_131 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_proc1964z00zz__flac_flacz00, BGl_proc1963z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1962z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)20))); 
VECTOR_SET(BgL_v1106z00_78,((long)4),BgL_arg1258z00_131); } 
{ /* Llib/flac.scm 31 */
obj_t BgL_arg1281z00_144;
BgL_arg1281z00_144 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)21)), BGl_proc1967z00zz__flac_flacz00, BGl_proc1966z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1965z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)22))); 
VECTOR_SET(BgL_v1106z00_78,((long)5),BgL_arg1281z00_144); } 
{ /* Llib/flac.scm 31 */
obj_t BgL_arg1325z00_157;
BgL_arg1325z00_157 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_proc1970z00zz__flac_flacz00, BGl_proc1969z00zz__flac_flacz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1968z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)18))); 
VECTOR_SET(BgL_v1106z00_78,((long)6),BgL_arg1325z00_157); } 
{ /* Llib/flac.scm 31 */
obj_t BgL_arg1341z00_170;
BgL_arg1341z00_170 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)24)), BGl_proc1973z00zz__flac_flacz00, BGl_proc1972z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1971z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)25))); 
VECTOR_SET(BgL_v1106z00_78,((long)7),BgL_arg1341z00_170); } 
{ /* Llib/flac.scm 31 */
obj_t BgL_arg1348z00_183;
BgL_arg1348z00_183 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)26)), BGl_proc1976z00zz__flac_flacz00, BGl_proc1975z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1974z00zz__flac_flacz00, 
CNST_TABLE_REF(((long)25))); 
VECTOR_SET(BgL_v1106z00_78,((long)8),BgL_arg1348z00_183); } 
BgL_arg1170z00_71 = BgL_v1106z00_78; } 
{ /* Llib/flac.scm 31 */
obj_t BgL_v1107z00_196;
BgL_v1107z00_196 = 
create_vector(((long)0)); 
BgL_arg1171z00_72 = BgL_v1107z00_196; } 
BGl_flaczd2decoderzd2zz__flac_flacz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)27)), 
CNST_TABLE_REF(((long)28)), BGl_objectz00zz__objectz00, ((long)5423), BFALSE, BGl_proc1978z00zz__flac_flacz00, BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BGl_proc1977z00zz__flac_flacz00, BFALSE, BgL_arg1170z00_71, BgL_arg1171z00_72); } 
{ /* Llib/flac.scm 43 */
obj_t BgL_arg1514z00_202;obj_t BgL_arg1521z00_203;
{ /* Llib/flac.scm 43 */
obj_t BgL_v1108z00_219;
BgL_v1108z00_219 = 
create_vector(((long)0)); 
BgL_arg1514z00_202 = BgL_v1108z00_219; } 
{ /* Llib/flac.scm 43 */
obj_t BgL_v1109z00_220;
BgL_v1109z00_220 = 
create_vector(((long)0)); 
BgL_arg1521z00_203 = BgL_v1109z00_220; } 
return ( 
BGl_z62flaczd2errorzb0zz__flac_flacz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)29)), 
CNST_TABLE_REF(((long)28)), BGl_z62errorz62zz__objectz00, ((long)1288), BGl_proc1981z00zz__flac_flacz00, BGl_proc1980z00zz__flac_flacz00, BFALSE, BGl_proc1979z00zz__flac_flacz00, BFALSE, BgL_arg1514z00_202, BgL_arg1521z00_203), BUNSPEC) ;} } 

}



/* &<@anonymous:1542> */
obj_t BGl_z62zc3z04anonymousza31542ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1075, obj_t BgL_new1083z00_1076)
{
{ /* Llib/flac.scm 43 */
{ 
BgL_z62flaczd2errorzb0_bglt BgL_auxz00_1621;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1083z00_1076))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1083z00_1076))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1083z00_1076))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1083z00_1076))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1083z00_1076))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1083z00_1076))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1621 = 
((BgL_z62flaczd2errorzb0_bglt)BgL_new1083z00_1076); 
return 
((obj_t)BgL_auxz00_1621);} } 

}



/* &lambda1539 */
BgL_z62flaczd2errorzb0_bglt BGl_z62lambda1539z62zz__flac_flacz00(obj_t BgL_envz00_1077)
{
{ /* Llib/flac.scm 43 */
{ /* Llib/flac.scm 43 */
BgL_z62flaczd2errorzb0_bglt BgL_new1082z00_1352;
BgL_new1082z00_1352 = 
((BgL_z62flaczd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62flaczd2errorzb0_bgl) ))); 
{ /* Llib/flac.scm 43 */
long BgL_arg1541z00_1353;
{ /* Llib/flac.scm 43 */
long BgL_res1707z00_1354;
BgL_res1707z00_1354 = 
BGL_CLASS_INDEX(BGl_z62flaczd2errorzb0zz__flac_flacz00); 
BgL_arg1541z00_1353 = BgL_res1707z00_1354; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1082z00_1352), BgL_arg1541z00_1353); } 
return BgL_new1082z00_1352;} } 

}



/* &lambda1522 */
BgL_z62flaczd2errorzb0_bglt BGl_z62lambda1522z62zz__flac_flacz00(obj_t BgL_envz00_1078, obj_t BgL_fname1076z00_1079, obj_t BgL_location1077z00_1080, obj_t BgL_stack1078z00_1081, obj_t BgL_proc1079z00_1082, obj_t BgL_msg1080z00_1083, obj_t BgL_obj1081z00_1084)
{
{ /* Llib/flac.scm 43 */
{ /* Llib/flac.scm 43 */
BgL_z62flaczd2errorzb0_bglt BgL_new1103z00_1355;
{ /* Llib/flac.scm 43 */
BgL_z62flaczd2errorzb0_bglt BgL_new1102z00_1356;
BgL_new1102z00_1356 = 
((BgL_z62flaczd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62flaczd2errorzb0_bgl) ))); 
{ /* Llib/flac.scm 43 */
long BgL_arg1538z00_1357;
{ /* Llib/flac.scm 43 */
long BgL_res1706z00_1358;
BgL_res1706z00_1358 = 
BGL_CLASS_INDEX(BGl_z62flaczd2errorzb0zz__flac_flacz00); 
BgL_arg1538z00_1357 = BgL_res1706z00_1358; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1102z00_1356), BgL_arg1538z00_1357); } 
BgL_new1103z00_1355 = BgL_new1102z00_1356; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1103z00_1355)))->BgL_fnamez00)=((obj_t)BgL_fname1076z00_1079),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1103z00_1355)))->BgL_locationz00)=((obj_t)BgL_location1077z00_1080),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1103z00_1355)))->BgL_stackz00)=((obj_t)BgL_stack1078z00_1081),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1103z00_1355)))->BgL_procz00)=((obj_t)BgL_proc1079z00_1082),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1103z00_1355)))->BgL_msgz00)=((obj_t)BgL_msg1080z00_1083),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1103z00_1355)))->BgL_objz00)=((obj_t)BgL_obj1081z00_1084),BUNSPEC); 
return BgL_new1103z00_1355;} } 

}



/* &<@anonymous:1174> */
obj_t BGl_z62zc3z04anonymousza31174ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1085, obj_t BgL_new1074z00_1086)
{
{ /* Llib/flac.scm 31 */
{ 
BgL_flaczd2decoderzd2_bglt BgL_auxz00_1662;
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1074z00_1086)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)
0L),BUNSPEC); 
{ 
obj_t BgL_auxz00_1666;
{ /* Llib/flac.scm 31 */
obj_t BgL_res1705z00_1360;
BgL_res1705z00_1360 = 
bgl_custom_nil(); 
BgL_auxz00_1666 = BgL_res1705z00_1360; } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1074z00_1086)))->BgL_z52flacbufz52)=((obj_t)BgL_auxz00_1666),BUNSPEC); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1074z00_1086)))->BgL_outbufz00)=((obj_t)BGl_string1982z00zz__flac_flacz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1074z00_1086)))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1074z00_1086)))->BgL_z52samplez52)=((long)((long)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1074z00_1086)))->BgL_z52volumez52)=((double)((double)0.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1074z00_1086)))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1074z00_1086)))->BgL_z52bchecksumz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1074z00_1086)))->BgL_z52rchecksumz52)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_1662 = 
((BgL_flaczd2decoderzd2_bglt)BgL_new1074z00_1086); 
return 
((obj_t)BgL_auxz00_1662);} } 

}



/* &lambda1172 */
BgL_flaczd2decoderzd2_bglt BGl_z62lambda1172z62zz__flac_flacz00(obj_t BgL_envz00_1087)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
BgL_flaczd2decoderzd2_bglt BgL_new1073z00_1361;
BgL_new1073z00_1361 = 
((BgL_flaczd2decoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flaczd2decoderzd2_bgl) ))); 
{ /* Llib/flac.scm 31 */
long BgL_arg1173z00_1362;
{ /* Llib/flac.scm 31 */
long BgL_res1704z00_1363;
BgL_res1704z00_1363 = 
BGL_CLASS_INDEX(BGl_flaczd2decoderzd2zz__flac_flacz00); 
BgL_arg1173z00_1362 = BgL_res1704z00_1363; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_1361), BgL_arg1173z00_1362); } 
return BgL_new1073z00_1361;} } 

}



/* &<@anonymous:1425> */
obj_t BGl_z62zc3z04anonymousza31425ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1088)
{
{ /* Llib/flac.scm 31 */
return 
BINT(((long)128));} 

}



/* &lambda1424 */
obj_t BGl_z62lambda1424z62zz__flac_flacz00(obj_t BgL_envz00_1089, obj_t BgL_oz00_1090, obj_t BgL_vz00_1091)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
int BgL_vz00_1365;
BgL_vz00_1365 = 
CINT(BgL_vz00_1091); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1090)))->BgL_z52rchecksumz52)=((int)BgL_vz00_1365),BUNSPEC);} } 

}



/* &lambda1423 */
obj_t BGl_z62lambda1423z62zz__flac_flacz00(obj_t BgL_envz00_1092, obj_t BgL_oz00_1093)
{
{ /* Llib/flac.scm 31 */
return 
BINT(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1093)))->BgL_z52rchecksumz52));} 

}



/* &<@anonymous:1347> */
obj_t BGl_z62zc3z04anonymousza31347ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1094)
{
{ /* Llib/flac.scm 31 */
return 
BINT(((long)128));} 

}



/* &lambda1346 */
obj_t BGl_z62lambda1346z62zz__flac_flacz00(obj_t BgL_envz00_1095, obj_t BgL_oz00_1096, obj_t BgL_vz00_1097)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
int BgL_vz00_1368;
BgL_vz00_1368 = 
CINT(BgL_vz00_1097); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1096)))->BgL_z52bchecksumz52)=((int)BgL_vz00_1368),BUNSPEC);} } 

}



/* &lambda1345 */
obj_t BGl_z62lambda1345z62zz__flac_flacz00(obj_t BgL_envz00_1098, obj_t BgL_oz00_1099)
{
{ /* Llib/flac.scm 31 */
return 
BINT(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1099)))->BgL_z52bchecksumz52));} 

}



/* &<@anonymous:1335> */
obj_t BGl_z62zc3z04anonymousza31335ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1100)
{
{ /* Llib/flac.scm 31 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1334 */
obj_t BGl_z62lambda1334z62zz__flac_flacz00(obj_t BgL_envz00_1101, obj_t BgL_oz00_1102, obj_t BgL_vz00_1103)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
bool_t BgL_vz00_1371;
BgL_vz00_1371 = 
CBOOL(BgL_vz00_1103); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1102)))->BgL_md5checkz00)=((bool_t)BgL_vz00_1371),BUNSPEC);} } 

}



/* &lambda1333 */
obj_t BGl_z62lambda1333z62zz__flac_flacz00(obj_t BgL_envz00_1104, obj_t BgL_oz00_1105)
{
{ /* Llib/flac.scm 31 */
return 
BBOOL(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1105)))->BgL_md5checkz00));} 

}



/* &<@anonymous:1303> */
obj_t BGl_z62zc3z04anonymousza31303ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1106)
{
{ /* Llib/flac.scm 31 */
return 
DOUBLE_TO_REAL(((double)1.0));} 

}



/* &lambda1302 */
obj_t BGl_z62lambda1302z62zz__flac_flacz00(obj_t BgL_envz00_1107, obj_t BgL_oz00_1108, obj_t BgL_vz00_1109)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
double BgL_vz00_1374;
BgL_vz00_1374 = 
REAL_TO_DOUBLE(BgL_vz00_1109); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1108)))->BgL_z52volumez52)=((double)BgL_vz00_1374),BUNSPEC);} } 

}



/* &lambda1301 */
obj_t BGl_z62lambda1301z62zz__flac_flacz00(obj_t BgL_envz00_1110, obj_t BgL_oz00_1111)
{
{ /* Llib/flac.scm 31 */
return 
DOUBLE_TO_REAL(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1111)))->BgL_z52volumez52));} 

}



/* &<@anonymous:1269> */
obj_t BGl_z62zc3z04anonymousza31269ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1112)
{
{ /* Llib/flac.scm 31 */
return 
BINT(((long)0));} 

}



/* &lambda1268 */
obj_t BGl_z62lambda1268z62zz__flac_flacz00(obj_t BgL_envz00_1113, obj_t BgL_oz00_1114, obj_t BgL_vz00_1115)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
long BgL_vz00_1377;
BgL_vz00_1377 = 
(long)CINT(BgL_vz00_1115); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1114)))->BgL_z52samplez52)=((long)BgL_vz00_1377),BUNSPEC);} } 

}



/* &lambda1267 */
obj_t BGl_z62lambda1267z62zz__flac_flacz00(obj_t BgL_envz00_1116, obj_t BgL_oz00_1117)
{
{ /* Llib/flac.scm 31 */
return 
BINT(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1117)))->BgL_z52samplez52));} 

}



/* &<@anonymous:1234> */
obj_t BGl_z62zc3z04anonymousza31234ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1118)
{
{ /* Llib/flac.scm 31 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1233 */
obj_t BGl_z62lambda1233z62zz__flac_flacz00(obj_t BgL_envz00_1119, obj_t BgL_oz00_1120, obj_t BgL_vz00_1121)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
bool_t BgL_vz00_1380;
BgL_vz00_1380 = 
CBOOL(BgL_vz00_1121); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1120)))->BgL_z52eofz52)=((bool_t)BgL_vz00_1380),BUNSPEC);} } 

}



/* &lambda1232 */
obj_t BGl_z62lambda1232z62zz__flac_flacz00(obj_t BgL_envz00_1122, obj_t BgL_oz00_1123)
{
{ /* Llib/flac.scm 31 */
return 
BBOOL(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1123)))->BgL_z52eofz52));} 

}



/* &<@anonymous:1213> */
obj_t BGl_z62zc3z04anonymousza31213ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1124)
{
{ /* Llib/flac.scm 31 */
return BGl_string1982z00zz__flac_flacz00;} 

}



/* &lambda1212 */
obj_t BGl_z62lambda1212z62zz__flac_flacz00(obj_t BgL_envz00_1125, obj_t BgL_oz00_1126, obj_t BgL_vz00_1127)
{
{ /* Llib/flac.scm 31 */
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1126)))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_vz00_1127)),BUNSPEC);} 

}



/* &lambda1211 */
obj_t BGl_z62lambda1211z62zz__flac_flacz00(obj_t BgL_envz00_1128, obj_t BgL_oz00_1129)
{
{ /* Llib/flac.scm 31 */
return 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1129)))->BgL_outbufz00);} 

}



/* &<@anonymous:1205> */
obj_t BGl_z62zc3z04anonymousza31205ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1130)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 34 */
obj_t BgL_res1703z00_1385;
BgL_res1703z00_1385 = 
create_custom(((long)0)); 
return BgL_res1703z00_1385;} } 

}



/* &lambda1204 */
obj_t BGl_z62lambda1204z62zz__flac_flacz00(obj_t BgL_envz00_1131, obj_t BgL_oz00_1132, obj_t BgL_vz00_1133)
{
{ /* Llib/flac.scm 31 */
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1132)))->BgL_z52flacbufz52)=((obj_t)
((obj_t)BgL_vz00_1133)),BUNSPEC);} 

}



/* &lambda1203 */
obj_t BGl_z62lambda1203z62zz__flac_flacz00(obj_t BgL_envz00_1134, obj_t BgL_oz00_1135)
{
{ /* Llib/flac.scm 31 */
return 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1135)))->BgL_z52flacbufz52);} 

}



/* &<@anonymous:1197> */
obj_t BGl_z62zc3z04anonymousza31197ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1136)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 33 */
void * BgL_tmpz00_1745;
{ /* Llib/flac.scm 33 */
FLAC__StreamDecoder * BgL_res1702z00_1389;
BgL_res1702z00_1389 = 
FLAC__stream_decoder_new(); 
BgL_tmpz00_1745 = BgL_res1702z00_1389; } 
return 
void_star_to_obj(BgL_tmpz00_1745);} } 

}



/* &lambda1196 */
obj_t BGl_z62lambda1196z62zz__flac_flacz00(obj_t BgL_envz00_1137, obj_t BgL_oz00_1138, obj_t BgL_vz00_1139)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
FLAC__StreamDecoder * BgL_vz00_1391;
BgL_vz00_1391 = 
FOREIGN_TO_COBJ(BgL_vz00_1139); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1138)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)BgL_vz00_1391),BUNSPEC);} } 

}



/* &lambda1195 */
obj_t BGl_z62lambda1195z62zz__flac_flacz00(obj_t BgL_envz00_1140, obj_t BgL_oz00_1141)
{
{ /* Llib/flac.scm 31 */
return 
void_star_to_obj(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1141)))->BgL_z42builtinz42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__flac_flacz00()
{
{ /* Llib/flac.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BGl_proc1983z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1984z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2closezd2envzd2zz__flac_flacz00, BGl_proc1985z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1986z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2decodezd2envzd2zz__flac_flacz00, BGl_proc1987z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1988z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2decode16zd2envzd2zz__flac_flacz00, BGl_proc1989z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1990z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00, BGl_proc1991z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1992z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00, BGl_proc1993z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1994z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2writezd2envzd2zz__flac_flacz00, BGl_proc1995z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1996z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00, BGl_proc1997z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1998z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2tellzd2envzd2zz__flac_flacz00, BGl_proc1999z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string2000z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2seekzd2envzd2zz__flac_flacz00, BGl_proc2001z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string2002z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2lengthzd2envzd2zz__flac_flacz00, BGl_proc2003z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string2004z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2infozd2envzd2zz__flac_flacz00, BGl_proc2005z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string2006z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2positionzd2envzd2zz__flac_flacz00, BGl_proc2007z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string2008z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2volumezd2getzd2envzd2zz__flac_flacz00, BGl_proc2009z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string2010z00zz__flac_flacz00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2volumezd2setz12zd2envzc0zz__flac_flacz00, BGl_proc2011z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string2012z00zz__flac_flacz00);} 

}



/* &flac-volume-set!1140 */
obj_t BGl_z62flaczd2volumezd2setz121140z70zz__flac_flacz00(obj_t BgL_envz00_1161, obj_t BgL_mz00_1162, obj_t BgL_volz00_1163)
{
{ /* Llib/flac.scm 258 */
{ /* Llib/flac.scm 260 */
bool_t BgL_test2162z00_1769;
if(
(
(long)CINT(BgL_volz00_1163)>=((long)0)))
{ /* Llib/flac.scm 260 */
BgL_test2162z00_1769 = 
(
(long)CINT(BgL_volz00_1163)<=((long)100))
; }  else 
{ /* Llib/flac.scm 260 */
BgL_test2162z00_1769 = ((bool_t)0)
; } 
if(BgL_test2162z00_1769)
{ /* Llib/flac.scm 261 */
double BgL_vz00_1394;
BgL_vz00_1394 = 
(
(double)(
(long)CINT(BgL_volz00_1163))/((double)100.0)); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1162)))->BgL_z52volumez52)=((double)
(BgL_vz00_1394*BgL_vz00_1394)),BUNSPEC);}  else 
{ /* Llib/flac.scm 260 */
return BFALSE;} } } 

}



/* &flac-volume-get1138 */
obj_t BGl_z62flaczd2volumezd2get1138z62zz__flac_flacz00(obj_t BgL_envz00_1164, obj_t BgL_mz00_1165)
{
{ /* Llib/flac.scm 251 */
return 
BINT(
(long)(
(
sqrt(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1165)))->BgL_z52volumez52))*((double)100.0))));} 

}



/* &flac-decoder-positio1136 */
obj_t BGl_z62flaczd2decoderzd2positio1136z62zz__flac_flacz00(obj_t BgL_envz00_1166, obj_t BgL_mz00_1167)
{
{ /* Llib/flac.scm 239 */
{ /* Llib/flac.scm 240 */
long BgL_tmpz00_1787;
if(
(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1167)))->BgL_z52samplez52)<((long)0)))
{ /* Llib/flac.scm 241 */
BgL_tmpz00_1787 = ((long)0)
; }  else 
{ /* Llib/flac.scm 243 */
unsigned long BgL_sratez00_1397;
{ /* Llib/flac.scm 243 */
FLAC__StreamDecoder * BgL_tmpz00_1792;
BgL_tmpz00_1792 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1167)))->BgL_z42builtinz42); 
BgL_sratez00_1397 = 
FLAC__stream_decoder_get_sample_rate(BgL_tmpz00_1792); } 
if(
(
(long)(BgL_sratez00_1397)==((long)0)))
{ /* Llib/flac.scm 244 */
BgL_tmpz00_1787 = ((long)0)
; }  else 
{ /* Llib/flac.scm 244 */
BgL_tmpz00_1787 = 
(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1167)))->BgL_z52samplez52)/
(long)(BgL_sratez00_1397))
; } } 
return 
BINT(BgL_tmpz00_1787);} } 

}



/* &flac-decoder-info1134 */
obj_t BGl_z62flaczd2decoderzd2info1134z62zz__flac_flacz00(obj_t BgL_envz00_1168, obj_t BgL_oz00_1169)
{
{ /* Llib/flac.scm 187 */
{ /* Llib/flac.scm 188 */
unsigned long BgL_tmpz00_1804;
{ /* Llib/flac.scm 189 */
unsigned long BgL_val0_1104z00_1399;unsigned long BgL_val1_1105z00_1400;
{ /* Llib/flac.scm 189 */
FLAC__StreamDecoder * BgL_tmpz00_1805;
BgL_tmpz00_1805 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1169)))->BgL_z42builtinz42); 
BgL_val0_1104z00_1399 = 
FLAC__stream_decoder_get_bits_per_sample(BgL_tmpz00_1805); } 
{ /* Llib/flac.scm 190 */
FLAC__StreamDecoder * BgL_tmpz00_1809;
BgL_tmpz00_1809 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1169)))->BgL_z42builtinz42); 
BgL_val1_1105z00_1400 = 
FLAC__stream_decoder_get_sample_rate(BgL_tmpz00_1809); } 
{ /* Llib/flac.scm 189 */
int BgL_res1711z00_1401;
{ /* Llib/flac.scm 189 */
int BgL_tmpz00_1813;
BgL_tmpz00_1813 = 
(int)(((long)2)); 
BgL_res1711z00_1401 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1813); } BgL_res1711z00_1401; } 
{ /* Llib/flac.scm 189 */
obj_t BgL_auxz00_1818;int BgL_tmpz00_1816;
BgL_auxz00_1818 = 
BINT(BgL_val1_1105z00_1400); 
BgL_tmpz00_1816 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1816, BgL_auxz00_1818); } 
BgL_tmpz00_1804 = BgL_val0_1104z00_1399; } 
return 
BINT(BgL_tmpz00_1804);} } 

}



/* &flac-decoder-length1132 */
obj_t BGl_z62flaczd2decoderzd2length1132z62zz__flac_flacz00(obj_t BgL_envz00_1170, obj_t BgL_oz00_1171)
{
{ /* Llib/flac.scm 181 */
return 
BINT(((long)-1));} 

}



/* &flac-decoder-seek1130 */
obj_t BGl_z62flaczd2decoderzd2seek1130z62zz__flac_flacz00(obj_t BgL_envz00_1172, obj_t BgL_oz00_1173, obj_t BgL_offsetz00_1174)
{
{ /* Llib/flac.scm 175 */
return 
BBOOL(((bool_t)1));} 

}



/* &flac-decoder-tell1128 */
obj_t BGl_z62flaczd2decoderzd2tell1128z62zz__flac_flacz00(obj_t BgL_envz00_1175, obj_t BgL_oz00_1176)
{
{ /* Llib/flac.scm 169 */
return 
BBOOL(((bool_t)0));} 

}



/* &flac-decoder-metadat1126 */
obj_t BGl_z62flaczd2decoderzd2metadat1126z62zz__flac_flacz00(obj_t BgL_envz00_1177, obj_t BgL_oz00_1178, obj_t BgL_totalz00_1179, obj_t BgL_sratez00_1180, obj_t BgL_channelsz00_1181, obj_t BgL_bpsz00_1182)
{
{ /* Llib/flac.scm 160 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)30)), BGl_string2013z00zz__flac_flacz00, 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1178)));} 

}



/* &flac-decoder-write1124 */
obj_t BGl_z62flaczd2decoderzd2write1124z62zz__flac_flacz00(obj_t BgL_envz00_1183, obj_t BgL_oz00_1184, obj_t BgL_blocksiza7eza7_1185, obj_t BgL_sratez00_1186, obj_t BgL_channelsz00_1187, obj_t BgL_bpsz00_1188)
{
{ /* Llib/flac.scm 151 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)31)), BGl_string2013z00zz__flac_flacz00, 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1184)));} 

}



/* &flac-decoder-read1122 */
obj_t BGl_z62flaczd2decoderzd2read1122z62zz__flac_flacz00(obj_t BgL_envz00_1189, obj_t BgL_oz00_1190, obj_t BgL_siza7eza7_1191)
{
{ /* Llib/flac.scm 146 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)32)), BGl_string2013z00zz__flac_flacz00, 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1190)));} 

}



/* &flac-decoder-reset!1120 */
obj_t BGl_z62flaczd2decoderzd2resetz121120z70zz__flac_flacz00(obj_t BgL_envz00_1192, obj_t BgL_oz00_1193)
{
{ /* Llib/flac.scm 129 */
{ /* Llib/flac.scm 130 */
bool_t BgL_test2166z00_1837;
{ /* Llib/flac.scm 130 */
obj_t BgL_arg1645z00_1419;
{ /* Llib/flac.scm 141 */
FLAC__StreamDecoderState BgL_arg1145z00_1420;
{ /* Llib/flac.scm 141 */
FLAC__StreamDecoder * BgL_tmpz00_1838;
BgL_tmpz00_1838 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1193)))->BgL_z42builtinz42); 
BgL_arg1145z00_1420 = 
FLAC__stream_decoder_get_state(BgL_tmpz00_1838); } 
BgL_arg1645z00_1419 = 
BGl_flaczd2decoderzd2statezd2ze3symbolz31zz__flac_flacz00(BgL_arg1145z00_1420); } 
BgL_test2166z00_1837 = 
(BgL_arg1645z00_1419==
CNST_TABLE_REF(((long)9))); } 
if(BgL_test2166z00_1837)
{ /* Llib/flac.scm 130 */
return BFALSE;}  else 
{ /* Llib/flac.scm 130 */
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1193)))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1193)))->BgL_z52samplez52)=((long)((long)0)),BUNSPEC); 
{ /* Llib/flac.scm 134 */
FLAC__StreamDecoder * BgL_arg1643z00_1421;
BgL_arg1643z00_1421 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1193)))->BgL_z42builtinz42); 
return 
BINT(
FLAC__stream_decoder_reset(BgL_arg1643z00_1421));} } } } 

}



/* &flac-decoder-decode11118 */
obj_t BGl_z62flaczd2decoderzd2decode11118z62zz__flac_flacz00(obj_t BgL_envz00_1194, obj_t BgL_oz00_1195)
{
{ /* Llib/flac.scm 118 */
{ /* Llib/flac.scm 119 */
long BgL_tmpz00_1853;
{ /* Llib/flac.scm 120 */
obj_t BgL_exitd1091z00_1423;
BgL_exitd1091z00_1423 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/flac.scm 124 */
obj_t BgL_zc3z04anonymousza31620ze3z87_1424;
BgL_zc3z04anonymousza31620ze3z87_1424 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31620ze3ze5zz__flac_flacz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31620ze3z87_1424, 
(int)(((long)0)), 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1195))); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1091z00_1423, BgL_zc3z04anonymousza31620ze3z87_1424); 
{ /* Llib/flac.scm 122 */
FLAC__bool BgL_tmp1093z00_1425;
{ /* Llib/flac.scm 122 */
FLAC__StreamDecoder * BgL_arg1617z00_1426;
BgL_arg1617z00_1426 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1195)))->BgL_z42builtinz42); 
{ /* Llib/flac.scm 122 */
obj_t BgL_tmpz00_1865;
BgL_tmpz00_1865 = 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1195)); 
bgl_FLAC__stream_decoder_init_stream16(BgL_arg1617z00_1426, BgL_tmpz00_1865); } } 
{ /* Llib/flac.scm 123 */
FLAC__StreamDecoder * BgL_tmpz00_1869;
BgL_tmpz00_1869 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1195)))->BgL_z42builtinz42); 
BgL_tmp1093z00_1425 = 
FLAC__stream_decoder_process_until_end_of_stream(BgL_tmpz00_1869); } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1091z00_1423); 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1195)); 
BgL_tmpz00_1853 = BgL_tmp1093z00_1425; } } } 
return 
BINT(BgL_tmpz00_1853);} } 

}



/* &<@anonymous:1620> */
obj_t BGl_z62zc3z04anonymousza31620ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1196)
{
{ /* Llib/flac.scm 120 */
{ /* Llib/flac.scm 124 */
BgL_flaczd2decoderzd2_bglt BgL_oz00_1197;
BgL_oz00_1197 = 
((BgL_flaczd2decoderzd2_bglt)
PROCEDURE_REF(BgL_envz00_1196, 
(int)(((long)0)))); 
return 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_oz00_1197);} } 

}



/* &flac-decoder-decode1116 */
obj_t BGl_z62flaczd2decoderzd2decode1116z62zz__flac_flacz00(obj_t BgL_envz00_1198, obj_t BgL_oz00_1199)
{
{ /* Llib/flac.scm 107 */
{ /* Llib/flac.scm 108 */
long BgL_tmpz00_1881;
{ /* Llib/flac.scm 109 */
obj_t BgL_exitd1087z00_1428;
BgL_exitd1087z00_1428 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/flac.scm 113 */
obj_t BgL_zc3z04anonymousza31608ze3z87_1429;
BgL_zc3z04anonymousza31608ze3z87_1429 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31608ze3ze5zz__flac_flacz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31608ze3z87_1429, 
(int)(((long)0)), 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1199))); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1087z00_1428, BgL_zc3z04anonymousza31608ze3z87_1429); 
{ /* Llib/flac.scm 111 */
FLAC__bool BgL_tmp1089z00_1430;
{ /* Llib/flac.scm 111 */
FLAC__StreamDecoder * BgL_arg1589z00_1431;
BgL_arg1589z00_1431 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1199)))->BgL_z42builtinz42); 
{ /* Llib/flac.scm 111 */
obj_t BgL_tmpz00_1893;
BgL_tmpz00_1893 = 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1199)); 
bgl_FLAC__stream_decoder_init_stream(BgL_arg1589z00_1431, BgL_tmpz00_1893); } } 
{ /* Llib/flac.scm 112 */
FLAC__StreamDecoder * BgL_tmpz00_1897;
BgL_tmpz00_1897 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1199)))->BgL_z42builtinz42); 
BgL_tmp1089z00_1430 = 
FLAC__stream_decoder_process_until_end_of_stream(BgL_tmpz00_1897); } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1087z00_1428); 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1199)); 
BgL_tmpz00_1881 = BgL_tmp1089z00_1430; } } } 
return 
BINT(BgL_tmpz00_1881);} } 

}



/* &<@anonymous:1608> */
obj_t BGl_z62zc3z04anonymousza31608ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1200)
{
{ /* Llib/flac.scm 109 */
{ /* Llib/flac.scm 113 */
BgL_flaczd2decoderzd2_bglt BgL_oz00_1201;
BgL_oz00_1201 = 
((BgL_flaczd2decoderzd2_bglt)
PROCEDURE_REF(BgL_envz00_1200, 
(int)(((long)0)))); 
return 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_oz00_1201);} } 

}



/* &flac-decoder-close1114 */
obj_t BGl_z62flaczd2decoderzd2close1114z62zz__flac_flacz00(obj_t BgL_envz00_1202, obj_t BgL_oz00_1203)
{
{ /* Llib/flac.scm 99 */
{ 
BgL_flaczd2decoderzd2_bglt BgL_auxz00_1909;
{ /* Llib/flac.scm 101 */
FLAC__StreamDecoder * BgL_arg1587z00_1433;
BgL_arg1587z00_1433 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1203)))->BgL_z42builtinz42); 
FLAC__stream_decoder_delete(BgL_arg1587z00_1433); BUNSPEC; } 
BgL_auxz00_1909 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1203); 
return 
((obj_t)BgL_auxz00_1909);} } 

}



/* &flac-decoder-init1112 */
obj_t BGl_z62flaczd2decoderzd2init1112z62zz__flac_flacz00(obj_t BgL_envz00_1204, obj_t BgL_oz00_1205)
{
{ /* Llib/flac.scm 89 */
{ /* Llib/flac.scm 91 */
FLAC__StreamDecoder * BgL_arg1555z00_1438;FLAC__bool BgL_arg1556z00_1439;
BgL_arg1555z00_1438 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1205)))->BgL_z42builtinz42); 
if(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1205)))->BgL_md5checkz00))
{ /* Llib/flac.scm 92 */
BgL_arg1556z00_1439 = true; }  else 
{ /* Llib/flac.scm 92 */
BgL_arg1556z00_1439 = false; } 
FLAC__stream_decoder_set_md5_checking(BgL_arg1555z00_1438, BgL_arg1556z00_1439); } 
{ 
obj_t BgL_auxz00_1921;
{ /* Llib/flac.scm 94 */
long BgL_arg1558z00_1440;
BgL_arg1558z00_1440 = 
(FLAC__MAX_BLOCK_SIZE*
(FLAC__MAX_CHANNELS*((long)4))); 
{ /* Llib/flac.scm 94 */

{ /* Llib/flac.scm 94 */
obj_t BgL_res1710z00_1444;
BgL_res1710z00_1444 = 
make_string(BgL_arg1558z00_1440, ((unsigned char)' ')); 
BgL_auxz00_1921 = BgL_res1710z00_1444; } } } 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1205)))->BgL_outbufz00)=((obj_t)BgL_auxz00_1921),BUNSPEC);} } 

}



/* flac-decoder-init */
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2initz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_6)
{
{ /* Llib/flac.scm 89 */
{ /* Llib/flac.scm 89 */
obj_t BgL_method1113z00_350;
{ /* Llib/flac.scm 89 */
obj_t BgL_res1733z00_516;
{ /* Llib/flac.scm 89 */
long BgL_objzd2classzd2numz00_481;
{ /* Llib/flac.scm 89 */
long BgL_res1723z00_484;
BgL_res1723z00_484 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_6)); 
BgL_objzd2classzd2numz00_481 = BgL_res1723z00_484; } 
{ /* Llib/flac.scm 89 */
obj_t BgL_arg1741z00_482;
BgL_arg1741z00_482 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 89 */
int BgL_offsetz00_486;
BgL_offsetz00_486 = 
(int)(BgL_objzd2classzd2numz00_481); 
{ /* Llib/flac.scm 89 */
long BgL_offsetz00_487;
BgL_offsetz00_487 = 
(
(long)(BgL_offsetz00_486)-OBJECT_TYPE); 
{ /* Llib/flac.scm 89 */
long BgL_modz00_488;
BgL_modz00_488 = 
(BgL_offsetz00_487 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 89 */
long BgL_restz00_490;
BgL_restz00_490 = 
(BgL_offsetz00_487 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 89 */

{ /* Llib/flac.scm 89 */
obj_t BgL_bucketz00_492;
BgL_bucketz00_492 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_482),BgL_modz00_488); 
BgL_res1733z00_516 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_492),BgL_restz00_490); } } } } } } } } 
BgL_method1113z00_350 = BgL_res1733z00_516; } 
return 
PROCEDURE_ENTRY(BgL_method1113z00_350)(BgL_method1113z00_350, 
((obj_t)BgL_oz00_6), BEOA);} } 

}



/* &flac-decoder-init */
obj_t BGl_z62flaczd2decoderzd2initz62zz__flac_flacz00(obj_t BgL_envz00_1142, obj_t BgL_oz00_1143)
{
{ /* Llib/flac.scm 89 */
{ /* Llib/flac.scm 89 */
BgL_flaczd2decoderzd2_bglt BgL_auxz00_1957;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1143, BGl_flaczd2decoderzd2zz__flac_flacz00))
{ /* Llib/flac.scm 89 */
BgL_auxz00_1957 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1143)
; }  else 
{ 
obj_t BgL_auxz00_1961;
BgL_auxz00_1961 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)4030)), BGl_string2014z00zz__flac_flacz00, BGl_string2015z00zz__flac_flacz00, BgL_oz00_1143); 
FAILURE(BgL_auxz00_1961,BFALSE,BFALSE);} 
return 
BGl_flaczd2decoderzd2initz00zz__flac_flacz00(BgL_auxz00_1957);} } 

}



/* flac-decoder-close */
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2closez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_7)
{
{ /* Llib/flac.scm 99 */
{ /* Llib/flac.scm 99 */
obj_t BgL_method1115z00_351;
{ /* Llib/flac.scm 99 */
obj_t BgL_res1744z00_553;
{ /* Llib/flac.scm 99 */
long BgL_objzd2classzd2numz00_518;
{ /* Llib/flac.scm 99 */
long BgL_res1734z00_521;
BgL_res1734z00_521 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_7)); 
BgL_objzd2classzd2numz00_518 = BgL_res1734z00_521; } 
{ /* Llib/flac.scm 99 */
obj_t BgL_arg1741z00_519;
BgL_arg1741z00_519 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2closezd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 99 */
int BgL_offsetz00_523;
BgL_offsetz00_523 = 
(int)(BgL_objzd2classzd2numz00_518); 
{ /* Llib/flac.scm 99 */
long BgL_offsetz00_524;
BgL_offsetz00_524 = 
(
(long)(BgL_offsetz00_523)-OBJECT_TYPE); 
{ /* Llib/flac.scm 99 */
long BgL_modz00_525;
BgL_modz00_525 = 
(BgL_offsetz00_524 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 99 */
long BgL_restz00_527;
BgL_restz00_527 = 
(BgL_offsetz00_524 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 99 */

{ /* Llib/flac.scm 99 */
obj_t BgL_bucketz00_529;
BgL_bucketz00_529 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_519),BgL_modz00_525); 
BgL_res1744z00_553 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_529),BgL_restz00_527); } } } } } } } } 
BgL_method1115z00_351 = BgL_res1744z00_553; } 
return 
PROCEDURE_ENTRY(BgL_method1115z00_351)(BgL_method1115z00_351, 
((obj_t)BgL_oz00_7), BEOA);} } 

}



/* &flac-decoder-close */
obj_t BGl_z62flaczd2decoderzd2closez62zz__flac_flacz00(obj_t BgL_envz00_1206, obj_t BgL_oz00_1207)
{
{ /* Llib/flac.scm 99 */
{ /* Llib/flac.scm 99 */
BgL_flaczd2decoderzd2_bglt BgL_auxz00_1996;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1207, BGl_flaczd2decoderzd2zz__flac_flacz00))
{ /* Llib/flac.scm 99 */
BgL_auxz00_1996 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1207)
; }  else 
{ 
obj_t BgL_auxz00_2000;
BgL_auxz00_2000 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)4535)), BGl_string2016z00zz__flac_flacz00, BGl_string2015z00zz__flac_flacz00, BgL_oz00_1207); 
FAILURE(BgL_auxz00_2000,BFALSE,BFALSE);} 
return 
BGl_flaczd2decoderzd2closez00zz__flac_flacz00(BgL_auxz00_1996);} } 

}



/* flac-decoder-decode */
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_8)
{
{ /* Llib/flac.scm 107 */
{ /* Llib/flac.scm 107 */
obj_t BgL_method1117z00_352;
{ /* Llib/flac.scm 107 */
obj_t BgL_res1755z00_590;
{ /* Llib/flac.scm 107 */
long BgL_objzd2classzd2numz00_555;
{ /* Llib/flac.scm 107 */
long BgL_res1745z00_558;
BgL_res1745z00_558 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_8)); 
BgL_objzd2classzd2numz00_555 = BgL_res1745z00_558; } 
{ /* Llib/flac.scm 107 */
obj_t BgL_arg1741z00_556;
BgL_arg1741z00_556 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2decodezd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 107 */
int BgL_offsetz00_560;
BgL_offsetz00_560 = 
(int)(BgL_objzd2classzd2numz00_555); 
{ /* Llib/flac.scm 107 */
long BgL_offsetz00_561;
BgL_offsetz00_561 = 
(
(long)(BgL_offsetz00_560)-OBJECT_TYPE); 
{ /* Llib/flac.scm 107 */
long BgL_modz00_562;
BgL_modz00_562 = 
(BgL_offsetz00_561 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 107 */
long BgL_restz00_564;
BgL_restz00_564 = 
(BgL_offsetz00_561 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 107 */

{ /* Llib/flac.scm 107 */
obj_t BgL_bucketz00_566;
BgL_bucketz00_566 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_556),BgL_modz00_562); 
BgL_res1755z00_590 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_566),BgL_restz00_564); } } } } } } } } 
BgL_method1117z00_352 = BgL_res1755z00_590; } 
return 
PROCEDURE_ENTRY(BgL_method1117z00_352)(BgL_method1117z00_352, 
((obj_t)BgL_oz00_8), BEOA);} } 

}



/* &flac-decoder-decode */
obj_t BGl_z62flaczd2decoderzd2decodez62zz__flac_flacz00(obj_t BgL_envz00_1208, obj_t BgL_oz00_1209)
{
{ /* Llib/flac.scm 107 */
{ /* Llib/flac.scm 107 */
BgL_flaczd2decoderzd2_bglt BgL_auxz00_2035;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1209, BGl_flaczd2decoderzd2zz__flac_flacz00))
{ /* Llib/flac.scm 107 */
BgL_auxz00_2035 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1209)
; }  else 
{ 
obj_t BgL_auxz00_2039;
BgL_auxz00_2039 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)4902)), BGl_string2017z00zz__flac_flacz00, BGl_string2015z00zz__flac_flacz00, BgL_oz00_1209); 
FAILURE(BgL_auxz00_2039,BFALSE,BFALSE);} 
return 
BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(BgL_auxz00_2035);} } 

}



/* flac-decoder-decode16 */
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_9)
{
{ /* Llib/flac.scm 118 */
{ /* Llib/flac.scm 118 */
obj_t BgL_method1119z00_353;
{ /* Llib/flac.scm 118 */
obj_t BgL_res1766z00_627;
{ /* Llib/flac.scm 118 */
long BgL_objzd2classzd2numz00_592;
{ /* Llib/flac.scm 118 */
long BgL_res1756z00_595;
BgL_res1756z00_595 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_9)); 
BgL_objzd2classzd2numz00_592 = BgL_res1756z00_595; } 
{ /* Llib/flac.scm 118 */
obj_t BgL_arg1741z00_593;
BgL_arg1741z00_593 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2decode16zd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 118 */
int BgL_offsetz00_597;
BgL_offsetz00_597 = 
(int)(BgL_objzd2classzd2numz00_592); 
{ /* Llib/flac.scm 118 */
long BgL_offsetz00_598;
BgL_offsetz00_598 = 
(
(long)(BgL_offsetz00_597)-OBJECT_TYPE); 
{ /* Llib/flac.scm 118 */
long BgL_modz00_599;
BgL_modz00_599 = 
(BgL_offsetz00_598 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 118 */
long BgL_restz00_601;
BgL_restz00_601 = 
(BgL_offsetz00_598 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 118 */

{ /* Llib/flac.scm 118 */
obj_t BgL_bucketz00_603;
BgL_bucketz00_603 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_593),BgL_modz00_599); 
BgL_res1766z00_627 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_603),BgL_restz00_601); } } } } } } } } 
BgL_method1119z00_353 = BgL_res1766z00_627; } 
return 
PROCEDURE_ENTRY(BgL_method1119z00_353)(BgL_method1119z00_353, 
((obj_t)BgL_oz00_9), BEOA);} } 

}



/* &flac-decoder-decode16 */
obj_t BGl_z62flaczd2decoderzd2decode16z62zz__flac_flacz00(obj_t BgL_envz00_1210, obj_t BgL_oz00_1211)
{
{ /* Llib/flac.scm 118 */
{ /* Llib/flac.scm 118 */
BgL_flaczd2decoderzd2_bglt BgL_auxz00_2074;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1211, BGl_flaczd2decoderzd2zz__flac_flacz00))
{ /* Llib/flac.scm 118 */
BgL_auxz00_2074 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1211)
; }  else 
{ 
obj_t BgL_auxz00_2078;
BgL_auxz00_2078 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)5394)), BGl_string2018z00zz__flac_flacz00, BGl_string2015z00zz__flac_flacz00, BgL_oz00_1211); 
FAILURE(BgL_auxz00_2078,BFALSE,BFALSE);} 
return 
BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(BgL_auxz00_2074);} } 

}



/* flac-decoder-reset! */
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_10)
{
{ /* Llib/flac.scm 129 */
{ /* Llib/flac.scm 129 */
obj_t BgL_method1121z00_354;
{ /* Llib/flac.scm 129 */
obj_t BgL_res1777z00_664;
{ /* Llib/flac.scm 129 */
long BgL_objzd2classzd2numz00_629;
{ /* Llib/flac.scm 129 */
long BgL_res1767z00_632;
BgL_res1767z00_632 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_10)); 
BgL_objzd2classzd2numz00_629 = BgL_res1767z00_632; } 
{ /* Llib/flac.scm 129 */
obj_t BgL_arg1741z00_630;
BgL_arg1741z00_630 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 129 */
int BgL_offsetz00_634;
BgL_offsetz00_634 = 
(int)(BgL_objzd2classzd2numz00_629); 
{ /* Llib/flac.scm 129 */
long BgL_offsetz00_635;
BgL_offsetz00_635 = 
(
(long)(BgL_offsetz00_634)-OBJECT_TYPE); 
{ /* Llib/flac.scm 129 */
long BgL_modz00_636;
BgL_modz00_636 = 
(BgL_offsetz00_635 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 129 */
long BgL_restz00_638;
BgL_restz00_638 = 
(BgL_offsetz00_635 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 129 */

{ /* Llib/flac.scm 129 */
obj_t BgL_bucketz00_640;
BgL_bucketz00_640 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_630),BgL_modz00_636); 
BgL_res1777z00_664 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_640),BgL_restz00_638); } } } } } } } } 
BgL_method1121z00_354 = BgL_res1777z00_664; } 
return 
PROCEDURE_ENTRY(BgL_method1121z00_354)(BgL_method1121z00_354, 
((obj_t)BgL_oz00_10), BEOA);} } 

}



/* &flac-decoder-reset! */
obj_t BGl_z62flaczd2decoderzd2resetz12z70zz__flac_flacz00(obj_t BgL_envz00_1212, obj_t BgL_oz00_1213)
{
{ /* Llib/flac.scm 129 */
{ /* Llib/flac.scm 129 */
BgL_flaczd2decoderzd2_bglt BgL_auxz00_2113;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1213, BGl_flaczd2decoderzd2zz__flac_flacz00))
{ /* Llib/flac.scm 129 */
BgL_auxz00_2113 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1213)
; }  else 
{ 
obj_t BgL_auxz00_2117;
BgL_auxz00_2117 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)5890)), BGl_string2019z00zz__flac_flacz00, BGl_string2015z00zz__flac_flacz00, BgL_oz00_1213); 
FAILURE(BgL_auxz00_2117,BFALSE,BFALSE);} 
return 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_auxz00_2113);} } 

}



/* flac-decoder-read */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_read(BgL_flaczd2decoderzd2_bglt BgL_oz00_12, long BgL_siza7eza7_13)
{
{ /* Llib/flac.scm 146 */
{ /* Llib/flac.scm 146 */
obj_t BgL_method1123z00_355;
{ /* Llib/flac.scm 146 */
obj_t BgL_res1788z00_701;
{ /* Llib/flac.scm 146 */
long BgL_objzd2classzd2numz00_666;
{ /* Llib/flac.scm 146 */
long BgL_res1778z00_669;
BgL_res1778z00_669 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_12)); 
BgL_objzd2classzd2numz00_666 = BgL_res1778z00_669; } 
{ /* Llib/flac.scm 146 */
obj_t BgL_arg1741z00_667;
BgL_arg1741z00_667 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 146 */
int BgL_offsetz00_671;
BgL_offsetz00_671 = 
(int)(BgL_objzd2classzd2numz00_666); 
{ /* Llib/flac.scm 146 */
long BgL_offsetz00_672;
BgL_offsetz00_672 = 
(
(long)(BgL_offsetz00_671)-OBJECT_TYPE); 
{ /* Llib/flac.scm 146 */
long BgL_modz00_673;
BgL_modz00_673 = 
(BgL_offsetz00_672 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 146 */
long BgL_restz00_675;
BgL_restz00_675 = 
(BgL_offsetz00_672 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 146 */

{ /* Llib/flac.scm 146 */
obj_t BgL_bucketz00_677;
BgL_bucketz00_677 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_667),BgL_modz00_673); 
BgL_res1788z00_701 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_677),BgL_restz00_675); } } } } } } } } 
BgL_method1123z00_355 = BgL_res1788z00_701; } 
return 
PROCEDURE_ENTRY(BgL_method1123z00_355)(BgL_method1123z00_355, 
((obj_t)BgL_oz00_12), 
BINT(BgL_siza7eza7_13), BEOA);} } 

}



/* &flac-decoder-read */
obj_t BGl_z62flaczd2decoderzd2readz62zz__flac_flacz00(obj_t BgL_envz00_1214, obj_t BgL_oz00_1215, obj_t BgL_siza7eza7_1216)
{
{ /* Llib/flac.scm 146 */
{ /* Llib/flac.scm 146 */
long BgL_auxz00_2162;BgL_flaczd2decoderzd2_bglt BgL_auxz00_2154;
{ /* Llib/flac.scm 146 */
obj_t BgL_tmpz00_2163;
if(
INTEGERP(BgL_siza7eza7_1216))
{ /* Llib/flac.scm 146 */
BgL_tmpz00_2163 = BgL_siza7eza7_1216
; }  else 
{ 
obj_t BgL_auxz00_2166;
BgL_auxz00_2166 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)6760)), BGl_string2020z00zz__flac_flacz00, BGl_string2021z00zz__flac_flacz00, BgL_siza7eza7_1216); 
FAILURE(BgL_auxz00_2166,BFALSE,BFALSE);} 
BgL_auxz00_2162 = 
(long)CINT(BgL_tmpz00_2163); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1215, BGl_flaczd2decoderzd2zz__flac_flacz00))
{ /* Llib/flac.scm 146 */
BgL_auxz00_2154 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1215)
; }  else 
{ 
obj_t BgL_auxz00_2158;
BgL_auxz00_2158 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)6760)), BGl_string2020z00zz__flac_flacz00, BGl_string2015z00zz__flac_flacz00, BgL_oz00_1215); 
FAILURE(BgL_auxz00_2158,BFALSE,BFALSE);} 
return 
bgl_flac_decoder_read(BgL_auxz00_2154, BgL_auxz00_2162);} } 

}



/* flac-decoder-write */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_write(BgL_flaczd2decoderzd2_bglt BgL_oz00_14, long BgL_blocksiza7eza7_15, long BgL_sratez00_16, long BgL_channelsz00_17, long BgL_bpsz00_18)
{
{ /* Llib/flac.scm 151 */
{ /* Llib/flac.scm 151 */
obj_t BgL_method1125z00_356;
{ /* Llib/flac.scm 151 */
obj_t BgL_res1799z00_738;
{ /* Llib/flac.scm 151 */
long BgL_objzd2classzd2numz00_703;
{ /* Llib/flac.scm 151 */
long BgL_res1789z00_706;
BgL_res1789z00_706 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_14)); 
BgL_objzd2classzd2numz00_703 = BgL_res1789z00_706; } 
{ /* Llib/flac.scm 151 */
obj_t BgL_arg1741z00_704;
BgL_arg1741z00_704 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2writezd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 151 */
int BgL_offsetz00_708;
BgL_offsetz00_708 = 
(int)(BgL_objzd2classzd2numz00_703); 
{ /* Llib/flac.scm 151 */
long BgL_offsetz00_709;
BgL_offsetz00_709 = 
(
(long)(BgL_offsetz00_708)-OBJECT_TYPE); 
{ /* Llib/flac.scm 151 */
long BgL_modz00_710;
BgL_modz00_710 = 
(BgL_offsetz00_709 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 151 */
long BgL_restz00_712;
BgL_restz00_712 = 
(BgL_offsetz00_709 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 151 */

{ /* Llib/flac.scm 151 */
obj_t BgL_bucketz00_714;
BgL_bucketz00_714 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_704),BgL_modz00_710); 
BgL_res1799z00_738 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_714),BgL_restz00_712); } } } } } } } } 
BgL_method1125z00_356 = BgL_res1799z00_738; } 
return 
PROCEDURE_ENTRY(BgL_method1125z00_356)(BgL_method1125z00_356, 
((obj_t)BgL_oz00_14), 
BINT(BgL_blocksiza7eza7_15), 
BINT(BgL_sratez00_16), 
BINT(BgL_channelsz00_17), 
BINT(BgL_bpsz00_18), BEOA);} } 

}



/* &flac-decoder-write */
obj_t BGl_z62flaczd2decoderzd2writez62zz__flac_flacz00(obj_t BgL_envz00_1217, obj_t BgL_oz00_1218, obj_t BgL_blocksiza7eza7_1219, obj_t BgL_sratez00_1220, obj_t BgL_channelsz00_1221, obj_t BgL_bpsz00_1222)
{
{ /* Llib/flac.scm 151 */
{ /* Llib/flac.scm 151 */
long BgL_auxz00_2245;long BgL_auxz00_2236;long BgL_auxz00_2227;long BgL_auxz00_2218;BgL_flaczd2decoderzd2_bglt BgL_auxz00_2210;
{ /* Llib/flac.scm 151 */
obj_t BgL_tmpz00_2246;
if(
INTEGERP(BgL_bpsz00_1222))
{ /* Llib/flac.scm 151 */
BgL_tmpz00_2246 = BgL_bpsz00_1222
; }  else 
{ 
obj_t BgL_auxz00_2249;
BgL_auxz00_2249 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)7047)), BGl_string2022z00zz__flac_flacz00, BGl_string2021z00zz__flac_flacz00, BgL_bpsz00_1222); 
FAILURE(BgL_auxz00_2249,BFALSE,BFALSE);} 
BgL_auxz00_2245 = 
(long)CINT(BgL_tmpz00_2246); } 
{ /* Llib/flac.scm 151 */
obj_t BgL_tmpz00_2237;
if(
INTEGERP(BgL_channelsz00_1221))
{ /* Llib/flac.scm 151 */
BgL_tmpz00_2237 = BgL_channelsz00_1221
; }  else 
{ 
obj_t BgL_auxz00_2240;
BgL_auxz00_2240 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)7047)), BGl_string2022z00zz__flac_flacz00, BGl_string2021z00zz__flac_flacz00, BgL_channelsz00_1221); 
FAILURE(BgL_auxz00_2240,BFALSE,BFALSE);} 
BgL_auxz00_2236 = 
(long)CINT(BgL_tmpz00_2237); } 
{ /* Llib/flac.scm 151 */
obj_t BgL_tmpz00_2228;
if(
INTEGERP(BgL_sratez00_1220))
{ /* Llib/flac.scm 151 */
BgL_tmpz00_2228 = BgL_sratez00_1220
; }  else 
{ 
obj_t BgL_auxz00_2231;
BgL_auxz00_2231 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)7047)), BGl_string2022z00zz__flac_flacz00, BGl_string2021z00zz__flac_flacz00, BgL_sratez00_1220); 
FAILURE(BgL_auxz00_2231,BFALSE,BFALSE);} 
BgL_auxz00_2227 = 
(long)CINT(BgL_tmpz00_2228); } 
{ /* Llib/flac.scm 151 */
obj_t BgL_tmpz00_2219;
if(
INTEGERP(BgL_blocksiza7eza7_1219))
{ /* Llib/flac.scm 151 */
BgL_tmpz00_2219 = BgL_blocksiza7eza7_1219
; }  else 
{ 
obj_t BgL_auxz00_2222;
BgL_auxz00_2222 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)7047)), BGl_string2022z00zz__flac_flacz00, BGl_string2021z00zz__flac_flacz00, BgL_blocksiza7eza7_1219); 
FAILURE(BgL_auxz00_2222,BFALSE,BFALSE);} 
BgL_auxz00_2218 = 
(long)CINT(BgL_tmpz00_2219); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1218, BGl_flaczd2decoderzd2zz__flac_flacz00))
{ /* Llib/flac.scm 151 */
BgL_auxz00_2210 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1218)
; }  else 
{ 
obj_t BgL_auxz00_2214;
BgL_auxz00_2214 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)7047)), BGl_string2022z00zz__flac_flacz00, BGl_string2015z00zz__flac_flacz00, BgL_oz00_1218); 
FAILURE(BgL_auxz00_2214,BFALSE,BFALSE);} 
return 
bgl_flac_decoder_write(BgL_auxz00_2210, BgL_auxz00_2218, BgL_auxz00_2227, BgL_auxz00_2236, BgL_auxz00_2245);} } 

}



/* flac-decoder-metadata */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_metadata(BgL_flaczd2decoderzd2_bglt BgL_oz00_19, BGL_LONGLONG_T BgL_totalz00_20, long BgL_sratez00_21, long BgL_channelsz00_22, long BgL_bpsz00_23)
{
{ /* Llib/flac.scm 160 */
{ /* Llib/flac.scm 160 */
obj_t BgL_method1127z00_357;
{ /* Llib/flac.scm 160 */
obj_t BgL_res1810z00_775;
{ /* Llib/flac.scm 160 */
long BgL_objzd2classzd2numz00_740;
{ /* Llib/flac.scm 160 */
long BgL_res1800z00_743;
BgL_res1800z00_743 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_19)); 
BgL_objzd2classzd2numz00_740 = BgL_res1800z00_743; } 
{ /* Llib/flac.scm 160 */
obj_t BgL_arg1741z00_741;
BgL_arg1741z00_741 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 160 */
int BgL_offsetz00_745;
BgL_offsetz00_745 = 
(int)(BgL_objzd2classzd2numz00_740); 
{ /* Llib/flac.scm 160 */
long BgL_offsetz00_746;
BgL_offsetz00_746 = 
(
(long)(BgL_offsetz00_745)-OBJECT_TYPE); 
{ /* Llib/flac.scm 160 */
long BgL_modz00_747;
BgL_modz00_747 = 
(BgL_offsetz00_746 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 160 */
long BgL_restz00_749;
BgL_restz00_749 = 
(BgL_offsetz00_746 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 160 */

{ /* Llib/flac.scm 160 */
obj_t BgL_bucketz00_751;
BgL_bucketz00_751 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_741),BgL_modz00_747); 
BgL_res1810z00_775 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_751),BgL_restz00_749); } } } } } } } } 
BgL_method1127z00_357 = BgL_res1810z00_775; } 
return 
PROCEDURE_ENTRY(BgL_method1127z00_357)(BgL_method1127z00_357, 
((obj_t)BgL_oz00_19), 
make_bllong(BgL_totalz00_20), 
BINT(BgL_sratez00_21), 
BINT(BgL_channelsz00_22), 
BINT(BgL_bpsz00_23), BEOA);} } 

}



/* &flac-decoder-metadata */
obj_t BGl_z62flaczd2decoderzd2metadataz62zz__flac_flacz00(obj_t BgL_envz00_1223, obj_t BgL_oz00_1224, obj_t BgL_totalz00_1225, obj_t BgL_sratez00_1226, obj_t BgL_channelsz00_1227, obj_t BgL_bpsz00_1228)
{
{ /* Llib/flac.scm 160 */
{ /* Llib/flac.scm 160 */
long BgL_auxz00_2328;long BgL_auxz00_2319;long BgL_auxz00_2310;BGL_LONGLONG_T BgL_auxz00_2301;BgL_flaczd2decoderzd2_bglt BgL_auxz00_2293;
{ /* Llib/flac.scm 160 */
obj_t BgL_tmpz00_2329;
if(
INTEGERP(BgL_bpsz00_1228))
{ /* Llib/flac.scm 160 */
BgL_tmpz00_2329 = BgL_bpsz00_1228
; }  else 
{ 
obj_t BgL_auxz00_2332;
BgL_auxz00_2332 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)7397)), BGl_string2023z00zz__flac_flacz00, BGl_string2021z00zz__flac_flacz00, BgL_bpsz00_1228); 
FAILURE(BgL_auxz00_2332,BFALSE,BFALSE);} 
BgL_auxz00_2328 = 
(long)CINT(BgL_tmpz00_2329); } 
{ /* Llib/flac.scm 160 */
obj_t BgL_tmpz00_2320;
if(
INTEGERP(BgL_channelsz00_1227))
{ /* Llib/flac.scm 160 */
BgL_tmpz00_2320 = BgL_channelsz00_1227
; }  else 
{ 
obj_t BgL_auxz00_2323;
BgL_auxz00_2323 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)7397)), BGl_string2023z00zz__flac_flacz00, BGl_string2021z00zz__flac_flacz00, BgL_channelsz00_1227); 
FAILURE(BgL_auxz00_2323,BFALSE,BFALSE);} 
BgL_auxz00_2319 = 
(long)CINT(BgL_tmpz00_2320); } 
{ /* Llib/flac.scm 160 */
obj_t BgL_tmpz00_2311;
if(
INTEGERP(BgL_sratez00_1226))
{ /* Llib/flac.scm 160 */
BgL_tmpz00_2311 = BgL_sratez00_1226
; }  else 
{ 
obj_t BgL_auxz00_2314;
BgL_auxz00_2314 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)7397)), BGl_string2023z00zz__flac_flacz00, BGl_string2021z00zz__flac_flacz00, BgL_sratez00_1226); 
FAILURE(BgL_auxz00_2314,BFALSE,BFALSE);} 
BgL_auxz00_2310 = 
(long)CINT(BgL_tmpz00_2311); } 
{ /* Llib/flac.scm 160 */
obj_t BgL_tmpz00_2302;
if(
LLONGP(BgL_totalz00_1225))
{ /* Llib/flac.scm 160 */
BgL_tmpz00_2302 = BgL_totalz00_1225
; }  else 
{ 
obj_t BgL_auxz00_2305;
BgL_auxz00_2305 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)7397)), BGl_string2023z00zz__flac_flacz00, BGl_string2024z00zz__flac_flacz00, BgL_totalz00_1225); 
FAILURE(BgL_auxz00_2305,BFALSE,BFALSE);} 
BgL_auxz00_2301 = 
BLLONG_TO_LLONG(BgL_tmpz00_2302); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1224, BGl_flaczd2decoderzd2zz__flac_flacz00))
{ /* Llib/flac.scm 160 */
BgL_auxz00_2293 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1224)
; }  else 
{ 
obj_t BgL_auxz00_2297;
BgL_auxz00_2297 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)7397)), BGl_string2023z00zz__flac_flacz00, BGl_string2015z00zz__flac_flacz00, BgL_oz00_1224); 
FAILURE(BgL_auxz00_2297,BFALSE,BFALSE);} 
return 
bgl_flac_decoder_metadata(BgL_auxz00_2293, BgL_auxz00_2301, BgL_auxz00_2310, BgL_auxz00_2319, BgL_auxz00_2328);} } 

}



/* flac-decoder-tell */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_tell(BgL_flaczd2decoderzd2_bglt BgL_oz00_24)
{
{ /* Llib/flac.scm 169 */
{ /* Llib/flac.scm 169 */
obj_t BgL_method1129z00_358;
{ /* Llib/flac.scm 169 */
obj_t BgL_res1821z00_812;
{ /* Llib/flac.scm 169 */
long BgL_objzd2classzd2numz00_777;
{ /* Llib/flac.scm 169 */
long BgL_res1811z00_780;
BgL_res1811z00_780 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_24)); 
BgL_objzd2classzd2numz00_777 = BgL_res1811z00_780; } 
{ /* Llib/flac.scm 169 */
obj_t BgL_arg1741z00_778;
BgL_arg1741z00_778 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2tellzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 169 */
int BgL_offsetz00_782;
BgL_offsetz00_782 = 
(int)(BgL_objzd2classzd2numz00_777); 
{ /* Llib/flac.scm 169 */
long BgL_offsetz00_783;
BgL_offsetz00_783 = 
(
(long)(BgL_offsetz00_782)-OBJECT_TYPE); 
{ /* Llib/flac.scm 169 */
long BgL_modz00_784;
BgL_modz00_784 = 
(BgL_offsetz00_783 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 169 */
long BgL_restz00_786;
BgL_restz00_786 = 
(BgL_offsetz00_783 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 169 */

{ /* Llib/flac.scm 169 */
obj_t BgL_bucketz00_788;
BgL_bucketz00_788 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_778),BgL_modz00_784); 
BgL_res1821z00_812 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_788),BgL_restz00_786); } } } } } } } } 
BgL_method1129z00_358 = BgL_res1821z00_812; } 
return 
PROCEDURE_ENTRY(BgL_method1129z00_358)(BgL_method1129z00_358, 
((obj_t)BgL_oz00_24), BEOA);} } 

}



/* &flac-decoder-tell */
obj_t BGl_z62flaczd2decoderzd2tellz62zz__flac_flacz00(obj_t BgL_envz00_1229, obj_t BgL_oz00_1230)
{
{ /* Llib/flac.scm 169 */
{ /* Llib/flac.scm 169 */
BgL_flaczd2decoderzd2_bglt BgL_auxz00_2368;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1230, BGl_flaczd2decoderzd2zz__flac_flacz00))
{ /* Llib/flac.scm 169 */
BgL_auxz00_2368 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1230)
; }  else 
{ 
obj_t BgL_auxz00_2372;
BgL_auxz00_2372 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)7747)), BGl_string2025z00zz__flac_flacz00, BGl_string2015z00zz__flac_flacz00, BgL_oz00_1230); 
FAILURE(BgL_auxz00_2372,BFALSE,BFALSE);} 
return 
bgl_flac_decoder_tell(BgL_auxz00_2368);} } 

}



/* flac-decoder-seek */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_seek(BgL_flaczd2decoderzd2_bglt BgL_oz00_25, BGL_LONGLONG_T BgL_offsetz00_26)
{
{ /* Llib/flac.scm 175 */
{ /* Llib/flac.scm 175 */
obj_t BgL_method1131z00_359;
{ /* Llib/flac.scm 175 */
obj_t BgL_res1832z00_849;
{ /* Llib/flac.scm 175 */
long BgL_objzd2classzd2numz00_814;
{ /* Llib/flac.scm 175 */
long BgL_res1822z00_817;
BgL_res1822z00_817 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_25)); 
BgL_objzd2classzd2numz00_814 = BgL_res1822z00_817; } 
{ /* Llib/flac.scm 175 */
obj_t BgL_arg1741z00_815;
BgL_arg1741z00_815 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2seekzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 175 */
int BgL_offsetz00_819;
BgL_offsetz00_819 = 
(int)(BgL_objzd2classzd2numz00_814); 
{ /* Llib/flac.scm 175 */
long BgL_offsetz00_820;
BgL_offsetz00_820 = 
(
(long)(BgL_offsetz00_819)-OBJECT_TYPE); 
{ /* Llib/flac.scm 175 */
long BgL_modz00_821;
BgL_modz00_821 = 
(BgL_offsetz00_820 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 175 */
long BgL_restz00_823;
BgL_restz00_823 = 
(BgL_offsetz00_820 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 175 */

{ /* Llib/flac.scm 175 */
obj_t BgL_bucketz00_825;
BgL_bucketz00_825 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_815),BgL_modz00_821); 
BgL_res1832z00_849 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_825),BgL_restz00_823); } } } } } } } } 
BgL_method1131z00_359 = BgL_res1832z00_849; } 
return 
PROCEDURE_ENTRY(BgL_method1131z00_359)(BgL_method1131z00_359, 
((obj_t)BgL_oz00_25), 
make_bllong(BgL_offsetz00_26), BEOA);} } 

}



/* &flac-decoder-seek */
obj_t BGl_z62flaczd2decoderzd2seekz62zz__flac_flacz00(obj_t BgL_envz00_1231, obj_t BgL_oz00_1232, obj_t BgL_offsetz00_1233)
{
{ /* Llib/flac.scm 175 */
{ /* Llib/flac.scm 175 */
BGL_LONGLONG_T BgL_auxz00_2417;BgL_flaczd2decoderzd2_bglt BgL_auxz00_2409;
{ /* Llib/flac.scm 175 */
obj_t BgL_tmpz00_2418;
if(
LLONGP(BgL_offsetz00_1233))
{ /* Llib/flac.scm 175 */
BgL_tmpz00_2418 = BgL_offsetz00_1233
; }  else 
{ 
obj_t BgL_auxz00_2421;
BgL_auxz00_2421 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)8029)), BGl_string2026z00zz__flac_flacz00, BGl_string2024z00zz__flac_flacz00, BgL_offsetz00_1233); 
FAILURE(BgL_auxz00_2421,BFALSE,BFALSE);} 
BgL_auxz00_2417 = 
BLLONG_TO_LLONG(BgL_tmpz00_2418); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1232, BGl_flaczd2decoderzd2zz__flac_flacz00))
{ /* Llib/flac.scm 175 */
BgL_auxz00_2409 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1232)
; }  else 
{ 
obj_t BgL_auxz00_2413;
BgL_auxz00_2413 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)8029)), BGl_string2026z00zz__flac_flacz00, BGl_string2015z00zz__flac_flacz00, BgL_oz00_1232); 
FAILURE(BgL_auxz00_2413,BFALSE,BFALSE);} 
return 
bgl_flac_decoder_seek(BgL_auxz00_2409, BgL_auxz00_2417);} } 

}



/* flac-decoder-length */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_length(BgL_flaczd2decoderzd2_bglt BgL_oz00_27)
{
{ /* Llib/flac.scm 181 */
{ /* Llib/flac.scm 181 */
obj_t BgL_method1133z00_360;
{ /* Llib/flac.scm 181 */
obj_t BgL_res1843z00_886;
{ /* Llib/flac.scm 181 */
long BgL_objzd2classzd2numz00_851;
{ /* Llib/flac.scm 181 */
long BgL_res1833z00_854;
BgL_res1833z00_854 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_27)); 
BgL_objzd2classzd2numz00_851 = BgL_res1833z00_854; } 
{ /* Llib/flac.scm 181 */
obj_t BgL_arg1741z00_852;
BgL_arg1741z00_852 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2lengthzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 181 */
int BgL_offsetz00_856;
BgL_offsetz00_856 = 
(int)(BgL_objzd2classzd2numz00_851); 
{ /* Llib/flac.scm 181 */
long BgL_offsetz00_857;
BgL_offsetz00_857 = 
(
(long)(BgL_offsetz00_856)-OBJECT_TYPE); 
{ /* Llib/flac.scm 181 */
long BgL_modz00_858;
BgL_modz00_858 = 
(BgL_offsetz00_857 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 181 */
long BgL_restz00_860;
BgL_restz00_860 = 
(BgL_offsetz00_857 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 181 */

{ /* Llib/flac.scm 181 */
obj_t BgL_bucketz00_862;
BgL_bucketz00_862 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_852),BgL_modz00_858); 
BgL_res1843z00_886 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_862),BgL_restz00_860); } } } } } } } } 
BgL_method1133z00_360 = BgL_res1843z00_886; } 
return 
PROCEDURE_ENTRY(BgL_method1133z00_360)(BgL_method1133z00_360, 
((obj_t)BgL_oz00_27), BEOA);} } 

}



/* &flac-decoder-length */
obj_t BGl_z62flaczd2decoderzd2lengthz62zz__flac_flacz00(obj_t BgL_envz00_1234, obj_t BgL_oz00_1235)
{
{ /* Llib/flac.scm 181 */
{ /* Llib/flac.scm 181 */
BgL_flaczd2decoderzd2_bglt BgL_auxz00_2457;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1235, BGl_flaczd2decoderzd2zz__flac_flacz00))
{ /* Llib/flac.scm 181 */
BgL_auxz00_2457 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1235)
; }  else 
{ 
obj_t BgL_auxz00_2461;
BgL_auxz00_2461 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)8318)), BGl_string2027z00zz__flac_flacz00, BGl_string2015z00zz__flac_flacz00, BgL_oz00_1235); 
FAILURE(BgL_auxz00_2461,BFALSE,BFALSE);} 
return 
bgl_flac_decoder_length(BgL_auxz00_2457);} } 

}



/* flac-decoder-info */
BGL_EXPORTED_DEF long BGl_flaczd2decoderzd2infoz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_28)
{
{ /* Llib/flac.scm 187 */
{ /* Llib/flac.scm 187 */
obj_t BgL_method1135z00_361;
{ /* Llib/flac.scm 187 */
obj_t BgL_res1854z00_923;
{ /* Llib/flac.scm 187 */
long BgL_objzd2classzd2numz00_888;
{ /* Llib/flac.scm 187 */
long BgL_res1844z00_891;
BgL_res1844z00_891 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_28)); 
BgL_objzd2classzd2numz00_888 = BgL_res1844z00_891; } 
{ /* Llib/flac.scm 187 */
obj_t BgL_arg1741z00_889;
BgL_arg1741z00_889 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2infozd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 187 */
int BgL_offsetz00_893;
BgL_offsetz00_893 = 
(int)(BgL_objzd2classzd2numz00_888); 
{ /* Llib/flac.scm 187 */
long BgL_offsetz00_894;
BgL_offsetz00_894 = 
(
(long)(BgL_offsetz00_893)-OBJECT_TYPE); 
{ /* Llib/flac.scm 187 */
long BgL_modz00_895;
BgL_modz00_895 = 
(BgL_offsetz00_894 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 187 */
long BgL_restz00_897;
BgL_restz00_897 = 
(BgL_offsetz00_894 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 187 */

{ /* Llib/flac.scm 187 */
obj_t BgL_bucketz00_899;
BgL_bucketz00_899 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_889),BgL_modz00_895); 
BgL_res1854z00_923 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_899),BgL_restz00_897); } } } } } } } } 
BgL_method1135z00_361 = BgL_res1854z00_923; } 
return 
(long)CINT(
PROCEDURE_ENTRY(BgL_method1135z00_361)(BgL_method1135z00_361, 
((obj_t)BgL_oz00_28), BEOA));} } 

}



/* &flac-decoder-info */
obj_t BGl_z62flaczd2decoderzd2infoz62zz__flac_flacz00(obj_t BgL_envz00_1236, obj_t BgL_oz00_1237)
{
{ /* Llib/flac.scm 187 */
{ /* Llib/flac.scm 187 */
long BgL_tmpz00_2497;
{ /* Llib/flac.scm 187 */
BgL_flaczd2decoderzd2_bglt BgL_auxz00_2498;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1237, BGl_flaczd2decoderzd2zz__flac_flacz00))
{ /* Llib/flac.scm 187 */
BgL_auxz00_2498 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1237)
; }  else 
{ 
obj_t BgL_auxz00_2502;
BgL_auxz00_2502 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)8602)), BGl_string2028z00zz__flac_flacz00, BGl_string2015z00zz__flac_flacz00, BgL_oz00_1237); 
FAILURE(BgL_auxz00_2502,BFALSE,BFALSE);} 
BgL_tmpz00_2497 = 
BGl_flaczd2decoderzd2infoz00zz__flac_flacz00(BgL_auxz00_2498); } 
return 
BINT(BgL_tmpz00_2497);} } 

}



/* flac-decoder-position */
BGL_EXPORTED_DEF long BGl_flaczd2decoderzd2positionz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_mz00_31)
{
{ /* Llib/flac.scm 239 */
{ /* Llib/flac.scm 239 */
obj_t BgL_method1137z00_362;
{ /* Llib/flac.scm 239 */
obj_t BgL_res1865z00_960;
{ /* Llib/flac.scm 239 */
long BgL_objzd2classzd2numz00_925;
{ /* Llib/flac.scm 239 */
long BgL_res1855z00_928;
BgL_res1855z00_928 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mz00_31)); 
BgL_objzd2classzd2numz00_925 = BgL_res1855z00_928; } 
{ /* Llib/flac.scm 239 */
obj_t BgL_arg1741z00_926;
BgL_arg1741z00_926 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2positionzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 239 */
int BgL_offsetz00_930;
BgL_offsetz00_930 = 
(int)(BgL_objzd2classzd2numz00_925); 
{ /* Llib/flac.scm 239 */
long BgL_offsetz00_931;
BgL_offsetz00_931 = 
(
(long)(BgL_offsetz00_930)-OBJECT_TYPE); 
{ /* Llib/flac.scm 239 */
long BgL_modz00_932;
BgL_modz00_932 = 
(BgL_offsetz00_931 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 239 */
long BgL_restz00_934;
BgL_restz00_934 = 
(BgL_offsetz00_931 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 239 */

{ /* Llib/flac.scm 239 */
obj_t BgL_bucketz00_936;
BgL_bucketz00_936 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_926),BgL_modz00_932); 
BgL_res1865z00_960 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_936),BgL_restz00_934); } } } } } } } } 
BgL_method1137z00_362 = BgL_res1865z00_960; } 
return 
(long)CINT(
PROCEDURE_ENTRY(BgL_method1137z00_362)(BgL_method1137z00_362, 
((obj_t)BgL_mz00_31), BEOA));} } 

}



/* &flac-decoder-position */
obj_t BGl_z62flaczd2decoderzd2positionz62zz__flac_flacz00(obj_t BgL_envz00_1238, obj_t BgL_mz00_1239)
{
{ /* Llib/flac.scm 239 */
{ /* Llib/flac.scm 239 */
long BgL_tmpz00_2539;
{ /* Llib/flac.scm 239 */
BgL_flaczd2decoderzd2_bglt BgL_auxz00_2540;
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_1239, BGl_flaczd2decoderzd2zz__flac_flacz00))
{ /* Llib/flac.scm 239 */
BgL_auxz00_2540 = 
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1239)
; }  else 
{ 
obj_t BgL_auxz00_2544;
BgL_auxz00_2544 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)10869)), BGl_string2029z00zz__flac_flacz00, BGl_string2015z00zz__flac_flacz00, BgL_mz00_1239); 
FAILURE(BgL_auxz00_2544,BFALSE,BFALSE);} 
BgL_tmpz00_2539 = 
BGl_flaczd2decoderzd2positionz00zz__flac_flacz00(BgL_auxz00_2540); } 
return 
BINT(BgL_tmpz00_2539);} } 

}



/* flac-volume-get */
BGL_EXPORTED_DEF obj_t BGl_flaczd2volumezd2getz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_mz00_32)
{
{ /* Llib/flac.scm 251 */
{ /* Llib/flac.scm 251 */
obj_t BgL_method1139z00_363;
{ /* Llib/flac.scm 251 */
obj_t BgL_res1876z00_997;
{ /* Llib/flac.scm 251 */
long BgL_objzd2classzd2numz00_962;
{ /* Llib/flac.scm 251 */
long BgL_res1866z00_965;
BgL_res1866z00_965 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mz00_32)); 
BgL_objzd2classzd2numz00_962 = BgL_res1866z00_965; } 
{ /* Llib/flac.scm 251 */
obj_t BgL_arg1741z00_963;
BgL_arg1741z00_963 = 
PROCEDURE_REF(BGl_flaczd2volumezd2getzd2envzd2zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 251 */
int BgL_offsetz00_967;
BgL_offsetz00_967 = 
(int)(BgL_objzd2classzd2numz00_962); 
{ /* Llib/flac.scm 251 */
long BgL_offsetz00_968;
BgL_offsetz00_968 = 
(
(long)(BgL_offsetz00_967)-OBJECT_TYPE); 
{ /* Llib/flac.scm 251 */
long BgL_modz00_969;
BgL_modz00_969 = 
(BgL_offsetz00_968 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 251 */
long BgL_restz00_971;
BgL_restz00_971 = 
(BgL_offsetz00_968 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 251 */

{ /* Llib/flac.scm 251 */
obj_t BgL_bucketz00_973;
BgL_bucketz00_973 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_963),BgL_modz00_969); 
BgL_res1876z00_997 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_973),BgL_restz00_971); } } } } } } } } 
BgL_method1139z00_363 = BgL_res1876z00_997; } 
return 
PROCEDURE_ENTRY(BgL_method1139z00_363)(BgL_method1139z00_363, 
((obj_t)BgL_mz00_32), BEOA);} } 

}



/* &flac-volume-get */
obj_t BGl_z62flaczd2volumezd2getz62zz__flac_flacz00(obj_t BgL_envz00_1240, obj_t BgL_mz00_1241)
{
{ /* Llib/flac.scm 251 */
{ /* Llib/flac.scm 251 */
BgL_flaczd2decoderzd2_bglt BgL_auxz00_2580;
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_1241, BGl_flaczd2decoderzd2zz__flac_flacz00))
{ /* Llib/flac.scm 251 */
BgL_auxz00_2580 = 
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1241)
; }  else 
{ 
obj_t BgL_auxz00_2584;
BgL_auxz00_2584 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)11346)), BGl_string2030z00zz__flac_flacz00, BGl_string2015z00zz__flac_flacz00, BgL_mz00_1241); 
FAILURE(BgL_auxz00_2584,BFALSE,BFALSE);} 
return 
BGl_flaczd2volumezd2getz00zz__flac_flacz00(BgL_auxz00_2580);} } 

}



/* flac-volume-set! */
BGL_EXPORTED_DEF obj_t BGl_flaczd2volumezd2setz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_mz00_33, obj_t BgL_volz00_34)
{
{ /* Llib/flac.scm 258 */
{ /* Llib/flac.scm 258 */
obj_t BgL_method1141z00_364;
{ /* Llib/flac.scm 258 */
obj_t BgL_res1887z00_1034;
{ /* Llib/flac.scm 258 */
long BgL_objzd2classzd2numz00_999;
{ /* Llib/flac.scm 258 */
long BgL_res1877z00_1002;
BgL_res1877z00_1002 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mz00_33)); 
BgL_objzd2classzd2numz00_999 = BgL_res1877z00_1002; } 
{ /* Llib/flac.scm 258 */
obj_t BgL_arg1741z00_1000;
BgL_arg1741z00_1000 = 
PROCEDURE_REF(BGl_flaczd2volumezd2setz12zd2envzc0zz__flac_flacz00, 
(int)(((long)1))); 
{ /* Llib/flac.scm 258 */
int BgL_offsetz00_1004;
BgL_offsetz00_1004 = 
(int)(BgL_objzd2classzd2numz00_999); 
{ /* Llib/flac.scm 258 */
long BgL_offsetz00_1005;
BgL_offsetz00_1005 = 
(
(long)(BgL_offsetz00_1004)-OBJECT_TYPE); 
{ /* Llib/flac.scm 258 */
long BgL_modz00_1006;
BgL_modz00_1006 = 
(BgL_offsetz00_1005 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/flac.scm 258 */
long BgL_restz00_1008;
BgL_restz00_1008 = 
(BgL_offsetz00_1005 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/flac.scm 258 */

{ /* Llib/flac.scm 258 */
obj_t BgL_bucketz00_1010;
BgL_bucketz00_1010 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_1000),BgL_modz00_1006); 
BgL_res1887z00_1034 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1010),BgL_restz00_1008); } } } } } } } } 
BgL_method1141z00_364 = BgL_res1887z00_1034; } 
return 
PROCEDURE_ENTRY(BgL_method1141z00_364)(BgL_method1141z00_364, 
((obj_t)BgL_mz00_33), BgL_volz00_34, BEOA);} } 

}



/* &flac-volume-set! */
obj_t BGl_z62flaczd2volumezd2setz12z70zz__flac_flacz00(obj_t BgL_envz00_1242, obj_t BgL_mz00_1243, obj_t BgL_volz00_1244)
{
{ /* Llib/flac.scm 258 */
{ /* Llib/flac.scm 258 */
BgL_flaczd2decoderzd2_bglt BgL_auxz00_2620;
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_1243, BGl_flaczd2decoderzd2zz__flac_flacz00))
{ /* Llib/flac.scm 258 */
BgL_auxz00_2620 = 
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1243)
; }  else 
{ 
obj_t BgL_auxz00_2624;
BgL_auxz00_2624 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1947z00zz__flac_flacz00, 
BINT(((long)11714)), BGl_string2031z00zz__flac_flacz00, BGl_string2015z00zz__flac_flacz00, BgL_mz00_1243); 
FAILURE(BgL_auxz00_2624,BFALSE,BFALSE);} 
return 
BGl_flaczd2volumezd2setz12z12zz__flac_flacz00(BgL_auxz00_2620, BgL_volz00_1244);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__flac_flacz00()
{
{ /* Llib/flac.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_proc2032z00zz__flac_flacz00, BGl_string2033z00zz__flac_flacz00);} 

}



/* &object-print-flac-de1111 */
obj_t BGl_z62objectzd2printzd2flaczd2de1111zb0zz__flac_flacz00(obj_t BgL_envz00_1246, obj_t BgL_oz00_1247, obj_t BgL_portz00_1248, obj_t BgL_printzd2slotzd2_1249)
{
{ /* Llib/flac.scm 71 */
{ /* Llib/flac.scm 72 */
obj_t BgL_tmpz00_2630;
BgL_tmpz00_2630 = 
((obj_t)BgL_portz00_1248); 
return 
bgl_display_string(BGl_string2034z00zz__flac_flacz00, BgL_tmpz00_2630);} } 

}

#ifdef __cplusplus
}
#endif
