/*===========================================================================*/
/*   (Llib/fs.scm)                                                           */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue 12 May 2020 08:36:09 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.3h/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -srfi libuv -copt  -safee -unsafe -copt -fPIC -copt -IClib Llib/fs.scm -o objs/fs.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvfilez00_bgl {
   header_t header;
   obj_t widening;
   int BgL_fdz00;
   obj_t BgL_pathz00;
} *BgL_uvfilez00_bglt;


static obj_t BGl__uvzd2fszd2mkdirz00zz__libuv_fsz00(obj_t, obj_t);
extern obj_t bgl_uv_fs_lstat(char *, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(obj_t);
static obj_t BGl__uvzd2fszd2truncatez00zz__libuv_fsz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__libuv_fsz00();
extern int bgl_uv_fs_futime(BgL_uvfilez00_bglt, double, double, obj_t, BgL_uvloopz00_bglt);
extern obj_t bgl_uv_fs_stat(char *, obj_t, BgL_uvloopz00_bglt);
extern int bgl_uv_fs_chown(char *, int, int, obj_t, BgL_uvloopz00_bglt);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2openz00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2fdatasyncz00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2utimez00zz__libuv_fsz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2chmodz00zz__libuv_fsz00(obj_t, int, obj_t, obj_t);
static obj_t BGl_z62uvzd2fszd2flagsz62zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__libuv_fsz00();
extern int bgl_uv_fs_fdatasync(BgL_uvfilez00_bglt, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl__uvzd2fszd2fsyncz00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_symlink(char *, char *, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl__uvzd2fszd2symlinkz00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2futimez00zz__libuv_fsz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern int bgl_uv_fs_lchown(char *, int, int, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2lstatz00zz__libuv_fsz00(obj_t, obj_t, obj_t);
extern int bgl_uv_fs_close(BgL_uvfilez00_bglt, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2futimez00zz__libuv_fsz00(BgL_uvfilez00_bglt, double, double, obj_t, obj_t);
static long BGl_O_RDWRz00zz__libuv_fsz00;
BGL_EXPORTED_DECL int BGl_uvzd2fszd2symlinkz00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__uvzd2fszd2writez00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2fstatz00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2lchownz00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2readz00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_mkdir(char *, int, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_fsz00();
BGL_EXPORTED_DECL int BGl_uvzd2fszd2chownz00zz__libuv_fsz00(obj_t, int, int, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2lchownz00zz__libuv_fsz00(obj_t, int, int, obj_t, obj_t);
static obj_t BGl__uvzd2fszd2linkz00zz__libuv_fsz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2statz00zz__libuv_fsz00(obj_t, obj_t, obj_t);
static obj_t BGl__uvzd2fszd2rmdirz00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_O_EXCLz00zz__libuv_fsz00;
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2closez00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, obj_t);
extern int bgl_uv_fs_utime(char *, double, double, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2ftruncatez00zz__libuv_fsz00(BgL_uvfilez00_bglt, int64_t, obj_t, obj_t);
extern int bgl_uv_fs_unlink(char *, obj_t, BgL_uvloopz00_bglt);
extern int bgl_uv_fs_rename(char *, char *, obj_t, BgL_uvloopz00_bglt);
extern int bgl_uv_fs_fsync(BgL_uvfilez00_bglt, obj_t, BgL_uvloopz00_bglt);
extern int bgl_uv_fs_ftruncate(BgL_uvfilez00_bglt, int64_t, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zz__libuv_fsz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31588ze3ze5zz__libuv_fsz00(obj_t, obj_t);
extern BgL_uvloopz00_bglt BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00();
static obj_t BGl__uvzd2fszd2fdatasyncz00zz__libuv_fsz00(obj_t, obj_t);
extern obj_t bgl_uv_fs_readlink(char *, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2mkdirz00zz__libuv_fsz00(obj_t, int, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__libuv_fsz00();
extern int bgl_uv_fs_fchmod(BgL_uvfilez00_bglt, int, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2readlinkz00zz__libuv_fsz00(obj_t, obj_t, obj_t);
static obj_t BGl__uvzd2fszd2unlinkz00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_read(BgL_uvfilez00_bglt, obj_t, long, long, int64_t, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_genericzd2initzd2zz__libuv_fsz00();
static long BGl_O_RDONLYz00zz__libuv_fsz00;
static obj_t BGl__uvzd2fszd2renamez00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2chmodz00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2openz00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_write(BgL_uvfilez00_bglt, obj_t, long, long, int64_t, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2truncatez00zz__libuv_fsz00(obj_t, long, obj_t, obj_t);
extern obj_t BGl_UvFilez00zz__libuv_typesz00;
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2unlinkz00zz__libuv_fsz00(obj_t, obj_t, obj_t);
extern int bgl_uv_fs_link(char *, char *, obj_t, BgL_uvloopz00_bglt);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
extern obj_t bgl_uv_fs_fstat(BgL_uvfilez00_bglt, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_z62uvzd2fszd2dupz62zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2fchmodz00zz__libuv_fsz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2renamez00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2utimez00zz__libuv_fsz00(obj_t, double, double, obj_t, obj_t);
static obj_t BGl__uvzd2fszd2lstatz00zz__libuv_fsz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2dupz00zz__libuv_fsz00(int);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2fchmodz00zz__libuv_fsz00(BgL_uvfilez00_bglt, int, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2fsyncz00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, obj_t);
static long BGl_O_TRUNCz00zz__libuv_fsz00;
extern int bgl_uv_fs_rmdir(char *, obj_t, BgL_uvloopz00_bglt);
extern int bgl_uv_fs_fchown(BgL_uvfilez00_bglt, int, int, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_fsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_loopz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static long BGl_O_APPENDz00zz__libuv_fsz00;
static obj_t BGl__uvzd2fszd2chownz00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_O_SYNCz00zz__libuv_fsz00;
static obj_t BGl_cnstzd2initzd2zz__libuv_fsz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_fsz00();
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2writez00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, int, obj_t, BgL_uvloopz00_bglt, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__libuv_fsz00();
static obj_t BGl__uvzd2fszd2fchownz00zz__libuv_fsz00(obj_t, obj_t);
extern obj_t bgl_uv_fs_open(obj_t, int, int, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl__uvzd2fszd2statz00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_O_WRONLYz00zz__libuv_fsz00;
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2readz00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, int, obj_t, BgL_uvloopz00_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2fstatz00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, obj_t);
static obj_t BGl__uvzd2fszd2ftruncatez00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31557ze3ze5zz__libuv_fsz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2fchownz00zz__libuv_fsz00(BgL_uvfilez00_bglt, int, int, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2linkz00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__uvzd2fszd2closez00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_chmod(char *, int, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31575ze3ze5zz__libuv_fsz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2rmdirz00zz__libuv_fsz00(obj_t, obj_t, obj_t);
static long BGl_O_CREATz00zz__libuv_fsz00;
static obj_t BGl__uvzd2fszd2readlinkz00zz__libuv_fsz00(obj_t, obj_t);
static obj_t __cnst[ 20 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2unlinkzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2unlin2067z00, opt_generic_entry, BGl__uvzd2fszd2unlinkz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2symlinkzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2symli2068z00, opt_generic_entry, BGl__uvzd2fszd2symlinkz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2lstatzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2lstat2069z00, opt_generic_entry, BGl__uvzd2fszd2lstatz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2fchmodzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2fchmo2070z00, opt_generic_entry, BGl__uvzd2fszd2fchmodz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2linkzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2linkza72071za7, opt_generic_entry, BGl__uvzd2fszd2linkz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2rmdirzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2rmdir2072z00, opt_generic_entry, BGl__uvzd2fszd2rmdirz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2chmodzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2chmod2073z00, opt_generic_entry, BGl__uvzd2fszd2chmodz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2flagszd2envzd2zz__libuv_fsz00, BgL_bgl_za762uvza7d2fsza7d2fla2074za7, BGl_z62uvzd2fszd2flagsz62zz__libuv_fsz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2closezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2close2075z00, opt_generic_entry, BGl__uvzd2fszd2closez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2futimezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2futim2076z00, opt_generic_entry, BGl__uvzd2fszd2futimez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2fsynczd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2fsync2077z00, opt_generic_entry, BGl__uvzd2fszd2fsyncz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2utimezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2utime2078z00, opt_generic_entry, BGl__uvzd2fszd2utimez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2fdatasynczd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2fdata2079z00, opt_generic_entry, BGl__uvzd2fszd2fdatasyncz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2mkdirzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2mkdir2080z00, opt_generic_entry, BGl__uvzd2fszd2mkdirz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2fstatzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2fstat2081z00, opt_generic_entry, BGl__uvzd2fszd2fstatz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2truncatezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2trunc2082z00, opt_generic_entry, BGl__uvzd2fszd2truncatez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2lchownzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2lchow2083z00, opt_generic_entry, BGl__uvzd2fszd2lchownz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2statzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2statza72084za7, opt_generic_entry, BGl__uvzd2fszd2statz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_STRING( BGl_string2058z00zz__libuv_fsz00, BgL_bgl_string2058za700za7za7_2085za7, "uv-fs-open", 10 );
DEFINE_STRING( BGl_string2059z00zz__libuv_fsz00, BgL_bgl_string2059za700za7za7_2086za7, "Wrong flags", 11 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2renamezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2renam2087z00, opt_generic_entry, BGl__uvzd2fszd2renamez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_STRING( BGl_string2060z00zz__libuv_fsz00, BgL_bgl_string2060za700za7za7_2088za7, "uv-fs-flags", 11 );
DEFINE_STRING( BGl_string2061z00zz__libuv_fsz00, BgL_bgl_string2061za700za7za7_2089za7, "Illegal flag", 12 );
DEFINE_STRING( BGl_string2062z00zz__libuv_fsz00, BgL_bgl_string2062za700za7za7_2090za7, "__libuv_fs", 10 );
DEFINE_STRING( BGl_string2063z00zz__libuv_fsz00, BgL_bgl_string2063za700za7za7_2091za7, "xa+ ax+ a+ xa ax wx+ xw+ w+ xw wx w rs+ r+ r :position :offset :mode a :loop :callback ", 87 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2readlinkzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2readl2092z00, opt_generic_entry, BGl__uvzd2fszd2readlinkz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2fchownzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2fchow2093z00, opt_generic_entry, BGl__uvzd2fszd2fchownz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2ftruncatezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2ftrun2094z00, opt_generic_entry, BGl__uvzd2fszd2ftruncatez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2openzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2openza72095za7, opt_generic_entry, BGl__uvzd2fszd2openz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2dupzd2envzd2zz__libuv_fsz00, BgL_bgl_za762uvza7d2fsza7d2dup2096za7, BGl_z62uvzd2fszd2dupz62zz__libuv_fsz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2chownzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2chown2097z00, opt_generic_entry, BGl__uvzd2fszd2chownz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2writezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2write2098z00, opt_generic_entry, BGl__uvzd2fszd2writez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2readzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2readza72099za7, opt_generic_entry, BGl__uvzd2fszd2readz00zz__libuv_fsz00, BFALSE, -1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_fsz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_fsz00(long BgL_checksumz00_2003, char * BgL_fromz00_2004)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_fsz00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_fsz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__libuv_fsz00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_fsz00(); 
BGl_cnstzd2initzd2zz__libuv_fsz00(); 
BGl_importedzd2moduleszd2initz00zz__libuv_fsz00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_fsz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_fsz00()
{
{ /* Llib/fs.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__libuv_fs"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__libuv_fsz00()
{
{ /* Llib/fs.scm 15 */
{ /* Llib/fs.scm 15 */
obj_t BgL_cportz00_1985;
{ /* Llib/fs.scm 15 */
obj_t BgL_stringz00_1993;
BgL_stringz00_1993 = BGl_string2063z00zz__libuv_fsz00; 
{ /* Llib/fs.scm 15 */
obj_t BgL_startz00_1994;
BgL_startz00_1994 = 
BINT(((long)0)); 
{ /* Llib/fs.scm 15 */
obj_t BgL_endz00_1995;
BgL_endz00_1995 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1993))); 
{ /* Llib/fs.scm 15 */

BgL_cportz00_1985 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1993, BgL_startz00_1994, BgL_endz00_1995); } } } } 
{ 
long BgL_iz00_1986;
BgL_iz00_1986 = ((long)19); 
BgL_loopz00_1987:
if(
(BgL_iz00_1986==((long)-1)))
{ /* Llib/fs.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/fs.scm 15 */
{ /* Llib/fs.scm 15 */
obj_t BgL_arg2065z00_1989;
{ /* Llib/fs.scm 15 */

{ /* Llib/fs.scm 15 */
obj_t BgL_locationz00_1991;
BgL_locationz00_1991 = 
BBOOL(((bool_t)0)); 
{ /* Llib/fs.scm 15 */

BgL_arg2065z00_1989 = 
BGl_readz00zz__readerz00(BgL_cportz00_1985, BgL_locationz00_1991); } } } 
{ /* Llib/fs.scm 15 */
int BgL_tmpz00_2033;
BgL_tmpz00_2033 = 
(int)(BgL_iz00_1986); 
CNST_TABLE_SET(BgL_tmpz00_2033, BgL_arg2065z00_1989); } } 
{ /* Llib/fs.scm 15 */
int BgL_auxz00_1992;
BgL_auxz00_1992 = 
(int)(
(BgL_iz00_1986-((long)1))); 
{ 
long BgL_iz00_2038;
BgL_iz00_2038 = 
(long)(BgL_auxz00_1992); 
BgL_iz00_1986 = BgL_iz00_2038; 
goto BgL_loopz00_1987;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_fsz00()
{
{ /* Llib/fs.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_fsz00()
{
{ /* Llib/fs.scm 15 */
BGl_O_RDONLYz00zz__libuv_fsz00 = 
O_RDONLY; 
BGl_O_WRONLYz00zz__libuv_fsz00 = 
O_WRONLY; 
BGl_O_RDWRz00zz__libuv_fsz00 = 
O_RDWR; 
BGl_O_CREATz00zz__libuv_fsz00 = 
O_CREAT; 
BGl_O_EXCLz00zz__libuv_fsz00 = 
O_EXCL; 
BGl_O_TRUNCz00zz__libuv_fsz00 = 
O_TRUNC; 
BGl_O_APPENDz00zz__libuv_fsz00 = 
O_APPEND; 
return ( 
BGl_O_SYNCz00zz__libuv_fsz00 = 
O_SYNC, BUNSPEC) ;} 

}



/* uv-fs-dup */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2dupz00zz__libuv_fsz00(int BgL_oldz00_3)
{
{ /* Llib/fs.scm 120 */
return 
dup(BgL_oldz00_3);} 

}



/* &uv-fs-dup */
obj_t BGl_z62uvzd2fszd2dupz62zz__libuv_fsz00(obj_t BgL_envz00_1964, obj_t BgL_oldz00_1965)
{
{ /* Llib/fs.scm 120 */
return 
BINT(
BGl_uvzd2fszd2dupz00zz__libuv_fsz00(
CINT(BgL_oldz00_1965)));} 

}



/* _uv-fs-rename */
obj_t BGl__uvzd2fszd2renamez00zz__libuv_fsz00(obj_t BgL_envz00_9, obj_t BgL_opt1122z00_8)
{
{ /* Llib/fs.scm 126 */
{ /* Llib/fs.scm 126 */
obj_t BgL_g1129z00_172;obj_t BgL_g1130z00_173;
BgL_g1129z00_172 = 
VECTOR_REF(BgL_opt1122z00_8,((long)0)); 
BgL_g1130z00_173 = 
VECTOR_REF(BgL_opt1122z00_8,((long)1)); 
{ /* Llib/fs.scm 126 */
obj_t BgL_callbackz00_174;
BgL_callbackz00_174 = BFALSE; 
{ /* Llib/fs.scm 126 */
obj_t BgL_loopz00_175;
BgL_loopz00_175 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 126 */

{ /* Llib/fs.scm 126 */
long BgL_index1127z00_176;
{ 
long BgL_iz00_770;
BgL_iz00_770 = ((long)2); 
BgL_search1124z00_769:
if(
(BgL_iz00_770==
VECTOR_LENGTH(BgL_opt1122z00_8)))
{ /* Llib/fs.scm 126 */
BgL_index1127z00_176 = ((long)-1); }  else 
{ /* Llib/fs.scm 126 */
obj_t BgL_vz00_775;
BgL_vz00_775 = 
VECTOR_REF(BgL_opt1122z00_8,BgL_iz00_770); 
if(
(BgL_vz00_775==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 126 */
BgL_index1127z00_176 = 
(BgL_iz00_770+((long)1)); }  else 
{ 
long BgL_iz00_2065;
BgL_iz00_2065 = 
(BgL_iz00_770+((long)2)); 
BgL_iz00_770 = BgL_iz00_2065; 
goto BgL_search1124z00_769;} } } 
if(
(BgL_index1127z00_176>=((long)0)))
{ /* Llib/fs.scm 126 */
BgL_callbackz00_174 = 
VECTOR_REF(BgL_opt1122z00_8,BgL_index1127z00_176); }  else 
{ /* Llib/fs.scm 126 */BFALSE; } } 
{ /* Llib/fs.scm 126 */
long BgL_index1128z00_178;
{ 
long BgL_iz00_785;
BgL_iz00_785 = ((long)2); 
BgL_search1124z00_784:
if(
(BgL_iz00_785==
VECTOR_LENGTH(BgL_opt1122z00_8)))
{ /* Llib/fs.scm 126 */
BgL_index1128z00_178 = ((long)-1); }  else 
{ /* Llib/fs.scm 126 */
obj_t BgL_vz00_790;
BgL_vz00_790 = 
VECTOR_REF(BgL_opt1122z00_8,BgL_iz00_785); 
if(
(BgL_vz00_790==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 126 */
BgL_index1128z00_178 = 
(BgL_iz00_785+((long)1)); }  else 
{ 
long BgL_iz00_2078;
BgL_iz00_2078 = 
(BgL_iz00_785+((long)2)); 
BgL_iz00_785 = BgL_iz00_2078; 
goto BgL_search1124z00_784;} } } 
if(
(BgL_index1128z00_178>=((long)0)))
{ /* Llib/fs.scm 126 */
BgL_loopz00_175 = 
VECTOR_REF(BgL_opt1122z00_8,BgL_index1128z00_178); }  else 
{ /* Llib/fs.scm 126 */BFALSE; } } 
{ /* Llib/fs.scm 126 */
obj_t BgL_arg1422z00_180;obj_t BgL_arg1423z00_181;
BgL_arg1422z00_180 = 
VECTOR_REF(BgL_opt1122z00_8,((long)0)); 
BgL_arg1423z00_181 = 
VECTOR_REF(BgL_opt1122z00_8,((long)1)); 
{ /* Llib/fs.scm 126 */
obj_t BgL_callbackz00_182;
BgL_callbackz00_182 = BgL_callbackz00_174; 
{ /* Llib/fs.scm 126 */
obj_t BgL_loopz00_183;
BgL_loopz00_183 = BgL_loopz00_175; 
{ /* Llib/fs.scm 126 */
int BgL_res1878z00_801;
BgL_res1878z00_801 = 
bgl_uv_fs_rename(
BSTRING_TO_STRING(
((obj_t)BgL_arg1422z00_180)), 
BSTRING_TO_STRING(
((obj_t)BgL_arg1423z00_181)), BgL_callbackz00_182, 
((BgL_uvloopz00_bglt)BgL_loopz00_183)); 
return 
BINT(BgL_res1878z00_801);} } } } } } } } } 

}



/* uv-fs-rename */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2renamez00zz__libuv_fsz00(obj_t BgL_oldz00_4, obj_t BgL_newz00_5, obj_t BgL_callbackz00_6, obj_t BgL_loopz00_7)
{
{ /* Llib/fs.scm 126 */
return 
bgl_uv_fs_rename(
BSTRING_TO_STRING(BgL_oldz00_4), 
BSTRING_TO_STRING(BgL_newz00_5), BgL_callbackz00_6, 
((BgL_uvloopz00_bglt)BgL_loopz00_7));} 

}



/* _uv-fs-ftruncate */
obj_t BGl__uvzd2fszd2ftruncatez00zz__libuv_fsz00(obj_t BgL_envz00_15, obj_t BgL_opt1131z00_14)
{
{ /* Llib/fs.scm 132 */
{ /* Llib/fs.scm 132 */
obj_t BgL_g1139z00_192;obj_t BgL_g1140z00_193;
BgL_g1139z00_192 = 
VECTOR_REF(BgL_opt1131z00_14,((long)0)); 
BgL_g1140z00_193 = 
VECTOR_REF(BgL_opt1131z00_14,((long)1)); 
{ /* Llib/fs.scm 132 */
obj_t BgL_callbackz00_194;
BgL_callbackz00_194 = BFALSE; 
{ /* Llib/fs.scm 132 */
obj_t BgL_loopz00_195;
BgL_loopz00_195 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 132 */

{ /* Llib/fs.scm 132 */
long BgL_index1136z00_196;
{ 
long BgL_iz00_811;
BgL_iz00_811 = ((long)2); 
BgL_search1133z00_810:
if(
(BgL_iz00_811==
VECTOR_LENGTH(BgL_opt1131z00_14)))
{ /* Llib/fs.scm 132 */
BgL_index1136z00_196 = ((long)-1); }  else 
{ /* Llib/fs.scm 132 */
obj_t BgL_vz00_816;
BgL_vz00_816 = 
VECTOR_REF(BgL_opt1131z00_14,BgL_iz00_811); 
if(
(BgL_vz00_816==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 132 */
BgL_index1136z00_196 = 
(BgL_iz00_811+((long)1)); }  else 
{ 
long BgL_iz00_2108;
BgL_iz00_2108 = 
(BgL_iz00_811+((long)2)); 
BgL_iz00_811 = BgL_iz00_2108; 
goto BgL_search1133z00_810;} } } 
if(
(BgL_index1136z00_196>=((long)0)))
{ /* Llib/fs.scm 132 */
BgL_callbackz00_194 = 
VECTOR_REF(BgL_opt1131z00_14,BgL_index1136z00_196); }  else 
{ /* Llib/fs.scm 132 */BFALSE; } } 
{ /* Llib/fs.scm 132 */
long BgL_index1137z00_198;
{ 
long BgL_iz00_826;
BgL_iz00_826 = ((long)2); 
BgL_search1133z00_825:
if(
(BgL_iz00_826==
VECTOR_LENGTH(BgL_opt1131z00_14)))
{ /* Llib/fs.scm 132 */
BgL_index1137z00_198 = ((long)-1); }  else 
{ /* Llib/fs.scm 132 */
obj_t BgL_vz00_831;
BgL_vz00_831 = 
VECTOR_REF(BgL_opt1131z00_14,BgL_iz00_826); 
if(
(BgL_vz00_831==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 132 */
BgL_index1137z00_198 = 
(BgL_iz00_826+((long)1)); }  else 
{ 
long BgL_iz00_2121;
BgL_iz00_2121 = 
(BgL_iz00_826+((long)2)); 
BgL_iz00_826 = BgL_iz00_2121; 
goto BgL_search1133z00_825;} } } 
if(
(BgL_index1137z00_198>=((long)0)))
{ /* Llib/fs.scm 132 */
BgL_loopz00_195 = 
VECTOR_REF(BgL_opt1131z00_14,BgL_index1137z00_198); }  else 
{ /* Llib/fs.scm 132 */BFALSE; } } 
{ /* Llib/fs.scm 132 */
obj_t BgL_arg1508z00_200;obj_t BgL_arg1514z00_201;
BgL_arg1508z00_200 = 
VECTOR_REF(BgL_opt1131z00_14,((long)0)); 
BgL_arg1514z00_201 = 
VECTOR_REF(BgL_opt1131z00_14,((long)1)); 
{ /* Llib/fs.scm 132 */
obj_t BgL_callbackz00_202;
BgL_callbackz00_202 = BgL_callbackz00_194; 
{ /* Llib/fs.scm 132 */
obj_t BgL_loopz00_203;
BgL_loopz00_203 = BgL_loopz00_195; 
{ /* Llib/fs.scm 132 */
int BgL_res1884z00_842;
{ /* Llib/fs.scm 132 */
int64_t BgL_offsetz00_841;
BgL_offsetz00_841 = 
BGL_BINT64_TO_INT64(BgL_arg1514z00_201); 
BgL_res1884z00_842 = 
bgl_uv_fs_ftruncate(
((BgL_uvfilez00_bglt)BgL_arg1508z00_200), BgL_offsetz00_841, BgL_callbackz00_202, 
((BgL_uvloopz00_bglt)BgL_loopz00_203)); } 
return 
BINT(BgL_res1884z00_842);} } } } } } } } } 

}



/* uv-fs-ftruncate */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2ftruncatez00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_filez00_10, int64_t BgL_offsetz00_11, obj_t BgL_callbackz00_12, obj_t BgL_loopz00_13)
{
{ /* Llib/fs.scm 132 */
return 
bgl_uv_fs_ftruncate(BgL_filez00_10, BgL_offsetz00_11, BgL_callbackz00_12, 
((BgL_uvloopz00_bglt)BgL_loopz00_13));} 

}



/* _uv-fs-truncate */
obj_t BGl__uvzd2fszd2truncatez00zz__libuv_fsz00(obj_t BgL_envz00_21, obj_t BgL_opt1141z00_20)
{
{ /* Llib/fs.scm 138 */
{ /* Llib/fs.scm 138 */
obj_t BgL_g1148z00_212;obj_t BgL_g1149z00_213;
BgL_g1148z00_212 = 
VECTOR_REF(BgL_opt1141z00_20,((long)0)); 
BgL_g1149z00_213 = 
VECTOR_REF(BgL_opt1141z00_20,((long)1)); 
{ /* Llib/fs.scm 138 */
obj_t BgL_callbackz00_214;
BgL_callbackz00_214 = BFALSE; 
{ /* Llib/fs.scm 138 */
obj_t BgL_loopz00_215;
BgL_loopz00_215 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 138 */

{ /* Llib/fs.scm 138 */
long BgL_index1146z00_216;
{ 
long BgL_iz00_852;
BgL_iz00_852 = ((long)2); 
BgL_search1143z00_851:
if(
(BgL_iz00_852==
VECTOR_LENGTH(BgL_opt1141z00_20)))
{ /* Llib/fs.scm 138 */
BgL_index1146z00_216 = ((long)-1); }  else 
{ /* Llib/fs.scm 138 */
obj_t BgL_vz00_857;
BgL_vz00_857 = 
VECTOR_REF(BgL_opt1141z00_20,BgL_iz00_852); 
if(
(BgL_vz00_857==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 138 */
BgL_index1146z00_216 = 
(BgL_iz00_852+((long)1)); }  else 
{ 
long BgL_iz00_2147;
BgL_iz00_2147 = 
(BgL_iz00_852+((long)2)); 
BgL_iz00_852 = BgL_iz00_2147; 
goto BgL_search1143z00_851;} } } 
if(
(BgL_index1146z00_216>=((long)0)))
{ /* Llib/fs.scm 138 */
BgL_callbackz00_214 = 
VECTOR_REF(BgL_opt1141z00_20,BgL_index1146z00_216); }  else 
{ /* Llib/fs.scm 138 */BFALSE; } } 
{ /* Llib/fs.scm 138 */
long BgL_index1147z00_218;
{ 
long BgL_iz00_867;
BgL_iz00_867 = ((long)2); 
BgL_search1143z00_866:
if(
(BgL_iz00_867==
VECTOR_LENGTH(BgL_opt1141z00_20)))
{ /* Llib/fs.scm 138 */
BgL_index1147z00_218 = ((long)-1); }  else 
{ /* Llib/fs.scm 138 */
obj_t BgL_vz00_872;
BgL_vz00_872 = 
VECTOR_REF(BgL_opt1141z00_20,BgL_iz00_867); 
if(
(BgL_vz00_872==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 138 */
BgL_index1147z00_218 = 
(BgL_iz00_867+((long)1)); }  else 
{ 
long BgL_iz00_2160;
BgL_iz00_2160 = 
(BgL_iz00_867+((long)2)); 
BgL_iz00_867 = BgL_iz00_2160; 
goto BgL_search1143z00_866;} } } 
if(
(BgL_index1147z00_218>=((long)0)))
{ /* Llib/fs.scm 138 */
BgL_loopz00_215 = 
VECTOR_REF(BgL_opt1141z00_20,BgL_index1147z00_218); }  else 
{ /* Llib/fs.scm 138 */BFALSE; } } 
{ /* Llib/fs.scm 138 */
obj_t BgL_arg1538z00_220;obj_t BgL_arg1541z00_221;
BgL_arg1538z00_220 = 
VECTOR_REF(BgL_opt1141z00_20,((long)0)); 
BgL_arg1541z00_221 = 
VECTOR_REF(BgL_opt1141z00_20,((long)1)); 
{ /* Llib/fs.scm 138 */
obj_t BgL_callbackz00_222;
BgL_callbackz00_222 = BgL_callbackz00_214; 
{ /* Llib/fs.scm 138 */
obj_t BgL_loopz00_223;
BgL_loopz00_223 = BgL_loopz00_215; 
return 
BINT(
BGl_uvzd2fszd2truncatez00zz__libuv_fsz00(BgL_arg1538z00_220, 
(long)CINT(BgL_arg1541z00_221), BgL_callbackz00_222, BgL_loopz00_223));} } } } } } } } 

}



/* uv-fs-truncate */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2truncatez00zz__libuv_fsz00(obj_t BgL_pathz00_16, long BgL_offsetz00_17, obj_t BgL_callbackz00_18, obj_t BgL_loopz00_19)
{
{ /* Llib/fs.scm 138 */
if(
PROCEDUREP(BgL_callbackz00_18))
{ /* Llib/fs.scm 143 */
obj_t BgL_zc3z04anonymousza31557ze3z87_1968;
BgL_zc3z04anonymousza31557ze3z87_1968 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31557ze3ze5zz__libuv_fsz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31557ze3z87_1968, 
(int)(((long)0)), BgL_callbackz00_18); 
PROCEDURE_SET(BgL_zc3z04anonymousza31557ze3z87_1968, 
(int)(((long)1)), 
BINT(BgL_offsetz00_17)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31557ze3z87_1968, 
(int)(((long)2)), BgL_loopz00_19); 
{ /* Llib/fs.scm 140 */
obj_t BgL_flagsz00_893;
BgL_flagsz00_893 = 
CNST_TABLE_REF(((long)2)); 
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_flagsz00_893))
{ /* Llib/fs.scm 257 */
return 
CINT(
bgl_uv_fs_open(BgL_pathz00_16, 
CINT(BgL_flagsz00_893), 
(int)(((long)438)), BgL_zc3z04anonymousza31557ze3z87_1968, 
((BgL_uvloopz00_bglt)BgL_loopz00_19)));}  else 
{ /* Llib/fs.scm 257 */
if(
SYMBOLP(BgL_flagsz00_893))
{ /* Llib/fs.scm 260 */
int BgL_arg1796z00_896;
BgL_arg1796z00_896 = 
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_flagsz00_893); 
return 
CINT(
bgl_uv_fs_open(BgL_pathz00_16, BgL_arg1796z00_896, 
(int)(((long)438)), BgL_zc3z04anonymousza31557ze3z87_1968, 
((BgL_uvloopz00_bglt)BgL_loopz00_19)));}  else 
{ /* Llib/fs.scm 259 */
if(
STRINGP(BgL_flagsz00_893))
{ /* Llib/fs.scm 262 */
int BgL_arg1798z00_898;
BgL_arg1798z00_898 = 
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(
bstring_to_symbol(BgL_flagsz00_893)); 
return 
CINT(
bgl_uv_fs_open(BgL_pathz00_16, BgL_arg1798z00_898, 
(int)(((long)438)), BgL_zc3z04anonymousza31557ze3z87_1968, 
((BgL_uvloopz00_bglt)BgL_loopz00_19)));}  else 
{ /* Llib/fs.scm 261 */
return 
CINT(
BGl_errorz00zz__errorz00(BGl_string2058z00zz__libuv_fsz00, BGl_string2059z00zz__libuv_fsz00, BgL_flagsz00_893));} } } } }  else 
{ /* Llib/fs.scm 153 */
obj_t BgL_fdz00_250;
{ /* Llib/fs.scm 153 */
BgL_uvloopz00_bglt BgL_loopz00_258;
BgL_loopz00_258 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 153 */
obj_t BgL_flagsz00_905;
BgL_flagsz00_905 = 
CNST_TABLE_REF(((long)2)); 
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_flagsz00_905))
{ /* Llib/fs.scm 257 */
BgL_fdz00_250 = 
bgl_uv_fs_open(BgL_pathz00_16, 
CINT(BgL_flagsz00_905), 
(int)(((long)438)), BFALSE, BgL_loopz00_258); }  else 
{ /* Llib/fs.scm 257 */
if(
SYMBOLP(BgL_flagsz00_905))
{ /* Llib/fs.scm 259 */
BgL_fdz00_250 = 
bgl_uv_fs_open(BgL_pathz00_16, 
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_flagsz00_905), 
(int)(((long)438)), BFALSE, BgL_loopz00_258); }  else 
{ /* Llib/fs.scm 259 */
if(
STRINGP(BgL_flagsz00_905))
{ /* Llib/fs.scm 261 */
BgL_fdz00_250 = 
bgl_uv_fs_open(BgL_pathz00_16, 
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(
bstring_to_symbol(BgL_flagsz00_905)), 
(int)(((long)438)), BFALSE, BgL_loopz00_258); }  else 
{ /* Llib/fs.scm 261 */
BgL_fdz00_250 = 
BGl_errorz00zz__errorz00(BGl_string2058z00zz__libuv_fsz00, BGl_string2059z00zz__libuv_fsz00, BgL_flagsz00_905); } } } } } 
if(
BGl_isazf3zf3zz__objectz00(BgL_fdz00_250, BGl_UvFilez00zz__libuv_typesz00))
{ /* Llib/fs.scm 155 */
int BgL_resz00_252;
{ /* Llib/fs.scm 155 */
BgL_uvloopz00_bglt BgL_loopz00_256;
BgL_loopz00_256 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 155 */
int BgL_res1899z00_918;
{ /* Llib/fs.scm 155 */
int64_t BgL_offsetz00_917;
BgL_offsetz00_917 = 
(int64_t)(BgL_offsetz00_17); 
BgL_res1899z00_918 = 
bgl_uv_fs_ftruncate(
((BgL_uvfilez00_bglt)BgL_fdz00_250), BgL_offsetz00_917, BFALSE, BgL_loopz00_256); } 
BgL_resz00_252 = BgL_res1899z00_918; } } 
{ /* Llib/fs.scm 156 */
BgL_uvloopz00_bglt BgL_loopz00_254;
BgL_loopz00_254 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
bgl_uv_fs_close(
((BgL_uvfilez00_bglt)BgL_fdz00_250), BFALSE, BgL_loopz00_254); } 
return BgL_resz00_252;}  else 
{ /* Llib/fs.scm 154 */
return 
CINT(BgL_fdz00_250);} } } 

}



/* &<@anonymous:1557> */
obj_t BGl_z62zc3z04anonymousza31557ze3ze5zz__libuv_fsz00(obj_t BgL_envz00_1969, obj_t BgL_fdz00_1973)
{
{ /* Llib/fs.scm 142 */
{ /* Llib/fs.scm 143 */
obj_t BgL_callbackz00_1970;long BgL_offsetz00_1971;obj_t BgL_loopz00_1972;
BgL_callbackz00_1970 = 
PROCEDURE_REF(BgL_envz00_1969, 
(int)(((long)0))); 
BgL_offsetz00_1971 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_1969, 
(int)(((long)1)))); 
BgL_loopz00_1972 = 
PROCEDURE_REF(BgL_envz00_1969, 
(int)(((long)2))); 
if(
BGl_isazf3zf3zz__objectz00(BgL_fdz00_1973, BGl_UvFilez00zz__libuv_typesz00))
{ /* Llib/fs.scm 144 */
int64_t BgL_arg1573z00_1998;
{ /* Llib/fs.scm 144 */
int64_t BgL_res1891z00_1999;
BgL_res1891z00_1999 = 
(int64_t)(BgL_offsetz00_1971); 
BgL_arg1573z00_1998 = BgL_res1891z00_1999; } 
{ /* Llib/fs.scm 148 */
obj_t BgL_zc3z04anonymousza31575ze3z87_2000;
BgL_zc3z04anonymousza31575ze3z87_2000 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31575ze3ze5zz__libuv_fsz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31575ze3z87_2000, 
(int)(((long)0)), BgL_callbackz00_1970); 
PROCEDURE_SET(BgL_zc3z04anonymousza31575ze3z87_2000, 
(int)(((long)1)), BgL_loopz00_1972); 
PROCEDURE_SET(BgL_zc3z04anonymousza31575ze3z87_2000, 
(int)(((long)2)), BgL_fdz00_1973); 
{ /* Llib/fs.scm 144 */
int BgL_res1892z00_2001;
BgL_res1892z00_2001 = 
bgl_uv_fs_ftruncate(
((BgL_uvfilez00_bglt)BgL_fdz00_1973), BgL_arg1573z00_1998, BgL_zc3z04anonymousza31575ze3z87_2000, 
((BgL_uvloopz00_bglt)BgL_loopz00_1972)); 
return 
BINT(BgL_res1892z00_2001);} } }  else 
{ /* Llib/fs.scm 143 */
return 
PROCEDURE_ENTRY(BgL_callbackz00_1970)(BgL_callbackz00_1970, BgL_fdz00_1973, BEOA);} } } 

}



/* &<@anonymous:1575> */
obj_t BGl_z62zc3z04anonymousza31575ze3ze5zz__libuv_fsz00(obj_t BgL_envz00_1974, obj_t BgL_resz00_1978)
{
{ /* Llib/fs.scm 146 */
{ /* Llib/fs.scm 148 */
obj_t BgL_callbackz00_1975;obj_t BgL_loopz00_1976;obj_t BgL_fdz00_1977;
BgL_callbackz00_1975 = 
PROCEDURE_REF(BgL_envz00_1974, 
(int)(((long)0))); 
BgL_loopz00_1976 = 
PROCEDURE_REF(BgL_envz00_1974, 
(int)(((long)1))); 
BgL_fdz00_1977 = 
PROCEDURE_REF(BgL_envz00_1974, 
(int)(((long)2))); 
{ /* Llib/fs.scm 148 */
int BgL_tmpz00_2269;
{ /* Llib/fs.scm 148 */
obj_t BgL_zc3z04anonymousza31588ze3z87_2002;
BgL_zc3z04anonymousza31588ze3z87_2002 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31588ze3ze5zz__libuv_fsz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31588ze3z87_2002, 
(int)(((long)0)), BgL_callbackz00_1975); 
PROCEDURE_SET(BgL_zc3z04anonymousza31588ze3z87_2002, 
(int)(((long)1)), BgL_resz00_1978); 
BgL_tmpz00_2269 = 
bgl_uv_fs_close(
((BgL_uvfilez00_bglt)BgL_fdz00_1977), BgL_zc3z04anonymousza31588ze3z87_2002, 
((BgL_uvloopz00_bglt)BgL_loopz00_1976)); } 
return 
BINT(BgL_tmpz00_2269);} } } 

}



/* &<@anonymous:1588> */
obj_t BGl_z62zc3z04anonymousza31588ze3ze5zz__libuv_fsz00(obj_t BgL_envz00_1979, obj_t BgL_objz00_1982)
{
{ /* Llib/fs.scm 148 */
{ /* Llib/fs.scm 148 */
obj_t BgL_callbackz00_1980;obj_t BgL_resz00_1981;
BgL_callbackz00_1980 = 
PROCEDURE_REF(BgL_envz00_1979, 
(int)(((long)0))); 
BgL_resz00_1981 = 
PROCEDURE_REF(BgL_envz00_1979, 
(int)(((long)1))); 
return 
PROCEDURE_ENTRY(BgL_callbackz00_1980)(BgL_callbackz00_1980, BgL_resz00_1981, BEOA);} } 

}



/* _uv-fs-chown */
obj_t BGl__uvzd2fszd2chownz00zz__libuv_fsz00(obj_t BgL_envz00_28, obj_t BgL_opt1150z00_27)
{
{ /* Llib/fs.scm 163 */
{ /* Llib/fs.scm 163 */
obj_t BgL_g1158z00_264;obj_t BgL_g1159z00_265;obj_t BgL_g1162z00_266;
BgL_g1158z00_264 = 
VECTOR_REF(BgL_opt1150z00_27,((long)0)); 
BgL_g1159z00_265 = 
VECTOR_REF(BgL_opt1150z00_27,((long)1)); 
BgL_g1162z00_266 = 
VECTOR_REF(BgL_opt1150z00_27,((long)2)); 
{ /* Llib/fs.scm 163 */
obj_t BgL_callbackz00_267;
BgL_callbackz00_267 = BFALSE; 
{ /* Llib/fs.scm 163 */
obj_t BgL_loopz00_268;
BgL_loopz00_268 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 163 */

{ /* Llib/fs.scm 163 */
long BgL_index1155z00_269;
{ 
long BgL_iz00_929;
BgL_iz00_929 = ((long)3); 
BgL_search1152z00_928:
if(
(BgL_iz00_929==
VECTOR_LENGTH(BgL_opt1150z00_27)))
{ /* Llib/fs.scm 163 */
BgL_index1155z00_269 = ((long)-1); }  else 
{ /* Llib/fs.scm 163 */
obj_t BgL_vz00_934;
BgL_vz00_934 = 
VECTOR_REF(BgL_opt1150z00_27,BgL_iz00_929); 
if(
(BgL_vz00_934==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 163 */
BgL_index1155z00_269 = 
(BgL_iz00_929+((long)1)); }  else 
{ 
long BgL_iz00_2302;
BgL_iz00_2302 = 
(BgL_iz00_929+((long)2)); 
BgL_iz00_929 = BgL_iz00_2302; 
goto BgL_search1152z00_928;} } } 
if(
(BgL_index1155z00_269>=((long)0)))
{ /* Llib/fs.scm 163 */
BgL_callbackz00_267 = 
VECTOR_REF(BgL_opt1150z00_27,BgL_index1155z00_269); }  else 
{ /* Llib/fs.scm 163 */BFALSE; } } 
{ /* Llib/fs.scm 163 */
long BgL_index1156z00_271;
{ 
long BgL_iz00_944;
BgL_iz00_944 = ((long)3); 
BgL_search1152z00_943:
if(
(BgL_iz00_944==
VECTOR_LENGTH(BgL_opt1150z00_27)))
{ /* Llib/fs.scm 163 */
BgL_index1156z00_271 = ((long)-1); }  else 
{ /* Llib/fs.scm 163 */
obj_t BgL_vz00_949;
BgL_vz00_949 = 
VECTOR_REF(BgL_opt1150z00_27,BgL_iz00_944); 
if(
(BgL_vz00_949==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 163 */
BgL_index1156z00_271 = 
(BgL_iz00_944+((long)1)); }  else 
{ 
long BgL_iz00_2315;
BgL_iz00_2315 = 
(BgL_iz00_944+((long)2)); 
BgL_iz00_944 = BgL_iz00_2315; 
goto BgL_search1152z00_943;} } } 
if(
(BgL_index1156z00_271>=((long)0)))
{ /* Llib/fs.scm 163 */
BgL_loopz00_268 = 
VECTOR_REF(BgL_opt1150z00_27,BgL_index1156z00_271); }  else 
{ /* Llib/fs.scm 163 */BFALSE; } } 
{ /* Llib/fs.scm 163 */
obj_t BgL_arg1607z00_273;obj_t BgL_arg1612z00_274;obj_t BgL_arg1617z00_275;
BgL_arg1607z00_273 = 
VECTOR_REF(BgL_opt1150z00_27,((long)0)); 
BgL_arg1612z00_274 = 
VECTOR_REF(BgL_opt1150z00_27,((long)1)); 
BgL_arg1617z00_275 = 
VECTOR_REF(BgL_opt1150z00_27,((long)2)); 
{ /* Llib/fs.scm 163 */
obj_t BgL_callbackz00_276;
BgL_callbackz00_276 = BgL_callbackz00_267; 
{ /* Llib/fs.scm 163 */
obj_t BgL_loopz00_277;
BgL_loopz00_277 = BgL_loopz00_268; 
{ /* Llib/fs.scm 163 */
int BgL_res1905z00_961;
{ /* Llib/fs.scm 163 */
int BgL_uidz00_959;int BgL_gidz00_960;
BgL_uidz00_959 = 
CINT(BgL_arg1612z00_274); 
BgL_gidz00_960 = 
CINT(BgL_arg1617z00_275); 
BgL_res1905z00_961 = 
bgl_uv_fs_chown(
BSTRING_TO_STRING(
((obj_t)BgL_arg1607z00_273)), BgL_uidz00_959, BgL_gidz00_960, BgL_callbackz00_276, 
((BgL_uvloopz00_bglt)BgL_loopz00_277)); } 
return 
BINT(BgL_res1905z00_961);} } } } } } } } } 

}



/* uv-fs-chown */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2chownz00zz__libuv_fsz00(obj_t BgL_pathz00_22, int BgL_uidz00_23, int BgL_gidz00_24, obj_t BgL_callbackz00_25, obj_t BgL_loopz00_26)
{
{ /* Llib/fs.scm 163 */
return 
bgl_uv_fs_chown(
BSTRING_TO_STRING(BgL_pathz00_22), BgL_uidz00_23, BgL_gidz00_24, BgL_callbackz00_25, 
((BgL_uvloopz00_bglt)BgL_loopz00_26));} 

}



/* _uv-fs-fchown */
obj_t BGl__uvzd2fszd2fchownz00zz__libuv_fsz00(obj_t BgL_envz00_35, obj_t BgL_opt1163z00_34)
{
{ /* Llib/fs.scm 169 */
{ /* Llib/fs.scm 169 */
obj_t BgL_g1170z00_286;obj_t BgL_g1171z00_287;obj_t BgL_g1172z00_288;
BgL_g1170z00_286 = 
VECTOR_REF(BgL_opt1163z00_34,((long)0)); 
BgL_g1171z00_287 = 
VECTOR_REF(BgL_opt1163z00_34,((long)1)); 
BgL_g1172z00_288 = 
VECTOR_REF(BgL_opt1163z00_34,((long)2)); 
{ /* Llib/fs.scm 169 */
obj_t BgL_callbackz00_289;
BgL_callbackz00_289 = BFALSE; 
{ /* Llib/fs.scm 169 */
obj_t BgL_loopz00_290;
BgL_loopz00_290 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 169 */

{ /* Llib/fs.scm 169 */
long BgL_index1168z00_291;
{ 
long BgL_iz00_971;
BgL_iz00_971 = ((long)3); 
BgL_search1165z00_970:
if(
(BgL_iz00_971==
VECTOR_LENGTH(BgL_opt1163z00_34)))
{ /* Llib/fs.scm 169 */
BgL_index1168z00_291 = ((long)-1); }  else 
{ /* Llib/fs.scm 169 */
obj_t BgL_vz00_976;
BgL_vz00_976 = 
VECTOR_REF(BgL_opt1163z00_34,BgL_iz00_971); 
if(
(BgL_vz00_976==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 169 */
BgL_index1168z00_291 = 
(BgL_iz00_971+((long)1)); }  else 
{ 
long BgL_iz00_2346;
BgL_iz00_2346 = 
(BgL_iz00_971+((long)2)); 
BgL_iz00_971 = BgL_iz00_2346; 
goto BgL_search1165z00_970;} } } 
if(
(BgL_index1168z00_291>=((long)0)))
{ /* Llib/fs.scm 169 */
BgL_callbackz00_289 = 
VECTOR_REF(BgL_opt1163z00_34,BgL_index1168z00_291); }  else 
{ /* Llib/fs.scm 169 */BFALSE; } } 
{ /* Llib/fs.scm 169 */
long BgL_index1169z00_293;
{ 
long BgL_iz00_986;
BgL_iz00_986 = ((long)3); 
BgL_search1165z00_985:
if(
(BgL_iz00_986==
VECTOR_LENGTH(BgL_opt1163z00_34)))
{ /* Llib/fs.scm 169 */
BgL_index1169z00_293 = ((long)-1); }  else 
{ /* Llib/fs.scm 169 */
obj_t BgL_vz00_991;
BgL_vz00_991 = 
VECTOR_REF(BgL_opt1163z00_34,BgL_iz00_986); 
if(
(BgL_vz00_991==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 169 */
BgL_index1169z00_293 = 
(BgL_iz00_986+((long)1)); }  else 
{ 
long BgL_iz00_2359;
BgL_iz00_2359 = 
(BgL_iz00_986+((long)2)); 
BgL_iz00_986 = BgL_iz00_2359; 
goto BgL_search1165z00_985;} } } 
if(
(BgL_index1169z00_293>=((long)0)))
{ /* Llib/fs.scm 169 */
BgL_loopz00_290 = 
VECTOR_REF(BgL_opt1163z00_34,BgL_index1169z00_293); }  else 
{ /* Llib/fs.scm 169 */BFALSE; } } 
{ /* Llib/fs.scm 169 */
obj_t BgL_arg1623z00_295;obj_t BgL_arg1630z00_296;obj_t BgL_arg1643z00_297;
BgL_arg1623z00_295 = 
VECTOR_REF(BgL_opt1163z00_34,((long)0)); 
BgL_arg1630z00_296 = 
VECTOR_REF(BgL_opt1163z00_34,((long)1)); 
BgL_arg1643z00_297 = 
VECTOR_REF(BgL_opt1163z00_34,((long)2)); 
{ /* Llib/fs.scm 169 */
obj_t BgL_callbackz00_298;
BgL_callbackz00_298 = BgL_callbackz00_289; 
{ /* Llib/fs.scm 169 */
obj_t BgL_loopz00_299;
BgL_loopz00_299 = BgL_loopz00_290; 
{ /* Llib/fs.scm 169 */
int BgL_res1911z00_1003;
{ /* Llib/fs.scm 169 */
int BgL_uidz00_1001;int BgL_gidz00_1002;
BgL_uidz00_1001 = 
CINT(BgL_arg1630z00_296); 
BgL_gidz00_1002 = 
CINT(BgL_arg1643z00_297); 
BgL_res1911z00_1003 = 
bgl_uv_fs_fchown(
((BgL_uvfilez00_bglt)BgL_arg1623z00_295), BgL_uidz00_1001, BgL_gidz00_1002, BgL_callbackz00_298, 
((BgL_uvloopz00_bglt)BgL_loopz00_299)); } 
return 
BINT(BgL_res1911z00_1003);} } } } } } } } } 

}



/* uv-fs-fchown */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2fchownz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_29, int BgL_uidz00_30, int BgL_gidz00_31, obj_t BgL_callbackz00_32, obj_t BgL_loopz00_33)
{
{ /* Llib/fs.scm 169 */
return 
bgl_uv_fs_fchown(BgL_fdz00_29, BgL_uidz00_30, BgL_gidz00_31, BgL_callbackz00_32, 
((BgL_uvloopz00_bglt)BgL_loopz00_33));} 

}



/* _uv-fs-lchown */
obj_t BGl__uvzd2fszd2lchownz00zz__libuv_fsz00(obj_t BgL_envz00_42, obj_t BgL_opt1173z00_41)
{
{ /* Llib/fs.scm 175 */
{ /* Llib/fs.scm 175 */
obj_t BgL_g1180z00_308;obj_t BgL_g1181z00_309;obj_t BgL_g1182z00_310;
BgL_g1180z00_308 = 
VECTOR_REF(BgL_opt1173z00_41,((long)0)); 
BgL_g1181z00_309 = 
VECTOR_REF(BgL_opt1173z00_41,((long)1)); 
BgL_g1182z00_310 = 
VECTOR_REF(BgL_opt1173z00_41,((long)2)); 
{ /* Llib/fs.scm 175 */
obj_t BgL_callbackz00_311;
BgL_callbackz00_311 = BFALSE; 
{ /* Llib/fs.scm 175 */
obj_t BgL_loopz00_312;
BgL_loopz00_312 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 175 */

{ /* Llib/fs.scm 175 */
long BgL_index1178z00_313;
{ 
long BgL_iz00_1013;
BgL_iz00_1013 = ((long)3); 
BgL_search1175z00_1012:
if(
(BgL_iz00_1013==
VECTOR_LENGTH(BgL_opt1173z00_41)))
{ /* Llib/fs.scm 175 */
BgL_index1178z00_313 = ((long)-1); }  else 
{ /* Llib/fs.scm 175 */
obj_t BgL_vz00_1018;
BgL_vz00_1018 = 
VECTOR_REF(BgL_opt1173z00_41,BgL_iz00_1013); 
if(
(BgL_vz00_1018==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 175 */
BgL_index1178z00_313 = 
(BgL_iz00_1013+((long)1)); }  else 
{ 
long BgL_iz00_2388;
BgL_iz00_2388 = 
(BgL_iz00_1013+((long)2)); 
BgL_iz00_1013 = BgL_iz00_2388; 
goto BgL_search1175z00_1012;} } } 
if(
(BgL_index1178z00_313>=((long)0)))
{ /* Llib/fs.scm 175 */
BgL_callbackz00_311 = 
VECTOR_REF(BgL_opt1173z00_41,BgL_index1178z00_313); }  else 
{ /* Llib/fs.scm 175 */BFALSE; } } 
{ /* Llib/fs.scm 175 */
long BgL_index1179z00_315;
{ 
long BgL_iz00_1028;
BgL_iz00_1028 = ((long)3); 
BgL_search1175z00_1027:
if(
(BgL_iz00_1028==
VECTOR_LENGTH(BgL_opt1173z00_41)))
{ /* Llib/fs.scm 175 */
BgL_index1179z00_315 = ((long)-1); }  else 
{ /* Llib/fs.scm 175 */
obj_t BgL_vz00_1033;
BgL_vz00_1033 = 
VECTOR_REF(BgL_opt1173z00_41,BgL_iz00_1028); 
if(
(BgL_vz00_1033==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 175 */
BgL_index1179z00_315 = 
(BgL_iz00_1028+((long)1)); }  else 
{ 
long BgL_iz00_2401;
BgL_iz00_2401 = 
(BgL_iz00_1028+((long)2)); 
BgL_iz00_1028 = BgL_iz00_2401; 
goto BgL_search1175z00_1027;} } } 
if(
(BgL_index1179z00_315>=((long)0)))
{ /* Llib/fs.scm 175 */
BgL_loopz00_312 = 
VECTOR_REF(BgL_opt1173z00_41,BgL_index1179z00_315); }  else 
{ /* Llib/fs.scm 175 */BFALSE; } } 
{ /* Llib/fs.scm 175 */
obj_t BgL_arg1649z00_317;obj_t BgL_arg1650z00_318;obj_t BgL_arg1657z00_319;
BgL_arg1649z00_317 = 
VECTOR_REF(BgL_opt1173z00_41,((long)0)); 
BgL_arg1650z00_318 = 
VECTOR_REF(BgL_opt1173z00_41,((long)1)); 
BgL_arg1657z00_319 = 
VECTOR_REF(BgL_opt1173z00_41,((long)2)); 
{ /* Llib/fs.scm 175 */
obj_t BgL_callbackz00_320;
BgL_callbackz00_320 = BgL_callbackz00_311; 
{ /* Llib/fs.scm 175 */
obj_t BgL_loopz00_321;
BgL_loopz00_321 = BgL_loopz00_312; 
{ /* Llib/fs.scm 175 */
int BgL_res1917z00_1045;
{ /* Llib/fs.scm 175 */
int BgL_uidz00_1043;int BgL_gidz00_1044;
BgL_uidz00_1043 = 
CINT(BgL_arg1650z00_318); 
BgL_gidz00_1044 = 
CINT(BgL_arg1657z00_319); 
BgL_res1917z00_1045 = 
bgl_uv_fs_lchown(
BSTRING_TO_STRING(
((obj_t)BgL_arg1649z00_317)), BgL_uidz00_1043, BgL_gidz00_1044, BgL_callbackz00_320, 
((BgL_uvloopz00_bglt)BgL_loopz00_321)); } 
return 
BINT(BgL_res1917z00_1045);} } } } } } } } } 

}



/* uv-fs-lchown */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2lchownz00zz__libuv_fsz00(obj_t BgL_pathz00_36, int BgL_uidz00_37, int BgL_gidz00_38, obj_t BgL_callbackz00_39, obj_t BgL_loopz00_40)
{
{ /* Llib/fs.scm 175 */
return 
bgl_uv_fs_lchown(
BSTRING_TO_STRING(BgL_pathz00_36), BgL_uidz00_37, BgL_gidz00_38, BgL_callbackz00_39, 
((BgL_uvloopz00_bglt)BgL_loopz00_40));} 

}



/* _uv-fs-chmod */
obj_t BGl__uvzd2fszd2chmodz00zz__libuv_fsz00(obj_t BgL_envz00_48, obj_t BgL_opt1183z00_47)
{
{ /* Llib/fs.scm 181 */
{ /* Llib/fs.scm 181 */
obj_t BgL_g1190z00_330;obj_t BgL_g1191z00_331;
BgL_g1190z00_330 = 
VECTOR_REF(BgL_opt1183z00_47,((long)0)); 
BgL_g1191z00_331 = 
VECTOR_REF(BgL_opt1183z00_47,((long)1)); 
{ /* Llib/fs.scm 181 */
obj_t BgL_callbackz00_332;
BgL_callbackz00_332 = BFALSE; 
{ /* Llib/fs.scm 181 */
obj_t BgL_loopz00_333;
BgL_loopz00_333 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 181 */

{ /* Llib/fs.scm 181 */
long BgL_index1188z00_334;
{ 
long BgL_iz00_1055;
BgL_iz00_1055 = ((long)2); 
BgL_search1185z00_1054:
if(
(BgL_iz00_1055==
VECTOR_LENGTH(BgL_opt1183z00_47)))
{ /* Llib/fs.scm 181 */
BgL_index1188z00_334 = ((long)-1); }  else 
{ /* Llib/fs.scm 181 */
obj_t BgL_vz00_1060;
BgL_vz00_1060 = 
VECTOR_REF(BgL_opt1183z00_47,BgL_iz00_1055); 
if(
(BgL_vz00_1060==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 181 */
BgL_index1188z00_334 = 
(BgL_iz00_1055+((long)1)); }  else 
{ 
long BgL_iz00_2431;
BgL_iz00_2431 = 
(BgL_iz00_1055+((long)2)); 
BgL_iz00_1055 = BgL_iz00_2431; 
goto BgL_search1185z00_1054;} } } 
if(
(BgL_index1188z00_334>=((long)0)))
{ /* Llib/fs.scm 181 */
BgL_callbackz00_332 = 
VECTOR_REF(BgL_opt1183z00_47,BgL_index1188z00_334); }  else 
{ /* Llib/fs.scm 181 */BFALSE; } } 
{ /* Llib/fs.scm 181 */
long BgL_index1189z00_336;
{ 
long BgL_iz00_1070;
BgL_iz00_1070 = ((long)2); 
BgL_search1185z00_1069:
if(
(BgL_iz00_1070==
VECTOR_LENGTH(BgL_opt1183z00_47)))
{ /* Llib/fs.scm 181 */
BgL_index1189z00_336 = ((long)-1); }  else 
{ /* Llib/fs.scm 181 */
obj_t BgL_vz00_1075;
BgL_vz00_1075 = 
VECTOR_REF(BgL_opt1183z00_47,BgL_iz00_1070); 
if(
(BgL_vz00_1075==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 181 */
BgL_index1189z00_336 = 
(BgL_iz00_1070+((long)1)); }  else 
{ 
long BgL_iz00_2444;
BgL_iz00_2444 = 
(BgL_iz00_1070+((long)2)); 
BgL_iz00_1070 = BgL_iz00_2444; 
goto BgL_search1185z00_1069;} } } 
if(
(BgL_index1189z00_336>=((long)0)))
{ /* Llib/fs.scm 181 */
BgL_loopz00_333 = 
VECTOR_REF(BgL_opt1183z00_47,BgL_index1189z00_336); }  else 
{ /* Llib/fs.scm 181 */BFALSE; } } 
{ /* Llib/fs.scm 181 */
obj_t BgL_arg1666z00_338;obj_t BgL_arg1667z00_339;
BgL_arg1666z00_338 = 
VECTOR_REF(BgL_opt1183z00_47,((long)0)); 
BgL_arg1667z00_339 = 
VECTOR_REF(BgL_opt1183z00_47,((long)1)); 
{ /* Llib/fs.scm 181 */
obj_t BgL_callbackz00_340;
BgL_callbackz00_340 = BgL_callbackz00_332; 
{ /* Llib/fs.scm 181 */
obj_t BgL_loopz00_341;
BgL_loopz00_341 = BgL_loopz00_333; 
{ /* Llib/fs.scm 181 */
int BgL_res1923z00_1086;
{ /* Llib/fs.scm 181 */
int BgL_modez00_1085;
BgL_modez00_1085 = 
CINT(BgL_arg1667z00_339); 
BgL_res1923z00_1086 = 
bgl_uv_fs_chmod(
BSTRING_TO_STRING(
((obj_t)BgL_arg1666z00_338)), BgL_modez00_1085, BgL_callbackz00_340, 
((BgL_uvloopz00_bglt)BgL_loopz00_341)); } 
return 
BINT(BgL_res1923z00_1086);} } } } } } } } } 

}



/* uv-fs-chmod */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2chmodz00zz__libuv_fsz00(obj_t BgL_pathz00_43, int BgL_modez00_44, obj_t BgL_callbackz00_45, obj_t BgL_loopz00_46)
{
{ /* Llib/fs.scm 181 */
return 
bgl_uv_fs_chmod(
BSTRING_TO_STRING(BgL_pathz00_43), BgL_modez00_44, BgL_callbackz00_45, 
((BgL_uvloopz00_bglt)BgL_loopz00_46));} 

}



/* _uv-fs-fchmod */
obj_t BGl__uvzd2fszd2fchmodz00zz__libuv_fsz00(obj_t BgL_envz00_54, obj_t BgL_opt1192z00_53)
{
{ /* Llib/fs.scm 187 */
{ /* Llib/fs.scm 187 */
obj_t BgL_g1199z00_350;obj_t BgL_g1200z00_351;
BgL_g1199z00_350 = 
VECTOR_REF(BgL_opt1192z00_53,((long)0)); 
BgL_g1200z00_351 = 
VECTOR_REF(BgL_opt1192z00_53,((long)1)); 
{ /* Llib/fs.scm 187 */
obj_t BgL_callbackz00_352;
BgL_callbackz00_352 = BFALSE; 
{ /* Llib/fs.scm 187 */
obj_t BgL_loopz00_353;
BgL_loopz00_353 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 187 */

{ /* Llib/fs.scm 187 */
long BgL_index1197z00_354;
{ 
long BgL_iz00_1096;
BgL_iz00_1096 = ((long)2); 
BgL_search1194z00_1095:
if(
(BgL_iz00_1096==
VECTOR_LENGTH(BgL_opt1192z00_53)))
{ /* Llib/fs.scm 187 */
BgL_index1197z00_354 = ((long)-1); }  else 
{ /* Llib/fs.scm 187 */
obj_t BgL_vz00_1101;
BgL_vz00_1101 = 
VECTOR_REF(BgL_opt1192z00_53,BgL_iz00_1096); 
if(
(BgL_vz00_1101==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 187 */
BgL_index1197z00_354 = 
(BgL_iz00_1096+((long)1)); }  else 
{ 
long BgL_iz00_2472;
BgL_iz00_2472 = 
(BgL_iz00_1096+((long)2)); 
BgL_iz00_1096 = BgL_iz00_2472; 
goto BgL_search1194z00_1095;} } } 
if(
(BgL_index1197z00_354>=((long)0)))
{ /* Llib/fs.scm 187 */
BgL_callbackz00_352 = 
VECTOR_REF(BgL_opt1192z00_53,BgL_index1197z00_354); }  else 
{ /* Llib/fs.scm 187 */BFALSE; } } 
{ /* Llib/fs.scm 187 */
long BgL_index1198z00_356;
{ 
long BgL_iz00_1111;
BgL_iz00_1111 = ((long)2); 
BgL_search1194z00_1110:
if(
(BgL_iz00_1111==
VECTOR_LENGTH(BgL_opt1192z00_53)))
{ /* Llib/fs.scm 187 */
BgL_index1198z00_356 = ((long)-1); }  else 
{ /* Llib/fs.scm 187 */
obj_t BgL_vz00_1116;
BgL_vz00_1116 = 
VECTOR_REF(BgL_opt1192z00_53,BgL_iz00_1111); 
if(
(BgL_vz00_1116==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 187 */
BgL_index1198z00_356 = 
(BgL_iz00_1111+((long)1)); }  else 
{ 
long BgL_iz00_2485;
BgL_iz00_2485 = 
(BgL_iz00_1111+((long)2)); 
BgL_iz00_1111 = BgL_iz00_2485; 
goto BgL_search1194z00_1110;} } } 
if(
(BgL_index1198z00_356>=((long)0)))
{ /* Llib/fs.scm 187 */
BgL_loopz00_353 = 
VECTOR_REF(BgL_opt1192z00_53,BgL_index1198z00_356); }  else 
{ /* Llib/fs.scm 187 */BFALSE; } } 
{ /* Llib/fs.scm 187 */
obj_t BgL_arg1675z00_358;obj_t BgL_arg1676z00_359;
BgL_arg1675z00_358 = 
VECTOR_REF(BgL_opt1192z00_53,((long)0)); 
BgL_arg1676z00_359 = 
VECTOR_REF(BgL_opt1192z00_53,((long)1)); 
{ /* Llib/fs.scm 187 */
obj_t BgL_callbackz00_360;
BgL_callbackz00_360 = BgL_callbackz00_352; 
{ /* Llib/fs.scm 187 */
obj_t BgL_loopz00_361;
BgL_loopz00_361 = BgL_loopz00_353; 
{ /* Llib/fs.scm 187 */
int BgL_res1929z00_1127;
{ /* Llib/fs.scm 187 */
int BgL_modez00_1126;
BgL_modez00_1126 = 
CINT(BgL_arg1676z00_359); 
BgL_res1929z00_1127 = 
bgl_uv_fs_fchmod(
((BgL_uvfilez00_bglt)BgL_arg1675z00_358), BgL_modez00_1126, BgL_callbackz00_360, 
((BgL_uvloopz00_bglt)BgL_loopz00_361)); } 
return 
BINT(BgL_res1929z00_1127);} } } } } } } } } 

}



/* uv-fs-fchmod */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2fchmodz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_49, int BgL_modez00_50, obj_t BgL_callbackz00_51, obj_t BgL_loopz00_52)
{
{ /* Llib/fs.scm 187 */
return 
bgl_uv_fs_fchmod(BgL_fdz00_49, BgL_modez00_50, BgL_callbackz00_51, 
((BgL_uvloopz00_bglt)BgL_loopz00_52));} 

}



/* _uv-fs-link */
obj_t BGl__uvzd2fszd2linkz00zz__libuv_fsz00(obj_t BgL_envz00_60, obj_t BgL_opt1201z00_59)
{
{ /* Llib/fs.scm 193 */
{ /* Llib/fs.scm 193 */
obj_t BgL_g1208z00_370;obj_t BgL_g1209z00_371;
BgL_g1208z00_370 = 
VECTOR_REF(BgL_opt1201z00_59,((long)0)); 
BgL_g1209z00_371 = 
VECTOR_REF(BgL_opt1201z00_59,((long)1)); 
{ /* Llib/fs.scm 193 */
obj_t BgL_callbackz00_372;
BgL_callbackz00_372 = BFALSE; 
{ /* Llib/fs.scm 193 */
obj_t BgL_loopz00_373;
BgL_loopz00_373 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 193 */

{ /* Llib/fs.scm 193 */
long BgL_index1206z00_374;
{ 
long BgL_iz00_1137;
BgL_iz00_1137 = ((long)2); 
BgL_search1203z00_1136:
if(
(BgL_iz00_1137==
VECTOR_LENGTH(BgL_opt1201z00_59)))
{ /* Llib/fs.scm 193 */
BgL_index1206z00_374 = ((long)-1); }  else 
{ /* Llib/fs.scm 193 */
obj_t BgL_vz00_1142;
BgL_vz00_1142 = 
VECTOR_REF(BgL_opt1201z00_59,BgL_iz00_1137); 
if(
(BgL_vz00_1142==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 193 */
BgL_index1206z00_374 = 
(BgL_iz00_1137+((long)1)); }  else 
{ 
long BgL_iz00_2511;
BgL_iz00_2511 = 
(BgL_iz00_1137+((long)2)); 
BgL_iz00_1137 = BgL_iz00_2511; 
goto BgL_search1203z00_1136;} } } 
if(
(BgL_index1206z00_374>=((long)0)))
{ /* Llib/fs.scm 193 */
BgL_callbackz00_372 = 
VECTOR_REF(BgL_opt1201z00_59,BgL_index1206z00_374); }  else 
{ /* Llib/fs.scm 193 */BFALSE; } } 
{ /* Llib/fs.scm 193 */
long BgL_index1207z00_376;
{ 
long BgL_iz00_1152;
BgL_iz00_1152 = ((long)2); 
BgL_search1203z00_1151:
if(
(BgL_iz00_1152==
VECTOR_LENGTH(BgL_opt1201z00_59)))
{ /* Llib/fs.scm 193 */
BgL_index1207z00_376 = ((long)-1); }  else 
{ /* Llib/fs.scm 193 */
obj_t BgL_vz00_1157;
BgL_vz00_1157 = 
VECTOR_REF(BgL_opt1201z00_59,BgL_iz00_1152); 
if(
(BgL_vz00_1157==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 193 */
BgL_index1207z00_376 = 
(BgL_iz00_1152+((long)1)); }  else 
{ 
long BgL_iz00_2524;
BgL_iz00_2524 = 
(BgL_iz00_1152+((long)2)); 
BgL_iz00_1152 = BgL_iz00_2524; 
goto BgL_search1203z00_1151;} } } 
if(
(BgL_index1207z00_376>=((long)0)))
{ /* Llib/fs.scm 193 */
BgL_loopz00_373 = 
VECTOR_REF(BgL_opt1201z00_59,BgL_index1207z00_376); }  else 
{ /* Llib/fs.scm 193 */BFALSE; } } 
{ /* Llib/fs.scm 193 */
obj_t BgL_arg1683z00_378;obj_t BgL_arg1689z00_379;
BgL_arg1683z00_378 = 
VECTOR_REF(BgL_opt1201z00_59,((long)0)); 
BgL_arg1689z00_379 = 
VECTOR_REF(BgL_opt1201z00_59,((long)1)); 
{ /* Llib/fs.scm 193 */
obj_t BgL_callbackz00_380;
BgL_callbackz00_380 = BgL_callbackz00_372; 
{ /* Llib/fs.scm 193 */
obj_t BgL_loopz00_381;
BgL_loopz00_381 = BgL_loopz00_373; 
{ /* Llib/fs.scm 193 */
int BgL_res1937z00_1168;
BgL_res1937z00_1168 = 
bgl_uv_fs_link(
BSTRING_TO_STRING(
((obj_t)BgL_arg1683z00_378)), 
BSTRING_TO_STRING(
((obj_t)BgL_arg1689z00_379)), BgL_callbackz00_380, 
((BgL_uvloopz00_bglt)BgL_loopz00_381)); 
return 
BINT(BgL_res1937z00_1168);} } } } } } } } } 

}



/* uv-fs-link */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2linkz00zz__libuv_fsz00(obj_t BgL_oldz00_55, obj_t BgL_newz00_56, obj_t BgL_callbackz00_57, obj_t BgL_loopz00_58)
{
{ /* Llib/fs.scm 193 */
return 
bgl_uv_fs_link(
BSTRING_TO_STRING(BgL_oldz00_55), 
BSTRING_TO_STRING(BgL_newz00_56), BgL_callbackz00_57, 
((BgL_uvloopz00_bglt)BgL_loopz00_58));} 

}



/* _uv-fs-symlink */
obj_t BGl__uvzd2fszd2symlinkz00zz__libuv_fsz00(obj_t BgL_envz00_66, obj_t BgL_opt1210z00_65)
{
{ /* Llib/fs.scm 199 */
{ /* Llib/fs.scm 199 */
obj_t BgL_g1217z00_390;obj_t BgL_g1218z00_391;
BgL_g1217z00_390 = 
VECTOR_REF(BgL_opt1210z00_65,((long)0)); 
BgL_g1218z00_391 = 
VECTOR_REF(BgL_opt1210z00_65,((long)1)); 
{ /* Llib/fs.scm 199 */
obj_t BgL_callbackz00_392;
BgL_callbackz00_392 = BFALSE; 
{ /* Llib/fs.scm 199 */
obj_t BgL_loopz00_393;
BgL_loopz00_393 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 199 */

{ /* Llib/fs.scm 199 */
long BgL_index1215z00_394;
{ 
long BgL_iz00_1178;
BgL_iz00_1178 = ((long)2); 
BgL_search1212z00_1177:
if(
(BgL_iz00_1178==
VECTOR_LENGTH(BgL_opt1210z00_65)))
{ /* Llib/fs.scm 199 */
BgL_index1215z00_394 = ((long)-1); }  else 
{ /* Llib/fs.scm 199 */
obj_t BgL_vz00_1183;
BgL_vz00_1183 = 
VECTOR_REF(BgL_opt1210z00_65,BgL_iz00_1178); 
if(
(BgL_vz00_1183==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 199 */
BgL_index1215z00_394 = 
(BgL_iz00_1178+((long)1)); }  else 
{ 
long BgL_iz00_2554;
BgL_iz00_2554 = 
(BgL_iz00_1178+((long)2)); 
BgL_iz00_1178 = BgL_iz00_2554; 
goto BgL_search1212z00_1177;} } } 
if(
(BgL_index1215z00_394>=((long)0)))
{ /* Llib/fs.scm 199 */
BgL_callbackz00_392 = 
VECTOR_REF(BgL_opt1210z00_65,BgL_index1215z00_394); }  else 
{ /* Llib/fs.scm 199 */BFALSE; } } 
{ /* Llib/fs.scm 199 */
long BgL_index1216z00_396;
{ 
long BgL_iz00_1193;
BgL_iz00_1193 = ((long)2); 
BgL_search1212z00_1192:
if(
(BgL_iz00_1193==
VECTOR_LENGTH(BgL_opt1210z00_65)))
{ /* Llib/fs.scm 199 */
BgL_index1216z00_396 = ((long)-1); }  else 
{ /* Llib/fs.scm 199 */
obj_t BgL_vz00_1198;
BgL_vz00_1198 = 
VECTOR_REF(BgL_opt1210z00_65,BgL_iz00_1193); 
if(
(BgL_vz00_1198==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 199 */
BgL_index1216z00_396 = 
(BgL_iz00_1193+((long)1)); }  else 
{ 
long BgL_iz00_2567;
BgL_iz00_2567 = 
(BgL_iz00_1193+((long)2)); 
BgL_iz00_1193 = BgL_iz00_2567; 
goto BgL_search1212z00_1192;} } } 
if(
(BgL_index1216z00_396>=((long)0)))
{ /* Llib/fs.scm 199 */
BgL_loopz00_393 = 
VECTOR_REF(BgL_opt1210z00_65,BgL_index1216z00_396); }  else 
{ /* Llib/fs.scm 199 */BFALSE; } } 
{ /* Llib/fs.scm 199 */
obj_t BgL_arg1695z00_398;obj_t BgL_arg1696z00_399;
BgL_arg1695z00_398 = 
VECTOR_REF(BgL_opt1210z00_65,((long)0)); 
BgL_arg1696z00_399 = 
VECTOR_REF(BgL_opt1210z00_65,((long)1)); 
{ /* Llib/fs.scm 199 */
obj_t BgL_callbackz00_400;
BgL_callbackz00_400 = BgL_callbackz00_392; 
{ /* Llib/fs.scm 199 */
obj_t BgL_loopz00_401;
BgL_loopz00_401 = BgL_loopz00_393; 
{ /* Llib/fs.scm 199 */
int BgL_res1943z00_1209;
BgL_res1943z00_1209 = 
bgl_uv_fs_symlink(
BSTRING_TO_STRING(
((obj_t)BgL_arg1695z00_398)), 
BSTRING_TO_STRING(
((obj_t)BgL_arg1696z00_399)), BgL_callbackz00_400, 
((BgL_uvloopz00_bglt)BgL_loopz00_401)); 
return 
BINT(BgL_res1943z00_1209);} } } } } } } } } 

}



/* uv-fs-symlink */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2symlinkz00zz__libuv_fsz00(obj_t BgL_oldz00_61, obj_t BgL_newz00_62, obj_t BgL_callbackz00_63, obj_t BgL_loopz00_64)
{
{ /* Llib/fs.scm 199 */
return 
bgl_uv_fs_symlink(
BSTRING_TO_STRING(BgL_oldz00_61), 
BSTRING_TO_STRING(BgL_newz00_62), BgL_callbackz00_63, 
((BgL_uvloopz00_bglt)BgL_loopz00_64));} 

}



/* _uv-fs-readlink */
obj_t BGl__uvzd2fszd2readlinkz00zz__libuv_fsz00(obj_t BgL_envz00_71, obj_t BgL_opt1219z00_70)
{
{ /* Llib/fs.scm 205 */
{ /* Llib/fs.scm 205 */
obj_t BgL_g1226z00_410;
BgL_g1226z00_410 = 
VECTOR_REF(BgL_opt1219z00_70,((long)0)); 
{ /* Llib/fs.scm 205 */
obj_t BgL_callbackz00_411;
BgL_callbackz00_411 = BFALSE; 
{ /* Llib/fs.scm 205 */
obj_t BgL_loopz00_412;
BgL_loopz00_412 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 205 */

{ /* Llib/fs.scm 205 */
long BgL_index1224z00_413;
{ 
long BgL_iz00_1219;
BgL_iz00_1219 = ((long)1); 
BgL_search1221z00_1218:
if(
(BgL_iz00_1219==
VECTOR_LENGTH(BgL_opt1219z00_70)))
{ /* Llib/fs.scm 205 */
BgL_index1224z00_413 = ((long)-1); }  else 
{ /* Llib/fs.scm 205 */
obj_t BgL_vz00_1224;
BgL_vz00_1224 = 
VECTOR_REF(BgL_opt1219z00_70,BgL_iz00_1219); 
if(
(BgL_vz00_1224==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 205 */
BgL_index1224z00_413 = 
(BgL_iz00_1219+((long)1)); }  else 
{ 
long BgL_iz00_2596;
BgL_iz00_2596 = 
(BgL_iz00_1219+((long)2)); 
BgL_iz00_1219 = BgL_iz00_2596; 
goto BgL_search1221z00_1218;} } } 
if(
(BgL_index1224z00_413>=((long)0)))
{ /* Llib/fs.scm 205 */
BgL_callbackz00_411 = 
VECTOR_REF(BgL_opt1219z00_70,BgL_index1224z00_413); }  else 
{ /* Llib/fs.scm 205 */BFALSE; } } 
{ /* Llib/fs.scm 205 */
long BgL_index1225z00_415;
{ 
long BgL_iz00_1234;
BgL_iz00_1234 = ((long)1); 
BgL_search1221z00_1233:
if(
(BgL_iz00_1234==
VECTOR_LENGTH(BgL_opt1219z00_70)))
{ /* Llib/fs.scm 205 */
BgL_index1225z00_415 = ((long)-1); }  else 
{ /* Llib/fs.scm 205 */
obj_t BgL_vz00_1239;
BgL_vz00_1239 = 
VECTOR_REF(BgL_opt1219z00_70,BgL_iz00_1234); 
if(
(BgL_vz00_1239==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 205 */
BgL_index1225z00_415 = 
(BgL_iz00_1234+((long)1)); }  else 
{ 
long BgL_iz00_2609;
BgL_iz00_2609 = 
(BgL_iz00_1234+((long)2)); 
BgL_iz00_1234 = BgL_iz00_2609; 
goto BgL_search1221z00_1233;} } } 
if(
(BgL_index1225z00_415>=((long)0)))
{ /* Llib/fs.scm 205 */
BgL_loopz00_412 = 
VECTOR_REF(BgL_opt1219z00_70,BgL_index1225z00_415); }  else 
{ /* Llib/fs.scm 205 */BFALSE; } } 
{ /* Llib/fs.scm 205 */
obj_t BgL_arg1707z00_417;
BgL_arg1707z00_417 = 
VECTOR_REF(BgL_opt1219z00_70,((long)0)); 
{ /* Llib/fs.scm 205 */
obj_t BgL_callbackz00_418;
BgL_callbackz00_418 = BgL_callbackz00_411; 
{ /* Llib/fs.scm 205 */
obj_t BgL_loopz00_419;
BgL_loopz00_419 = BgL_loopz00_412; 
return 
bgl_uv_fs_readlink(
BSTRING_TO_STRING(
((obj_t)BgL_arg1707z00_417)), BgL_callbackz00_418, 
((BgL_uvloopz00_bglt)BgL_loopz00_419));} } } } } } } } 

}



/* uv-fs-readlink */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2readlinkz00zz__libuv_fsz00(obj_t BgL_pathz00_67, obj_t BgL_callbackz00_68, obj_t BgL_loopz00_69)
{
{ /* Llib/fs.scm 205 */
return 
bgl_uv_fs_readlink(
BSTRING_TO_STRING(BgL_pathz00_67), BgL_callbackz00_68, 
((BgL_uvloopz00_bglt)BgL_loopz00_69));} 

}



/* _uv-fs-unlink */
obj_t BGl__uvzd2fszd2unlinkz00zz__libuv_fsz00(obj_t BgL_envz00_76, obj_t BgL_opt1227z00_75)
{
{ /* Llib/fs.scm 211 */
{ /* Llib/fs.scm 211 */
obj_t BgL_g1234z00_428;
BgL_g1234z00_428 = 
VECTOR_REF(BgL_opt1227z00_75,((long)0)); 
{ /* Llib/fs.scm 211 */
obj_t BgL_callbackz00_429;
BgL_callbackz00_429 = BFALSE; 
{ /* Llib/fs.scm 211 */
obj_t BgL_loopz00_430;
BgL_loopz00_430 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 211 */

{ /* Llib/fs.scm 211 */
long BgL_index1232z00_431;
{ 
long BgL_iz00_1258;
BgL_iz00_1258 = ((long)1); 
BgL_search1229z00_1257:
if(
(BgL_iz00_1258==
VECTOR_LENGTH(BgL_opt1227z00_75)))
{ /* Llib/fs.scm 211 */
BgL_index1232z00_431 = ((long)-1); }  else 
{ /* Llib/fs.scm 211 */
obj_t BgL_vz00_1263;
BgL_vz00_1263 = 
VECTOR_REF(BgL_opt1227z00_75,BgL_iz00_1258); 
if(
(BgL_vz00_1263==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 211 */
BgL_index1232z00_431 = 
(BgL_iz00_1258+((long)1)); }  else 
{ 
long BgL_iz00_2633;
BgL_iz00_2633 = 
(BgL_iz00_1258+((long)2)); 
BgL_iz00_1258 = BgL_iz00_2633; 
goto BgL_search1229z00_1257;} } } 
if(
(BgL_index1232z00_431>=((long)0)))
{ /* Llib/fs.scm 211 */
BgL_callbackz00_429 = 
VECTOR_REF(BgL_opt1227z00_75,BgL_index1232z00_431); }  else 
{ /* Llib/fs.scm 211 */BFALSE; } } 
{ /* Llib/fs.scm 211 */
long BgL_index1233z00_433;
{ 
long BgL_iz00_1273;
BgL_iz00_1273 = ((long)1); 
BgL_search1229z00_1272:
if(
(BgL_iz00_1273==
VECTOR_LENGTH(BgL_opt1227z00_75)))
{ /* Llib/fs.scm 211 */
BgL_index1233z00_433 = ((long)-1); }  else 
{ /* Llib/fs.scm 211 */
obj_t BgL_vz00_1278;
BgL_vz00_1278 = 
VECTOR_REF(BgL_opt1227z00_75,BgL_iz00_1273); 
if(
(BgL_vz00_1278==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 211 */
BgL_index1233z00_433 = 
(BgL_iz00_1273+((long)1)); }  else 
{ 
long BgL_iz00_2646;
BgL_iz00_2646 = 
(BgL_iz00_1273+((long)2)); 
BgL_iz00_1273 = BgL_iz00_2646; 
goto BgL_search1229z00_1272;} } } 
if(
(BgL_index1233z00_433>=((long)0)))
{ /* Llib/fs.scm 211 */
BgL_loopz00_430 = 
VECTOR_REF(BgL_opt1227z00_75,BgL_index1233z00_433); }  else 
{ /* Llib/fs.scm 211 */BFALSE; } } 
{ /* Llib/fs.scm 211 */
obj_t BgL_arg1718z00_435;
BgL_arg1718z00_435 = 
VECTOR_REF(BgL_opt1227z00_75,((long)0)); 
{ /* Llib/fs.scm 211 */
obj_t BgL_callbackz00_436;
BgL_callbackz00_436 = BgL_callbackz00_429; 
{ /* Llib/fs.scm 211 */
obj_t BgL_loopz00_437;
BgL_loopz00_437 = BgL_loopz00_430; 
return 
BINT(
bgl_uv_fs_unlink(
BSTRING_TO_STRING(
((obj_t)BgL_arg1718z00_435)), BgL_callbackz00_436, 
((BgL_uvloopz00_bglt)BgL_loopz00_437)));} } } } } } } } 

}



/* uv-fs-unlink */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2unlinkz00zz__libuv_fsz00(obj_t BgL_pathz00_72, obj_t BgL_callbackz00_73, obj_t BgL_loopz00_74)
{
{ /* Llib/fs.scm 211 */
return 
BINT(
bgl_uv_fs_unlink(
BSTRING_TO_STRING(BgL_pathz00_72), BgL_callbackz00_73, 
((BgL_uvloopz00_bglt)BgL_loopz00_74)));} 

}



/* _uv-fs-rmdir */
obj_t BGl__uvzd2fszd2rmdirz00zz__libuv_fsz00(obj_t BgL_envz00_81, obj_t BgL_opt1235z00_80)
{
{ /* Llib/fs.scm 217 */
{ /* Llib/fs.scm 217 */
obj_t BgL_g1242z00_446;
BgL_g1242z00_446 = 
VECTOR_REF(BgL_opt1235z00_80,((long)0)); 
{ /* Llib/fs.scm 217 */
obj_t BgL_callbackz00_447;
BgL_callbackz00_447 = BFALSE; 
{ /* Llib/fs.scm 217 */
obj_t BgL_loopz00_448;
BgL_loopz00_448 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 217 */

{ /* Llib/fs.scm 217 */
long BgL_index1240z00_449;
{ 
long BgL_iz00_1297;
BgL_iz00_1297 = ((long)1); 
BgL_search1237z00_1296:
if(
(BgL_iz00_1297==
VECTOR_LENGTH(BgL_opt1235z00_80)))
{ /* Llib/fs.scm 217 */
BgL_index1240z00_449 = ((long)-1); }  else 
{ /* Llib/fs.scm 217 */
obj_t BgL_vz00_1302;
BgL_vz00_1302 = 
VECTOR_REF(BgL_opt1235z00_80,BgL_iz00_1297); 
if(
(BgL_vz00_1302==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 217 */
BgL_index1240z00_449 = 
(BgL_iz00_1297+((long)1)); }  else 
{ 
long BgL_iz00_2672;
BgL_iz00_2672 = 
(BgL_iz00_1297+((long)2)); 
BgL_iz00_1297 = BgL_iz00_2672; 
goto BgL_search1237z00_1296;} } } 
if(
(BgL_index1240z00_449>=((long)0)))
{ /* Llib/fs.scm 217 */
BgL_callbackz00_447 = 
VECTOR_REF(BgL_opt1235z00_80,BgL_index1240z00_449); }  else 
{ /* Llib/fs.scm 217 */BFALSE; } } 
{ /* Llib/fs.scm 217 */
long BgL_index1241z00_451;
{ 
long BgL_iz00_1312;
BgL_iz00_1312 = ((long)1); 
BgL_search1237z00_1311:
if(
(BgL_iz00_1312==
VECTOR_LENGTH(BgL_opt1235z00_80)))
{ /* Llib/fs.scm 217 */
BgL_index1241z00_451 = ((long)-1); }  else 
{ /* Llib/fs.scm 217 */
obj_t BgL_vz00_1317;
BgL_vz00_1317 = 
VECTOR_REF(BgL_opt1235z00_80,BgL_iz00_1312); 
if(
(BgL_vz00_1317==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 217 */
BgL_index1241z00_451 = 
(BgL_iz00_1312+((long)1)); }  else 
{ 
long BgL_iz00_2685;
BgL_iz00_2685 = 
(BgL_iz00_1312+((long)2)); 
BgL_iz00_1312 = BgL_iz00_2685; 
goto BgL_search1237z00_1311;} } } 
if(
(BgL_index1241z00_451>=((long)0)))
{ /* Llib/fs.scm 217 */
BgL_loopz00_448 = 
VECTOR_REF(BgL_opt1235z00_80,BgL_index1241z00_451); }  else 
{ /* Llib/fs.scm 217 */BFALSE; } } 
{ /* Llib/fs.scm 217 */
obj_t BgL_arg1736z00_453;
BgL_arg1736z00_453 = 
VECTOR_REF(BgL_opt1235z00_80,((long)0)); 
{ /* Llib/fs.scm 217 */
obj_t BgL_callbackz00_454;
BgL_callbackz00_454 = BgL_callbackz00_447; 
{ /* Llib/fs.scm 217 */
obj_t BgL_loopz00_455;
BgL_loopz00_455 = BgL_loopz00_448; 
return 
BINT(
bgl_uv_fs_rmdir(
BSTRING_TO_STRING(
((obj_t)BgL_arg1736z00_453)), BgL_callbackz00_454, 
((BgL_uvloopz00_bglt)BgL_loopz00_455)));} } } } } } } } 

}



/* uv-fs-rmdir */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2rmdirz00zz__libuv_fsz00(obj_t BgL_pathz00_77, obj_t BgL_callbackz00_78, obj_t BgL_loopz00_79)
{
{ /* Llib/fs.scm 217 */
return 
BINT(
bgl_uv_fs_rmdir(
BSTRING_TO_STRING(BgL_pathz00_77), BgL_callbackz00_78, 
((BgL_uvloopz00_bglt)BgL_loopz00_79)));} 

}



/* _uv-fs-mkdir */
obj_t BGl__uvzd2fszd2mkdirz00zz__libuv_fsz00(obj_t BgL_envz00_87, obj_t BgL_opt1243z00_86)
{
{ /* Llib/fs.scm 223 */
{ /* Llib/fs.scm 223 */
obj_t BgL_g1250z00_464;obj_t BgL_g1251z00_465;
BgL_g1250z00_464 = 
VECTOR_REF(BgL_opt1243z00_86,((long)0)); 
BgL_g1251z00_465 = 
VECTOR_REF(BgL_opt1243z00_86,((long)1)); 
{ /* Llib/fs.scm 223 */
obj_t BgL_callbackz00_466;
BgL_callbackz00_466 = BFALSE; 
{ /* Llib/fs.scm 223 */
obj_t BgL_loopz00_467;
BgL_loopz00_467 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 223 */

{ /* Llib/fs.scm 223 */
long BgL_index1248z00_468;
{ 
long BgL_iz00_1336;
BgL_iz00_1336 = ((long)2); 
BgL_search1245z00_1335:
if(
(BgL_iz00_1336==
VECTOR_LENGTH(BgL_opt1243z00_86)))
{ /* Llib/fs.scm 223 */
BgL_index1248z00_468 = ((long)-1); }  else 
{ /* Llib/fs.scm 223 */
obj_t BgL_vz00_1341;
BgL_vz00_1341 = 
VECTOR_REF(BgL_opt1243z00_86,BgL_iz00_1336); 
if(
(BgL_vz00_1341==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 223 */
BgL_index1248z00_468 = 
(BgL_iz00_1336+((long)1)); }  else 
{ 
long BgL_iz00_2712;
BgL_iz00_2712 = 
(BgL_iz00_1336+((long)2)); 
BgL_iz00_1336 = BgL_iz00_2712; 
goto BgL_search1245z00_1335;} } } 
if(
(BgL_index1248z00_468>=((long)0)))
{ /* Llib/fs.scm 223 */
BgL_callbackz00_466 = 
VECTOR_REF(BgL_opt1243z00_86,BgL_index1248z00_468); }  else 
{ /* Llib/fs.scm 223 */BFALSE; } } 
{ /* Llib/fs.scm 223 */
long BgL_index1249z00_470;
{ 
long BgL_iz00_1351;
BgL_iz00_1351 = ((long)2); 
BgL_search1245z00_1350:
if(
(BgL_iz00_1351==
VECTOR_LENGTH(BgL_opt1243z00_86)))
{ /* Llib/fs.scm 223 */
BgL_index1249z00_470 = ((long)-1); }  else 
{ /* Llib/fs.scm 223 */
obj_t BgL_vz00_1356;
BgL_vz00_1356 = 
VECTOR_REF(BgL_opt1243z00_86,BgL_iz00_1351); 
if(
(BgL_vz00_1356==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 223 */
BgL_index1249z00_470 = 
(BgL_iz00_1351+((long)1)); }  else 
{ 
long BgL_iz00_2725;
BgL_iz00_2725 = 
(BgL_iz00_1351+((long)2)); 
BgL_iz00_1351 = BgL_iz00_2725; 
goto BgL_search1245z00_1350;} } } 
if(
(BgL_index1249z00_470>=((long)0)))
{ /* Llib/fs.scm 223 */
BgL_loopz00_467 = 
VECTOR_REF(BgL_opt1243z00_86,BgL_index1249z00_470); }  else 
{ /* Llib/fs.scm 223 */BFALSE; } } 
{ /* Llib/fs.scm 223 */
obj_t BgL_arg1753z00_472;obj_t BgL_arg1754z00_473;
BgL_arg1753z00_472 = 
VECTOR_REF(BgL_opt1243z00_86,((long)0)); 
BgL_arg1754z00_473 = 
VECTOR_REF(BgL_opt1243z00_86,((long)1)); 
{ /* Llib/fs.scm 223 */
obj_t BgL_callbackz00_474;
BgL_callbackz00_474 = BgL_callbackz00_466; 
{ /* Llib/fs.scm 223 */
obj_t BgL_loopz00_475;
BgL_loopz00_475 = BgL_loopz00_467; 
{ /* Llib/fs.scm 223 */
int BgL_modz00_1366;
BgL_modz00_1366 = 
CINT(BgL_arg1754z00_473); 
return 
BINT(
bgl_uv_fs_mkdir(
BSTRING_TO_STRING(
((obj_t)BgL_arg1753z00_472)), BgL_modz00_1366, BgL_callbackz00_474, 
((BgL_uvloopz00_bglt)BgL_loopz00_475)));} } } } } } } } } 

}



/* uv-fs-mkdir */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2mkdirz00zz__libuv_fsz00(obj_t BgL_pathz00_82, int BgL_modz00_83, obj_t BgL_callbackz00_84, obj_t BgL_loopz00_85)
{
{ /* Llib/fs.scm 223 */
return 
BINT(
bgl_uv_fs_mkdir(
BSTRING_TO_STRING(BgL_pathz00_82), BgL_modz00_83, BgL_callbackz00_84, 
((BgL_uvloopz00_bglt)BgL_loopz00_85)));} 

}



/* _uv-fs-fsync */
obj_t BGl__uvzd2fszd2fsyncz00zz__libuv_fsz00(obj_t BgL_envz00_92, obj_t BgL_opt1252z00_91)
{
{ /* Llib/fs.scm 229 */
{ /* Llib/fs.scm 229 */
obj_t BgL_g1259z00_484;
BgL_g1259z00_484 = 
VECTOR_REF(BgL_opt1252z00_91,((long)0)); 
{ /* Llib/fs.scm 229 */
obj_t BgL_callbackz00_485;
BgL_callbackz00_485 = BFALSE; 
{ /* Llib/fs.scm 229 */
obj_t BgL_loopz00_486;
BgL_loopz00_486 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 229 */

{ /* Llib/fs.scm 229 */
long BgL_index1257z00_487;
{ 
long BgL_iz00_1376;
BgL_iz00_1376 = ((long)1); 
BgL_search1254z00_1375:
if(
(BgL_iz00_1376==
VECTOR_LENGTH(BgL_opt1252z00_91)))
{ /* Llib/fs.scm 229 */
BgL_index1257z00_487 = ((long)-1); }  else 
{ /* Llib/fs.scm 229 */
obj_t BgL_vz00_1381;
BgL_vz00_1381 = 
VECTOR_REF(BgL_opt1252z00_91,BgL_iz00_1376); 
if(
(BgL_vz00_1381==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 229 */
BgL_index1257z00_487 = 
(BgL_iz00_1376+((long)1)); }  else 
{ 
long BgL_iz00_2753;
BgL_iz00_2753 = 
(BgL_iz00_1376+((long)2)); 
BgL_iz00_1376 = BgL_iz00_2753; 
goto BgL_search1254z00_1375;} } } 
if(
(BgL_index1257z00_487>=((long)0)))
{ /* Llib/fs.scm 229 */
BgL_callbackz00_485 = 
VECTOR_REF(BgL_opt1252z00_91,BgL_index1257z00_487); }  else 
{ /* Llib/fs.scm 229 */BFALSE; } } 
{ /* Llib/fs.scm 229 */
long BgL_index1258z00_489;
{ 
long BgL_iz00_1391;
BgL_iz00_1391 = ((long)1); 
BgL_search1254z00_1390:
if(
(BgL_iz00_1391==
VECTOR_LENGTH(BgL_opt1252z00_91)))
{ /* Llib/fs.scm 229 */
BgL_index1258z00_489 = ((long)-1); }  else 
{ /* Llib/fs.scm 229 */
obj_t BgL_vz00_1396;
BgL_vz00_1396 = 
VECTOR_REF(BgL_opt1252z00_91,BgL_iz00_1391); 
if(
(BgL_vz00_1396==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 229 */
BgL_index1258z00_489 = 
(BgL_iz00_1391+((long)1)); }  else 
{ 
long BgL_iz00_2766;
BgL_iz00_2766 = 
(BgL_iz00_1391+((long)2)); 
BgL_iz00_1391 = BgL_iz00_2766; 
goto BgL_search1254z00_1390;} } } 
if(
(BgL_index1258z00_489>=((long)0)))
{ /* Llib/fs.scm 229 */
BgL_loopz00_486 = 
VECTOR_REF(BgL_opt1252z00_91,BgL_index1258z00_489); }  else 
{ /* Llib/fs.scm 229 */BFALSE; } } 
{ /* Llib/fs.scm 229 */
obj_t BgL_arg1760z00_491;
BgL_arg1760z00_491 = 
VECTOR_REF(BgL_opt1252z00_91,((long)0)); 
{ /* Llib/fs.scm 229 */
obj_t BgL_callbackz00_492;
BgL_callbackz00_492 = BgL_callbackz00_485; 
{ /* Llib/fs.scm 229 */
obj_t BgL_loopz00_493;
BgL_loopz00_493 = BgL_loopz00_486; 
return 
BINT(
bgl_uv_fs_fsync(
((BgL_uvfilez00_bglt)BgL_arg1760z00_491), BgL_callbackz00_492, 
((BgL_uvloopz00_bglt)BgL_loopz00_493)));} } } } } } } } 

}



/* uv-fs-fsync */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2fsyncz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_88, obj_t BgL_callbackz00_89, obj_t BgL_loopz00_90)
{
{ /* Llib/fs.scm 229 */
return 
BINT(
bgl_uv_fs_fsync(BgL_fdz00_88, BgL_callbackz00_89, 
((BgL_uvloopz00_bglt)BgL_loopz00_90)));} 

}



/* _uv-fs-fdatasync */
obj_t BGl__uvzd2fszd2fdatasyncz00zz__libuv_fsz00(obj_t BgL_envz00_97, obj_t BgL_opt1260z00_96)
{
{ /* Llib/fs.scm 235 */
{ /* Llib/fs.scm 235 */
obj_t BgL_g1267z00_502;
BgL_g1267z00_502 = 
VECTOR_REF(BgL_opt1260z00_96,((long)0)); 
{ /* Llib/fs.scm 235 */
obj_t BgL_callbackz00_503;
BgL_callbackz00_503 = BFALSE; 
{ /* Llib/fs.scm 235 */
obj_t BgL_loopz00_504;
BgL_loopz00_504 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 235 */

{ /* Llib/fs.scm 235 */
long BgL_index1265z00_505;
{ 
long BgL_iz00_1415;
BgL_iz00_1415 = ((long)1); 
BgL_search1262z00_1414:
if(
(BgL_iz00_1415==
VECTOR_LENGTH(BgL_opt1260z00_96)))
{ /* Llib/fs.scm 235 */
BgL_index1265z00_505 = ((long)-1); }  else 
{ /* Llib/fs.scm 235 */
obj_t BgL_vz00_1420;
BgL_vz00_1420 = 
VECTOR_REF(BgL_opt1260z00_96,BgL_iz00_1415); 
if(
(BgL_vz00_1420==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 235 */
BgL_index1265z00_505 = 
(BgL_iz00_1415+((long)1)); }  else 
{ 
long BgL_iz00_2790;
BgL_iz00_2790 = 
(BgL_iz00_1415+((long)2)); 
BgL_iz00_1415 = BgL_iz00_2790; 
goto BgL_search1262z00_1414;} } } 
if(
(BgL_index1265z00_505>=((long)0)))
{ /* Llib/fs.scm 235 */
BgL_callbackz00_503 = 
VECTOR_REF(BgL_opt1260z00_96,BgL_index1265z00_505); }  else 
{ /* Llib/fs.scm 235 */BFALSE; } } 
{ /* Llib/fs.scm 235 */
long BgL_index1266z00_507;
{ 
long BgL_iz00_1430;
BgL_iz00_1430 = ((long)1); 
BgL_search1262z00_1429:
if(
(BgL_iz00_1430==
VECTOR_LENGTH(BgL_opt1260z00_96)))
{ /* Llib/fs.scm 235 */
BgL_index1266z00_507 = ((long)-1); }  else 
{ /* Llib/fs.scm 235 */
obj_t BgL_vz00_1435;
BgL_vz00_1435 = 
VECTOR_REF(BgL_opt1260z00_96,BgL_iz00_1430); 
if(
(BgL_vz00_1435==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 235 */
BgL_index1266z00_507 = 
(BgL_iz00_1430+((long)1)); }  else 
{ 
long BgL_iz00_2803;
BgL_iz00_2803 = 
(BgL_iz00_1430+((long)2)); 
BgL_iz00_1430 = BgL_iz00_2803; 
goto BgL_search1262z00_1429;} } } 
if(
(BgL_index1266z00_507>=((long)0)))
{ /* Llib/fs.scm 235 */
BgL_loopz00_504 = 
VECTOR_REF(BgL_opt1260z00_96,BgL_index1266z00_507); }  else 
{ /* Llib/fs.scm 235 */BFALSE; } } 
{ /* Llib/fs.scm 235 */
obj_t BgL_arg1766z00_509;
BgL_arg1766z00_509 = 
VECTOR_REF(BgL_opt1260z00_96,((long)0)); 
{ /* Llib/fs.scm 235 */
obj_t BgL_callbackz00_510;
BgL_callbackz00_510 = BgL_callbackz00_503; 
{ /* Llib/fs.scm 235 */
obj_t BgL_loopz00_511;
BgL_loopz00_511 = BgL_loopz00_504; 
return 
BINT(
bgl_uv_fs_fdatasync(
((BgL_uvfilez00_bglt)BgL_arg1766z00_509), BgL_callbackz00_510, 
((BgL_uvloopz00_bglt)BgL_loopz00_511)));} } } } } } } } 

}



/* uv-fs-fdatasync */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2fdatasyncz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_93, obj_t BgL_callbackz00_94, obj_t BgL_loopz00_95)
{
{ /* Llib/fs.scm 235 */
return 
BINT(
bgl_uv_fs_fdatasync(BgL_fdz00_93, BgL_callbackz00_94, 
((BgL_uvloopz00_bglt)BgL_loopz00_95)));} 

}



/* _uv-fs-futime */
obj_t BGl__uvzd2fszd2futimez00zz__libuv_fsz00(obj_t BgL_envz00_104, obj_t BgL_opt1268z00_103)
{
{ /* Llib/fs.scm 241 */
{ /* Llib/fs.scm 241 */
obj_t BgL_g1275z00_520;obj_t BgL_g1276z00_521;obj_t BgL_g1277z00_522;
BgL_g1275z00_520 = 
VECTOR_REF(BgL_opt1268z00_103,((long)0)); 
BgL_g1276z00_521 = 
VECTOR_REF(BgL_opt1268z00_103,((long)1)); 
BgL_g1277z00_522 = 
VECTOR_REF(BgL_opt1268z00_103,((long)2)); 
{ /* Llib/fs.scm 241 */
obj_t BgL_callbackz00_523;
BgL_callbackz00_523 = BFALSE; 
{ /* Llib/fs.scm 242 */
obj_t BgL_loopz00_524;
BgL_loopz00_524 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 241 */

{ /* Llib/fs.scm 241 */
long BgL_index1273z00_525;
{ 
long BgL_iz00_1454;
BgL_iz00_1454 = ((long)3); 
BgL_search1270z00_1453:
if(
(BgL_iz00_1454==
VECTOR_LENGTH(BgL_opt1268z00_103)))
{ /* Llib/fs.scm 241 */
BgL_index1273z00_525 = ((long)-1); }  else 
{ /* Llib/fs.scm 241 */
obj_t BgL_vz00_1459;
BgL_vz00_1459 = 
VECTOR_REF(BgL_opt1268z00_103,BgL_iz00_1454); 
if(
(BgL_vz00_1459==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 241 */
BgL_index1273z00_525 = 
(BgL_iz00_1454+((long)1)); }  else 
{ 
long BgL_iz00_2829;
BgL_iz00_2829 = 
(BgL_iz00_1454+((long)2)); 
BgL_iz00_1454 = BgL_iz00_2829; 
goto BgL_search1270z00_1453;} } } 
if(
(BgL_index1273z00_525>=((long)0)))
{ /* Llib/fs.scm 241 */
BgL_callbackz00_523 = 
VECTOR_REF(BgL_opt1268z00_103,BgL_index1273z00_525); }  else 
{ /* Llib/fs.scm 241 */BFALSE; } } 
{ /* Llib/fs.scm 241 */
long BgL_index1274z00_527;
{ 
long BgL_iz00_1469;
BgL_iz00_1469 = ((long)3); 
BgL_search1270z00_1468:
if(
(BgL_iz00_1469==
VECTOR_LENGTH(BgL_opt1268z00_103)))
{ /* Llib/fs.scm 241 */
BgL_index1274z00_527 = ((long)-1); }  else 
{ /* Llib/fs.scm 241 */
obj_t BgL_vz00_1474;
BgL_vz00_1474 = 
VECTOR_REF(BgL_opt1268z00_103,BgL_iz00_1469); 
if(
(BgL_vz00_1474==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 241 */
BgL_index1274z00_527 = 
(BgL_iz00_1469+((long)1)); }  else 
{ 
long BgL_iz00_2842;
BgL_iz00_2842 = 
(BgL_iz00_1469+((long)2)); 
BgL_iz00_1469 = BgL_iz00_2842; 
goto BgL_search1270z00_1468;} } } 
if(
(BgL_index1274z00_527>=((long)0)))
{ /* Llib/fs.scm 241 */
BgL_loopz00_524 = 
VECTOR_REF(BgL_opt1268z00_103,BgL_index1274z00_527); }  else 
{ /* Llib/fs.scm 241 */BFALSE; } } 
{ /* Llib/fs.scm 241 */
obj_t BgL_arg1772z00_529;obj_t BgL_arg1773z00_530;obj_t BgL_arg1774z00_531;
BgL_arg1772z00_529 = 
VECTOR_REF(BgL_opt1268z00_103,((long)0)); 
BgL_arg1773z00_530 = 
VECTOR_REF(BgL_opt1268z00_103,((long)1)); 
BgL_arg1774z00_531 = 
VECTOR_REF(BgL_opt1268z00_103,((long)2)); 
{ /* Llib/fs.scm 241 */
obj_t BgL_callbackz00_532;
BgL_callbackz00_532 = BgL_callbackz00_523; 
{ /* Llib/fs.scm 241 */
obj_t BgL_loopz00_533;
BgL_loopz00_533 = BgL_loopz00_524; 
{ /* Llib/fs.scm 241 */
double BgL_atimez00_1484;double BgL_mtimez00_1485;
BgL_atimez00_1484 = 
REAL_TO_DOUBLE(BgL_arg1773z00_530); 
BgL_mtimez00_1485 = 
REAL_TO_DOUBLE(BgL_arg1774z00_531); 
return 
BINT(
bgl_uv_fs_futime(
((BgL_uvfilez00_bglt)BgL_arg1772z00_529), BgL_atimez00_1484, BgL_mtimez00_1485, BgL_callbackz00_532, 
((BgL_uvloopz00_bglt)BgL_loopz00_533)));} } } } } } } } } 

}



/* uv-fs-futime */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2futimez00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_98, double BgL_atimez00_99, double BgL_mtimez00_100, obj_t BgL_callbackz00_101, obj_t BgL_loopz00_102)
{
{ /* Llib/fs.scm 241 */
return 
BINT(
bgl_uv_fs_futime(BgL_fdz00_98, BgL_atimez00_99, BgL_mtimez00_100, BgL_callbackz00_101, 
((BgL_uvloopz00_bglt)BgL_loopz00_102)));} 

}



/* _uv-fs-utime */
obj_t BGl__uvzd2fszd2utimez00zz__libuv_fsz00(obj_t BgL_envz00_111, obj_t BgL_opt1278z00_110)
{
{ /* Llib/fs.scm 248 */
{ /* Llib/fs.scm 248 */
obj_t BgL_g1285z00_542;obj_t BgL_g1286z00_543;obj_t BgL_g1287z00_544;
BgL_g1285z00_542 = 
VECTOR_REF(BgL_opt1278z00_110,((long)0)); 
BgL_g1286z00_543 = 
VECTOR_REF(BgL_opt1278z00_110,((long)1)); 
BgL_g1287z00_544 = 
VECTOR_REF(BgL_opt1278z00_110,((long)2)); 
{ /* Llib/fs.scm 248 */
obj_t BgL_callbackz00_545;
BgL_callbackz00_545 = BFALSE; 
{ /* Llib/fs.scm 249 */
obj_t BgL_loopz00_546;
BgL_loopz00_546 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 248 */

{ /* Llib/fs.scm 248 */
long BgL_index1283z00_547;
{ 
long BgL_iz00_1495;
BgL_iz00_1495 = ((long)3); 
BgL_search1280z00_1494:
if(
(BgL_iz00_1495==
VECTOR_LENGTH(BgL_opt1278z00_110)))
{ /* Llib/fs.scm 248 */
BgL_index1283z00_547 = ((long)-1); }  else 
{ /* Llib/fs.scm 248 */
obj_t BgL_vz00_1500;
BgL_vz00_1500 = 
VECTOR_REF(BgL_opt1278z00_110,BgL_iz00_1495); 
if(
(BgL_vz00_1500==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 248 */
BgL_index1283z00_547 = 
(BgL_iz00_1495+((long)1)); }  else 
{ 
long BgL_iz00_2872;
BgL_iz00_2872 = 
(BgL_iz00_1495+((long)2)); 
BgL_iz00_1495 = BgL_iz00_2872; 
goto BgL_search1280z00_1494;} } } 
if(
(BgL_index1283z00_547>=((long)0)))
{ /* Llib/fs.scm 248 */
BgL_callbackz00_545 = 
VECTOR_REF(BgL_opt1278z00_110,BgL_index1283z00_547); }  else 
{ /* Llib/fs.scm 248 */BFALSE; } } 
{ /* Llib/fs.scm 248 */
long BgL_index1284z00_549;
{ 
long BgL_iz00_1510;
BgL_iz00_1510 = ((long)3); 
BgL_search1280z00_1509:
if(
(BgL_iz00_1510==
VECTOR_LENGTH(BgL_opt1278z00_110)))
{ /* Llib/fs.scm 248 */
BgL_index1284z00_549 = ((long)-1); }  else 
{ /* Llib/fs.scm 248 */
obj_t BgL_vz00_1515;
BgL_vz00_1515 = 
VECTOR_REF(BgL_opt1278z00_110,BgL_iz00_1510); 
if(
(BgL_vz00_1515==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 248 */
BgL_index1284z00_549 = 
(BgL_iz00_1510+((long)1)); }  else 
{ 
long BgL_iz00_2885;
BgL_iz00_2885 = 
(BgL_iz00_1510+((long)2)); 
BgL_iz00_1510 = BgL_iz00_2885; 
goto BgL_search1280z00_1509;} } } 
if(
(BgL_index1284z00_549>=((long)0)))
{ /* Llib/fs.scm 248 */
BgL_loopz00_546 = 
VECTOR_REF(BgL_opt1278z00_110,BgL_index1284z00_549); }  else 
{ /* Llib/fs.scm 248 */BFALSE; } } 
{ /* Llib/fs.scm 248 */
obj_t BgL_arg1780z00_551;obj_t BgL_arg1781z00_552;obj_t BgL_arg1782z00_553;
BgL_arg1780z00_551 = 
VECTOR_REF(BgL_opt1278z00_110,((long)0)); 
BgL_arg1781z00_552 = 
VECTOR_REF(BgL_opt1278z00_110,((long)1)); 
BgL_arg1782z00_553 = 
VECTOR_REF(BgL_opt1278z00_110,((long)2)); 
{ /* Llib/fs.scm 248 */
obj_t BgL_callbackz00_554;
BgL_callbackz00_554 = BgL_callbackz00_545; 
{ /* Llib/fs.scm 248 */
obj_t BgL_loopz00_555;
BgL_loopz00_555 = BgL_loopz00_546; 
{ /* Llib/fs.scm 248 */
double BgL_atimez00_1525;double BgL_mtimez00_1526;
BgL_atimez00_1525 = 
REAL_TO_DOUBLE(BgL_arg1781z00_552); 
BgL_mtimez00_1526 = 
REAL_TO_DOUBLE(BgL_arg1782z00_553); 
return 
BINT(
bgl_uv_fs_utime(
BSTRING_TO_STRING(
((obj_t)BgL_arg1780z00_551)), BgL_atimez00_1525, BgL_mtimez00_1526, BgL_callbackz00_554, 
((BgL_uvloopz00_bglt)BgL_loopz00_555)));} } } } } } } } } 

}



/* uv-fs-utime */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2utimez00zz__libuv_fsz00(obj_t BgL_pathz00_105, double BgL_atimez00_106, double BgL_mtimez00_107, obj_t BgL_callbackz00_108, obj_t BgL_loopz00_109)
{
{ /* Llib/fs.scm 248 */
return 
BINT(
bgl_uv_fs_utime(
BSTRING_TO_STRING(BgL_pathz00_105), BgL_atimez00_106, BgL_mtimez00_107, BgL_callbackz00_108, 
((BgL_uvloopz00_bglt)BgL_loopz00_109)));} 

}



/* _uv-fs-open */
obj_t BGl__uvzd2fszd2openz00zz__libuv_fsz00(obj_t BgL_envz00_118, obj_t BgL_opt1288z00_117)
{
{ /* Llib/fs.scm 255 */
{ /* Llib/fs.scm 255 */
obj_t BgL_g1296z00_564;obj_t BgL_g1297z00_565;
BgL_g1296z00_564 = 
VECTOR_REF(BgL_opt1288z00_117,((long)0)); 
BgL_g1297z00_565 = 
VECTOR_REF(BgL_opt1288z00_117,((long)1)); 
{ /* Llib/fs.scm 255 */
obj_t BgL_callbackz00_566;
BgL_callbackz00_566 = BFALSE; 
{ /* Llib/fs.scm 255 */
obj_t BgL_loopz00_567;
BgL_loopz00_567 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 255 */
obj_t BgL_modez00_568;
BgL_modez00_568 = 
BINT(((long)438)); 
{ /* Llib/fs.scm 255 */

{ /* Llib/fs.scm 255 */
long BgL_index1293z00_569;
{ 
long BgL_iz00_1536;
BgL_iz00_1536 = ((long)2); 
BgL_search1290z00_1535:
if(
(BgL_iz00_1536==
VECTOR_LENGTH(BgL_opt1288z00_117)))
{ /* Llib/fs.scm 255 */
BgL_index1293z00_569 = ((long)-1); }  else 
{ /* Llib/fs.scm 255 */
obj_t BgL_vz00_1541;
BgL_vz00_1541 = 
VECTOR_REF(BgL_opt1288z00_117,BgL_iz00_1536); 
if(
(BgL_vz00_1541==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 255 */
BgL_index1293z00_569 = 
(BgL_iz00_1536+((long)1)); }  else 
{ 
long BgL_iz00_2917;
BgL_iz00_2917 = 
(BgL_iz00_1536+((long)2)); 
BgL_iz00_1536 = BgL_iz00_2917; 
goto BgL_search1290z00_1535;} } } 
if(
(BgL_index1293z00_569>=((long)0)))
{ /* Llib/fs.scm 255 */
BgL_callbackz00_566 = 
VECTOR_REF(BgL_opt1288z00_117,BgL_index1293z00_569); }  else 
{ /* Llib/fs.scm 255 */BFALSE; } } 
{ /* Llib/fs.scm 255 */
long BgL_index1294z00_571;
{ 
long BgL_iz00_1551;
BgL_iz00_1551 = ((long)2); 
BgL_search1290z00_1550:
if(
(BgL_iz00_1551==
VECTOR_LENGTH(BgL_opt1288z00_117)))
{ /* Llib/fs.scm 255 */
BgL_index1294z00_571 = ((long)-1); }  else 
{ /* Llib/fs.scm 255 */
obj_t BgL_vz00_1556;
BgL_vz00_1556 = 
VECTOR_REF(BgL_opt1288z00_117,BgL_iz00_1551); 
if(
(BgL_vz00_1556==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 255 */
BgL_index1294z00_571 = 
(BgL_iz00_1551+((long)1)); }  else 
{ 
long BgL_iz00_2930;
BgL_iz00_2930 = 
(BgL_iz00_1551+((long)2)); 
BgL_iz00_1551 = BgL_iz00_2930; 
goto BgL_search1290z00_1550;} } } 
if(
(BgL_index1294z00_571>=((long)0)))
{ /* Llib/fs.scm 255 */
BgL_loopz00_567 = 
VECTOR_REF(BgL_opt1288z00_117,BgL_index1294z00_571); }  else 
{ /* Llib/fs.scm 255 */BFALSE; } } 
{ /* Llib/fs.scm 255 */
long BgL_index1295z00_573;
{ 
long BgL_iz00_1566;
BgL_iz00_1566 = ((long)2); 
BgL_search1290z00_1565:
if(
(BgL_iz00_1566==
VECTOR_LENGTH(BgL_opt1288z00_117)))
{ /* Llib/fs.scm 255 */
BgL_index1295z00_573 = ((long)-1); }  else 
{ /* Llib/fs.scm 255 */
obj_t BgL_vz00_1571;
BgL_vz00_1571 = 
VECTOR_REF(BgL_opt1288z00_117,BgL_iz00_1566); 
if(
(BgL_vz00_1571==
CNST_TABLE_REF(((long)3))))
{ /* Llib/fs.scm 255 */
BgL_index1295z00_573 = 
(BgL_iz00_1566+((long)1)); }  else 
{ 
long BgL_iz00_2943;
BgL_iz00_2943 = 
(BgL_iz00_1566+((long)2)); 
BgL_iz00_1566 = BgL_iz00_2943; 
goto BgL_search1290z00_1565;} } } 
if(
(BgL_index1295z00_573>=((long)0)))
{ /* Llib/fs.scm 255 */
BgL_modez00_568 = 
VECTOR_REF(BgL_opt1288z00_117,BgL_index1295z00_573); }  else 
{ /* Llib/fs.scm 255 */BFALSE; } } 
{ /* Llib/fs.scm 255 */
obj_t BgL_arg1789z00_575;obj_t BgL_arg1790z00_576;
BgL_arg1789z00_575 = 
VECTOR_REF(BgL_opt1288z00_117,((long)0)); 
BgL_arg1790z00_576 = 
VECTOR_REF(BgL_opt1288z00_117,((long)1)); 
{ /* Llib/fs.scm 255 */
obj_t BgL_callbackz00_577;
BgL_callbackz00_577 = BgL_callbackz00_566; 
{ /* Llib/fs.scm 255 */
obj_t BgL_loopz00_578;
BgL_loopz00_578 = BgL_loopz00_567; 
return 
BGl_uvzd2fszd2openz00zz__libuv_fsz00(BgL_arg1789z00_575, BgL_arg1790z00_576, BgL_callbackz00_577, BgL_loopz00_578, BgL_modez00_568);} } } } } } } } } 

}



/* uv-fs-open */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2openz00zz__libuv_fsz00(obj_t BgL_pathz00_112, obj_t BgL_flagsz00_113, obj_t BgL_callbackz00_114, obj_t BgL_loopz00_115, obj_t BgL_modez00_116)
{
{ /* Llib/fs.scm 255 */
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_flagsz00_113))
{ /* Llib/fs.scm 257 */
return 
bgl_uv_fs_open(BgL_pathz00_112, 
CINT(BgL_flagsz00_113), 
CINT(BgL_modez00_116), BgL_callbackz00_114, 
((BgL_uvloopz00_bglt)BgL_loopz00_115));}  else 
{ /* Llib/fs.scm 257 */
if(
SYMBOLP(BgL_flagsz00_113))
{ /* Llib/fs.scm 260 */
int BgL_arg1796z00_586;
BgL_arg1796z00_586 = 
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_flagsz00_113); 
return 
bgl_uv_fs_open(BgL_pathz00_112, BgL_arg1796z00_586, 
CINT(BgL_modez00_116), BgL_callbackz00_114, 
((BgL_uvloopz00_bglt)BgL_loopz00_115));}  else 
{ /* Llib/fs.scm 259 */
if(
STRINGP(BgL_flagsz00_113))
{ /* Llib/fs.scm 262 */
int BgL_arg1798z00_588;
BgL_arg1798z00_588 = 
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(
bstring_to_symbol(BgL_flagsz00_113)); 
return 
bgl_uv_fs_open(BgL_pathz00_112, BgL_arg1798z00_588, 
CINT(BgL_modez00_116), BgL_callbackz00_114, 
((BgL_uvloopz00_bglt)BgL_loopz00_115));}  else 
{ /* Llib/fs.scm 261 */
return 
BGl_errorz00zz__errorz00(BGl_string2058z00zz__libuv_fsz00, BGl_string2059z00zz__libuv_fsz00, BgL_flagsz00_113);} } } } 

}



/* _uv-fs-close */
obj_t BGl__uvzd2fszd2closez00zz__libuv_fsz00(obj_t BgL_envz00_123, obj_t BgL_opt1298z00_122)
{
{ /* Llib/fs.scm 269 */
{ /* Llib/fs.scm 269 */
obj_t BgL_g1305z00_594;
BgL_g1305z00_594 = 
VECTOR_REF(BgL_opt1298z00_122,((long)0)); 
{ /* Llib/fs.scm 269 */
obj_t BgL_callbackz00_595;
BgL_callbackz00_595 = BFALSE; 
{ /* Llib/fs.scm 269 */
obj_t BgL_loopz00_596;
BgL_loopz00_596 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 269 */

{ /* Llib/fs.scm 269 */
long BgL_index1303z00_597;
{ 
long BgL_iz00_1593;
BgL_iz00_1593 = ((long)1); 
BgL_search1300z00_1592:
if(
(BgL_iz00_1593==
VECTOR_LENGTH(BgL_opt1298z00_122)))
{ /* Llib/fs.scm 269 */
BgL_index1303z00_597 = ((long)-1); }  else 
{ /* Llib/fs.scm 269 */
obj_t BgL_vz00_1598;
BgL_vz00_1598 = 
VECTOR_REF(BgL_opt1298z00_122,BgL_iz00_1593); 
if(
(BgL_vz00_1598==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 269 */
BgL_index1303z00_597 = 
(BgL_iz00_1593+((long)1)); }  else 
{ 
long BgL_iz00_2982;
BgL_iz00_2982 = 
(BgL_iz00_1593+((long)2)); 
BgL_iz00_1593 = BgL_iz00_2982; 
goto BgL_search1300z00_1592;} } } 
if(
(BgL_index1303z00_597>=((long)0)))
{ /* Llib/fs.scm 269 */
BgL_callbackz00_595 = 
VECTOR_REF(BgL_opt1298z00_122,BgL_index1303z00_597); }  else 
{ /* Llib/fs.scm 269 */BFALSE; } } 
{ /* Llib/fs.scm 269 */
long BgL_index1304z00_599;
{ 
long BgL_iz00_1608;
BgL_iz00_1608 = ((long)1); 
BgL_search1300z00_1607:
if(
(BgL_iz00_1608==
VECTOR_LENGTH(BgL_opt1298z00_122)))
{ /* Llib/fs.scm 269 */
BgL_index1304z00_599 = ((long)-1); }  else 
{ /* Llib/fs.scm 269 */
obj_t BgL_vz00_1613;
BgL_vz00_1613 = 
VECTOR_REF(BgL_opt1298z00_122,BgL_iz00_1608); 
if(
(BgL_vz00_1613==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 269 */
BgL_index1304z00_599 = 
(BgL_iz00_1608+((long)1)); }  else 
{ 
long BgL_iz00_2995;
BgL_iz00_2995 = 
(BgL_iz00_1608+((long)2)); 
BgL_iz00_1608 = BgL_iz00_2995; 
goto BgL_search1300z00_1607;} } } 
if(
(BgL_index1304z00_599>=((long)0)))
{ /* Llib/fs.scm 269 */
BgL_loopz00_596 = 
VECTOR_REF(BgL_opt1298z00_122,BgL_index1304z00_599); }  else 
{ /* Llib/fs.scm 269 */BFALSE; } } 
{ /* Llib/fs.scm 269 */
obj_t BgL_arg1802z00_601;
BgL_arg1802z00_601 = 
VECTOR_REF(BgL_opt1298z00_122,((long)0)); 
{ /* Llib/fs.scm 269 */
obj_t BgL_callbackz00_602;
BgL_callbackz00_602 = BgL_callbackz00_595; 
{ /* Llib/fs.scm 269 */
obj_t BgL_loopz00_603;
BgL_loopz00_603 = BgL_loopz00_596; 
return 
BINT(
bgl_uv_fs_close(
((BgL_uvfilez00_bglt)BgL_arg1802z00_601), BgL_callbackz00_602, 
((BgL_uvloopz00_bglt)BgL_loopz00_603)));} } } } } } } } 

}



/* uv-fs-close */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2closez00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_119, obj_t BgL_callbackz00_120, obj_t BgL_loopz00_121)
{
{ /* Llib/fs.scm 269 */
return 
BINT(
bgl_uv_fs_close(BgL_fdz00_119, BgL_callbackz00_120, 
((BgL_uvloopz00_bglt)BgL_loopz00_121)));} 

}



/* _uv-fs-fstat */
obj_t BGl__uvzd2fszd2fstatz00zz__libuv_fsz00(obj_t BgL_envz00_128, obj_t BgL_opt1306z00_127)
{
{ /* Llib/fs.scm 275 */
{ /* Llib/fs.scm 275 */
obj_t BgL_g1313z00_612;
BgL_g1313z00_612 = 
VECTOR_REF(BgL_opt1306z00_127,((long)0)); 
{ /* Llib/fs.scm 275 */
obj_t BgL_callbackz00_613;
BgL_callbackz00_613 = BFALSE; 
{ /* Llib/fs.scm 275 */
obj_t BgL_loopz00_614;
BgL_loopz00_614 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 275 */

{ /* Llib/fs.scm 275 */
long BgL_index1311z00_615;
{ 
long BgL_iz00_1632;
BgL_iz00_1632 = ((long)1); 
BgL_search1308z00_1631:
if(
(BgL_iz00_1632==
VECTOR_LENGTH(BgL_opt1306z00_127)))
{ /* Llib/fs.scm 275 */
BgL_index1311z00_615 = ((long)-1); }  else 
{ /* Llib/fs.scm 275 */
obj_t BgL_vz00_1637;
BgL_vz00_1637 = 
VECTOR_REF(BgL_opt1306z00_127,BgL_iz00_1632); 
if(
(BgL_vz00_1637==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 275 */
BgL_index1311z00_615 = 
(BgL_iz00_1632+((long)1)); }  else 
{ 
long BgL_iz00_3019;
BgL_iz00_3019 = 
(BgL_iz00_1632+((long)2)); 
BgL_iz00_1632 = BgL_iz00_3019; 
goto BgL_search1308z00_1631;} } } 
if(
(BgL_index1311z00_615>=((long)0)))
{ /* Llib/fs.scm 275 */
BgL_callbackz00_613 = 
VECTOR_REF(BgL_opt1306z00_127,BgL_index1311z00_615); }  else 
{ /* Llib/fs.scm 275 */BFALSE; } } 
{ /* Llib/fs.scm 275 */
long BgL_index1312z00_617;
{ 
long BgL_iz00_1647;
BgL_iz00_1647 = ((long)1); 
BgL_search1308z00_1646:
if(
(BgL_iz00_1647==
VECTOR_LENGTH(BgL_opt1306z00_127)))
{ /* Llib/fs.scm 275 */
BgL_index1312z00_617 = ((long)-1); }  else 
{ /* Llib/fs.scm 275 */
obj_t BgL_vz00_1652;
BgL_vz00_1652 = 
VECTOR_REF(BgL_opt1306z00_127,BgL_iz00_1647); 
if(
(BgL_vz00_1652==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 275 */
BgL_index1312z00_617 = 
(BgL_iz00_1647+((long)1)); }  else 
{ 
long BgL_iz00_3032;
BgL_iz00_3032 = 
(BgL_iz00_1647+((long)2)); 
BgL_iz00_1647 = BgL_iz00_3032; 
goto BgL_search1308z00_1646;} } } 
if(
(BgL_index1312z00_617>=((long)0)))
{ /* Llib/fs.scm 275 */
BgL_loopz00_614 = 
VECTOR_REF(BgL_opt1306z00_127,BgL_index1312z00_617); }  else 
{ /* Llib/fs.scm 275 */BFALSE; } } 
{ /* Llib/fs.scm 275 */
obj_t BgL_arg1808z00_619;
BgL_arg1808z00_619 = 
VECTOR_REF(BgL_opt1306z00_127,((long)0)); 
{ /* Llib/fs.scm 275 */
obj_t BgL_callbackz00_620;
BgL_callbackz00_620 = BgL_callbackz00_613; 
{ /* Llib/fs.scm 275 */
obj_t BgL_loopz00_621;
BgL_loopz00_621 = BgL_loopz00_614; 
return 
bgl_uv_fs_fstat(
((BgL_uvfilez00_bglt)BgL_arg1808z00_619), BgL_callbackz00_620, 
((BgL_uvloopz00_bglt)BgL_loopz00_621));} } } } } } } } 

}



/* uv-fs-fstat */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2fstatz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_124, obj_t BgL_callbackz00_125, obj_t BgL_loopz00_126)
{
{ /* Llib/fs.scm 275 */
return 
bgl_uv_fs_fstat(BgL_fdz00_124, BgL_callbackz00_125, 
((BgL_uvloopz00_bglt)BgL_loopz00_126));} 

}



/* _uv-fs-lstat */
obj_t BGl__uvzd2fszd2lstatz00zz__libuv_fsz00(obj_t BgL_envz00_133, obj_t BgL_opt1314z00_132)
{
{ /* Llib/fs.scm 281 */
{ /* Llib/fs.scm 281 */
obj_t BgL_g1321z00_630;
BgL_g1321z00_630 = 
VECTOR_REF(BgL_opt1314z00_132,((long)0)); 
{ /* Llib/fs.scm 281 */
obj_t BgL_callbackz00_631;
BgL_callbackz00_631 = BFALSE; 
{ /* Llib/fs.scm 281 */
obj_t BgL_loopz00_632;
BgL_loopz00_632 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 281 */

{ /* Llib/fs.scm 281 */
long BgL_index1319z00_633;
{ 
long BgL_iz00_1671;
BgL_iz00_1671 = ((long)1); 
BgL_search1316z00_1670:
if(
(BgL_iz00_1671==
VECTOR_LENGTH(BgL_opt1314z00_132)))
{ /* Llib/fs.scm 281 */
BgL_index1319z00_633 = ((long)-1); }  else 
{ /* Llib/fs.scm 281 */
obj_t BgL_vz00_1676;
BgL_vz00_1676 = 
VECTOR_REF(BgL_opt1314z00_132,BgL_iz00_1671); 
if(
(BgL_vz00_1676==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 281 */
BgL_index1319z00_633 = 
(BgL_iz00_1671+((long)1)); }  else 
{ 
long BgL_iz00_3054;
BgL_iz00_3054 = 
(BgL_iz00_1671+((long)2)); 
BgL_iz00_1671 = BgL_iz00_3054; 
goto BgL_search1316z00_1670;} } } 
if(
(BgL_index1319z00_633>=((long)0)))
{ /* Llib/fs.scm 281 */
BgL_callbackz00_631 = 
VECTOR_REF(BgL_opt1314z00_132,BgL_index1319z00_633); }  else 
{ /* Llib/fs.scm 281 */BFALSE; } } 
{ /* Llib/fs.scm 281 */
long BgL_index1320z00_635;
{ 
long BgL_iz00_1686;
BgL_iz00_1686 = ((long)1); 
BgL_search1316z00_1685:
if(
(BgL_iz00_1686==
VECTOR_LENGTH(BgL_opt1314z00_132)))
{ /* Llib/fs.scm 281 */
BgL_index1320z00_635 = ((long)-1); }  else 
{ /* Llib/fs.scm 281 */
obj_t BgL_vz00_1691;
BgL_vz00_1691 = 
VECTOR_REF(BgL_opt1314z00_132,BgL_iz00_1686); 
if(
(BgL_vz00_1691==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 281 */
BgL_index1320z00_635 = 
(BgL_iz00_1686+((long)1)); }  else 
{ 
long BgL_iz00_3067;
BgL_iz00_3067 = 
(BgL_iz00_1686+((long)2)); 
BgL_iz00_1686 = BgL_iz00_3067; 
goto BgL_search1316z00_1685;} } } 
if(
(BgL_index1320z00_635>=((long)0)))
{ /* Llib/fs.scm 281 */
BgL_loopz00_632 = 
VECTOR_REF(BgL_opt1314z00_132,BgL_index1320z00_635); }  else 
{ /* Llib/fs.scm 281 */BFALSE; } } 
{ /* Llib/fs.scm 281 */
obj_t BgL_arg1814z00_637;
BgL_arg1814z00_637 = 
VECTOR_REF(BgL_opt1314z00_132,((long)0)); 
{ /* Llib/fs.scm 281 */
obj_t BgL_callbackz00_638;
BgL_callbackz00_638 = BgL_callbackz00_631; 
{ /* Llib/fs.scm 281 */
obj_t BgL_loopz00_639;
BgL_loopz00_639 = BgL_loopz00_632; 
return 
bgl_uv_fs_lstat(
BSTRING_TO_STRING(
((obj_t)BgL_arg1814z00_637)), BgL_callbackz00_638, 
((BgL_uvloopz00_bglt)BgL_loopz00_639));} } } } } } } } 

}



/* uv-fs-lstat */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2lstatz00zz__libuv_fsz00(obj_t BgL_pathz00_129, obj_t BgL_callbackz00_130, obj_t BgL_loopz00_131)
{
{ /* Llib/fs.scm 281 */
return 
bgl_uv_fs_lstat(
BSTRING_TO_STRING(BgL_pathz00_129), BgL_callbackz00_130, 
((BgL_uvloopz00_bglt)BgL_loopz00_131));} 

}



/* _uv-fs-stat */
obj_t BGl__uvzd2fszd2statz00zz__libuv_fsz00(obj_t BgL_envz00_138, obj_t BgL_opt1322z00_137)
{
{ /* Llib/fs.scm 287 */
{ /* Llib/fs.scm 287 */
obj_t BgL_g1329z00_648;
BgL_g1329z00_648 = 
VECTOR_REF(BgL_opt1322z00_137,((long)0)); 
{ /* Llib/fs.scm 287 */
obj_t BgL_callbackz00_649;
BgL_callbackz00_649 = BFALSE; 
{ /* Llib/fs.scm 287 */
obj_t BgL_loopz00_650;
BgL_loopz00_650 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 287 */

{ /* Llib/fs.scm 287 */
long BgL_index1327z00_651;
{ 
long BgL_iz00_1710;
BgL_iz00_1710 = ((long)1); 
BgL_search1324z00_1709:
if(
(BgL_iz00_1710==
VECTOR_LENGTH(BgL_opt1322z00_137)))
{ /* Llib/fs.scm 287 */
BgL_index1327z00_651 = ((long)-1); }  else 
{ /* Llib/fs.scm 287 */
obj_t BgL_vz00_1715;
BgL_vz00_1715 = 
VECTOR_REF(BgL_opt1322z00_137,BgL_iz00_1710); 
if(
(BgL_vz00_1715==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 287 */
BgL_index1327z00_651 = 
(BgL_iz00_1710+((long)1)); }  else 
{ 
long BgL_iz00_3091;
BgL_iz00_3091 = 
(BgL_iz00_1710+((long)2)); 
BgL_iz00_1710 = BgL_iz00_3091; 
goto BgL_search1324z00_1709;} } } 
if(
(BgL_index1327z00_651>=((long)0)))
{ /* Llib/fs.scm 287 */
BgL_callbackz00_649 = 
VECTOR_REF(BgL_opt1322z00_137,BgL_index1327z00_651); }  else 
{ /* Llib/fs.scm 287 */BFALSE; } } 
{ /* Llib/fs.scm 287 */
long BgL_index1328z00_653;
{ 
long BgL_iz00_1725;
BgL_iz00_1725 = ((long)1); 
BgL_search1324z00_1724:
if(
(BgL_iz00_1725==
VECTOR_LENGTH(BgL_opt1322z00_137)))
{ /* Llib/fs.scm 287 */
BgL_index1328z00_653 = ((long)-1); }  else 
{ /* Llib/fs.scm 287 */
obj_t BgL_vz00_1730;
BgL_vz00_1730 = 
VECTOR_REF(BgL_opt1322z00_137,BgL_iz00_1725); 
if(
(BgL_vz00_1730==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 287 */
BgL_index1328z00_653 = 
(BgL_iz00_1725+((long)1)); }  else 
{ 
long BgL_iz00_3104;
BgL_iz00_3104 = 
(BgL_iz00_1725+((long)2)); 
BgL_iz00_1725 = BgL_iz00_3104; 
goto BgL_search1324z00_1724;} } } 
if(
(BgL_index1328z00_653>=((long)0)))
{ /* Llib/fs.scm 287 */
BgL_loopz00_650 = 
VECTOR_REF(BgL_opt1322z00_137,BgL_index1328z00_653); }  else 
{ /* Llib/fs.scm 287 */BFALSE; } } 
{ /* Llib/fs.scm 287 */
obj_t BgL_arg1820z00_655;
BgL_arg1820z00_655 = 
VECTOR_REF(BgL_opt1322z00_137,((long)0)); 
{ /* Llib/fs.scm 287 */
obj_t BgL_callbackz00_656;
BgL_callbackz00_656 = BgL_callbackz00_649; 
{ /* Llib/fs.scm 287 */
obj_t BgL_loopz00_657;
BgL_loopz00_657 = BgL_loopz00_650; 
return 
bgl_uv_fs_stat(
BSTRING_TO_STRING(
((obj_t)BgL_arg1820z00_655)), BgL_callbackz00_656, 
((BgL_uvloopz00_bglt)BgL_loopz00_657));} } } } } } } } 

}



/* uv-fs-stat */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2statz00zz__libuv_fsz00(obj_t BgL_pathz00_134, obj_t BgL_callbackz00_135, obj_t BgL_loopz00_136)
{
{ /* Llib/fs.scm 287 */
return 
bgl_uv_fs_stat(
BSTRING_TO_STRING(BgL_pathz00_134), BgL_callbackz00_135, 
((BgL_uvloopz00_bglt)BgL_loopz00_136));} 

}



/* _uv-fs-write */
obj_t BGl__uvzd2fszd2writez00zz__libuv_fsz00(obj_t BgL_envz00_147, obj_t BgL_opt1330z00_146)
{
{ /* Llib/fs.scm 293 */
{ /* Llib/fs.scm 293 */
obj_t BgL_g1339z00_666;obj_t BgL_g1340z00_667;obj_t BgL_g1341z00_668;
BgL_g1339z00_666 = 
VECTOR_REF(BgL_opt1330z00_146,((long)0)); 
BgL_g1340z00_667 = 
VECTOR_REF(BgL_opt1330z00_146,((long)1)); 
BgL_g1341z00_668 = 
VECTOR_REF(BgL_opt1330z00_146,((long)2)); 
{ /* Llib/fs.scm 293 */
obj_t BgL_callbackz00_669;
BgL_callbackz00_669 = BFALSE; 
{ /* Llib/fs.scm 295 */
BgL_uvloopz00_bglt BgL_loopz00_670;
BgL_loopz00_670 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 293 */
obj_t BgL_offsetz00_671;
BgL_offsetz00_671 = 
BINT(((long)0)); 
{ /* Llib/fs.scm 293 */
obj_t BgL_positionz00_672;
BgL_positionz00_672 = 
BINT(((long)-1)); 
{ /* Llib/fs.scm 293 */

{ /* Llib/fs.scm 293 */
long BgL_index1335z00_673;
{ 
long BgL_iz00_1749;
BgL_iz00_1749 = ((long)3); 
BgL_search1332z00_1748:
if(
(BgL_iz00_1749==
VECTOR_LENGTH(BgL_opt1330z00_146)))
{ /* Llib/fs.scm 293 */
BgL_index1335z00_673 = ((long)-1); }  else 
{ /* Llib/fs.scm 293 */
obj_t BgL_vz00_1754;
BgL_vz00_1754 = 
VECTOR_REF(BgL_opt1330z00_146,BgL_iz00_1749); 
if(
(BgL_vz00_1754==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 293 */
BgL_index1335z00_673 = 
(BgL_iz00_1749+((long)1)); }  else 
{ 
long BgL_iz00_3131;
BgL_iz00_3131 = 
(BgL_iz00_1749+((long)2)); 
BgL_iz00_1749 = BgL_iz00_3131; 
goto BgL_search1332z00_1748;} } } 
if(
(BgL_index1335z00_673>=((long)0)))
{ /* Llib/fs.scm 293 */
BgL_callbackz00_669 = 
VECTOR_REF(BgL_opt1330z00_146,BgL_index1335z00_673); }  else 
{ /* Llib/fs.scm 293 */BFALSE; } } 
{ /* Llib/fs.scm 293 */
long BgL_index1336z00_675;
{ 
long BgL_iz00_1764;
BgL_iz00_1764 = ((long)3); 
BgL_search1332z00_1763:
if(
(BgL_iz00_1764==
VECTOR_LENGTH(BgL_opt1330z00_146)))
{ /* Llib/fs.scm 293 */
BgL_index1336z00_675 = ((long)-1); }  else 
{ /* Llib/fs.scm 293 */
obj_t BgL_vz00_1769;
BgL_vz00_1769 = 
VECTOR_REF(BgL_opt1330z00_146,BgL_iz00_1764); 
if(
(BgL_vz00_1769==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 293 */
BgL_index1336z00_675 = 
(BgL_iz00_1764+((long)1)); }  else 
{ 
long BgL_iz00_3144;
BgL_iz00_3144 = 
(BgL_iz00_1764+((long)2)); 
BgL_iz00_1764 = BgL_iz00_3144; 
goto BgL_search1332z00_1763;} } } 
if(
(BgL_index1336z00_675>=((long)0)))
{ /* Llib/fs.scm 293 */
BgL_loopz00_670 = 
((BgL_uvloopz00_bglt)
VECTOR_REF(BgL_opt1330z00_146,BgL_index1336z00_675)); }  else 
{ /* Llib/fs.scm 293 */BFALSE; } } 
{ /* Llib/fs.scm 293 */
long BgL_index1337z00_677;
{ 
long BgL_iz00_1779;
BgL_iz00_1779 = ((long)3); 
BgL_search1332z00_1778:
if(
(BgL_iz00_1779==
VECTOR_LENGTH(BgL_opt1330z00_146)))
{ /* Llib/fs.scm 293 */
BgL_index1337z00_677 = ((long)-1); }  else 
{ /* Llib/fs.scm 293 */
obj_t BgL_vz00_1784;
BgL_vz00_1784 = 
VECTOR_REF(BgL_opt1330z00_146,BgL_iz00_1779); 
if(
(BgL_vz00_1784==
CNST_TABLE_REF(((long)4))))
{ /* Llib/fs.scm 293 */
BgL_index1337z00_677 = 
(BgL_iz00_1779+((long)1)); }  else 
{ 
long BgL_iz00_3158;
BgL_iz00_3158 = 
(BgL_iz00_1779+((long)2)); 
BgL_iz00_1779 = BgL_iz00_3158; 
goto BgL_search1332z00_1778;} } } 
if(
(BgL_index1337z00_677>=((long)0)))
{ /* Llib/fs.scm 293 */
BgL_offsetz00_671 = 
VECTOR_REF(BgL_opt1330z00_146,BgL_index1337z00_677); }  else 
{ /* Llib/fs.scm 293 */BFALSE; } } 
{ /* Llib/fs.scm 293 */
long BgL_index1338z00_679;
{ 
long BgL_iz00_1794;
BgL_iz00_1794 = ((long)3); 
BgL_search1332z00_1793:
if(
(BgL_iz00_1794==
VECTOR_LENGTH(BgL_opt1330z00_146)))
{ /* Llib/fs.scm 293 */
BgL_index1338z00_679 = ((long)-1); }  else 
{ /* Llib/fs.scm 293 */
obj_t BgL_vz00_1799;
BgL_vz00_1799 = 
VECTOR_REF(BgL_opt1330z00_146,BgL_iz00_1794); 
if(
(BgL_vz00_1799==
CNST_TABLE_REF(((long)5))))
{ /* Llib/fs.scm 293 */
BgL_index1338z00_679 = 
(BgL_iz00_1794+((long)1)); }  else 
{ 
long BgL_iz00_3171;
BgL_iz00_3171 = 
(BgL_iz00_1794+((long)2)); 
BgL_iz00_1794 = BgL_iz00_3171; 
goto BgL_search1332z00_1793;} } } 
if(
(BgL_index1338z00_679>=((long)0)))
{ /* Llib/fs.scm 293 */
BgL_positionz00_672 = 
VECTOR_REF(BgL_opt1330z00_146,BgL_index1338z00_679); }  else 
{ /* Llib/fs.scm 293 */BFALSE; } } 
{ /* Llib/fs.scm 293 */
obj_t BgL_arg1828z00_681;obj_t BgL_arg1829z00_682;obj_t BgL_arg1830z00_683;
BgL_arg1828z00_681 = 
VECTOR_REF(BgL_opt1330z00_146,((long)0)); 
BgL_arg1829z00_682 = 
VECTOR_REF(BgL_opt1330z00_146,((long)1)); 
BgL_arg1830z00_683 = 
VECTOR_REF(BgL_opt1330z00_146,((long)2)); 
{ /* Llib/fs.scm 293 */
obj_t BgL_callbackz00_684;
BgL_callbackz00_684 = BgL_callbackz00_669; 
{ /* Llib/fs.scm 293 */
BgL_uvloopz00_bglt BgL_loopz00_685;
BgL_loopz00_685 = BgL_loopz00_670; 
{ /* Llib/fs.scm 293 */
obj_t BgL_offsetz00_686;
BgL_offsetz00_686 = BgL_offsetz00_671; 
{ /* Llib/fs.scm 293 */
obj_t BgL_positionz00_687;
BgL_positionz00_687 = BgL_positionz00_672; 
{ /* Llib/fs.scm 293 */
int BgL_lengthz00_1810;
BgL_lengthz00_1810 = 
CINT(BgL_arg1830z00_683); 
return 
BINT(
bgl_uv_fs_write(
((BgL_uvfilez00_bglt)BgL_arg1828z00_681), 
((obj_t)BgL_arg1829z00_682), 
(long)CINT(BgL_offsetz00_686), 
(long)(BgL_lengthz00_1810), 
BGL_BINT64_TO_INT64(BgL_positionz00_687), BgL_callbackz00_684, BgL_loopz00_685));} } } } } } } } } } } } } 

}



/* uv-fs-write */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2writez00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_139, obj_t BgL_bufferz00_140, int BgL_lengthz00_141, obj_t BgL_callbackz00_142, BgL_uvloopz00_bglt BgL_loopz00_143, obj_t BgL_offsetz00_144, obj_t BgL_positionz00_145)
{
{ /* Llib/fs.scm 293 */
return 
BINT(
bgl_uv_fs_write(BgL_fdz00_139, BgL_bufferz00_140, 
(long)CINT(BgL_offsetz00_144), 
(long)(BgL_lengthz00_141), 
BGL_BINT64_TO_INT64(BgL_positionz00_145), BgL_callbackz00_142, BgL_loopz00_143));} 

}



/* _uv-fs-read */
obj_t BGl__uvzd2fszd2readz00zz__libuv_fsz00(obj_t BgL_envz00_156, obj_t BgL_opt1342z00_155)
{
{ /* Llib/fs.scm 301 */
{ /* Llib/fs.scm 301 */
obj_t BgL_g1351z00_696;obj_t BgL_g1352z00_697;obj_t BgL_g1353z00_698;
BgL_g1351z00_696 = 
VECTOR_REF(BgL_opt1342z00_155,((long)0)); 
BgL_g1352z00_697 = 
VECTOR_REF(BgL_opt1342z00_155,((long)1)); 
BgL_g1353z00_698 = 
VECTOR_REF(BgL_opt1342z00_155,((long)2)); 
{ /* Llib/fs.scm 301 */
obj_t BgL_callbackz00_699;
BgL_callbackz00_699 = BFALSE; 
{ /* Llib/fs.scm 303 */
BgL_uvloopz00_bglt BgL_loopz00_700;
BgL_loopz00_700 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 301 */
obj_t BgL_offsetz00_701;
BgL_offsetz00_701 = 
BINT(((long)0)); 
{ /* Llib/fs.scm 301 */
obj_t BgL_positionz00_702;
BgL_positionz00_702 = 
BINT(((long)-1)); 
{ /* Llib/fs.scm 301 */

{ /* Llib/fs.scm 301 */
long BgL_index1347z00_703;
{ 
long BgL_iz00_1821;
BgL_iz00_1821 = ((long)3); 
BgL_search1344z00_1820:
if(
(BgL_iz00_1821==
VECTOR_LENGTH(BgL_opt1342z00_155)))
{ /* Llib/fs.scm 301 */
BgL_index1347z00_703 = ((long)-1); }  else 
{ /* Llib/fs.scm 301 */
obj_t BgL_vz00_1826;
BgL_vz00_1826 = 
VECTOR_REF(BgL_opt1342z00_155,BgL_iz00_1821); 
if(
(BgL_vz00_1826==
CNST_TABLE_REF(((long)0))))
{ /* Llib/fs.scm 301 */
BgL_index1347z00_703 = 
(BgL_iz00_1821+((long)1)); }  else 
{ 
long BgL_iz00_3206;
BgL_iz00_3206 = 
(BgL_iz00_1821+((long)2)); 
BgL_iz00_1821 = BgL_iz00_3206; 
goto BgL_search1344z00_1820;} } } 
if(
(BgL_index1347z00_703>=((long)0)))
{ /* Llib/fs.scm 301 */
BgL_callbackz00_699 = 
VECTOR_REF(BgL_opt1342z00_155,BgL_index1347z00_703); }  else 
{ /* Llib/fs.scm 301 */BFALSE; } } 
{ /* Llib/fs.scm 301 */
long BgL_index1348z00_705;
{ 
long BgL_iz00_1836;
BgL_iz00_1836 = ((long)3); 
BgL_search1344z00_1835:
if(
(BgL_iz00_1836==
VECTOR_LENGTH(BgL_opt1342z00_155)))
{ /* Llib/fs.scm 301 */
BgL_index1348z00_705 = ((long)-1); }  else 
{ /* Llib/fs.scm 301 */
obj_t BgL_vz00_1841;
BgL_vz00_1841 = 
VECTOR_REF(BgL_opt1342z00_155,BgL_iz00_1836); 
if(
(BgL_vz00_1841==
CNST_TABLE_REF(((long)1))))
{ /* Llib/fs.scm 301 */
BgL_index1348z00_705 = 
(BgL_iz00_1836+((long)1)); }  else 
{ 
long BgL_iz00_3219;
BgL_iz00_3219 = 
(BgL_iz00_1836+((long)2)); 
BgL_iz00_1836 = BgL_iz00_3219; 
goto BgL_search1344z00_1835;} } } 
if(
(BgL_index1348z00_705>=((long)0)))
{ /* Llib/fs.scm 301 */
BgL_loopz00_700 = 
((BgL_uvloopz00_bglt)
VECTOR_REF(BgL_opt1342z00_155,BgL_index1348z00_705)); }  else 
{ /* Llib/fs.scm 301 */BFALSE; } } 
{ /* Llib/fs.scm 301 */
long BgL_index1349z00_707;
{ 
long BgL_iz00_1851;
BgL_iz00_1851 = ((long)3); 
BgL_search1344z00_1850:
if(
(BgL_iz00_1851==
VECTOR_LENGTH(BgL_opt1342z00_155)))
{ /* Llib/fs.scm 301 */
BgL_index1349z00_707 = ((long)-1); }  else 
{ /* Llib/fs.scm 301 */
obj_t BgL_vz00_1856;
BgL_vz00_1856 = 
VECTOR_REF(BgL_opt1342z00_155,BgL_iz00_1851); 
if(
(BgL_vz00_1856==
CNST_TABLE_REF(((long)4))))
{ /* Llib/fs.scm 301 */
BgL_index1349z00_707 = 
(BgL_iz00_1851+((long)1)); }  else 
{ 
long BgL_iz00_3233;
BgL_iz00_3233 = 
(BgL_iz00_1851+((long)2)); 
BgL_iz00_1851 = BgL_iz00_3233; 
goto BgL_search1344z00_1850;} } } 
if(
(BgL_index1349z00_707>=((long)0)))
{ /* Llib/fs.scm 301 */
BgL_offsetz00_701 = 
VECTOR_REF(BgL_opt1342z00_155,BgL_index1349z00_707); }  else 
{ /* Llib/fs.scm 301 */BFALSE; } } 
{ /* Llib/fs.scm 301 */
long BgL_index1350z00_709;
{ 
long BgL_iz00_1866;
BgL_iz00_1866 = ((long)3); 
BgL_search1344z00_1865:
if(
(BgL_iz00_1866==
VECTOR_LENGTH(BgL_opt1342z00_155)))
{ /* Llib/fs.scm 301 */
BgL_index1350z00_709 = ((long)-1); }  else 
{ /* Llib/fs.scm 301 */
obj_t BgL_vz00_1871;
BgL_vz00_1871 = 
VECTOR_REF(BgL_opt1342z00_155,BgL_iz00_1866); 
if(
(BgL_vz00_1871==
CNST_TABLE_REF(((long)5))))
{ /* Llib/fs.scm 301 */
BgL_index1350z00_709 = 
(BgL_iz00_1866+((long)1)); }  else 
{ 
long BgL_iz00_3246;
BgL_iz00_3246 = 
(BgL_iz00_1866+((long)2)); 
BgL_iz00_1866 = BgL_iz00_3246; 
goto BgL_search1344z00_1865;} } } 
if(
(BgL_index1350z00_709>=((long)0)))
{ /* Llib/fs.scm 301 */
BgL_positionz00_702 = 
VECTOR_REF(BgL_opt1342z00_155,BgL_index1350z00_709); }  else 
{ /* Llib/fs.scm 301 */BFALSE; } } 
{ /* Llib/fs.scm 301 */
obj_t BgL_arg1838z00_711;obj_t BgL_arg1839z00_712;obj_t BgL_arg1840z00_713;
BgL_arg1838z00_711 = 
VECTOR_REF(BgL_opt1342z00_155,((long)0)); 
BgL_arg1839z00_712 = 
VECTOR_REF(BgL_opt1342z00_155,((long)1)); 
BgL_arg1840z00_713 = 
VECTOR_REF(BgL_opt1342z00_155,((long)2)); 
{ /* Llib/fs.scm 301 */
obj_t BgL_callbackz00_714;
BgL_callbackz00_714 = BgL_callbackz00_699; 
{ /* Llib/fs.scm 301 */
BgL_uvloopz00_bglt BgL_loopz00_715;
BgL_loopz00_715 = BgL_loopz00_700; 
{ /* Llib/fs.scm 301 */
obj_t BgL_offsetz00_716;
BgL_offsetz00_716 = BgL_offsetz00_701; 
{ /* Llib/fs.scm 301 */
obj_t BgL_positionz00_717;
BgL_positionz00_717 = BgL_positionz00_702; 
{ /* Llib/fs.scm 301 */
int BgL_lengthz00_1882;
BgL_lengthz00_1882 = 
CINT(BgL_arg1840z00_713); 
return 
BINT(
bgl_uv_fs_read(
((BgL_uvfilez00_bglt)BgL_arg1838z00_711), 
((obj_t)BgL_arg1839z00_712), 
(long)CINT(BgL_offsetz00_716), 
(long)(BgL_lengthz00_1882), 
BGL_BINT64_TO_INT64(BgL_positionz00_717), BgL_callbackz00_714, BgL_loopz00_715));} } } } } } } } } } } } } 

}



/* uv-fs-read */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2readz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_148, obj_t BgL_bufferz00_149, int BgL_lengthz00_150, obj_t BgL_callbackz00_151, BgL_uvloopz00_bglt BgL_loopz00_152, obj_t BgL_offsetz00_153, obj_t BgL_positionz00_154)
{
{ /* Llib/fs.scm 301 */
return 
BINT(
bgl_uv_fs_read(BgL_fdz00_148, BgL_bufferz00_149, 
(long)CINT(BgL_offsetz00_153), 
(long)(BgL_lengthz00_150), 
BGL_BINT64_TO_INT64(BgL_positionz00_154), BgL_callbackz00_151, BgL_loopz00_152));} 

}



/* uv-fs-flags */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(obj_t BgL_flagz00_157)
{
{ /* Llib/fs.scm 309 */
if(
(BgL_flagz00_157==
CNST_TABLE_REF(((long)6))))
{ /* Llib/fs.scm 310 */
return 
(int)(BGl_O_RDONLYz00zz__libuv_fsz00);}  else 
{ /* Llib/fs.scm 310 */
if(
(BgL_flagz00_157==
CNST_TABLE_REF(((long)7))))
{ /* Llib/fs.scm 312 */
long BgL_xz00_1888;long BgL_yz00_1889;
BgL_xz00_1888 = BGl_O_RDONLYz00zz__libuv_fsz00; 
BgL_yz00_1889 = BGl_O_SYNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_1888 | BgL_yz00_1889));}  else 
{ /* Llib/fs.scm 310 */
if(
(BgL_flagz00_157==
CNST_TABLE_REF(((long)8))))
{ /* Llib/fs.scm 313 */
long BgL_xz00_1893;long BgL_yz00_1894;
BgL_xz00_1893 = BGl_O_RDWRz00zz__libuv_fsz00; 
BgL_yz00_1894 = BGl_O_SYNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_1893 | BgL_yz00_1894));}  else 
{ /* Llib/fs.scm 310 */
if(
(BgL_flagz00_157==
CNST_TABLE_REF(((long)9))))
{ /* Llib/fs.scm 314 */
long BgL_xz00_1901;
BgL_xz00_1901 = BGl_O_TRUNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_1901 | 
(BGl_O_CREATz00zz__libuv_fsz00 | BGl_O_WRONLYz00zz__libuv_fsz00)));}  else 
{ /* Llib/fs.scm 310 */
bool_t BgL_test2283z00_3287;
{ /* Llib/fs.scm 310 */
bool_t BgL__ortest_1092z00_753;
BgL__ortest_1092z00_753 = 
(BgL_flagz00_157==
CNST_TABLE_REF(((long)10))); 
if(BgL__ortest_1092z00_753)
{ /* Llib/fs.scm 310 */
BgL_test2283z00_3287 = BgL__ortest_1092z00_753
; }  else 
{ /* Llib/fs.scm 310 */
BgL_test2283z00_3287 = 
(BgL_flagz00_157==
CNST_TABLE_REF(((long)11)))
; } } 
if(BgL_test2283z00_3287)
{ /* Llib/fs.scm 315 */
long BgL_arg1850z00_730;
{ /* Llib/fs.scm 315 */
long BgL_xz00_1907;
BgL_xz00_1907 = BGl_O_CREATz00zz__libuv_fsz00; 
BgL_arg1850z00_730 = 
(BgL_xz00_1907 | 
(BGl_O_WRONLYz00zz__libuv_fsz00 | BGl_O_EXCLz00zz__libuv_fsz00)); } 
{ /* Llib/fs.scm 315 */
long BgL_xz00_1910;
BgL_xz00_1910 = BGl_O_TRUNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_1910 | BgL_arg1850z00_730));} }  else 
{ /* Llib/fs.scm 310 */
if(
(BgL_flagz00_157==
CNST_TABLE_REF(((long)12))))
{ /* Llib/fs.scm 316 */
long BgL_xz00_1918;
BgL_xz00_1918 = BGl_O_TRUNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_1918 | 
(BGl_O_CREATz00zz__libuv_fsz00 | BGl_O_RDWRz00zz__libuv_fsz00)));}  else 
{ /* Llib/fs.scm 310 */
bool_t BgL_test2286z00_3303;
{ /* Llib/fs.scm 310 */
bool_t BgL__ortest_1093z00_752;
BgL__ortest_1093z00_752 = 
(BgL_flagz00_157==
CNST_TABLE_REF(((long)13))); 
if(BgL__ortest_1093z00_752)
{ /* Llib/fs.scm 310 */
BgL_test2286z00_3303 = BgL__ortest_1093z00_752
; }  else 
{ /* Llib/fs.scm 310 */
BgL_test2286z00_3303 = 
(BgL_flagz00_157==
CNST_TABLE_REF(((long)14)))
; } } 
if(BgL_test2286z00_3303)
{ /* Llib/fs.scm 317 */
long BgL_arg1855z00_736;
{ /* Llib/fs.scm 317 */
long BgL_xz00_1924;
BgL_xz00_1924 = BGl_O_CREATz00zz__libuv_fsz00; 
BgL_arg1855z00_736 = 
(BgL_xz00_1924 | 
(BGl_O_RDWRz00zz__libuv_fsz00 | BGl_O_EXCLz00zz__libuv_fsz00)); } 
{ /* Llib/fs.scm 317 */
long BgL_xz00_1927;
BgL_xz00_1927 = BGl_O_TRUNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_1927 | BgL_arg1855z00_736));} }  else 
{ /* Llib/fs.scm 310 */
if(
(BgL_flagz00_157==
CNST_TABLE_REF(((long)2))))
{ /* Llib/fs.scm 318 */
long BgL_xz00_1935;
BgL_xz00_1935 = BGl_O_APPENDz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_1935 | 
(BGl_O_CREATz00zz__libuv_fsz00 | BGl_O_WRONLYz00zz__libuv_fsz00)));}  else 
{ /* Llib/fs.scm 310 */
bool_t BgL_test2289z00_3319;
{ /* Llib/fs.scm 310 */
bool_t BgL__ortest_1094z00_751;
BgL__ortest_1094z00_751 = 
(BgL_flagz00_157==
CNST_TABLE_REF(((long)15))); 
if(BgL__ortest_1094z00_751)
{ /* Llib/fs.scm 310 */
BgL_test2289z00_3319 = BgL__ortest_1094z00_751
; }  else 
{ /* Llib/fs.scm 310 */
BgL_test2289z00_3319 = 
(BgL_flagz00_157==
CNST_TABLE_REF(((long)16)))
; } } 
if(BgL_test2289z00_3319)
{ /* Llib/fs.scm 319 */
long BgL_arg1860z00_742;
{ /* Llib/fs.scm 319 */
long BgL_xz00_1941;
BgL_xz00_1941 = BGl_O_CREATz00zz__libuv_fsz00; 
BgL_arg1860z00_742 = 
(BgL_xz00_1941 | 
(BGl_O_WRONLYz00zz__libuv_fsz00 | BGl_O_EXCLz00zz__libuv_fsz00)); } 
{ /* Llib/fs.scm 319 */
long BgL_xz00_1944;
BgL_xz00_1944 = BGl_O_APPENDz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_1944 | BgL_arg1860z00_742));} }  else 
{ /* Llib/fs.scm 310 */
if(
(BgL_flagz00_157==
CNST_TABLE_REF(((long)17))))
{ /* Llib/fs.scm 320 */
long BgL_xz00_1952;
BgL_xz00_1952 = BGl_O_APPENDz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_1952 | 
(BGl_O_CREATz00zz__libuv_fsz00 | BGl_O_RDWRz00zz__libuv_fsz00)));}  else 
{ /* Llib/fs.scm 310 */
bool_t BgL_test2292z00_3335;
{ /* Llib/fs.scm 310 */
bool_t BgL__ortest_1095z00_750;
BgL__ortest_1095z00_750 = 
(BgL_flagz00_157==
CNST_TABLE_REF(((long)18))); 
if(BgL__ortest_1095z00_750)
{ /* Llib/fs.scm 310 */
BgL_test2292z00_3335 = BgL__ortest_1095z00_750
; }  else 
{ /* Llib/fs.scm 310 */
BgL_test2292z00_3335 = 
(BgL_flagz00_157==
CNST_TABLE_REF(((long)19)))
; } } 
if(BgL_test2292z00_3335)
{ /* Llib/fs.scm 321 */
long BgL_arg1865z00_748;
{ /* Llib/fs.scm 321 */
long BgL_xz00_1958;
BgL_xz00_1958 = BGl_O_CREATz00zz__libuv_fsz00; 
BgL_arg1865z00_748 = 
(BgL_xz00_1958 | 
(BGl_O_RDWRz00zz__libuv_fsz00 | BGl_O_EXCLz00zz__libuv_fsz00)); } 
{ /* Llib/fs.scm 321 */
long BgL_xz00_1961;
BgL_xz00_1961 = BGl_O_APPENDz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_1961 | BgL_arg1865z00_748));} }  else 
{ /* Llib/fs.scm 310 */
return 
CINT(
BGl_errorz00zz__errorz00(BGl_string2060z00zz__libuv_fsz00, BGl_string2061z00zz__libuv_fsz00, BgL_flagz00_157));} } } } } } } } } } } } 

}



/* &uv-fs-flags */
obj_t BGl_z62uvzd2fszd2flagsz62zz__libuv_fsz00(obj_t BgL_envz00_1983, obj_t BgL_flagz00_1984)
{
{ /* Llib/fs.scm 309 */
return 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_flagz00_1984));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_fsz00()
{
{ /* Llib/fs.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_fsz00()
{
{ /* Llib/fs.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_fsz00()
{
{ /* Llib/fs.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__libuv_fsz00()
{
{ /* Llib/fs.scm 15 */
BGl_modulezd2initializa7ationz75zz__libuv_typesz00(((long)204966563), 
BSTRING_TO_STRING(BGl_string2062z00zz__libuv_fsz00)); 
return 
BGl_modulezd2initializa7ationz75zz__libuv_loopz00(((long)498882847), 
BSTRING_TO_STRING(BGl_string2062z00zz__libuv_fsz00));} 

}

#ifdef __cplusplus
}
#endif
