/*===========================================================================*/
/*   (Llib/sqlite.scm)                                                       */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue 12 May 2020 08:36:09 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.3h/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -srfi sqlite -unsafe -safee -copt -fPIC -copt -IPosix Llib/sqlite.scm -o objs/sqlite.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <sqlite3.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z42sqltinyz42_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_z42versionz42;
   obj_t BgL_pathz00;
   obj_t BgL_syncz00;
   obj_t BgL_tablesz00;
   obj_t BgL_mutexz00;
   bool_t BgL_transactionz00;
} *BgL_z42sqltinyz42_bglt;

typedef struct BgL_sqlitez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pathz00;
   void * BgL_z42builtinz42;
} *BgL_sqlitez00_bglt;

typedef struct BgL_z52sqlitez52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pathz00;
} *BgL_z52sqlitez52_bglt;

typedef struct BgL_sqltinyz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pathz00;
   obj_t BgL_syncz00;
   struct BgL_z42sqltinyz42_bgl * BgL_z42builtinz42;
} *BgL_sqltinyz00_bglt;


static obj_t BGl_zc3z04exitza31912ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static BgL_z52sqlitez52_bglt BGl_z62lambda1778z62zz__sqlite_sqlitez00(obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62lambda1785z62zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62lambda1786z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(obj_t, obj_t, long);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2tablezd2numberzd2ofzd2rowsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t);
static BgL_sqltinyz00_bglt BGl_z62lambda1793z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static BgL_sqltinyz00_bglt BGl_z62lambda1796z62zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31954ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2dumpzd2table1248z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_displayzd2sqlitezd2quotezd2listze70z35zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2map1244zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31955ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32031ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31302ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2dumpzd2tablez42zz__sqlite_sqltinyz00(obj_t, BgL_z42sqltinyz42_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2closezd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt);
static obj_t BGl_z62sqlitezd2evalzd2sqlite1243z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2tablezd2namezd2ofzd2columnsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza32032ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_objectzd2initzd2zz__sqlite_sqlitez00();
static obj_t BGl_z62zc3z04anonymousza31957ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62z52setupzd2sqltinyz12zf0zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32034ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2evalz90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32018ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32019ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62sqlitezd2mapzd2sqlite1247z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31992ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31798ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31993ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_methodzd2initzd2zz__sqlite_sqlitez00();
extern obj_t bgl_sqlite_eval(void *, obj_t, char *, obj_t);
static obj_t BGl_z62sqlitezd2formatzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2execzd2sqlite1239z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31995ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2tablezd2informationsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t);
static obj_t BGl_zc3z04exitza32028ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31271ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2execz90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2closezd2sqlite1235z62zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_zc3z04exitza31989ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52setupzd2sqlitez12z92zz__sqlite_sqlitez00(BgL_sqlitez00_bglt);
static obj_t BGl_z62sqlitezd2mapzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_sqlite_exec(void *, char *, obj_t);
BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2closezb0zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31302ze32196ze5zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31812ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__sqlite_sqlitez00();
static obj_t BGl_z62zc3z04anonymousza31295ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2lastzd2insertzd2rowidzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt);
static obj_t BGl_z62zc3z04anonymousza31830ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31903ze3ze5zz__sqlite_sqlitez00(obj_t);
extern obj_t BGl_z42sqltinyz42zz__sqlite_sqltinyz00;
BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2evalzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2mapz90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
static obj_t BGl_zc3z04exitza31964ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza31938ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31905ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2closez90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
static obj_t BGl_z62lambda1803z62zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62lambda1804z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_IMPORT long bgl_date_to_seconds(obj_t);
static BgL_z42sqltinyz42_bglt BGl_z62lambda1810z62zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62lambda1811z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static BgL_sqlitez00_bglt BGl_z62lambda1818z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62objectzd2displayzd2sqlit1227z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2dumpzd2tablezd2sq1251zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static BgL_sqlitez00_bglt BGl_z62lambda1821z62zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62lambda1828z62zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62lambda1829z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2dumpzd2tablez62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31941ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
extern BgL_z42sqltinyz42_bglt BGl_z42sqltinyzd2openz90zz__sqlite_sqltinyz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31942ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31780ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31870ze3ze5zz__sqlite_sqlitez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2dumpzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2evalzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__sqlite_sqlitez00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31944ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern void * bgl_sqlite_open(char *);
static obj_t BGl_z62zc3z04anonymousza31928ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_zc3z04exitza32041ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32015ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31929ze3ze5zz__sqlite_sqlitez00(obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32021ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32005ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2close1232zb0zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32006ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__sqlite_sqlitez00();
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31980ze3ze5zz__sqlite_sqlitez00(obj_t);
BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__sqlite_sqlitez00();
static obj_t BGl_z62zc3z04anonymousza32008ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52setupzd2sqltinyz12z92zz__sqlite_sqlitez00(BgL_sqltinyz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31787ze3ze5zz__sqlite_sqlitez00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_sqlitez00zz__sqlite_sqlitez00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31982ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31967ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2dumpzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62objectzd2printzd2sqlite1231z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z42sqlitezd2nilz90zz__sqlite_sqlitez00();
static obj_t BGl_z62sqlitezd2execzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31968ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31879ze3ze5zz__sqlite_sqlitez00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32044ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2tablezd2informationsz62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2tablezd2numberzd2ofzd2rowsz62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32045ze3ze5zz__sqlite_sqlitez00(obj_t);
BGL_IMPORT obj_t BGl_objectzd2writezd2zz__objectz00(BgL_objectz00_bglt, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z52sqlitez52zz__sqlite_sqlitez00 = BUNSPEC;
static obj_t BGl_z62z52setupzd2sqlitez12zf0zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_zc3z04exitza31951ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza31925ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2lastzd2insertzd2rowidzb0zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62z42sqlitezd2nilzf2zz__sqlite_sqlitez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2dumpzd2tablez00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__sqlite_sqlitez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__sqlite_sqltinyz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31271ze32195ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62objectzd2writezd2sqlite1229z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2tablezd2namezd2ofzd2columnsz62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32002ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2namezd2ofzd2tableszd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt);
static obj_t BGl_z62sqlitezd2exec1236zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__sqlite_sqlitez00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__sqlite_sqlitez00();
static obj_t BGl_importedzd2moduleszd2initz00zz__sqlite_sqlitez00();
BGL_EXPORTED_DEF obj_t BGl_sqltinyz00zz__sqlite_sqlitez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31805ze3ze5zz__sqlite_sqlitez00(obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62sqlitezd2namezd2ofzd2tableszb0zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31823ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2eval1240zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern void bgl_sqlite_close(void *, obj_t);
static obj_t BGl_z62zc3z04anonymousza31931ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31915ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31916ze3ze5zz__sqlite_sqlitez00(obj_t);
extern obj_t bgl_sqlite_map(void *, obj_t, char *, obj_t);
static obj_t BGl_z62zc3z04anonymousza31918ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 14 ] ;


DEFINE_STRING( BGl_string2314z00zz__sqlite_sqlitez00, BgL_bgl_string2314za700za7za7_2356za7, "", 0 );
DEFINE_STRING( BGl_string2315z00zz__sqlite_sqlitez00, BgL_bgl_string2315za700za7za7_2357za7, ":memory:", 8 );
DEFINE_STRING( BGl_string2317z00zz__sqlite_sqlitez00, BgL_bgl_string2317za700za7za7_2358za7, "sqlite-close1232", 16 );
DEFINE_STRING( BGl_string2319z00zz__sqlite_sqlitez00, BgL_bgl_string2319za700za7za7_2359za7, "sqlite-exec1236", 15 );
DEFINE_STRING( BGl_string2321z00zz__sqlite_sqlitez00, BgL_bgl_string2321za700za7za7_2360za7, "sqlite-eval1240", 15 );
DEFINE_STRING( BGl_string2323z00zz__sqlite_sqlitez00, BgL_bgl_string2323za700za7za7_2361za7, "sqlite-map1244", 14 );
DEFINE_STRING( BGl_string2325z00zz__sqlite_sqlitez00, BgL_bgl_string2325za700za7za7_2362za7, "sqlite-dump-table1248", 21 );
DEFINE_STRING( BGl_string2326z00zz__sqlite_sqlitez00, BgL_bgl_string2326za700za7za7_2363za7, "&sqlite-close", 13 );
DEFINE_STRING( BGl_string2327z00zz__sqlite_sqlitez00, BgL_bgl_string2327za700za7za7_2364za7, "&sqlite-exec", 12 );
DEFINE_STRING( BGl_string2328z00zz__sqlite_sqlitez00, BgL_bgl_string2328za700za7za7_2365za7, "&sqlite-eval", 12 );
DEFINE_STRING( BGl_string2329z00zz__sqlite_sqlitez00, BgL_bgl_string2329za700za7za7_2366za7, "procedure", 9 );
DEFINE_STRING( BGl_string2330z00zz__sqlite_sqlitez00, BgL_bgl_string2330za700za7za7_2367za7, "&sqlite-map", 11 );
DEFINE_STRING( BGl_string2331z00zz__sqlite_sqlitez00, BgL_bgl_string2331za700za7za7_2368za7, "&sqlite-dump-table", 18 );
DEFINE_STRING( BGl_string2333z00zz__sqlite_sqlitez00, BgL_bgl_string2333za700za7za7_2369za7, "object-display", 14 );
DEFINE_STRING( BGl_string2335z00zz__sqlite_sqlitez00, BgL_bgl_string2335za700za7za7_2370za7, "object-write", 12 );
DEFINE_STRING( BGl_string2337z00zz__sqlite_sqlitez00, BgL_bgl_string2337za700za7za7_2371za7, "object-print", 12 );
DEFINE_STRING( BGl_string2339z00zz__sqlite_sqlitez00, BgL_bgl_string2339za700za7za7_2372za7, "sqlite-close", 12 );
DEFINE_STRING( BGl_string2341z00zz__sqlite_sqlitez00, BgL_bgl_string2341za700za7za7_2373za7, "sqlite-exec", 11 );
DEFINE_STRING( BGl_string2343z00zz__sqlite_sqlitez00, BgL_bgl_string2343za700za7za7_2374za7, "sqlite-eval", 11 );
DEFINE_STRING( BGl_string2345z00zz__sqlite_sqlitez00, BgL_bgl_string2345za700za7za7_2375za7, "sqlite-map", 10 );
BGL_IMPORT obj_t BGl_objectzd2writezd2envz00zz__objectz00;
DEFINE_STRING( BGl_string2347z00zz__sqlite_sqlitez00, BgL_bgl_string2347za700za7za7_2376za7, "sqlite-dump-table", 17 );
DEFINE_STRING( BGl_string2348z00zz__sqlite_sqlitez00, BgL_bgl_string2348za700za7za7_2377za7, ".dump ", 6 );
DEFINE_STRING( BGl_string2349z00zz__sqlite_sqlitez00, BgL_bgl_string2349za700za7za7_2378za7, ">", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2260z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2379za7, BGl_z62zc3z04anonymousza31271ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2350z00zz__sqlite_sqlitez00, BgL_bgl_string2350za700za7za7_2380za7, "#<sqlite:", 9 );
DEFINE_STRING( BGl_string2351z00zz__sqlite_sqlitez00, BgL_bgl_string2351za700za7za7_2381za7, "__sqlite_sqlite", 15 );
DEFINE_STRING( BGl_string2352z00zz__sqlite_sqlitez00, BgL_bgl_string2352za700za7za7_2382za7, "automatic _ sqlite $sqlite sqltiny $builtin symbol sync __sqlite_sqlite %sqlite bstring path sqlite-format sqlite-form ", 119 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2265z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2383za7, BGl_z62zc3z04anonymousza31295ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2267z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2384za7, BGl_z62zc3z04anonymousza31271ze32195ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2269z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2385za7, BGl_z62zc3z04anonymousza31302ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2272z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2386za7, BGl_z62zc3z04anonymousza31302ze32196ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52setupzd2sqlitez12zd2envz40zz__sqlite_sqlitez00, BgL_bgl_za762za752setupza7d2sq2387za7, BGl_z62z52setupzd2sqlitez12zf0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2294z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2388za7, BGl_z62zc3z04anonymousza31787ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2295z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1786za7622389z00, BGl_z62lambda1786z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2296z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1785za7622390z00, BGl_z62lambda1785z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2297z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2391za7, BGl_z62zc3z04anonymousza31780ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2298z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1778za7622392z00, BGl_z62lambda1778z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2299z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2393za7, BGl_z62zc3z04anonymousza31805ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2execzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2exec2394z00, va_generic_entry, BGl_z62sqlitezd2execzb0zz__sqlite_sqlitez00, BUNSPEC, -3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2lastzd2insertzd2rowidzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2last2395z00, BGl_z62sqlitezd2lastzd2insertzd2rowidzb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2dumpzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2dump2396z00, BGl_z62sqlitezd2dumpzb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2evalzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2eval2397z00, va_generic_entry, BGl_z62sqlitezd2evalzb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42sqlitezd2nilzd2envz42zz__sqlite_sqlitez00, BgL_bgl_za762za742sqliteza7d2n2398za7, BGl_z62z42sqlitezd2nilzf2zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2tablezd2informationszd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2tabl2399z00, BGl_z62sqlitezd2tablezd2informationsz62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2300z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1804za7622400z00, BGl_z62lambda1804z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2301z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1803za7622401z00, BGl_z62lambda1803z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2302z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2402za7, BGl_z62zc3z04anonymousza31812ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2303z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1811za7622403z00, BGl_z62lambda1811z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2304z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1810za7622404z00, BGl_z62lambda1810z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2305z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2405za7, BGl_z62zc3z04anonymousza31798ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2306z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1796za7622406z00, BGl_z62lambda1796z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2307z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1793za7622407z00, BGl_z62lambda1793z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2308z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2408za7, BGl_z62zc3z04anonymousza31830ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2309z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1829za7622409z00, BGl_z62lambda1829z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2mapzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2mapza72410za7, va_generic_entry, BGl_z62sqlitezd2mapzb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2310z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1828za7622411z00, BGl_z62lambda1828z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2311z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2412za7, BGl_z62zc3z04anonymousza31823ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2312z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1821za7622413z00, BGl_z62lambda1821z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2313z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1818za7622414z00, BGl_z62lambda1818z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2316z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2clos2415z00, BGl_z62sqlitezd2close1232zb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2318z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2exec2416z00, va_generic_entry, BGl_z62sqlitezd2exec1236zb0zz__sqlite_sqlitez00, BUNSPEC, -3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2320z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2eval2417z00, va_generic_entry, BGl_z62sqlitezd2eval1240zb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2322z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2map12418z00, va_generic_entry, BGl_z62sqlitezd2map1244zb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2324z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2dump2419z00, BGl_z62sqlitezd2dumpzd2table1248z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2254z00zz__sqlite_sqlitez00, BgL_bgl_string2254za700za7za7_2420za7, "/builddir/build/BUILD/bigloo-4.3h/api/sqlite/src/Llib/sqlite.scm", 64 );
DEFINE_STRING( BGl_string2255z00zz__sqlite_sqlitez00, BgL_bgl_string2255za700za7za7_2421za7, "&%setup-sqlite!", 15 );
DEFINE_STRING( BGl_string2256z00zz__sqlite_sqlitez00, BgL_bgl_string2256za700za7za7_2422za7, "sqlite", 6 );
DEFINE_STRING( BGl_string2257z00zz__sqlite_sqlitez00, BgL_bgl_string2257za700za7za7_2423za7, "&%setup-sqltiny!", 16 );
DEFINE_STRING( BGl_string2258z00zz__sqlite_sqlitez00, BgL_bgl_string2258za700za7za7_2424za7, "sqltiny", 7 );
DEFINE_STRING( BGl_string2259z00zz__sqlite_sqlitez00, BgL_bgl_string2259za700za7za7_2425za7, "PRAGMA table_info(~a)", 21 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52setupzd2sqltinyz12zd2envz40zz__sqlite_sqlitez00, BgL_bgl_za762za752setupza7d2sq2426za7, BGl_z62z52setupzd2sqltinyz12zf0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2332z00zz__sqlite_sqlitez00, BgL_bgl_za762objectza7d2disp2427z00, va_generic_entry, BGl_z62objectzd2displayzd2sqlit1227z62zz__sqlite_sqlitez00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2334z00zz__sqlite_sqlitez00, BgL_bgl_za762objectza7d2writ2428z00, va_generic_entry, BGl_z62objectzd2writezd2sqlite1229z62zz__sqlite_sqlitez00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2336z00zz__sqlite_sqlitez00, BgL_bgl_za762objectza7d2prin2429z00, BGl_z62objectzd2printzd2sqlite1231z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2261z00zz__sqlite_sqlitez00, BgL_bgl_string2261za700za7za7_2430za7, "&sqlite-table-informations", 26 );
DEFINE_STRING( BGl_string2262z00zz__sqlite_sqlitez00, BgL_bgl_string2262za700za7za7_2431za7, "%sqlite", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2338z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2clos2432z00, BGl_z62sqlitezd2closezd2sqlite1235z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2263z00zz__sqlite_sqlitez00, BgL_bgl_string2263za700za7za7_2433za7, "bstring", 7 );
DEFINE_STRING( BGl_string2264z00zz__sqlite_sqlitez00, BgL_bgl_string2264za700za7za7_2434za7, "SELECT MAX(rowid) FROM ~A", 25 );
DEFINE_STRING( BGl_string2266z00zz__sqlite_sqlitez00, BgL_bgl_string2266za700za7za7_2435za7, "&sqlite-table-number-of-rows", 28 );
DEFINE_STRING( BGl_string2268z00zz__sqlite_sqlitez00, BgL_bgl_string2268za700za7za7_2436za7, "&sqlite-table-name-of-columns", 29 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2340z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2exec2437z00, va_generic_entry, BGl_z62sqlitezd2execzd2sqlite1239z62zz__sqlite_sqlitez00, BUNSPEC, -3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2342z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2eval2438z00, va_generic_entry, BGl_z62sqlitezd2evalzd2sqlite1243z62zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2344z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2mapza72439za7, va_generic_entry, BGl_z62sqlitezd2mapzd2sqlite1247z62zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STRING( BGl_string2270z00zz__sqlite_sqlitez00, BgL_bgl_string2270za700za7za7_2440za7, "SELECT name FROM sqlite_master WHERE type='table'", 49 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2346z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2dump2441z00, BGl_z62sqlitezd2dumpzd2tablezd2sq1251zb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2271z00zz__sqlite_sqlitez00, BgL_bgl_string2271za700za7za7_2442za7, "&sqlite-name-of-tables", 22 );
DEFINE_STRING( BGl_string2273z00zz__sqlite_sqlitez00, BgL_bgl_string2273za700za7za7_2443za7, "&sqlite-dump", 12 );
DEFINE_STRING( BGl_string2274z00zz__sqlite_sqlitez00, BgL_bgl_string2274za700za7za7_2444za7, "output-port", 11 );
DEFINE_STRING( BGl_string2275z00zz__sqlite_sqlitez00, BgL_bgl_string2275za700za7za7_2445za7, ",", 1 );
DEFINE_STRING( BGl_string2276z00zz__sqlite_sqlitez00, BgL_bgl_string2276za700za7za7_2446za7, "Illegal list", 12 );
DEFINE_STRING( BGl_string2277z00zz__sqlite_sqlitez00, BgL_bgl_string2277za700za7za7_2447za7, "Tag not allowd here", 19 );
DEFINE_STRING( BGl_string2278z00zz__sqlite_sqlitez00, BgL_bgl_string2278za700za7za7_2448za7, "Insufficient number of arguments", 32 );
DEFINE_STRING( BGl_string2279z00zz__sqlite_sqlitez00, BgL_bgl_string2279za700za7za7_2449za7, "Illegal char", 12 );
DEFINE_STRING( BGl_string2280z00zz__sqlite_sqlitez00, BgL_bgl_string2280za700za7za7_2450za7, "Illegal number", 14 );
DEFINE_STRING( BGl_string2281z00zz__sqlite_sqlitez00, BgL_bgl_string2281za700za7za7_2451za7, "Illegal tag", 11 );
DEFINE_STRING( BGl_string2282z00zz__sqlite_sqlitez00, BgL_bgl_string2282za700za7za7_2452za7, "#{", 2 );
DEFINE_STRING( BGl_string2283z00zz__sqlite_sqlitez00, BgL_bgl_string2283za700za7za7_2453za7, "}", 1 );
DEFINE_STRING( BGl_string2284z00zz__sqlite_sqlitez00, BgL_bgl_string2284za700za7za7_2454za7, " ", 1 );
DEFINE_STRING( BGl_string2285z00zz__sqlite_sqlitez00, BgL_bgl_string2285za700za7za7_2455za7, "#(", 2 );
DEFINE_STRING( BGl_string2286z00zz__sqlite_sqlitez00, BgL_bgl_string2286za700za7za7_2456za7, ")", 1 );
DEFINE_STRING( BGl_string2287z00zz__sqlite_sqlitez00, BgL_bgl_string2287za700za7za7_2457za7, "(", 1 );
DEFINE_STRING( BGl_string2288z00zz__sqlite_sqlitez00, BgL_bgl_string2288za700za7za7_2458za7, " . ", 3 );
DEFINE_STRING( BGl_string2289z00zz__sqlite_sqlitez00, BgL_bgl_string2289za700za7za7_2459za7, "\"\"", 2 );
DEFINE_STRING( BGl_string2290z00zz__sqlite_sqlitez00, BgL_bgl_string2290za700za7za7_2460za7, "NULL", 4 );
DEFINE_STRING( BGl_string2291z00zz__sqlite_sqlitez00, BgL_bgl_string2291za700za7za7_2461za7, "&sqlite-format", 14 );
DEFINE_STRING( BGl_string2292z00zz__sqlite_sqlitez00, BgL_bgl_string2292za700za7za7_2462za7, "SELECT last_insert_rowid()", 26 );
DEFINE_STRING( BGl_string2293z00zz__sqlite_sqlitez00, BgL_bgl_string2293za700za7za7_2463za7, "&sqlite-last-insert-rowid", 25 );
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2formatzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2form2464z00, va_generic_entry, BGl_z62sqlitezd2formatzb0zz__sqlite_sqlitez00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2closezd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2clos2465z00, BGl_z62sqlitezd2closezb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2tablezd2namezd2ofzd2columnszd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2tabl2466z00, BGl_z62sqlitezd2tablezd2namezd2ofzd2columnsz62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2dumpzd2tablezd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2dump2467z00, BGl_z62sqlitezd2dumpzd2tablez62zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2namezd2ofzd2tableszd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2name2468z00, BGl_z62sqlitezd2namezd2ofzd2tableszb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2tablezd2numberzd2ofzd2rowszd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2tabl2469z00, BGl_z62sqlitezd2tablezd2numberzd2ofzd2rowsz62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__sqlite_sqlitez00) );
ADD_ROOT( (void *)(&BGl_sqlitez00zz__sqlite_sqlitez00) );
ADD_ROOT( (void *)(&BGl_z52sqlitez52zz__sqlite_sqlitez00) );
ADD_ROOT( (void *)(&BGl_sqltinyz00zz__sqlite_sqlitez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__sqlite_sqlitez00(long BgL_checksumz00_2264, char * BgL_fromz00_2265)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__sqlite_sqlitez00))
{ 
BGl_requirezd2initializa7ationz75zz__sqlite_sqlitez00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__sqlite_sqlitez00(); 
BGl_libraryzd2moduleszd2initz00zz__sqlite_sqlitez00(); 
BGl_cnstzd2initzd2zz__sqlite_sqlitez00(); 
BGl_importedzd2moduleszd2initz00zz__sqlite_sqlitez00(); 
BGl_objectzd2initzd2zz__sqlite_sqlitez00(); 
BGl_genericzd2initzd2zz__sqlite_sqlitez00(); 
BGl_methodzd2initzd2zz__sqlite_sqlitez00(); 
return 
BGl_toplevelzd2initzd2zz__sqlite_sqlitez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__sqlite_sqlitez00()
{
{ /* Llib/sqlite.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__sqlite_sqlite"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__sqlite_sqlitez00()
{
{ /* Llib/sqlite.scm 15 */
{ /* Llib/sqlite.scm 15 */
obj_t BgL_cportz00_2080;
{ /* Llib/sqlite.scm 15 */
obj_t BgL_stringz00_2088;
BgL_stringz00_2088 = BGl_string2352z00zz__sqlite_sqlitez00; 
{ /* Llib/sqlite.scm 15 */
obj_t BgL_startz00_2089;
BgL_startz00_2089 = 
BINT(((long)0)); 
{ /* Llib/sqlite.scm 15 */
obj_t BgL_endz00_2090;
BgL_endz00_2090 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2088))); 
{ /* Llib/sqlite.scm 15 */

BgL_cportz00_2080 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2088, BgL_startz00_2089, BgL_endz00_2090); } } } } 
{ 
long BgL_iz00_2081;
BgL_iz00_2081 = ((long)13); 
BgL_loopz00_2082:
if(
(BgL_iz00_2081==((long)-1)))
{ /* Llib/sqlite.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/sqlite.scm 15 */
{ /* Llib/sqlite.scm 15 */
obj_t BgL_arg2354z00_2084;
{ /* Llib/sqlite.scm 15 */

{ /* Llib/sqlite.scm 15 */
obj_t BgL_locationz00_2086;
BgL_locationz00_2086 = 
BBOOL(((bool_t)0)); 
{ /* Llib/sqlite.scm 15 */

BgL_arg2354z00_2084 = 
BGl_readz00zz__readerz00(BgL_cportz00_2080, BgL_locationz00_2086); } } } 
{ /* Llib/sqlite.scm 15 */
int BgL_tmpz00_2303;
BgL_tmpz00_2303 = 
(int)(BgL_iz00_2081); 
CNST_TABLE_SET(BgL_tmpz00_2303, BgL_arg2354z00_2084); } } 
{ /* Llib/sqlite.scm 15 */
int BgL_auxz00_2087;
BgL_auxz00_2087 = 
(int)(
(BgL_iz00_2081-((long)1))); 
{ 
long BgL_iz00_2308;
BgL_iz00_2308 = 
(long)(BgL_auxz00_2087); 
BgL_iz00_2081 = BgL_iz00_2308; 
goto BgL_loopz00_2082;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__sqlite_sqlitez00()
{
{ /* Llib/sqlite.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__sqlite_sqlitez00()
{
{ /* Llib/sqlite.scm 15 */
return BUNSPEC;} 

}



/* $sqlite-nil */
BGL_EXPORTED_DEF obj_t BGl_z42sqlitezd2nilz90zz__sqlite_sqlitez00()
{
{ /* Llib/sqlite.scm 67 */
return 
void_star_to_obj(
(0L));} 

}



/* &$sqlite-nil */
obj_t BGl_z62z42sqlitezd2nilzf2zz__sqlite_sqlitez00(obj_t BgL_envz00_1560)
{
{ /* Llib/sqlite.scm 67 */
return 
BGl_z42sqlitezd2nilz90zz__sqlite_sqlitez00();} 

}



/* %setup-sqlite! */
BGL_EXPORTED_DEF obj_t BGl_z52setupzd2sqlitez12z92zz__sqlite_sqlitez00(BgL_sqlitez00_bglt BgL_oz00_10)
{
{ /* Llib/sqlite.scm 97 */
{ 
void * BgL_auxz00_2314;
{ /* Llib/sqlite.scm 101 */
obj_t BgL_arg1265z00_1029;
BgL_arg1265z00_1029 = 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_10)))->BgL_pathz00); 
BgL_auxz00_2314 = 
bgl_sqlite_open(
BSTRING_TO_STRING(BgL_arg1265z00_1029)); } 
return 
((((BgL_sqlitez00_bglt)COBJECT(BgL_oz00_10))->BgL_z42builtinz42)=((void *)BgL_auxz00_2314),BUNSPEC);} } 

}



/* &%setup-sqlite! */
obj_t BGl_z62z52setupzd2sqlitez12zf0zz__sqlite_sqlitez00(obj_t BgL_envz00_1561, obj_t BgL_oz00_1562)
{
{ /* Llib/sqlite.scm 97 */
{ /* Llib/sqlite.scm 100 */
BgL_sqlitez00_bglt BgL_auxz00_2320;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1562, BGl_sqlitez00zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 100 */
BgL_auxz00_2320 = 
((BgL_sqlitez00_bglt)BgL_oz00_1562)
; }  else 
{ 
obj_t BgL_auxz00_2324;
BgL_auxz00_2324 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)4214)), BGl_string2255z00zz__sqlite_sqlitez00, BGl_string2256z00zz__sqlite_sqlitez00, BgL_oz00_1562); 
FAILURE(BgL_auxz00_2324,BFALSE,BFALSE);} 
return 
BGl_z52setupzd2sqlitez12z92zz__sqlite_sqlitez00(BgL_auxz00_2320);} } 

}



/* %setup-sqltiny! */
BGL_EXPORTED_DEF obj_t BGl_z52setupzd2sqltinyz12z92zz__sqlite_sqlitez00(BgL_sqltinyz00_bglt BgL_oz00_11)
{
{ /* Llib/sqlite.scm 109 */
{ 
BgL_z42sqltinyz42_bglt BgL_auxz00_2329;
{ /* Llib/sqlite.scm 111 */
obj_t BgL_arg1266z00_1031;obj_t BgL_arg1267z00_1032;
BgL_arg1266z00_1031 = 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_11)))->BgL_pathz00); 
BgL_arg1267z00_1032 = 
(((BgL_sqltinyz00_bglt)COBJECT(BgL_oz00_11))->BgL_syncz00); 
BgL_auxz00_2329 = 
BGl_z42sqltinyzd2openz90zz__sqlite_sqltinyz00(BgL_arg1266z00_1031, BgL_arg1267z00_1032); } 
return 
((((BgL_sqltinyz00_bglt)COBJECT(BgL_oz00_11))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)BgL_auxz00_2329),BUNSPEC);} } 

}



/* &%setup-sqltiny! */
obj_t BGl_z62z52setupzd2sqltinyz12zf0zz__sqlite_sqlitez00(obj_t BgL_envz00_1563, obj_t BgL_oz00_1564)
{
{ /* Llib/sqlite.scm 109 */
{ /* Llib/sqlite.scm 110 */
BgL_sqltinyz00_bglt BgL_auxz00_2335;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1564, BGl_sqltinyz00zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 110 */
BgL_auxz00_2335 = 
((BgL_sqltinyz00_bglt)BgL_oz00_1564)
; }  else 
{ 
obj_t BgL_auxz00_2339;
BgL_auxz00_2339 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)4669)), BGl_string2257z00zz__sqlite_sqlitez00, BGl_string2258z00zz__sqlite_sqlitez00, BgL_oz00_1564); 
FAILURE(BgL_auxz00_2339,BFALSE,BFALSE);} 
return 
BGl_z52setupzd2sqltinyz12z92zz__sqlite_sqlitez00(BgL_auxz00_2335);} } 

}



/* sqlite-table-informations */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2tablezd2informationsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_36, obj_t BgL_namez00_37)
{
{ /* Llib/sqlite.scm 210 */
{ /* Llib/sqlite.scm 212 */
obj_t BgL_arg1269z00_1033;
{ /* Llib/sqlite.scm 213 */
obj_t BgL_list1272z00_1034;
BgL_list1272z00_1034 = 
MAKE_YOUNG_PAIR(BgL_namez00_37, BNIL); 
BgL_arg1269z00_1033 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2259z00zz__sqlite_sqlitez00, BgL_list1272z00_1034); } 
return 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_dbz00_36, BGl_proc2260z00zz__sqlite_sqlitez00, BgL_arg1269z00_1033, BNIL);} } 

}



/* &sqlite-table-informations */
obj_t BGl_z62sqlitezd2tablezd2informationsz62zz__sqlite_sqlitez00(obj_t BgL_envz00_1566, obj_t BgL_dbz00_1567, obj_t BgL_namez00_1568)
{
{ /* Llib/sqlite.scm 210 */
{ /* Llib/sqlite.scm 212 */
obj_t BgL_auxz00_2355;BgL_z52sqlitez52_bglt BgL_auxz00_2347;
if(
STRINGP(BgL_namez00_1568))
{ /* Llib/sqlite.scm 212 */
BgL_auxz00_2355 = BgL_namez00_1568
; }  else 
{ 
obj_t BgL_auxz00_2358;
BgL_auxz00_2358 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)8786)), BGl_string2261z00zz__sqlite_sqlitez00, BGl_string2263z00zz__sqlite_sqlitez00, BgL_namez00_1568); 
FAILURE(BgL_auxz00_2358,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1567, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 212 */
BgL_auxz00_2347 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1567)
; }  else 
{ 
obj_t BgL_auxz00_2351;
BgL_auxz00_2351 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)8786)), BGl_string2261z00zz__sqlite_sqlitez00, BGl_string2262z00zz__sqlite_sqlitez00, BgL_dbz00_1567); 
FAILURE(BgL_auxz00_2351,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2tablezd2informationsz00zz__sqlite_sqlitez00(BgL_auxz00_2347, BgL_auxz00_2355);} } 

}



/* &<@anonymous:1271> */
obj_t BGl_z62zc3z04anonymousza31271ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1569, obj_t BgL_xz00_1570, obj_t BgL_yz00_1571)
{
{ /* Llib/sqlite.scm 212 */
return BgL_yz00_1571;} 

}



/* sqlite-table-number-of-rows */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2tablezd2numberzd2ofzd2rowsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_38, obj_t BgL_namez00_39)
{
{ /* Llib/sqlite.scm 218 */
{ /* Llib/sqlite.scm 220 */
obj_t BgL_arg1293z00_76;
{ /* Llib/sqlite.scm 221 */
obj_t BgL_list1296z00_80;
BgL_list1296z00_80 = 
MAKE_YOUNG_PAIR(BgL_namez00_39, BNIL); 
BgL_arg1293z00_76 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2264z00zz__sqlite_sqlitez00, BgL_list1296z00_80); } 
return 
BGl_sqlitezd2evalzd2zz__sqlite_sqlitez00(BgL_dbz00_38, BGl_proc2265z00zz__sqlite_sqlitez00, BgL_arg1293z00_76, BNIL);} } 

}



/* &sqlite-table-number-of-rows */
obj_t BGl_z62sqlitezd2tablezd2numberzd2ofzd2rowsz62zz__sqlite_sqlitez00(obj_t BgL_envz00_1573, obj_t BgL_dbz00_1574, obj_t BgL_namez00_1575)
{
{ /* Llib/sqlite.scm 218 */
{ /* Llib/sqlite.scm 220 */
obj_t BgL_auxz00_2374;BgL_z52sqlitez52_bglt BgL_auxz00_2366;
if(
STRINGP(BgL_namez00_1575))
{ /* Llib/sqlite.scm 220 */
BgL_auxz00_2374 = BgL_namez00_1575
; }  else 
{ 
obj_t BgL_auxz00_2377;
BgL_auxz00_2377 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)9143)), BGl_string2266z00zz__sqlite_sqlitez00, BGl_string2263z00zz__sqlite_sqlitez00, BgL_namez00_1575); 
FAILURE(BgL_auxz00_2377,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1574, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 220 */
BgL_auxz00_2366 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1574)
; }  else 
{ 
obj_t BgL_auxz00_2370;
BgL_auxz00_2370 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)9143)), BGl_string2266z00zz__sqlite_sqlitez00, BGl_string2262z00zz__sqlite_sqlitez00, BgL_dbz00_1574); 
FAILURE(BgL_auxz00_2370,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2tablezd2numberzd2ofzd2rowsz00zz__sqlite_sqlitez00(BgL_auxz00_2366, BgL_auxz00_2374);} } 

}



/* &<@anonymous:1295> */
obj_t BGl_z62zc3z04anonymousza31295ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1576, obj_t BgL_xz00_1577)
{
{ /* Llib/sqlite.scm 220 */
{ /* Llib/sqlite.scm 220 */
long BgL_tmpz00_2382;
{ /* Llib/sqlite.scm 220 */
char * BgL_tmpz00_2383;
BgL_tmpz00_2383 = 
BSTRING_TO_STRING(BgL_xz00_1577); 
BgL_tmpz00_2382 = 
BGL_STRTOL(BgL_tmpz00_2383, ((long)0), ((long)10)); } 
return 
BINT(BgL_tmpz00_2382);} } 

}



/* sqlite-table-name-of-columns */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2tablezd2namezd2ofzd2columnsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_40, obj_t BgL_namez00_41)
{
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 212 */
obj_t BgL_arg1269z00_1041;
{ /* Llib/sqlite.scm 213 */
obj_t BgL_list1272z00_1042;
BgL_list1272z00_1042 = 
MAKE_YOUNG_PAIR(BgL_namez00_41, BNIL); 
BgL_arg1269z00_1041 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2259z00zz__sqlite_sqlitez00, BgL_list1272z00_1042); } 
return 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_dbz00_40, BGl_proc2267z00zz__sqlite_sqlitez00, BgL_arg1269z00_1041, BNIL);} } 

}



/* &sqlite-table-name-of-columns */
obj_t BGl_z62sqlitezd2tablezd2namezd2ofzd2columnsz62zz__sqlite_sqlitez00(obj_t BgL_envz00_1579, obj_t BgL_dbz00_1580, obj_t BgL_namez00_1581)
{
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 227 */
obj_t BgL_auxz00_2398;BgL_z52sqlitez52_bglt BgL_auxz00_2390;
if(
STRINGP(BgL_namez00_1581))
{ /* Llib/sqlite.scm 227 */
BgL_auxz00_2398 = BgL_namez00_1581
; }  else 
{ 
obj_t BgL_auxz00_2401;
BgL_auxz00_2401 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)9499)), BGl_string2268z00zz__sqlite_sqlitez00, BGl_string2263z00zz__sqlite_sqlitez00, BgL_namez00_1581); 
FAILURE(BgL_auxz00_2401,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1580, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 227 */
BgL_auxz00_2390 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1580)
; }  else 
{ 
obj_t BgL_auxz00_2394;
BgL_auxz00_2394 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)9499)), BGl_string2268z00zz__sqlite_sqlitez00, BGl_string2262z00zz__sqlite_sqlitez00, BgL_dbz00_1580); 
FAILURE(BgL_auxz00_2394,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2tablezd2namezd2ofzd2columnsz00zz__sqlite_sqlitez00(BgL_auxz00_2390, BgL_auxz00_2398);} } 

}



/* &<@anonymous:1271>2195 */
obj_t BGl_z62zc3z04anonymousza31271ze32195ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1582, obj_t BgL_xz00_1583, obj_t BgL_yz00_1584)
{
{ /* Llib/sqlite.scm 212 */
return BgL_yz00_1584;} 

}



/* sqlite-name-of-tables */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2namezd2ofzd2tableszd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_42)
{
{ /* Llib/sqlite.scm 232 */
return 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_dbz00_42, BGl_proc2269z00zz__sqlite_sqlitez00, BGl_string2270z00zz__sqlite_sqlitez00, BNIL);} 

}



/* &sqlite-name-of-tables */
obj_t BGl_z62sqlitezd2namezd2ofzd2tableszb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1586, obj_t BgL_dbz00_1587)
{
{ /* Llib/sqlite.scm 232 */
{ /* Llib/sqlite.scm 234 */
BgL_z52sqlitez52_bglt BgL_auxz00_2407;
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1587, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 234 */
BgL_auxz00_2407 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1587)
; }  else 
{ 
obj_t BgL_auxz00_2411;
BgL_auxz00_2411 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)9818)), BGl_string2271z00zz__sqlite_sqlitez00, BGl_string2262z00zz__sqlite_sqlitez00, BgL_dbz00_1587); 
FAILURE(BgL_auxz00_2411,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2namezd2ofzd2tableszd2zz__sqlite_sqlitez00(BgL_auxz00_2407);} } 

}



/* &<@anonymous:1302> */
obj_t BGl_z62zc3z04anonymousza31302ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1588, obj_t BgL_xz00_1589)
{
{ /* Llib/sqlite.scm 234 */
return BgL_xz00_1589;} 

}



/* sqlite-dump */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2dumpzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_43, obj_t BgL_outz00_44)
{
{ /* Llib/sqlite.scm 240 */
{ /* Llib/sqlite.scm 241 */
obj_t BgL_g1219z00_87;
BgL_g1219z00_87 = 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_dbz00_43, BGl_proc2272z00zz__sqlite_sqlitez00, BGl_string2270z00zz__sqlite_sqlitez00, BNIL); 
{ 
obj_t BgL_l1217z00_89;
{ /* Llib/sqlite.scm 243 */
bool_t BgL_tmpz00_2417;
BgL_l1217z00_89 = BgL_g1219z00_87; 
BgL_zc3z04anonymousza31303ze3z87_90:
if(
PAIRP(BgL_l1217z00_89))
{ /* Llib/sqlite.scm 243 */
BGl_sqlitezd2dumpzd2tablez00zz__sqlite_sqlitez00(BgL_dbz00_43, 
CAR(BgL_l1217z00_89), BgL_outz00_44); 
{ 
obj_t BgL_l1217z00_2422;
BgL_l1217z00_2422 = 
CDR(BgL_l1217z00_89); 
BgL_l1217z00_89 = BgL_l1217z00_2422; 
goto BgL_zc3z04anonymousza31303ze3z87_90;} }  else 
{ /* Llib/sqlite.scm 243 */
BgL_tmpz00_2417 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_2417);} } } } 

}



/* &sqlite-dump */
obj_t BGl_z62sqlitezd2dumpzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1591, obj_t BgL_dbz00_1592, obj_t BgL_outz00_1593)
{
{ /* Llib/sqlite.scm 240 */
{ /* Llib/sqlite.scm 241 */
obj_t BgL_auxz00_2433;BgL_z52sqlitez52_bglt BgL_auxz00_2425;
if(
OUTPUT_PORTP(BgL_outz00_1593))
{ /* Llib/sqlite.scm 241 */
BgL_auxz00_2433 = BgL_outz00_1593
; }  else 
{ 
obj_t BgL_auxz00_2436;
BgL_auxz00_2436 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)10170)), BGl_string2273z00zz__sqlite_sqlitez00, BGl_string2274z00zz__sqlite_sqlitez00, BgL_outz00_1593); 
FAILURE(BgL_auxz00_2436,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1592, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 241 */
BgL_auxz00_2425 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1592)
; }  else 
{ 
obj_t BgL_auxz00_2429;
BgL_auxz00_2429 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)10170)), BGl_string2273z00zz__sqlite_sqlitez00, BGl_string2262z00zz__sqlite_sqlitez00, BgL_dbz00_1592); 
FAILURE(BgL_auxz00_2429,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2dumpzd2zz__sqlite_sqlitez00(BgL_auxz00_2425, BgL_auxz00_2433);} } 

}



/* &<@anonymous:1302>2196 */
obj_t BGl_z62zc3z04anonymousza31302ze32196ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1594, obj_t BgL_xz00_1595)
{
{ /* Llib/sqlite.scm 234 */
return BgL_xz00_1595;} 

}



/* sqlite-format */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(obj_t BgL_fmtz00_51, obj_t BgL_objsz00_52)
{
{ /* Llib/sqlite.scm 261 */
{ /* Llib/sqlite.scm 262 */
obj_t BgL_pz00_95;long BgL_lenz00_96;
{ /* Llib/sqlite.scm 262 */

{ /* Llib/sqlite.scm 262 */

BgL_pz00_95 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_lenz00_96 = 
STRING_LENGTH(BgL_fmtz00_51); 
{ 
long BgL_iz00_98;obj_t BgL_osz00_99;
BgL_iz00_98 = ((long)0); 
BgL_osz00_99 = BgL_objsz00_52; 
BgL_zc3z04anonymousza31326ze3z87_100:
{ 
obj_t BgL_objz00_233;obj_t BgL_pz00_234;
if(
(BgL_iz00_98<BgL_lenz00_96))
{ /* Llib/sqlite.scm 377 */
unsigned char BgL_cz00_110;
BgL_cz00_110 = 
STRING_REF(BgL_fmtz00_51, BgL_iz00_98); 
if(
(BgL_cz00_110==((unsigned char)'~')))
{ /* Llib/sqlite.scm 378 */
if(
(BgL_iz00_98==
(BgL_lenz00_96-((long)1))))
{ /* Llib/sqlite.scm 382 */
obj_t BgL_arg1341z00_114;
BgL_arg1341z00_114 = 
c_substring(BgL_fmtz00_51, BgL_iz00_98, BgL_lenz00_96); 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2277z00zz__sqlite_sqlitez00, BgL_arg1341z00_114);}  else 
{ /* Llib/sqlite.scm 383 */
unsigned char BgL_fz00_115;
BgL_fz00_115 = 
STRING_REF(BgL_fmtz00_51, 
(BgL_iz00_98+((long)1))); 
switch( BgL_fz00_115) { case ((unsigned char)'a') : 
case ((unsigned char)'A') : 

{ /* Llib/sqlite.scm 386 */
obj_t BgL_arg1378z00_119;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1378z00_119 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2278z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1378z00_119 = 
CAR(
((obj_t)BgL_osz00_99)); } 
bgl_display_obj(BgL_arg1378z00_119, BgL_pz00_95); } 
{ /* Llib/sqlite.scm 387 */
long BgL_arg1379z00_120;obj_t BgL_arg1422z00_121;
BgL_arg1379z00_120 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1422z00_121 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
obj_t BgL_osz00_2468;long BgL_iz00_2467;
BgL_iz00_2467 = BgL_arg1379z00_120; 
BgL_osz00_2468 = BgL_arg1422z00_121; 
BgL_osz00_99 = BgL_osz00_2468; 
BgL_iz00_98 = BgL_iz00_2467; 
goto BgL_zc3z04anonymousza31326ze3z87_100;} } break;case ((unsigned char)'q') : 
case ((unsigned char)'Q') : 

{ /* Llib/sqlite.scm 389 */
obj_t BgL_arg1423z00_122;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1423z00_122 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2278z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1423z00_122 = 
CAR(
((obj_t)BgL_osz00_99)); } 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1423z00_122, BgL_pz00_95, ((long)0)); } 
{ /* Llib/sqlite.scm 390 */
long BgL_arg1502z00_123;obj_t BgL_arg1503z00_124;
BgL_arg1502z00_123 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1503z00_124 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
obj_t BgL_osz00_2481;long BgL_iz00_2480;
BgL_iz00_2480 = BgL_arg1502z00_123; 
BgL_osz00_2481 = BgL_arg1503z00_124; 
BgL_osz00_99 = BgL_osz00_2481; 
BgL_iz00_98 = BgL_iz00_2480; 
goto BgL_zc3z04anonymousza31326ze3z87_100;} } break;case ((unsigned char)'l') : 
case ((unsigned char)'L') : 

{ /* Llib/sqlite.scm 392 */
obj_t BgL_arg1508z00_125;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1508z00_125 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2278z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1508z00_125 = 
CAR(
((obj_t)BgL_osz00_99)); } 
BgL_objz00_233 = BgL_arg1508z00_125; 
BgL_pz00_234 = BgL_pz00_95; 
if(
NULLP(BgL_objz00_233))
{ /* Llib/sqlite.scm 340 */BUNSPEC; }  else 
{ /* Llib/sqlite.scm 340 */
if(
PAIRP(BgL_objz00_233))
{ /* Llib/sqlite.scm 342 */
if(
NULLP(
CDR(BgL_objz00_233)))
{ /* Llib/sqlite.scm 344 */
bgl_display_obj(
CAR(BgL_objz00_233), BgL_pz00_234); }  else 
{ 
obj_t BgL_oz00_242;
BgL_oz00_242 = BgL_objz00_233; 
BgL_zc3z04anonymousza31725ze3z87_243:
{ /* Llib/sqlite.scm 349 */
bool_t BgL_test2493z00_2498;
{ /* Llib/sqlite.scm 349 */
obj_t BgL_tmpz00_2499;
BgL_tmpz00_2499 = 
CDR(
((obj_t)BgL_oz00_242)); 
BgL_test2493z00_2498 = 
PAIRP(BgL_tmpz00_2499); } 
if(BgL_test2493z00_2498)
{ /* Llib/sqlite.scm 349 */
{ /* Llib/sqlite.scm 350 */
obj_t BgL_arg1739z00_246;
BgL_arg1739z00_246 = 
CAR(
((obj_t)BgL_oz00_242)); 
bgl_display_obj(BgL_arg1739z00_246, BgL_pz00_234); } 
bgl_display_string(BGl_string2275z00zz__sqlite_sqlitez00, BgL_pz00_234); 
{ /* Llib/sqlite.scm 352 */
obj_t BgL_arg1748z00_247;
BgL_arg1748z00_247 = 
CDR(
((obj_t)BgL_oz00_242)); 
{ 
obj_t BgL_oz00_2509;
BgL_oz00_2509 = BgL_arg1748z00_247; 
BgL_oz00_242 = BgL_oz00_2509; 
goto BgL_zc3z04anonymousza31725ze3z87_243;} } }  else 
{ /* Llib/sqlite.scm 349 */
if(
NULLP(
CDR(
((obj_t)BgL_oz00_242))))
{ /* Llib/sqlite.scm 354 */
obj_t BgL_arg1752z00_250;
BgL_arg1752z00_250 = 
CAR(
((obj_t)BgL_oz00_242)); 
bgl_display_obj(BgL_arg1752z00_250, BgL_pz00_234); }  else 
{ /* Llib/sqlite.scm 353 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)0)), BGl_string2276z00zz__sqlite_sqlitez00, BgL_objz00_233); } } } } }  else 
{ /* Llib/sqlite.scm 342 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2276z00zz__sqlite_sqlitez00, BgL_objz00_233); } } } 
{ /* Llib/sqlite.scm 393 */
long BgL_arg1514z00_126;obj_t BgL_arg1521z00_127;
BgL_arg1514z00_126 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1521z00_127 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
obj_t BgL_osz00_2525;long BgL_iz00_2524;
BgL_iz00_2524 = BgL_arg1514z00_126; 
BgL_osz00_2525 = BgL_arg1521z00_127; 
BgL_osz00_99 = BgL_osz00_2525; 
BgL_iz00_98 = BgL_iz00_2524; 
goto BgL_zc3z04anonymousza31326ze3z87_100;} } break;case ((unsigned char)'k') : 
case ((unsigned char)'K') : 

{ /* Llib/sqlite.scm 395 */
obj_t BgL_arg1522z00_128;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1522z00_128 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2278z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1522z00_128 = 
CAR(
((obj_t)BgL_osz00_99)); } 
BGl_displayzd2sqlitezd2quotezd2listze70z35zz__sqlite_sqlitez00(BgL_arg1522z00_128, BgL_pz00_95); } 
{ /* Llib/sqlite.scm 396 */
long BgL_arg1538z00_129;obj_t BgL_arg1541z00_130;
BgL_arg1538z00_129 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1541z00_130 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
obj_t BgL_osz00_2538;long BgL_iz00_2537;
BgL_iz00_2537 = BgL_arg1538z00_129; 
BgL_osz00_2538 = BgL_arg1541z00_130; 
BgL_osz00_99 = BgL_osz00_2538; 
BgL_iz00_98 = BgL_iz00_2537; 
goto BgL_zc3z04anonymousza31326ze3z87_100;} } break;case ((unsigned char)'s') : 
case ((unsigned char)'S') : 

{ /* Llib/sqlite.scm 398 */
obj_t BgL_arg1542z00_131;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1542z00_131 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2278z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1542z00_131 = 
CAR(
((obj_t)BgL_osz00_99)); } 
{ /* Llib/sqlite.scm 398 */
obj_t BgL_list1543z00_132;
BgL_list1543z00_132 = 
MAKE_YOUNG_PAIR(BgL_pz00_95, BNIL); 
BGl_writez00zz__r4_output_6_10_3z00(BgL_arg1542z00_131, BgL_list1543z00_132); } } 
{ /* Llib/sqlite.scm 399 */
long BgL_arg1554z00_133;obj_t BgL_arg1555z00_134;
BgL_arg1554z00_133 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1555z00_134 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
obj_t BgL_osz00_2552;long BgL_iz00_2551;
BgL_iz00_2551 = BgL_arg1554z00_133; 
BgL_osz00_2552 = BgL_arg1555z00_134; 
BgL_osz00_99 = BgL_osz00_2552; 
BgL_iz00_98 = BgL_iz00_2551; 
goto BgL_zc3z04anonymousza31326ze3z87_100;} } break;case ((unsigned char)'v') : 
case ((unsigned char)'V') : 

{ /* Llib/sqlite.scm 401 */
obj_t BgL_arg1556z00_135;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1556z00_135 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2278z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1556z00_135 = 
CAR(
((obj_t)BgL_osz00_99)); } 
bgl_display_obj(BgL_arg1556z00_135, BgL_pz00_95); } 
bgl_display_char(((unsigned char)10), BgL_pz00_95); 
{ /* Llib/sqlite.scm 403 */
long BgL_arg1557z00_136;obj_t BgL_arg1558z00_137;
BgL_arg1557z00_136 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1558z00_137 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
obj_t BgL_osz00_2566;long BgL_iz00_2565;
BgL_iz00_2565 = BgL_arg1557z00_136; 
BgL_osz00_2566 = BgL_arg1558z00_137; 
BgL_osz00_99 = BgL_osz00_2566; 
BgL_iz00_98 = BgL_iz00_2565; 
goto BgL_zc3z04anonymousza31326ze3z87_100;} } break;case ((unsigned char)'c') : 
case ((unsigned char)'C') : 

{ /* Llib/sqlite.scm 405 */
obj_t BgL_oz00_138;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_oz00_138 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2278z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_oz00_138 = 
CAR(
((obj_t)BgL_osz00_99)); } 
if(
CHARP(BgL_oz00_138))
{ /* Llib/sqlite.scm 406 */
{ /* Llib/sqlite.scm 409 */
unsigned char BgL_tmpz00_2576;
BgL_tmpz00_2576 = 
CCHAR(BgL_oz00_138); 
bgl_display_char(BgL_tmpz00_2576, BgL_pz00_95); } 
{ /* Llib/sqlite.scm 410 */
long BgL_arg1573z00_140;obj_t BgL_arg1574z00_141;
BgL_arg1573z00_140 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1574z00_141 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
obj_t BgL_osz00_2583;long BgL_iz00_2582;
BgL_iz00_2582 = BgL_arg1573z00_140; 
BgL_osz00_2583 = BgL_arg1574z00_141; 
BgL_osz00_99 = BgL_osz00_2583; 
BgL_iz00_98 = BgL_iz00_2582; 
goto BgL_zc3z04anonymousza31326ze3z87_100;} } }  else 
{ /* Llib/sqlite.scm 406 */
return 
BGl_errorz00zz__errorz00(BGl_sqlitezd2formatzd2envz00zz__sqlite_sqlitez00, BGl_string2279z00zz__sqlite_sqlitez00, BgL_oz00_138);} } break;case ((unsigned char)'x') : 
case ((unsigned char)'X') : 

{ /* Llib/sqlite.scm 412 */
obj_t BgL_arg1575z00_142;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1575z00_142 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2278z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1575z00_142 = 
CAR(
((obj_t)BgL_osz00_99)); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_arg1575z00_142))
{ /* Llib/sqlite.scm 271 */
bgl_display_obj(
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg1575z00_142, 
BINT(((long)16))), BgL_pz00_95); }  else 
{ /* Llib/sqlite.scm 271 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2280z00zz__sqlite_sqlitez00, BgL_arg1575z00_142); } } 
{ /* Llib/sqlite.scm 413 */
long BgL_arg1587z00_143;obj_t BgL_arg1588z00_144;
BgL_arg1587z00_143 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1588z00_144 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
obj_t BgL_osz00_2603;long BgL_iz00_2602;
BgL_iz00_2602 = BgL_arg1587z00_143; 
BgL_osz00_2603 = BgL_arg1588z00_144; 
BgL_osz00_99 = BgL_osz00_2603; 
BgL_iz00_98 = BgL_iz00_2602; 
goto BgL_zc3z04anonymousza31326ze3z87_100;} } break;case ((unsigned char)'o') : 
case ((unsigned char)'O') : 

{ /* Llib/sqlite.scm 415 */
obj_t BgL_arg1589z00_145;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1589z00_145 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2278z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1589z00_145 = 
CAR(
((obj_t)BgL_osz00_99)); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_arg1589z00_145))
{ /* Llib/sqlite.scm 271 */
bgl_display_obj(
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg1589z00_145, 
BINT(((long)8))), BgL_pz00_95); }  else 
{ /* Llib/sqlite.scm 271 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2280z00zz__sqlite_sqlitez00, BgL_arg1589z00_145); } } 
{ /* Llib/sqlite.scm 416 */
long BgL_arg1607z00_146;obj_t BgL_arg1612z00_147;
BgL_arg1607z00_146 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1612z00_147 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
obj_t BgL_osz00_2622;long BgL_iz00_2621;
BgL_iz00_2621 = BgL_arg1607z00_146; 
BgL_osz00_2622 = BgL_arg1612z00_147; 
BgL_osz00_99 = BgL_osz00_2622; 
BgL_iz00_98 = BgL_iz00_2621; 
goto BgL_zc3z04anonymousza31326ze3z87_100;} } break;case ((unsigned char)'b') : 
case ((unsigned char)'B') : 

{ /* Llib/sqlite.scm 418 */
obj_t BgL_arg1617z00_148;
if(
NULLP(BgL_osz00_99))
{ /* Llib/sqlite.scm 267 */
BgL_arg1617z00_148 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2278z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115)); }  else 
{ /* Llib/sqlite.scm 267 */
BgL_arg1617z00_148 = 
CAR(
((obj_t)BgL_osz00_99)); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_arg1617z00_148))
{ /* Llib/sqlite.scm 271 */
bgl_display_obj(
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg1617z00_148, 
BINT(((long)2))), BgL_pz00_95); }  else 
{ /* Llib/sqlite.scm 271 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2280z00zz__sqlite_sqlitez00, BgL_arg1617z00_148); } } 
{ /* Llib/sqlite.scm 419 */
long BgL_arg1619z00_149;obj_t BgL_arg1620z00_150;
BgL_arg1619z00_149 = 
(BgL_iz00_98+((long)2)); 
BgL_arg1620z00_150 = 
CDR(
((obj_t)BgL_osz00_99)); 
{ 
obj_t BgL_osz00_2641;long BgL_iz00_2640;
BgL_iz00_2640 = BgL_arg1619z00_149; 
BgL_osz00_2641 = BgL_arg1620z00_150; 
BgL_osz00_99 = BgL_osz00_2641; 
BgL_iz00_98 = BgL_iz00_2640; 
goto BgL_zc3z04anonymousza31326ze3z87_100;} } break;case ((unsigned char)'%') : 
case ((unsigned char)'n') : 

bgl_display_char(((unsigned char)10), BgL_pz00_95); 
{ 
long BgL_iz00_2643;
BgL_iz00_2643 = 
(BgL_iz00_98+((long)2)); 
BgL_iz00_98 = BgL_iz00_2643; 
goto BgL_zc3z04anonymousza31326ze3z87_100;} break;case ((unsigned char)'r') : 

bgl_display_char(((unsigned char)13), BgL_pz00_95); 
{ 
long BgL_iz00_2646;
BgL_iz00_2646 = 
(BgL_iz00_98+((long)2)); 
BgL_iz00_98 = BgL_iz00_2646; 
goto BgL_zc3z04anonymousza31326ze3z87_100;} break;case ((unsigned char)'~') : 

bgl_display_char(((unsigned char)'~'), BgL_pz00_95); 
{ 
long BgL_iz00_2649;
BgL_iz00_2649 = 
(BgL_iz00_98+((long)2)); 
BgL_iz00_98 = BgL_iz00_2649; 
goto BgL_zc3z04anonymousza31326ze3z87_100;} break;
default: 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2281z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_115));} } }  else 
{ /* Llib/sqlite.scm 378 */
bgl_display_char(BgL_cz00_110, BgL_pz00_95); 
{ 
long BgL_iz00_2656;
BgL_iz00_2656 = 
(BgL_iz00_98+((long)1)); 
BgL_iz00_98 = BgL_iz00_2656; 
goto BgL_zc3z04anonymousza31326ze3z87_100;} } }  else 
{ /* Llib/sqlite.scm 376 */
return 
bgl_close_output_port(BgL_pz00_95);} } } } } 

}



/* display-sqlite~0 */
obj_t BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(obj_t BgL_objz00_166, obj_t BgL_pz00_167, long BgL_lz00_168)
{
{ /* Llib/sqlite.scm 302 */
{ 
obj_t BgL_objz00_194;obj_t BgL_pz00_195;obj_t BgL_objz00_210;obj_t BgL_pz00_211;obj_t BgL_objz00_221;obj_t BgL_pz00_222;
if(
STRINGP(BgL_objz00_166))
{ /* Llib/sqlite.scm 276 */
if(
(BgL_lz00_168==((long)0)))
{ /* Llib/sqlite.scm 277 */
bgl_display_char(((unsigned char)'\''), BgL_pz00_167); }  else 
{ /* Llib/sqlite.scm 277 */
bgl_display_string(BGl_string2289z00zz__sqlite_sqlitez00, BgL_pz00_167); } 
{ /* Llib/sqlite.scm 280 */
long BgL_lenz00_172;
BgL_lenz00_172 = 
STRING_LENGTH(BgL_objz00_166); 
{ 
long BgL_iz00_174;
BgL_iz00_174 = ((long)0); 
BgL_zc3z04anonymousza31661ze3z87_175:
if(
(BgL_iz00_174==BgL_lenz00_172))
{ /* Llib/sqlite.scm 281 */((bool_t)0); }  else 
{ /* Llib/sqlite.scm 281 */
{ /* Llib/sqlite.scm 283 */
unsigned char BgL_cz00_177;
BgL_cz00_177 = 
STRING_REF(
((obj_t)BgL_objz00_166), BgL_iz00_174); 
bgl_display_char(BgL_cz00_177, BgL_pz00_167); 
if(
(((unsigned char)'\'')==BgL_cz00_177))
{ /* Llib/sqlite.scm 285 */
bgl_display_char(((unsigned char)'\''), BgL_pz00_167); }  else 
{ /* Llib/sqlite.scm 285 */BFALSE; } } 
{ 
long BgL_iz00_2674;
BgL_iz00_2674 = 
(BgL_iz00_174+((long)1)); 
BgL_iz00_174 = BgL_iz00_2674; 
goto BgL_zc3z04anonymousza31661ze3z87_175;} } } } 
if(
(BgL_lz00_168==((long)0)))
{ /* Llib/sqlite.scm 286 */
return 
bgl_display_char(((unsigned char)'\''), BgL_pz00_167);}  else 
{ /* Llib/sqlite.scm 286 */
return 
bgl_display_string(BGl_string2289z00zz__sqlite_sqlitez00, BgL_pz00_167);} }  else 
{ /* Llib/sqlite.scm 276 */
if(
BGL_DATEP(BgL_objz00_166))
{ /* Llib/sqlite.scm 290 */
long BgL_arg1667z00_183;
BgL_arg1667z00_183 = 
bgl_date_to_seconds(BgL_objz00_166); 
return 
bgl_display_obj(
make_belong(BgL_arg1667z00_183), BgL_pz00_167);}  else 
{ /* Llib/sqlite.scm 291 */
bool_t BgL_test2512z00_2685;
if(
ELONGP(BgL_objz00_166))
{ /* Llib/sqlite.scm 291 */
BgL_test2512z00_2685 = ((bool_t)1)
; }  else 
{ /* Llib/sqlite.scm 291 */
BgL_test2512z00_2685 = 
LLONGP(BgL_objz00_166)
; } 
if(BgL_test2512z00_2685)
{ /* Llib/sqlite.scm 292 */
obj_t BgL_list1670z00_186;
BgL_list1670z00_186 = 
MAKE_YOUNG_PAIR(BgL_pz00_167, BNIL); 
return 
BGl_writez00zz__r4_output_6_10_3z00(BgL_objz00_166, BgL_list1670z00_186);}  else 
{ /* Llib/sqlite.scm 293 */
bool_t BgL_test2514z00_2691;
if(
(BgL_objz00_166==BUNSPEC))
{ /* Llib/sqlite.scm 293 */
BgL_test2514z00_2691 = ((bool_t)1)
; }  else 
{ /* Llib/sqlite.scm 293 */
BgL_test2514z00_2691 = 
(BgL_objz00_166==BFALSE)
; } 
if(BgL_test2514z00_2691)
{ /* Llib/sqlite.scm 293 */
return 
bgl_display_string(BGl_string2290z00zz__sqlite_sqlitez00, BgL_pz00_167);}  else 
{ /* Llib/sqlite.scm 293 */
if(
PAIRP(BgL_objz00_166))
{ /* Llib/sqlite.scm 295 */
BgL_objz00_194 = BgL_objz00_166; 
BgL_pz00_195 = BgL_pz00_167; 
bgl_display_string(BGl_string2287z00zz__sqlite_sqlitez00, BgL_pz00_195); 
{ 
obj_t BgL_objz00_198;
BgL_objz00_198 = BgL_objz00_194; 
BgL_zc3z04anonymousza31679ze3z87_199:
{ /* Llib/sqlite.scm 306 */
obj_t BgL_arg1680z00_200;
BgL_arg1680z00_200 = 
CAR(
((obj_t)BgL_objz00_198)); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1680z00_200, BgL_pz00_195, ((long)1)); } 
if(
NULLP(
CDR(
((obj_t)BgL_objz00_198))))
{ /* Llib/sqlite.scm 308 */
return 
bgl_display_string(BGl_string2286z00zz__sqlite_sqlitez00, BgL_pz00_195);}  else 
{ /* Llib/sqlite.scm 310 */
bool_t BgL_test2518z00_2707;
{ /* Llib/sqlite.scm 310 */
obj_t BgL_tmpz00_2708;
BgL_tmpz00_2708 = 
CDR(
((obj_t)BgL_objz00_198)); 
BgL_test2518z00_2707 = 
PAIRP(BgL_tmpz00_2708); } 
if(BgL_test2518z00_2707)
{ /* Llib/sqlite.scm 310 */
bgl_display_string(BGl_string2284z00zz__sqlite_sqlitez00, BgL_pz00_195); 
{ /* Llib/sqlite.scm 316 */
obj_t BgL_arg1689z00_205;
BgL_arg1689z00_205 = 
CDR(
((obj_t)BgL_objz00_198)); 
{ 
obj_t BgL_objz00_2715;
BgL_objz00_2715 = BgL_arg1689z00_205; 
BgL_objz00_198 = BgL_objz00_2715; 
goto BgL_zc3z04anonymousza31679ze3z87_199;} } }  else 
{ /* Llib/sqlite.scm 310 */
bgl_display_string(BGl_string2288z00zz__sqlite_sqlitez00, BgL_pz00_195); 
{ /* Llib/sqlite.scm 312 */
obj_t BgL_arg1690z00_206;
BgL_arg1690z00_206 = 
CDR(
((obj_t)BgL_objz00_198)); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1690z00_206, BgL_pz00_195, ((long)1)); } 
return 
bgl_display_string(BGl_string2286z00zz__sqlite_sqlitez00, BgL_pz00_195);} } } }  else 
{ /* Llib/sqlite.scm 295 */
if(
VECTORP(BgL_objz00_166))
{ /* Llib/sqlite.scm 297 */
BgL_objz00_210 = BgL_objz00_166; 
BgL_pz00_211 = BgL_pz00_167; 
bgl_display_string(BGl_string2285z00zz__sqlite_sqlitez00, BgL_pz00_211); 
{ 
long BgL_iz00_215;
BgL_iz00_215 = ((long)0); 
BgL_zc3z04anonymousza31694ze3z87_216:
if(
(BgL_iz00_215==
VECTOR_LENGTH(BgL_objz00_210)))
{ /* Llib/sqlite.scm 321 */
return 
bgl_display_string(BGl_string2286z00zz__sqlite_sqlitez00, BgL_pz00_211);}  else 
{ /* Llib/sqlite.scm 321 */
bgl_display_string(BGl_string2284z00zz__sqlite_sqlitez00, BgL_pz00_211); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(
VECTOR_REF(BgL_objz00_210,BgL_iz00_215), BgL_pz00_211, ((long)1)); 
{ 
long BgL_iz00_2731;
BgL_iz00_2731 = 
(BgL_iz00_215+((long)1)); 
BgL_iz00_215 = BgL_iz00_2731; 
goto BgL_zc3z04anonymousza31694ze3z87_216;} } } }  else 
{ /* Llib/sqlite.scm 297 */
if(
STRUCTP(BgL_objz00_166))
{ /* Llib/sqlite.scm 299 */
BgL_objz00_221 = BgL_objz00_166; 
BgL_pz00_222 = BgL_pz00_167; 
bgl_display_string(BGl_string2282z00zz__sqlite_sqlitez00, BgL_pz00_222); 
bgl_display_obj(
STRUCT_KEY(BgL_objz00_221), BgL_pz00_222); 
{ /* Llib/sqlite.scm 330 */
int BgL_lenz00_225;
BgL_lenz00_225 = 
STRUCT_LENGTH(BgL_objz00_221); 
{ 
long BgL_iz00_227;
BgL_iz00_227 = ((long)0); 
BgL_zc3z04anonymousza31704ze3z87_228:
if(
(BgL_iz00_227==
(long)(BgL_lenz00_225)))
{ /* Llib/sqlite.scm 332 */
return 
bgl_display_string(BGl_string2283z00zz__sqlite_sqlitez00, BgL_pz00_222);}  else 
{ /* Llib/sqlite.scm 332 */
bgl_display_string(BGl_string2284z00zz__sqlite_sqlitez00, BgL_pz00_222); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(
STRUCT_REF(BgL_objz00_221, 
(int)(BgL_iz00_227)), BgL_pz00_222, ((long)1)); 
{ 
long BgL_iz00_2747;
BgL_iz00_2747 = 
(BgL_iz00_227+((long)1)); 
BgL_iz00_227 = BgL_iz00_2747; 
goto BgL_zc3z04anonymousza31704ze3z87_228;} } } } }  else 
{ /* Llib/sqlite.scm 299 */
return 
bgl_display_obj(BgL_objz00_166, BgL_pz00_167);} } } } } } } } } 

}



/* display-sqlite-quote-list~0 */
obj_t BGl_displayzd2sqlitezd2quotezd2listze70z35zz__sqlite_sqlitez00(obj_t BgL_objz00_255, obj_t BgL_pz00_256)
{
{ /* Llib/sqlite.scm 375 */
if(
PAIRP(BgL_objz00_255))
{ /* Llib/sqlite.scm 359 */
if(
NULLP(
CDR(BgL_objz00_255)))
{ /* Llib/sqlite.scm 363 */
return 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(
CAR(BgL_objz00_255), BgL_pz00_256, ((long)0));}  else 
{ 
obj_t BgL_oz00_264;
BgL_oz00_264 = BgL_objz00_255; 
BgL_zc3z04anonymousza31762ze3z87_265:
{ /* Llib/sqlite.scm 368 */
bool_t BgL_test2525z00_2757;
{ /* Llib/sqlite.scm 368 */
obj_t BgL_tmpz00_2758;
BgL_tmpz00_2758 = 
CDR(
((obj_t)BgL_oz00_264)); 
BgL_test2525z00_2757 = 
PAIRP(BgL_tmpz00_2758); } 
if(BgL_test2525z00_2757)
{ /* Llib/sqlite.scm 368 */
{ /* Llib/sqlite.scm 369 */
obj_t BgL_arg1765z00_268;
BgL_arg1765z00_268 = 
CAR(
((obj_t)BgL_oz00_264)); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1765z00_268, BgL_pz00_256, ((long)0)); } 
bgl_display_string(BGl_string2275z00zz__sqlite_sqlitez00, BgL_pz00_256); 
{ /* Llib/sqlite.scm 371 */
obj_t BgL_arg1766z00_269;
BgL_arg1766z00_269 = 
CDR(
((obj_t)BgL_oz00_264)); 
{ 
obj_t BgL_oz00_2768;
BgL_oz00_2768 = BgL_arg1766z00_269; 
BgL_oz00_264 = BgL_oz00_2768; 
goto BgL_zc3z04anonymousza31762ze3z87_265;} } }  else 
{ /* Llib/sqlite.scm 368 */
if(
NULLP(
CDR(
((obj_t)BgL_oz00_264))))
{ /* Llib/sqlite.scm 373 */
obj_t BgL_arg1769z00_272;
BgL_arg1769z00_272 = 
CAR(
((obj_t)BgL_oz00_264)); 
return 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1769z00_272, BgL_pz00_256, ((long)0));}  else 
{ /* Llib/sqlite.scm 372 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)0)), BGl_string2276z00zz__sqlite_sqlitez00, BgL_objz00_255);} } } } }  else 
{ /* Llib/sqlite.scm 359 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2276z00zz__sqlite_sqlitez00, BgL_objz00_255);} } 

}



/* &sqlite-format */
obj_t BGl_z62sqlitezd2formatzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1596, obj_t BgL_fmtz00_1597, obj_t BgL_objsz00_1598)
{
{ /* Llib/sqlite.scm 261 */
{ /* Llib/sqlite.scm 262 */
obj_t BgL_auxz00_2780;
if(
STRINGP(BgL_fmtz00_1597))
{ /* Llib/sqlite.scm 262 */
BgL_auxz00_2780 = BgL_fmtz00_1597
; }  else 
{ 
obj_t BgL_auxz00_2783;
BgL_auxz00_2783 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)11102)), BGl_string2291z00zz__sqlite_sqlitez00, BGl_string2263z00zz__sqlite_sqlitez00, BgL_fmtz00_1597); 
FAILURE(BgL_auxz00_2783,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_auxz00_2780, BgL_objsz00_1598);} } 

}



/* sqlite-last-insert-rowid */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2lastzd2insertzd2rowidzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_53)
{
{ /* Llib/sqlite.scm 439 */
return 
BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(BgL_dbz00_53, BGl_string2292z00zz__sqlite_sqlitez00, BNIL);} 

}



/* &sqlite-last-insert-rowid */
obj_t BGl_z62sqlitezd2lastzd2insertzd2rowidzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1599, obj_t BgL_dbz00_1600)
{
{ /* Llib/sqlite.scm 439 */
{ /* Llib/sqlite.scm 440 */
BgL_z52sqlitez52_bglt BgL_auxz00_2789;
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1600, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 440 */
BgL_auxz00_2789 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1600)
; }  else 
{ 
obj_t BgL_auxz00_2793;
BgL_auxz00_2793 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)16207)), BGl_string2293z00zz__sqlite_sqlitez00, BGl_string2262z00zz__sqlite_sqlitez00, BgL_dbz00_1600); 
FAILURE(BgL_auxz00_2793,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2lastzd2insertzd2rowidzd2zz__sqlite_sqlitez00(BgL_auxz00_2789);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__sqlite_sqlitez00()
{
{ /* Llib/sqlite.scm 15 */
{ /* Llib/sqlite.scm 34 */
obj_t BgL_arg1776z00_290;obj_t BgL_arg1777z00_291;
{ /* Llib/sqlite.scm 34 */
obj_t BgL_v1220z00_297;
BgL_v1220z00_297 = 
create_vector(((long)1)); 
{ /* Llib/sqlite.scm 34 */
obj_t BgL_arg1781z00_298;
BgL_arg1781z00_298 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_proc2296z00zz__sqlite_sqlitez00, BGl_proc2295z00zz__sqlite_sqlitez00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2294z00zz__sqlite_sqlitez00, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1220z00_297,((long)0),BgL_arg1781z00_298); } 
BgL_arg1776z00_290 = BgL_v1220z00_297; } 
{ /* Llib/sqlite.scm 34 */
obj_t BgL_v1221z00_311;
BgL_v1221z00_311 = 
create_vector(((long)0)); 
BgL_arg1777z00_291 = BgL_v1221z00_311; } 
BGl_z52sqlitez52zz__sqlite_sqlitez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)4)), 
CNST_TABLE_REF(((long)5)), BGl_objectz00zz__objectz00, ((long)41441), BFALSE, BGl_proc2298z00zz__sqlite_sqlitez00, BFALSE, BGl_proc2297z00zz__sqlite_sqlitez00, BFALSE, BgL_arg1776z00_290, BgL_arg1777z00_291); } 
{ /* Llib/sqlite.scm 37 */
obj_t BgL_arg1791z00_317;obj_t BgL_arg1792z00_318;
{ /* Llib/sqlite.scm 37 */
obj_t BgL_v1222z00_332;
BgL_v1222z00_332 = 
create_vector(((long)2)); 
{ /* Llib/sqlite.scm 37 */
obj_t BgL_arg1799z00_333;
BgL_arg1799z00_333 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc2301z00zz__sqlite_sqlitez00, BGl_proc2300z00zz__sqlite_sqlitez00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2299z00zz__sqlite_sqlitez00, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1222z00_332,((long)0),BgL_arg1799z00_333); } 
{ /* Llib/sqlite.scm 37 */
obj_t BgL_arg1806z00_346;
BgL_arg1806z00_346 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc2304z00zz__sqlite_sqlitez00, BGl_proc2303z00zz__sqlite_sqlitez00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2302z00zz__sqlite_sqlitez00, BGl_z42sqltinyz42zz__sqlite_sqltinyz00); 
VECTOR_SET(BgL_v1222z00_332,((long)1),BgL_arg1806z00_346); } 
BgL_arg1791z00_317 = BgL_v1222z00_332; } 
{ /* Llib/sqlite.scm 37 */
obj_t BgL_v1223z00_359;
BgL_v1223z00_359 = 
create_vector(((long)0)); 
BgL_arg1792z00_318 = BgL_v1223z00_359; } 
BGl_sqltinyz00zz__sqlite_sqlitez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)9)), 
CNST_TABLE_REF(((long)5)), BGl_z52sqlitez52zz__sqlite_sqlitez00, ((long)6234), BGl_proc2307z00zz__sqlite_sqlitez00, BGl_proc2306z00zz__sqlite_sqlitez00, BGl_z52setupzd2sqltinyz12zd2envz40zz__sqlite_sqlitez00, BGl_proc2305z00zz__sqlite_sqlitez00, BFALSE, BgL_arg1791z00_317, BgL_arg1792z00_318); } 
{ /* Llib/sqlite.scm 25 */
obj_t BgL_arg1816z00_366;obj_t BgL_arg1817z00_367;
{ /* Llib/sqlite.scm 25 */
obj_t BgL_v1224z00_380;
BgL_v1224z00_380 = 
create_vector(((long)1)); 
{ /* Llib/sqlite.scm 25 */
obj_t BgL_arg1824z00_381;
BgL_arg1824z00_381 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc2310z00zz__sqlite_sqlitez00, BGl_proc2309z00zz__sqlite_sqlitez00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2308z00zz__sqlite_sqlitez00, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1224z00_380,((long)0),BgL_arg1824z00_381); } 
BgL_arg1816z00_366 = BgL_v1224z00_380; } 
{ /* Llib/sqlite.scm 25 */
obj_t BgL_v1225z00_394;
BgL_v1225z00_394 = 
create_vector(((long)0)); 
BgL_arg1817z00_367 = BgL_v1225z00_394; } 
return ( 
BGl_sqlitez00zz__sqlite_sqlitez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)11)), 
CNST_TABLE_REF(((long)5)), BGl_z52sqlitez52zz__sqlite_sqlitez00, ((long)51526), BGl_proc2313z00zz__sqlite_sqlitez00, BGl_proc2312z00zz__sqlite_sqlitez00, BGl_z52setupzd2sqlitez12zd2envz40zz__sqlite_sqlitez00, BGl_proc2311z00zz__sqlite_sqlitez00, BFALSE, BgL_arg1816z00_366, BgL_arg1817z00_367), BUNSPEC) ;} } 

}



/* &<@anonymous:1823> */
obj_t BGl_z62zc3z04anonymousza31823ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1621, obj_t BgL_new1063z00_1622)
{
{ /* Llib/sqlite.scm 25 */
{ 
BgL_sqlitez00_bglt BgL_auxz00_2828;
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)
((BgL_sqlitez00_bglt)BgL_new1063z00_1622))))->BgL_pathz00)=((obj_t)BGl_string2314z00zz__sqlite_sqlitez00),BUNSPEC); 
((((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_new1063z00_1622)))->BgL_z42builtinz42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_2828 = 
((BgL_sqlitez00_bglt)BgL_new1063z00_1622); 
return 
((obj_t)BgL_auxz00_2828);} } 

}



/* &lambda1821 */
BgL_sqlitez00_bglt BGl_z62lambda1821z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1623)
{
{ /* Llib/sqlite.scm 25 */
{ /* Llib/sqlite.scm 25 */
BgL_sqlitez00_bglt BgL_new1062z00_2094;
BgL_new1062z00_2094 = 
((BgL_sqlitez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sqlitez00_bgl) ))); 
{ /* Llib/sqlite.scm 25 */
long BgL_arg1822z00_2095;
{ /* Llib/sqlite.scm 25 */
long BgL_res2127z00_2096;
BgL_res2127z00_2096 = 
BGL_CLASS_INDEX(BGl_sqlitez00zz__sqlite_sqlitez00); 
BgL_arg1822z00_2095 = BgL_res2127z00_2096; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1062z00_2094), BgL_arg1822z00_2095); } 
return BgL_new1062z00_2094;} } 

}



/* &lambda1818 */
BgL_sqlitez00_bglt BGl_z62lambda1818z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1624, obj_t BgL_path1060z00_1625, obj_t BgL_z42builtin1061z42_1626)
{
{ /* Llib/sqlite.scm 25 */
{ /* Llib/sqlite.scm 25 */
void * BgL_z42builtin1061z42_2098;
BgL_z42builtin1061z42_2098 = 
FOREIGN_TO_COBJ(BgL_z42builtin1061z42_1626); 
{ /* Llib/sqlite.scm 25 */
BgL_sqlitez00_bglt BgL_new1216z00_2099;
{ /* Llib/sqlite.scm 25 */
BgL_sqlitez00_bglt BgL_new1215z00_2100;
BgL_new1215z00_2100 = 
((BgL_sqlitez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sqlitez00_bgl) ))); 
{ /* Llib/sqlite.scm 25 */
long BgL_arg1820z00_2101;
{ /* Llib/sqlite.scm 25 */
long BgL_res2126z00_2102;
BgL_res2126z00_2102 = 
BGL_CLASS_INDEX(BGl_sqlitez00zz__sqlite_sqlitez00); 
BgL_arg1820z00_2101 = BgL_res2126z00_2102; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1215z00_2100), BgL_arg1820z00_2101); } 
BgL_new1216z00_2099 = BgL_new1215z00_2100; } 
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_new1216z00_2099)))->BgL_pathz00)=((obj_t)
((obj_t)BgL_path1060z00_1625)),BUNSPEC); 
((((BgL_sqlitez00_bglt)COBJECT(BgL_new1216z00_2099))->BgL_z42builtinz42)=((void *)BgL_z42builtin1061z42_2098),BUNSPEC); 
{ /* Llib/sqlite.scm 25 */
obj_t BgL_fun1819z00_2103;
BgL_fun1819z00_2103 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sqlitez00zz__sqlite_sqlitez00); 
PROCEDURE_ENTRY(BgL_fun1819z00_2103)(BgL_fun1819z00_2103, 
((obj_t)BgL_new1216z00_2099), BEOA); } 
return BgL_new1216z00_2099;} } } 

}



/* &<@anonymous:1830> */
obj_t BGl_z62zc3z04anonymousza31830ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1627)
{
{ /* Llib/sqlite.scm 25 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1829 */
obj_t BGl_z62lambda1829z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1628, obj_t BgL_oz00_1629, obj_t BgL_vz00_1630)
{
{ /* Llib/sqlite.scm 25 */
{ /* Llib/sqlite.scm 25 */
void * BgL_vz00_2105;
BgL_vz00_2105 = 
FOREIGN_TO_COBJ(BgL_vz00_1630); 
return 
((((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1629)))->BgL_z42builtinz42)=((void *)BgL_vz00_2105),BUNSPEC);} } 

}



/* &lambda1828 */
obj_t BGl_z62lambda1828z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1631, obj_t BgL_oz00_1632)
{
{ /* Llib/sqlite.scm 25 */
return 
void_star_to_obj(
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1632)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1798> */
obj_t BGl_z62zc3z04anonymousza31798ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1633, obj_t BgL_new1058z00_1634)
{
{ /* Llib/sqlite.scm 37 */
{ 
BgL_sqltinyz00_bglt BgL_auxz00_2864;
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)
((BgL_sqltinyz00_bglt)BgL_new1058z00_1634))))->BgL_pathz00)=((obj_t)BGl_string2314z00zz__sqlite_sqlitez00),BUNSPEC); 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_new1058z00_1634)))->BgL_syncz00)=((obj_t)
CNST_TABLE_REF(((long)12))),BUNSPEC); 
{ 
BgL_z42sqltinyz42_bglt BgL_auxz00_2871;
{ /* Llib/sqlite.scm 37 */
obj_t BgL_classz00_2108;
BgL_classz00_2108 = BGl_z42sqltinyz42zz__sqlite_sqltinyz00; 
{ /* Llib/sqlite.scm 37 */
obj_t BgL__ortest_1107z00_2109;
BgL__ortest_1107z00_2109 = 
BGL_CLASS_NIL(BgL_classz00_2108); 
if(
CBOOL(BgL__ortest_1107z00_2109))
{ /* Llib/sqlite.scm 37 */
BgL_auxz00_2871 = 
((BgL_z42sqltinyz42_bglt)BgL__ortest_1107z00_2109)
; }  else 
{ /* Llib/sqlite.scm 37 */
BgL_auxz00_2871 = 
((BgL_z42sqltinyz42_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2108))
; } } } 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_new1058z00_1634)))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)BgL_auxz00_2871),BUNSPEC); } 
BgL_auxz00_2864 = 
((BgL_sqltinyz00_bglt)BgL_new1058z00_1634); 
return 
((obj_t)BgL_auxz00_2864);} } 

}



/* &lambda1796 */
BgL_sqltinyz00_bglt BGl_z62lambda1796z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1635)
{
{ /* Llib/sqlite.scm 37 */
{ /* Llib/sqlite.scm 37 */
BgL_sqltinyz00_bglt BgL_new1057z00_2110;
BgL_new1057z00_2110 = 
((BgL_sqltinyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sqltinyz00_bgl) ))); 
{ /* Llib/sqlite.scm 37 */
long BgL_arg1797z00_2111;
{ /* Llib/sqlite.scm 37 */
long BgL_res2125z00_2112;
BgL_res2125z00_2112 = 
BGL_CLASS_INDEX(BGl_sqltinyz00zz__sqlite_sqlitez00); 
BgL_arg1797z00_2111 = BgL_res2125z00_2112; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1057z00_2110), BgL_arg1797z00_2111); } 
return BgL_new1057z00_2110;} } 

}



/* &lambda1793 */
BgL_sqltinyz00_bglt BGl_z62lambda1793z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1636, obj_t BgL_path1054z00_1637, obj_t BgL_sync1055z00_1638, obj_t BgL_z42builtin1056z42_1639)
{
{ /* Llib/sqlite.scm 37 */
{ /* Llib/sqlite.scm 37 */
BgL_sqltinyz00_bglt BgL_new1214z00_2116;
{ /* Llib/sqlite.scm 37 */
BgL_sqltinyz00_bglt BgL_new1213z00_2117;
BgL_new1213z00_2117 = 
((BgL_sqltinyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sqltinyz00_bgl) ))); 
{ /* Llib/sqlite.scm 37 */
long BgL_arg1795z00_2118;
{ /* Llib/sqlite.scm 37 */
long BgL_res2124z00_2119;
BgL_res2124z00_2119 = 
BGL_CLASS_INDEX(BGl_sqltinyz00zz__sqlite_sqlitez00); 
BgL_arg1795z00_2118 = BgL_res2124z00_2119; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1213z00_2117), BgL_arg1795z00_2118); } 
BgL_new1214z00_2116 = BgL_new1213z00_2117; } 
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_new1214z00_2116)))->BgL_pathz00)=((obj_t)
((obj_t)BgL_path1054z00_1637)),BUNSPEC); 
((((BgL_sqltinyz00_bglt)COBJECT(BgL_new1214z00_2116))->BgL_syncz00)=((obj_t)
((obj_t)BgL_sync1055z00_1638)),BUNSPEC); 
((((BgL_sqltinyz00_bglt)COBJECT(BgL_new1214z00_2116))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)
((BgL_z42sqltinyz42_bglt)BgL_z42builtin1056z42_1639)),BUNSPEC); 
{ /* Llib/sqlite.scm 37 */
obj_t BgL_fun1794z00_2120;
BgL_fun1794z00_2120 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sqltinyz00zz__sqlite_sqlitez00); 
PROCEDURE_ENTRY(BgL_fun1794z00_2120)(BgL_fun1794z00_2120, 
((obj_t)BgL_new1214z00_2116), BEOA); } 
return BgL_new1214z00_2116;} } 

}



/* &<@anonymous:1812> */
obj_t BGl_z62zc3z04anonymousza31812ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1640)
{
{ /* Llib/sqlite.scm 37 */
{ /* Llib/sqlite.scm 40 */
obj_t BgL_classz00_2121;
BgL_classz00_2121 = BGl_z42sqltinyz42zz__sqlite_sqltinyz00; 
{ /* Llib/sqlite.scm 40 */
obj_t BgL__ortest_1107z00_2122;
BgL__ortest_1107z00_2122 = 
BGL_CLASS_NIL(BgL_classz00_2121); 
if(
CBOOL(BgL__ortest_1107z00_2122))
{ /* Llib/sqlite.scm 40 */
return BgL__ortest_1107z00_2122;}  else 
{ /* Llib/sqlite.scm 40 */
return 
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2121);} } } } 

}



/* &lambda1811 */
obj_t BGl_z62lambda1811z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1641, obj_t BgL_oz00_1642, obj_t BgL_vz00_1643)
{
{ /* Llib/sqlite.scm 37 */
return 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_oz00_1642)))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)
((BgL_z42sqltinyz42_bglt)BgL_vz00_1643)),BUNSPEC);} 

}



/* &lambda1810 */
BgL_z42sqltinyz42_bglt BGl_z62lambda1810z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1644, obj_t BgL_oz00_1645)
{
{ /* Llib/sqlite.scm 37 */
return 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_oz00_1645)))->BgL_z42builtinz42);} 

}



/* &<@anonymous:1805> */
obj_t BGl_z62zc3z04anonymousza31805ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1646)
{
{ /* Llib/sqlite.scm 37 */
return 
CNST_TABLE_REF(((long)13));} 

}



/* &lambda1804 */
obj_t BGl_z62lambda1804z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1647, obj_t BgL_oz00_1648, obj_t BgL_vz00_1649)
{
{ /* Llib/sqlite.scm 37 */
return 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_oz00_1648)))->BgL_syncz00)=((obj_t)
((obj_t)BgL_vz00_1649)),BUNSPEC);} 

}



/* &lambda1803 */
obj_t BGl_z62lambda1803z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1650, obj_t BgL_oz00_1651)
{
{ /* Llib/sqlite.scm 37 */
return 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_oz00_1651)))->BgL_syncz00);} 

}



/* &<@anonymous:1780> */
obj_t BGl_z62zc3z04anonymousza31780ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1652, obj_t BgL_new1052z00_1653)
{
{ /* Llib/sqlite.scm 34 */
{ 
BgL_z52sqlitez52_bglt BgL_auxz00_2918;
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_new1052z00_1653)))->BgL_pathz00)=((obj_t)BGl_string2314z00zz__sqlite_sqlitez00),BUNSPEC); 
BgL_auxz00_2918 = 
((BgL_z52sqlitez52_bglt)BgL_new1052z00_1653); 
return 
((obj_t)BgL_auxz00_2918);} } 

}



/* &lambda1778 */
BgL_z52sqlitez52_bglt BGl_z62lambda1778z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1654)
{
{ /* Llib/sqlite.scm 34 */
{ /* Llib/sqlite.scm 34 */
BgL_z52sqlitez52_bglt BgL_new1051z00_2130;
BgL_new1051z00_2130 = 
((BgL_z52sqlitez52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sqlitez52_bgl) ))); 
{ /* Llib/sqlite.scm 34 */
long BgL_arg1779z00_2131;
{ /* Llib/sqlite.scm 34 */
long BgL_res2123z00_2132;
BgL_res2123z00_2132 = 
BGL_CLASS_INDEX(BGl_z52sqlitez52zz__sqlite_sqlitez00); 
BgL_arg1779z00_2131 = BgL_res2123z00_2132; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1051z00_2130), BgL_arg1779z00_2131); } 
return BgL_new1051z00_2130;} } 

}



/* &<@anonymous:1787> */
obj_t BGl_z62zc3z04anonymousza31787ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1655)
{
{ /* Llib/sqlite.scm 34 */
return BGl_string2315z00zz__sqlite_sqlitez00;} 

}



/* &lambda1786 */
obj_t BGl_z62lambda1786z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1656, obj_t BgL_oz00_1657, obj_t BgL_vz00_1658)
{
{ /* Llib/sqlite.scm 34 */
return 
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_1657)))->BgL_pathz00)=((obj_t)
((obj_t)BgL_vz00_1658)),BUNSPEC);} 

}



/* &lambda1785 */
obj_t BGl_z62lambda1785z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1659, obj_t BgL_oz00_1660)
{
{ /* Llib/sqlite.scm 34 */
return 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_1660)))->BgL_pathz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__sqlite_sqlitez00()
{
{ /* Llib/sqlite.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2closezd2envz00zz__sqlite_sqlitez00, BGl_proc2316z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2317z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2execzd2envz00zz__sqlite_sqlitez00, BGl_proc2318z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2319z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2evalzd2envz00zz__sqlite_sqlitez00, BGl_proc2320z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2321z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2mapzd2envz00zz__sqlite_sqlitez00, BGl_proc2322z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2323z00zz__sqlite_sqlitez00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2dumpzd2tablezd2envzd2zz__sqlite_sqlitez00, BGl_proc2324z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2325z00zz__sqlite_sqlitez00);} 

}



/* &sqlite-dump-table1248 */
obj_t BGl_z62sqlitezd2dumpzd2table1248z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1666, obj_t BgL_dbz00_1667, obj_t BgL_tablez00_1668, obj_t BgL_outz00_1669)
{
{ /* Llib/sqlite.scm 248 */
{ /* Llib/sqlite.scm 250 */
BgL_z42sqltinyz42_bglt BgL_arg1858z00_2139;
BgL_arg1858z00_2139 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_dbz00_1667))))->BgL_z42builtinz42); 
BGl_z42sqltinyzd2dumpzd2tablez42zz__sqlite_sqltinyz00(
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_dbz00_1667)), BgL_arg1858z00_2139, 
((obj_t)BgL_tablez00_1668), 
((obj_t)BgL_outz00_1669)); } 
return BUNSPEC;} 

}



/* &sqlite-map1244 */
obj_t BGl_z62sqlitezd2map1244zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1670, obj_t BgL_oz00_1671, obj_t BgL_pz00_1672, obj_t BgL_fmtz00_1673, obj_t BgL_argsz00_1674)
{
{ /* Llib/sqlite.scm 189 */
if(
NULLP(BgL_argsz00_1674))
{ /* Llib/sqlite.scm 192 */
BgL_z42sqltinyz42_bglt BgL_arg1851z00_2143;
BgL_arg1851z00_2143 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1671))))->BgL_z42builtinz42); 
return 
BGl_z42sqltinyzd2mapz90zz__sqlite_sqltinyz00(BgL_arg1851z00_2143, 
((obj_t)BgL_pz00_1672), 
((obj_t)BgL_fmtz00_1673), 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1671)));}  else 
{ /* Llib/sqlite.scm 193 */
BgL_z42sqltinyz42_bglt BgL_arg1852z00_2144;obj_t BgL_arg1853z00_2145;
BgL_arg1852z00_2144 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1671))))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 193 */
obj_t BgL_runner1856z00_2146;
{ /* Llib/sqlite.scm 193 */
obj_t BgL_list1854z00_2147;
BgL_list1854z00_2147 = 
MAKE_YOUNG_PAIR(BgL_argsz00_1674, BNIL); 
BgL_runner1856z00_2146 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_1673), BgL_list1854z00_2147); } 
{ /* Llib/sqlite.scm 193 */
obj_t BgL_aux1855z00_2148;
BgL_aux1855z00_2148 = 
CAR(BgL_runner1856z00_2146); 
BgL_runner1856z00_2146 = 
CDR(BgL_runner1856z00_2146); 
BgL_arg1853z00_2145 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1855z00_2148, BgL_runner1856z00_2146); } } 
return 
BGl_z42sqltinyzd2mapz90zz__sqlite_sqltinyz00(BgL_arg1852z00_2144, 
((obj_t)BgL_pz00_1672), BgL_arg1853z00_2145, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1671)));} } 

}



/* &sqlite-eval1240 */
obj_t BGl_z62sqlitezd2eval1240zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1675, obj_t BgL_oz00_1676, obj_t BgL_pz00_1677, obj_t BgL_fmtz00_1678, obj_t BgL_argsz00_1679)
{
{ /* Llib/sqlite.scm 168 */
if(
NULLP(BgL_argsz00_1679))
{ /* Llib/sqlite.scm 171 */
BgL_z42sqltinyz42_bglt BgL_arg1843z00_2152;
BgL_arg1843z00_2152 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1676))))->BgL_z42builtinz42); 
return 
BGl_z42sqltinyzd2evalz90zz__sqlite_sqltinyz00(BgL_arg1843z00_2152, 
((obj_t)BgL_pz00_1677), 
((obj_t)BgL_fmtz00_1678), 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1676)));}  else 
{ /* Llib/sqlite.scm 172 */
BgL_z42sqltinyz42_bglt BgL_arg1844z00_2153;obj_t BgL_arg1845z00_2154;
BgL_arg1844z00_2153 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1676))))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 172 */
obj_t BgL_runner1848z00_2155;
{ /* Llib/sqlite.scm 172 */
obj_t BgL_list1846z00_2156;
BgL_list1846z00_2156 = 
MAKE_YOUNG_PAIR(BgL_argsz00_1679, BNIL); 
BgL_runner1848z00_2155 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_1678), BgL_list1846z00_2156); } 
{ /* Llib/sqlite.scm 172 */
obj_t BgL_aux1847z00_2157;
BgL_aux1847z00_2157 = 
CAR(BgL_runner1848z00_2155); 
BgL_runner1848z00_2155 = 
CDR(BgL_runner1848z00_2155); 
BgL_arg1845z00_2154 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1847z00_2157, BgL_runner1848z00_2155); } } 
return 
BGl_z42sqltinyzd2evalz90zz__sqlite_sqltinyz00(BgL_arg1844z00_2153, 
((obj_t)BgL_pz00_1677), BgL_arg1845z00_2154, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1676)));} } 

}



/* &sqlite-exec1236 */
obj_t BGl_z62sqlitezd2exec1236zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1680, obj_t BgL_oz00_1681, obj_t BgL_fmtz00_1682, obj_t BgL_argsz00_1683)
{
{ /* Llib/sqlite.scm 130 */
if(
NULLP(BgL_argsz00_1683))
{ /* Llib/sqlite.scm 133 */
BgL_z42sqltinyz42_bglt BgL_arg1835z00_2160;
BgL_arg1835z00_2160 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1681))))->BgL_z42builtinz42); 
return 
BGl_z42sqltinyzd2execz90zz__sqlite_sqltinyz00(BgL_arg1835z00_2160, 
((obj_t)BgL_fmtz00_1682), 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1681)));}  else 
{ /* Llib/sqlite.scm 134 */
BgL_z42sqltinyz42_bglt BgL_arg1836z00_2161;obj_t BgL_arg1837z00_2162;
BgL_arg1836z00_2161 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1681))))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 134 */
obj_t BgL_runner1840z00_2163;
{ /* Llib/sqlite.scm 134 */
obj_t BgL_list1838z00_2164;
BgL_list1838z00_2164 = 
MAKE_YOUNG_PAIR(BgL_argsz00_1683, BNIL); 
BgL_runner1840z00_2163 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_1682), BgL_list1838z00_2164); } 
{ /* Llib/sqlite.scm 134 */
obj_t BgL_aux1839z00_2165;
BgL_aux1839z00_2165 = 
CAR(BgL_runner1840z00_2163); 
BgL_runner1840z00_2163 = 
CDR(BgL_runner1840z00_2163); 
BgL_arg1837z00_2162 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1839z00_2165, BgL_runner1840z00_2163); } } 
return 
BGl_z42sqltinyzd2execz90zz__sqlite_sqltinyz00(BgL_arg1836z00_2161, BgL_arg1837z00_2162, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1681)));} } 

}



/* &sqlite-close1232 */
obj_t BGl_z62sqlitezd2close1232zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1684, obj_t BgL_oz00_1685)
{
{ /* Llib/sqlite.scm 116 */
{ /* Llib/sqlite.scm 118 */
BgL_z42sqltinyz42_bglt BgL_arg1832z00_2167;
BgL_arg1832z00_2167 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1685))))->BgL_z42builtinz42); 
BGl_z42sqltinyzd2closez90zz__sqlite_sqltinyz00(BgL_arg1832z00_2167, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_1685))); } 
{ 
BgL_z42sqltinyz42_bglt BgL_auxz00_3018;
{ /* Llib/sqlite.scm 119 */
obj_t BgL_classz00_2168;
BgL_classz00_2168 = BGl_z42sqltinyz42zz__sqlite_sqltinyz00; 
{ /* Llib/sqlite.scm 119 */
obj_t BgL__ortest_1107z00_2169;
BgL__ortest_1107z00_2169 = 
BGL_CLASS_NIL(BgL_classz00_2168); 
if(
CBOOL(BgL__ortest_1107z00_2169))
{ /* Llib/sqlite.scm 119 */
BgL_auxz00_3018 = 
((BgL_z42sqltinyz42_bglt)BgL__ortest_1107z00_2169)
; }  else 
{ /* Llib/sqlite.scm 119 */
BgL_auxz00_3018 = 
((BgL_z42sqltinyz42_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2168))
; } } } 
return 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_1685))))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)BgL_auxz00_3018),BUNSPEC);} } 

}



/* sqlite-close */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2closezd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_12)
{
{ /* Llib/sqlite.scm 116 */
{ /* Llib/sqlite.scm 116 */
obj_t BgL_method1233z00_456;
{ /* Llib/sqlite.scm 116 */
obj_t BgL_res2141z00_1373;
{ /* Llib/sqlite.scm 116 */
long BgL_objzd2classzd2numz00_1338;
{ /* Llib/sqlite.scm 116 */
long BgL_res2131z00_1341;
BgL_res2131z00_1341 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_12)); 
BgL_objzd2classzd2numz00_1338 = BgL_res2131z00_1341; } 
{ /* Llib/sqlite.scm 116 */
obj_t BgL_arg1741z00_1339;
BgL_arg1741z00_1339 = 
PROCEDURE_REF(BGl_sqlitezd2closezd2envz00zz__sqlite_sqlitez00, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 116 */
int BgL_offsetz00_1343;
BgL_offsetz00_1343 = 
(int)(BgL_objzd2classzd2numz00_1338); 
{ /* Llib/sqlite.scm 116 */
long BgL_offsetz00_1344;
BgL_offsetz00_1344 = 
(
(long)(BgL_offsetz00_1343)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 116 */
long BgL_modz00_1345;
BgL_modz00_1345 = 
(BgL_offsetz00_1344 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/sqlite.scm 116 */
long BgL_restz00_1347;
BgL_restz00_1347 = 
(BgL_offsetz00_1344 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/sqlite.scm 116 */

{ /* Llib/sqlite.scm 116 */
obj_t BgL_bucketz00_1349;
BgL_bucketz00_1349 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_1339),BgL_modz00_1345); 
BgL_res2141z00_1373 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1349),BgL_restz00_1347); } } } } } } } } 
BgL_method1233z00_456 = BgL_res2141z00_1373; } 
return 
PROCEDURE_ENTRY(BgL_method1233z00_456)(BgL_method1233z00_456, 
((obj_t)BgL_oz00_12), BEOA);} } 

}



/* &sqlite-close */
obj_t BGl_z62sqlitezd2closezb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1686, obj_t BgL_oz00_1687)
{
{ /* Llib/sqlite.scm 116 */
{ /* Llib/sqlite.scm 116 */
BgL_z52sqlitez52_bglt BgL_auxz00_3058;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1687, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 116 */
BgL_auxz00_3058 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_1687)
; }  else 
{ 
obj_t BgL_auxz00_3062;
BgL_auxz00_3062 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)4987)), BGl_string2326z00zz__sqlite_sqlitez00, BGl_string2262z00zz__sqlite_sqlitez00, BgL_oz00_1687); 
FAILURE(BgL_auxz00_3062,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2closezd2zz__sqlite_sqlitez00(BgL_auxz00_3058);} } 

}



/* sqlite-exec */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_14, obj_t BgL_fmtz00_15, obj_t BgL_argsz00_16)
{
{ /* Llib/sqlite.scm 130 */
{ /* Llib/sqlite.scm 130 */
obj_t BgL_method1237z00_457;
{ /* Llib/sqlite.scm 130 */
obj_t BgL_res2152z00_1410;
{ /* Llib/sqlite.scm 130 */
long BgL_objzd2classzd2numz00_1375;
{ /* Llib/sqlite.scm 130 */
long BgL_res2142z00_1378;
BgL_res2142z00_1378 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_14)); 
BgL_objzd2classzd2numz00_1375 = BgL_res2142z00_1378; } 
{ /* Llib/sqlite.scm 130 */
obj_t BgL_arg1741z00_1376;
BgL_arg1741z00_1376 = 
PROCEDURE_REF(BGl_sqlitezd2execzd2envz00zz__sqlite_sqlitez00, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 130 */
int BgL_offsetz00_1380;
BgL_offsetz00_1380 = 
(int)(BgL_objzd2classzd2numz00_1375); 
{ /* Llib/sqlite.scm 130 */
long BgL_offsetz00_1381;
BgL_offsetz00_1381 = 
(
(long)(BgL_offsetz00_1380)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 130 */
long BgL_modz00_1382;
BgL_modz00_1382 = 
(BgL_offsetz00_1381 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/sqlite.scm 130 */
long BgL_restz00_1384;
BgL_restz00_1384 = 
(BgL_offsetz00_1381 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/sqlite.scm 130 */

{ /* Llib/sqlite.scm 130 */
obj_t BgL_bucketz00_1386;
BgL_bucketz00_1386 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_1376),BgL_modz00_1382); 
BgL_res2152z00_1410 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1386),BgL_restz00_1384); } } } } } } } } 
BgL_method1237z00_457 = BgL_res2152z00_1410; } 
{ /* Llib/sqlite.scm 130 */
obj_t BgL_auxz00_3092;
{ /* Llib/sqlite.scm 130 */
obj_t BgL_list1859z00_458;
{ /* Llib/sqlite.scm 130 */
obj_t BgL_arg1860z00_459;
BgL_arg1860z00_459 = 
MAKE_YOUNG_PAIR(BgL_argsz00_16, BNIL); 
BgL_list1859z00_458 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_15, BgL_arg1860z00_459); } 
BgL_auxz00_3092 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_14), BgL_list1859z00_458); } 
return 
apply(BgL_method1237z00_457, BgL_auxz00_3092);} } } 

}



/* &sqlite-exec */
obj_t BGl_z62sqlitezd2execzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1688, obj_t BgL_oz00_1689, obj_t BgL_fmtz00_1690, obj_t BgL_argsz00_1691)
{
{ /* Llib/sqlite.scm 130 */
{ /* Llib/sqlite.scm 130 */
obj_t BgL_auxz00_3106;BgL_z52sqlitez52_bglt BgL_auxz00_3098;
if(
STRINGP(BgL_fmtz00_1690))
{ /* Llib/sqlite.scm 130 */
BgL_auxz00_3106 = BgL_fmtz00_1690
; }  else 
{ 
obj_t BgL_auxz00_3109;
BgL_auxz00_3109 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)5535)), BGl_string2327z00zz__sqlite_sqlitez00, BGl_string2263z00zz__sqlite_sqlitez00, BgL_fmtz00_1690); 
FAILURE(BgL_auxz00_3109,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1689, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 130 */
BgL_auxz00_3098 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_1689)
; }  else 
{ 
obj_t BgL_auxz00_3102;
BgL_auxz00_3102 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)5535)), BGl_string2327z00zz__sqlite_sqlitez00, BGl_string2262z00zz__sqlite_sqlitez00, BgL_oz00_1689); 
FAILURE(BgL_auxz00_3102,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(BgL_auxz00_3098, BgL_auxz00_3106, BgL_argsz00_1691);} } 

}



/* sqlite-eval */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2evalzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_20, obj_t BgL_pz00_21, obj_t BgL_fmtz00_22, obj_t BgL_argsz00_23)
{
{ /* Llib/sqlite.scm 168 */
{ /* Llib/sqlite.scm 168 */
obj_t BgL_method1241z00_460;
{ /* Llib/sqlite.scm 168 */
obj_t BgL_res2163z00_1447;
{ /* Llib/sqlite.scm 168 */
long BgL_objzd2classzd2numz00_1412;
{ /* Llib/sqlite.scm 168 */
long BgL_res2153z00_1415;
BgL_res2153z00_1415 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_20)); 
BgL_objzd2classzd2numz00_1412 = BgL_res2153z00_1415; } 
{ /* Llib/sqlite.scm 168 */
obj_t BgL_arg1741z00_1413;
BgL_arg1741z00_1413 = 
PROCEDURE_REF(BGl_sqlitezd2evalzd2envz00zz__sqlite_sqlitez00, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 168 */
int BgL_offsetz00_1417;
BgL_offsetz00_1417 = 
(int)(BgL_objzd2classzd2numz00_1412); 
{ /* Llib/sqlite.scm 168 */
long BgL_offsetz00_1418;
BgL_offsetz00_1418 = 
(
(long)(BgL_offsetz00_1417)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 168 */
long BgL_modz00_1419;
BgL_modz00_1419 = 
(BgL_offsetz00_1418 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/sqlite.scm 168 */
long BgL_restz00_1421;
BgL_restz00_1421 = 
(BgL_offsetz00_1418 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/sqlite.scm 168 */

{ /* Llib/sqlite.scm 168 */
obj_t BgL_bucketz00_1423;
BgL_bucketz00_1423 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_1413),BgL_modz00_1419); 
BgL_res2163z00_1447 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1423),BgL_restz00_1421); } } } } } } } } 
BgL_method1241z00_460 = BgL_res2163z00_1447; } 
{ /* Llib/sqlite.scm 168 */
obj_t BgL_auxz00_3139;
{ /* Llib/sqlite.scm 168 */
obj_t BgL_list1861z00_461;
{ /* Llib/sqlite.scm 168 */
obj_t BgL_arg1862z00_462;
{ /* Llib/sqlite.scm 168 */
obj_t BgL_arg1863z00_463;
BgL_arg1863z00_463 = 
MAKE_YOUNG_PAIR(BgL_argsz00_23, BNIL); 
BgL_arg1862z00_462 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_22, BgL_arg1863z00_463); } 
BgL_list1861z00_461 = 
MAKE_YOUNG_PAIR(BgL_pz00_21, BgL_arg1862z00_462); } 
BgL_auxz00_3139 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_20), BgL_list1861z00_461); } 
return 
apply(BgL_method1241z00_460, BgL_auxz00_3139);} } } 

}



/* &sqlite-eval */
obj_t BGl_z62sqlitezd2evalzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1692, obj_t BgL_oz00_1693, obj_t BgL_pz00_1694, obj_t BgL_fmtz00_1695, obj_t BgL_argsz00_1696)
{
{ /* Llib/sqlite.scm 168 */
{ /* Llib/sqlite.scm 168 */
obj_t BgL_auxz00_3161;obj_t BgL_auxz00_3154;BgL_z52sqlitez52_bglt BgL_auxz00_3146;
if(
STRINGP(BgL_fmtz00_1695))
{ /* Llib/sqlite.scm 168 */
BgL_auxz00_3161 = BgL_fmtz00_1695
; }  else 
{ 
obj_t BgL_auxz00_3164;
BgL_auxz00_3164 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)7006)), BGl_string2328z00zz__sqlite_sqlitez00, BGl_string2263z00zz__sqlite_sqlitez00, BgL_fmtz00_1695); 
FAILURE(BgL_auxz00_3164,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_pz00_1694))
{ /* Llib/sqlite.scm 168 */
BgL_auxz00_3154 = BgL_pz00_1694
; }  else 
{ 
obj_t BgL_auxz00_3157;
BgL_auxz00_3157 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)7006)), BGl_string2328z00zz__sqlite_sqlitez00, BGl_string2329z00zz__sqlite_sqlitez00, BgL_pz00_1694); 
FAILURE(BgL_auxz00_3157,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1693, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 168 */
BgL_auxz00_3146 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_1693)
; }  else 
{ 
obj_t BgL_auxz00_3150;
BgL_auxz00_3150 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)7006)), BGl_string2328z00zz__sqlite_sqlitez00, BGl_string2262z00zz__sqlite_sqlitez00, BgL_oz00_1693); 
FAILURE(BgL_auxz00_3150,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2evalzd2zz__sqlite_sqlitez00(BgL_auxz00_3146, BgL_auxz00_3154, BgL_auxz00_3161, BgL_argsz00_1696);} } 

}



/* sqlite-map */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_28, obj_t BgL_pz00_29, obj_t BgL_fmtz00_30, obj_t BgL_argsz00_31)
{
{ /* Llib/sqlite.scm 189 */
{ /* Llib/sqlite.scm 189 */
obj_t BgL_method1245z00_464;
{ /* Llib/sqlite.scm 189 */
obj_t BgL_res2174z00_1484;
{ /* Llib/sqlite.scm 189 */
long BgL_objzd2classzd2numz00_1449;
{ /* Llib/sqlite.scm 189 */
long BgL_res2164z00_1452;
BgL_res2164z00_1452 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_28)); 
BgL_objzd2classzd2numz00_1449 = BgL_res2164z00_1452; } 
{ /* Llib/sqlite.scm 189 */
obj_t BgL_arg1741z00_1450;
BgL_arg1741z00_1450 = 
PROCEDURE_REF(BGl_sqlitezd2mapzd2envz00zz__sqlite_sqlitez00, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 189 */
int BgL_offsetz00_1454;
BgL_offsetz00_1454 = 
(int)(BgL_objzd2classzd2numz00_1449); 
{ /* Llib/sqlite.scm 189 */
long BgL_offsetz00_1455;
BgL_offsetz00_1455 = 
(
(long)(BgL_offsetz00_1454)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 189 */
long BgL_modz00_1456;
BgL_modz00_1456 = 
(BgL_offsetz00_1455 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/sqlite.scm 189 */
long BgL_restz00_1458;
BgL_restz00_1458 = 
(BgL_offsetz00_1455 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/sqlite.scm 189 */

{ /* Llib/sqlite.scm 189 */
obj_t BgL_bucketz00_1460;
BgL_bucketz00_1460 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_1450),BgL_modz00_1456); 
BgL_res2174z00_1484 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1460),BgL_restz00_1458); } } } } } } } } 
BgL_method1245z00_464 = BgL_res2174z00_1484; } 
{ /* Llib/sqlite.scm 189 */
obj_t BgL_auxz00_3194;
{ /* Llib/sqlite.scm 189 */
obj_t BgL_list1864z00_465;
{ /* Llib/sqlite.scm 189 */
obj_t BgL_arg1865z00_466;
{ /* Llib/sqlite.scm 189 */
obj_t BgL_arg1866z00_467;
BgL_arg1866z00_467 = 
MAKE_YOUNG_PAIR(BgL_argsz00_31, BNIL); 
BgL_arg1865z00_466 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_30, BgL_arg1866z00_467); } 
BgL_list1864z00_465 = 
MAKE_YOUNG_PAIR(BgL_pz00_29, BgL_arg1865z00_466); } 
BgL_auxz00_3194 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_28), BgL_list1864z00_465); } 
return 
apply(BgL_method1245z00_464, BgL_auxz00_3194);} } } 

}



/* &sqlite-map */
obj_t BGl_z62sqlitezd2mapzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1697, obj_t BgL_oz00_1698, obj_t BgL_pz00_1699, obj_t BgL_fmtz00_1700, obj_t BgL_argsz00_1701)
{
{ /* Llib/sqlite.scm 189 */
{ /* Llib/sqlite.scm 189 */
obj_t BgL_auxz00_3216;obj_t BgL_auxz00_3209;BgL_z52sqlitez52_bglt BgL_auxz00_3201;
if(
STRINGP(BgL_fmtz00_1700))
{ /* Llib/sqlite.scm 189 */
BgL_auxz00_3216 = BgL_fmtz00_1700
; }  else 
{ 
obj_t BgL_auxz00_3219;
BgL_auxz00_3219 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)7865)), BGl_string2330z00zz__sqlite_sqlitez00, BGl_string2263z00zz__sqlite_sqlitez00, BgL_fmtz00_1700); 
FAILURE(BgL_auxz00_3219,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_pz00_1699))
{ /* Llib/sqlite.scm 189 */
BgL_auxz00_3209 = BgL_pz00_1699
; }  else 
{ 
obj_t BgL_auxz00_3212;
BgL_auxz00_3212 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)7865)), BGl_string2330z00zz__sqlite_sqlitez00, BGl_string2329z00zz__sqlite_sqlitez00, BgL_pz00_1699); 
FAILURE(BgL_auxz00_3212,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_1698, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 189 */
BgL_auxz00_3201 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_1698)
; }  else 
{ 
obj_t BgL_auxz00_3205;
BgL_auxz00_3205 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)7865)), BGl_string2330z00zz__sqlite_sqlitez00, BGl_string2262z00zz__sqlite_sqlitez00, BgL_oz00_1698); 
FAILURE(BgL_auxz00_3205,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_auxz00_3201, BgL_auxz00_3209, BgL_auxz00_3216, BgL_argsz00_1701);} } 

}



/* sqlite-dump-table */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2dumpzd2tablez00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_45, obj_t BgL_tablez00_46, obj_t BgL_outz00_47)
{
{ /* Llib/sqlite.scm 248 */
{ /* Llib/sqlite.scm 248 */
obj_t BgL_method1249z00_468;
{ /* Llib/sqlite.scm 248 */
obj_t BgL_res2185z00_1521;
{ /* Llib/sqlite.scm 248 */
long BgL_objzd2classzd2numz00_1486;
{ /* Llib/sqlite.scm 248 */
long BgL_res2175z00_1489;
BgL_res2175z00_1489 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dbz00_45)); 
BgL_objzd2classzd2numz00_1486 = BgL_res2175z00_1489; } 
{ /* Llib/sqlite.scm 248 */
obj_t BgL_arg1741z00_1487;
BgL_arg1741z00_1487 = 
PROCEDURE_REF(BGl_sqlitezd2dumpzd2tablezd2envzd2zz__sqlite_sqlitez00, 
(int)(((long)1))); 
{ /* Llib/sqlite.scm 248 */
int BgL_offsetz00_1491;
BgL_offsetz00_1491 = 
(int)(BgL_objzd2classzd2numz00_1486); 
{ /* Llib/sqlite.scm 248 */
long BgL_offsetz00_1492;
BgL_offsetz00_1492 = 
(
(long)(BgL_offsetz00_1491)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 248 */
long BgL_modz00_1493;
BgL_modz00_1493 = 
(BgL_offsetz00_1492 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/sqlite.scm 248 */
long BgL_restz00_1495;
BgL_restz00_1495 = 
(BgL_offsetz00_1492 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/sqlite.scm 248 */

{ /* Llib/sqlite.scm 248 */
obj_t BgL_bucketz00_1497;
BgL_bucketz00_1497 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_1487),BgL_modz00_1493); 
BgL_res2185z00_1521 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1497),BgL_restz00_1495); } } } } } } } } 
BgL_method1249z00_468 = BgL_res2185z00_1521; } 
return 
PROCEDURE_ENTRY(BgL_method1249z00_468)(BgL_method1249z00_468, 
((obj_t)BgL_dbz00_45), BgL_tablez00_46, BgL_outz00_47, BEOA);} } 

}



/* &sqlite-dump-table */
obj_t BGl_z62sqlitezd2dumpzd2tablez62zz__sqlite_sqlitez00(obj_t BgL_envz00_1702, obj_t BgL_dbz00_1703, obj_t BgL_tablez00_1704, obj_t BgL_outz00_1705)
{
{ /* Llib/sqlite.scm 248 */
{ /* Llib/sqlite.scm 248 */
obj_t BgL_auxz00_3271;obj_t BgL_auxz00_3264;BgL_z52sqlitez52_bglt BgL_auxz00_3256;
if(
OUTPUT_PORTP(BgL_outz00_1705))
{ /* Llib/sqlite.scm 248 */
BgL_auxz00_3271 = BgL_outz00_1705
; }  else 
{ 
obj_t BgL_auxz00_3274;
BgL_auxz00_3274 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)10490)), BGl_string2331z00zz__sqlite_sqlitez00, BGl_string2274z00zz__sqlite_sqlitez00, BgL_outz00_1705); 
FAILURE(BgL_auxz00_3274,BFALSE,BFALSE);} 
if(
STRINGP(BgL_tablez00_1704))
{ /* Llib/sqlite.scm 248 */
BgL_auxz00_3264 = BgL_tablez00_1704
; }  else 
{ 
obj_t BgL_auxz00_3267;
BgL_auxz00_3267 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)10490)), BGl_string2331z00zz__sqlite_sqlitez00, BGl_string2263z00zz__sqlite_sqlitez00, BgL_tablez00_1704); 
FAILURE(BgL_auxz00_3267,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1703, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 248 */
BgL_auxz00_3256 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1703)
; }  else 
{ 
obj_t BgL_auxz00_3260;
BgL_auxz00_3260 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2254z00zz__sqlite_sqlitez00, 
BINT(((long)10490)), BGl_string2331z00zz__sqlite_sqlitez00, BGl_string2262z00zz__sqlite_sqlitez00, BgL_dbz00_1703); 
FAILURE(BgL_auxz00_3260,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2dumpzd2tablez00zz__sqlite_sqlitez00(BgL_auxz00_3256, BgL_auxz00_3264, BgL_auxz00_3271);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__sqlite_sqlitez00()
{
{ /* Llib/sqlite.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2332z00zz__sqlite_sqlitez00, BGl_string2333z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2writezd2envz00zz__objectz00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2334z00zz__sqlite_sqlitez00, BGl_string2335z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2336z00zz__sqlite_sqlitez00, BGl_string2337z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2closezd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2338z00zz__sqlite_sqlitez00, BGl_string2339z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2execzd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2340z00zz__sqlite_sqlitez00, BGl_string2341z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2evalzd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2342z00zz__sqlite_sqlitez00, BGl_string2343z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2mapzd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2344z00zz__sqlite_sqlitez00, BGl_string2345z00zz__sqlite_sqlitez00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2dumpzd2tablezd2envzd2zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2346z00zz__sqlite_sqlitez00, BGl_string2347z00zz__sqlite_sqlitez00);} 

}



/* &sqlite-dump-table-sq1251 */
obj_t BGl_z62sqlitezd2dumpzd2tablezd2sq1251zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1748, obj_t BgL_dbz00_1749, obj_t BgL_tablez00_1750, obj_t BgL_outz00_1751)
{
{ /* Llib/sqlite.scm 255 */
{ /* Llib/sqlite.scm 256 */
obj_t BgL_arg2050z00_2171;
{ /* Llib/sqlite.scm 256 */
obj_t BgL_arg2052z00_2172;
BgL_arg2052z00_2172 = 
string_append(BGl_string2348z00zz__sqlite_sqlitez00, BgL_tablez00_1750); 
BgL_arg2050z00_2171 = 
BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(
((BgL_z52sqlitez52_bglt)
((BgL_sqlitez00_bglt)BgL_dbz00_1749)), BgL_arg2052z00_2172, BNIL); } 
{ /* Llib/sqlite.scm 256 */
obj_t BgL_list2051z00_2173;
BgL_list2051z00_2173 = 
MAKE_YOUNG_PAIR(BgL_outz00_1751, BNIL); 
return 
BGl_writez00zz__r4_output_6_10_3z00(BgL_arg2050z00_2171, BgL_list2051z00_2173);} } } 

}



/* &sqlite-map-sqlite1247 */
obj_t BGl_z62sqlitezd2mapzd2sqlite1247z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1752, obj_t BgL_oz00_1753, obj_t BgL_pz00_1754, obj_t BgL_fmtz00_1755, obj_t BgL_argsz00_1756)
{
{ /* Llib/sqlite.scm 197 */
{ /* Llib/sqlite.scm 198 */
obj_t BgL_excz00_2177;
BgL_excz00_2177 = 
MAKE_CELL(BFALSE); 
{ /* Llib/sqlite.scm 198 */
obj_t BgL_pz00_2178;
{ 

{ /* Llib/sqlite.scm 199 */
int BgL_aux1156z00_2181;
BgL_aux1156z00_2181 = 
PROCEDURE_ARITY(
((obj_t)BgL_pz00_1754)); 
switch( 
(long)(BgL_aux1156z00_2181)) { case ((long)1) : 

{ /* Llib/sqlite.scm 199 */
obj_t BgL_zc3z04anonymousza31982ze3z87_2182;
BgL_zc3z04anonymousza31982ze3z87_2182 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31982ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31982ze3z87_2182, 
(int)(((long)0)), 
((obj_t)BgL_excz00_2177)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31982ze3z87_2182, 
(int)(((long)1)), 
((obj_t)BgL_pz00_1754)); 
BgL_pz00_2178 = BgL_zc3z04anonymousza31982ze3z87_2182; } break;case ((long)2) : 

{ /* Llib/sqlite.scm 199 */
obj_t BgL_zc3z04anonymousza31995ze3z87_2183;
BgL_zc3z04anonymousza31995ze3z87_2183 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31995ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)2)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31995ze3z87_2183, 
(int)(((long)0)), 
((obj_t)BgL_excz00_2177)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31995ze3z87_2183, 
(int)(((long)1)), 
((obj_t)BgL_pz00_1754)); 
BgL_pz00_2178 = BgL_zc3z04anonymousza31995ze3z87_2183; } break;case ((long)3) : 

{ /* Llib/sqlite.scm 199 */
obj_t BgL_zc3z04anonymousza32008ze3z87_2184;
BgL_zc3z04anonymousza32008ze3z87_2184 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32008ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)3)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32008ze3z87_2184, 
(int)(((long)0)), 
((obj_t)BgL_excz00_2177)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32008ze3z87_2184, 
(int)(((long)1)), 
((obj_t)BgL_pz00_1754)); 
BgL_pz00_2178 = BgL_zc3z04anonymousza32008ze3z87_2184; } break;case ((long)4) : 

{ /* Llib/sqlite.scm 199 */
obj_t BgL_zc3z04anonymousza32021ze3z87_2185;
BgL_zc3z04anonymousza32021ze3z87_2185 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32021ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)4)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32021ze3z87_2185, 
(int)(((long)0)), 
((obj_t)BgL_excz00_2177)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32021ze3z87_2185, 
(int)(((long)1)), 
((obj_t)BgL_pz00_1754)); 
BgL_pz00_2178 = BgL_zc3z04anonymousza32021ze3z87_2185; } break;
default: 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_zc3z04anonymousza32034ze3z87_2180;
BgL_zc3z04anonymousza32034ze3z87_2180 = 
MAKE_VA_PROCEDURE(BGl_z62zc3z04anonymousza32034ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)-1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32034ze3z87_2180, 
(int)(((long)0)), 
((obj_t)BgL_excz00_2177)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32034ze3z87_2180, 
(int)(((long)1)), 
((obj_t)BgL_pz00_1754)); 
BgL_pz00_2178 = BgL_zc3z04anonymousza32034ze3z87_2180; } } } } 
{ /* Llib/sqlite.scm 199 */

{ /* Llib/sqlite.scm 200 */
obj_t BgL_exitd1205z00_2186;
BgL_exitd1205z00_2186 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/sqlite.scm 205 */
obj_t BgL_zc3z04anonymousza31980ze3z87_2187;
BgL_zc3z04anonymousza31980ze3z87_2187 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31980ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31980ze3z87_2187, 
(int)(((long)0)), 
((obj_t)BgL_excz00_2177)); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1205z00_2186, BgL_zc3z04anonymousza31980ze3z87_2187); 
{ /* Llib/sqlite.scm 201 */
obj_t BgL_tmp1207z00_2188;
if(
NULLP(BgL_argsz00_1756))
{ /* Llib/sqlite.scm 203 */
void * BgL_arg1974z00_2189;
BgL_arg1974z00_2189 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1753)))->BgL_z42builtinz42); 
BgL_tmp1207z00_2188 = 
bgl_sqlite_map(BgL_arg1974z00_2189, BgL_pz00_2178, 
BSTRING_TO_STRING(
((obj_t)BgL_fmtz00_1755)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1753))); }  else 
{ /* Llib/sqlite.scm 204 */
void * BgL_arg1975z00_2190;obj_t BgL_arg1976z00_2191;
BgL_arg1975z00_2190 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1753)))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 204 */
obj_t BgL_runner1979z00_2192;
{ /* Llib/sqlite.scm 204 */
obj_t BgL_list1977z00_2193;
BgL_list1977z00_2193 = 
MAKE_YOUNG_PAIR(BgL_argsz00_1756, BNIL); 
BgL_runner1979z00_2192 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_1755), BgL_list1977z00_2193); } 
{ /* Llib/sqlite.scm 204 */
obj_t BgL_aux1978z00_2194;
BgL_aux1978z00_2194 = 
CAR(BgL_runner1979z00_2192); 
BgL_runner1979z00_2192 = 
CDR(BgL_runner1979z00_2192); 
BgL_arg1976z00_2191 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1978z00_2194, BgL_runner1979z00_2192); } } 
BgL_tmp1207z00_2188 = 
bgl_sqlite_map(BgL_arg1975z00_2190, BgL_pz00_2178, 
BSTRING_TO_STRING(BgL_arg1976z00_2191), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1753))); } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1205z00_2186); 
if(
CBOOL(
CELL_REF(BgL_excz00_2177)))
{ /* Llib/sqlite.scm 205 */
BGl_raisez00zz__errorz00(
CELL_REF(BgL_excz00_2177)); }  else 
{ /* Llib/sqlite.scm 205 */BFALSE; } 
return BgL_tmp1207z00_2188;} } } } } } } 

}



/* &<@anonymous:1980> */
obj_t BGl_z62zc3z04anonymousza31980ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1759)
{
{ /* Llib/sqlite.scm 200 */
{ /* Llib/sqlite.scm 205 */
obj_t BgL_excz00_1760;
BgL_excz00_1760 = 
PROCEDURE_REF(BgL_envz00_1759, 
(int)(((long)0))); 
if(
CBOOL(
CELL_REF(BgL_excz00_1760)))
{ /* Llib/sqlite.scm 205 */
return 
BGl_raisez00zz__errorz00(
CELL_REF(BgL_excz00_1760));}  else 
{ /* Llib/sqlite.scm 205 */
return BFALSE;} } } 

}



/* &<@anonymous:2021> */
obj_t BGl_z62zc3z04anonymousza32021ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1761, obj_t BgL_xz00_1764, obj_t BgL_yz00_1765, obj_t BgL_za7za7_1766, obj_t BgL_tz00_1767)
{
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
obj_t BgL_excz00_1762;obj_t BgL_pz00_1763;
BgL_excz00_1762 = 
PROCEDURE_REF(BgL_envz00_1761, 
(int)(((long)0))); 
BgL_pz00_1763 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1761, 
(int)(((long)1)))); 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_res1195z00_2195;
BgL_res1195z00_2195 = 
MAKE_CELL(BUNSPEC); 
if(
CBOOL(
BGl_zc3z04exitza32028ze3ze70z60zz__sqlite_sqlitez00(BgL_tz00_1767, BgL_za7za7_1766, BgL_yz00_1765, BgL_xz00_1764, BgL_pz00_1763, BgL_res1195z00_2195)))
{ /* Llib/sqlite.scm 199 */
obj_t BgL_ez00_2196;
BgL_ez00_2196 = 
CELL_REF(BgL_res1195z00_2195); 
return 
CELL_SET(BgL_excz00_1762, BgL_ez00_2196);}  else 
{ /* Llib/sqlite.scm 199 */
return 
CELL_REF(BgL_res1195z00_2195);} } } } 

}



/* <@exit:2028>~0 */
obj_t BGl_zc3z04exitza32028ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_tz00_2003, obj_t BgL_za7za7_2002, obj_t BgL_yz00_2001, obj_t BgL_xz00_2000, obj_t BgL_pz00_1999, obj_t BgL_res1195z00_1998)
{
{ /* Llib/sqlite.scm 199 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1201z00_953;
if( SET_EXIT(BgL_an_exit1201z00_953) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1201z00_953 = 
(void *)jmpbuf; 
{ /* Llib/sqlite.scm 199 */

PUSH_EXIT(BgL_an_exit1201z00_953, ((long)1)); 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_an_exitd1202z00_954;
BgL_an_exitd1202z00_954 = 
((obj_t)(&exitd)); 
{ /* Llib/sqlite.scm 199 */
bool_t BgL_res1204z00_957;
{ /* Llib/sqlite.scm 199 */
obj_t BgL_ohs1193z00_958;
BgL_ohs1193z00_958 = 
BGL_ERROR_HANDLER_GET(); 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_exitd1198z00_959;
BgL_exitd1198z00_959 = 
((obj_t)(&exitd)); 
{ 
obj_t BgL_zc3z04anonymousza32032ze3z87_1716;
BgL_zc3z04anonymousza32032ze3z87_1716 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32032ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32032ze3z87_1716, 
(int)(((long)0)), BgL_ohs1193z00_958); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1198z00_959, BgL_zc3z04anonymousza32032ze3z87_1716); 
{ /* Llib/sqlite.scm 199 */
bool_t BgL_tmp1200z00_961;
{ /* Llib/sqlite.scm 199 */
obj_t BgL_arg2029z00_962;
{ /* Llib/sqlite.scm 199 */
obj_t BgL_zc3z04anonymousza32031ze3z87_1717;
BgL_zc3z04anonymousza32031ze3z87_1717 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32031ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32031ze3z87_1717, 
(int)(((long)0)), 
((obj_t)BgL_res1195z00_1998)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32031ze3z87_1717, 
(int)(((long)1)), BgL_an_exitd1202z00_954); 
BgL_arg2029z00_962 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32031ze3z87_1717, BgL_ohs1193z00_958); } 
BGL_ERROR_HANDLER_SET(BgL_arg2029z00_962); BUNSPEC; } 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_auxz00_1769;
BgL_auxz00_1769 = 
PROCEDURE_ENTRY(BgL_pz00_1999)(BgL_pz00_1999, BgL_xz00_2000, BgL_yz00_2001, BgL_za7za7_2002, BgL_tz00_2003, BEOA); 
CELL_SET(BgL_res1195z00_1998, BgL_auxz00_1769); } 
BgL_tmp1200z00_961 = ((bool_t)0); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1198z00_959); 
BGL_ERROR_HANDLER_SET(BgL_ohs1193z00_958); BUNSPEC; 
BgL_res1204z00_957 = BgL_tmp1200z00_961; } } } } 
POP_EXIT(); 
return 
BBOOL(BgL_res1204z00_957);} } } 
} } 

}



/* &<@anonymous:2031> */
obj_t BGl_z62zc3z04anonymousza32031ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1772, obj_t BgL_ez00_1775)
{
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
obj_t BgL_res1195z00_1773;obj_t BgL_an_exitd1202z00_1774;
BgL_res1195z00_1773 = 
PROCEDURE_REF(BgL_envz00_1772, 
(int)(((long)0))); 
BgL_an_exitd1202z00_1774 = 
PROCEDURE_REF(BgL_envz00_1772, 
(int)(((long)1))); 
CELL_SET(BgL_res1195z00_1773, BgL_ez00_1775); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1202z00_1774, BTRUE);} } 

}



/* &<@anonymous:2032> */
obj_t BGl_z62zc3z04anonymousza32032ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1777)
{
{ /* Llib/sqlite.scm 199 */
{ 
obj_t BgL_ohs1193z00_1778;
BgL_ohs1193z00_1778 = 
PROCEDURE_REF(BgL_envz00_1777, 
(int)(((long)0))); 
BGL_ERROR_HANDLER_SET(BgL_ohs1193z00_1778); 
return BUNSPEC;} } 

}



/* &<@anonymous:2008> */
obj_t BGl_z62zc3z04anonymousza32008ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1779, obj_t BgL_xz00_1782, obj_t BgL_yz00_1783, obj_t BgL_za7za7_1784)
{
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
obj_t BgL_excz00_1780;obj_t BgL_pz00_1781;
BgL_excz00_1780 = 
PROCEDURE_REF(BgL_envz00_1779, 
(int)(((long)0))); 
BgL_pz00_1781 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1779, 
(int)(((long)1)))); 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_res1183z00_2197;
BgL_res1183z00_2197 = 
MAKE_CELL(BUNSPEC); 
if(
CBOOL(
BGl_zc3z04exitza32015ze3ze70z60zz__sqlite_sqlitez00(BgL_za7za7_1784, BgL_yz00_1783, BgL_xz00_1782, BgL_pz00_1781, BgL_res1183z00_2197)))
{ /* Llib/sqlite.scm 199 */
obj_t BgL_ez00_2198;
BgL_ez00_2198 = 
CELL_REF(BgL_res1183z00_2197); 
return 
CELL_SET(BgL_excz00_1780, BgL_ez00_2198);}  else 
{ /* Llib/sqlite.scm 199 */
return 
CELL_REF(BgL_res1183z00_2197);} } } } 

}



/* <@exit:2015>~0 */
obj_t BGl_zc3z04exitza32015ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_za7za7_1997, obj_t BgL_yz00_1996, obj_t BgL_xz00_1995, obj_t BgL_pz00_1994, obj_t BgL_res1183z00_1993)
{
{ /* Llib/sqlite.scm 199 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1189z00_908;
if( SET_EXIT(BgL_an_exit1189z00_908) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1189z00_908 = 
(void *)jmpbuf; 
{ /* Llib/sqlite.scm 199 */

PUSH_EXIT(BgL_an_exit1189z00_908, ((long)1)); 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_an_exitd1190z00_909;
BgL_an_exitd1190z00_909 = 
((obj_t)(&exitd)); 
{ /* Llib/sqlite.scm 199 */
bool_t BgL_res1192z00_912;
{ /* Llib/sqlite.scm 199 */
obj_t BgL_ohs1181z00_913;
BgL_ohs1181z00_913 = 
BGL_ERROR_HANDLER_GET(); 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_exitd1186z00_914;
BgL_exitd1186z00_914 = 
((obj_t)(&exitd)); 
{ 
obj_t BgL_zc3z04anonymousza32019ze3z87_1713;
BgL_zc3z04anonymousza32019ze3z87_1713 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32019ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32019ze3z87_1713, 
(int)(((long)0)), BgL_ohs1181z00_913); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1186z00_914, BgL_zc3z04anonymousza32019ze3z87_1713); 
{ /* Llib/sqlite.scm 199 */
bool_t BgL_tmp1188z00_916;
{ /* Llib/sqlite.scm 199 */
obj_t BgL_arg2016z00_917;
{ /* Llib/sqlite.scm 199 */
obj_t BgL_zc3z04anonymousza32018ze3z87_1714;
BgL_zc3z04anonymousza32018ze3z87_1714 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32018ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32018ze3z87_1714, 
(int)(((long)0)), 
((obj_t)BgL_res1183z00_1993)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32018ze3z87_1714, 
(int)(((long)1)), BgL_an_exitd1190z00_909); 
BgL_arg2016z00_917 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32018ze3z87_1714, BgL_ohs1181z00_913); } 
BGL_ERROR_HANDLER_SET(BgL_arg2016z00_917); BUNSPEC; } 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_auxz00_1786;
BgL_auxz00_1786 = 
PROCEDURE_ENTRY(BgL_pz00_1994)(BgL_pz00_1994, BgL_xz00_1995, BgL_yz00_1996, BgL_za7za7_1997, BEOA); 
CELL_SET(BgL_res1183z00_1993, BgL_auxz00_1786); } 
BgL_tmp1188z00_916 = ((bool_t)0); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1186z00_914); 
BGL_ERROR_HANDLER_SET(BgL_ohs1181z00_913); BUNSPEC; 
BgL_res1192z00_912 = BgL_tmp1188z00_916; } } } } 
POP_EXIT(); 
return 
BBOOL(BgL_res1192z00_912);} } } 
} } 

}



/* &<@anonymous:2018> */
obj_t BGl_z62zc3z04anonymousza32018ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1789, obj_t BgL_ez00_1792)
{
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
obj_t BgL_res1183z00_1790;obj_t BgL_an_exitd1190z00_1791;
BgL_res1183z00_1790 = 
PROCEDURE_REF(BgL_envz00_1789, 
(int)(((long)0))); 
BgL_an_exitd1190z00_1791 = 
PROCEDURE_REF(BgL_envz00_1789, 
(int)(((long)1))); 
CELL_SET(BgL_res1183z00_1790, BgL_ez00_1792); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1190z00_1791, BTRUE);} } 

}



/* &<@anonymous:2019> */
obj_t BGl_z62zc3z04anonymousza32019ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1794)
{
{ /* Llib/sqlite.scm 199 */
{ 
obj_t BgL_ohs1181z00_1795;
BgL_ohs1181z00_1795 = 
PROCEDURE_REF(BgL_envz00_1794, 
(int)(((long)0))); 
BGL_ERROR_HANDLER_SET(BgL_ohs1181z00_1795); 
return BUNSPEC;} } 

}



/* &<@anonymous:1995> */
obj_t BGl_z62zc3z04anonymousza31995ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1796, obj_t BgL_xz00_1799, obj_t BgL_yz00_1800)
{
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
obj_t BgL_excz00_1797;obj_t BgL_pz00_1798;
BgL_excz00_1797 = 
PROCEDURE_REF(BgL_envz00_1796, 
(int)(((long)0))); 
BgL_pz00_1798 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1796, 
(int)(((long)1)))); 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_res1171z00_2199;
BgL_res1171z00_2199 = 
MAKE_CELL(BUNSPEC); 
if(
CBOOL(
BGl_zc3z04exitza32002ze3ze70z60zz__sqlite_sqlitez00(BgL_yz00_1800, BgL_xz00_1799, BgL_pz00_1798, BgL_res1171z00_2199)))
{ /* Llib/sqlite.scm 199 */
obj_t BgL_ez00_2200;
BgL_ez00_2200 = 
CELL_REF(BgL_res1171z00_2199); 
return 
CELL_SET(BgL_excz00_1797, BgL_ez00_2200);}  else 
{ /* Llib/sqlite.scm 199 */
return 
CELL_REF(BgL_res1171z00_2199);} } } } 

}



/* <@exit:2002>~0 */
obj_t BGl_zc3z04exitza32002ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_yz00_1992, obj_t BgL_xz00_1991, obj_t BgL_pz00_1990, obj_t BgL_res1171z00_1989)
{
{ /* Llib/sqlite.scm 199 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1177z00_864;
if( SET_EXIT(BgL_an_exit1177z00_864) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1177z00_864 = 
(void *)jmpbuf; 
{ /* Llib/sqlite.scm 199 */

PUSH_EXIT(BgL_an_exit1177z00_864, ((long)1)); 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_an_exitd1178z00_865;
BgL_an_exitd1178z00_865 = 
((obj_t)(&exitd)); 
{ /* Llib/sqlite.scm 199 */
bool_t BgL_res1180z00_868;
{ /* Llib/sqlite.scm 199 */
obj_t BgL_ohs1169z00_869;
BgL_ohs1169z00_869 = 
BGL_ERROR_HANDLER_GET(); 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_exitd1174z00_870;
BgL_exitd1174z00_870 = 
((obj_t)(&exitd)); 
{ 
obj_t BgL_zc3z04anonymousza32006ze3z87_1710;
BgL_zc3z04anonymousza32006ze3z87_1710 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32006ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32006ze3z87_1710, 
(int)(((long)0)), BgL_ohs1169z00_869); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1174z00_870, BgL_zc3z04anonymousza32006ze3z87_1710); 
{ /* Llib/sqlite.scm 199 */
bool_t BgL_tmp1176z00_872;
{ /* Llib/sqlite.scm 199 */
obj_t BgL_arg2003z00_873;
{ /* Llib/sqlite.scm 199 */
obj_t BgL_zc3z04anonymousza32005ze3z87_1711;
BgL_zc3z04anonymousza32005ze3z87_1711 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32005ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32005ze3z87_1711, 
(int)(((long)0)), 
((obj_t)BgL_res1171z00_1989)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32005ze3z87_1711, 
(int)(((long)1)), BgL_an_exitd1178z00_865); 
BgL_arg2003z00_873 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32005ze3z87_1711, BgL_ohs1169z00_869); } 
BGL_ERROR_HANDLER_SET(BgL_arg2003z00_873); BUNSPEC; } 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_auxz00_1802;
BgL_auxz00_1802 = 
PROCEDURE_ENTRY(BgL_pz00_1990)(BgL_pz00_1990, BgL_xz00_1991, BgL_yz00_1992, BEOA); 
CELL_SET(BgL_res1171z00_1989, BgL_auxz00_1802); } 
BgL_tmp1176z00_872 = ((bool_t)0); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1174z00_870); 
BGL_ERROR_HANDLER_SET(BgL_ohs1169z00_869); BUNSPEC; 
BgL_res1180z00_868 = BgL_tmp1176z00_872; } } } } 
POP_EXIT(); 
return 
BBOOL(BgL_res1180z00_868);} } } 
} } 

}



/* &<@anonymous:2005> */
obj_t BGl_z62zc3z04anonymousza32005ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1805, obj_t BgL_ez00_1808)
{
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
obj_t BgL_res1171z00_1806;obj_t BgL_an_exitd1178z00_1807;
BgL_res1171z00_1806 = 
PROCEDURE_REF(BgL_envz00_1805, 
(int)(((long)0))); 
BgL_an_exitd1178z00_1807 = 
PROCEDURE_REF(BgL_envz00_1805, 
(int)(((long)1))); 
CELL_SET(BgL_res1171z00_1806, BgL_ez00_1808); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1178z00_1807, BTRUE);} } 

}



/* &<@anonymous:2006> */
obj_t BGl_z62zc3z04anonymousza32006ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1810)
{
{ /* Llib/sqlite.scm 199 */
{ 
obj_t BgL_ohs1169z00_1811;
BgL_ohs1169z00_1811 = 
PROCEDURE_REF(BgL_envz00_1810, 
(int)(((long)0))); 
BGL_ERROR_HANDLER_SET(BgL_ohs1169z00_1811); 
return BUNSPEC;} } 

}



/* &<@anonymous:1982> */
obj_t BGl_z62zc3z04anonymousza31982ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1812, obj_t BgL_xz00_1815)
{
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
obj_t BgL_excz00_1813;obj_t BgL_pz00_1814;
BgL_excz00_1813 = 
PROCEDURE_REF(BgL_envz00_1812, 
(int)(((long)0))); 
BgL_pz00_1814 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1812, 
(int)(((long)1)))); 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_res1159z00_2201;
BgL_res1159z00_2201 = 
MAKE_CELL(BUNSPEC); 
if(
CBOOL(
BGl_zc3z04exitza31989ze3ze70z60zz__sqlite_sqlitez00(BgL_xz00_1815, BgL_pz00_1814, BgL_res1159z00_2201)))
{ /* Llib/sqlite.scm 199 */
obj_t BgL_ez00_2202;
BgL_ez00_2202 = 
CELL_REF(BgL_res1159z00_2201); 
return 
CELL_SET(BgL_excz00_1813, BgL_ez00_2202);}  else 
{ /* Llib/sqlite.scm 199 */
return 
CELL_REF(BgL_res1159z00_2201);} } } } 

}



/* <@exit:1989>~0 */
obj_t BGl_zc3z04exitza31989ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_xz00_1988, obj_t BgL_pz00_1987, obj_t BgL_res1159z00_1986)
{
{ /* Llib/sqlite.scm 199 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1165z00_821;
if( SET_EXIT(BgL_an_exit1165z00_821) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1165z00_821 = 
(void *)jmpbuf; 
{ /* Llib/sqlite.scm 199 */

PUSH_EXIT(BgL_an_exit1165z00_821, ((long)1)); 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_an_exitd1166z00_822;
BgL_an_exitd1166z00_822 = 
((obj_t)(&exitd)); 
{ /* Llib/sqlite.scm 199 */
bool_t BgL_res1168z00_825;
{ /* Llib/sqlite.scm 199 */
obj_t BgL_ohs1157z00_826;
BgL_ohs1157z00_826 = 
BGL_ERROR_HANDLER_GET(); 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_exitd1162z00_827;
BgL_exitd1162z00_827 = 
((obj_t)(&exitd)); 
{ 
obj_t BgL_zc3z04anonymousza31993ze3z87_1707;
BgL_zc3z04anonymousza31993ze3z87_1707 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31993ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31993ze3z87_1707, 
(int)(((long)0)), BgL_ohs1157z00_826); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1162z00_827, BgL_zc3z04anonymousza31993ze3z87_1707); 
{ /* Llib/sqlite.scm 199 */
bool_t BgL_tmp1164z00_829;
{ /* Llib/sqlite.scm 199 */
obj_t BgL_arg1990z00_830;
{ /* Llib/sqlite.scm 199 */
obj_t BgL_zc3z04anonymousza31992ze3z87_1708;
BgL_zc3z04anonymousza31992ze3z87_1708 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31992ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31992ze3z87_1708, 
(int)(((long)0)), 
((obj_t)BgL_res1159z00_1986)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31992ze3z87_1708, 
(int)(((long)1)), BgL_an_exitd1166z00_822); 
BgL_arg1990z00_830 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31992ze3z87_1708, BgL_ohs1157z00_826); } 
BGL_ERROR_HANDLER_SET(BgL_arg1990z00_830); BUNSPEC; } 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_auxz00_1817;
BgL_auxz00_1817 = 
PROCEDURE_ENTRY(BgL_pz00_1987)(BgL_pz00_1987, BgL_xz00_1988, BEOA); 
CELL_SET(BgL_res1159z00_1986, BgL_auxz00_1817); } 
BgL_tmp1164z00_829 = ((bool_t)0); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1162z00_827); 
BGL_ERROR_HANDLER_SET(BgL_ohs1157z00_826); BUNSPEC; 
BgL_res1168z00_825 = BgL_tmp1164z00_829; } } } } 
POP_EXIT(); 
return 
BBOOL(BgL_res1168z00_825);} } } 
} } 

}



/* &<@anonymous:1992> */
obj_t BGl_z62zc3z04anonymousza31992ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1820, obj_t BgL_ez00_1823)
{
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
obj_t BgL_res1159z00_1821;obj_t BgL_an_exitd1166z00_1822;
BgL_res1159z00_1821 = 
PROCEDURE_REF(BgL_envz00_1820, 
(int)(((long)0))); 
BgL_an_exitd1166z00_1822 = 
PROCEDURE_REF(BgL_envz00_1820, 
(int)(((long)1))); 
CELL_SET(BgL_res1159z00_1821, BgL_ez00_1823); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1166z00_1822, BTRUE);} } 

}



/* &<@anonymous:1993> */
obj_t BGl_z62zc3z04anonymousza31993ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1825)
{
{ /* Llib/sqlite.scm 199 */
{ 
obj_t BgL_ohs1157z00_1826;
BgL_ohs1157z00_1826 = 
PROCEDURE_REF(BgL_envz00_1825, 
(int)(((long)0))); 
BGL_ERROR_HANDLER_SET(BgL_ohs1157z00_1826); 
return BUNSPEC;} } 

}



/* &<@anonymous:2034> */
obj_t BGl_z62zc3z04anonymousza32034ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1827, obj_t BgL_lz00_1830)
{
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
obj_t BgL_excz00_1828;obj_t BgL_pz00_1829;
BgL_excz00_1828 = 
PROCEDURE_REF(BgL_envz00_1827, 
(int)(((long)0))); 
BgL_pz00_1829 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1827, 
(int)(((long)1)))); 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_res1145z00_2203;
BgL_res1145z00_2203 = 
MAKE_CELL(BUNSPEC); 
if(
CBOOL(
BGl_zc3z04exitza32041ze3ze70z60zz__sqlite_sqlitez00(BgL_pz00_1829, BgL_lz00_1830, BgL_res1145z00_2203)))
{ /* Llib/sqlite.scm 199 */
obj_t BgL_ez00_2204;
BgL_ez00_2204 = 
CELL_REF(BgL_res1145z00_2203); 
return 
CELL_SET(BgL_excz00_1828, BgL_ez00_2204);}  else 
{ /* Llib/sqlite.scm 199 */
return 
CELL_REF(BgL_res1145z00_2203);} } } } 

}



/* <@exit:2041>~0 */
obj_t BGl_zc3z04exitza32041ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_pz00_1985, obj_t BgL_lz00_1984, obj_t BgL_res1145z00_1983)
{
{ /* Llib/sqlite.scm 199 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1151z00_995;
if( SET_EXIT(BgL_an_exit1151z00_995) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1151z00_995 = 
(void *)jmpbuf; 
{ /* Llib/sqlite.scm 199 */

PUSH_EXIT(BgL_an_exit1151z00_995, ((long)1)); 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_an_exitd1152z00_996;
BgL_an_exitd1152z00_996 = 
((obj_t)(&exitd)); 
{ /* Llib/sqlite.scm 199 */
bool_t BgL_res1154z00_999;
{ /* Llib/sqlite.scm 199 */
obj_t BgL_ohs1143z00_1000;
BgL_ohs1143z00_1000 = 
BGL_ERROR_HANDLER_GET(); 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_exitd1148z00_1001;
BgL_exitd1148z00_1001 = 
((obj_t)(&exitd)); 
{ 
obj_t BgL_zc3z04anonymousza32045ze3z87_1720;
BgL_zc3z04anonymousza32045ze3z87_1720 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32045ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32045ze3z87_1720, 
(int)(((long)0)), BgL_ohs1143z00_1000); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1148z00_1001, BgL_zc3z04anonymousza32045ze3z87_1720); 
{ /* Llib/sqlite.scm 199 */
bool_t BgL_tmp1150z00_1003;
{ /* Llib/sqlite.scm 199 */
obj_t BgL_arg2042z00_1004;
{ /* Llib/sqlite.scm 199 */
obj_t BgL_zc3z04anonymousza32044ze3z87_1721;
BgL_zc3z04anonymousza32044ze3z87_1721 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32044ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32044ze3z87_1721, 
(int)(((long)0)), 
((obj_t)BgL_res1145z00_1983)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32044ze3z87_1721, 
(int)(((long)1)), BgL_an_exitd1152z00_996); 
BgL_arg2042z00_1004 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32044ze3z87_1721, BgL_ohs1143z00_1000); } 
BGL_ERROR_HANDLER_SET(BgL_arg2042z00_1004); BUNSPEC; } 
{ /* Llib/sqlite.scm 199 */
obj_t BgL_auxz00_1832;
BgL_auxz00_1832 = 
apply(BgL_pz00_1985, BgL_lz00_1984); 
CELL_SET(BgL_res1145z00_1983, BgL_auxz00_1832); } 
BgL_tmp1150z00_1003 = ((bool_t)0); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1148z00_1001); 
BGL_ERROR_HANDLER_SET(BgL_ohs1143z00_1000); BUNSPEC; 
BgL_res1154z00_999 = BgL_tmp1150z00_1003; } } } } 
POP_EXIT(); 
return 
BBOOL(BgL_res1154z00_999);} } } 
} } 

}



/* &<@anonymous:2044> */
obj_t BGl_z62zc3z04anonymousza32044ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1835, obj_t BgL_ez00_1838)
{
{ /* Llib/sqlite.scm 199 */
{ /* Llib/sqlite.scm 199 */
obj_t BgL_res1145z00_1836;obj_t BgL_an_exitd1152z00_1837;
BgL_res1145z00_1836 = 
PROCEDURE_REF(BgL_envz00_1835, 
(int)(((long)0))); 
BgL_an_exitd1152z00_1837 = 
PROCEDURE_REF(BgL_envz00_1835, 
(int)(((long)1))); 
CELL_SET(BgL_res1145z00_1836, BgL_ez00_1838); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1152z00_1837, BTRUE);} } 

}



/* &<@anonymous:2045> */
obj_t BGl_z62zc3z04anonymousza32045ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1840)
{
{ /* Llib/sqlite.scm 199 */
{ 
obj_t BgL_ohs1143z00_1841;
BgL_ohs1143z00_1841 = 
PROCEDURE_REF(BgL_envz00_1840, 
(int)(((long)0))); 
BGL_ERROR_HANDLER_SET(BgL_ohs1143z00_1841); 
return BUNSPEC;} } 

}



/* &sqlite-eval-sqlite1243 */
obj_t BGl_z62sqlitezd2evalzd2sqlite1243z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1842, obj_t BgL_oz00_1843, obj_t BgL_pz00_1844, obj_t BgL_fmtz00_1845, obj_t BgL_argsz00_1846)
{
{ /* Llib/sqlite.scm 176 */
{ /* Llib/sqlite.scm 177 */
obj_t BgL_excz00_2208;
BgL_excz00_2208 = 
MAKE_CELL(BFALSE); 
{ /* Llib/sqlite.scm 177 */
obj_t BgL_pz00_2209;
{ 

{ /* Llib/sqlite.scm 178 */
int BgL_aux1089z00_2212;
BgL_aux1089z00_2212 = 
PROCEDURE_ARITY(
((obj_t)BgL_pz00_1844)); 
switch( 
(long)(BgL_aux1089z00_2212)) { case ((long)1) : 

{ /* Llib/sqlite.scm 178 */
obj_t BgL_zc3z04anonymousza31905ze3z87_2213;
BgL_zc3z04anonymousza31905ze3z87_2213 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31905ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31905ze3z87_2213, 
(int)(((long)0)), 
((obj_t)BgL_excz00_2208)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31905ze3z87_2213, 
(int)(((long)1)), 
((obj_t)BgL_pz00_1844)); 
BgL_pz00_2209 = BgL_zc3z04anonymousza31905ze3z87_2213; } break;case ((long)2) : 

{ /* Llib/sqlite.scm 178 */
obj_t BgL_zc3z04anonymousza31918ze3z87_2214;
BgL_zc3z04anonymousza31918ze3z87_2214 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31918ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)2)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31918ze3z87_2214, 
(int)(((long)0)), 
((obj_t)BgL_excz00_2208)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31918ze3z87_2214, 
(int)(((long)1)), 
((obj_t)BgL_pz00_1844)); 
BgL_pz00_2209 = BgL_zc3z04anonymousza31918ze3z87_2214; } break;case ((long)3) : 

{ /* Llib/sqlite.scm 178 */
obj_t BgL_zc3z04anonymousza31931ze3z87_2215;
BgL_zc3z04anonymousza31931ze3z87_2215 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31931ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)3)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31931ze3z87_2215, 
(int)(((long)0)), 
((obj_t)BgL_excz00_2208)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31931ze3z87_2215, 
(int)(((long)1)), 
((obj_t)BgL_pz00_1844)); 
BgL_pz00_2209 = BgL_zc3z04anonymousza31931ze3z87_2215; } break;case ((long)4) : 

{ /* Llib/sqlite.scm 178 */
obj_t BgL_zc3z04anonymousza31944ze3z87_2216;
BgL_zc3z04anonymousza31944ze3z87_2216 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31944ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)4)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31944ze3z87_2216, 
(int)(((long)0)), 
((obj_t)BgL_excz00_2208)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31944ze3z87_2216, 
(int)(((long)1)), 
((obj_t)BgL_pz00_1844)); 
BgL_pz00_2209 = BgL_zc3z04anonymousza31944ze3z87_2216; } break;
default: 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_zc3z04anonymousza31957ze3z87_2211;
BgL_zc3z04anonymousza31957ze3z87_2211 = 
MAKE_VA_PROCEDURE(BGl_z62zc3z04anonymousza31957ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)-1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31957ze3z87_2211, 
(int)(((long)0)), 
((obj_t)BgL_excz00_2208)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31957ze3z87_2211, 
(int)(((long)1)), 
((obj_t)BgL_pz00_1844)); 
BgL_pz00_2209 = BgL_zc3z04anonymousza31957ze3z87_2211; } } } } 
{ /* Llib/sqlite.scm 178 */

{ /* Llib/sqlite.scm 179 */
obj_t BgL_exitd1138z00_2217;
BgL_exitd1138z00_2217 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/sqlite.scm 184 */
obj_t BgL_zc3z04anonymousza31903ze3z87_2218;
BgL_zc3z04anonymousza31903ze3z87_2218 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31903ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31903ze3z87_2218, 
(int)(((long)0)), 
((obj_t)BgL_excz00_2208)); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1138z00_2217, BgL_zc3z04anonymousza31903ze3z87_2218); 
{ /* Llib/sqlite.scm 180 */
obj_t BgL_tmp1140z00_2219;
if(
NULLP(BgL_argsz00_1846))
{ /* Llib/sqlite.scm 182 */
void * BgL_arg1897z00_2220;
BgL_arg1897z00_2220 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1843)))->BgL_z42builtinz42); 
BgL_tmp1140z00_2219 = 
bgl_sqlite_eval(BgL_arg1897z00_2220, BgL_pz00_2209, 
BSTRING_TO_STRING(
((obj_t)BgL_fmtz00_1845)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1843))); }  else 
{ /* Llib/sqlite.scm 183 */
void * BgL_arg1898z00_2221;obj_t BgL_arg1899z00_2222;
BgL_arg1898z00_2221 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1843)))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 183 */
obj_t BgL_runner1902z00_2223;
{ /* Llib/sqlite.scm 183 */
obj_t BgL_list1900z00_2224;
BgL_list1900z00_2224 = 
MAKE_YOUNG_PAIR(BgL_argsz00_1846, BNIL); 
BgL_runner1902z00_2223 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_1845), BgL_list1900z00_2224); } 
{ /* Llib/sqlite.scm 183 */
obj_t BgL_aux1901z00_2225;
BgL_aux1901z00_2225 = 
CAR(BgL_runner1902z00_2223); 
BgL_runner1902z00_2223 = 
CDR(BgL_runner1902z00_2223); 
BgL_arg1899z00_2222 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1901z00_2225, BgL_runner1902z00_2223); } } 
BgL_tmp1140z00_2219 = 
bgl_sqlite_eval(BgL_arg1898z00_2221, BgL_pz00_2209, 
BSTRING_TO_STRING(BgL_arg1899z00_2222), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1843))); } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1138z00_2217); 
if(
CBOOL(
CELL_REF(BgL_excz00_2208)))
{ /* Llib/sqlite.scm 184 */
BGl_raisez00zz__errorz00(
CELL_REF(BgL_excz00_2208)); }  else 
{ /* Llib/sqlite.scm 184 */BFALSE; } 
return BgL_tmp1140z00_2219;} } } } } } } 

}



/* &<@anonymous:1903> */
obj_t BGl_z62zc3z04anonymousza31903ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1849)
{
{ /* Llib/sqlite.scm 179 */
{ /* Llib/sqlite.scm 184 */
obj_t BgL_excz00_1850;
BgL_excz00_1850 = 
PROCEDURE_REF(BgL_envz00_1849, 
(int)(((long)0))); 
if(
CBOOL(
CELL_REF(BgL_excz00_1850)))
{ /* Llib/sqlite.scm 184 */
return 
BGl_raisez00zz__errorz00(
CELL_REF(BgL_excz00_1850));}  else 
{ /* Llib/sqlite.scm 184 */
return BFALSE;} } } 

}



/* &<@anonymous:1944> */
obj_t BGl_z62zc3z04anonymousza31944ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1851, obj_t BgL_xz00_1854, obj_t BgL_yz00_1855, obj_t BgL_za7za7_1856, obj_t BgL_tz00_1857)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
obj_t BgL_excz00_1852;obj_t BgL_pz00_1853;
BgL_excz00_1852 = 
PROCEDURE_REF(BgL_envz00_1851, 
(int)(((long)0))); 
BgL_pz00_1853 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1851, 
(int)(((long)1)))); 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_res1128z00_2226;
BgL_res1128z00_2226 = 
MAKE_CELL(BUNSPEC); 
if(
CBOOL(
BGl_zc3z04exitza31951ze3ze70z60zz__sqlite_sqlitez00(BgL_tz00_1857, BgL_za7za7_1856, BgL_yz00_1855, BgL_xz00_1854, BgL_pz00_1853, BgL_res1128z00_2226)))
{ /* Llib/sqlite.scm 178 */
obj_t BgL_ez00_2227;
BgL_ez00_2227 = 
CELL_REF(BgL_res1128z00_2226); 
return 
CELL_SET(BgL_excz00_1852, BgL_ez00_2227);}  else 
{ /* Llib/sqlite.scm 178 */
return 
CELL_REF(BgL_res1128z00_2226);} } } } 

}



/* <@exit:1951>~0 */
obj_t BGl_zc3z04exitza31951ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_tz00_1982, obj_t BgL_za7za7_1981, obj_t BgL_yz00_1980, obj_t BgL_xz00_1979, obj_t BgL_pz00_1978, obj_t BgL_res1128z00_1977)
{
{ /* Llib/sqlite.scm 178 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1134z00_709;
if( SET_EXIT(BgL_an_exit1134z00_709) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1134z00_709 = 
(void *)jmpbuf; 
{ /* Llib/sqlite.scm 178 */

PUSH_EXIT(BgL_an_exit1134z00_709, ((long)1)); 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_an_exitd1135z00_710;
BgL_an_exitd1135z00_710 = 
((obj_t)(&exitd)); 
{ /* Llib/sqlite.scm 178 */
bool_t BgL_res1137z00_713;
{ /* Llib/sqlite.scm 178 */
obj_t BgL_ohs1126z00_714;
BgL_ohs1126z00_714 = 
BGL_ERROR_HANDLER_GET(); 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_exitd1131z00_715;
BgL_exitd1131z00_715 = 
((obj_t)(&exitd)); 
{ 
obj_t BgL_zc3z04anonymousza31955ze3z87_1733;
BgL_zc3z04anonymousza31955ze3z87_1733 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31955ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31955ze3z87_1733, 
(int)(((long)0)), BgL_ohs1126z00_714); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1131z00_715, BgL_zc3z04anonymousza31955ze3z87_1733); 
{ /* Llib/sqlite.scm 178 */
bool_t BgL_tmp1133z00_717;
{ /* Llib/sqlite.scm 178 */
obj_t BgL_arg1952z00_718;
{ /* Llib/sqlite.scm 178 */
obj_t BgL_zc3z04anonymousza31954ze3z87_1734;
BgL_zc3z04anonymousza31954ze3z87_1734 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31954ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31954ze3z87_1734, 
(int)(((long)0)), 
((obj_t)BgL_res1128z00_1977)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31954ze3z87_1734, 
(int)(((long)1)), BgL_an_exitd1135z00_710); 
BgL_arg1952z00_718 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31954ze3z87_1734, BgL_ohs1126z00_714); } 
BGL_ERROR_HANDLER_SET(BgL_arg1952z00_718); BUNSPEC; } 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_auxz00_1859;
BgL_auxz00_1859 = 
PROCEDURE_ENTRY(BgL_pz00_1978)(BgL_pz00_1978, BgL_xz00_1979, BgL_yz00_1980, BgL_za7za7_1981, BgL_tz00_1982, BEOA); 
CELL_SET(BgL_res1128z00_1977, BgL_auxz00_1859); } 
BgL_tmp1133z00_717 = ((bool_t)0); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1131z00_715); 
BGL_ERROR_HANDLER_SET(BgL_ohs1126z00_714); BUNSPEC; 
BgL_res1137z00_713 = BgL_tmp1133z00_717; } } } } 
POP_EXIT(); 
return 
BBOOL(BgL_res1137z00_713);} } } 
} } 

}



/* &<@anonymous:1954> */
obj_t BGl_z62zc3z04anonymousza31954ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1862, obj_t BgL_ez00_1865)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
obj_t BgL_res1128z00_1863;obj_t BgL_an_exitd1135z00_1864;
BgL_res1128z00_1863 = 
PROCEDURE_REF(BgL_envz00_1862, 
(int)(((long)0))); 
BgL_an_exitd1135z00_1864 = 
PROCEDURE_REF(BgL_envz00_1862, 
(int)(((long)1))); 
CELL_SET(BgL_res1128z00_1863, BgL_ez00_1865); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1135z00_1864, BTRUE);} } 

}



/* &<@anonymous:1955> */
obj_t BGl_z62zc3z04anonymousza31955ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1867)
{
{ /* Llib/sqlite.scm 178 */
{ 
obj_t BgL_ohs1126z00_1868;
BgL_ohs1126z00_1868 = 
PROCEDURE_REF(BgL_envz00_1867, 
(int)(((long)0))); 
BGL_ERROR_HANDLER_SET(BgL_ohs1126z00_1868); 
return BUNSPEC;} } 

}



/* &<@anonymous:1931> */
obj_t BGl_z62zc3z04anonymousza31931ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1869, obj_t BgL_xz00_1872, obj_t BgL_yz00_1873, obj_t BgL_za7za7_1874)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
obj_t BgL_excz00_1870;obj_t BgL_pz00_1871;
BgL_excz00_1870 = 
PROCEDURE_REF(BgL_envz00_1869, 
(int)(((long)0))); 
BgL_pz00_1871 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1869, 
(int)(((long)1)))); 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_res1116z00_2228;
BgL_res1116z00_2228 = 
MAKE_CELL(BUNSPEC); 
if(
CBOOL(
BGl_zc3z04exitza31938ze3ze70z60zz__sqlite_sqlitez00(BgL_za7za7_1874, BgL_yz00_1873, BgL_xz00_1872, BgL_pz00_1871, BgL_res1116z00_2228)))
{ /* Llib/sqlite.scm 178 */
obj_t BgL_ez00_2229;
BgL_ez00_2229 = 
CELL_REF(BgL_res1116z00_2228); 
return 
CELL_SET(BgL_excz00_1870, BgL_ez00_2229);}  else 
{ /* Llib/sqlite.scm 178 */
return 
CELL_REF(BgL_res1116z00_2228);} } } } 

}



/* <@exit:1938>~0 */
obj_t BGl_zc3z04exitza31938ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_za7za7_1976, obj_t BgL_yz00_1975, obj_t BgL_xz00_1974, obj_t BgL_pz00_1973, obj_t BgL_res1116z00_1972)
{
{ /* Llib/sqlite.scm 178 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1122z00_664;
if( SET_EXIT(BgL_an_exit1122z00_664) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1122z00_664 = 
(void *)jmpbuf; 
{ /* Llib/sqlite.scm 178 */

PUSH_EXIT(BgL_an_exit1122z00_664, ((long)1)); 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_an_exitd1123z00_665;
BgL_an_exitd1123z00_665 = 
((obj_t)(&exitd)); 
{ /* Llib/sqlite.scm 178 */
bool_t BgL_res1125z00_668;
{ /* Llib/sqlite.scm 178 */
obj_t BgL_ohs1114z00_669;
BgL_ohs1114z00_669 = 
BGL_ERROR_HANDLER_GET(); 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_exitd1119z00_670;
BgL_exitd1119z00_670 = 
((obj_t)(&exitd)); 
{ 
obj_t BgL_zc3z04anonymousza31942ze3z87_1730;
BgL_zc3z04anonymousza31942ze3z87_1730 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31942ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31942ze3z87_1730, 
(int)(((long)0)), BgL_ohs1114z00_669); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1119z00_670, BgL_zc3z04anonymousza31942ze3z87_1730); 
{ /* Llib/sqlite.scm 178 */
bool_t BgL_tmp1121z00_672;
{ /* Llib/sqlite.scm 178 */
obj_t BgL_arg1939z00_673;
{ /* Llib/sqlite.scm 178 */
obj_t BgL_zc3z04anonymousza31941ze3z87_1731;
BgL_zc3z04anonymousza31941ze3z87_1731 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31941ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31941ze3z87_1731, 
(int)(((long)0)), 
((obj_t)BgL_res1116z00_1972)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31941ze3z87_1731, 
(int)(((long)1)), BgL_an_exitd1123z00_665); 
BgL_arg1939z00_673 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31941ze3z87_1731, BgL_ohs1114z00_669); } 
BGL_ERROR_HANDLER_SET(BgL_arg1939z00_673); BUNSPEC; } 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_auxz00_1876;
BgL_auxz00_1876 = 
PROCEDURE_ENTRY(BgL_pz00_1973)(BgL_pz00_1973, BgL_xz00_1974, BgL_yz00_1975, BgL_za7za7_1976, BEOA); 
CELL_SET(BgL_res1116z00_1972, BgL_auxz00_1876); } 
BgL_tmp1121z00_672 = ((bool_t)0); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1119z00_670); 
BGL_ERROR_HANDLER_SET(BgL_ohs1114z00_669); BUNSPEC; 
BgL_res1125z00_668 = BgL_tmp1121z00_672; } } } } 
POP_EXIT(); 
return 
BBOOL(BgL_res1125z00_668);} } } 
} } 

}



/* &<@anonymous:1941> */
obj_t BGl_z62zc3z04anonymousza31941ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1879, obj_t BgL_ez00_1882)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
obj_t BgL_res1116z00_1880;obj_t BgL_an_exitd1123z00_1881;
BgL_res1116z00_1880 = 
PROCEDURE_REF(BgL_envz00_1879, 
(int)(((long)0))); 
BgL_an_exitd1123z00_1881 = 
PROCEDURE_REF(BgL_envz00_1879, 
(int)(((long)1))); 
CELL_SET(BgL_res1116z00_1880, BgL_ez00_1882); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1123z00_1881, BTRUE);} } 

}



/* &<@anonymous:1942> */
obj_t BGl_z62zc3z04anonymousza31942ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1884)
{
{ /* Llib/sqlite.scm 178 */
{ 
obj_t BgL_ohs1114z00_1885;
BgL_ohs1114z00_1885 = 
PROCEDURE_REF(BgL_envz00_1884, 
(int)(((long)0))); 
BGL_ERROR_HANDLER_SET(BgL_ohs1114z00_1885); 
return BUNSPEC;} } 

}



/* &<@anonymous:1918> */
obj_t BGl_z62zc3z04anonymousza31918ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1886, obj_t BgL_xz00_1889, obj_t BgL_yz00_1890)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
obj_t BgL_excz00_1887;obj_t BgL_pz00_1888;
BgL_excz00_1887 = 
PROCEDURE_REF(BgL_envz00_1886, 
(int)(((long)0))); 
BgL_pz00_1888 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1886, 
(int)(((long)1)))); 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_res1104z00_2230;
BgL_res1104z00_2230 = 
MAKE_CELL(BUNSPEC); 
if(
CBOOL(
BGl_zc3z04exitza31925ze3ze70z60zz__sqlite_sqlitez00(BgL_yz00_1890, BgL_xz00_1889, BgL_pz00_1888, BgL_res1104z00_2230)))
{ /* Llib/sqlite.scm 178 */
obj_t BgL_ez00_2231;
BgL_ez00_2231 = 
CELL_REF(BgL_res1104z00_2230); 
return 
CELL_SET(BgL_excz00_1887, BgL_ez00_2231);}  else 
{ /* Llib/sqlite.scm 178 */
return 
CELL_REF(BgL_res1104z00_2230);} } } } 

}



/* <@exit:1925>~0 */
obj_t BGl_zc3z04exitza31925ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_yz00_1971, obj_t BgL_xz00_1970, obj_t BgL_pz00_1969, obj_t BgL_res1104z00_1968)
{
{ /* Llib/sqlite.scm 178 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1110z00_620;
if( SET_EXIT(BgL_an_exit1110z00_620) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1110z00_620 = 
(void *)jmpbuf; 
{ /* Llib/sqlite.scm 178 */

PUSH_EXIT(BgL_an_exit1110z00_620, ((long)1)); 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_an_exitd1111z00_621;
BgL_an_exitd1111z00_621 = 
((obj_t)(&exitd)); 
{ /* Llib/sqlite.scm 178 */
bool_t BgL_res1113z00_624;
{ /* Llib/sqlite.scm 178 */
obj_t BgL_ohs1102z00_625;
BgL_ohs1102z00_625 = 
BGL_ERROR_HANDLER_GET(); 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_exitd1107z00_626;
BgL_exitd1107z00_626 = 
((obj_t)(&exitd)); 
{ 
obj_t BgL_zc3z04anonymousza31929ze3z87_1727;
BgL_zc3z04anonymousza31929ze3z87_1727 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31929ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31929ze3z87_1727, 
(int)(((long)0)), BgL_ohs1102z00_625); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1107z00_626, BgL_zc3z04anonymousza31929ze3z87_1727); 
{ /* Llib/sqlite.scm 178 */
bool_t BgL_tmp1109z00_628;
{ /* Llib/sqlite.scm 178 */
obj_t BgL_arg1926z00_629;
{ /* Llib/sqlite.scm 178 */
obj_t BgL_zc3z04anonymousza31928ze3z87_1728;
BgL_zc3z04anonymousza31928ze3z87_1728 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31928ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31928ze3z87_1728, 
(int)(((long)0)), 
((obj_t)BgL_res1104z00_1968)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31928ze3z87_1728, 
(int)(((long)1)), BgL_an_exitd1111z00_621); 
BgL_arg1926z00_629 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31928ze3z87_1728, BgL_ohs1102z00_625); } 
BGL_ERROR_HANDLER_SET(BgL_arg1926z00_629); BUNSPEC; } 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_auxz00_1892;
BgL_auxz00_1892 = 
PROCEDURE_ENTRY(BgL_pz00_1969)(BgL_pz00_1969, BgL_xz00_1970, BgL_yz00_1971, BEOA); 
CELL_SET(BgL_res1104z00_1968, BgL_auxz00_1892); } 
BgL_tmp1109z00_628 = ((bool_t)0); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1107z00_626); 
BGL_ERROR_HANDLER_SET(BgL_ohs1102z00_625); BUNSPEC; 
BgL_res1113z00_624 = BgL_tmp1109z00_628; } } } } 
POP_EXIT(); 
return 
BBOOL(BgL_res1113z00_624);} } } 
} } 

}



/* &<@anonymous:1928> */
obj_t BGl_z62zc3z04anonymousza31928ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1895, obj_t BgL_ez00_1898)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
obj_t BgL_res1104z00_1896;obj_t BgL_an_exitd1111z00_1897;
BgL_res1104z00_1896 = 
PROCEDURE_REF(BgL_envz00_1895, 
(int)(((long)0))); 
BgL_an_exitd1111z00_1897 = 
PROCEDURE_REF(BgL_envz00_1895, 
(int)(((long)1))); 
CELL_SET(BgL_res1104z00_1896, BgL_ez00_1898); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1111z00_1897, BTRUE);} } 

}



/* &<@anonymous:1929> */
obj_t BGl_z62zc3z04anonymousza31929ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1900)
{
{ /* Llib/sqlite.scm 178 */
{ 
obj_t BgL_ohs1102z00_1901;
BgL_ohs1102z00_1901 = 
PROCEDURE_REF(BgL_envz00_1900, 
(int)(((long)0))); 
BGL_ERROR_HANDLER_SET(BgL_ohs1102z00_1901); 
return BUNSPEC;} } 

}



/* &<@anonymous:1905> */
obj_t BGl_z62zc3z04anonymousza31905ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1902, obj_t BgL_xz00_1905)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
obj_t BgL_excz00_1903;obj_t BgL_pz00_1904;
BgL_excz00_1903 = 
PROCEDURE_REF(BgL_envz00_1902, 
(int)(((long)0))); 
BgL_pz00_1904 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1902, 
(int)(((long)1)))); 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_res1092z00_2232;
BgL_res1092z00_2232 = 
MAKE_CELL(BUNSPEC); 
if(
CBOOL(
BGl_zc3z04exitza31912ze3ze70z60zz__sqlite_sqlitez00(BgL_xz00_1905, BgL_pz00_1904, BgL_res1092z00_2232)))
{ /* Llib/sqlite.scm 178 */
obj_t BgL_ez00_2233;
BgL_ez00_2233 = 
CELL_REF(BgL_res1092z00_2232); 
return 
CELL_SET(BgL_excz00_1903, BgL_ez00_2233);}  else 
{ /* Llib/sqlite.scm 178 */
return 
CELL_REF(BgL_res1092z00_2232);} } } } 

}



/* <@exit:1912>~0 */
obj_t BGl_zc3z04exitza31912ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_xz00_1967, obj_t BgL_pz00_1966, obj_t BgL_res1092z00_1965)
{
{ /* Llib/sqlite.scm 178 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1098z00_577;
if( SET_EXIT(BgL_an_exit1098z00_577) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1098z00_577 = 
(void *)jmpbuf; 
{ /* Llib/sqlite.scm 178 */

PUSH_EXIT(BgL_an_exit1098z00_577, ((long)1)); 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_an_exitd1099z00_578;
BgL_an_exitd1099z00_578 = 
((obj_t)(&exitd)); 
{ /* Llib/sqlite.scm 178 */
bool_t BgL_res1101z00_581;
{ /* Llib/sqlite.scm 178 */
obj_t BgL_ohs1090z00_582;
BgL_ohs1090z00_582 = 
BGL_ERROR_HANDLER_GET(); 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_exitd1095z00_583;
BgL_exitd1095z00_583 = 
((obj_t)(&exitd)); 
{ 
obj_t BgL_zc3z04anonymousza31916ze3z87_1724;
BgL_zc3z04anonymousza31916ze3z87_1724 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31916ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31916ze3z87_1724, 
(int)(((long)0)), BgL_ohs1090z00_582); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1095z00_583, BgL_zc3z04anonymousza31916ze3z87_1724); 
{ /* Llib/sqlite.scm 178 */
bool_t BgL_tmp1097z00_585;
{ /* Llib/sqlite.scm 178 */
obj_t BgL_arg1913z00_586;
{ /* Llib/sqlite.scm 178 */
obj_t BgL_zc3z04anonymousza31915ze3z87_1725;
BgL_zc3z04anonymousza31915ze3z87_1725 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31915ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31915ze3z87_1725, 
(int)(((long)0)), 
((obj_t)BgL_res1092z00_1965)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31915ze3z87_1725, 
(int)(((long)1)), BgL_an_exitd1099z00_578); 
BgL_arg1913z00_586 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31915ze3z87_1725, BgL_ohs1090z00_582); } 
BGL_ERROR_HANDLER_SET(BgL_arg1913z00_586); BUNSPEC; } 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_auxz00_1907;
BgL_auxz00_1907 = 
PROCEDURE_ENTRY(BgL_pz00_1966)(BgL_pz00_1966, BgL_xz00_1967, BEOA); 
CELL_SET(BgL_res1092z00_1965, BgL_auxz00_1907); } 
BgL_tmp1097z00_585 = ((bool_t)0); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1095z00_583); 
BGL_ERROR_HANDLER_SET(BgL_ohs1090z00_582); BUNSPEC; 
BgL_res1101z00_581 = BgL_tmp1097z00_585; } } } } 
POP_EXIT(); 
return 
BBOOL(BgL_res1101z00_581);} } } 
} } 

}



/* &<@anonymous:1915> */
obj_t BGl_z62zc3z04anonymousza31915ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1910, obj_t BgL_ez00_1913)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
obj_t BgL_res1092z00_1911;obj_t BgL_an_exitd1099z00_1912;
BgL_res1092z00_1911 = 
PROCEDURE_REF(BgL_envz00_1910, 
(int)(((long)0))); 
BgL_an_exitd1099z00_1912 = 
PROCEDURE_REF(BgL_envz00_1910, 
(int)(((long)1))); 
CELL_SET(BgL_res1092z00_1911, BgL_ez00_1913); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1099z00_1912, BTRUE);} } 

}



/* &<@anonymous:1916> */
obj_t BGl_z62zc3z04anonymousza31916ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1915)
{
{ /* Llib/sqlite.scm 178 */
{ 
obj_t BgL_ohs1090z00_1916;
BgL_ohs1090z00_1916 = 
PROCEDURE_REF(BgL_envz00_1915, 
(int)(((long)0))); 
BGL_ERROR_HANDLER_SET(BgL_ohs1090z00_1916); 
return BUNSPEC;} } 

}



/* &<@anonymous:1957> */
obj_t BGl_z62zc3z04anonymousza31957ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1917, obj_t BgL_lz00_1920)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
obj_t BgL_excz00_1918;obj_t BgL_pz00_1919;
BgL_excz00_1918 = 
PROCEDURE_REF(BgL_envz00_1917, 
(int)(((long)0))); 
BgL_pz00_1919 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1917, 
(int)(((long)1)))); 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_res1078z00_2234;
BgL_res1078z00_2234 = 
MAKE_CELL(BUNSPEC); 
if(
CBOOL(
BGl_zc3z04exitza31964ze3ze70z60zz__sqlite_sqlitez00(BgL_pz00_1919, BgL_lz00_1920, BgL_res1078z00_2234)))
{ /* Llib/sqlite.scm 178 */
obj_t BgL_ez00_2235;
BgL_ez00_2235 = 
CELL_REF(BgL_res1078z00_2234); 
return 
CELL_SET(BgL_excz00_1918, BgL_ez00_2235);}  else 
{ /* Llib/sqlite.scm 178 */
return 
CELL_REF(BgL_res1078z00_2234);} } } } 

}



/* <@exit:1964>~0 */
obj_t BGl_zc3z04exitza31964ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_pz00_1964, obj_t BgL_lz00_1963, obj_t BgL_res1078z00_1962)
{
{ /* Llib/sqlite.scm 178 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1084z00_751;
if( SET_EXIT(BgL_an_exit1084z00_751) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1084z00_751 = 
(void *)jmpbuf; 
{ /* Llib/sqlite.scm 178 */

PUSH_EXIT(BgL_an_exit1084z00_751, ((long)1)); 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_an_exitd1085z00_752;
BgL_an_exitd1085z00_752 = 
((obj_t)(&exitd)); 
{ /* Llib/sqlite.scm 178 */
bool_t BgL_res1087z00_755;
{ /* Llib/sqlite.scm 178 */
obj_t BgL_ohs1076z00_756;
BgL_ohs1076z00_756 = 
BGL_ERROR_HANDLER_GET(); 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_exitd1081z00_757;
BgL_exitd1081z00_757 = 
((obj_t)(&exitd)); 
{ 
obj_t BgL_zc3z04anonymousza31968ze3z87_1737;
BgL_zc3z04anonymousza31968ze3z87_1737 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31968ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31968ze3z87_1737, 
(int)(((long)0)), BgL_ohs1076z00_756); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1081z00_757, BgL_zc3z04anonymousza31968ze3z87_1737); 
{ /* Llib/sqlite.scm 178 */
bool_t BgL_tmp1083z00_759;
{ /* Llib/sqlite.scm 178 */
obj_t BgL_arg1965z00_760;
{ /* Llib/sqlite.scm 178 */
obj_t BgL_zc3z04anonymousza31967ze3z87_1738;
BgL_zc3z04anonymousza31967ze3z87_1738 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31967ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31967ze3z87_1738, 
(int)(((long)0)), 
((obj_t)BgL_res1078z00_1962)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31967ze3z87_1738, 
(int)(((long)1)), BgL_an_exitd1085z00_752); 
BgL_arg1965z00_760 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31967ze3z87_1738, BgL_ohs1076z00_756); } 
BGL_ERROR_HANDLER_SET(BgL_arg1965z00_760); BUNSPEC; } 
{ /* Llib/sqlite.scm 178 */
obj_t BgL_auxz00_1922;
BgL_auxz00_1922 = 
apply(BgL_pz00_1964, BgL_lz00_1963); 
CELL_SET(BgL_res1078z00_1962, BgL_auxz00_1922); } 
BgL_tmp1083z00_759 = ((bool_t)0); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1081z00_757); 
BGL_ERROR_HANDLER_SET(BgL_ohs1076z00_756); BUNSPEC; 
BgL_res1087z00_755 = BgL_tmp1083z00_759; } } } } 
POP_EXIT(); 
return 
BBOOL(BgL_res1087z00_755);} } } 
} } 

}



/* &<@anonymous:1967> */
obj_t BGl_z62zc3z04anonymousza31967ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1925, obj_t BgL_ez00_1928)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
obj_t BgL_res1078z00_1926;obj_t BgL_an_exitd1085z00_1927;
BgL_res1078z00_1926 = 
PROCEDURE_REF(BgL_envz00_1925, 
(int)(((long)0))); 
BgL_an_exitd1085z00_1927 = 
PROCEDURE_REF(BgL_envz00_1925, 
(int)(((long)1))); 
CELL_SET(BgL_res1078z00_1926, BgL_ez00_1928); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1085z00_1927, BTRUE);} } 

}



/* &<@anonymous:1968> */
obj_t BGl_z62zc3z04anonymousza31968ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1930)
{
{ /* Llib/sqlite.scm 178 */
{ 
obj_t BgL_ohs1076z00_1931;
BgL_ohs1076z00_1931 = 
PROCEDURE_REF(BgL_envz00_1930, 
(int)(((long)0))); 
BGL_ERROR_HANDLER_SET(BgL_ohs1076z00_1931); 
return BUNSPEC;} } 

}



/* &sqlite-exec-sqlite1239 */
obj_t BGl_z62sqlitezd2execzd2sqlite1239z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1932, obj_t BgL_oz00_1933, obj_t BgL_fmtz00_1934, obj_t BgL_argsz00_1935)
{
{ /* Llib/sqlite.scm 138 */
if(
NULLP(BgL_argsz00_1935))
{ /* Llib/sqlite.scm 141 */
void * BgL_arg1888z00_2238;
BgL_arg1888z00_2238 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1933)))->BgL_z42builtinz42); 
return 
bgl_sqlite_exec(BgL_arg1888z00_2238, 
BSTRING_TO_STRING(
((obj_t)BgL_fmtz00_1934)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1933)));}  else 
{ /* Llib/sqlite.scm 142 */
void * BgL_arg1889z00_2239;obj_t BgL_arg1890z00_2240;
BgL_arg1889z00_2239 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1933)))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 142 */
obj_t BgL_runner1893z00_2241;
{ /* Llib/sqlite.scm 142 */
obj_t BgL_list1891z00_2242;
BgL_list1891z00_2242 = 
MAKE_YOUNG_PAIR(BgL_argsz00_1935, BNIL); 
BgL_runner1893z00_2241 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_1934), BgL_list1891z00_2242); } 
{ /* Llib/sqlite.scm 142 */
obj_t BgL_aux1892z00_2243;
BgL_aux1892z00_2243 = 
CAR(BgL_runner1893z00_2241); 
BgL_runner1893z00_2241 = 
CDR(BgL_runner1893z00_2241); 
BgL_arg1890z00_2240 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1892z00_2243, BgL_runner1893z00_2241); } } 
return 
bgl_sqlite_exec(BgL_arg1889z00_2239, 
BSTRING_TO_STRING(BgL_arg1890z00_2240), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1933)));} } 

}



/* &sqlite-close-sqlite1235 */
obj_t BGl_z62sqlitezd2closezd2sqlite1235z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1936, obj_t BgL_oz00_1937)
{
{ /* Llib/sqlite.scm 123 */
{ /* Llib/sqlite.scm 125 */
void * BgL_arg1886z00_2245;
BgL_arg1886z00_2245 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1937)))->BgL_z42builtinz42); 
bgl_sqlite_close(BgL_arg1886z00_2245, 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1937))); 
return BUNSPEC;} } 

}



/* &object-print-sqlite1231 */
obj_t BGl_z62objectzd2printzd2sqlite1231z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1938, obj_t BgL_oz00_1939, obj_t BgL_portz00_1940, obj_t BgL_printzd2slotzd2_1941)
{
{ /* Llib/sqlite.scm 91 */
{ /* Llib/sqlite.scm 92 */
obj_t BgL_list1885z00_2247;
BgL_list1885z00_2247 = 
MAKE_YOUNG_PAIR(BgL_portz00_1940, BNIL); 
return 
BGl_objectzd2writezd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_sqlitez00_bglt)BgL_oz00_1939)), BgL_list1885z00_2247);} } 

}



/* &object-write-sqlite1229 */
obj_t BGl_z62objectzd2writezd2sqlite1229z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1942, obj_t BgL_oz00_1943, obj_t BgL_portz00_1944)
{
{ /* Llib/sqlite.scm 82 */
{ /* Llib/sqlite.scm 83 */
obj_t BgL_arg1876z00_2249;
if(
PAIRP(BgL_portz00_1944))
{ /* Llib/sqlite.scm 83 */
BgL_arg1876z00_2249 = 
CAR(BgL_portz00_1944); }  else 
{ /* Llib/sqlite.scm 83 */
obj_t BgL_res2189z00_2250;
{ /* Llib/sqlite.scm 83 */
obj_t BgL_tmpz00_3948;
BgL_tmpz00_3948 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res2189z00_2250 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3948); } 
BgL_arg1876z00_2249 = BgL_res2189z00_2250; } 
{ /* Llib/sqlite.scm 85 */
obj_t BgL_zc3z04anonymousza31879ze3z87_2251;
BgL_zc3z04anonymousza31879ze3z87_2251 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31879ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31879ze3z87_2251, 
(int)(((long)0)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1943))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg1876z00_2249, BgL_zc3z04anonymousza31879ze3z87_2251);} } } 

}



/* &<@anonymous:1879> */
obj_t BGl_z62zc3z04anonymousza31879ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1945)
{
{ /* Llib/sqlite.scm 84 */
{ /* Llib/sqlite.scm 85 */
BgL_sqlitez00_bglt BgL_oz00_1946;
BgL_oz00_1946 = 
((BgL_sqlitez00_bglt)
PROCEDURE_REF(BgL_envz00_1945, 
(int)(((long)0)))); 
{ /* Llib/sqlite.scm 86 */
obj_t BgL_arg1880z00_2252;
BgL_arg1880z00_2252 = 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_1946)))->BgL_pathz00); 
{ /* Llib/sqlite.scm 86 */
obj_t BgL_list1881z00_2253;
{ /* Llib/sqlite.scm 86 */
obj_t BgL_arg1882z00_2254;
{ /* Llib/sqlite.scm 86 */
obj_t BgL_arg1883z00_2255;
BgL_arg1883z00_2255 = 
MAKE_YOUNG_PAIR(BGl_string2349z00zz__sqlite_sqlitez00, BNIL); 
BgL_arg1882z00_2254 = 
MAKE_YOUNG_PAIR(BgL_arg1880z00_2252, BgL_arg1883z00_2255); } 
BgL_list1881z00_2253 = 
MAKE_YOUNG_PAIR(BGl_string2350z00zz__sqlite_sqlitez00, BgL_arg1882z00_2254); } 
return 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1881z00_2253);} } } } 

}



/* &object-display-sqlit1227 */
obj_t BGl_z62objectzd2displayzd2sqlit1227z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1947, obj_t BgL_oz00_1948, obj_t BgL_portz00_1949)
{
{ /* Llib/sqlite.scm 73 */
{ /* Llib/sqlite.scm 74 */
obj_t BgL_arg1867z00_2257;
if(
PAIRP(BgL_portz00_1949))
{ /* Llib/sqlite.scm 74 */
BgL_arg1867z00_2257 = 
CAR(BgL_portz00_1949); }  else 
{ /* Llib/sqlite.scm 74 */
obj_t BgL_res2187z00_2258;
{ /* Llib/sqlite.scm 74 */
obj_t BgL_tmpz00_3971;
BgL_tmpz00_3971 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res2187z00_2258 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3971); } 
BgL_arg1867z00_2257 = BgL_res2187z00_2258; } 
{ /* Llib/sqlite.scm 76 */
obj_t BgL_zc3z04anonymousza31870ze3z87_2259;
BgL_zc3z04anonymousza31870ze3z87_2259 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31870ze3ze5zz__sqlite_sqlitez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31870ze3z87_2259, 
(int)(((long)0)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_1948))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg1867z00_2257, BgL_zc3z04anonymousza31870ze3z87_2259);} } } 

}



/* &<@anonymous:1870> */
obj_t BGl_z62zc3z04anonymousza31870ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1950)
{
{ /* Llib/sqlite.scm 75 */
{ /* Llib/sqlite.scm 76 */
BgL_sqlitez00_bglt BgL_oz00_1951;
BgL_oz00_1951 = 
((BgL_sqlitez00_bglt)
PROCEDURE_REF(BgL_envz00_1950, 
(int)(((long)0)))); 
{ /* Llib/sqlite.scm 77 */
obj_t BgL_arg1871z00_2260;
BgL_arg1871z00_2260 = 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_1951)))->BgL_pathz00); 
{ /* Llib/sqlite.scm 77 */
obj_t BgL_list1872z00_2261;
{ /* Llib/sqlite.scm 77 */
obj_t BgL_arg1873z00_2262;
{ /* Llib/sqlite.scm 77 */
obj_t BgL_arg1874z00_2263;
BgL_arg1874z00_2263 = 
MAKE_YOUNG_PAIR(BGl_string2349z00zz__sqlite_sqlitez00, BNIL); 
BgL_arg1873z00_2262 = 
MAKE_YOUNG_PAIR(BgL_arg1871z00_2260, BgL_arg1874z00_2263); } 
BgL_list1872z00_2261 = 
MAKE_YOUNG_PAIR(BGl_string2350z00zz__sqlite_sqlitez00, BgL_arg1873z00_2262); } 
return 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1872z00_2261);} } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__sqlite_sqlitez00()
{
{ /* Llib/sqlite.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__sqlite_sqltinyz00(((long)266205491), 
BSTRING_TO_STRING(BGl_string2351z00zz__sqlite_sqlitez00));} 

}

#ifdef __cplusplus
}
#endif
