/*===========================================================================*/
/*   (Ast/node.scm)                                                          */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 11 May 2020 12:14:39 PM CEST    */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3h -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/node.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_genpatchidz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		long BgL_indexz00;
		long BgL_rindexz00;
	}                    *BgL_genpatchidz00_bglt;

	typedef struct BgL_privatez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                 *BgL_privatez00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static BgL_varz00_bglt BGl_z62lambda1927z62zzast_nodez00(obj_t);
	static obj_t BGl_z62literalzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_makezd2boxzd2valuez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		BgL_nodez00_bglt, BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62getfieldzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2keyzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62jumpzd2exzd2itzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_letzd2funzd2_bglt
		BGl_makezd2letzd2funz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2effectzd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62funcallzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_synczd2bodyzd2setz12z12zzast_nodez00(BgL_syncz00_bglt,
		BgL_nodez00_bglt);
	static BgL_typez00_bglt BGl_z62setfieldzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62patchzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda2661z62zzast_nodez00(obj_t, obj_t);
	static BgL_variablez00_bglt BGl_z62lambda1933z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2662z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1934z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2666z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2667z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2argszd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exzd2itzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzd2typez00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	static obj_t BGl_z62nodezd2walkzd2letzd2fun1747zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2effectzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_failz00_bglt BGl_failzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL BgL_closurez00_bglt BGl_closurezd2nilzd2zzast_nodez00();
	static obj_t BGl_z62genpatchidzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62retblockzd2bodyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2ftypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_getfieldz00_bglt BGl_getfieldzd2nilzd2zzast_nodez00();
	static BgL_closurez00_bglt BGl_z62lambda1940z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_closurez00_bglt BGl_z62lambda1942z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vlengthzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzd2vtypez00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	static obj_t BGl_z62pragmazd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2673z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_appzd2argszd2zzast_nodez00(BgL_appz00_bglt);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2675z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_closurez00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2keyzd2zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setfieldzd2ftypezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62vrefzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_syncz00_bglt BGl_synczd2nilzd2zzast_nodez00();
	static BgL_sequencez00_bglt BGl_z62sequencezd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_appz00_bglt BGl_appzd2nilzd2zzast_nodez00();
	static BgL_kwotez00_bglt BGl_z62lambda1950z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzd2valuezd2zzast_nodez00(BgL_literalz00_bglt);
	static BgL_kwotez00_bglt BGl_z62lambda1952z62zzast_nodez00(obj_t);
	static obj_t BGl_z62vsetz12zd2exprza2zd2setz12zc0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2682z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2683z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_syncz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda1958z62zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2687z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2688z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1959z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62pragmazd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62wideningzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12z12zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31865ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32489ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_wideningz00_bglt,
		obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda2694z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda1965z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda2696z62zzast_nodez00(obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda1967z62zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62externzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2exprza2z70zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2typezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_funcallz00_bglt
		BGl_makezd2funcallzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_returnz00_bglt BGl_z62makezd2returnzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_synczd2mutexzd2setz12z12zzast_nodez00(BgL_syncz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_setqzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda1975z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62literalzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1976z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62newzd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62vsetz12zd2otypeza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2lyzd2funzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_nodezf2effectzd2typez20zzast_nodez00(BgL_nodezf2effectzf2_bglt);
	static obj_t BGl_z62conditionalzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzf3z43zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1981z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_letzd2varzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda1982z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_setfieldz00_bglt BGl_setfieldzd2nilzd2zzast_nodez00();
	static BgL_instanceofz00_bglt BGl_z62instanceofzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda1988z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1989z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2exprza2zd2setz12z00zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62externzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2funzd2localsz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2typezd2setz12z12zzast_nodez00(BgL_funcallz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62vrefzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_nodez00();
	static obj_t BGl_z62getfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2ftypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	static BgL_appz00_bglt BGl_z62lambda1999z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2locz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2setz12zd2valuezd2setz12zb0zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2keyz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2truezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62newzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2exprza2zd2setz12z62zzast_nodez00(BgL_castzd2nullzd2_bglt,
		obj_t);
	static obj_t BGl_z62castzd2nullzd2locz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2varzd2_bglt);
	BGL_EXPORTED_DECL BgL_closurez00_bglt
		BGl_makezd2closurezd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32123ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_variablez00_bglt
		BGl_closurezd2variablezd2zzast_nodez00(BgL_closurez00_bglt);
	static BgL_typez00_bglt BGl_z62privatezd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62returnzd2valuezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62genpatchidzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_externzf3zf3zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62appzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_castzd2nullzd2_bglt, obj_t);
	static obj_t BGl_z62nodezd2walkzd2switch1739z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_failzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2typezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	static BgL_castz00_bglt BGl_z62makezd2castzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62valloczd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62switchzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_valloczd2otypezd2zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DECL BgL_retblockz00_bglt
		BGl_makezd2retblockzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_instanceofzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2variablezd2setz12z12zzast_nodez00(BgL_closurez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_z62privatezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62returnzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2keyzd2zzast_nodez00(BgL_wideningz00_bglt);
	static obj_t BGl_z62wideningzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_makezd2boxzf3z21zzast_nodez00(obj_t);
	static obj_t BGl_z62nodezd2walk1709zb0zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2strengthzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt, obj_t);
	static obj_t BGl_z62varzd2variablezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2exitzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_patchzd2typezd2zzast_nodez00(BgL_patchz00_bglt);
	static obj_t BGl_z62jumpzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62vrefzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2msgzd2setz12z12zzast_nodez00(BgL_failz00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62letzd2funzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_instanceofzd2classzd2zzast_nodez00(BgL_instanceofz00_bglt);
	static obj_t BGl_z62castzd2nullzd2exprza2zc0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2keyz20zzast_nodez00(BgL_nodezf2effectzf2_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_switchzd2testzd2zzast_nodez00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2sidezd2effectz00zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_methodzd2initzd2zzast_nodez00();
	static obj_t BGl_z62boxzd2refzd2varzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32231ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2locz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	static obj_t BGl_z62closurezd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_patchzd2indexzd2zzast_nodez00(BgL_patchz00_bglt);
	static BgL_getfieldz00_bglt BGl_z62makezd2getfieldzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_externz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2typezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62boxzd2setz12zd2varzd2setz12zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62wideningzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2locz00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62switchzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_vrefz00_bglt BGl_vrefzd2nilzd2zzast_nodez00();
	static BgL_typez00_bglt BGl_z62patchzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_letzd2varzd2_bglt
		BGl_makezd2letzd2varz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt, bool_t);
	static obj_t BGl_z62zc3z04anonymousza32305ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2argszd2typez00zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL BgL_castz00_bglt BGl_makezd2castzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2argszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2exprza2zd2setz12zb0zzast_nodez00(BgL_newz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_externz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_appzd2lyzd2typez00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2sidezd2effectz00zzast_nodez00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzd2typez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62nodezd2walkzd2letzd2var1749zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_varz00_bglt, obj_t);
	static BgL_privatez00_bglt BGl_z62makezd2privatezb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62appzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_varz00_bglt BGl_z62varzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2typezd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2sidezd2effectzd2setz12z32zzast_nodez00
		(BgL_nodezf2effectzf2_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62castzd2nullzd2typez62zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62newzd2argszd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_getfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62privatezd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzd2vtypez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62vlengthzd2vtypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_conditionalz00_bglt
		BGl_makezd2conditionalzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	static BgL_typez00_bglt BGl_z62atomzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_appz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_wideningzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62letzd2funzd2bodyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62boxzd2setz12zd2typez70zzast_nodez00(obj_t,
		obj_t);
	static BgL_literalz00_bglt BGl_z62makezd2literalzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_letzd2funzd2_bglt, obj_t);
	static obj_t BGl_z62conditionalzd2testzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2loczd2zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62nodezd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_switchzd2loczd2zzast_nodez00(BgL_switchz00_bglt);
	static obj_t BGl_z62vrefzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62privatezf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pragmazd2keyzd2zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32342ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32164ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2sidezd2effectz00zzast_nodez00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sidezd2effectz00zzast_nodez00(BgL_externz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2vtypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32238ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62kwotezd2valuezb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62letzd2funzd2bodyz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_atomzd2typezd2zzast_nodez00(BgL_atomz00_bglt);
	static obj_t BGl_z62switchzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zf3z83zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2typezd2setz12z12zzast_nodez00(BgL_appz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_nodezf2effectzf2_bglt
		BGl_makezd2nodezf2effectz20zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32271ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2keyz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62letzd2funzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vsetz12zd2typezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62pragmazd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_wideningz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62returnzd2blockzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setfieldzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2strengthzd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_externzd2typezd2zzast_nodez00(BgL_externz00_bglt);
	static BgL_makezd2boxzd2_bglt BGl_z62makezd2makezd2boxz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2exprza2zd2setz12zb0zzast_nodez00(BgL_genpatchidz00_bglt,
		obj_t);
	static obj_t BGl_z62vrefzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_vsetz12z12_bglt BGl_z62lambda2301z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32523ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_vsetz12z12_bglt BGl_z62lambda2303z62zzast_nodez00(obj_t);
	static obj_t BGl_z62vsetz12zd2locza2zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2otypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62castzd2nullzd2czd2formatzb0zzast_nodez00(obj_t, obj_t);
	static BgL_castz00_bglt BGl_z62castzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2typezd2setz12z12zzast_nodez00(BgL_sequencez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vlengthzd2typezd2zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62synczd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31900ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2311z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2312z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt,
		BgL_varz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2318z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2319z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_varzd2typezd2zzast_nodez00(BgL_varz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_boxzd2refzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_newz00_bglt BGl_newzd2nilzd2zzast_nodez00();
	static BgL_typez00_bglt BGl_z62boxzd2refzd2vtypez62zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62patchzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getfieldzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzd2testzd2zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62setfieldzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sequencez00_bglt
		BGl_makezd2sequencezd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, bool_t, obj_t);
	static BgL_vrefz00_bglt BGl_z62makezd2vrefzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2fnamezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_vlengthz00_bglt BGl_z62vlengthzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_patchzf3zf3zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2323z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2324z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezf2effectzd2locz42zzast_nodez00(obj_t, obj_t);
	static BgL_setqz00_bglt BGl_z62setqzd2nilzb0zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62makezd2nodezb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62literalzd2valuezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62genpatchidzd2indexzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_returnzd2typezd2setz12z12zzast_nodez00(BgL_returnz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL long
		BGl_genpatchidzd2rindexzd2zzast_nodez00(BgL_genpatchidz00_bglt);
	static obj_t BGl_z62lambda2330z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32380ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2331z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2vtypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62makezd2boxzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62setzd2exzd2itzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32097ze3ze5zzast_nodez00(obj_t);
	static BgL_vlengthz00_bglt BGl_z62lambda2338z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62boxzd2setz12zd2nilz70zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2keyzd2zzast_nodez00(BgL_getfieldz00_bglt);
	static obj_t BGl_z62funcallzd2funzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2exprza2z70zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62instanceofzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezf2effectzf3z63zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62conditionalzd2nilzb0zzast_nodez00(obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62makezd2boxzd2nilz62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2effectzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2loczc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static BgL_vlengthz00_bglt BGl_z62lambda2340z62zzast_nodez00(obj_t);
	static obj_t BGl_z62boxzd2setz12zd2typezd2setz12zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sequencezd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_nodezd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL bool_t BGl_genpatchidzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2sidezd2effectz00zzast_nodez00(BgL_newz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2346z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_appzd2keyzd2zzast_nodez00(BgL_appz00_bglt);
	static obj_t BGl_z62lambda2347z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_patchzd2valuezd2zzast_nodez00(BgL_patchz00_bglt);
	static obj_t BGl_z62synczd2prelockzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2effectzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_sequencez00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2vtypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL bool_t BGl_castzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62vlengthzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31831ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32633ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2351z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2352z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2argszd2setz12z12zzast_nodez00(BgL_appz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_synczd2prelockzd2zzast_nodez00(BgL_syncz00_bglt);
	static BgL_instanceofz00_bglt BGl_z62lambda2359z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_funcallzd2funzd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL BgL_vrefz00_bglt BGl_makezd2vrefzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt BGl_z62makezd2boxzd2valuez62zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_makezd2nodezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt);
	static BgL_instanceofz00_bglt BGl_z62lambda2361z62zzast_nodez00(obj_t);
	static obj_t BGl_z62synczd2bodyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2367z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2368z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vlengthzd2vtypezd2zzast_nodez00(BgL_vlengthz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2typezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62conditionalzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62jumpzd2exzd2itzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62makezd2boxzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_letzd2funzd2typez00zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62externzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2bodyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_castzd2nullzd2_bglt BGl_z62lambda2376z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_conditionalz00_bglt, obj_t);
	static BgL_castzd2nullzd2_bglt BGl_z62lambda2378z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_letzd2varzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzd2objzd2zzast_nodez00(BgL_failz00_bglt);
	static BgL_boxzd2refzd2_bglt BGl_z62makezd2boxzd2refz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2functionszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2keyzd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62instanceofzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62setfieldzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62varzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_vsetz12zd2unsafezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static BgL_varz00_bglt BGl_z62lambda2702z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2exprza2zd2setz12za2zzast_nodez00(BgL_vsetz12z12_bglt, obj_t);
	static obj_t BGl_z62lambda2703z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_conditionalz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62wideningzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2707z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2708z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_castz00_bglt BGl_z62lambda2386z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_castz00_bglt BGl_z62lambda2388z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2sidezd2effectzd2zzast_nodez00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_retblockzd2loczd2zzast_nodez00(BgL_retblockz00_bglt);
	static obj_t BGl_z62externzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62makezd2retblockzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2otypezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62boxzd2setz12zd2vtypezd2setz12zb0zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62appzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_funcallz00_bglt BGl_funcallzd2nilzd2zzast_nodez00();
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda2715z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda2717z62zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2395z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2396z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2typezd2setz12z12zzast_nodez00(BgL_externz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62nodezd2walkzb0zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62failzd2msgzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda2724z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2725z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62setqzd2varzb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62letzd2varzd2bodyz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2valuezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt BGl_boxzd2refzd2nilz00zzast_nodez00();
	static BgL_switchz00_bglt BGl_z62makezd2switchzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_patchz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62letzd2varzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2730z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_varzd2loczd2zzast_nodez00(BgL_varz00_bglt);
	static obj_t BGl_z62lambda2731z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62failzd2msgzb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62funcallzd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2739z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_jumpzd2exzd2itzd2typezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	static BgL_varz00_bglt BGl_z62boxzd2setz12zd2varz70zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62pragmazd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2bindingszd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt,
		obj_t);
	static obj_t BGl_z62nodezd2walkzd2atom1712z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62funcallzd2functionszb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2740z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_castzd2loczd2zzast_nodez00(BgL_castz00_bglt);
	static obj_t BGl_z62newzd2argszd2typez62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_variablez00_bglt
		BGl_varzd2variablezd2zzast_nodez00(BgL_varz00_bglt);
	static BgL_syncz00_bglt BGl_z62lambda2748z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62vsetz12zd2ftypeza2zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_returnz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_nodezf2effectzf2zzast_nodez00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62conditionalzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62makezd2boxzd2typez62zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2sidezd2effectz00zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2sidezd2effectz12zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62zc3z04anonymousza31944ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_syncz00_bglt BGl_z62lambda2750z62zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2756z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2757z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_nodezd2walkzd2zzast_nodez00(BgL_nodez00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_genpatchidz00_bglt
		BGl_genpatchidzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t BGl_setqzd2loczd2zzast_nodez00(BgL_setqz00_bglt);
	static BgL_genpatchidz00_bglt BGl_z62makezd2genpatchidzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2keyzd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_newz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2exprza2z70zzast_nodez00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2funzd2setz12z12zzast_nodez00(BgL_appz00_bglt, BgL_varz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_vlengthz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2exprza2zd2setz12zb0zzast_nodez00(BgL_instanceofz00_bglt,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2765z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2766z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vrefzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62newzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2clauseszd2zzast_nodez00(BgL_switchz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2770z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2771z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_atomzd2typezd2setz12z12zzast_nodez00(BgL_atomz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_valloczd2ftypezd2zzast_nodez00(BgL_vallocz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31874ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62kwotezd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2vtypezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62literalzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2funzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2varzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt,
		BgL_varz00_bglt);
	static obj_t BGl_z62wideningzd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32677ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzd2valuezd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2typezd2setz12z12zzast_nodez00(BgL_switchz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vlengthz00_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_getfieldz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62letzd2funzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32024ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzd2valuezd2setz12z12zzast_nodez00(BgL_literalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2valuezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setzd2exzd2itzd2bodyzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_z62newzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_externz00_bglt BGl_makezd2externzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_patchz00_bglt BGl_z62patchzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2effectzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_appzd2lyzd2funz00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2refzd2varz00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	static obj_t BGl_z62zc3z04anonymousza32130ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2czd2formatz00zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_letzd2varzd2typez00zzast_nodez00(BgL_letzd2varzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_castz00zzast_nodez00 = BUNSPEC;
	static BgL_failz00_bglt BGl_z62makezd2failzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezd2typezd2setz12z12zzast_nodez00(BgL_nodez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62appzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62funcallzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2keyzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_valloczd2loczd2zzast_nodez00(BgL_vallocz00_bglt);
	static BgL_typez00_bglt BGl_z62failzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2typezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62zc3z04anonymousza31983ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt BGl_kwotezd2nilzd2zzast_nodez00();
	static BgL_typez00_bglt BGl_z62makezd2boxzd2vtypez62zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vsetz12zf3ze1zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_vlengthz00_bglt
		BGl_makezd2vlengthzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62boxzd2refzd2locz62zzast_nodez00(obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62retblockzd2nilzb0zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62appzd2lyzd2funz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2exitzd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	static BgL_typez00_bglt BGl_z62nodezd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2effectzc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62vrefzd2unsafezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2exprza2za2zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static BgL_sequencez00_bglt BGl_z62makezd2sequencezb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62pragmazd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2keyzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62vsetz12zd2typeza2zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_patchz00_bglt BGl_patchzd2nilzd2zzast_nodez00();
	static BgL_varz00_bglt BGl_z62patchzd2refzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62atomzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_appzd2lyzd2_bglt BGl_appzd2lyzd2nilz00zzast_nodez00();
	BGL_EXPORTED_DECL BgL_failz00_bglt BGl_makezd2failzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62nodezd2walkzd2funcall1727z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzd2falsezd2zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62nodezd2walkzd2kwote1716z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62pragmazd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2effectzd2zzast_nodez00(BgL_privatez00_bglt);
	static obj_t BGl_z62patchzd2indexzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzd2exitzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2keyzd2zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_failzd2typezd2zzast_nodez00(BgL_failz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_jumpzd2exzd2itzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62vlengthzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2lyzd2argzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_genpatchidz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2typezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62failzd2proczb0zzast_nodez00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62appzd2lyzd2nilz62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt, obj_t);
	static obj_t BGl_z62sequencezd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_closurezd2typezd2zzast_nodez00(BgL_closurez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2otypezd2setz12z12zzast_nodez00(BgL_wideningz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32063ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_castzd2argzd2zzast_nodez00(BgL_castz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_nodezd2typezd2zzast_nodez00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2loczd2zzast_nodez00(BgL_instanceofz00_bglt);
	static obj_t BGl_z62appzd2argszd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62wideningzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_varz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_returnzd2loczd2zzast_nodez00(BgL_returnz00_bglt);
	static BgL_appz00_bglt BGl_z62lambda2002z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_setzd2exzd2itz00_bglt
		BGl_setzd2exzd2itzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62conditionalzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2keyz62zzast_nodez00(obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda2008z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2009z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_makezd2boxzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62nodezd2walkzd2boxzd2ref1743zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2vtypezd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_patchzd2refzd2zzast_nodez00(BgL_patchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2typezd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt,
		BgL_typez00_bglt);
	static BgL_varz00_bglt BGl_z62appzd2funzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_privatez00_bglt,
		obj_t);
	static BgL_typez00_bglt BGl_z62vlengthzd2vtypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2sidezd2effectz00zzast_nodez00(BgL_sequencez00_bglt);
	BGL_EXPORTED_DECL BgL_externz00_bglt BGl_externzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62privatezd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2removablezf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_literalzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2013z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2014z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezf2effectzd2typezd2setz12z82zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62kwotezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_patchz00_bglt BGl_makezd2patchzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, BgL_varz00_bglt, long);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_switchzd2typezd2zzast_nodez00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL BgL_privatez00_bglt BGl_privatezd2nilzd2zzast_nodez00();
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2020z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2022z62zzast_nodez00(obj_t);
	static obj_t BGl_z62privatezd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62returnzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32139ze3ze5zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2028z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2029z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62retblockzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_genpatchidzd2indexzd2zzast_nodez00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzd2proczd2zzast_nodez00(BgL_failz00_bglt);
	static BgL_typez00_bglt BGl_z62vrefzd2vtypezb0zzast_nodez00(obj_t, obj_t);
	static BgL_externz00_bglt BGl_z62externzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62getfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2034z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2035z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2funzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62patchzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62genpatchidzd2indexzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2exprza2z70zzast_nodez00(BgL_instanceofz00_bglt);
	static BgL_patchz00_bglt BGl_z62makezd2patchzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_castzd2nullzd2_bglt
		BGl_castzd2nullzd2nilz00zzast_nodez00();
	BGL_EXPORTED_DEF obj_t BGl_boxzd2setz12zc0zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62letzd2varzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62externzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setfieldzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2041z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2043z62zzast_nodez00(obj_t);
	static obj_t BGl_z62privatezd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62funcallzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2proczd2setz12z12zzast_nodez00(BgL_failz00_bglt,
		BgL_nodez00_bglt);
	static BgL_appz00_bglt BGl_z62appzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL BgL_atomz00_bglt BGl_atomzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2locz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62letzd2funzd2localszd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_pragmaz00_bglt BGl_z62makezd2pragmazb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2typezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62privatezd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2050z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2051z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2055z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2056z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sequencez00_bglt BGl_sequencezd2nilzd2zzast_nodez00();
	static obj_t BGl_z62lambda2061z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_switchzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2062z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_castzd2nullzf3z21zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getfieldzd2typezd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_vrefz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32248ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_retblockzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2068z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2069z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2vtypezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2loczd2zzast_nodez00(BgL_wideningz00_bglt);
	static BgL_typez00_bglt BGl_z62castzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_nodez00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62genpatchidzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2keyz00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_kwotez00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62newzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_externz00_bglt BGl_z62lambda2077z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzd2typezd2setz12z12zzast_nodez00(BgL_patchz00_bglt,
		BgL_typez00_bglt);
	static BgL_externz00_bglt BGl_z62lambda2079z62zzast_nodez00(obj_t);
	static obj_t BGl_z62nodezd2walkzd2sequence1718z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2typezd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62strictzd2nodezd2typez62zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2locz20zzast_nodez00(BgL_nodezf2effectzf2_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_valloczd2typezd2zzast_nodez00(BgL_vallocz00_bglt);
	static BgL_setqz00_bglt BGl_z62lambda2404z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_setqz00_bglt BGl_z62lambda2406z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_setzd2exzd2itzd2varzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_z62castzd2nullzf3z43zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2087z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2088z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2exprza2z00zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2typezd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62setfieldzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62makezd2appzd2lyz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2effectzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2sidezd2effectzf2zzast_nodez00
		(BgL_nodezf2effectzf2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_newz00_bglt, obj_t);
	static BgL_varz00_bglt BGl_z62lambda2413z62zzast_nodez00(obj_t, obj_t);
	static BgL_failz00_bglt BGl_z62failzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2414z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_conditionalzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_retblockz00zzast_nodez00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62lambda2418z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2419z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2095z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2096z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vlengthzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2argszb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_conditionalz00_bglt
		BGl_conditionalzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62getfieldzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62conditionalzd2truezb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2keyzd2zzast_nodez00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzd2varzd2setz12z12zzast_nodez00(BgL_setqz00_bglt, BgL_varz00_bglt);
	static obj_t BGl_z62genpatchidzd2rindexzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2exprza2z70zzast_nodez00(BgL_privatez00_bglt);
	static obj_t BGl_z62vrefzd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32462ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_syncz00_bglt BGl_z62synczd2nilzb0zzast_nodez00(obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda2426z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda2428z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_castzd2typezd2zzast_nodez00(BgL_castz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_privatez00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62externzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2sidezd2effectz00zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62instanceofzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62funcallzd2argszd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vsetz12zd2otypezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vlengthzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31912ze3ze5zzast_nodez00(obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62letzd2funzd2nilz62zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32390ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2437z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2438z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2typezd2setz12z12zzast_nodez00(BgL_closurez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_privatezd2typezd2zzast_nodez00(BgL_privatez00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_returnzd2valuezd2zzast_nodez00(BgL_returnz00_bglt);
	static obj_t BGl_z62privatezd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_vallocz00_bglt BGl_z62makezd2valloczb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2444z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2445z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2exprza2z70zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_genpatchidz00zzast_nodez00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62lambda2449z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2localszd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_conditionalzd2typezd2zzast_nodez00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2sidezd2effectz00zzast_nodez00(BgL_privatez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_literalz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_switchz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda2450z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_failz00_bglt BGl_z62lambda2457z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_letzd2funzf3z21zzast_nodez00(obj_t);
	static BgL_failz00_bglt BGl_z62lambda2459z62zzast_nodez00(obj_t);
	static obj_t BGl_z62vlengthzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setqzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_sequencezd2typezd2zzast_nodez00(BgL_sequencez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2effectzd2setz12z12zzast_nodez00(BgL_externz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_returnz00_bglt BGl_makezd2returnzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_retblockz00_bglt, BgL_nodez00_bglt);
	static BgL_genpatchidz00_bglt BGl_z62genpatchidzd2nilzb0zzast_nodez00(obj_t);
	static obj_t
		BGl_z62nodezf2effectzd2sidezd2effectzd2setz12z50zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sequencezd2unsafezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2effectzd2zzast_nodez00(BgL_wideningz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2vtypezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_newz00_bglt BGl_makezd2newzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzd2loczd2zzast_nodez00(BgL_literalz00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda2466z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2467z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62switchzd2testzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2otypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62getfieldzd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pragmazd2loczd2zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62vrefzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2sidezd2effectz00zzast_nodez00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_boxzd2setz12zd2valuez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	static obj_t BGl_z62valloczd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_wideningzd2otypezd2zzast_nodez00(BgL_wideningz00_bglt);
	static obj_t BGl_z62switchzd2clauseszb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2472z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2473z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2477z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2478z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2nodeszd2zzast_nodez00(BgL_sequencez00_bglt);
	static obj_t BGl_z62atomzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2effectzd2zzast_nodez00(BgL_newz00_bglt);
	static obj_t BGl_z62vlengthzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62switchzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32719ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda2484z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda2486z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_valloczf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_vsetz12z12zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_privatez00_bglt
		BGl_makezd2privatezd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2locz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62pragmazd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32752ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62atomzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2496z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62switchzd2itemzd2typezd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2497z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62switchzd2itemzd2typez62zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_retblockzd2typezd2zzast_nodez00(BgL_retblockz00_bglt);
	static obj_t BGl_z62newzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2classzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31919ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62valloczd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62valloczd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62setzd2exzd2itzd2bodyzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2sidezd2effectz00zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62castzd2nullzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_wideningz00_bglt BGl_z62wideningzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62vlengthzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_boxzd2refzf3z21zzast_nodez00(obj_t);
	static obj_t BGl_z62nodezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_literalz00_bglt
		BGl_makezd2literalzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_kwotezd2typezd2zzast_nodez00(BgL_kwotez00_bglt);
	BGL_EXPORTED_DECL BgL_genpatchidz00_bglt
		BGl_makezd2genpatchidzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, long, long);
	static BgL_vrefz00_bglt BGl_z62vrefzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62conditionalzd2falsezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_setqz00_bglt BGl_z62makezd2setqzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62setzd2exzd2itzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_atomzd2valuezd2zzast_nodez00(BgL_atomz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2loczd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_synczd2mutexzd2zzast_nodez00(BgL_syncz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2effectzd2setz12z12zzast_nodez00(BgL_newz00_bglt, obj_t);
	static BgL_literalz00_bglt BGl_z62literalzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2keyzd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_failzd2loczd2zzast_nodez00(BgL_failz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2loczd2zzast_nodez00(BgL_closurez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2loczd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2ftypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt,
		BgL_typez00_bglt);
	static BgL_appz00_bglt BGl_z62makezd2appzb0zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62genpatchidzd2rindexzb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62returnzd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31954ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31849ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32578ze3ze5zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62kwotezd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62switchzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_synczd2loczd2zzast_nodez00(BgL_syncz00_bglt);
	static obj_t BGl_z62externzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62sequencezd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_appzd2loczd2zzast_nodez00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_letzd2funzd2bodyz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_sequencez00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2otypezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setfieldzd2typezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static BgL_typez00_bglt BGl_z62instanceofzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62atomzd2valuezb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62synczd2mutexzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62privatezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_externzd2keyzd2zzast_nodez00(BgL_externz00_bglt);
	static obj_t BGl_z62nodezd2walkzd2conditiona1735z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzd2indexzd2setz12z12zzast_nodez00(BgL_patchz00_bglt, long);
	static BgL_letzd2varzd2_bglt BGl_z62letzd2varzd2nilz62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt BGl_makezd2kwotezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62privatezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_closurezf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_failz00zzast_nodez00 = BUNSPEC;
	static BgL_newz00_bglt BGl_z62newzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_setqz00_bglt BGl_makezd2setqzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_varz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2keyzd2setz12z12zzast_nodez00(BgL_sequencez00_bglt, obj_t);
	static BgL_castzd2nullzd2_bglt
		BGl_z62castzd2nullzd2nilz62zzast_nodez00(obj_t);
	static obj_t BGl_z62nodezf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2keyzd2zzast_nodez00(BgL_privatez00_bglt);
	static obj_t BGl_z62sequencezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vsetz12zd2sidezd2effectzd2setz12zb0zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62externzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_boxzd2refzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62nodezf2effectzd2sidezd2effectz90zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2varzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31990ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_letzd2varzf3z21zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2loczd2zzast_nodez00(BgL_setfieldz00_bglt);
	static BgL_kwotez00_bglt BGl_z62makezd2kwotezb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2bindingsz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_returnzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setqzd2valuezd2zzast_nodez00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2keyz00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static BgL_typez00_bglt BGl_z62genpatchidzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_variablez00_bglt);
	static BgL_typez00_bglt BGl_z62getfieldzd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2czd2formatz00zzast_nodez00(BgL_privatez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2typezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62nodezd2walkzd2setzd2exzd2it1751z62zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2formatzd2zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32108ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zd2nilz12zzast_nodez00();
	static BgL_closurez00_bglt BGl_z62closurezd2nilzb0zzast_nodez00(obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_setzd2exzd2itzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_retblockzd2typezd2setz12z12zzast_nodez00(BgL_retblockz00_bglt,
		BgL_typez00_bglt);
	static obj_t
		BGl_z62conditionalzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_nodezf2effectzf3z01zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getfieldzd2otypezd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_funcallzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2boxzd2nilz00zzast_nodez00();
	static BgL_nodez00_bglt BGl_z62setqzd2valuezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2keyzd2zzast_nodez00(BgL_sequencez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2vtypezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62pragmazd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62synczd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_kwotezd2valuezd2zzast_nodez00(BgL_kwotez00_bglt);
	static obj_t BGl_z62appzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62setzd2exzd2itzd2varzb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62synczf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32215ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzd2valuezd2setz12z12zzast_nodez00(BgL_patchz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2effectzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2effectzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_setfieldz00_bglt
		BGl_makezd2setfieldzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2testzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31889ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62varzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2ftypezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62conditionalzd2truezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2exzd2itzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62wideningzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zd2vtypez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2keyzd2setz12z12zzast_nodez00(BgL_privatez00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32070ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62setqzd2varzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2argzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62privatezd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62failzd2proczd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62returnzd2blockzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2exprza2z70zzast_nodez00(BgL_externz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_instanceofz00_bglt, obj_t);
	static obj_t BGl_z62closurezd2variablezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_appzd2lyzf3z21zzast_nodez00(obj_t);
	static obj_t BGl_z62setfieldzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2sidezd2effectz70zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2czd2formatz00zzast_nodez00(BgL_wideningz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2loczd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		BgL_varz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2sidezd2effectz00zzast_nodez00(BgL_wideningz00_bglt);
	static obj_t BGl_z62funcallzd2strengthzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62appzd2lyzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_vlengthz00_bglt BGl_vlengthzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62nodezd2walkzd2boxzd2setz121745za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2keyzd2zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62nodezd2walkzd2cast1731z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_synczd2typezd2zzast_nodez00(BgL_syncz00_bglt);
	static BgL_letzd2funzd2_bglt BGl_z62makezd2letzd2funz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vrefzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62nodezd2walkzd2makezd2box1741zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_pragmazf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_newzd2typezd2zzast_nodez00(BgL_newz00_bglt);
	static BgL_nodez00_bglt BGl_z62nodezd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_switchz00_bglt BGl_switchzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62funcallzd2argszb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62boxzd2refzd2typez62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_retblockzd2bodyzd2setz12z12zzast_nodez00(BgL_retblockz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_vsetz12z12_bglt
		BGl_makezd2vsetz12zc0zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt, BgL_typez00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezd2typezd2setz12z12zzast_nodez00(BgL_kwotez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62letzd2funzd2keyz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_pragmaz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62varzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_getfieldz00_bglt BGl_z62getfieldzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62nodezd2walkzd2setq1733z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62sequencezd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_pragmaz00_bglt BGl_z62lambda2104z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62kwotezf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_pragmaz00_bglt BGl_z62lambda2106z62zzast_nodez00(obj_t);
	static obj_t BGl_z62nodezd2walkzd2jumpzd2exzd2it1753z62zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_letzd2varzd2bodyz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2typezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62instanceofzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2keyzd2setz12z12zzast_nodez00(BgL_wideningz00_bglt, obj_t);
	static BgL_switchz00_bglt BGl_z62switchzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32431ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2112z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2113z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_setfieldzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62instanceofzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2effectzd2zzast_nodez00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_funcallzd2typezd2zzast_nodez00(BgL_funcallz00_bglt);
	static BgL_vsetz12z12_bglt BGl_z62makezd2vsetz12za2zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_genpatchidz00_bglt BGl_z62lambda2119z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2setz12zd2varz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	static obj_t BGl_z62setfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzd2truezd2zzast_nodez00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2keyzd2setz12z12zzast_nodez00(BgL_externz00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62failzd2objzb0zzast_nodez00(obj_t, obj_t);
	static BgL_genpatchidz00_bglt BGl_z62lambda2121z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_appzd2typezd2zzast_nodez00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2otypezd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2typezd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62genpatchidzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32149ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2128z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2129z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_funcallz00_bglt BGl_z62makezd2funcallzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_vsetz12z12_bglt BGl_z62vsetz12zd2nilza2zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2otypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62switchzd2testzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32611ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_appzd2lyzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62valloczd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2137z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2138z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzd2typezd2setz12z12zzast_nodez00(BgL_literalz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62patchzd2indexzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2effectzd2zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2typezd2setz12z12zzast_nodez00(BgL_failz00_bglt,
		BgL_typez00_bglt);
	static BgL_setfieldz00_bglt BGl_z62setfieldzd2nilzb0zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62retblockzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2sidezd2effectz00zzast_nodez00(BgL_getfieldz00_bglt);
	static BgL_privatez00_bglt BGl_z62lambda2145z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_privatez00_bglt BGl_z62lambda2147z62zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62vrefzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodezf2effectzf2_bglt
		BGl_z62nodezf2effectzd2nilz42zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2valuezb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62genpatchidzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62appzd2lyzd2typez62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_getfieldz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2effectz00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static obj_t BGl_z62lambda2153z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2154z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2var1714z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_closurez00_bglt BGl_z62makezd2closurezb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_nodez00();
	static BgL_getfieldz00_bglt BGl_z62lambda2160z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32363ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_getfieldz00_bglt BGl_z62lambda2162z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_vsetz12z12_bglt BGl_vsetz12zd2nilzc0zzast_nodez00();
	static obj_t BGl_z62lambda2168z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2testzd2setz12z12zzast_nodez00(BgL_switchz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62lambda2169z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2bodyzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_literalzd2typezd2zzast_nodez00(BgL_literalz00_bglt);
	static obj_t BGl_z62castzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_switchz00_bglt BGl_makezd2switchzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_castzd2nullzd2_bglt
		BGl_makezd2castzd2nullz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2sidezd2effectz00zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_vallocz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_wideningzd2typezd2zzast_nodez00(BgL_wideningz00_bglt);
	static BgL_typez00_bglt BGl_z62valloczd2otypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2czd2formatz12zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62genpatchidzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62wideningzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62conditionalzd2falsezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62boxzd2setz12zd2valuez70zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2173z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2loczd2zzast_nodez00(BgL_newz00_bglt);
	static obj_t BGl_z62lambda2174z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62wideningzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2178z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2179z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2effectzd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2czd2formatz00zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62sequencezd2nodeszb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2otypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2argzd2setz12z12zzast_nodez00(BgL_castz00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62genpatchidzd2exprza2zd2setz12zd2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setqzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vrefzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2502z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2503z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2507z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2508z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62literalzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_setfieldz00_bglt BGl_z62lambda2185z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2ftypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static BgL_setfieldz00_bglt BGl_z62lambda2187z62zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62setfieldzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzd2typezd2setz12z12zzast_nodez00(BgL_setqz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2typezd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62boxzd2refzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2czd2formatz00zzast_nodez00(BgL_newz00_bglt);
	static obj_t BGl_z62boxzd2setz12zd2locz70zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2193z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2194z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda2519z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2199z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_switchzd2itemzd2typez00zzast_nodez00(BgL_switchz00_bglt);
	static obj_t BGl_z62conditionalzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2locz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2exprza2zd2setz12zb0zzast_nodez00(BgL_externz00_bglt, obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62makezd2letzd2varz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2ftypezd2zzast_nodez00(BgL_vlengthz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_nodezd2loczd2zzast_nodez00(BgL_nodez00_bglt);
	static BgL_letzd2funzd2_bglt BGl_z62lambda2521z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2keyzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_castzd2nullzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32294ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32189ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_privatezf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62atomzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_appzf3zf3zzast_nodez00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_retblockz00_bglt BGl_retblockzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2keyzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_atomzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2effectzd2zzast_nodez00(BgL_externz00_bglt);
	static obj_t BGl_z62lambda2534z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2535z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2keyz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2typezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_newzd2exprza2z70zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzd2valuezd2setz12z12zzast_nodez00(BgL_setqz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62newzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sequencezd2unsafezd2zzast_nodez00(BgL_sequencez00_bglt);
	static BgL_typez00_bglt BGl_z62externzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2argszd2typezd2setz12zc0zzast_nodez00(BgL_newz00_bglt, obj_t);
	static obj_t BGl_z62castzd2nullzd2keyz62zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2541z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2542z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2vtypezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2keyzd2setz12z12zzast_nodez00(BgL_newz00_bglt, obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda2549z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62makezd2jumpzd2exzd2itzb0zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2typezd2setz12z12zzast_nodez00(BgL_privatez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_returnzd2valuezd2setz12z12zzast_nodez00(BgL_returnz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2czd2formatz00zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2exprza2z70zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62valloczd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda1820z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda1822z62zzast_nodez00(obj_t);
	static obj_t BGl_z62pragmazd2formatzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62privatezd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda2552z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_varzd2variablezd2setz12z12zzast_nodez00(BgL_varz00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt BGl_varzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62lambda1829z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2keyzd2setz12z12zzast_nodez00(BgL_switchz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2exprza2zd2setz12zb0zzast_nodez00(BgL_vallocz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_varzd2typezd2setz12z12zzast_nodez00(BgL_varz00_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62lambda1830z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2560z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62lambda2561z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda1836z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1837z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_castz00_bglt BGl_castzd2nilzd2zzast_nodez00();
	static BgL_nodez00_bglt BGl_z62lambda2567z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2568z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62conditionalzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_setzd2exzd2itz00_bglt
		BGl_makezd2setzd2exzd2itzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2loczd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_varz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32655ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2fnamezd2zzast_nodez00(BgL_getfieldz00_bglt);
	static BgL_nodezf2effectzf2_bglt BGl_z62lambda1845z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodezf2effectzf2_bglt BGl_z62lambda1847z62zzast_nodez00(obj_t);
	static BgL_instanceofz00_bglt BGl_z62makezd2instanceofzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2576z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2577z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_setfieldz00_bglt BGl_z62makezd2setfieldzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62wideningzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2keyz00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_setqz00_bglt BGl_setqzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62setfieldzd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2keyzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2effectzd2zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62lambda1855z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1856z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt BGl_z62lambda2585z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62genpatchidzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setqz00zzast_nodez00 = BUNSPEC;
	static BgL_setzd2exzd2itz00_bglt BGl_z62lambda2587z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2objzd2setz12z12zzast_nodez00(BgL_failz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2locz00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	static obj_t BGl_z62sequencezf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62patchzd2valuezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62vsetz12zd2vtypeza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2bindingsz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62lambda1863z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1864z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda2594z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2595z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(BgL_letzd2varzd2_bglt,
		bool_t);
	static BgL_nodez00_bglt BGl_z62lambda2599z62zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62funcallzd2funzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vrefzd2unsafezd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_nodezf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62boxzd2refzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_pragmazd2typezd2zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32004ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2metazd2zzast_nodez00(BgL_sequencez00_bglt);
	static obj_t BGl_z62genpatchidzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31929ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_atomz00_bglt BGl_z62lambda1872z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2czd2formatzd2zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static obj_t BGl_z62lambda1878z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1879z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setzd2exzd2itz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2effectzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt, obj_t);
	static obj_t BGl_z62instanceofzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62vlengthzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_atomz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62vlengthzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2walkzd2appzd2ly1724zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31857ze3ze5zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62castzd2argzb0zzast_nodez00(obj_t, obj_t);
	static BgL_literalz00_bglt BGl_z62lambda1885z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_literalz00_bglt BGl_z62lambda1887z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2loczd2zzast_nodez00(BgL_genpatchidz00_bglt);
	static BgL_typez00_bglt BGl_z62getfieldzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2keyzd2zzast_nodez00(BgL_vlengthz00_bglt);
	static BgL_syncz00_bglt BGl_z62makezd2synczb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2bindingszd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62switchzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sequencezf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_instanceofzd2typezd2zzast_nodez00(BgL_instanceofz00_bglt);
	static obj_t BGl_z62synczd2mutexzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_patchz00_bglt BGl_z62lambda1896z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_wideningz00_bglt
		BGl_makezd2wideningzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt);
	static BgL_patchz00_bglt BGl_z62lambda1898z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_switchzd2keyzd2zzast_nodez00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2effectzd2setz12z12zzast_nodez00(BgL_privatez00_bglt, obj_t);
	static obj_t BGl_z62literalzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getfieldzd2ftypezd2zzast_nodez00(BgL_getfieldz00_bglt);
	static BgL_funcallz00_bglt BGl_z62funcallzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_genericzd2initzd2zzast_nodez00();
	static obj_t BGl_z62getfieldzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2keyzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_kwotezf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62funcallzd2functionszd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2typezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62closurezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setfieldzd2otypezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static BgL_typez00_bglt BGl_z62boxzd2setz12zd2vtypez70zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_vallocz00_bglt BGl_valloczd2nilzd2zzast_nodez00();
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62kwotezd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_synczf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_setfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62instanceofzd2exprza2zd2setz12zd2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vlengthz00_bglt, obj_t);
	static obj_t BGl_z62vrefzd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62boxzd2refzd2nilz62zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62switchzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_returnzd2blockzd2setz12z12zzast_nodez00(BgL_returnz00_bglt,
		BgL_retblockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2czd2formatz00zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62instanceofzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2ftypezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2typezd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62nodezd2walkzd2extern1729z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62synczd2prelockzb0zzast_nodez00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_genpatchidzd2typezd2zzast_nodez00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL BgL_syncz00_bglt BGl_makezd2synczd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	static BgL_typez00_bglt BGl_z62setqzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_setqzd2varzd2zzast_nodez00(BgL_setqz00_bglt);
	static BgL_vallocz00_bglt BGl_z62valloczd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62vsetz12zd2keyza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62patchzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setqzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_atomz00_bglt BGl_z62atomzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzd2msgzd2zzast_nodez00(BgL_failz00_bglt);
	static BgL_typez00_bglt BGl_z62letzd2funzd2typez62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_retblockzd2bodyzd2zzast_nodez00(BgL_retblockz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2sidezd2effectzd2zzast_nodez00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2keyzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt,
		obj_t);
	static bool_t BGl_nodezd2walkza2z70zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_kwotezd2loczd2zzast_nodez00(BgL_kwotez00_bglt);
	static obj_t BGl_z62vsetz12zd2unsafeza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32698ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31969ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezf2effectzd2keyz42zzast_nodez00(obj_t, obj_t);
	static obj_t
		BGl_z62castzd2nullzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2keyzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt, obj_t);
	static obj_t BGl_z62instanceofzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_pragmaz00_bglt BGl_makezd2pragmazd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62retblockzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62wideningzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2typezd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2effectzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt, obj_t);
	static obj_t BGl_z62castzd2nullzd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32045ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2typezd2setz12z12zzast_nodez00(BgL_castz00_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62nodezf2effectzd2typez42zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62getfieldzd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_instanceofz00_bglt
		BGl_instanceofzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2localsz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setqzd2typezd2zzast_nodez00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL BgL_returnz00_bglt BGl_returnzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62castzd2argzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_synczd2prelockzd2setz12z12zzast_nodez00(BgL_syncz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2keyzc0zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL obj_t BGl_patchzd2loczd2zzast_nodez00(BgL_patchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2locz00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	static obj_t BGl_z62failzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2effectzd2zzast_nodez00(BgL_pragmaz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2indexzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt,
		long);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_makezd2boxzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2sidezd2effectz00zzast_nodez00(BgL_pragmaz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2rindexzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt,
		long);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2ftypezd2zzast_nodez00(BgL_vrefz00_bglt);
	static obj_t BGl_z62failzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62externzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vlengthzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2sidezd2effectz00zzast_nodez00(BgL_instanceofz00_bglt);
	static BgL_variablez00_bglt BGl_z62closurezd2variablezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_returnz00_bglt BGl_z62returnzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2exprza2z62zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2valuezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL BgL_appzd2lyzd2_bglt
		BGl_makezd2appzd2lyz00zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt);
	static BgL_variablez00_bglt BGl_z62varzd2variablezb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62appzd2lyzd2locz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_externz00_bglt BGl_z62makezd2externzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62conditionalzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2exprza2z70zzast_nodez00(BgL_wideningz00_bglt);
	static obj_t BGl_z62wideningzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2effectzd2zzast_nodez00(BgL_vrefz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32332ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32081ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62boxzd2refzd2varz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2czd2formatz00zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62externzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2loczd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2exprza2z70zzast_nodez00(BgL_vlengthz00_bglt);
	static BgL_typez00_bglt BGl_z62vrefzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62instanceofzd2classzb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62appzd2funzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2sync1720z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_externzd2loczd2zzast_nodez00(BgL_externz00_bglt);
	static obj_t BGl_z62nodezd2walkzd2fail1737z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_getfieldzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2keyzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		obj_t);
	static BgL_castzd2nullzd2_bglt
		BGl_z62makezd2castzd2nullz62zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_letzd2funzd2_bglt BGl_letzd2funzd2nilz00zzast_nodez00();
	static obj_t BGl_z62vsetz12zd2czd2formatz70zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezf2effectzd2keyzd2setz12z82zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2funzf3z43zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2removablezf3zd2setz12z51zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2loczd2zzast_nodez00(BgL_privatez00_bglt);
	static obj_t BGl_z62lambda2200z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_vallocz00_bglt BGl_makezd2valloczd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62sequencezd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2204z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2205z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32408ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62varzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2keyzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		obj_t);
	static BgL_newz00_bglt BGl_z62makezd2newzb0zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62valloczd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_pragmaz00_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_appz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2keyzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_wideningz00_bglt BGl_wideningzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vallocz00_bglt,
		obj_t);
	static obj_t BGl_z62externzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_newzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62setqzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_wideningz00_bglt BGl_z62lambda2211z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_wideningz00_bglt BGl_z62lambda2213z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2ftypezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2219z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2effectzd2zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2locz00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static BgL_nodez00_bglt BGl_z62synczd2bodyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_castzd2nullzd2typez00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2exprza2zd2setz12zb0zzast_nodez00(BgL_pragmaz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2functionszd2zzast_nodez00(BgL_funcallz00_bglt);
	static obj_t BGl_z62letzd2funzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2220z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodezf2effectzf2_bglt
		BGl_nodezf2effectzd2nilz20zzast_nodez00();
	static obj_t BGl_z62appzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_newz00_bglt BGl_z62lambda2227z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_newz00_bglt BGl_z62lambda2229z62zzast_nodez00(obj_t);
	static obj_t BGl_z62vsetz12zd2keyzd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_atomzd2loczd2zzast_nodez00(BgL_atomz00_bglt);
	static obj_t BGl_z62failzd2objzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sequencezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62makezd2conditionalzb0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_jumpzd2exzd2itz00zzast_nodez00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62letzd2varzd2typez62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2236z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2237z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_setfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62instanceofzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_nodez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2loczd2zzast_nodez00(BgL_sequencez00_bglt);
	static obj_t BGl_z62wideningzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sequencezd2metazb0zzast_nodez00(obj_t, obj_t);
	static BgL_vallocz00_bglt BGl_z62lambda2244z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_vallocz00_bglt BGl_z62lambda2246z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2exprza2zd2setz12zb0zzast_nodez00(BgL_wideningz00_bglt,
		obj_t);
	static BgL_vlengthz00_bglt BGl_z62makezd2vlengthzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2typezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_getfieldz00_bglt
		BGl_makezd2getfieldzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2253z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2254z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32089ze3ze5zzast_nodez00(obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_synczd2bodyzd2zzast_nodez00(BgL_syncz00_bglt);
	static obj_t BGl_z62vrefzd2vtypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62boxzd2refzf3z43zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2258z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2259z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2effectzd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vsetz12zd2effectza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62returnzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2falsezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_nodez00_bglt);
	static BgL_typez00_bglt BGl_z62switchzd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2vtypezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62boxzd2setz12zf3z51zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2effectzd2setz12z12zzast_nodez00(BgL_wideningz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_instanceofz00zzast_nodez00 = BUNSPEC;
	static BgL_privatez00_bglt BGl_z62privatezd2nilzb0zzast_nodez00(obj_t);
	static BgL_vrefz00_bglt BGl_z62lambda2266z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_switchz00_bglt,
		obj_t);
	static BgL_vrefz00_bglt BGl_z62lambda2269z62zzast_nodez00(obj_t);
	static obj_t BGl_z62newzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_wideningz00_bglt BGl_z62makezd2wideningzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62failzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62makezd2setzd2exzd2itzb0zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodezf2effectzf2_bglt
		BGl_z62makezd2nodezf2effectz42zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2275z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2276z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_appzd2lyzd2argz00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_letzd2funzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62getfieldzd2fnamezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2loczd2zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62wideningzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62funcallzd2strengthzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62synczd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2600z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setfieldz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31824ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2280z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2281z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_atomzd2valuezd2setz12z12zzast_nodez00(BgL_atomz00_bglt, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2607z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2609z62zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2285z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2286z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_literalz00_bglt BGl_literalzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_synczd2typezd2setz12z12zzast_nodez00(BgL_syncz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_pragmaz00_bglt BGl_pragmazd2nilzd2zzast_nodez00();
	static obj_t BGl_z62letzd2funzd2locz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_returnzd2typezd2zzast_nodez00(BgL_returnz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zd2typez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	static BgL_typez00_bglt BGl_z62closurezd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2616z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2292z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2itemzd2typezd2setz12zc0zzast_nodez00(BgL_switchz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda2617z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2293z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2exprza2z70zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2typezd2setz12z12zzast_nodez00(BgL_wideningz00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62appzd2lyzd2argz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2app1722z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_boxzd2setz12zf3z33zzast_nodez00(obj_t);
	static obj_t BGl_z62closurezf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2fnamezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62retblockzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2classzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2funzd2_bglt);
	static BgL_nodez00_bglt BGl_z62conditionalzd2testzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2keyzd2setz12z12zzast_nodez00(BgL_appz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2typezd2setz12z12zzast_nodez00(BgL_newz00_bglt, BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda2622z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2623z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_valloczd2keyzd2zzast_nodez00(BgL_vallocz00_bglt);
	static obj_t BGl_z62boxzd2refzd2vtypezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2czd2formatz00zzast_nodez00(BgL_vrefz00_bglt);
	static BgL_retblockz00_bglt BGl_z62lambda2629z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62getfieldzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2sidezd2effectzd2zzast_nodez00(BgL_castzd2nullzd2_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_letzd2varzd2removablezf3zf3zzast_nodez00(BgL_letzd2varzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2sidezd2effectzd2setz12zd2zzast_nodez00(BgL_vsetz12z12_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_letzd2varzd2_bglt BGl_letzd2varzd2nilz00zzast_nodez00();
	static obj_t BGl_z62wideningzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_pragmaz00_bglt BGl_z62pragmazd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setzd2exzd2itzd2typezd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_z62returnzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62boxzd2refzd2keyz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda2631z62zzast_nodez00(obj_t);
	static BgL_varz00_bglt BGl_z62lambda1904z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32556ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1905z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62genpatchidzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62retblockzd2bodyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2lyzf3z43zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2varzf3z43zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_funcallz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_varzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62genpatchidzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2exprza2zd2setz12zb0zzast_nodez00(BgL_privatez00_bglt, obj_t);
	static obj_t BGl_z62lambda1910z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1911z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2640z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2641z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62valloczd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_appzd2funzd2zzast_nodez00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2effectzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_retblockz00_bglt
		BGl_returnzd2blockzd2zzast_nodez00(BgL_returnz00_bglt);
	static obj_t BGl_z62lambda1917z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1918z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62makezd2varzb0zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_returnz00_bglt BGl_z62lambda2649z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62pragmazf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32590ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_instanceofz00_bglt
		BGl_makezd2instanceofzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt);
	static BgL_returnz00_bglt BGl_z62lambda2651z62zzast_nodez00(obj_t);
	static BgL_varz00_bglt BGl_z62lambda1925z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t __cnst[94];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2sidezd2effectzd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2sid3331za7,
		BGl_z62vsetz12zd2sidezd2effectzd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762privateza7d2eff3332z00,
		BGl_z62privatezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2vtypezd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v3333za7,
		BGl_z62boxzd2refzd2vtypez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2argzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ar3334za7,
		BGl_z62appzd2lyzd2argz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2typ3335z00, BGl_z62privatezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762returnza7d2valu3336z00, BGl_z62returnzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762vallocza7d2expr3337z00,
		BGl_z62valloczd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2nilzd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2nil3338za7, BGl_z62vsetz12zd2nilza2zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3100z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3339za7,
		BGl_z62zc3z04anonymousza32139ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3101z00zzast_nodez00,
		BgL_bgl_za762lambda2138za7623340z00, BGl_z62lambda2138z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3102z00zzast_nodez00,
		BgL_bgl_za762lambda2137za7623341z00, BGl_z62lambda2137z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3103z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3342za7,
		BGl_z62zc3z04anonymousza32123ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3104z00zzast_nodez00,
		BgL_bgl_za762lambda2121za7623343z00, BGl_z62lambda2121z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3105z00zzast_nodez00,
		BgL_bgl_za762lambda2119za7623344z00, BGl_z62lambda2119z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3106z00zzast_nodez00,
		BgL_bgl_za762lambda2154za7623345z00, BGl_z62lambda2154z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2loc3346z00, BGl_z62closurezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3107z00zzast_nodez00,
		BgL_bgl_za762lambda2153za7623347z00, BGl_z62lambda2153z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3108z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3348za7,
		BGl_z62zc3z04anonymousza32149ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3109z00zzast_nodez00,
		BgL_bgl_za762lambda2147za7623349z00, BGl_z62lambda2147z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2typezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2typ3350za7,
		BGl_z62vsetz12zd2typezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2effect3351z00, BGl_z62vrefzd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ex3352z00,
		BGl_z62getfieldzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3110z00zzast_nodez00,
		BgL_bgl_za762lambda2145za7623353z00, BGl_z62lambda2145z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3111z00zzast_nodez00,
		BgL_bgl_za762lambda2169za7623354z00, BGl_z62lambda2169z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23355z00,
		BGl_z62instanceofzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3112z00zzast_nodez00,
		BgL_bgl_za762lambda2168za7623356z00, BGl_z62lambda2168z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3113z00zzast_nodez00,
		BgL_bgl_za762lambda2174za7623357z00, BGl_z62lambda2174z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3114z00zzast_nodez00,
		BgL_bgl_za762lambda2173za7623358z00, BGl_z62lambda2173z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2s3359za7,
		BGl_z62letzd2varzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3115z00zzast_nodez00,
		BgL_bgl_za762lambda2179za7623360z00, BGl_z62lambda2179z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2locza7b03361za7, BGl_z62synczd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3116z00zzast_nodez00,
		BgL_bgl_za762lambda2178za7623362z00, BGl_z62lambda2178z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3117z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3363za7,
		BGl_z62zc3z04anonymousza32164ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762externza7d2effe3364z00,
		BGl_z62externzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3118z00zzast_nodez00,
		BgL_bgl_za762lambda2162za7623365z00, BGl_z62lambda2162z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3119z00zzast_nodez00,
		BgL_bgl_za762lambda2160za7623366z00, BGl_z62lambda2160z62zzast_nodez00, 0L,
		BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2keyza73367za7,
		BGl_z62valloczd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2unsafezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2uns3368za7,
		BGl_z62vsetz12zd2unsafeza2zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2castzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2castza7b3369za7, BGl_z62makezd2castzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2locza7b03370za7, BGl_z62atomzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2proczd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2procza7b3371za7, BGl_z62failzd2proczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2lo3372za7,
		BGl_z62appzd2lyzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2wideningzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2wideni3373z00, BGl_z62makezd2wideningzb0zzast_nodez00,
		0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3120z00zzast_nodez00,
		BgL_bgl_za762lambda2194za7623374z00, BGl_z62lambda2194z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3121z00zzast_nodez00,
		BgL_bgl_za762lambda2193za7623375z00, BGl_z62lambda2193z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3122z00zzast_nodez00,
		BgL_bgl_za762lambda2200za7623376z00, BGl_z62lambda2200z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3123z00zzast_nodez00,
		BgL_bgl_za762lambda2199za7623377z00, BGl_z62lambda2199z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3124z00zzast_nodez00,
		BgL_bgl_za762lambda2205za7623378z00, BGl_z62lambda2205z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3125z00zzast_nodez00,
		BgL_bgl_za762lambda2204za7623379z00, BGl_z62lambda2204z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3126z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3380za7,
		BGl_z62zc3z04anonymousza32189ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3127z00zzast_nodez00,
		BgL_bgl_za762lambda2187za7623381z00, BGl_z62lambda2187z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3128z00zzast_nodez00,
		BgL_bgl_za762lambda2185za7623382z00, BGl_z62lambda2185z62zzast_nodez00, 0L,
		BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3129z00zzast_nodez00,
		BgL_bgl_za762lambda2220za7623383z00, BGl_z62lambda2220z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2typeza73384za7, BGl_z62kwotezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762switchza7d2keyza73385za7,
		BGl_z62switchzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3130z00zzast_nodez00,
		BgL_bgl_za762lambda2219za7623386z00, BGl_z62lambda2219z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3131z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3387za7,
		BGl_z62zc3z04anonymousza32215ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3132z00zzast_nodez00,
		BgL_bgl_za762lambda2213za7623388z00, BGl_z62lambda2213z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3133z00zzast_nodez00,
		BgL_bgl_za762lambda2211za7623389z00, BGl_z62lambda2211z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setqzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2setqza7b3390za7, BGl_z62makezd2setqzb0zzast_nodez00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3134z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3391za7,
		BGl_z62zc3z04anonymousza32238ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3135z00zzast_nodez00,
		BgL_bgl_za762lambda2237za7623392z00, BGl_z62lambda2237z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3136z00zzast_nodez00,
		BgL_bgl_za762lambda2236za7623393z00, BGl_z62lambda2236z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3137z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3394za7,
		BGl_z62zc3z04anonymousza32231ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3138z00zzast_nodez00,
		BgL_bgl_za762lambda2229za7623395z00, BGl_z62lambda2229z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3139z00zzast_nodez00,
		BgL_bgl_za762lambda2227za7623396z00, BGl_z62lambda2227z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2keyzd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2key3397za7,
		BGl_z62vsetz12zd2keyzd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2appzd2lyzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2appza7d23398za7,
		BGl_z62makezd2appzd2lyz62zzast_nodez00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ex3399z00,
		BGl_z62setfieldzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ty3400z00, BGl_z62wideningzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3140z00zzast_nodez00,
		BgL_bgl_za762lambda2254za7623401z00, BGl_z62lambda2254z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3141z00zzast_nodez00,
		BgL_bgl_za762lambda2253za7623402z00, BGl_z62lambda2253z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3142z00zzast_nodez00,
		BgL_bgl_za762lambda2259za7623403z00, BGl_z62lambda2259z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3143z00zzast_nodez00,
		BgL_bgl_za762lambda2258za7623404z00, BGl_z62lambda2258z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3144z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3405za7,
		BGl_z62zc3z04anonymousza32248ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3145z00zzast_nodez00,
		BgL_bgl_za762lambda2246za7623406z00, BGl_z62lambda2246z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3146z00zzast_nodez00,
		BgL_bgl_za762lambda2244za7623407z00, BGl_z62lambda2244z62zzast_nodez00, 0L,
		BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3147z00zzast_nodez00,
		BgL_bgl_za762lambda2276za7623408z00, BGl_z62lambda2276z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3148z00zzast_nodez00,
		BgL_bgl_za762lambda2275za7623409z00, BGl_z62lambda2275z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3149z00zzast_nodez00,
		BgL_bgl_za762lambda2281za7623410z00, BGl_z62lambda2281z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2effectzd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2eff3411za7,
		BGl_z62vsetz12zd2effectzd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2type3412z00, BGl_z62externzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3150z00zzast_nodez00,
		BgL_bgl_za762lambda2280za7623413z00, BGl_z62lambda2280z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3151z00zzast_nodez00,
		BgL_bgl_za762lambda2286za7623414z00, BGl_z62lambda2286z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3152z00zzast_nodez00,
		BgL_bgl_za762lambda2285za7623415z00, BGl_z62lambda2285z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762vrefza7d2exprza7a3416za7,
		BGl_z62vrefzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3153z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3417za7,
		BGl_z62zc3z04anonymousza32294ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3154z00zzast_nodez00,
		BgL_bgl_za762lambda2293za7623418z00, BGl_z62lambda2293z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3155z00zzast_nodez00,
		BgL_bgl_za762lambda2292za7623419z00, BGl_z62lambda2292z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3156z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3420za7,
		BGl_z62zc3z04anonymousza32271ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3157z00zzast_nodez00,
		BgL_bgl_za762lambda2269za7623421z00, BGl_z62lambda2269z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3158z00zzast_nodez00,
		BgL_bgl_za762lambda2266za7623422z00, BGl_z62lambda2266z62zzast_nodez00, 0L,
		BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3159z00zzast_nodez00,
		BgL_bgl_za762lambda2312za7623423z00, BGl_z62lambda2312z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3160z00zzast_nodez00,
		BgL_bgl_za762lambda2311za7623424z00, BGl_z62lambda2311z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3161z00zzast_nodez00,
		BgL_bgl_za762lambda2319za7623425z00, BGl_z62lambda2319z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3162z00zzast_nodez00,
		BgL_bgl_za762lambda2318za7623426z00, BGl_z62lambda2318z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3163z00zzast_nodez00,
		BgL_bgl_za762lambda2324za7623427z00, BGl_z62lambda2324z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2n3428za7,
		BGl_z62letzd2varzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3164z00zzast_nodez00,
		BgL_bgl_za762lambda2323za7623429z00, BGl_z62lambda2323z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3165z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3430za7,
		BGl_z62zc3z04anonymousza32332ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3166z00zzast_nodez00,
		BgL_bgl_za762lambda2331za7623431z00, BGl_z62lambda2331z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3167z00zzast_nodez00,
		BgL_bgl_za762lambda2330za7623432z00, BGl_z62lambda2330z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3168z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3433za7,
		BGl_z62zc3z04anonymousza32305ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3169z00zzast_nodez00,
		BgL_bgl_za762lambda2303za7623434z00, BGl_z62lambda2303z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2unsafezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2unsafe3435z00, BGl_z62vrefzd2unsafezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762externza7d2keyza73436za7,
		BGl_z62externzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3170z00zzast_nodez00,
		BgL_bgl_za762lambda2301za7623437z00, BGl_z62lambda2301z62zzast_nodez00, 0L,
		BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3171z00zzast_nodez00,
		BgL_bgl_za762lambda2347za7623438z00, BGl_z62lambda2347z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3172z00zzast_nodez00,
		BgL_bgl_za762lambda2346za7623439z00, BGl_z62lambda2346z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762privateza7d2exp3440z00,
		BGl_z62privatezd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3173z00zzast_nodez00,
		BgL_bgl_za762lambda2352za7623441z00, BGl_z62lambda2352z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3174z00zzast_nodez00,
		BgL_bgl_za762lambda2351za7623442z00, BGl_z62lambda2351z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3175z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3443za7,
		BGl_z62zc3z04anonymousza32342ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3176z00zzast_nodez00,
		BgL_bgl_za762lambda2340za7623444z00, BGl_z62lambda2340z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3177z00zzast_nodez00,
		BgL_bgl_za762lambda2338za7623445z00, BGl_z62lambda2338z62zzast_nodez00, 0L,
		BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3178z00zzast_nodez00,
		BgL_bgl_za762lambda2368za7623446z00, BGl_z62lambda2368z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2nilza73447za7, BGl_z62valloczd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3179z00zzast_nodez00,
		BgL_bgl_za762lambda2367za7623448z00, BGl_z62lambda2367z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazf3zd2envz21zzast_nodez00,
		BgL_bgl_za762pragmaza7f3za791za73449z00, BGl_z62pragmazf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2keyzd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3450z00,
		BGl_z62nodezf2effectzd2keyz42zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762pragmaza7d2side3451z00,
		BGl_z62pragmazd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ke3452z00,
		BGl_z62setfieldzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2externzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2extern3453z00, BGl_z62makezd2externzb0zzast_nodez00,
		0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2n3454za7,
		BGl_z62boxzd2refzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2sideza7d23455za7,
		BGl_z62appzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2valuezd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73456z00,
		BGl_z62boxzd2setz12zd2valuezd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3180z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3457za7,
		BGl_z62zc3z04anonymousza32363ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3181z00zzast_nodez00,
		BgL_bgl_za762lambda2361za7623458z00, BGl_z62lambda2361z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3182z00zzast_nodez00,
		BgL_bgl_za762lambda2359za7623459z00, BGl_z62lambda2359z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3183z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3460za7,
		BGl_z62zc3z04anonymousza32380ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3184z00zzast_nodez00,
		BgL_bgl_za762lambda2378za7623461z00, BGl_z62lambda2378z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3185z00zzast_nodez00,
		BgL_bgl_za762lambda2376za7623462z00, BGl_z62lambda2376z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3186z00zzast_nodez00,
		BgL_bgl_za762lambda2396za7623463z00, BGl_z62lambda2396z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3187z00zzast_nodez00,
		BgL_bgl_za762lambda2395za7623464z00, BGl_z62lambda2395z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3188z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3465za7,
		BGl_z62zc3z04anonymousza32390ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3189z00zzast_nodez00,
		BgL_bgl_za762lambda2388za7623466z00, BGl_z62lambda2388z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2varzd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73467z00,
		BGl_z62boxzd2setz12zd2varzd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2locza7b0za73468z00, BGl_z62newzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3469za7,
		BGl_z62castzd2nullzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23470z00,
		BGl_z62genpatchidzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2vtypezd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73471z00,
		BGl_z62boxzd2setz12zd2vtypez70zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3190z00zzast_nodez00,
		BgL_bgl_za762lambda2386za7623472z00, BGl_z62lambda2386z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3191z00zzast_nodez00,
		BgL_bgl_za762lambda2414za7623473z00, BGl_z62lambda2414z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3192z00zzast_nodez00,
		BgL_bgl_za762lambda2413za7623474z00, BGl_z62lambda2413z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3193z00zzast_nodez00,
		BgL_bgl_za762lambda2419za7623475z00, BGl_z62lambda2419z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3194z00zzast_nodez00,
		BgL_bgl_za762lambda2418za7623476z00, BGl_z62lambda2418z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3195z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3477za7,
		BGl_z62zc3z04anonymousza32408ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3196z00zzast_nodez00,
		BgL_bgl_za762lambda2406za7623478z00, BGl_z62lambda2406z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3197z00zzast_nodez00,
		BgL_bgl_za762lambda2404za7623479z00, BGl_z62lambda2404z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3198z00zzast_nodez00,
		BgL_bgl_za762lambda2438za7623480z00, BGl_z62lambda2438z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3199z00zzast_nodez00,
		BgL_bgl_za762lambda2437za7623481z00, BGl_z62lambda2437z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762privateza7d2typ3482z00,
		BGl_z62privatezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_returnzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762returnza7d2valu3483z00,
		BGl_z62returnzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762instanceofza7f33484z00, BGl_z62instanceofzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_retblockzd2bodyzd2envz00zzast_nodez00,
		BgL_bgl_za762retblockza7d2bo3485z00, BGl_z62retblockzd2bodyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vrefzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762vrefza7d2exprza7a3486za7,
		BGl_z62vrefzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2t3487za7,
		BGl_z62letzd2funzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2nil3488z00, BGl_z62vlengthzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3489za7,
		BGl_z62setzd2exzd2itzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2valueza73490za7, BGl_z62atomzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3491za7,
		BGl_z62jumpzd2exzd2itzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2sidezd2effectzd2envz20zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3492z00,
		BGl_z62nodezf2effectzd2sidezd2effectz90zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2locza7b0za73493z00, BGl_z62varzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2functionszd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun3494z00,
		BGl_z62funcallzd2functionszd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23495z00,
		BGl_z62genpatchidzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2typezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2typ3496za7,
		BGl_z62vsetz12zd2typeza2zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2nilza7b03497za7, BGl_z62nodezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762genpatchidza7f33498z00, BGl_z62genpatchidzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762newza7d2sideza7d23499za7,
		BGl_z62newzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzd2funzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2fu3500za7,
		BGl_z62appzd2lyzd2funzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2varzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v3501za7,
		BGl_z62boxzd2refzd2varzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setqza7d2typeza7d3502za7,
		BGl_z62setqzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2typ3503z00, BGl_z62vlengthzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762externza7d2expr3504z00,
		BGl_z62externzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2bodyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3505za7,
		BGl_z62setzd2exzd2itzd2bodyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2typeza7b03506za7, BGl_z62newzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762privateza7d2sid3507z00,
		BGl_z62privatezd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ef3508z00,
		BGl_z62setfieldzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_retblockzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762retblockza7d2ni3509z00, BGl_z62retblockzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2getfieldzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2getfie3510z00, BGl_z62makezd2getfieldzb0zzast_nodez00,
		0L, BUNSPEC, 10);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2lo3511z00, BGl_z62setfieldzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762wideningza7d2ty3512z00,
		BGl_z62wideningzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2type3513z00, BGl_z62switchzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2locza7b0za73514z00, BGl_z62appzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2varzd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2varza7b03515za7, BGl_z62setqzd2varzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ty3516z00,
		BGl_z62setfieldzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_newzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762newza7d2exprza7a23517za7,
		BGl_z62newzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762setqza7f3za791za7za7a3518za7, BGl_z62setqzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2vlengthzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2vlengt3519z00, BGl_z62makezd2vlengthzb0zzast_nodez00,
		0L, BUNSPEC, 9);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ke3520z00, BGl_z62wideningzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2keyza73521za7, BGl_z62externzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2nil3522z00, BGl_z62closurezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2argzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2argza7b03523za7, BGl_z62castzd2argzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2typeza7b03524za7, BGl_z62varzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2varzd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73525z00,
		BGl_z62boxzd2setz12zd2varz70zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d3526z00,
		BGl_z62conditionalzd2keyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2nilza7b03527za7, BGl_z62synczd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2type3528z00, BGl_z62valloczd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2mutexzd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2mutexza73529za7, BGl_z62synczd2mutexzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2nilza7b03530za7, BGl_z62atomzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ni3531za7,
		BGl_z62appzd2lyzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762returnza7d2type3532z00, BGl_z62returnzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_newzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762newza7d2sideza7d23533za7,
		BGl_z62newzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setfieldzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2setfie3534z00, BGl_z62makezd2setfieldzb0zzast_nodez00,
		0L, BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2testzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d3535z00,
		BGl_z62conditionalzd2testzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2valuezd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23536za7,
		BGl_z62makezd2boxzd2valuez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ty3537z00,
		BGl_z62getfieldzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2locza7b03538za7, BGl_z62castzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2vtypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2vty3539z00,
		BGl_z62vlengthzd2vtypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2typeza7d3540za7,
		BGl_z62vrefzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3541za7,
		BGl_z62setzd2exzd2itzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762wideningza7d2cza73542za7,
		BGl_z62wideningzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2nodeszd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2no3543z00,
		BGl_z62sequencezd2nodeszb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762pragmaza7d2type3544z00,
		BGl_z62pragmazd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2t3545za7,
		BGl_z62letzd2varzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ke3546z00,
		BGl_z62getfieldzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzd2testzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762switchza7d2test3547z00,
		BGl_z62switchzd2testzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2key3548z00,
		BGl_z62vlengthzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_returnzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762returnza7d2type3549z00,
		BGl_z62returnzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_strictzd2nodezd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762strictza7d2node3550z00,
		BGl_z62strictzd2nodezd2typez62zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3551za7,
		BGl_z62castzd2nullzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2unsafezd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2un3552z00,
		BGl_z62sequencezd2unsafezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7f3553za7,
		BGl_z62castzd2nullzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2ftyp3554z00, BGl_z62valloczd2ftypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762externza7d2side3555z00,
		BGl_z62externzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762getfieldza7d2si3556z00,
		BGl_z62getfieldzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762externza7d2expr3557z00,
		BGl_z62externzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2nilza7b0za73558z00, BGl_z62newzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3559za7,
		BGl_z62castzd2nullzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762pragmaza7d2side3560z00,
		BGl_z62pragmazd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23561z00,
		BGl_z62genpatchidzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2typeza7b3562za7, BGl_z62synczd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2classzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23563z00,
		BGl_z62instanceofzd2classzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2locza7b3564za7, BGl_z62kwotezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2otypezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2oty3565za7,
		BGl_z62vsetz12zd2otypezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ft3566z00,
		BGl_z62getfieldzd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ke3567z00, BGl_z62getfieldzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23568z00,
		BGl_z62genpatchidzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2keyza7d2s3569za7,
		BGl_z62appzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2value3570z00, BGl_z62patchzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ty3571z00, BGl_z62setfieldzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3572za7,
		BGl_z62jumpzd2exzd2itzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2otypezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2oty3573za7,
		BGl_z62vsetz12zd2otypeza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d3574z00,
		BGl_z62conditionalzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2formatzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2form3575z00, BGl_z62pragmazd2formatzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2nilza7b0za73576z00, BGl_z62varzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2prelockzd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2preloc3577z00, BGl_z62synczd2prelockzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23578z00,
		BGl_z62instanceofzd2keyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762sequenceza7d2si3579z00,
		BGl_z62sequencezd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3580za7,
		BGl_z62castzd2nullzd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2ftyp3581z00,
		BGl_z62valloczd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762conditionalza7d3582z00,
		BGl_z62conditionalzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762returnza7f3za791za73583z00, BGl_z62returnzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zf3zd2envze1zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73584z00,
		BGl_z62boxzd2setz12zf3z51zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2localszd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2l3585za7,
		BGl_z62letzd2funzd2localsz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3200z00zzast_nodez00,
		BgL_bgl_za762lambda2445za7623586z00, BGl_z62lambda2445z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3201z00zzast_nodez00,
		BgL_bgl_za762lambda2444za7623587z00, BGl_z62lambda2444z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3202z00zzast_nodez00,
		BgL_bgl_za762lambda2450za7623588z00, BGl_z62lambda2450z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3203z00zzast_nodez00,
		BgL_bgl_za762lambda2449za7623589z00, BGl_z62lambda2449z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3204z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3590za7,
		BGl_z62zc3z04anonymousza32431ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3205z00zzast_nodez00,
		BgL_bgl_za762lambda2428za7623591z00, BGl_z62lambda2428z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2keyza73592za7, BGl_z62switchzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3206z00zzast_nodez00,
		BgL_bgl_za762lambda2426za7623593z00, BGl_z62lambda2426z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3207z00zzast_nodez00,
		BgL_bgl_za762lambda2467za7623594z00, BGl_z62lambda2467z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3208z00zzast_nodez00,
		BgL_bgl_za762lambda2466za7623595z00, BGl_z62lambda2466z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3209z00zzast_nodez00,
		BgL_bgl_za762lambda2473za7623596z00, BGl_z62lambda2473z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3597za7,
		BGl_z62setzd2exzd2itzf3z91zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_retblockzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762retblockza7d2ty3598z00,
		BGl_z62retblockzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ni3599z00, BGl_z62setfieldzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3210z00zzast_nodez00,
		BgL_bgl_za762lambda2472za7623600z00, BGl_z62lambda2472z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2lo3601z00, BGl_z62sequencezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3211z00zzast_nodez00,
		BgL_bgl_za762lambda2478za7623602z00, BGl_z62lambda2478z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3212z00zzast_nodez00,
		BgL_bgl_za762lambda2477za7623603z00, BGl_z62lambda2477z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3300z00zzast_nodez00,
		BgL_bgl_string3300za700za7za7a3604za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3213z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3605za7,
		BGl_z62zc3z04anonymousza32462ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3214z00zzast_nodez00,
		BgL_bgl_za762lambda2459za7623606z00, BGl_z62lambda2459z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3302z00zzast_nodez00,
		BgL_bgl_string3302za700za7za7a3607za7, "node-walk1709", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3215z00zzast_nodez00,
		BgL_bgl_za762lambda2457za7623608z00, BGl_z62lambda2457z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2keyza7b03609za7, BGl_z62vrefzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3303z00zzast_nodez00,
		BgL_bgl_string3303za700za7za7a3610za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3216z00zzast_nodez00,
		BgL_bgl_za762lambda2497za7623611z00, BGl_z62lambda2497z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3217z00zzast_nodez00,
		BgL_bgl_za762lambda2496za7623612z00, BGl_z62lambda2496z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3305z00zzast_nodez00,
		BgL_bgl_string3305za700za7za7a3613za7, "node-walk", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3218z00zzast_nodez00,
		BgL_bgl_za762lambda2503za7623614z00, BGl_z62lambda2503z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3219z00zzast_nodez00,
		BgL_bgl_za762lambda2502za7623615z00, BGl_z62lambda2502z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2nilza7b0za73616z00, BGl_z62appzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2valuezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23617za7,
		BGl_z62makezd2boxzd2valuezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2czd2formatzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3618za7,
		BGl_z62castzd2nullzd2czd2formatzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d3619z00,
		BGl_z62conditionalzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3220z00zzast_nodez00,
		BgL_bgl_za762lambda2508za7623620z00, BGl_z62lambda2508z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3221z00zzast_nodez00,
		BgL_bgl_za762lambda2507za7623621z00, BGl_z62lambda2507z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3222z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3622za7,
		BGl_z62zc3z04anonymousza32489ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2failzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2failza7b3623za7, BGl_z62makezd2failzb0zzast_nodez00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3223z00zzast_nodez00,
		BgL_bgl_za762lambda2486za7623624z00, BGl_z62lambda2486z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762vlengthza7d2exp3625z00,
		BGl_z62vlengthzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3224z00zzast_nodez00,
		BgL_bgl_za762lambda2484za7623626z00, BGl_z62lambda2484z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3225z00zzast_nodez00,
		BgL_bgl_za762lambda2535za7623627z00, BGl_z62lambda2535z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3226z00zzast_nodez00,
		BgL_bgl_za762lambda2534za7623628z00, BGl_z62lambda2534z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3227z00zzast_nodez00,
		BgL_bgl_za762lambda2542za7623629z00, BGl_z62lambda2542z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3228z00zzast_nodez00,
		BgL_bgl_za762lambda2541za7623630z00, BGl_z62lambda2541z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2nodezf2effectzd2envzf2zzast_nodez00,
		BgL_bgl_za762makeza7d2nodeza7f3631za7,
		BGl_z62makezd2nodezf2effectz42zzast_nodez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3229z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3632za7,
		BGl_z62zc3z04anonymousza32523ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2vsetz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2vsetza713633za7,
		BGl_z62makezd2vsetz12za2zzast_nodez00, 0L, BUNSPEC, 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ft3634z00,
		BGl_z62setfieldzd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3230z00zzast_nodez00,
		BgL_bgl_za762lambda2521za7623635z00, BGl_z62lambda2521z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3231z00zzast_nodez00,
		BgL_bgl_za762lambda2519za7623636z00, BGl_z62lambda2519z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3232z00zzast_nodez00,
		BgL_bgl_za762lambda2561za7623637z00, BGl_z62lambda2561z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2synczd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2syncza7b3638za7, BGl_z62makezd2synczb0zzast_nodez00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3233z00zzast_nodez00,
		BgL_bgl_za762lambda2560za7623639z00, BGl_z62lambda2560z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3234z00zzast_nodez00,
		BgL_bgl_za762lambda2568za7623640z00, BGl_z62lambda2568z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23641za7,
		BGl_z62makezd2boxzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3235z00zzast_nodez00,
		BgL_bgl_za762lambda2567za7623642z00, BGl_z62lambda2567z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3236z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3643za7,
		BGl_z62zc3z04anonymousza32578ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2argzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762castza7d2argza7d23644za7,
		BGl_z62castzd2argzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3237z00zzast_nodez00,
		BgL_bgl_za762lambda2577za7623645z00, BGl_z62lambda2577z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3238z00zzast_nodez00,
		BgL_bgl_za762lambda2576za7623646z00, BGl_z62lambda2576z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3326z00zzast_nodez00,
		BgL_bgl_string3326za700za7za7a3647za7, "ast_node", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3239z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3648za7,
		BGl_z62zc3z04anonymousza32556ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3327z00zzast_nodez00,
		BgL_bgl_string3327za700za7za7a3649za7,
		"node-walk1709 \077\077? _ sync prelock mutex box-set! box-ref make-box return block retblock jump-ex-it exit set-ex-it let-var removable? bindings let-fun body locals switch item-type clauses fail msg proc conditional false true test setq cast cast-null instanceof class vlength vset! vref vtype valloc new args-type widening setfield getfield otype ftype fname private c-format genpatchid rindex pragma bstring format extern effect expr* funcall functions symbol strength app-ly arg app args fun sequence meta bool unsafe pair-nil nodes kwote closure var variable patch patchid long index ref literal atom value node/effect key side-effect ast_node node type obj loc ",
		662);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762newza7d2typeza7d23650za7,
		BGl_z62newzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23651z00,
		BGl_z62instanceofzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2t3652za7,
		BGl_z62boxzd2refzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2locza73653za7, BGl_z62pragmazd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3240z00zzast_nodez00,
		BgL_bgl_za762lambda2552za7623654z00, BGl_z62lambda2552z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3241z00zzast_nodez00,
		BgL_bgl_za762lambda2549za7623655z00, BGl_z62lambda2549z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3242z00zzast_nodez00,
		BgL_bgl_za762lambda2595za7623656z00, BGl_z62lambda2595z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3243z00zzast_nodez00,
		BgL_bgl_za762lambda2594za7623657z00, BGl_z62lambda2594z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3244z00zzast_nodez00,
		BgL_bgl_za762lambda2600za7623658z00, BGl_z62lambda2600z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3245z00zzast_nodez00,
		BgL_bgl_za762lambda2599za7623659z00, BGl_z62lambda2599z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3246z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3660za7,
		BGl_z62zc3z04anonymousza32590ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3247z00zzast_nodez00,
		BgL_bgl_za762lambda2587za7623661z00, BGl_z62lambda2587z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3248z00zzast_nodez00,
		BgL_bgl_za762lambda2585za7623662z00, BGl_z62lambda2585z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3249z00zzast_nodez00,
		BgL_bgl_za762lambda2617za7623663z00, BGl_z62lambda2617z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2typezd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3664z00,
		BGl_z62nodezf2effectzd2typez42zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7f3za73665z00,
		BGl_z62boxzd2refzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ft3666z00,
		BGl_z62getfieldzd2ftypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762switchza7d2side3667z00,
		BGl_z62switchzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2loc3668z00, BGl_z62privatezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3250z00zzast_nodez00,
		BgL_bgl_za762lambda2616za7623669z00, BGl_z62lambda2616z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3251z00zzast_nodez00,
		BgL_bgl_za762lambda2623za7623670z00, BGl_z62lambda2623z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3252z00zzast_nodez00,
		BgL_bgl_za762lambda2622za7623671z00, BGl_z62lambda2622z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3253z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3672za7,
		BGl_z62zc3z04anonymousza32611ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3254z00zzast_nodez00,
		BgL_bgl_za762lambda2609za7623673z00, BGl_z62lambda2609z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3255z00zzast_nodez00,
		BgL_bgl_za762lambda2607za7623674z00, BGl_z62lambda2607z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3256z00zzast_nodez00,
		BgL_bgl_za762lambda2641za7623675z00, BGl_z62lambda2641z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3257z00zzast_nodez00,
		BgL_bgl_za762lambda2640za7623676z00, BGl_z62lambda2640z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3258z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3677za7,
		BGl_z62zc3z04anonymousza32633ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3259z00zzast_nodez00,
		BgL_bgl_za762lambda2631za7623678z00, BGl_z62lambda2631z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762instanceofza7d23679z00,
		BGl_z62instanceofzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2nilza7b03680za7, BGl_z62castzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2switchzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2switch3681z00, BGl_z62makezd2switchzb0zzast_nodez00,
		0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762conditionalza7d3682z00,
		BGl_z62conditionalzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3260z00zzast_nodez00,
		BgL_bgl_za762lambda2629za7623683z00, BGl_z62lambda2629z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2funzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2fu3684za7,
		BGl_z62appzd2lyzd2funz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2varzd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v3685za7,
		BGl_z62boxzd2refzd2varz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3261z00zzast_nodez00,
		BgL_bgl_za762lambda2662za7623686z00, BGl_z62lambda2662z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3262z00zzast_nodez00,
		BgL_bgl_za762lambda2661za7623687z00, BGl_z62lambda2661z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3263z00zzast_nodez00,
		BgL_bgl_za762lambda2667za7623688z00, BGl_z62lambda2667z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3264z00zzast_nodez00,
		BgL_bgl_za762lambda2666za7623689z00, BGl_z62lambda2666z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3265z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3690za7,
		BGl_z62zc3z04anonymousza32655ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3266z00zzast_nodez00,
		BgL_bgl_za762lambda2651za7623691z00, BGl_z62lambda2651z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3267z00zzast_nodez00,
		BgL_bgl_za762lambda2649za7623692z00, BGl_z62lambda2649z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3268z00zzast_nodez00,
		BgL_bgl_za762lambda2683za7623693z00, BGl_z62lambda2683z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2k3694za7,
		BGl_z62letzd2funzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3269z00zzast_nodez00,
		BgL_bgl_za762lambda2682za7623695z00, BGl_z62lambda2682z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762atomza7d2typeza7d3696za7,
		BGl_z62atomzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2fnamezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2fn3697z00,
		BGl_z62setfieldzd2fnamezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3270z00zzast_nodez00,
		BgL_bgl_za762lambda2688za7623698z00, BGl_z62lambda2688z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3271z00zzast_nodez00,
		BgL_bgl_za762lambda2687za7623699z00, BGl_z62lambda2687z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3272z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3700za7,
		BGl_z62zc3z04anonymousza32677ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3273z00zzast_nodez00,
		BgL_bgl_za762lambda2675za7623701z00, BGl_z62lambda2675z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3274z00zzast_nodez00,
		BgL_bgl_za762lambda2673za7623702z00, BGl_z62lambda2673z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3275z00zzast_nodez00,
		BgL_bgl_za762lambda2703za7623703z00, BGl_z62lambda2703z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3276z00zzast_nodez00,
		BgL_bgl_za762lambda2702za7623704z00, BGl_z62lambda2702z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3277z00zzast_nodez00,
		BgL_bgl_za762lambda2708za7623705z00, BGl_z62lambda2708z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3278z00zzast_nodez00,
		BgL_bgl_za762lambda2707za7623706z00, BGl_z62lambda2707z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3279z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3707za7,
		BGl_z62zc3z04anonymousza32698ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762privateza7d2cza7d3708za7,
		BGl_z62privatezd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2typ3709z00,
		BGl_z62vlengthzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2removablezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2r3710za7,
		BGl_z62letzd2varzd2removablezf3z91zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3280z00zzast_nodez00,
		BgL_bgl_za762lambda2696za7623711z00, BGl_z62lambda2696z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3281z00zzast_nodez00,
		BgL_bgl_za762lambda2694za7623712z00, BGl_z62lambda2694z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3282z00zzast_nodez00,
		BgL_bgl_za762lambda2725za7623713z00, BGl_z62lambda2725z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3283z00zzast_nodez00,
		BgL_bgl_za762lambda2724za7623714z00, BGl_z62lambda2724z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3284z00zzast_nodez00,
		BgL_bgl_za762lambda2731za7623715z00, BGl_z62lambda2731z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3285z00zzast_nodez00,
		BgL_bgl_za762lambda2730za7623716z00, BGl_z62lambda2730z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762instanceofza7d23717z00,
		BGl_z62instanceofzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3286z00zzast_nodez00,
		BgL_bgl_za762lambda2740za7623718z00, BGl_z62lambda2740z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3287z00zzast_nodez00,
		BgL_bgl_za762lambda2739za7623719z00, BGl_z62lambda2739z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3288z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3720za7,
		BGl_z62zc3z04anonymousza32719ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3289z00zzast_nodez00,
		BgL_bgl_za762lambda2717za7623721z00, BGl_z62lambda2717z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2itemzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762switchza7d2item3722z00,
		BGl_z62switchzd2itemzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzf3zd2envzd3zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3723z00,
		BGl_z62nodezf2effectzf3z63zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2rindexzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23724z00,
		BGl_z62genpatchidzd2rindexzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2ftypeza73725za7, BGl_z62vrefzd2ftypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2exprza2zd2envz70zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3726za7,
		BGl_z62castzd2nullzd2exprza2zc0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3290z00zzast_nodez00,
		BgL_bgl_za762lambda2715za7623727z00, BGl_z62lambda2715z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3291z00zzast_nodez00,
		BgL_bgl_za762lambda2757za7623728z00, BGl_z62lambda2757z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3292z00zzast_nodez00,
		BgL_bgl_za762lambda2756za7623729z00, BGl_z62lambda2756z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3293z00zzast_nodez00,
		BgL_bgl_za762lambda2766za7623730z00, BGl_z62lambda2766z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3294z00zzast_nodez00,
		BgL_bgl_za762lambda2765za7623731z00, BGl_z62lambda2765z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3295z00zzast_nodez00,
		BgL_bgl_za762lambda2771za7623732z00, BGl_z62lambda2771z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3296z00zzast_nodez00,
		BgL_bgl_za762lambda2770za7623733z00, BGl_z62lambda2770z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3297z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3734za7,
		BGl_z62zc3z04anonymousza32752ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3298z00zzast_nodez00,
		BgL_bgl_za762lambda2750za7623735z00, BGl_z62lambda2750z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3299z00zzast_nodez00,
		BgL_bgl_za762lambda2748za7623736z00, BGl_z62lambda2748z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762atomza7d2valueza73737za7,
		BGl_z62atomzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2varzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3738za7,
		BGl_z62setzd2exzd2itzd2varzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2vtypezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2vtypeza73739za7, BGl_z62vrefzd2vtypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2ftypeza73740za7,
		BGl_z62vrefzd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2falsezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d3741z00,
		BGl_z62conditionalzd2falsezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2keyzd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2key3742za7, BGl_z62vsetz12zd2keyza2zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2nilza7b3743za7, BGl_z62kwotezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2variablezd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2variabl3744z00, BGl_z62varzd2variablezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d23745z00,
		BGl_z62instanceofzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2vrefzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2vrefza7b3746za7, BGl_z62makezd2vrefzb0zzast_nodez00,
		0L, BUNSPEC, 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762wideningza7d2si3747z00,
		BGl_z62wideningzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762patchza7f3za791za7za73748za7, BGl_z62patchzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2typeza7b03749za7, BGl_z62appzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2vtypezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v3750za7,
		BGl_z62boxzd2refzd2vtypezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2exprza2zd2envzb0zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2exp3751za7,
		BGl_z62vsetz12zd2exprza2z00zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762vrefza7d2sideza7d3752za7,
		BGl_z62vrefzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2typeza7b3753za7, BGl_z62atomzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762syncza7d2typeza7d3754za7,
		BGl_z62synczd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2instanceofzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2instan3755z00,
		BGl_z62makezd2instanceofzb0zzast_nodez00, 0L, BUNSPEC, 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_retblockzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762retblockza7d2ty3756z00, BGl_z62retblockzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762pragmaza7d2expr3757z00,
		BGl_z62pragmazd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762getfieldza7d2si3758z00,
		BGl_z62getfieldzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ty3759za7,
		BGl_z62appzd2lyzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762vallocza7d2side3760z00,
		BGl_z62valloczd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762pragmaza7d2expr3761z00,
		BGl_z62pragmazd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7f3za743762z00, BGl_z62appzd2lyzf3z43zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7f33763za7, BGl_z62makezd2boxzf3z43zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2truezd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d3764z00,
		BGl_z62conditionalzd2truezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2typeza7b3765za7, BGl_z62vrefzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2typezd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73766z00,
		BGl_z62boxzd2setz12zd2typezd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23767z00,
		BGl_z62genpatchidzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762vrefza7f3za791za7za7a3768za7, BGl_z62vrefzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2refzd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2refza7b3769za7, BGl_z62patchzd2refzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762privateza7d2sid3770z00,
		BGl_z62privatezd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2k3771za7,
		BGl_z62letzd2varzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzd2itemzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762switchza7d2item3772z00,
		BGl_z62switchzd2itemzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2letzd2funzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2letza7d23773za7,
		BGl_z62makezd2letzd2funz62zzast_nodez00, 0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ni3774z00, BGl_z62sequencezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2typeza7b3775za7, BGl_z62failzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2argszd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762newza7d2argsza7d23776za7,
		BGl_z62newzd2argszd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2varzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2varza7b03777za7, BGl_z62makezd2varzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2keyza73778za7, BGl_z62valloczd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2locza7b3779za7, BGl_z62patchzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2k3780za7,
		BGl_z62boxzd2refzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2k3781za7,
		BGl_z62letzd2funzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762newza7d2cza7d2for3782za7,
		BGl_z62newzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2997z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3783za7,
		BGl_z62zc3z04anonymousza31831ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2998z00zzast_nodez00,
		BgL_bgl_za762lambda1830za7623784z00, BGl_z62lambda1830z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2999z00zzast_nodez00,
		BgL_bgl_za762lambda1829za7623785z00, BGl_z62lambda1829z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762externza7d2side3786z00,
		BGl_z62externzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2vtypezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2vty3787za7,
		BGl_z62vsetz12zd2vtypezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762returnza7d2locza73788za7, BGl_z62returnzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2value3789z00, BGl_z62kwotezd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2funzd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2funza7b0za73790z00, BGl_z62appzd2funzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2nilza73791za7, BGl_z62pragmazd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2eff3792z00,
		BGl_z62vlengthzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762atomza7f3za791za7za7a3793za7, BGl_z62atomzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2effe3794z00, BGl_z62externzd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762patchza7d2value3795z00,
		BGl_z62patchzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2nil3796z00, BGl_z62privatezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2typeza7b3797za7, BGl_z62setqzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2key3798z00, BGl_z62vlengthzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzd2argzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ar3799za7,
		BGl_z62appzd2lyzd2argzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762externza7f3za791za73800z00, BGl_z62externzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2bodyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2b3801za7,
		BGl_z62letzd2funzd2bodyz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762literalza7d2loc3802z00, BGl_z62literalzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23803za7,
		BGl_z62makezd2boxzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ty3804z00,
		BGl_z62sequencezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2sidezd2effectzd2envzc0zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2sid3805za7,
		BGl_z62vsetz12zd2sidezd2effectz70zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762vlengthza7f3za7913806za7, BGl_z62vlengthzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762vlengthza7d2sid3807z00,
		BGl_z62vlengthzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762varza7f3za791za7za7as3808za7, BGl_z62varzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ot3809z00,
		BGl_z62setfieldzd2otypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2nodezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2nodeza7b3810za7, BGl_z62makezd2nodezb0zzast_nodez00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762literalza7d2val3811z00, BGl_z62literalzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3812za7,
		BGl_z62castzd2nullzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2locza7b03813za7, BGl_z62failzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2type3814z00,
		BGl_z62valloczd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2clauseszd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2clau3815z00,
		BGl_z62switchzd2clauseszb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2loc3816z00, BGl_z62funcallzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2indexzd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2index3817z00, BGl_z62patchzd2indexzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2effe3818z00, BGl_z62valloczd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setqza7d2valueza73819za7,
		BGl_z62setqzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2mutexzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762syncza7d2mutexza73820za7,
		BGl_z62synczd2mutexzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762vrefza7d2cza7d2fo3821za7,
		BGl_z62vrefzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2typeza7b3822za7, BGl_z62castzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2indexzd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23823z00,
		BGl_z62genpatchidzd2indexzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762wideningza7d2ot3824z00,
		BGl_z62wideningzd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2typ3825z00, BGl_z62funcallzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2literalzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2litera3826z00, BGl_z62makezd2literalzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2valloczd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2valloc3827z00, BGl_z62makezd2valloczb0zzast_nodez00,
		0L, BUNSPEC, 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23828z00,
		BGl_z62genpatchidzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762nodeza7d2typeza7d3829za7,
		BGl_z62nodezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2bodyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2b3830za7,
		BGl_z62letzd2funzd2bodyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762letza7d2funza7f3za73831z00,
		BGl_z62letzd2funzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2letzd2varzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2letza7d23832za7,
		BGl_z62makezd2letzd2varz62zzast_nodez00, 0L, BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2valueza73833za7, BGl_z62setqzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762wideningza7d2ke3834z00,
		BGl_z62wideningzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2k3835za7,
		BGl_z62letzd2varzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2s3836za7,
		BGl_z62boxzd2refzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2sequencezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2sequen3837z00, BGl_z62makezd2sequencezb0zzast_nodez00,
		0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2funzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2funza7d2s3838za7,
		BGl_z62appzd2funzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762varza7d2typeza7d23839za7,
		BGl_z62varzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3301z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walk173840z00, BGl_z62nodezd2walk1709zb0zzast_nodez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3304z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3841za7,
		BGl_z62nodezd2walkzd2atom1712z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3306z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3842za7,
		BGl_z62nodezd2walkzd2var1714z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3307z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3843za7,
		BGl_z62nodezd2walkzd2kwote1716z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3308z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3844za7,
		BGl_z62nodezd2walkzd2sequence1718z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3309z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3845za7,
		BGl_z62nodezd2walkzd2sync1720z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3310z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3846za7,
		BGl_z62nodezd2walkzd2app1722z62zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2typeza7d3847za7,
		BGl_z62failzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3311z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3848za7,
		BGl_z62nodezd2walkzd2appzd2ly1724zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3312z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3849za7,
		BGl_z62nodezd2walkzd2funcall1727z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3313z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3850za7,
		BGl_z62nodezd2walkzd2extern1729z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2closurezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2closur3851z00, BGl_z62makezd2closurezb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3314z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3852za7,
		BGl_z62nodezd2walkzd2cast1731z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3315z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3853za7,
		BGl_z62nodezd2walkzd2setq1733z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ef3854z00,
		BGl_z62setfieldzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3316z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3855za7,
		BGl_z62nodezd2walkzd2conditiona1735z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2returnzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2return3856z00, BGl_z62makezd2returnzb0zzast_nodez00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3317z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3857za7,
		BGl_z62nodezd2walkzd2fail1737z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3318z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3858za7,
		BGl_z62nodezd2walkzd2switch1739z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3319z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3859za7,
		BGl_z62nodezd2walkzd2makezd2box1741zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762vlengthza7d2exp3860z00,
		BGl_z62vlengthzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3861za7,
		BGl_z62jumpzd2exzd2itzf3z91zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2eff3862z00,
		BGl_z62vlengthzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2exprza2zd2setz12zd2envz70zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2exp3863za7,
		BGl_z62vsetz12zd2exprza2zd2setz12zc0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2bodyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b3864za7,
		BGl_z62letzd2varzd2bodyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2jumpzd2exzd2itzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2jumpza7d3865za7,
		BGl_z62makezd2jumpzd2exzd2itzb0zzast_nodez00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762setfieldza7d2si3866z00,
		BGl_z62setfieldzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3320z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3867za7,
		BGl_z62nodezd2walkzd2boxzd2ref1743zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3321z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3868za7,
		BGl_z62nodezd2walkzd2boxzd2setz121745za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3322z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3869za7,
		BGl_z62nodezd2walkzd2letzd2fun1747zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3323z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3870za7,
		BGl_z62nodezd2walkzd2letzd2var1749zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3324z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3871za7,
		BGl_z62nodezd2walkzd2setzd2exzd2it1751z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3325z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d3872za7,
		BGl_z62nodezd2walkzd2jumpzd2exzd2it1753z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2msgzd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2msgza7b03873za7, BGl_z62failzd2msgzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nodezd2walkzd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7b3874za7, BGl_z62nodezd2walkzb0zzast_nodez00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ke3875z00,
		BGl_z62sequencezd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2loczd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3876z00,
		BGl_z62nodezf2effectzd2locz42zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762literalza7d2val3877z00,
		BGl_z62literalzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2nilza7b3878za7, BGl_z62patchzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762literalza7d2typ3879z00,
		BGl_z62literalzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2keyza7b0za73880z00, BGl_z62newzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2objzd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2objza7b03881za7, BGl_z62failzd2objzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3882za7,
		BGl_z62castzd2nullzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23883z00,
		BGl_z62genpatchidzd2keyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2varzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setqza7d2varza7d23884za7,
		BGl_z62setqzd2varzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762returnza7d2nilza73885za7, BGl_z62returnzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3886za7,
		BGl_z62castzd2nullzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2vtypezd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73887z00,
		BGl_z62boxzd2setz12zd2vtypezd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2argszd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2argsza7d23888za7,
		BGl_z62appzd2argszd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2argszd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2argsza7b03889za7, BGl_z62appzd2argszb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2sidezd2effectzd2setz12zd2envze0zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3890z00,
		BGl_z62nodezf2effectzd2sidezd2effectzd2setz12z50zzast_nodez00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762literalza7d2nil3891z00, BGl_z62literalzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762instanceofza7d23892z00,
		BGl_z62instanceofzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2bodyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b3893za7,
		BGl_z62letzd2varzd2bodyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_returnzd2blockzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762returnza7d2bloc3894z00,
		BGl_z62returnzd2blockzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3895za7,
		BGl_z62jumpzd2exzd2itzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762letza7d2varza7f3za73896z00,
		BGl_z62letzd2varzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762wideningza7d2si3897z00,
		BGl_z62wideningzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ex3898z00,
		BGl_z62setfieldzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2argszd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2arg3899z00,
		BGl_z62funcallzd2argszd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zf3zd2envz33zzast_nodez00,
		BgL_bgl_za762vsetza712za7f3za7833900z00, BGl_z62vsetz12zf3z83zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2variablezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762closureza7d2var3901z00,
		BGl_z62closurezd2variablezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2nilza7b03902za7, BGl_z62failzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2sideza7d23903za7,
		BGl_z62appzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2valuezd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73904z00,
		BGl_z62boxzd2setz12zd2valuez70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2exitzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3905za7,
		BGl_z62jumpzd2exzd2itzd2exitzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3906za7,
		BGl_z62jumpzd2exzd2itzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2nil3907z00, BGl_z62funcallzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762instanceofza7d23908z00,
		BGl_z62instanceofzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3909za7,
		BGl_z62castzd2nullzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2msgzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2msgza7d23910za7,
		BGl_z62failzd2msgzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2vtypezd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23911za7,
		BGl_z62makezd2boxzd2vtypez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2truezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d3912z00,
		BGl_z62conditionalzd2truezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ke3913z00, BGl_z62setfieldzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2keyza7b0za73914z00, BGl_z62appzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762failza7f3za791za7za7a3915za7, BGl_z62failzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ot3916z00,
		BGl_z62getfieldzd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2lo3917z00, BGl_z62wideningzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2locza73918za7, BGl_z62externzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2effe3919z00, BGl_z62pragmazd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_varzd2variablezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762varza7d2variabl3920z00,
		BGl_z62varzd2variablezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2strengthzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2str3921z00,
		BGl_z62funcallzd2strengthzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762closureza7f3za7913922za7, BGl_z62closurezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d3923z00,
		BGl_z62conditionalzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762nodeza7f3za791za7za7a3924za7, BGl_z62nodezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23925z00,
		BGl_z62genpatchidzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2pragmazd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2pragma3926z00, BGl_z62makezd2pragmazb0zzast_nodez00,
		0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762privateza7d2key3927z00,
		BGl_z62privatezd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ef3928z00,
		BGl_z62wideningzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762switchza7f3za791za73929z00, BGl_z62switchzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2ftypezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2fty3930za7,
		BGl_z62vsetz12zd2ftypeza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2otyp3931z00,
		BGl_z62valloczd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3932za7,
		BGl_z62castzd2nullzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762vallocza7d2cza7d23933za7,
		BGl_z62valloczd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2vtypezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2vty3934za7,
		BGl_z62vsetz12zd2vtypeza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2bindingszd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b3935za7,
		BGl_z62letzd2varzd2bindingsz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2s3936za7,
		BGl_z62boxzd2refzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762newza7d2effectza73937za7,
		BGl_z62newzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2localszd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2l3938za7,
		BGl_z62letzd2funzd2localszd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2czd2formatzd2envzc0zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2cza7d3939z00,
		BGl_z62vsetz12zd2czd2formatz70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2typeza7d23940za7,
		BGl_z62appzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_retblockzd2bodyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762retblockza7d2bo3941z00,
		BGl_z62retblockzd2bodyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23942za7,
		BGl_z62makezd2boxzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2keyzd2setz12zd2envz32zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3943z00,
		BGl_z62nodezf2effectzd2keyzd2setz12z82zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762castza7d2typeza7d3944za7,
		BGl_z62castzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2makezd2boxzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2makeza7d3945za7,
		BGl_z62makezd2makezd2boxz62zzast_nodez00, 0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762privateza7d2exp3946z00,
		BGl_z62privatezd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2nilzd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3947z00,
		BGl_z62nodezf2effectzd2nilz42zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_synczd2prelockzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762syncza7d2preloc3948z00,
		BGl_z62synczd2prelockzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2argszd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2arg3949z00, BGl_z62funcallzd2argszb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762getfieldza7f3za793950za7, BGl_z62getfieldzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ot3951z00,
		BGl_z62setfieldzd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3952za7,
		BGl_z62setzd2exzd2itzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2appzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2appza7b03953za7, BGl_z62makezd2appzb0zzast_nodez00,
		0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2type3954z00, BGl_z62pragmazd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2typ3955z00,
		BGl_z62funcallzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczf3zd2envz21zzast_nodez00,
		BgL_bgl_za762vallocza7f3za791za73956z00, BGl_z62valloczf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2k3957za7,
		BGl_z62boxzd2refzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2lo3958z00, BGl_z62getfieldzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2eff3959z00,
		BGl_z62privatezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762setfieldza7d2cza73960za7,
		BGl_z62setfieldzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2fnamezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2fn3961z00,
		BGl_z62getfieldzd2fnamezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ty3962z00, BGl_z62getfieldzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3000z00zzast_nodez00,
		BgL_bgl_za762lambda1837za7623963z00, BGl_z62lambda1837z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3001z00zzast_nodez00,
		BgL_bgl_za762lambda1836za7623964z00, BGl_z62lambda1836z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3002z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3965za7,
		BGl_z62zc3z04anonymousza31824ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3003z00zzast_nodez00,
		BgL_bgl_za762lambda1822za7623966z00, BGl_z62lambda1822z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3004z00zzast_nodez00,
		BgL_bgl_za762lambda1820za7623967z00, BGl_z62lambda1820z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3005z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3968za7,
		BGl_z62zc3z04anonymousza31857ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3006z00zzast_nodez00,
		BgL_bgl_za762lambda1856za7623969z00, BGl_z62lambda1856z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3007z00zzast_nodez00,
		BgL_bgl_za762lambda1855za7623970z00, BGl_z62lambda1855z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3008z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3971za7,
		BGl_z62zc3z04anonymousza31865ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3009z00zzast_nodez00,
		BgL_bgl_za762lambda1864za7623972z00, BGl_z62lambda1864z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762castza7f3za791za7za7a3973za7, BGl_z62castzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzd2indexzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762patchza7d2index3974z00,
		BGl_z62patchzd2indexzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2typeza7b3975za7, BGl_z62nodezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23976z00,
		BGl_z62instanceofzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3010z00zzast_nodez00,
		BgL_bgl_za762lambda1863za7623977z00, BGl_z62lambda1863z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3011z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3978za7,
		BGl_z62zc3z04anonymousza31849ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3012z00zzast_nodez00,
		BgL_bgl_za762lambda1847za7623979z00, BGl_z62lambda1847z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3013z00zzast_nodez00,
		BgL_bgl_za762lambda1845za7623980z00, BGl_z62lambda1845z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3014z00zzast_nodez00,
		BgL_bgl_za762lambda1879za7623981z00, BGl_z62lambda1879z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3015z00zzast_nodez00,
		BgL_bgl_za762lambda1878za7623982z00, BGl_z62lambda1878z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3016z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3983za7,
		BGl_z62zc3z04anonymousza31874ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2locza7b03984za7, BGl_z62setqzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3017z00zzast_nodez00,
		BgL_bgl_za762lambda1872za7623985z00, BGl_z62lambda1872z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3018z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3986za7,
		BGl_z62zc3z04anonymousza31889ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3019z00zzast_nodez00,
		BgL_bgl_za762lambda1887za7623987z00, BGl_z62lambda1887z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762privateza7f3za7913988za7, BGl_z62privatezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3020z00zzast_nodez00,
		BgL_bgl_za762lambda1885za7623989z00, BGl_z62lambda1885z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3021z00zzast_nodez00,
		BgL_bgl_za762lambda1905za7623990z00, BGl_z62lambda1905z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3022z00zzast_nodez00,
		BgL_bgl_za762lambda1904za7623991z00, BGl_z62lambda1904z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3023z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3992za7,
		BGl_z62zc3z04anonymousza31912ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3024z00zzast_nodez00,
		BgL_bgl_za762lambda1911za7623993z00, BGl_z62lambda1911z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3025z00zzast_nodez00,
		BgL_bgl_za762lambda1910za7623994z00, BGl_z62lambda1910z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3026z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3995za7,
		BGl_z62zc3z04anonymousza31919ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3027z00zzast_nodez00,
		BgL_bgl_za762lambda1918za7623996z00, BGl_z62lambda1918z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2t3997za7,
		BGl_z62letzd2funzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3028z00zzast_nodez00,
		BgL_bgl_za762lambda1917za7623998z00, BGl_z62lambda1917z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3029z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3999za7,
		BGl_z62zc3z04anonymousza31900ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2loczd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za74000z00,
		BGl_z62boxzd2setz12zd2locz70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2typezd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za74001z00,
		BGl_z62boxzd2setz12zd2typez70zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762conditionalza7f4002z00, BGl_z62conditionalzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3030z00zzast_nodez00,
		BgL_bgl_za762lambda1898za7624003z00, BGl_z62lambda1898z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3031z00zzast_nodez00,
		BgL_bgl_za762lambda1896za7624004z00, BGl_z62lambda1896z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3032z00zzast_nodez00,
		BgL_bgl_za762lambda1934za7624005z00, BGl_z62lambda1934z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3033z00zzast_nodez00,
		BgL_bgl_za762lambda1933za7624006z00, BGl_z62lambda1933z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3034z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4007za7,
		BGl_z62zc3z04anonymousza31929ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3035z00zzast_nodez00,
		BgL_bgl_za762lambda1927za7624008z00, BGl_z62lambda1927z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3036z00zzast_nodez00,
		BgL_bgl_za762lambda1925za7624009z00, BGl_z62lambda1925z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3037z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4010za7,
		BGl_z62zc3z04anonymousza31944ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2otypeza74011za7,
		BGl_z62vrefzd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3038z00zzast_nodez00,
		BgL_bgl_za762lambda1942za7624012z00, BGl_z62lambda1942z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3039z00zzast_nodez00,
		BgL_bgl_za762lambda1940za7624013z00, BGl_z62lambda1940z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2funcallzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2funcal4014z00, BGl_z62makezd2funcallzb0zzast_nodez00,
		0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762sequenceza7f3za794015za7, BGl_z62sequencezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762newza7d2keyza7d2s4016za7,
		BGl_z62newzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2locza74017za7, BGl_z62switchzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2otyp4018z00, BGl_z62valloczd2otypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3040z00zzast_nodez00,
		BgL_bgl_za762lambda1959za7624019z00, BGl_z62lambda1959z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3041z00zzast_nodez00,
		BgL_bgl_za762lambda1958za7624020z00, BGl_z62lambda1958z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3042z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4021za7,
		BGl_z62zc3z04anonymousza31954ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3043z00zzast_nodez00,
		BgL_bgl_za762lambda1952za7624022z00, BGl_z62lambda1952z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3044z00zzast_nodez00,
		BgL_bgl_za762lambda1950za7624023z00, BGl_z62lambda1950z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3045z00zzast_nodez00,
		BgL_bgl_za762lambda1976za7624024z00, BGl_z62lambda1976z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3046z00zzast_nodez00,
		BgL_bgl_za762lambda1975za7624025z00, BGl_z62lambda1975z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3047z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4026za7,
		BGl_z62zc3z04anonymousza31983ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3048z00zzast_nodez00,
		BgL_bgl_za762lambda1982za7624027z00, BGl_z62lambda1982z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3049z00zzast_nodez00,
		BgL_bgl_za762lambda1981za7624028z00, BGl_z62lambda1981z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2funzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun4029z00,
		BGl_z62funcallzd2funzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2indexzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24030z00,
		BGl_z62genpatchidzd2indexzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2exitzd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4031za7,
		BGl_z62jumpzd2exzd2itzd2exitzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2funzd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun4032z00, BGl_z62funcallzd2funzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2locza7b04033za7, BGl_z62vrefzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2refzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24034za7,
		BGl_z62makezd2boxzd2refz62zzast_nodez00, 0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2typeza74035za7, BGl_z62patchzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3050z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4036za7,
		BGl_z62zc3z04anonymousza31990ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3051z00zzast_nodez00,
		BgL_bgl_za762lambda1989za7624037z00, BGl_z62lambda1989z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24038z00,
		BGl_z62genpatchidzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3052z00zzast_nodez00,
		BgL_bgl_za762lambda1988za7624039z00, BGl_z62lambda1988z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3053z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4040za7,
		BGl_z62zc3z04anonymousza31969ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3054z00zzast_nodez00,
		BgL_bgl_za762lambda1967za7624041z00, BGl_z62lambda1967z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3055z00zzast_nodez00,
		BgL_bgl_za762lambda1965za7624042z00, BGl_z62lambda1965z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3056z00zzast_nodez00,
		BgL_bgl_za762lambda2009za7624043z00, BGl_z62lambda2009z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3057z00zzast_nodez00,
		BgL_bgl_za762lambda2008za7624044z00, BGl_z62lambda2008z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3058z00zzast_nodez00,
		BgL_bgl_za762lambda2014za7624045z00, BGl_z62lambda2014z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3059z00zzast_nodez00,
		BgL_bgl_za762lambda2013za7624046z00, BGl_z62lambda2013z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ke4047z00, BGl_z62sequencezd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762instanceofza7d24048z00,
		BGl_z62instanceofzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vrefzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762vrefza7d2sideza7d4049za7,
		BGl_z62vrefzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762literalza7d2typ4050z00, BGl_z62literalzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2testzd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2test4051z00, BGl_z62switchzd2testzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ni4052z00, BGl_z62wideningzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2nilza74053za7, BGl_z62externzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3060z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4054za7,
		BGl_z62zc3z04anonymousza32004ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3061z00zzast_nodez00,
		BgL_bgl_za762lambda2002za7624055z00, BGl_z62lambda2002z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3062z00zzast_nodez00,
		BgL_bgl_za762lambda1999za7624056z00, BGl_z62lambda1999z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3063z00zzast_nodez00,
		BgL_bgl_za762lambda2029za7624057z00, BGl_z62lambda2029z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3064z00zzast_nodez00,
		BgL_bgl_za762lambda2028za7624058z00, BGl_z62lambda2028z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3065z00zzast_nodez00,
		BgL_bgl_za762lambda2035za7624059z00, BGl_z62lambda2035z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3066z00zzast_nodez00,
		BgL_bgl_za762lambda2034za7624060z00, BGl_z62lambda2034z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3067z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4061za7,
		BGl_z62zc3z04anonymousza32024ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3068z00zzast_nodez00,
		BgL_bgl_za762lambda2022za7624062z00, BGl_z62lambda2022z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3069z00zzast_nodez00,
		BgL_bgl_za762lambda2020za7624063z00, BGl_z62lambda2020z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24064za7,
		BGl_z62makezd2boxzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4065z00,
		BGl_z62conditionalzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3070z00zzast_nodez00,
		BgL_bgl_za762lambda2051za7624066z00, BGl_z62lambda2051z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762pragmaza7d2keyza74067za7,
		BGl_z62pragmazd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3071z00zzast_nodez00,
		BgL_bgl_za762lambda2050za7624068z00, BGl_z62lambda2050z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3072z00zzast_nodez00,
		BgL_bgl_za762lambda2056za7624069z00, BGl_z62lambda2056z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3073z00zzast_nodez00,
		BgL_bgl_za762lambda2055za7624070z00, BGl_z62lambda2055z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3074z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4071za7,
		BGl_z62zc3z04anonymousza32063ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762pragmaza7d2effe4072z00,
		BGl_z62pragmazd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3075z00zzast_nodez00,
		BgL_bgl_za762lambda2062za7624073z00, BGl_z62lambda2062z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3076z00zzast_nodez00,
		BgL_bgl_za762lambda2061za7624074z00, BGl_z62lambda2061z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3077z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4075za7,
		BGl_z62zc3z04anonymousza32070ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3078z00zzast_nodez00,
		BgL_bgl_za762lambda2069za7624076z00, BGl_z62lambda2069z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2variablezd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2var4077z00,
		BGl_z62closurezd2variablezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3079z00zzast_nodez00,
		BgL_bgl_za762lambda2068za7624078z00, BGl_z62lambda2068z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2bodyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762syncza7d2bodyza7d4079za7,
		BGl_z62synczd2bodyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2vtypezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24080za7,
		BGl_z62makezd2boxzd2vtypezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_retblockzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762retblockza7f3za794081za7, BGl_z62retblockzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3080z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4082za7,
		BGl_z62zc3z04anonymousza32045ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3081z00zzast_nodez00,
		BgL_bgl_za762lambda2043za7624083z00, BGl_z62lambda2043z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3082z00zzast_nodez00,
		BgL_bgl_za762lambda2041za7624084z00, BGl_z62lambda2041z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3083z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4085za7,
		BGl_z62zc3z04anonymousza32089ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3084z00zzast_nodez00,
		BgL_bgl_za762lambda2088za7624086z00, BGl_z62lambda2088z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4087za7,
		BGl_z62castzd2nullzd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3085z00zzast_nodez00,
		BgL_bgl_za762lambda2087za7624088z00, BGl_z62lambda2087z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2keyza74089za7, BGl_z62pragmazd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3086z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4090za7,
		BGl_z62zc3z04anonymousza32097ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3087z00zzast_nodez00,
		BgL_bgl_za762lambda2096za7624091z00, BGl_z62lambda2096z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3088z00zzast_nodez00,
		BgL_bgl_za762lambda2095za7624092z00, BGl_z62lambda2095z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3089z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4093za7,
		BGl_z62zc3z04anonymousza32081ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2ftypezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2fty4094za7,
		BGl_z62vsetz12zd2ftypezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ot4095z00,
		BGl_z62wideningzd2otypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2genpatchidzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2genpat4096z00,
		BGl_z62makezd2genpatchidzb0zzast_nodez00, 0L, BUNSPEC, 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762kwoteza7f3za791za7za74097za7, BGl_z62kwotezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3090z00zzast_nodez00,
		BgL_bgl_za762lambda2079za7624098z00, BGl_z62lambda2079z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3091z00zzast_nodez00,
		BgL_bgl_za762lambda2077za7624099z00, BGl_z62lambda2077z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3092z00zzast_nodez00,
		BgL_bgl_za762lambda2113za7624100z00, BGl_z62lambda2113z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3093z00zzast_nodez00,
		BgL_bgl_za762lambda2112za7624101z00, BGl_z62lambda2112z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3094z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4102za7,
		BGl_z62zc3z04anonymousza32108ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3095z00zzast_nodez00,
		BgL_bgl_za762lambda2106za7624103z00, BGl_z62lambda2106z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3096z00zzast_nodez00,
		BgL_bgl_za762lambda2104za7624104z00, BGl_z62lambda2104z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3097z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4105za7,
		BGl_z62zc3z04anonymousza32130ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2key4106z00, BGl_z62privatezd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3098z00zzast_nodez00,
		BgL_bgl_za762lambda2129za7624107z00, BGl_z62lambda2129z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3099z00zzast_nodez00,
		BgL_bgl_za762lambda2128za7624108z00, BGl_z62lambda2128z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2conditionalzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2condit4109z00,
		BGl_z62makezd2conditionalzb0zzast_nodez00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762wideningza7d2ex4110z00,
		BGl_z62wideningzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2l4111za7,
		BGl_z62letzd2funzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setzd2exzd2itzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2setza7d24112za7,
		BGl_z62makezd2setzd2exzd2itzb0zzast_nodez00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2t4113za7,
		BGl_z62boxzd2refzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2keyza7d24114za7,
		BGl_z62vrefzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2retblockzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2retblo4115z00, BGl_z62makezd2retblockzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762setfieldza7f3za794116za7, BGl_z62setfieldzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762setfieldza7d2si4117z00,
		BGl_z62setfieldzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2effectza74118za7, BGl_z62newzd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2fty4119z00, BGl_z62vlengthzd2ftypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2proczd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2procza7d4120za7,
		BGl_z62failzd2proczd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2vtypezd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2vty4121z00, BGl_z62vlengthzd2vtypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d4122z00,
		BGl_z62conditionalzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2castzd2nullzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2castza7d4123za7,
		BGl_z62makezd2castzd2nullz62zzast_nodez00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762vallocza7d2side4124z00,
		BGl_z62valloczd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762getfieldza7d2cza74125za7,
		BGl_z62getfieldzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2t4126za7,
		BGl_z62letzd2varzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2rindexzd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24127z00,
		BGl_z62genpatchidzd2rindexzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ef4128z00,
		BGl_z62getfieldzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762vlengthza7d2cza7d4129za7,
		BGl_z62vlengthzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_newzd2argszd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762newza7d2argsza7d24130za7,
		BGl_z62newzd2argszd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2loczd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2loc4131za7, BGl_z62vsetz12zd2locza2zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2newzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2newza7b04132za7, BGl_z62makezd2newzb0zzast_nodez00,
		0L, BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762vlengthza7d2sid4133z00,
		BGl_z62vlengthzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ni4134z00, BGl_z62getfieldzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762switchza7d2type4135z00,
		BGl_z62switchzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ot4136z00,
		BGl_z62getfieldzd2otypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762closureza7d2typ4137z00,
		BGl_z62closurezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2bodyzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4138za7,
		BGl_z62setzd2exzd2itzd2bodyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24139za7,
		BGl_z62makezd2boxzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d24140z00,
		BGl_z62instanceofzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2s4141za7,
		BGl_z62letzd2funzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2exprza2zd2setz12zd2envzb0zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4142za7,
		BGl_z62castzd2nullzd2exprza2zd2setz12z00zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2nilza7b04143za7, BGl_z62setqzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762sequenceza7d2si4144z00,
		BGl_z62sequencezd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2varzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4145za7,
		BGl_z62setzd2exzd2itzd2varzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24146z00,
		BGl_z62genpatchidzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2nilzd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za74147z00,
		BGl_z62boxzd2setz12zd2nilz70zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24148za7,
		BGl_z62makezd2boxzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ft4149z00,
		BGl_z62setfieldzd2ftypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2metazd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2me4150z00, BGl_z62sequencezd2metazb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2otypeza74151za7, BGl_z62vrefzd2otypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762vallocza7d2expr4152z00,
		BGl_z62valloczd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4153za7,
		BGl_z62jumpzd2exzd2itzd2valuezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczf3zd2envz21zzast_nodez00,
		BgL_bgl_za762syncza7f3za791za7za7a4154za7, BGl_z62synczf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2nilza74155za7, BGl_z62switchzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2privatezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2privat4156z00, BGl_z62makezd2privatezb0zzast_nodez00,
		0L, BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2l4157za7,
		BGl_z62letzd2varzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762newza7f3za791za7za7as4158za7, BGl_z62newzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2typezd2setz12zd2envz32zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect4159z00,
		BGl_z62nodezf2effectzd2typezd2setz12z82zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2bodyzd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2bodyza7b4160za7, BGl_z62synczd2bodyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ty4161za7,
		BGl_z62appzd2lyzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2strengthzd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2str4162z00,
		BGl_z62funcallzd2strengthzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2nilza7b04163za7, BGl_z62vrefzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2classzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24164z00,
		BGl_z62instanceofzd2classzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2s4165za7,
		BGl_z62letzd2funzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2locza74166za7, BGl_z62valloczd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762switchza7d2side4167z00,
		BGl_z62switchzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2objzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2objza7d24168za7,
		BGl_z62failzd2objzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2l4169za7,
		BGl_z62boxzd2refzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24170z00,
		BGl_z62genpatchidzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24171za7,
		BGl_z62makezd2boxzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2kwotezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2kwoteza74172za7, BGl_z62makezd2kwotezb0zzast_nodez00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762patchza7d2typeza74173za7,
		BGl_z62patchzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2removablezf3zd2setz12zd2envze1zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2r4174za7,
		BGl_z62letzd2varzd2removablezf3zd2setz12z51zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762externza7d2type4175z00,
		BGl_z62externzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2testzd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4176z00,
		BGl_z62conditionalzd2testzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762funcallza7f3za7914177za7, BGl_z62funcallzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24178za7,
		BGl_z62makezd2boxzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24179z00,
		BGl_z62instanceofzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762appza7f3za791za7za7as4180za7, BGl_z62appzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762wideningza7d2ex4181z00,
		BGl_z62wideningzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2falsezd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4182z00,
		BGl_z62conditionalzd2falsezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762kwoteza7d2typeza74183za7,
		BGl_z62kwotezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2patchzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2patchza74184za7, BGl_z62makezd2patchzb0zzast_nodez00,
		0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4185za7,
		BGl_z62jumpzd2exzd2itzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762newza7d2exprza7a24186za7, BGl_z62newzd2exprza2z12zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2loc4187z00, BGl_z62vlengthzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ty4188z00, BGl_z62sequencezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762wideningza7d2ef4189z00,
		BGl_z62wideningzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4190za7,
		BGl_z62setzd2exzd2itzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vrefzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2effect4191z00,
		BGl_z62vrefzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2n4192za7,
		BGl_z62letzd2funzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2typ4193z00, BGl_z62closurezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2effectzd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2eff4194za7,
		BGl_z62vsetz12zd2effectza2zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2locza7b04195za7, BGl_z62nodezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24196z00,
		BGl_z62instanceofzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ex4197z00,
		BGl_z62getfieldzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ef4198z00,
		BGl_z62getfieldzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2blockzd2envz00zzast_nodez00,
		BgL_bgl_za762returnza7d2bloc4199z00, BGl_z62returnzd2blockzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762literalza7f3za7914200za7, BGl_z62literalzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2vtypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2vtypeza74201za7,
		BGl_z62vrefzd2vtypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762wideningza7f3za794202za7, BGl_z62wideningzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2effe4203z00,
		BGl_z62valloczd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2s4204za7,
		BGl_z62letzd2varzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2functionszd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun4205z00,
		BGl_z62funcallzd2functionszb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2bindingszd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b4206za7,
		BGl_z62letzd2varzd2bindingszd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24207z00,
		BGl_z62genpatchidzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24208za7,
		BGl_z62makezd2boxzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_retblockzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762retblockza7d2lo4209z00, BGl_z62retblockzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_closurez00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_syncz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_letzd2varzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_externz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_wideningz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_conditionalz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_patchz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_returnz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_nodezf2effectzf2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_newz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_vlengthz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_getfieldz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_castz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_varz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_makezd2boxzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_boxzd2setz12zc0zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_vrefz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_nodez00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_kwotez00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_retblockz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_privatez00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_genpatchidz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_literalz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_switchz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_vsetz12z12zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_sequencez00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_failz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_boxzd2refzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_pragmaz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_appzd2lyzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_vallocz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_castzd2nullzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_setqz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_setzd2exzd2itz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_atomz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_appz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_jumpzd2exzd2itz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_instanceofz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_letzd2funzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_setfieldz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_funcallz00zzast_nodez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long
		BgL_checksumz00_8632, char *BgL_fromz00_8633)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_nodez00))
				{
					BGl_requirezd2initializa7ationz75zzast_nodez00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_nodez00();
					BGl_libraryzd2moduleszd2initz00zzast_nodez00();
					BGl_cnstzd2initzd2zzast_nodez00();
					BGl_importedzd2moduleszd2initz00zzast_nodez00();
					BGl_objectzd2initzd2zzast_nodez00();
					BGl_genericzd2initzd2zzast_nodez00();
					BGl_methodzd2initzd2zzast_nodez00();
					return BGl_toplevelzd2initzd2zzast_nodez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_nodez00()
	{
		{	/* Ast/node.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_node");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_node");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_node");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_nodez00()
	{
		{	/* Ast/node.scm 14 */
			{	/* Ast/node.scm 14 */
				obj_t BgL_cportz00_7523;

				{	/* Ast/node.scm 14 */
					obj_t BgL_stringz00_7531;

					BgL_stringz00_7531 = BGl_string3327z00zzast_nodez00;
					{	/* Ast/node.scm 14 */
						obj_t BgL_startz00_7532;

						BgL_startz00_7532 = BINT(((long) 0));
						{	/* Ast/node.scm 14 */
							obj_t BgL_endz00_7533;

							BgL_endz00_7533 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_7531)));
							{	/* Ast/node.scm 14 */

								BgL_cportz00_7523 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_7531, BgL_startz00_7532, BgL_endz00_7533);
				}}}}
				{
					long BgL_iz00_7524;

					BgL_iz00_7524 = ((long) 93);
				BgL_loopz00_7525:
					if ((BgL_iz00_7524 == ((long) -1)))
						{	/* Ast/node.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/node.scm 14 */
							{	/* Ast/node.scm 14 */
								obj_t BgL_arg3329z00_7527;

								{	/* Ast/node.scm 14 */

									{	/* Ast/node.scm 14 */
										obj_t BgL_locationz00_7529;

										BgL_locationz00_7529 = BBOOL(((bool_t) 0));
										{	/* Ast/node.scm 14 */

											BgL_arg3329z00_7527 =
												BGl_readz00zz__readerz00(BgL_cportz00_7523,
												BgL_locationz00_7529);
										}
									}
								}
								{	/* Ast/node.scm 14 */
									int BgL_tmpz00_8663;

									BgL_tmpz00_8663 = (int) (BgL_iz00_7524);
									CNST_TABLE_SET(BgL_tmpz00_8663, BgL_arg3329z00_7527);
							}}
							{	/* Ast/node.scm 14 */
								int BgL_auxz00_7530;

								BgL_auxz00_7530 = (int) ((BgL_iz00_7524 - ((long) 1)));
								{
									long BgL_iz00_8668;

									BgL_iz00_8668 = (long) (BgL_auxz00_7530);
									BgL_iz00_7524 = BgL_iz00_8668;
									goto BgL_loopz00_7525;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_nodez00()
	{
		{	/* Ast/node.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_nodez00()
	{
		{	/* Ast/node.scm 14 */
			return BUNSPEC;
		}

	}



/* make-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_makezd2nodezd2zzast_nodez00(obj_t
		BgL_loc1723z00_3, BgL_typez00_bglt BgL_type1724z00_4)
	{
		{	/* Ast/nodetype.sch 724 */
			{	/* Ast/nodetype.sch 724 */
				BgL_nodez00_bglt BgL_new1426z00_7536;

				{	/* Ast/nodetype.sch 724 */
					BgL_nodez00_bglt BgL_new1425z00_7537;

					BgL_new1425z00_7537 =
						((BgL_nodez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_nodez00_bgl))));
					{	/* Ast/nodetype.sch 724 */
						long BgL_arg1758z00_7538;

						{	/* Ast/nodetype.sch 724 */
							long BgL_res2861z00_7539;

							BgL_res2861z00_7539 = BGL_CLASS_INDEX(BGl_nodez00zzast_nodez00);
							BgL_arg1758z00_7538 = BgL_res2861z00_7539;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1425z00_7537), BgL_arg1758z00_7538);
					}
					BgL_new1426z00_7536 = BgL_new1425z00_7537;
				}
				((((BgL_nodez00_bglt) COBJECT(BgL_new1426z00_7536))->BgL_locz00) =
					((obj_t) BgL_loc1723z00_3), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(BgL_new1426z00_7536))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1724z00_4), BUNSPEC);
				return BgL_new1426z00_7536;
			}
		}

	}



/* &make-node */
	BgL_nodez00_bglt BGl_z62makezd2nodezb0zzast_nodez00(obj_t BgL_envz00_4862,
		obj_t BgL_loc1723z00_4863, obj_t BgL_type1724z00_4864)
	{
		{	/* Ast/nodetype.sch 724 */
			return
				BGl_makezd2nodezd2zzast_nodez00(BgL_loc1723z00_4863,
				((BgL_typez00_bglt) BgL_type1724z00_4864));
		}

	}



/* node? */
	BGL_EXPORTED_DEF bool_t BGl_nodezf3zf3zzast_nodez00(obj_t BgL_objz00_5)
	{
		{	/* Ast/nodetype.sch 725 */
			return BGl_isazf3zf3zz__objectz00(BgL_objz00_5, BGl_nodez00zzast_nodez00);
		}

	}



/* &node? */
	obj_t BGl_z62nodezf3z91zzast_nodez00(obj_t BgL_envz00_4865,
		obj_t BgL_objz00_4866)
	{
		{	/* Ast/nodetype.sch 725 */
			return BBOOL(BGl_nodezf3zf3zzast_nodez00(BgL_objz00_4866));
		}

	}



/* node-nil */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_nodezd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 726 */
			{	/* Ast/nodetype.sch 726 */
				obj_t BgL_classz00_3701;

				BgL_classz00_3701 = BGl_nodez00zzast_nodez00;
				{	/* Ast/nodetype.sch 726 */
					obj_t BgL__ortest_1106z00_3702;

					BgL__ortest_1106z00_3702 = BGL_CLASS_NIL(BgL_classz00_3701);
					if (CBOOL(BgL__ortest_1106z00_3702))
						{	/* Ast/nodetype.sch 726 */
							return ((BgL_nodez00_bglt) BgL__ortest_1106z00_3702);
						}
					else
						{	/* Ast/nodetype.sch 726 */
							return
								((BgL_nodez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3701));
						}
				}
			}
		}

	}



/* &node-nil */
	BgL_nodez00_bglt BGl_z62nodezd2nilzb0zzast_nodez00(obj_t BgL_envz00_4867)
	{
		{	/* Ast/nodetype.sch 726 */
			return BGl_nodezd2nilzd2zzast_nodez00();
		}

	}



/* node-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_nodezd2typezd2zzast_nodez00(BgL_nodez00_bglt BgL_oz00_6)
	{
		{	/* Ast/nodetype.sch 727 */
			return (((BgL_nodez00_bglt) COBJECT(BgL_oz00_6))->BgL_typez00);
		}

	}



/* &node-type */
	BgL_typez00_bglt BGl_z62nodezd2typezb0zzast_nodez00(obj_t BgL_envz00_4868,
		obj_t BgL_oz00_4869)
	{
		{	/* Ast/nodetype.sch 727 */
			return
				BGl_nodezd2typezd2zzast_nodez00(((BgL_nodez00_bglt) BgL_oz00_4869));
		}

	}



/* node-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezd2typezd2setz12z12zzast_nodez00(BgL_nodez00_bglt BgL_oz00_7,
		BgL_typez00_bglt BgL_vz00_8)
	{
		{	/* Ast/nodetype.sch 728 */
			return
				((((BgL_nodez00_bglt) COBJECT(BgL_oz00_7))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_8), BUNSPEC);
		}

	}



/* &node-type-set! */
	obj_t BGl_z62nodezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_4870,
		obj_t BgL_oz00_4871, obj_t BgL_vz00_4872)
	{
		{	/* Ast/nodetype.sch 728 */
			return
				BGl_nodezd2typezd2setz12z12zzast_nodez00(
				((BgL_nodez00_bglt) BgL_oz00_4871), ((BgL_typez00_bglt) BgL_vz00_4872));
		}

	}



/* node-loc */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2loczd2zzast_nodez00(BgL_nodez00_bglt
		BgL_oz00_9)
	{
		{	/* Ast/nodetype.sch 729 */
			return (((BgL_nodez00_bglt) COBJECT(BgL_oz00_9))->BgL_locz00);
		}

	}



/* &node-loc */
	obj_t BGl_z62nodezd2loczb0zzast_nodez00(obj_t BgL_envz00_4873,
		obj_t BgL_oz00_4874)
	{
		{	/* Ast/nodetype.sch 729 */
			return BGl_nodezd2loczd2zzast_nodez00(((BgL_nodez00_bglt) BgL_oz00_4874));
		}

	}



/* make-node/effect */
	BGL_EXPORTED_DEF BgL_nodezf2effectzf2_bglt
		BGl_makezd2nodezf2effectz20zzast_nodez00(obj_t BgL_loc1718z00_12,
		BgL_typez00_bglt BgL_type1719z00_13, obj_t BgL_sidezd2effect1720zd2_14,
		obj_t BgL_key1721z00_15)
	{
		{	/* Ast/nodetype.sch 733 */
			{	/* Ast/nodetype.sch 733 */
				BgL_nodezf2effectzf2_bglt BgL_new1428z00_7540;

				{	/* Ast/nodetype.sch 733 */
					BgL_nodezf2effectzf2_bglt BgL_new1427z00_7541;

					BgL_new1427z00_7541 =
						((BgL_nodezf2effectzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_nodezf2effectzf2_bgl))));
					{	/* Ast/nodetype.sch 733 */
						long BgL_arg1759z00_7542;

						{	/* Ast/nodetype.sch 733 */
							long BgL_res2862z00_7543;

							BgL_res2862z00_7543 =
								BGL_CLASS_INDEX(BGl_nodezf2effectzf2zzast_nodez00);
							BgL_arg1759z00_7542 = BgL_res2862z00_7543;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1427z00_7541), BgL_arg1759z00_7542);
					}
					BgL_new1428z00_7540 = BgL_new1427z00_7541;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1428z00_7540)))->BgL_locz00) =
					((obj_t) BgL_loc1718z00_12), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1428z00_7540)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1719z00_13), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_new1428z00_7540))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1720zd2_14), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_new1428z00_7540))->
						BgL_keyz00) = ((obj_t) BgL_key1721z00_15), BUNSPEC);
				return BgL_new1428z00_7540;
			}
		}

	}



/* &make-node/effect */
	BgL_nodezf2effectzf2_bglt BGl_z62makezd2nodezf2effectz42zzast_nodez00(obj_t
		BgL_envz00_4875, obj_t BgL_loc1718z00_4876, obj_t BgL_type1719z00_4877,
		obj_t BgL_sidezd2effect1720zd2_4878, obj_t BgL_key1721z00_4879)
	{
		{	/* Ast/nodetype.sch 733 */
			return
				BGl_makezd2nodezf2effectz20zzast_nodez00(BgL_loc1718z00_4876,
				((BgL_typez00_bglt) BgL_type1719z00_4877),
				BgL_sidezd2effect1720zd2_4878, BgL_key1721z00_4879);
		}

	}



/* node/effect? */
	BGL_EXPORTED_DEF bool_t BGl_nodezf2effectzf3z01zzast_nodez00(obj_t
		BgL_objz00_16)
	{
		{	/* Ast/nodetype.sch 734 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_16,
				BGl_nodezf2effectzf2zzast_nodez00);
		}

	}



/* &node/effect? */
	obj_t BGl_z62nodezf2effectzf3z63zzast_nodez00(obj_t BgL_envz00_4880,
		obj_t BgL_objz00_4881)
	{
		{	/* Ast/nodetype.sch 734 */
			return BBOOL(BGl_nodezf2effectzf3z01zzast_nodez00(BgL_objz00_4881));
		}

	}



/* node/effect-nil */
	BGL_EXPORTED_DEF BgL_nodezf2effectzf2_bglt
		BGl_nodezf2effectzd2nilz20zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 735 */
			{	/* Ast/nodetype.sch 735 */
				obj_t BgL_classz00_3710;

				BgL_classz00_3710 = BGl_nodezf2effectzf2zzast_nodez00;
				{	/* Ast/nodetype.sch 735 */
					obj_t BgL__ortest_1106z00_3711;

					BgL__ortest_1106z00_3711 = BGL_CLASS_NIL(BgL_classz00_3710);
					if (CBOOL(BgL__ortest_1106z00_3711))
						{	/* Ast/nodetype.sch 735 */
							return ((BgL_nodezf2effectzf2_bglt) BgL__ortest_1106z00_3711);
						}
					else
						{	/* Ast/nodetype.sch 735 */
							return
								((BgL_nodezf2effectzf2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3710));
						}
				}
			}
		}

	}



/* &node/effect-nil */
	BgL_nodezf2effectzf2_bglt BGl_z62nodezf2effectzd2nilz42zzast_nodez00(obj_t
		BgL_envz00_4882)
	{
		{	/* Ast/nodetype.sch 735 */
			return BGl_nodezf2effectzd2nilz20zzast_nodez00();
		}

	}



/* node/effect-key */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2keyz20zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_17)
	{
		{	/* Ast/nodetype.sch 736 */
			return (((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_oz00_17))->BgL_keyz00);
		}

	}



/* &node/effect-key */
	obj_t BGl_z62nodezf2effectzd2keyz42zzast_nodez00(obj_t BgL_envz00_4883,
		obj_t BgL_oz00_4884)
	{
		{	/* Ast/nodetype.sch 736 */
			return
				BGl_nodezf2effectzd2keyz20zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_4884));
		}

	}



/* node/effect-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_18, obj_t BgL_vz00_19)
	{
		{	/* Ast/nodetype.sch 737 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_oz00_18))->BgL_keyz00) =
				((obj_t) BgL_vz00_19), BUNSPEC);
		}

	}



/* &node/effect-key-set! */
	obj_t BGl_z62nodezf2effectzd2keyzd2setz12z82zzast_nodez00(obj_t
		BgL_envz00_4885, obj_t BgL_oz00_4886, obj_t BgL_vz00_4887)
	{
		{	/* Ast/nodetype.sch 737 */
			return
				BGl_nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_4886), BgL_vz00_4887);
		}

	}



/* node/effect-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2sidezd2effectzf2zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_20)
	{
		{	/* Ast/nodetype.sch 738 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_oz00_20))->
				BgL_sidezd2effectzd2);
		}

	}



/* &node/effect-side-effect */
	obj_t BGl_z62nodezf2effectzd2sidezd2effectz90zzast_nodez00(obj_t
		BgL_envz00_4888, obj_t BgL_oz00_4889)
	{
		{	/* Ast/nodetype.sch 738 */
			return
				BGl_nodezf2effectzd2sidezd2effectzf2zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_4889));
		}

	}



/* node/effect-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2sidezd2effectzd2setz12z32zzast_nodez00
		(BgL_nodezf2effectzf2_bglt BgL_oz00_21, obj_t BgL_vz00_22)
	{
		{	/* Ast/nodetype.sch 739 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_oz00_21))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_22), BUNSPEC);
		}

	}



/* &node/effect-side-effect-set! */
	obj_t BGl_z62nodezf2effectzd2sidezd2effectzd2setz12z50zzast_nodez00(obj_t
		BgL_envz00_4890, obj_t BgL_oz00_4891, obj_t BgL_vz00_4892)
	{
		{	/* Ast/nodetype.sch 739 */
			return
				BGl_nodezf2effectzd2sidezd2effectzd2setz12z32zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_4891), BgL_vz00_4892);
		}

	}



/* node/effect-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_nodezf2effectzd2typez20zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_23)
	{
		{	/* Ast/nodetype.sch 740 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_23)))->BgL_typez00);
		}

	}



/* &node/effect-type */
	BgL_typez00_bglt BGl_z62nodezf2effectzd2typez42zzast_nodez00(obj_t
		BgL_envz00_4893, obj_t BgL_oz00_4894)
	{
		{	/* Ast/nodetype.sch 740 */
			return
				BGl_nodezf2effectzd2typez20zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_4894));
		}

	}



/* node/effect-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2typezd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_24, BgL_typez00_bglt BgL_vz00_25)
	{
		{	/* Ast/nodetype.sch 741 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_24)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_25), BUNSPEC);
		}

	}



/* &node/effect-type-set! */
	obj_t BGl_z62nodezf2effectzd2typezd2setz12z82zzast_nodez00(obj_t
		BgL_envz00_4895, obj_t BgL_oz00_4896, obj_t BgL_vz00_4897)
	{
		{	/* Ast/nodetype.sch 741 */
			return
				BGl_nodezf2effectzd2typezd2setz12ze0zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_4896),
				((BgL_typez00_bglt) BgL_vz00_4897));
		}

	}



/* node/effect-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2locz20zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_26)
	{
		{	/* Ast/nodetype.sch 742 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_26)))->BgL_locz00);
		}

	}



/* &node/effect-loc */
	obj_t BGl_z62nodezf2effectzd2locz42zzast_nodez00(obj_t BgL_envz00_4898,
		obj_t BgL_oz00_4899)
	{
		{	/* Ast/nodetype.sch 742 */
			return
				BGl_nodezf2effectzd2locz20zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_4899));
		}

	}



/* atom? */
	BGL_EXPORTED_DEF bool_t BGl_atomzf3zf3zzast_nodez00(obj_t BgL_objz00_29)
	{
		{	/* Ast/nodetype.sch 746 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_29, BGl_atomz00zzast_nodez00);
		}

	}



/* &atom? */
	obj_t BGl_z62atomzf3z91zzast_nodez00(obj_t BgL_envz00_4900,
		obj_t BgL_objz00_4901)
	{
		{	/* Ast/nodetype.sch 746 */
			return BBOOL(BGl_atomzf3zf3zzast_nodez00(BgL_objz00_4901));
		}

	}



/* atom-nil */
	BGL_EXPORTED_DEF BgL_atomz00_bglt BGl_atomzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 747 */
			{	/* Ast/nodetype.sch 747 */
				obj_t BgL_classz00_3712;

				BgL_classz00_3712 = BGl_atomz00zzast_nodez00;
				{	/* Ast/nodetype.sch 747 */
					obj_t BgL__ortest_1106z00_3713;

					BgL__ortest_1106z00_3713 = BGL_CLASS_NIL(BgL_classz00_3712);
					if (CBOOL(BgL__ortest_1106z00_3713))
						{	/* Ast/nodetype.sch 747 */
							return ((BgL_atomz00_bglt) BgL__ortest_1106z00_3713);
						}
					else
						{	/* Ast/nodetype.sch 747 */
							return
								((BgL_atomz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3712));
						}
				}
			}
		}

	}



/* &atom-nil */
	BgL_atomz00_bglt BGl_z62atomzd2nilzb0zzast_nodez00(obj_t BgL_envz00_4902)
	{
		{	/* Ast/nodetype.sch 747 */
			return BGl_atomzd2nilzd2zzast_nodez00();
		}

	}



/* atom-value */
	BGL_EXPORTED_DEF obj_t BGl_atomzd2valuezd2zzast_nodez00(BgL_atomz00_bglt
		BgL_oz00_30)
	{
		{	/* Ast/nodetype.sch 748 */
			return (((BgL_atomz00_bglt) COBJECT(BgL_oz00_30))->BgL_valuez00);
		}

	}



/* &atom-value */
	obj_t BGl_z62atomzd2valuezb0zzast_nodez00(obj_t BgL_envz00_4903,
		obj_t BgL_oz00_4904)
	{
		{	/* Ast/nodetype.sch 748 */
			return
				BGl_atomzd2valuezd2zzast_nodez00(((BgL_atomz00_bglt) BgL_oz00_4904));
		}

	}



/* atom-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_atomzd2valuezd2setz12z12zzast_nodez00(BgL_atomz00_bglt BgL_oz00_31,
		obj_t BgL_vz00_32)
	{
		{	/* Ast/nodetype.sch 749 */
			return
				((((BgL_atomz00_bglt) COBJECT(BgL_oz00_31))->BgL_valuez00) =
				((obj_t) BgL_vz00_32), BUNSPEC);
		}

	}



/* &atom-value-set! */
	obj_t BGl_z62atomzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_4905,
		obj_t BgL_oz00_4906, obj_t BgL_vz00_4907)
	{
		{	/* Ast/nodetype.sch 749 */
			return
				BGl_atomzd2valuezd2setz12z12zzast_nodez00(
				((BgL_atomz00_bglt) BgL_oz00_4906), BgL_vz00_4907);
		}

	}



/* atom-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_atomzd2typezd2zzast_nodez00(BgL_atomz00_bglt BgL_oz00_33)
	{
		{	/* Ast/nodetype.sch 750 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_33)))->BgL_typez00);
		}

	}



/* &atom-type */
	BgL_typez00_bglt BGl_z62atomzd2typezb0zzast_nodez00(obj_t BgL_envz00_4908,
		obj_t BgL_oz00_4909)
	{
		{	/* Ast/nodetype.sch 750 */
			return
				BGl_atomzd2typezd2zzast_nodez00(((BgL_atomz00_bglt) BgL_oz00_4909));
		}

	}



/* atom-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_atomzd2typezd2setz12z12zzast_nodez00(BgL_atomz00_bglt BgL_oz00_34,
		BgL_typez00_bglt BgL_vz00_35)
	{
		{	/* Ast/nodetype.sch 751 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_34)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_35), BUNSPEC);
		}

	}



/* &atom-type-set! */
	obj_t BGl_z62atomzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_4910,
		obj_t BgL_oz00_4911, obj_t BgL_vz00_4912)
	{
		{	/* Ast/nodetype.sch 751 */
			return
				BGl_atomzd2typezd2setz12z12zzast_nodez00(
				((BgL_atomz00_bglt) BgL_oz00_4911), ((BgL_typez00_bglt) BgL_vz00_4912));
		}

	}



/* atom-loc */
	BGL_EXPORTED_DEF obj_t BGl_atomzd2loczd2zzast_nodez00(BgL_atomz00_bglt
		BgL_oz00_36)
	{
		{	/* Ast/nodetype.sch 752 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_36)))->BgL_locz00);
		}

	}



/* &atom-loc */
	obj_t BGl_z62atomzd2loczb0zzast_nodez00(obj_t BgL_envz00_4913,
		obj_t BgL_oz00_4914)
	{
		{	/* Ast/nodetype.sch 752 */
			return BGl_atomzd2loczd2zzast_nodez00(((BgL_atomz00_bglt) BgL_oz00_4914));
		}

	}



/* make-literal */
	BGL_EXPORTED_DEF BgL_literalz00_bglt BGl_makezd2literalzd2zzast_nodez00(obj_t
		BgL_loc1713z00_39, BgL_typez00_bglt BgL_type1714z00_40,
		obj_t BgL_value1715z00_41)
	{
		{	/* Ast/nodetype.sch 756 */
			{	/* Ast/nodetype.sch 756 */
				BgL_literalz00_bglt BgL_new1430z00_7544;

				{	/* Ast/nodetype.sch 756 */
					BgL_literalz00_bglt BgL_new1429z00_7545;

					BgL_new1429z00_7545 =
						((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_literalz00_bgl))));
					{	/* Ast/nodetype.sch 756 */
						long BgL_arg1760z00_7546;

						{	/* Ast/nodetype.sch 756 */
							long BgL_res2863z00_7547;

							BgL_res2863z00_7547 =
								BGL_CLASS_INDEX(BGl_literalz00zzast_nodez00);
							BgL_arg1760z00_7546 = BgL_res2863z00_7547;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1429z00_7545), BgL_arg1760z00_7546);
					}
					{	/* Ast/nodetype.sch 756 */
						BgL_objectz00_bglt BgL_tmpz00_8779;

						BgL_tmpz00_8779 = ((BgL_objectz00_bglt) BgL_new1429z00_7545);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8779, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1429z00_7545);
					BgL_new1430z00_7544 = BgL_new1429z00_7545;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1430z00_7544)))->BgL_locz00) =
					((obj_t) BgL_loc1713z00_39), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1430z00_7544)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1714z00_40), BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1430z00_7544)))->BgL_valuez00) =
					((obj_t) BgL_value1715z00_41), BUNSPEC);
				return BgL_new1430z00_7544;
			}
		}

	}



/* &make-literal */
	BgL_literalz00_bglt BGl_z62makezd2literalzb0zzast_nodez00(obj_t
		BgL_envz00_4915, obj_t BgL_loc1713z00_4916, obj_t BgL_type1714z00_4917,
		obj_t BgL_value1715z00_4918)
	{
		{	/* Ast/nodetype.sch 756 */
			return
				BGl_makezd2literalzd2zzast_nodez00(BgL_loc1713z00_4916,
				((BgL_typez00_bglt) BgL_type1714z00_4917), BgL_value1715z00_4918);
		}

	}



/* literal? */
	BGL_EXPORTED_DEF bool_t BGl_literalzf3zf3zzast_nodez00(obj_t BgL_objz00_42)
	{
		{	/* Ast/nodetype.sch 757 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_42, BGl_literalz00zzast_nodez00);
		}

	}



/* &literal? */
	obj_t BGl_z62literalzf3z91zzast_nodez00(obj_t BgL_envz00_4919,
		obj_t BgL_objz00_4920)
	{
		{	/* Ast/nodetype.sch 757 */
			return BBOOL(BGl_literalzf3zf3zzast_nodez00(BgL_objz00_4920));
		}

	}



/* literal-nil */
	BGL_EXPORTED_DEF BgL_literalz00_bglt BGl_literalzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 758 */
			{	/* Ast/nodetype.sch 758 */
				obj_t BgL_classz00_3722;

				BgL_classz00_3722 = BGl_literalz00zzast_nodez00;
				{	/* Ast/nodetype.sch 758 */
					obj_t BgL__ortest_1106z00_3723;

					BgL__ortest_1106z00_3723 = BGL_CLASS_NIL(BgL_classz00_3722);
					if (CBOOL(BgL__ortest_1106z00_3723))
						{	/* Ast/nodetype.sch 758 */
							return ((BgL_literalz00_bglt) BgL__ortest_1106z00_3723);
						}
					else
						{	/* Ast/nodetype.sch 758 */
							return
								((BgL_literalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3722));
						}
				}
			}
		}

	}



/* &literal-nil */
	BgL_literalz00_bglt BGl_z62literalzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_4921)
	{
		{	/* Ast/nodetype.sch 758 */
			return BGl_literalzd2nilzd2zzast_nodez00();
		}

	}



/* literal-value */
	BGL_EXPORTED_DEF obj_t BGl_literalzd2valuezd2zzast_nodez00(BgL_literalz00_bglt
		BgL_oz00_43)
	{
		{	/* Ast/nodetype.sch 759 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_oz00_43)))->BgL_valuez00);
		}

	}



/* &literal-value */
	obj_t BGl_z62literalzd2valuezb0zzast_nodez00(obj_t BgL_envz00_4922,
		obj_t BgL_oz00_4923)
	{
		{	/* Ast/nodetype.sch 759 */
			return
				BGl_literalzd2valuezd2zzast_nodez00(
				((BgL_literalz00_bglt) BgL_oz00_4923));
		}

	}



/* literal-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_literalzd2valuezd2setz12z12zzast_nodez00(BgL_literalz00_bglt
		BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* Ast/nodetype.sch 760 */
			return
				((((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_44)))->BgL_valuez00) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &literal-value-set! */
	obj_t BGl_z62literalzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_4924,
		obj_t BgL_oz00_4925, obj_t BgL_vz00_4926)
	{
		{	/* Ast/nodetype.sch 760 */
			return
				BGl_literalzd2valuezd2setz12z12zzast_nodez00(
				((BgL_literalz00_bglt) BgL_oz00_4925), BgL_vz00_4926);
		}

	}



/* literal-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_literalzd2typezd2zzast_nodez00(BgL_literalz00_bglt BgL_oz00_46)
	{
		{	/* Ast/nodetype.sch 761 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_46)))->BgL_typez00);
		}

	}



/* &literal-type */
	BgL_typez00_bglt BGl_z62literalzd2typezb0zzast_nodez00(obj_t BgL_envz00_4927,
		obj_t BgL_oz00_4928)
	{
		{	/* Ast/nodetype.sch 761 */
			return
				BGl_literalzd2typezd2zzast_nodez00(
				((BgL_literalz00_bglt) BgL_oz00_4928));
		}

	}



/* literal-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_literalzd2typezd2setz12z12zzast_nodez00(BgL_literalz00_bglt BgL_oz00_47,
		BgL_typez00_bglt BgL_vz00_48)
	{
		{	/* Ast/nodetype.sch 762 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_47)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_48), BUNSPEC);
		}

	}



/* &literal-type-set! */
	obj_t BGl_z62literalzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_4929,
		obj_t BgL_oz00_4930, obj_t BgL_vz00_4931)
	{
		{	/* Ast/nodetype.sch 762 */
			return
				BGl_literalzd2typezd2setz12z12zzast_nodez00(
				((BgL_literalz00_bglt) BgL_oz00_4930),
				((BgL_typez00_bglt) BgL_vz00_4931));
		}

	}



/* literal-loc */
	BGL_EXPORTED_DEF obj_t BGl_literalzd2loczd2zzast_nodez00(BgL_literalz00_bglt
		BgL_oz00_49)
	{
		{	/* Ast/nodetype.sch 763 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_49)))->BgL_locz00);
		}

	}



/* &literal-loc */
	obj_t BGl_z62literalzd2loczb0zzast_nodez00(obj_t BgL_envz00_4932,
		obj_t BgL_oz00_4933)
	{
		{	/* Ast/nodetype.sch 763 */
			return
				BGl_literalzd2loczd2zzast_nodez00(
				((BgL_literalz00_bglt) BgL_oz00_4933));
		}

	}



/* make-patch */
	BGL_EXPORTED_DEF BgL_patchz00_bglt BGl_makezd2patchzd2zzast_nodez00(obj_t
		BgL_loc1707z00_52, BgL_typez00_bglt BgL_type1708z00_53,
		obj_t BgL_value1709z00_54, BgL_varz00_bglt BgL_ref1710z00_55,
		long BgL_index1711z00_56)
	{
		{	/* Ast/nodetype.sch 767 */
			{	/* Ast/nodetype.sch 767 */
				BgL_patchz00_bglt BgL_new1432z00_7548;

				{	/* Ast/nodetype.sch 767 */
					BgL_patchz00_bglt BgL_new1431z00_7549;

					BgL_new1431z00_7549 =
						((BgL_patchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_patchz00_bgl))));
					{	/* Ast/nodetype.sch 767 */
						long BgL_arg1761z00_7550;

						{	/* Ast/nodetype.sch 767 */
							long BgL_res2864z00_7551;

							BgL_res2864z00_7551 = BGL_CLASS_INDEX(BGl_patchz00zzast_nodez00);
							BgL_arg1761z00_7550 = BgL_res2864z00_7551;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1431z00_7549), BgL_arg1761z00_7550);
					}
					{	/* Ast/nodetype.sch 767 */
						BgL_objectz00_bglt BgL_tmpz00_8826;

						BgL_tmpz00_8826 = ((BgL_objectz00_bglt) BgL_new1431z00_7549);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8826, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1431z00_7549);
					BgL_new1432z00_7548 = BgL_new1431z00_7549;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1432z00_7548)))->BgL_locz00) =
					((obj_t) BgL_loc1707z00_52), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1432z00_7548)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1708z00_53), BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1432z00_7548)))->BgL_valuez00) =
					((obj_t) BgL_value1709z00_54), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(BgL_new1432z00_7548))->BgL_refz00) =
					((BgL_varz00_bglt) BgL_ref1710z00_55), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(BgL_new1432z00_7548))->BgL_indexz00) =
					((long) BgL_index1711z00_56), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(BgL_new1432z00_7548))->BgL_patchidz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1432z00_7548;
			}
		}

	}



/* &make-patch */
	BgL_patchz00_bglt BGl_z62makezd2patchzb0zzast_nodez00(obj_t BgL_envz00_4934,
		obj_t BgL_loc1707z00_4935, obj_t BgL_type1708z00_4936,
		obj_t BgL_value1709z00_4937, obj_t BgL_ref1710z00_4938,
		obj_t BgL_index1711z00_4939)
	{
		{	/* Ast/nodetype.sch 767 */
			return
				BGl_makezd2patchzd2zzast_nodez00(BgL_loc1707z00_4935,
				((BgL_typez00_bglt) BgL_type1708z00_4936), BgL_value1709z00_4937,
				((BgL_varz00_bglt) BgL_ref1710z00_4938),
				(long) CINT(BgL_index1711z00_4939));
		}

	}



/* patch? */
	BGL_EXPORTED_DEF bool_t BGl_patchzf3zf3zzast_nodez00(obj_t BgL_objz00_57)
	{
		{	/* Ast/nodetype.sch 768 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_57, BGl_patchz00zzast_nodez00);
		}

	}



/* &patch? */
	obj_t BGl_z62patchzf3z91zzast_nodez00(obj_t BgL_envz00_4940,
		obj_t BgL_objz00_4941)
	{
		{	/* Ast/nodetype.sch 768 */
			return BBOOL(BGl_patchzf3zf3zzast_nodez00(BgL_objz00_4941));
		}

	}



/* patch-nil */
	BGL_EXPORTED_DEF BgL_patchz00_bglt BGl_patchzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 769 */
			{	/* Ast/nodetype.sch 769 */
				obj_t BgL_classz00_3732;

				BgL_classz00_3732 = BGl_patchz00zzast_nodez00;
				{	/* Ast/nodetype.sch 769 */
					obj_t BgL__ortest_1106z00_3733;

					BgL__ortest_1106z00_3733 = BGL_CLASS_NIL(BgL_classz00_3732);
					if (CBOOL(BgL__ortest_1106z00_3733))
						{	/* Ast/nodetype.sch 769 */
							return ((BgL_patchz00_bglt) BgL__ortest_1106z00_3733);
						}
					else
						{	/* Ast/nodetype.sch 769 */
							return
								((BgL_patchz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3732));
						}
				}
			}
		}

	}



/* &patch-nil */
	BgL_patchz00_bglt BGl_z62patchzd2nilzb0zzast_nodez00(obj_t BgL_envz00_4942)
	{
		{	/* Ast/nodetype.sch 769 */
			return BGl_patchzd2nilzd2zzast_nodez00();
		}

	}



/* patch-index */
	BGL_EXPORTED_DEF long BGl_patchzd2indexzd2zzast_nodez00(BgL_patchz00_bglt
		BgL_oz00_58)
	{
		{	/* Ast/nodetype.sch 770 */
			return (((BgL_patchz00_bglt) COBJECT(BgL_oz00_58))->BgL_indexz00);
		}

	}



/* &patch-index */
	obj_t BGl_z62patchzd2indexzb0zzast_nodez00(obj_t BgL_envz00_4943,
		obj_t BgL_oz00_4944)
	{
		{	/* Ast/nodetype.sch 770 */
			return
				BINT(BGl_patchzd2indexzd2zzast_nodez00(
					((BgL_patchz00_bglt) BgL_oz00_4944)));
		}

	}



/* patch-index-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzd2indexzd2setz12z12zzast_nodez00(BgL_patchz00_bglt BgL_oz00_59,
		long BgL_vz00_60)
	{
		{	/* Ast/nodetype.sch 771 */
			return
				((((BgL_patchz00_bglt) COBJECT(BgL_oz00_59))->BgL_indexz00) =
				((long) BgL_vz00_60), BUNSPEC);
		}

	}



/* &patch-index-set! */
	obj_t BGl_z62patchzd2indexzd2setz12z70zzast_nodez00(obj_t BgL_envz00_4945,
		obj_t BgL_oz00_4946, obj_t BgL_vz00_4947)
	{
		{	/* Ast/nodetype.sch 771 */
			return
				BGl_patchzd2indexzd2setz12z12zzast_nodez00(
				((BgL_patchz00_bglt) BgL_oz00_4946), (long) CINT(BgL_vz00_4947));
		}

	}



/* patch-ref */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_patchzd2refzd2zzast_nodez00(BgL_patchz00_bglt BgL_oz00_61)
	{
		{	/* Ast/nodetype.sch 772 */
			return (((BgL_patchz00_bglt) COBJECT(BgL_oz00_61))->BgL_refz00);
		}

	}



/* &patch-ref */
	BgL_varz00_bglt BGl_z62patchzd2refzb0zzast_nodez00(obj_t BgL_envz00_4948,
		obj_t BgL_oz00_4949)
	{
		{	/* Ast/nodetype.sch 772 */
			return
				BGl_patchzd2refzd2zzast_nodez00(((BgL_patchz00_bglt) BgL_oz00_4949));
		}

	}



/* patch-value */
	BGL_EXPORTED_DEF obj_t BGl_patchzd2valuezd2zzast_nodez00(BgL_patchz00_bglt
		BgL_oz00_64)
	{
		{	/* Ast/nodetype.sch 774 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_oz00_64)))->BgL_valuez00);
		}

	}



/* &patch-value */
	obj_t BGl_z62patchzd2valuezb0zzast_nodez00(obj_t BgL_envz00_4950,
		obj_t BgL_oz00_4951)
	{
		{	/* Ast/nodetype.sch 774 */
			return
				BGl_patchzd2valuezd2zzast_nodez00(((BgL_patchz00_bglt) BgL_oz00_4951));
		}

	}



/* patch-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzd2valuezd2setz12z12zzast_nodez00(BgL_patchz00_bglt BgL_oz00_65,
		obj_t BgL_vz00_66)
	{
		{	/* Ast/nodetype.sch 775 */
			return
				((((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_65)))->BgL_valuez00) =
				((obj_t) BgL_vz00_66), BUNSPEC);
		}

	}



/* &patch-value-set! */
	obj_t BGl_z62patchzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_4952,
		obj_t BgL_oz00_4953, obj_t BgL_vz00_4954)
	{
		{	/* Ast/nodetype.sch 775 */
			return
				BGl_patchzd2valuezd2setz12z12zzast_nodez00(
				((BgL_patchz00_bglt) BgL_oz00_4953), BgL_vz00_4954);
		}

	}



/* patch-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_patchzd2typezd2zzast_nodez00(BgL_patchz00_bglt BgL_oz00_67)
	{
		{	/* Ast/nodetype.sch 776 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_67)))->BgL_typez00);
		}

	}



/* &patch-type */
	BgL_typez00_bglt BGl_z62patchzd2typezb0zzast_nodez00(obj_t BgL_envz00_4955,
		obj_t BgL_oz00_4956)
	{
		{	/* Ast/nodetype.sch 776 */
			return
				BGl_patchzd2typezd2zzast_nodez00(((BgL_patchz00_bglt) BgL_oz00_4956));
		}

	}



/* patch-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzd2typezd2setz12z12zzast_nodez00(BgL_patchz00_bglt BgL_oz00_68,
		BgL_typez00_bglt BgL_vz00_69)
	{
		{	/* Ast/nodetype.sch 777 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_68)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_69), BUNSPEC);
		}

	}



/* &patch-type-set! */
	obj_t BGl_z62patchzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_4957,
		obj_t BgL_oz00_4958, obj_t BgL_vz00_4959)
	{
		{	/* Ast/nodetype.sch 777 */
			return
				BGl_patchzd2typezd2setz12z12zzast_nodez00(
				((BgL_patchz00_bglt) BgL_oz00_4958),
				((BgL_typez00_bglt) BgL_vz00_4959));
		}

	}



/* patch-loc */
	BGL_EXPORTED_DEF obj_t BGl_patchzd2loczd2zzast_nodez00(BgL_patchz00_bglt
		BgL_oz00_70)
	{
		{	/* Ast/nodetype.sch 778 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_70)))->BgL_locz00);
		}

	}



/* &patch-loc */
	obj_t BGl_z62patchzd2loczb0zzast_nodez00(obj_t BgL_envz00_4960,
		obj_t BgL_oz00_4961)
	{
		{	/* Ast/nodetype.sch 778 */
			return
				BGl_patchzd2loczd2zzast_nodez00(((BgL_patchz00_bglt) BgL_oz00_4961));
		}

	}



/* make-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t
		BgL_loc1703z00_73, BgL_typez00_bglt BgL_type1704z00_74,
		BgL_variablez00_bglt BgL_variable1705z00_75)
	{
		{	/* Ast/nodetype.sch 782 */
			{	/* Ast/nodetype.sch 782 */
				BgL_varz00_bglt BgL_new1434z00_7552;

				{	/* Ast/nodetype.sch 782 */
					BgL_varz00_bglt BgL_new1433z00_7553;

					BgL_new1433z00_7553 =
						((BgL_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_varz00_bgl))));
					{	/* Ast/nodetype.sch 782 */
						long BgL_arg1762z00_7554;

						{	/* Ast/nodetype.sch 782 */
							long BgL_res2865z00_7555;

							BgL_res2865z00_7555 = BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
							BgL_arg1762z00_7554 = BgL_res2865z00_7555;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1433z00_7553), BgL_arg1762z00_7554);
					}
					BgL_new1434z00_7552 = BgL_new1433z00_7553;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1434z00_7552)))->BgL_locz00) =
					((obj_t) BgL_loc1703z00_73), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1434z00_7552)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1704z00_74), BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(BgL_new1434z00_7552))->BgL_variablez00) =
					((BgL_variablez00_bglt) BgL_variable1705z00_75), BUNSPEC);
				return BgL_new1434z00_7552;
			}
		}

	}



/* &make-var */
	BgL_varz00_bglt BGl_z62makezd2varzb0zzast_nodez00(obj_t BgL_envz00_4962,
		obj_t BgL_loc1703z00_4963, obj_t BgL_type1704z00_4964,
		obj_t BgL_variable1705z00_4965)
	{
		{	/* Ast/nodetype.sch 782 */
			return
				BGl_makezd2varzd2zzast_nodez00(BgL_loc1703z00_4963,
				((BgL_typez00_bglt) BgL_type1704z00_4964),
				((BgL_variablez00_bglt) BgL_variable1705z00_4965));
		}

	}



/* var? */
	BGL_EXPORTED_DEF bool_t BGl_varzf3zf3zzast_nodez00(obj_t BgL_objz00_76)
	{
		{	/* Ast/nodetype.sch 783 */
			return BGl_isazf3zf3zz__objectz00(BgL_objz00_76, BGl_varz00zzast_nodez00);
		}

	}



/* &var? */
	obj_t BGl_z62varzf3z91zzast_nodez00(obj_t BgL_envz00_4966,
		obj_t BgL_objz00_4967)
	{
		{	/* Ast/nodetype.sch 783 */
			return BBOOL(BGl_varzf3zf3zzast_nodez00(BgL_objz00_4967));
		}

	}



/* var-nil */
	BGL_EXPORTED_DEF BgL_varz00_bglt BGl_varzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 784 */
			{	/* Ast/nodetype.sch 784 */
				obj_t BgL_classz00_3741;

				BgL_classz00_3741 = BGl_varz00zzast_nodez00;
				{	/* Ast/nodetype.sch 784 */
					obj_t BgL__ortest_1106z00_3742;

					BgL__ortest_1106z00_3742 = BGL_CLASS_NIL(BgL_classz00_3741);
					if (CBOOL(BgL__ortest_1106z00_3742))
						{	/* Ast/nodetype.sch 784 */
							return ((BgL_varz00_bglt) BgL__ortest_1106z00_3742);
						}
					else
						{	/* Ast/nodetype.sch 784 */
							return
								((BgL_varz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3741));
						}
				}
			}
		}

	}



/* &var-nil */
	BgL_varz00_bglt BGl_z62varzd2nilzb0zzast_nodez00(obj_t BgL_envz00_4968)
	{
		{	/* Ast/nodetype.sch 784 */
			return BGl_varzd2nilzd2zzast_nodez00();
		}

	}



/* var-variable */
	BGL_EXPORTED_DEF BgL_variablez00_bglt
		BGl_varzd2variablezd2zzast_nodez00(BgL_varz00_bglt BgL_oz00_77)
	{
		{	/* Ast/nodetype.sch 785 */
			return (((BgL_varz00_bglt) COBJECT(BgL_oz00_77))->BgL_variablez00);
		}

	}



/* &var-variable */
	BgL_variablez00_bglt BGl_z62varzd2variablezb0zzast_nodez00(obj_t
		BgL_envz00_4969, obj_t BgL_oz00_4970)
	{
		{	/* Ast/nodetype.sch 785 */
			return
				BGl_varzd2variablezd2zzast_nodez00(((BgL_varz00_bglt) BgL_oz00_4970));
		}

	}



/* var-variable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_varzd2variablezd2setz12z12zzast_nodez00(BgL_varz00_bglt BgL_oz00_78,
		BgL_variablez00_bglt BgL_vz00_79)
	{
		{	/* Ast/nodetype.sch 786 */
			return
				((((BgL_varz00_bglt) COBJECT(BgL_oz00_78))->BgL_variablez00) =
				((BgL_variablez00_bglt) BgL_vz00_79), BUNSPEC);
		}

	}



/* &var-variable-set! */
	obj_t BGl_z62varzd2variablezd2setz12z70zzast_nodez00(obj_t BgL_envz00_4971,
		obj_t BgL_oz00_4972, obj_t BgL_vz00_4973)
	{
		{	/* Ast/nodetype.sch 786 */
			return
				BGl_varzd2variablezd2setz12z12zzast_nodez00(
				((BgL_varz00_bglt) BgL_oz00_4972),
				((BgL_variablez00_bglt) BgL_vz00_4973));
		}

	}



/* var-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_varzd2typezd2zzast_nodez00(BgL_varz00_bglt BgL_oz00_80)
	{
		{	/* Ast/nodetype.sch 787 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_80)))->BgL_typez00);
		}

	}



/* &var-type */
	BgL_typez00_bglt BGl_z62varzd2typezb0zzast_nodez00(obj_t BgL_envz00_4974,
		obj_t BgL_oz00_4975)
	{
		{	/* Ast/nodetype.sch 787 */
			return BGl_varzd2typezd2zzast_nodez00(((BgL_varz00_bglt) BgL_oz00_4975));
		}

	}



/* var-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_varzd2typezd2setz12z12zzast_nodez00(BgL_varz00_bglt
		BgL_oz00_81, BgL_typez00_bglt BgL_vz00_82)
	{
		{	/* Ast/nodetype.sch 788 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_81)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_82), BUNSPEC);
		}

	}



/* &var-type-set! */
	obj_t BGl_z62varzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_4976,
		obj_t BgL_oz00_4977, obj_t BgL_vz00_4978)
	{
		{	/* Ast/nodetype.sch 788 */
			return
				BGl_varzd2typezd2setz12z12zzast_nodez00(
				((BgL_varz00_bglt) BgL_oz00_4977), ((BgL_typez00_bglt) BgL_vz00_4978));
		}

	}



/* var-loc */
	BGL_EXPORTED_DEF obj_t BGl_varzd2loczd2zzast_nodez00(BgL_varz00_bglt
		BgL_oz00_83)
	{
		{	/* Ast/nodetype.sch 789 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_83)))->BgL_locz00);
		}

	}



/* &var-loc */
	obj_t BGl_z62varzd2loczb0zzast_nodez00(obj_t BgL_envz00_4979,
		obj_t BgL_oz00_4980)
	{
		{	/* Ast/nodetype.sch 789 */
			return BGl_varzd2loczd2zzast_nodez00(((BgL_varz00_bglt) BgL_oz00_4980));
		}

	}



/* make-closure */
	BGL_EXPORTED_DEF BgL_closurez00_bglt BGl_makezd2closurezd2zzast_nodez00(obj_t
		BgL_loc1699z00_86, BgL_typez00_bglt BgL_type1700z00_87,
		BgL_variablez00_bglt BgL_variable1701z00_88)
	{
		{	/* Ast/nodetype.sch 793 */
			{	/* Ast/nodetype.sch 793 */
				BgL_closurez00_bglt BgL_new1436z00_7556;

				{	/* Ast/nodetype.sch 793 */
					BgL_closurez00_bglt BgL_new1435z00_7557;

					BgL_new1435z00_7557 =
						((BgL_closurez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_closurez00_bgl))));
					{	/* Ast/nodetype.sch 793 */
						long BgL_arg1763z00_7558;

						{	/* Ast/nodetype.sch 793 */
							long BgL_res2866z00_7559;

							BgL_res2866z00_7559 =
								BGL_CLASS_INDEX(BGl_closurez00zzast_nodez00);
							BgL_arg1763z00_7558 = BgL_res2866z00_7559;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1435z00_7557), BgL_arg1763z00_7558);
					}
					BgL_new1436z00_7556 = BgL_new1435z00_7557;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1436z00_7556)))->BgL_locz00) =
					((obj_t) BgL_loc1699z00_86), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1436z00_7556)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1700z00_87), BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_new1436z00_7556)))->
						BgL_variablez00) =
					((BgL_variablez00_bglt) BgL_variable1701z00_88), BUNSPEC);
				return BgL_new1436z00_7556;
			}
		}

	}



/* &make-closure */
	BgL_closurez00_bglt BGl_z62makezd2closurezb0zzast_nodez00(obj_t
		BgL_envz00_4981, obj_t BgL_loc1699z00_4982, obj_t BgL_type1700z00_4983,
		obj_t BgL_variable1701z00_4984)
	{
		{	/* Ast/nodetype.sch 793 */
			return
				BGl_makezd2closurezd2zzast_nodez00(BgL_loc1699z00_4982,
				((BgL_typez00_bglt) BgL_type1700z00_4983),
				((BgL_variablez00_bglt) BgL_variable1701z00_4984));
		}

	}



/* closure? */
	BGL_EXPORTED_DEF bool_t BGl_closurezf3zf3zzast_nodez00(obj_t BgL_objz00_89)
	{
		{	/* Ast/nodetype.sch 794 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_89, BGl_closurez00zzast_nodez00);
		}

	}



/* &closure? */
	obj_t BGl_z62closurezf3z91zzast_nodez00(obj_t BgL_envz00_4985,
		obj_t BgL_objz00_4986)
	{
		{	/* Ast/nodetype.sch 794 */
			return BBOOL(BGl_closurezf3zf3zzast_nodez00(BgL_objz00_4986));
		}

	}



/* closure-nil */
	BGL_EXPORTED_DEF BgL_closurez00_bglt BGl_closurezd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 795 */
			{	/* Ast/nodetype.sch 795 */
				obj_t BgL_classz00_3750;

				BgL_classz00_3750 = BGl_closurez00zzast_nodez00;
				{	/* Ast/nodetype.sch 795 */
					obj_t BgL__ortest_1106z00_3751;

					BgL__ortest_1106z00_3751 = BGL_CLASS_NIL(BgL_classz00_3750);
					if (CBOOL(BgL__ortest_1106z00_3751))
						{	/* Ast/nodetype.sch 795 */
							return ((BgL_closurez00_bglt) BgL__ortest_1106z00_3751);
						}
					else
						{	/* Ast/nodetype.sch 795 */
							return
								((BgL_closurez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3750));
						}
				}
			}
		}

	}



/* &closure-nil */
	BgL_closurez00_bglt BGl_z62closurezd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_4987)
	{
		{	/* Ast/nodetype.sch 795 */
			return BGl_closurezd2nilzd2zzast_nodez00();
		}

	}



/* closure-variable */
	BGL_EXPORTED_DEF BgL_variablez00_bglt
		BGl_closurezd2variablezd2zzast_nodez00(BgL_closurez00_bglt BgL_oz00_90)
	{
		{	/* Ast/nodetype.sch 796 */
			return
				(((BgL_varz00_bglt) COBJECT(
						((BgL_varz00_bglt) BgL_oz00_90)))->BgL_variablez00);
		}

	}



/* &closure-variable */
	BgL_variablez00_bglt BGl_z62closurezd2variablezb0zzast_nodez00(obj_t
		BgL_envz00_4988, obj_t BgL_oz00_4989)
	{
		{	/* Ast/nodetype.sch 796 */
			return
				BGl_closurezd2variablezd2zzast_nodez00(
				((BgL_closurez00_bglt) BgL_oz00_4989));
		}

	}



/* closure-variable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2variablezd2setz12z12zzast_nodez00(BgL_closurez00_bglt
		BgL_oz00_91, BgL_variablez00_bglt BgL_vz00_92)
	{
		{	/* Ast/nodetype.sch 797 */
			return
				((((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_oz00_91)))->BgL_variablez00) =
				((BgL_variablez00_bglt) BgL_vz00_92), BUNSPEC);
		}

	}



/* &closure-variable-set! */
	obj_t BGl_z62closurezd2variablezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_4990, obj_t BgL_oz00_4991, obj_t BgL_vz00_4992)
	{
		{	/* Ast/nodetype.sch 797 */
			return
				BGl_closurezd2variablezd2setz12z12zzast_nodez00(
				((BgL_closurez00_bglt) BgL_oz00_4991),
				((BgL_variablez00_bglt) BgL_vz00_4992));
		}

	}



/* closure-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_closurezd2typezd2zzast_nodez00(BgL_closurez00_bglt BgL_oz00_93)
	{
		{	/* Ast/nodetype.sch 798 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_93)))->BgL_typez00);
		}

	}



/* &closure-type */
	BgL_typez00_bglt BGl_z62closurezd2typezb0zzast_nodez00(obj_t BgL_envz00_4993,
		obj_t BgL_oz00_4994)
	{
		{	/* Ast/nodetype.sch 798 */
			return
				BGl_closurezd2typezd2zzast_nodez00(
				((BgL_closurez00_bglt) BgL_oz00_4994));
		}

	}



/* closure-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2typezd2setz12z12zzast_nodez00(BgL_closurez00_bglt BgL_oz00_94,
		BgL_typez00_bglt BgL_vz00_95)
	{
		{	/* Ast/nodetype.sch 799 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_94)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_95), BUNSPEC);
		}

	}



/* &closure-type-set! */
	obj_t BGl_z62closurezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_4995,
		obj_t BgL_oz00_4996, obj_t BgL_vz00_4997)
	{
		{	/* Ast/nodetype.sch 799 */
			return
				BGl_closurezd2typezd2setz12z12zzast_nodez00(
				((BgL_closurez00_bglt) BgL_oz00_4996),
				((BgL_typez00_bglt) BgL_vz00_4997));
		}

	}



/* closure-loc */
	BGL_EXPORTED_DEF obj_t BGl_closurezd2loczd2zzast_nodez00(BgL_closurez00_bglt
		BgL_oz00_96)
	{
		{	/* Ast/nodetype.sch 800 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_96)))->BgL_locz00);
		}

	}



/* &closure-loc */
	obj_t BGl_z62closurezd2loczb0zzast_nodez00(obj_t BgL_envz00_4998,
		obj_t BgL_oz00_4999)
	{
		{	/* Ast/nodetype.sch 800 */
			return
				BGl_closurezd2loczd2zzast_nodez00(
				((BgL_closurez00_bglt) BgL_oz00_4999));
		}

	}



/* make-kwote */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt BGl_makezd2kwotezd2zzast_nodez00(obj_t
		BgL_loc1695z00_99, BgL_typez00_bglt BgL_type1696z00_100,
		obj_t BgL_value1697z00_101)
	{
		{	/* Ast/nodetype.sch 804 */
			{	/* Ast/nodetype.sch 804 */
				BgL_kwotez00_bglt BgL_new1438z00_7560;

				{	/* Ast/nodetype.sch 804 */
					BgL_kwotez00_bglt BgL_new1437z00_7561;

					BgL_new1437z00_7561 =
						((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotez00_bgl))));
					{	/* Ast/nodetype.sch 804 */
						long BgL_arg1764z00_7562;

						{	/* Ast/nodetype.sch 804 */
							long BgL_res2867z00_7563;

							BgL_res2867z00_7563 = BGL_CLASS_INDEX(BGl_kwotez00zzast_nodez00);
							BgL_arg1764z00_7562 = BgL_res2867z00_7563;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1437z00_7561), BgL_arg1764z00_7562);
					}
					{	/* Ast/nodetype.sch 804 */
						BgL_objectz00_bglt BgL_tmpz00_8976;

						BgL_tmpz00_8976 = ((BgL_objectz00_bglt) BgL_new1437z00_7561);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8976, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1437z00_7561);
					BgL_new1438z00_7560 = BgL_new1437z00_7561;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1438z00_7560)))->BgL_locz00) =
					((obj_t) BgL_loc1695z00_99), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1438z00_7560)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1696z00_100), BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(BgL_new1438z00_7560))->BgL_valuez00) =
					((obj_t) BgL_value1697z00_101), BUNSPEC);
				return BgL_new1438z00_7560;
			}
		}

	}



/* &make-kwote */
	BgL_kwotez00_bglt BGl_z62makezd2kwotezb0zzast_nodez00(obj_t BgL_envz00_5000,
		obj_t BgL_loc1695z00_5001, obj_t BgL_type1696z00_5002,
		obj_t BgL_value1697z00_5003)
	{
		{	/* Ast/nodetype.sch 804 */
			return
				BGl_makezd2kwotezd2zzast_nodez00(BgL_loc1695z00_5001,
				((BgL_typez00_bglt) BgL_type1696z00_5002), BgL_value1697z00_5003);
		}

	}



/* kwote? */
	BGL_EXPORTED_DEF bool_t BGl_kwotezf3zf3zzast_nodez00(obj_t BgL_objz00_102)
	{
		{	/* Ast/nodetype.sch 805 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_102, BGl_kwotez00zzast_nodez00);
		}

	}



/* &kwote? */
	obj_t BGl_z62kwotezf3z91zzast_nodez00(obj_t BgL_envz00_5004,
		obj_t BgL_objz00_5005)
	{
		{	/* Ast/nodetype.sch 805 */
			return BBOOL(BGl_kwotezf3zf3zzast_nodez00(BgL_objz00_5005));
		}

	}



/* kwote-nil */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt BGl_kwotezd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 806 */
			{	/* Ast/nodetype.sch 806 */
				obj_t BgL_classz00_3760;

				BgL_classz00_3760 = BGl_kwotez00zzast_nodez00;
				{	/* Ast/nodetype.sch 806 */
					obj_t BgL__ortest_1106z00_3761;

					BgL__ortest_1106z00_3761 = BGL_CLASS_NIL(BgL_classz00_3760);
					if (CBOOL(BgL__ortest_1106z00_3761))
						{	/* Ast/nodetype.sch 806 */
							return ((BgL_kwotez00_bglt) BgL__ortest_1106z00_3761);
						}
					else
						{	/* Ast/nodetype.sch 806 */
							return
								((BgL_kwotez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3760));
						}
				}
			}
		}

	}



/* &kwote-nil */
	BgL_kwotez00_bglt BGl_z62kwotezd2nilzb0zzast_nodez00(obj_t BgL_envz00_5006)
	{
		{	/* Ast/nodetype.sch 806 */
			return BGl_kwotezd2nilzd2zzast_nodez00();
		}

	}



/* kwote-value */
	BGL_EXPORTED_DEF obj_t BGl_kwotezd2valuezd2zzast_nodez00(BgL_kwotez00_bglt
		BgL_oz00_103)
	{
		{	/* Ast/nodetype.sch 807 */
			return (((BgL_kwotez00_bglt) COBJECT(BgL_oz00_103))->BgL_valuez00);
		}

	}



/* &kwote-value */
	obj_t BGl_z62kwotezd2valuezb0zzast_nodez00(obj_t BgL_envz00_5007,
		obj_t BgL_oz00_5008)
	{
		{	/* Ast/nodetype.sch 807 */
			return
				BGl_kwotezd2valuezd2zzast_nodez00(((BgL_kwotez00_bglt) BgL_oz00_5008));
		}

	}



/* kwote-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_kwotezd2typezd2zzast_nodez00(BgL_kwotez00_bglt BgL_oz00_106)
	{
		{	/* Ast/nodetype.sch 809 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_106)))->BgL_typez00);
		}

	}



/* &kwote-type */
	BgL_typez00_bglt BGl_z62kwotezd2typezb0zzast_nodez00(obj_t BgL_envz00_5009,
		obj_t BgL_oz00_5010)
	{
		{	/* Ast/nodetype.sch 809 */
			return
				BGl_kwotezd2typezd2zzast_nodez00(((BgL_kwotez00_bglt) BgL_oz00_5010));
		}

	}



/* kwote-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezd2typezd2setz12z12zzast_nodez00(BgL_kwotez00_bglt BgL_oz00_107,
		BgL_typez00_bglt BgL_vz00_108)
	{
		{	/* Ast/nodetype.sch 810 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_107)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_108), BUNSPEC);
		}

	}



/* &kwote-type-set! */
	obj_t BGl_z62kwotezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5011,
		obj_t BgL_oz00_5012, obj_t BgL_vz00_5013)
	{
		{	/* Ast/nodetype.sch 810 */
			return
				BGl_kwotezd2typezd2setz12z12zzast_nodez00(
				((BgL_kwotez00_bglt) BgL_oz00_5012),
				((BgL_typez00_bglt) BgL_vz00_5013));
		}

	}



/* kwote-loc */
	BGL_EXPORTED_DEF obj_t BGl_kwotezd2loczd2zzast_nodez00(BgL_kwotez00_bglt
		BgL_oz00_109)
	{
		{	/* Ast/nodetype.sch 811 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_109)))->BgL_locz00);
		}

	}



/* &kwote-loc */
	obj_t BGl_z62kwotezd2loczb0zzast_nodez00(obj_t BgL_envz00_5014,
		obj_t BgL_oz00_5015)
	{
		{	/* Ast/nodetype.sch 811 */
			return
				BGl_kwotezd2loczd2zzast_nodez00(((BgL_kwotez00_bglt) BgL_oz00_5015));
		}

	}



/* make-sequence */
	BGL_EXPORTED_DEF BgL_sequencez00_bglt
		BGl_makezd2sequencezd2zzast_nodez00(obj_t BgL_loc1687z00_112,
		BgL_typez00_bglt BgL_type1688z00_113, obj_t BgL_sidezd2effect1689zd2_114,
		obj_t BgL_key1690z00_115, obj_t BgL_nodes1691z00_116,
		bool_t BgL_unsafe1692z00_117, obj_t BgL_meta1693z00_118)
	{
		{	/* Ast/nodetype.sch 815 */
			{	/* Ast/nodetype.sch 815 */
				BgL_sequencez00_bglt BgL_new1440z00_7564;

				{	/* Ast/nodetype.sch 815 */
					BgL_sequencez00_bglt BgL_new1439z00_7565;

					BgL_new1439z00_7565 =
						((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sequencez00_bgl))));
					{	/* Ast/nodetype.sch 815 */
						long BgL_arg1765z00_7566;

						{	/* Ast/nodetype.sch 815 */
							long BgL_res2868z00_7567;

							BgL_res2868z00_7567 =
								BGL_CLASS_INDEX(BGl_sequencez00zzast_nodez00);
							BgL_arg1765z00_7566 = BgL_res2868z00_7567;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1439z00_7565), BgL_arg1765z00_7566);
					}
					{	/* Ast/nodetype.sch 815 */
						BgL_objectz00_bglt BgL_tmpz00_9017;

						BgL_tmpz00_9017 = ((BgL_objectz00_bglt) BgL_new1439z00_7565);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9017, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1439z00_7565);
					BgL_new1440z00_7564 = BgL_new1439z00_7565;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1440z00_7564)))->BgL_locz00) =
					((obj_t) BgL_loc1687z00_112), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1440z00_7564)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1688z00_113), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1440z00_7564)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1689zd2_114), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1440z00_7564)))->BgL_keyz00) =
					((obj_t) BgL_key1690z00_115), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(BgL_new1440z00_7564))->BgL_nodesz00) =
					((obj_t) BgL_nodes1691z00_116), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(BgL_new1440z00_7564))->
						BgL_unsafez00) = ((bool_t) BgL_unsafe1692z00_117), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(BgL_new1440z00_7564))->BgL_metaz00) =
					((obj_t) BgL_meta1693z00_118), BUNSPEC);
				return BgL_new1440z00_7564;
			}
		}

	}



/* &make-sequence */
	BgL_sequencez00_bglt BGl_z62makezd2sequencezb0zzast_nodez00(obj_t
		BgL_envz00_5016, obj_t BgL_loc1687z00_5017, obj_t BgL_type1688z00_5018,
		obj_t BgL_sidezd2effect1689zd2_5019, obj_t BgL_key1690z00_5020,
		obj_t BgL_nodes1691z00_5021, obj_t BgL_unsafe1692z00_5022,
		obj_t BgL_meta1693z00_5023)
	{
		{	/* Ast/nodetype.sch 815 */
			return
				BGl_makezd2sequencezd2zzast_nodez00(BgL_loc1687z00_5017,
				((BgL_typez00_bglt) BgL_type1688z00_5018),
				BgL_sidezd2effect1689zd2_5019, BgL_key1690z00_5020,
				BgL_nodes1691z00_5021, CBOOL(BgL_unsafe1692z00_5022),
				BgL_meta1693z00_5023);
		}

	}



/* sequence? */
	BGL_EXPORTED_DEF bool_t BGl_sequencezf3zf3zzast_nodez00(obj_t BgL_objz00_119)
	{
		{	/* Ast/nodetype.sch 816 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_119,
				BGl_sequencez00zzast_nodez00);
		}

	}



/* &sequence? */
	obj_t BGl_z62sequencezf3z91zzast_nodez00(obj_t BgL_envz00_5024,
		obj_t BgL_objz00_5025)
	{
		{	/* Ast/nodetype.sch 816 */
			return BBOOL(BGl_sequencezf3zf3zzast_nodez00(BgL_objz00_5025));
		}

	}



/* sequence-nil */
	BGL_EXPORTED_DEF BgL_sequencez00_bglt BGl_sequencezd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 817 */
			{	/* Ast/nodetype.sch 817 */
				obj_t BgL_classz00_3770;

				BgL_classz00_3770 = BGl_sequencez00zzast_nodez00;
				{	/* Ast/nodetype.sch 817 */
					obj_t BgL__ortest_1106z00_3771;

					BgL__ortest_1106z00_3771 = BGL_CLASS_NIL(BgL_classz00_3770);
					if (CBOOL(BgL__ortest_1106z00_3771))
						{	/* Ast/nodetype.sch 817 */
							return ((BgL_sequencez00_bglt) BgL__ortest_1106z00_3771);
						}
					else
						{	/* Ast/nodetype.sch 817 */
							return
								((BgL_sequencez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3770));
						}
				}
			}
		}

	}



/* &sequence-nil */
	BgL_sequencez00_bglt BGl_z62sequencezd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_5026)
	{
		{	/* Ast/nodetype.sch 817 */
			return BGl_sequencezd2nilzd2zzast_nodez00();
		}

	}



/* sequence-meta */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2metazd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_120)
	{
		{	/* Ast/nodetype.sch 818 */
			return (((BgL_sequencez00_bglt) COBJECT(BgL_oz00_120))->BgL_metaz00);
		}

	}



/* &sequence-meta */
	obj_t BGl_z62sequencezd2metazb0zzast_nodez00(obj_t BgL_envz00_5027,
		obj_t BgL_oz00_5028)
	{
		{	/* Ast/nodetype.sch 818 */
			return
				BGl_sequencezd2metazd2zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_5028));
		}

	}



/* sequence-unsafe */
	BGL_EXPORTED_DEF bool_t
		BGl_sequencezd2unsafezd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_123)
	{
		{	/* Ast/nodetype.sch 820 */
			return (((BgL_sequencez00_bglt) COBJECT(BgL_oz00_123))->BgL_unsafez00);
		}

	}



/* &sequence-unsafe */
	obj_t BGl_z62sequencezd2unsafezb0zzast_nodez00(obj_t BgL_envz00_5029,
		obj_t BgL_oz00_5030)
	{
		{	/* Ast/nodetype.sch 820 */
			return
				BBOOL(BGl_sequencezd2unsafezd2zzast_nodez00(
					((BgL_sequencez00_bglt) BgL_oz00_5030)));
		}

	}



/* sequence-nodes */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2nodeszd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_126)
	{
		{	/* Ast/nodetype.sch 822 */
			return (((BgL_sequencez00_bglt) COBJECT(BgL_oz00_126))->BgL_nodesz00);
		}

	}



/* &sequence-nodes */
	obj_t BGl_z62sequencezd2nodeszb0zzast_nodez00(obj_t BgL_envz00_5031,
		obj_t BgL_oz00_5032)
	{
		{	/* Ast/nodetype.sch 822 */
			return
				BGl_sequencezd2nodeszd2zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_5032));
		}

	}



/* sequence-key */
	BGL_EXPORTED_DEF obj_t BGl_sequencezd2keyzd2zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_129)
	{
		{	/* Ast/nodetype.sch 824 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_129)))->BgL_keyz00);
		}

	}



/* &sequence-key */
	obj_t BGl_z62sequencezd2keyzb0zzast_nodez00(obj_t BgL_envz00_5033,
		obj_t BgL_oz00_5034)
	{
		{	/* Ast/nodetype.sch 824 */
			return
				BGl_sequencezd2keyzd2zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_5034));
		}

	}



/* sequence-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2keyzd2setz12z12zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_130, obj_t BgL_vz00_131)
	{
		{	/* Ast/nodetype.sch 825 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_130)))->BgL_keyz00) =
				((obj_t) BgL_vz00_131), BUNSPEC);
		}

	}



/* &sequence-key-set! */
	obj_t BGl_z62sequencezd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5035,
		obj_t BgL_oz00_5036, obj_t BgL_vz00_5037)
	{
		{	/* Ast/nodetype.sch 825 */
			return
				BGl_sequencezd2keyzd2setz12z12zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_5036), BgL_vz00_5037);
		}

	}



/* sequence-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2sidezd2effectz00zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_132)
	{
		{	/* Ast/nodetype.sch 826 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_132)))->BgL_sidezd2effectzd2);
		}

	}



/* &sequence-side-effect */
	obj_t BGl_z62sequencezd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_5038,
		obj_t BgL_oz00_5039)
	{
		{	/* Ast/nodetype.sch 826 */
			return
				BGl_sequencezd2sidezd2effectz00zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_5039));
		}

	}



/* sequence-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_133, obj_t BgL_vz00_134)
	{
		{	/* Ast/nodetype.sch 827 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_133)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_134), BUNSPEC);
		}

	}



/* &sequence-side-effect-set! */
	obj_t BGl_z62sequencezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5040, obj_t BgL_oz00_5041, obj_t BgL_vz00_5042)
	{
		{	/* Ast/nodetype.sch 827 */
			return
				BGl_sequencezd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_5041), BgL_vz00_5042);
		}

	}



/* sequence-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_sequencezd2typezd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_135)
	{
		{	/* Ast/nodetype.sch 828 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_135)))->BgL_typez00);
		}

	}



/* &sequence-type */
	BgL_typez00_bglt BGl_z62sequencezd2typezb0zzast_nodez00(obj_t BgL_envz00_5043,
		obj_t BgL_oz00_5044)
	{
		{	/* Ast/nodetype.sch 828 */
			return
				BGl_sequencezd2typezd2zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_5044));
		}

	}



/* sequence-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2typezd2setz12z12zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_136, BgL_typez00_bglt BgL_vz00_137)
	{
		{	/* Ast/nodetype.sch 829 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_136)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_137), BUNSPEC);
		}

	}



/* &sequence-type-set! */
	obj_t BGl_z62sequencezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5045,
		obj_t BgL_oz00_5046, obj_t BgL_vz00_5047)
	{
		{	/* Ast/nodetype.sch 829 */
			return
				BGl_sequencezd2typezd2setz12z12zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_5046),
				((BgL_typez00_bglt) BgL_vz00_5047));
		}

	}



/* sequence-loc */
	BGL_EXPORTED_DEF obj_t BGl_sequencezd2loczd2zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_138)
	{
		{	/* Ast/nodetype.sch 830 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_138)))->BgL_locz00);
		}

	}



/* &sequence-loc */
	obj_t BGl_z62sequencezd2loczb0zzast_nodez00(obj_t BgL_envz00_5048,
		obj_t BgL_oz00_5049)
	{
		{	/* Ast/nodetype.sch 830 */
			return
				BGl_sequencezd2loczd2zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_5049));
		}

	}



/* make-app */
	BGL_EXPORTED_DEF BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t
		BgL_loc1680z00_141, BgL_typez00_bglt BgL_type1681z00_142,
		obj_t BgL_sidezd2effect1682zd2_143, obj_t BgL_key1683z00_144,
		BgL_varz00_bglt BgL_fun1684z00_145, obj_t BgL_args1685z00_146)
	{
		{	/* Ast/nodetype.sch 834 */
			{	/* Ast/nodetype.sch 834 */
				BgL_appz00_bglt BgL_new1442z00_7568;

				{	/* Ast/nodetype.sch 834 */
					BgL_appz00_bglt BgL_new1441z00_7569;

					BgL_new1441z00_7569 =
						((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appz00_bgl))));
					{	/* Ast/nodetype.sch 834 */
						long BgL_arg1766z00_7570;

						{	/* Ast/nodetype.sch 834 */
							long BgL_res2869z00_7571;

							BgL_res2869z00_7571 = BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
							BgL_arg1766z00_7570 = BgL_res2869z00_7571;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1441z00_7569), BgL_arg1766z00_7570);
					}
					{	/* Ast/nodetype.sch 834 */
						BgL_objectz00_bglt BgL_tmpz00_9088;

						BgL_tmpz00_9088 = ((BgL_objectz00_bglt) BgL_new1441z00_7569);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9088, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1441z00_7569);
					BgL_new1442z00_7568 = BgL_new1441z00_7569;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1442z00_7568)))->BgL_locz00) =
					((obj_t) BgL_loc1680z00_141), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1442z00_7568)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1681z00_142), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1442z00_7568)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1682zd2_143), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1442z00_7568)))->BgL_keyz00) =
					((obj_t) BgL_key1683z00_144), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1442z00_7568))->BgL_funz00) =
					((BgL_varz00_bglt) BgL_fun1684z00_145), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1442z00_7568))->BgL_argsz00) =
					((obj_t) BgL_args1685z00_146), BUNSPEC);
				return BgL_new1442z00_7568;
			}
		}

	}



/* &make-app */
	BgL_appz00_bglt BGl_z62makezd2appzb0zzast_nodez00(obj_t BgL_envz00_5050,
		obj_t BgL_loc1680z00_5051, obj_t BgL_type1681z00_5052,
		obj_t BgL_sidezd2effect1682zd2_5053, obj_t BgL_key1683z00_5054,
		obj_t BgL_fun1684z00_5055, obj_t BgL_args1685z00_5056)
	{
		{	/* Ast/nodetype.sch 834 */
			return
				BGl_makezd2appzd2zzast_nodez00(BgL_loc1680z00_5051,
				((BgL_typez00_bglt) BgL_type1681z00_5052),
				BgL_sidezd2effect1682zd2_5053, BgL_key1683z00_5054,
				((BgL_varz00_bglt) BgL_fun1684z00_5055), BgL_args1685z00_5056);
		}

	}



/* app? */
	BGL_EXPORTED_DEF bool_t BGl_appzf3zf3zzast_nodez00(obj_t BgL_objz00_147)
	{
		{	/* Ast/nodetype.sch 835 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_147, BGl_appz00zzast_nodez00);
		}

	}



/* &app? */
	obj_t BGl_z62appzf3z91zzast_nodez00(obj_t BgL_envz00_5057,
		obj_t BgL_objz00_5058)
	{
		{	/* Ast/nodetype.sch 835 */
			return BBOOL(BGl_appzf3zf3zzast_nodez00(BgL_objz00_5058));
		}

	}



/* app-nil */
	BGL_EXPORTED_DEF BgL_appz00_bglt BGl_appzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 836 */
			{	/* Ast/nodetype.sch 836 */
				obj_t BgL_classz00_3780;

				BgL_classz00_3780 = BGl_appz00zzast_nodez00;
				{	/* Ast/nodetype.sch 836 */
					obj_t BgL__ortest_1106z00_3781;

					BgL__ortest_1106z00_3781 = BGL_CLASS_NIL(BgL_classz00_3780);
					if (CBOOL(BgL__ortest_1106z00_3781))
						{	/* Ast/nodetype.sch 836 */
							return ((BgL_appz00_bglt) BgL__ortest_1106z00_3781);
						}
					else
						{	/* Ast/nodetype.sch 836 */
							return
								((BgL_appz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3780));
						}
				}
			}
		}

	}



/* &app-nil */
	BgL_appz00_bglt BGl_z62appzd2nilzb0zzast_nodez00(obj_t BgL_envz00_5059)
	{
		{	/* Ast/nodetype.sch 836 */
			return BGl_appzd2nilzd2zzast_nodez00();
		}

	}



/* app-args */
	BGL_EXPORTED_DEF obj_t BGl_appzd2argszd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_148)
	{
		{	/* Ast/nodetype.sch 837 */
			return (((BgL_appz00_bglt) COBJECT(BgL_oz00_148))->BgL_argsz00);
		}

	}



/* &app-args */
	obj_t BGl_z62appzd2argszb0zzast_nodez00(obj_t BgL_envz00_5060,
		obj_t BgL_oz00_5061)
	{
		{	/* Ast/nodetype.sch 837 */
			return BGl_appzd2argszd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_5061));
		}

	}



/* app-args-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2argszd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_149, obj_t BgL_vz00_150)
	{
		{	/* Ast/nodetype.sch 838 */
			return
				((((BgL_appz00_bglt) COBJECT(BgL_oz00_149))->BgL_argsz00) =
				((obj_t) BgL_vz00_150), BUNSPEC);
		}

	}



/* &app-args-set! */
	obj_t BGl_z62appzd2argszd2setz12z70zzast_nodez00(obj_t BgL_envz00_5062,
		obj_t BgL_oz00_5063, obj_t BgL_vz00_5064)
	{
		{	/* Ast/nodetype.sch 838 */
			return
				BGl_appzd2argszd2setz12z12zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_5063), BgL_vz00_5064);
		}

	}



/* app-fun */
	BGL_EXPORTED_DEF BgL_varz00_bglt BGl_appzd2funzd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_151)
	{
		{	/* Ast/nodetype.sch 839 */
			return (((BgL_appz00_bglt) COBJECT(BgL_oz00_151))->BgL_funz00);
		}

	}



/* &app-fun */
	BgL_varz00_bglt BGl_z62appzd2funzb0zzast_nodez00(obj_t BgL_envz00_5065,
		obj_t BgL_oz00_5066)
	{
		{	/* Ast/nodetype.sch 839 */
			return BGl_appzd2funzd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_5066));
		}

	}



/* app-fun-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2funzd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_152, BgL_varz00_bglt BgL_vz00_153)
	{
		{	/* Ast/nodetype.sch 840 */
			return
				((((BgL_appz00_bglt) COBJECT(BgL_oz00_152))->BgL_funz00) =
				((BgL_varz00_bglt) BgL_vz00_153), BUNSPEC);
		}

	}



/* &app-fun-set! */
	obj_t BGl_z62appzd2funzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5067,
		obj_t BgL_oz00_5068, obj_t BgL_vz00_5069)
	{
		{	/* Ast/nodetype.sch 840 */
			return
				BGl_appzd2funzd2setz12z12zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_5068), ((BgL_varz00_bglt) BgL_vz00_5069));
		}

	}



/* app-key */
	BGL_EXPORTED_DEF obj_t BGl_appzd2keyzd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_154)
	{
		{	/* Ast/nodetype.sch 841 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_154)))->BgL_keyz00);
		}

	}



/* &app-key */
	obj_t BGl_z62appzd2keyzb0zzast_nodez00(obj_t BgL_envz00_5070,
		obj_t BgL_oz00_5071)
	{
		{	/* Ast/nodetype.sch 841 */
			return BGl_appzd2keyzd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_5071));
		}

	}



/* app-key-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2keyzd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_155, obj_t BgL_vz00_156)
	{
		{	/* Ast/nodetype.sch 842 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_155)))->BgL_keyz00) =
				((obj_t) BgL_vz00_156), BUNSPEC);
		}

	}



/* &app-key-set! */
	obj_t BGl_z62appzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5072,
		obj_t BgL_oz00_5073, obj_t BgL_vz00_5074)
	{
		{	/* Ast/nodetype.sch 842 */
			return
				BGl_appzd2keyzd2setz12z12zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_5073), BgL_vz00_5074);
		}

	}



/* app-side-effect */
	BGL_EXPORTED_DEF obj_t BGl_appzd2sidezd2effectz00zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_157)
	{
		{	/* Ast/nodetype.sch 843 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_157)))->BgL_sidezd2effectzd2);
		}

	}



/* &app-side-effect */
	obj_t BGl_z62appzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_5075,
		obj_t BgL_oz00_5076)
	{
		{	/* Ast/nodetype.sch 843 */
			return
				BGl_appzd2sidezd2effectz00zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_5076));
		}

	}



/* app-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_158, obj_t BgL_vz00_159)
	{
		{	/* Ast/nodetype.sch 844 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_158)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_159), BUNSPEC);
		}

	}



/* &app-side-effect-set! */
	obj_t BGl_z62appzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5077, obj_t BgL_oz00_5078, obj_t BgL_vz00_5079)
	{
		{	/* Ast/nodetype.sch 844 */
			return
				BGl_appzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_5078), BgL_vz00_5079);
		}

	}



/* app-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_appzd2typezd2zzast_nodez00(BgL_appz00_bglt BgL_oz00_160)
	{
		{	/* Ast/nodetype.sch 845 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_160)))->BgL_typez00);
		}

	}



/* &app-type */
	BgL_typez00_bglt BGl_z62appzd2typezb0zzast_nodez00(obj_t BgL_envz00_5080,
		obj_t BgL_oz00_5081)
	{
		{	/* Ast/nodetype.sch 845 */
			return BGl_appzd2typezd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_5081));
		}

	}



/* app-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2typezd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_161, BgL_typez00_bglt BgL_vz00_162)
	{
		{	/* Ast/nodetype.sch 846 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_161)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_162), BUNSPEC);
		}

	}



/* &app-type-set! */
	obj_t BGl_z62appzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5082,
		obj_t BgL_oz00_5083, obj_t BgL_vz00_5084)
	{
		{	/* Ast/nodetype.sch 846 */
			return
				BGl_appzd2typezd2setz12z12zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_5083), ((BgL_typez00_bglt) BgL_vz00_5084));
		}

	}



/* app-loc */
	BGL_EXPORTED_DEF obj_t BGl_appzd2loczd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_163)
	{
		{	/* Ast/nodetype.sch 847 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_163)))->BgL_locz00);
		}

	}



/* &app-loc */
	obj_t BGl_z62appzd2loczb0zzast_nodez00(obj_t BgL_envz00_5085,
		obj_t BgL_oz00_5086)
	{
		{	/* Ast/nodetype.sch 847 */
			return BGl_appzd2loczd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_5086));
		}

	}



/* make-app-ly */
	BGL_EXPORTED_DEF BgL_appzd2lyzd2_bglt
		BGl_makezd2appzd2lyz00zzast_nodez00(obj_t BgL_loc1675z00_166,
		BgL_typez00_bglt BgL_type1676z00_167, BgL_nodez00_bglt BgL_fun1677z00_168,
		BgL_nodez00_bglt BgL_arg1678z00_169)
	{
		{	/* Ast/nodetype.sch 851 */
			{	/* Ast/nodetype.sch 851 */
				BgL_appzd2lyzd2_bglt BgL_new1444z00_7572;

				{	/* Ast/nodetype.sch 851 */
					BgL_appzd2lyzd2_bglt BgL_new1443z00_7573;

					BgL_new1443z00_7573 =
						((BgL_appzd2lyzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzd2_bgl))));
					{	/* Ast/nodetype.sch 851 */
						long BgL_arg1768z00_7574;

						{	/* Ast/nodetype.sch 851 */
							long BgL_res2870z00_7575;

							BgL_res2870z00_7575 =
								BGL_CLASS_INDEX(BGl_appzd2lyzd2zzast_nodez00);
							BgL_arg1768z00_7574 = BgL_res2870z00_7575;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1443z00_7573), BgL_arg1768z00_7574);
					}
					{	/* Ast/nodetype.sch 851 */
						BgL_objectz00_bglt BgL_tmpz00_9161;

						BgL_tmpz00_9161 = ((BgL_objectz00_bglt) BgL_new1443z00_7573);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9161, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1443z00_7573);
					BgL_new1444z00_7572 = BgL_new1443z00_7573;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1444z00_7572)))->BgL_locz00) =
					((obj_t) BgL_loc1675z00_166), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1444z00_7572)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1676z00_167), BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_new1444z00_7572))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_fun1677z00_168), BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_new1444z00_7572))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_arg1678z00_169), BUNSPEC);
				return BgL_new1444z00_7572;
			}
		}

	}



/* &make-app-ly */
	BgL_appzd2lyzd2_bglt BGl_z62makezd2appzd2lyz62zzast_nodez00(obj_t
		BgL_envz00_5087, obj_t BgL_loc1675z00_5088, obj_t BgL_type1676z00_5089,
		obj_t BgL_fun1677z00_5090, obj_t BgL_arg1678z00_5091)
	{
		{	/* Ast/nodetype.sch 851 */
			return
				BGl_makezd2appzd2lyz00zzast_nodez00(BgL_loc1675z00_5088,
				((BgL_typez00_bglt) BgL_type1676z00_5089),
				((BgL_nodez00_bglt) BgL_fun1677z00_5090),
				((BgL_nodez00_bglt) BgL_arg1678z00_5091));
		}

	}



/* app-ly? */
	BGL_EXPORTED_DEF bool_t BGl_appzd2lyzf3z21zzast_nodez00(obj_t BgL_objz00_170)
	{
		{	/* Ast/nodetype.sch 852 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_170,
				BGl_appzd2lyzd2zzast_nodez00);
		}

	}



/* &app-ly? */
	obj_t BGl_z62appzd2lyzf3z43zzast_nodez00(obj_t BgL_envz00_5092,
		obj_t BgL_objz00_5093)
	{
		{	/* Ast/nodetype.sch 852 */
			return BBOOL(BGl_appzd2lyzf3z21zzast_nodez00(BgL_objz00_5093));
		}

	}



/* app-ly-nil */
	BGL_EXPORTED_DEF BgL_appzd2lyzd2_bglt BGl_appzd2lyzd2nilz00zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 853 */
			{	/* Ast/nodetype.sch 853 */
				obj_t BgL_classz00_3790;

				BgL_classz00_3790 = BGl_appzd2lyzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 853 */
					obj_t BgL__ortest_1106z00_3791;

					BgL__ortest_1106z00_3791 = BGL_CLASS_NIL(BgL_classz00_3790);
					if (CBOOL(BgL__ortest_1106z00_3791))
						{	/* Ast/nodetype.sch 853 */
							return ((BgL_appzd2lyzd2_bglt) BgL__ortest_1106z00_3791);
						}
					else
						{	/* Ast/nodetype.sch 853 */
							return
								((BgL_appzd2lyzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3790));
						}
				}
			}
		}

	}



/* &app-ly-nil */
	BgL_appzd2lyzd2_bglt BGl_z62appzd2lyzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_5094)
	{
		{	/* Ast/nodetype.sch 853 */
			return BGl_appzd2lyzd2nilz00zzast_nodez00();
		}

	}



/* app-ly-arg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_appzd2lyzd2argz00zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_oz00_171)
	{
		{	/* Ast/nodetype.sch 854 */
			return (((BgL_appzd2lyzd2_bglt) COBJECT(BgL_oz00_171))->BgL_argz00);
		}

	}



/* &app-ly-arg */
	BgL_nodez00_bglt BGl_z62appzd2lyzd2argz62zzast_nodez00(obj_t BgL_envz00_5095,
		obj_t BgL_oz00_5096)
	{
		{	/* Ast/nodetype.sch 854 */
			return
				BGl_appzd2lyzd2argz00zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_5096));
		}

	}



/* app-ly-arg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzd2argzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_172, BgL_nodez00_bglt BgL_vz00_173)
	{
		{	/* Ast/nodetype.sch 855 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_oz00_172))->BgL_argz00) =
				((BgL_nodez00_bglt) BgL_vz00_173), BUNSPEC);
		}

	}



/* &app-ly-arg-set! */
	obj_t BGl_z62appzd2lyzd2argzd2setz12za2zzast_nodez00(obj_t BgL_envz00_5097,
		obj_t BgL_oz00_5098, obj_t BgL_vz00_5099)
	{
		{	/* Ast/nodetype.sch 855 */
			return
				BGl_appzd2lyzd2argzd2setz12zc0zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_5098),
				((BgL_nodez00_bglt) BgL_vz00_5099));
		}

	}



/* app-ly-fun */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_appzd2lyzd2funz00zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_oz00_174)
	{
		{	/* Ast/nodetype.sch 856 */
			return (((BgL_appzd2lyzd2_bglt) COBJECT(BgL_oz00_174))->BgL_funz00);
		}

	}



/* &app-ly-fun */
	BgL_nodez00_bglt BGl_z62appzd2lyzd2funz62zzast_nodez00(obj_t BgL_envz00_5100,
		obj_t BgL_oz00_5101)
	{
		{	/* Ast/nodetype.sch 856 */
			return
				BGl_appzd2lyzd2funz00zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_5101));
		}

	}



/* app-ly-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzd2funzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_175, BgL_nodez00_bglt BgL_vz00_176)
	{
		{	/* Ast/nodetype.sch 857 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_oz00_175))->BgL_funz00) =
				((BgL_nodez00_bglt) BgL_vz00_176), BUNSPEC);
		}

	}



/* &app-ly-fun-set! */
	obj_t BGl_z62appzd2lyzd2funzd2setz12za2zzast_nodez00(obj_t BgL_envz00_5102,
		obj_t BgL_oz00_5103, obj_t BgL_vz00_5104)
	{
		{	/* Ast/nodetype.sch 857 */
			return
				BGl_appzd2lyzd2funzd2setz12zc0zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_5103),
				((BgL_nodez00_bglt) BgL_vz00_5104));
		}

	}



/* app-ly-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_appzd2lyzd2typez00zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_oz00_177)
	{
		{	/* Ast/nodetype.sch 858 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_177)))->BgL_typez00);
		}

	}



/* &app-ly-type */
	BgL_typez00_bglt BGl_z62appzd2lyzd2typez62zzast_nodez00(obj_t BgL_envz00_5105,
		obj_t BgL_oz00_5106)
	{
		{	/* Ast/nodetype.sch 858 */
			return
				BGl_appzd2lyzd2typez00zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_5106));
		}

	}



/* app-ly-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzd2typezd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_178, BgL_typez00_bglt BgL_vz00_179)
	{
		{	/* Ast/nodetype.sch 859 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_178)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_179), BUNSPEC);
		}

	}



/* &app-ly-type-set! */
	obj_t BGl_z62appzd2lyzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_5107,
		obj_t BgL_oz00_5108, obj_t BgL_vz00_5109)
	{
		{	/* Ast/nodetype.sch 859 */
			return
				BGl_appzd2lyzd2typezd2setz12zc0zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_5108),
				((BgL_typez00_bglt) BgL_vz00_5109));
		}

	}



/* app-ly-loc */
	BGL_EXPORTED_DEF obj_t BGl_appzd2lyzd2locz00zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_180)
	{
		{	/* Ast/nodetype.sch 860 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_180)))->BgL_locz00);
		}

	}



/* &app-ly-loc */
	obj_t BGl_z62appzd2lyzd2locz62zzast_nodez00(obj_t BgL_envz00_5110,
		obj_t BgL_oz00_5111)
	{
		{	/* Ast/nodetype.sch 860 */
			return
				BGl_appzd2lyzd2locz00zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_5111));
		}

	}



/* make-funcall */
	BGL_EXPORTED_DEF BgL_funcallz00_bglt BGl_makezd2funcallzd2zzast_nodez00(obj_t
		BgL_loc1668z00_183, BgL_typez00_bglt BgL_type1669z00_184,
		BgL_nodez00_bglt BgL_fun1670z00_185, obj_t BgL_args1671z00_186,
		obj_t BgL_strength1672z00_187, obj_t BgL_functions1673z00_188)
	{
		{	/* Ast/nodetype.sch 864 */
			{	/* Ast/nodetype.sch 864 */
				BgL_funcallz00_bglt BgL_new1446z00_7576;

				{	/* Ast/nodetype.sch 864 */
					BgL_funcallz00_bglt BgL_new1445z00_7577;

					BgL_new1445z00_7577 =
						((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_funcallz00_bgl))));
					{	/* Ast/nodetype.sch 864 */
						long BgL_arg1770z00_7578;

						{	/* Ast/nodetype.sch 864 */
							long BgL_res2871z00_7579;

							BgL_res2871z00_7579 =
								BGL_CLASS_INDEX(BGl_funcallz00zzast_nodez00);
							BgL_arg1770z00_7578 = BgL_res2871z00_7579;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1445z00_7577), BgL_arg1770z00_7578);
					}
					{	/* Ast/nodetype.sch 864 */
						BgL_objectz00_bglt BgL_tmpz00_9216;

						BgL_tmpz00_9216 = ((BgL_objectz00_bglt) BgL_new1445z00_7577);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9216, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1445z00_7577);
					BgL_new1446z00_7576 = BgL_new1445z00_7577;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1446z00_7576)))->BgL_locz00) =
					((obj_t) BgL_loc1668z00_183), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1446z00_7576)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1669z00_184), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1446z00_7576))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_fun1670z00_185), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1446z00_7576))->BgL_argsz00) =
					((obj_t) BgL_args1671z00_186), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1446z00_7576))->
						BgL_strengthz00) = ((obj_t) BgL_strength1672z00_187), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1446z00_7576))->
						BgL_functionsz00) = ((obj_t) BgL_functions1673z00_188), BUNSPEC);
				return BgL_new1446z00_7576;
			}
		}

	}



/* &make-funcall */
	BgL_funcallz00_bglt BGl_z62makezd2funcallzb0zzast_nodez00(obj_t
		BgL_envz00_5112, obj_t BgL_loc1668z00_5113, obj_t BgL_type1669z00_5114,
		obj_t BgL_fun1670z00_5115, obj_t BgL_args1671z00_5116,
		obj_t BgL_strength1672z00_5117, obj_t BgL_functions1673z00_5118)
	{
		{	/* Ast/nodetype.sch 864 */
			return
				BGl_makezd2funcallzd2zzast_nodez00(BgL_loc1668z00_5113,
				((BgL_typez00_bglt) BgL_type1669z00_5114),
				((BgL_nodez00_bglt) BgL_fun1670z00_5115), BgL_args1671z00_5116,
				BgL_strength1672z00_5117, BgL_functions1673z00_5118);
		}

	}



/* funcall? */
	BGL_EXPORTED_DEF bool_t BGl_funcallzf3zf3zzast_nodez00(obj_t BgL_objz00_189)
	{
		{	/* Ast/nodetype.sch 865 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_189, BGl_funcallz00zzast_nodez00);
		}

	}



/* &funcall? */
	obj_t BGl_z62funcallzf3z91zzast_nodez00(obj_t BgL_envz00_5119,
		obj_t BgL_objz00_5120)
	{
		{	/* Ast/nodetype.sch 865 */
			return BBOOL(BGl_funcallzf3zf3zzast_nodez00(BgL_objz00_5120));
		}

	}



/* funcall-nil */
	BGL_EXPORTED_DEF BgL_funcallz00_bglt BGl_funcallzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 866 */
			{	/* Ast/nodetype.sch 866 */
				obj_t BgL_classz00_3800;

				BgL_classz00_3800 = BGl_funcallz00zzast_nodez00;
				{	/* Ast/nodetype.sch 866 */
					obj_t BgL__ortest_1106z00_3801;

					BgL__ortest_1106z00_3801 = BGL_CLASS_NIL(BgL_classz00_3800);
					if (CBOOL(BgL__ortest_1106z00_3801))
						{	/* Ast/nodetype.sch 866 */
							return ((BgL_funcallz00_bglt) BgL__ortest_1106z00_3801);
						}
					else
						{	/* Ast/nodetype.sch 866 */
							return
								((BgL_funcallz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3800));
						}
				}
			}
		}

	}



/* &funcall-nil */
	BgL_funcallz00_bglt BGl_z62funcallzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_5121)
	{
		{	/* Ast/nodetype.sch 866 */
			return BGl_funcallzd2nilzd2zzast_nodez00();
		}

	}



/* funcall-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2functionszd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_190)
	{
		{	/* Ast/nodetype.sch 867 */
			return (((BgL_funcallz00_bglt) COBJECT(BgL_oz00_190))->BgL_functionsz00);
		}

	}



/* &funcall-functions */
	obj_t BGl_z62funcallzd2functionszb0zzast_nodez00(obj_t BgL_envz00_5122,
		obj_t BgL_oz00_5123)
	{
		{	/* Ast/nodetype.sch 867 */
			return
				BGl_funcallzd2functionszd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_5123));
		}

	}



/* funcall-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2functionszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_191, obj_t BgL_vz00_192)
	{
		{	/* Ast/nodetype.sch 868 */
			return
				((((BgL_funcallz00_bglt) COBJECT(BgL_oz00_191))->BgL_functionsz00) =
				((obj_t) BgL_vz00_192), BUNSPEC);
		}

	}



/* &funcall-functions-set! */
	obj_t BGl_z62funcallzd2functionszd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_5124, obj_t BgL_oz00_5125, obj_t BgL_vz00_5126)
	{
		{	/* Ast/nodetype.sch 868 */
			return
				BGl_funcallzd2functionszd2setz12z12zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_5125), BgL_vz00_5126);
		}

	}



/* funcall-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2strengthzd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_193)
	{
		{	/* Ast/nodetype.sch 869 */
			return (((BgL_funcallz00_bglt) COBJECT(BgL_oz00_193))->BgL_strengthz00);
		}

	}



/* &funcall-strength */
	obj_t BGl_z62funcallzd2strengthzb0zzast_nodez00(obj_t BgL_envz00_5127,
		obj_t BgL_oz00_5128)
	{
		{	/* Ast/nodetype.sch 869 */
			return
				BGl_funcallzd2strengthzd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_5128));
		}

	}



/* funcall-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2strengthzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_194, obj_t BgL_vz00_195)
	{
		{	/* Ast/nodetype.sch 870 */
			return
				((((BgL_funcallz00_bglt) COBJECT(BgL_oz00_194))->BgL_strengthz00) =
				((obj_t) BgL_vz00_195), BUNSPEC);
		}

	}



/* &funcall-strength-set! */
	obj_t BGl_z62funcallzd2strengthzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_5129, obj_t BgL_oz00_5130, obj_t BgL_vz00_5131)
	{
		{	/* Ast/nodetype.sch 870 */
			return
				BGl_funcallzd2strengthzd2setz12z12zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_5130), BgL_vz00_5131);
		}

	}



/* funcall-args */
	BGL_EXPORTED_DEF obj_t BGl_funcallzd2argszd2zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_196)
	{
		{	/* Ast/nodetype.sch 871 */
			return (((BgL_funcallz00_bglt) COBJECT(BgL_oz00_196))->BgL_argsz00);
		}

	}



/* &funcall-args */
	obj_t BGl_z62funcallzd2argszb0zzast_nodez00(obj_t BgL_envz00_5132,
		obj_t BgL_oz00_5133)
	{
		{	/* Ast/nodetype.sch 871 */
			return
				BGl_funcallzd2argszd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_5133));
		}

	}



/* funcall-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2argszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_197, obj_t BgL_vz00_198)
	{
		{	/* Ast/nodetype.sch 872 */
			return
				((((BgL_funcallz00_bglt) COBJECT(BgL_oz00_197))->BgL_argsz00) =
				((obj_t) BgL_vz00_198), BUNSPEC);
		}

	}



/* &funcall-args-set! */
	obj_t BGl_z62funcallzd2argszd2setz12z70zzast_nodez00(obj_t BgL_envz00_5134,
		obj_t BgL_oz00_5135, obj_t BgL_vz00_5136)
	{
		{	/* Ast/nodetype.sch 872 */
			return
				BGl_funcallzd2argszd2setz12z12zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_5135), BgL_vz00_5136);
		}

	}



/* funcall-fun */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_funcallzd2funzd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_199)
	{
		{	/* Ast/nodetype.sch 873 */
			return (((BgL_funcallz00_bglt) COBJECT(BgL_oz00_199))->BgL_funz00);
		}

	}



/* &funcall-fun */
	BgL_nodez00_bglt BGl_z62funcallzd2funzb0zzast_nodez00(obj_t BgL_envz00_5137,
		obj_t BgL_oz00_5138)
	{
		{	/* Ast/nodetype.sch 873 */
			return
				BGl_funcallzd2funzd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_5138));
		}

	}



/* funcall-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2funzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_200,
		BgL_nodez00_bglt BgL_vz00_201)
	{
		{	/* Ast/nodetype.sch 874 */
			return
				((((BgL_funcallz00_bglt) COBJECT(BgL_oz00_200))->BgL_funz00) =
				((BgL_nodez00_bglt) BgL_vz00_201), BUNSPEC);
		}

	}



/* &funcall-fun-set! */
	obj_t BGl_z62funcallzd2funzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5139,
		obj_t BgL_oz00_5140, obj_t BgL_vz00_5141)
	{
		{	/* Ast/nodetype.sch 874 */
			return
				BGl_funcallzd2funzd2setz12z12zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_5140),
				((BgL_nodez00_bglt) BgL_vz00_5141));
		}

	}



/* funcall-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_funcallzd2typezd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_202)
	{
		{	/* Ast/nodetype.sch 875 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_202)))->BgL_typez00);
		}

	}



/* &funcall-type */
	BgL_typez00_bglt BGl_z62funcallzd2typezb0zzast_nodez00(obj_t BgL_envz00_5142,
		obj_t BgL_oz00_5143)
	{
		{	/* Ast/nodetype.sch 875 */
			return
				BGl_funcallzd2typezd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_5143));
		}

	}



/* funcall-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2typezd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_203, BgL_typez00_bglt BgL_vz00_204)
	{
		{	/* Ast/nodetype.sch 876 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_203)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_204), BUNSPEC);
		}

	}



/* &funcall-type-set! */
	obj_t BGl_z62funcallzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5144,
		obj_t BgL_oz00_5145, obj_t BgL_vz00_5146)
	{
		{	/* Ast/nodetype.sch 876 */
			return
				BGl_funcallzd2typezd2setz12z12zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_5145),
				((BgL_typez00_bglt) BgL_vz00_5146));
		}

	}



/* funcall-loc */
	BGL_EXPORTED_DEF obj_t BGl_funcallzd2loczd2zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_205)
	{
		{	/* Ast/nodetype.sch 877 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_205)))->BgL_locz00);
		}

	}



/* &funcall-loc */
	obj_t BGl_z62funcallzd2loczb0zzast_nodez00(obj_t BgL_envz00_5147,
		obj_t BgL_oz00_5148)
	{
		{	/* Ast/nodetype.sch 877 */
			return
				BGl_funcallzd2loczd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_5148));
		}

	}



/* make-extern */
	BGL_EXPORTED_DEF BgL_externz00_bglt BGl_makezd2externzd2zzast_nodez00(obj_t
		BgL_loc1661z00_208, BgL_typez00_bglt BgL_type1662z00_209,
		obj_t BgL_sidezd2effect1663zd2_210, obj_t BgL_key1664z00_211,
		obj_t BgL_exprza21665za2_212, obj_t BgL_effect1666z00_213)
	{
		{	/* Ast/nodetype.sch 881 */
			{	/* Ast/nodetype.sch 881 */
				BgL_externz00_bglt BgL_new1448z00_7580;

				{	/* Ast/nodetype.sch 881 */
					BgL_externz00_bglt BgL_new1447z00_7581;

					BgL_new1447z00_7581 =
						((BgL_externz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_externz00_bgl))));
					{	/* Ast/nodetype.sch 881 */
						long BgL_arg1771z00_7582;

						{	/* Ast/nodetype.sch 881 */
							long BgL_res2872z00_7583;

							BgL_res2872z00_7583 = BGL_CLASS_INDEX(BGl_externz00zzast_nodez00);
							BgL_arg1771z00_7582 = BgL_res2872z00_7583;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1447z00_7581), BgL_arg1771z00_7582);
					}
					BgL_new1448z00_7580 = BgL_new1447z00_7581;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1448z00_7580)))->BgL_locz00) =
					((obj_t) BgL_loc1661z00_208), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1448z00_7580)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1662z00_209), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1448z00_7580)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1663zd2_210), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1448z00_7580)))->BgL_keyz00) =
					((obj_t) BgL_key1664z00_211), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(BgL_new1448z00_7580))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21665za2_212), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(BgL_new1448z00_7580))->BgL_effectz00) =
					((obj_t) BgL_effect1666z00_213), BUNSPEC);
				return BgL_new1448z00_7580;
			}
		}

	}



/* &make-extern */
	BgL_externz00_bglt BGl_z62makezd2externzb0zzast_nodez00(obj_t BgL_envz00_5149,
		obj_t BgL_loc1661z00_5150, obj_t BgL_type1662z00_5151,
		obj_t BgL_sidezd2effect1663zd2_5152, obj_t BgL_key1664z00_5153,
		obj_t BgL_exprza21665za2_5154, obj_t BgL_effect1666z00_5155)
	{
		{	/* Ast/nodetype.sch 881 */
			return
				BGl_makezd2externzd2zzast_nodez00(BgL_loc1661z00_5150,
				((BgL_typez00_bglt) BgL_type1662z00_5151),
				BgL_sidezd2effect1663zd2_5152, BgL_key1664z00_5153,
				BgL_exprza21665za2_5154, BgL_effect1666z00_5155);
		}

	}



/* extern? */
	BGL_EXPORTED_DEF bool_t BGl_externzf3zf3zzast_nodez00(obj_t BgL_objz00_214)
	{
		{	/* Ast/nodetype.sch 882 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_214, BGl_externz00zzast_nodez00);
		}

	}



/* &extern? */
	obj_t BGl_z62externzf3z91zzast_nodez00(obj_t BgL_envz00_5156,
		obj_t BgL_objz00_5157)
	{
		{	/* Ast/nodetype.sch 882 */
			return BBOOL(BGl_externzf3zf3zzast_nodez00(BgL_objz00_5157));
		}

	}



/* extern-nil */
	BGL_EXPORTED_DEF BgL_externz00_bglt BGl_externzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 883 */
			{	/* Ast/nodetype.sch 883 */
				obj_t BgL_classz00_3809;

				BgL_classz00_3809 = BGl_externz00zzast_nodez00;
				{	/* Ast/nodetype.sch 883 */
					obj_t BgL__ortest_1106z00_3810;

					BgL__ortest_1106z00_3810 = BGL_CLASS_NIL(BgL_classz00_3809);
					if (CBOOL(BgL__ortest_1106z00_3810))
						{	/* Ast/nodetype.sch 883 */
							return ((BgL_externz00_bglt) BgL__ortest_1106z00_3810);
						}
					else
						{	/* Ast/nodetype.sch 883 */
							return
								((BgL_externz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3809));
						}
				}
			}
		}

	}



/* &extern-nil */
	BgL_externz00_bglt BGl_z62externzd2nilzb0zzast_nodez00(obj_t BgL_envz00_5158)
	{
		{	/* Ast/nodetype.sch 883 */
			return BGl_externzd2nilzd2zzast_nodez00();
		}

	}



/* extern-effect */
	BGL_EXPORTED_DEF obj_t BGl_externzd2effectzd2zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_215)
	{
		{	/* Ast/nodetype.sch 884 */
			return (((BgL_externz00_bglt) COBJECT(BgL_oz00_215))->BgL_effectz00);
		}

	}



/* &extern-effect */
	obj_t BGl_z62externzd2effectzb0zzast_nodez00(obj_t BgL_envz00_5159,
		obj_t BgL_oz00_5160)
	{
		{	/* Ast/nodetype.sch 884 */
			return
				BGl_externzd2effectzd2zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_5160));
		}

	}



/* extern-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2effectzd2setz12z12zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_216, obj_t BgL_vz00_217)
	{
		{	/* Ast/nodetype.sch 885 */
			return
				((((BgL_externz00_bglt) COBJECT(BgL_oz00_216))->BgL_effectz00) =
				((obj_t) BgL_vz00_217), BUNSPEC);
		}

	}



/* &extern-effect-set! */
	obj_t BGl_z62externzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5161,
		obj_t BgL_oz00_5162, obj_t BgL_vz00_5163)
	{
		{	/* Ast/nodetype.sch 885 */
			return
				BGl_externzd2effectzd2setz12z12zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_5162), BgL_vz00_5163);
		}

	}



/* extern-expr* */
	BGL_EXPORTED_DEF obj_t BGl_externzd2exprza2z70zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_218)
	{
		{	/* Ast/nodetype.sch 886 */
			return (((BgL_externz00_bglt) COBJECT(BgL_oz00_218))->BgL_exprza2za2);
		}

	}



/* &extern-expr* */
	obj_t BGl_z62externzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_5164,
		obj_t BgL_oz00_5165)
	{
		{	/* Ast/nodetype.sch 886 */
			return
				BGl_externzd2exprza2z70zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_5165));
		}

	}



/* extern-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2exprza2zd2setz12zb0zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_219, obj_t BgL_vz00_220)
	{
		{	/* Ast/nodetype.sch 887 */
			return
				((((BgL_externz00_bglt) COBJECT(BgL_oz00_219))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_220), BUNSPEC);
		}

	}



/* &extern-expr*-set! */
	obj_t BGl_z62externzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_5166,
		obj_t BgL_oz00_5167, obj_t BgL_vz00_5168)
	{
		{	/* Ast/nodetype.sch 887 */
			return
				BGl_externzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_5167), BgL_vz00_5168);
		}

	}



/* extern-key */
	BGL_EXPORTED_DEF obj_t BGl_externzd2keyzd2zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_221)
	{
		{	/* Ast/nodetype.sch 888 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_221)))->BgL_keyz00);
		}

	}



/* &extern-key */
	obj_t BGl_z62externzd2keyzb0zzast_nodez00(obj_t BgL_envz00_5169,
		obj_t BgL_oz00_5170)
	{
		{	/* Ast/nodetype.sch 888 */
			return
				BGl_externzd2keyzd2zzast_nodez00(((BgL_externz00_bglt) BgL_oz00_5170));
		}

	}



/* extern-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2keyzd2setz12z12zzast_nodez00(BgL_externz00_bglt BgL_oz00_222,
		obj_t BgL_vz00_223)
	{
		{	/* Ast/nodetype.sch 889 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_222)))->BgL_keyz00) =
				((obj_t) BgL_vz00_223), BUNSPEC);
		}

	}



/* &extern-key-set! */
	obj_t BGl_z62externzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5171,
		obj_t BgL_oz00_5172, obj_t BgL_vz00_5173)
	{
		{	/* Ast/nodetype.sch 889 */
			return
				BGl_externzd2keyzd2setz12z12zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_5172), BgL_vz00_5173);
		}

	}



/* extern-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sidezd2effectz00zzast_nodez00(BgL_externz00_bglt BgL_oz00_224)
	{
		{	/* Ast/nodetype.sch 890 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_224)))->BgL_sidezd2effectzd2);
		}

	}



/* &extern-side-effect */
	obj_t BGl_z62externzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_5174,
		obj_t BgL_oz00_5175)
	{
		{	/* Ast/nodetype.sch 890 */
			return
				BGl_externzd2sidezd2effectz00zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_5175));
		}

	}



/* extern-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_225, obj_t BgL_vz00_226)
	{
		{	/* Ast/nodetype.sch 891 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_225)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_226), BUNSPEC);
		}

	}



/* &extern-side-effect-set! */
	obj_t BGl_z62externzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5176, obj_t BgL_oz00_5177, obj_t BgL_vz00_5178)
	{
		{	/* Ast/nodetype.sch 891 */
			return
				BGl_externzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_5177), BgL_vz00_5178);
		}

	}



/* extern-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_externzd2typezd2zzast_nodez00(BgL_externz00_bglt BgL_oz00_227)
	{
		{	/* Ast/nodetype.sch 892 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_227)))->BgL_typez00);
		}

	}



/* &extern-type */
	BgL_typez00_bglt BGl_z62externzd2typezb0zzast_nodez00(obj_t BgL_envz00_5179,
		obj_t BgL_oz00_5180)
	{
		{	/* Ast/nodetype.sch 892 */
			return
				BGl_externzd2typezd2zzast_nodez00(((BgL_externz00_bglt) BgL_oz00_5180));
		}

	}



/* extern-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2typezd2setz12z12zzast_nodez00(BgL_externz00_bglt BgL_oz00_228,
		BgL_typez00_bglt BgL_vz00_229)
	{
		{	/* Ast/nodetype.sch 893 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_228)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_229), BUNSPEC);
		}

	}



/* &extern-type-set! */
	obj_t BGl_z62externzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5181,
		obj_t BgL_oz00_5182, obj_t BgL_vz00_5183)
	{
		{	/* Ast/nodetype.sch 893 */
			return
				BGl_externzd2typezd2setz12z12zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_5182),
				((BgL_typez00_bglt) BgL_vz00_5183));
		}

	}



/* extern-loc */
	BGL_EXPORTED_DEF obj_t BGl_externzd2loczd2zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_230)
	{
		{	/* Ast/nodetype.sch 894 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_230)))->BgL_locz00);
		}

	}



/* &extern-loc */
	obj_t BGl_z62externzd2loczb0zzast_nodez00(obj_t BgL_envz00_5184,
		obj_t BgL_oz00_5185)
	{
		{	/* Ast/nodetype.sch 894 */
			return
				BGl_externzd2loczd2zzast_nodez00(((BgL_externz00_bglt) BgL_oz00_5185));
		}

	}



/* make-pragma */
	BGL_EXPORTED_DEF BgL_pragmaz00_bglt BGl_makezd2pragmazd2zzast_nodez00(obj_t
		BgL_loc1653z00_233, BgL_typez00_bglt BgL_type1654z00_234,
		obj_t BgL_sidezd2effect1655zd2_235, obj_t BgL_key1656z00_236,
		obj_t BgL_exprza21657za2_237, obj_t BgL_effect1658z00_238,
		obj_t BgL_format1659z00_239)
	{
		{	/* Ast/nodetype.sch 898 */
			{	/* Ast/nodetype.sch 898 */
				BgL_pragmaz00_bglt BgL_new1450z00_7584;

				{	/* Ast/nodetype.sch 898 */
					BgL_pragmaz00_bglt BgL_new1449z00_7585;

					BgL_new1449z00_7585 =
						((BgL_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_pragmaz00_bgl))));
					{	/* Ast/nodetype.sch 898 */
						long BgL_arg1773z00_7586;

						{	/* Ast/nodetype.sch 898 */
							long BgL_res2873z00_7587;

							BgL_res2873z00_7587 = BGL_CLASS_INDEX(BGl_pragmaz00zzast_nodez00);
							BgL_arg1773z00_7586 = BgL_res2873z00_7587;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1449z00_7585), BgL_arg1773z00_7586);
					}
					{	/* Ast/nodetype.sch 898 */
						BgL_objectz00_bglt BgL_tmpz00_9350;

						BgL_tmpz00_9350 = ((BgL_objectz00_bglt) BgL_new1449z00_7585);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9350, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1449z00_7585);
					BgL_new1450z00_7584 = BgL_new1449z00_7585;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1450z00_7584)))->BgL_locz00) =
					((obj_t) BgL_loc1653z00_233), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1450z00_7584)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1654z00_234), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1450z00_7584)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1655zd2_235), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1450z00_7584)))->BgL_keyz00) =
					((obj_t) BgL_key1656z00_236), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1450z00_7584)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21657za2_237), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1450z00_7584)))->BgL_effectz00) =
					((obj_t) BgL_effect1658z00_238), BUNSPEC);
				((((BgL_pragmaz00_bglt) COBJECT(BgL_new1450z00_7584))->BgL_formatz00) =
					((obj_t) BgL_format1659z00_239), BUNSPEC);
				return BgL_new1450z00_7584;
			}
		}

	}



/* &make-pragma */
	BgL_pragmaz00_bglt BGl_z62makezd2pragmazb0zzast_nodez00(obj_t BgL_envz00_5186,
		obj_t BgL_loc1653z00_5187, obj_t BgL_type1654z00_5188,
		obj_t BgL_sidezd2effect1655zd2_5189, obj_t BgL_key1656z00_5190,
		obj_t BgL_exprza21657za2_5191, obj_t BgL_effect1658z00_5192,
		obj_t BgL_format1659z00_5193)
	{
		{	/* Ast/nodetype.sch 898 */
			return
				BGl_makezd2pragmazd2zzast_nodez00(BgL_loc1653z00_5187,
				((BgL_typez00_bglt) BgL_type1654z00_5188),
				BgL_sidezd2effect1655zd2_5189, BgL_key1656z00_5190,
				BgL_exprza21657za2_5191, BgL_effect1658z00_5192,
				BgL_format1659z00_5193);
		}

	}



/* pragma? */
	BGL_EXPORTED_DEF bool_t BGl_pragmazf3zf3zzast_nodez00(obj_t BgL_objz00_240)
	{
		{	/* Ast/nodetype.sch 899 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_240, BGl_pragmaz00zzast_nodez00);
		}

	}



/* &pragma? */
	obj_t BGl_z62pragmazf3z91zzast_nodez00(obj_t BgL_envz00_5194,
		obj_t BgL_objz00_5195)
	{
		{	/* Ast/nodetype.sch 899 */
			return BBOOL(BGl_pragmazf3zf3zzast_nodez00(BgL_objz00_5195));
		}

	}



/* pragma-nil */
	BGL_EXPORTED_DEF BgL_pragmaz00_bglt BGl_pragmazd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 900 */
			{	/* Ast/nodetype.sch 900 */
				obj_t BgL_classz00_3819;

				BgL_classz00_3819 = BGl_pragmaz00zzast_nodez00;
				{	/* Ast/nodetype.sch 900 */
					obj_t BgL__ortest_1106z00_3820;

					BgL__ortest_1106z00_3820 = BGL_CLASS_NIL(BgL_classz00_3819);
					if (CBOOL(BgL__ortest_1106z00_3820))
						{	/* Ast/nodetype.sch 900 */
							return ((BgL_pragmaz00_bglt) BgL__ortest_1106z00_3820);
						}
					else
						{	/* Ast/nodetype.sch 900 */
							return
								((BgL_pragmaz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3819));
						}
				}
			}
		}

	}



/* &pragma-nil */
	BgL_pragmaz00_bglt BGl_z62pragmazd2nilzb0zzast_nodez00(obj_t BgL_envz00_5196)
	{
		{	/* Ast/nodetype.sch 900 */
			return BGl_pragmazd2nilzd2zzast_nodez00();
		}

	}



/* pragma-format */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2formatzd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_241)
	{
		{	/* Ast/nodetype.sch 901 */
			return (((BgL_pragmaz00_bglt) COBJECT(BgL_oz00_241))->BgL_formatz00);
		}

	}



/* &pragma-format */
	obj_t BGl_z62pragmazd2formatzb0zzast_nodez00(obj_t BgL_envz00_5197,
		obj_t BgL_oz00_5198)
	{
		{	/* Ast/nodetype.sch 901 */
			return
				BGl_pragmazd2formatzd2zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_5198));
		}

	}



/* pragma-effect */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2effectzd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_244)
	{
		{	/* Ast/nodetype.sch 903 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_244)))->BgL_effectz00);
		}

	}



/* &pragma-effect */
	obj_t BGl_z62pragmazd2effectzb0zzast_nodez00(obj_t BgL_envz00_5199,
		obj_t BgL_oz00_5200)
	{
		{	/* Ast/nodetype.sch 903 */
			return
				BGl_pragmazd2effectzd2zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_5200));
		}

	}



/* pragma-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2effectzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_245, obj_t BgL_vz00_246)
	{
		{	/* Ast/nodetype.sch 904 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_245)))->BgL_effectz00) =
				((obj_t) BgL_vz00_246), BUNSPEC);
		}

	}



/* &pragma-effect-set! */
	obj_t BGl_z62pragmazd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5201,
		obj_t BgL_oz00_5202, obj_t BgL_vz00_5203)
	{
		{	/* Ast/nodetype.sch 904 */
			return
				BGl_pragmazd2effectzd2setz12z12zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_5202), BgL_vz00_5203);
		}

	}



/* pragma-expr* */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2exprza2z70zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_247)
	{
		{	/* Ast/nodetype.sch 905 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_247)))->BgL_exprza2za2);
		}

	}



/* &pragma-expr* */
	obj_t BGl_z62pragmazd2exprza2z12zzast_nodez00(obj_t BgL_envz00_5204,
		obj_t BgL_oz00_5205)
	{
		{	/* Ast/nodetype.sch 905 */
			return
				BGl_pragmazd2exprza2z70zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_5205));
		}

	}



/* pragma-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2exprza2zd2setz12zb0zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_248, obj_t BgL_vz00_249)
	{
		{	/* Ast/nodetype.sch 906 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_248)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_249), BUNSPEC);
		}

	}



/* &pragma-expr*-set! */
	obj_t BGl_z62pragmazd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_5206,
		obj_t BgL_oz00_5207, obj_t BgL_vz00_5208)
	{
		{	/* Ast/nodetype.sch 906 */
			return
				BGl_pragmazd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_5207), BgL_vz00_5208);
		}

	}



/* pragma-key */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2keyzd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_250)
	{
		{	/* Ast/nodetype.sch 907 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_250)))->BgL_keyz00);
		}

	}



/* &pragma-key */
	obj_t BGl_z62pragmazd2keyzb0zzast_nodez00(obj_t BgL_envz00_5209,
		obj_t BgL_oz00_5210)
	{
		{	/* Ast/nodetype.sch 907 */
			return
				BGl_pragmazd2keyzd2zzast_nodez00(((BgL_pragmaz00_bglt) BgL_oz00_5210));
		}

	}



/* pragma-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2keyzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_251,
		obj_t BgL_vz00_252)
	{
		{	/* Ast/nodetype.sch 908 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_251)))->BgL_keyz00) =
				((obj_t) BgL_vz00_252), BUNSPEC);
		}

	}



/* &pragma-key-set! */
	obj_t BGl_z62pragmazd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5211,
		obj_t BgL_oz00_5212, obj_t BgL_vz00_5213)
	{
		{	/* Ast/nodetype.sch 908 */
			return
				BGl_pragmazd2keyzd2setz12z12zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_5212), BgL_vz00_5213);
		}

	}



/* pragma-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2sidezd2effectz00zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_253)
	{
		{	/* Ast/nodetype.sch 909 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_253)))->BgL_sidezd2effectzd2);
		}

	}



/* &pragma-side-effect */
	obj_t BGl_z62pragmazd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_5214,
		obj_t BgL_oz00_5215)
	{
		{	/* Ast/nodetype.sch 909 */
			return
				BGl_pragmazd2sidezd2effectz00zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_5215));
		}

	}



/* pragma-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_254, obj_t BgL_vz00_255)
	{
		{	/* Ast/nodetype.sch 910 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_254)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_255), BUNSPEC);
		}

	}



/* &pragma-side-effect-set! */
	obj_t BGl_z62pragmazd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5216, obj_t BgL_oz00_5217, obj_t BgL_vz00_5218)
	{
		{	/* Ast/nodetype.sch 910 */
			return
				BGl_pragmazd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_5217), BgL_vz00_5218);
		}

	}



/* pragma-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_pragmazd2typezd2zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_256)
	{
		{	/* Ast/nodetype.sch 911 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_256)))->BgL_typez00);
		}

	}



/* &pragma-type */
	BgL_typez00_bglt BGl_z62pragmazd2typezb0zzast_nodez00(obj_t BgL_envz00_5219,
		obj_t BgL_oz00_5220)
	{
		{	/* Ast/nodetype.sch 911 */
			return
				BGl_pragmazd2typezd2zzast_nodez00(((BgL_pragmaz00_bglt) BgL_oz00_5220));
		}

	}



/* pragma-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2typezd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_257,
		BgL_typez00_bglt BgL_vz00_258)
	{
		{	/* Ast/nodetype.sch 912 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_257)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_258), BUNSPEC);
		}

	}



/* &pragma-type-set! */
	obj_t BGl_z62pragmazd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5221,
		obj_t BgL_oz00_5222, obj_t BgL_vz00_5223)
	{
		{	/* Ast/nodetype.sch 912 */
			return
				BGl_pragmazd2typezd2setz12z12zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_5222),
				((BgL_typez00_bglt) BgL_vz00_5223));
		}

	}



/* pragma-loc */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2loczd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_259)
	{
		{	/* Ast/nodetype.sch 913 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_259)))->BgL_locz00);
		}

	}



/* &pragma-loc */
	obj_t BGl_z62pragmazd2loczb0zzast_nodez00(obj_t BgL_envz00_5224,
		obj_t BgL_oz00_5225)
	{
		{	/* Ast/nodetype.sch 913 */
			return
				BGl_pragmazd2loczd2zzast_nodez00(((BgL_pragmaz00_bglt) BgL_oz00_5225));
		}

	}



/* make-genpatchid */
	BGL_EXPORTED_DEF BgL_genpatchidz00_bglt
		BGl_makezd2genpatchidzd2zzast_nodez00(obj_t BgL_loc1644z00_262,
		BgL_typez00_bglt BgL_type1645z00_263, obj_t BgL_sidezd2effect1646zd2_264,
		obj_t BgL_key1647z00_265, obj_t BgL_exprza21648za2_266,
		obj_t BgL_effect1649z00_267, long BgL_index1650z00_268,
		long BgL_rindex1651z00_269)
	{
		{	/* Ast/nodetype.sch 917 */
			{	/* Ast/nodetype.sch 917 */
				BgL_genpatchidz00_bglt BgL_new1452z00_7588;

				{	/* Ast/nodetype.sch 917 */
					BgL_genpatchidz00_bglt BgL_new1451z00_7589;

					BgL_new1451z00_7589 =
						((BgL_genpatchidz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_genpatchidz00_bgl))));
					{	/* Ast/nodetype.sch 917 */
						long BgL_arg1775z00_7590;

						{	/* Ast/nodetype.sch 917 */
							long BgL_res2874z00_7591;

							BgL_res2874z00_7591 =
								BGL_CLASS_INDEX(BGl_genpatchidz00zzast_nodez00);
							BgL_arg1775z00_7590 = BgL_res2874z00_7591;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1451z00_7589), BgL_arg1775z00_7590);
					}
					{	/* Ast/nodetype.sch 917 */
						BgL_objectz00_bglt BgL_tmpz00_9431;

						BgL_tmpz00_9431 = ((BgL_objectz00_bglt) BgL_new1451z00_7589);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9431, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1451z00_7589);
					BgL_new1452z00_7588 = BgL_new1451z00_7589;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1452z00_7588)))->BgL_locz00) =
					((obj_t) BgL_loc1644z00_262), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1452z00_7588)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1645z00_263), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1452z00_7588)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1646zd2_264), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1452z00_7588)))->BgL_keyz00) =
					((obj_t) BgL_key1647z00_265), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1452z00_7588)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21648za2_266), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1452z00_7588)))->BgL_effectz00) =
					((obj_t) BgL_effect1649z00_267), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(BgL_new1452z00_7588))->
						BgL_indexz00) = ((long) BgL_index1650z00_268), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(BgL_new1452z00_7588))->
						BgL_rindexz00) = ((long) BgL_rindex1651z00_269), BUNSPEC);
				return BgL_new1452z00_7588;
			}
		}

	}



/* &make-genpatchid */
	BgL_genpatchidz00_bglt BGl_z62makezd2genpatchidzb0zzast_nodez00(obj_t
		BgL_envz00_5226, obj_t BgL_loc1644z00_5227, obj_t BgL_type1645z00_5228,
		obj_t BgL_sidezd2effect1646zd2_5229, obj_t BgL_key1647z00_5230,
		obj_t BgL_exprza21648za2_5231, obj_t BgL_effect1649z00_5232,
		obj_t BgL_index1650z00_5233, obj_t BgL_rindex1651z00_5234)
	{
		{	/* Ast/nodetype.sch 917 */
			return
				BGl_makezd2genpatchidzd2zzast_nodez00(BgL_loc1644z00_5227,
				((BgL_typez00_bglt) BgL_type1645z00_5228),
				BgL_sidezd2effect1646zd2_5229, BgL_key1647z00_5230,
				BgL_exprza21648za2_5231, BgL_effect1649z00_5232,
				(long) CINT(BgL_index1650z00_5233),
				(long) CINT(BgL_rindex1651z00_5234));
		}

	}



/* genpatchid? */
	BGL_EXPORTED_DEF bool_t BGl_genpatchidzf3zf3zzast_nodez00(obj_t
		BgL_objz00_270)
	{
		{	/* Ast/nodetype.sch 918 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_270,
				BGl_genpatchidz00zzast_nodez00);
		}

	}



/* &genpatchid? */
	obj_t BGl_z62genpatchidzf3z91zzast_nodez00(obj_t BgL_envz00_5235,
		obj_t BgL_objz00_5236)
	{
		{	/* Ast/nodetype.sch 918 */
			return BBOOL(BGl_genpatchidzf3zf3zzast_nodez00(BgL_objz00_5236));
		}

	}



/* genpatchid-nil */
	BGL_EXPORTED_DEF BgL_genpatchidz00_bglt BGl_genpatchidzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 919 */
			{	/* Ast/nodetype.sch 919 */
				obj_t BgL_classz00_3829;

				BgL_classz00_3829 = BGl_genpatchidz00zzast_nodez00;
				{	/* Ast/nodetype.sch 919 */
					obj_t BgL__ortest_1106z00_3830;

					BgL__ortest_1106z00_3830 = BGL_CLASS_NIL(BgL_classz00_3829);
					if (CBOOL(BgL__ortest_1106z00_3830))
						{	/* Ast/nodetype.sch 919 */
							return ((BgL_genpatchidz00_bglt) BgL__ortest_1106z00_3830);
						}
					else
						{	/* Ast/nodetype.sch 919 */
							return
								((BgL_genpatchidz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3829));
						}
				}
			}
		}

	}



/* &genpatchid-nil */
	BgL_genpatchidz00_bglt BGl_z62genpatchidzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_5237)
	{
		{	/* Ast/nodetype.sch 919 */
			return BGl_genpatchidzd2nilzd2zzast_nodez00();
		}

	}



/* genpatchid-rindex */
	BGL_EXPORTED_DEF long
		BGl_genpatchidzd2rindexzd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_271)
	{
		{	/* Ast/nodetype.sch 920 */
			return (((BgL_genpatchidz00_bglt) COBJECT(BgL_oz00_271))->BgL_rindexz00);
		}

	}



/* &genpatchid-rindex */
	obj_t BGl_z62genpatchidzd2rindexzb0zzast_nodez00(obj_t BgL_envz00_5238,
		obj_t BgL_oz00_5239)
	{
		{	/* Ast/nodetype.sch 920 */
			return
				BINT(BGl_genpatchidzd2rindexzd2zzast_nodez00(
					((BgL_genpatchidz00_bglt) BgL_oz00_5239)));
		}

	}



/* genpatchid-rindex-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2rindexzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_272, long BgL_vz00_273)
	{
		{	/* Ast/nodetype.sch 921 */
			return
				((((BgL_genpatchidz00_bglt) COBJECT(BgL_oz00_272))->BgL_rindexz00) =
				((long) BgL_vz00_273), BUNSPEC);
		}

	}



/* &genpatchid-rindex-set! */
	obj_t BGl_z62genpatchidzd2rindexzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_5240, obj_t BgL_oz00_5241, obj_t BgL_vz00_5242)
	{
		{	/* Ast/nodetype.sch 921 */
			return
				BGl_genpatchidzd2rindexzd2setz12z12zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_5241), (long) CINT(BgL_vz00_5242));
		}

	}



/* genpatchid-index */
	BGL_EXPORTED_DEF long
		BGl_genpatchidzd2indexzd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_274)
	{
		{	/* Ast/nodetype.sch 922 */
			return (((BgL_genpatchidz00_bglt) COBJECT(BgL_oz00_274))->BgL_indexz00);
		}

	}



/* &genpatchid-index */
	obj_t BGl_z62genpatchidzd2indexzb0zzast_nodez00(obj_t BgL_envz00_5243,
		obj_t BgL_oz00_5244)
	{
		{	/* Ast/nodetype.sch 922 */
			return
				BINT(BGl_genpatchidzd2indexzd2zzast_nodez00(
					((BgL_genpatchidz00_bglt) BgL_oz00_5244)));
		}

	}



/* genpatchid-index-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2indexzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_275, long BgL_vz00_276)
	{
		{	/* Ast/nodetype.sch 923 */
			return
				((((BgL_genpatchidz00_bglt) COBJECT(BgL_oz00_275))->BgL_indexz00) =
				((long) BgL_vz00_276), BUNSPEC);
		}

	}



/* &genpatchid-index-set! */
	obj_t BGl_z62genpatchidzd2indexzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_5245, obj_t BgL_oz00_5246, obj_t BgL_vz00_5247)
	{
		{	/* Ast/nodetype.sch 923 */
			return
				BGl_genpatchidzd2indexzd2setz12z12zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_5246), (long) CINT(BgL_vz00_5247));
		}

	}



/* genpatchid-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2effectzd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_277)
	{
		{	/* Ast/nodetype.sch 924 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_277)))->BgL_effectz00);
		}

	}



/* &genpatchid-effect */
	obj_t BGl_z62genpatchidzd2effectzb0zzast_nodez00(obj_t BgL_envz00_5248,
		obj_t BgL_oz00_5249)
	{
		{	/* Ast/nodetype.sch 924 */
			return
				BGl_genpatchidzd2effectzd2zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_5249));
		}

	}



/* genpatchid-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2effectzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_278, obj_t BgL_vz00_279)
	{
		{	/* Ast/nodetype.sch 925 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_278)))->BgL_effectz00) =
				((obj_t) BgL_vz00_279), BUNSPEC);
		}

	}



/* &genpatchid-effect-set! */
	obj_t BGl_z62genpatchidzd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_5250, obj_t BgL_oz00_5251, obj_t BgL_vz00_5252)
	{
		{	/* Ast/nodetype.sch 925 */
			return
				BGl_genpatchidzd2effectzd2setz12z12zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_5251), BgL_vz00_5252);
		}

	}



/* genpatchid-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2exprza2z70zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_280)
	{
		{	/* Ast/nodetype.sch 926 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_280)))->BgL_exprza2za2);
		}

	}



/* &genpatchid-expr* */
	obj_t BGl_z62genpatchidzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_5253,
		obj_t BgL_oz00_5254)
	{
		{	/* Ast/nodetype.sch 926 */
			return
				BGl_genpatchidzd2exprza2z70zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_5254));
		}

	}



/* genpatchid-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2exprza2zd2setz12zb0zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_281, obj_t BgL_vz00_282)
	{
		{	/* Ast/nodetype.sch 927 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_281)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_282), BUNSPEC);
		}

	}



/* &genpatchid-expr*-set! */
	obj_t BGl_z62genpatchidzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_5255, obj_t BgL_oz00_5256, obj_t BgL_vz00_5257)
	{
		{	/* Ast/nodetype.sch 927 */
			return
				BGl_genpatchidzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_5256), BgL_vz00_5257);
		}

	}



/* genpatchid-key */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2keyzd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_283)
	{
		{	/* Ast/nodetype.sch 928 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_283)))->BgL_keyz00);
		}

	}



/* &genpatchid-key */
	obj_t BGl_z62genpatchidzd2keyzb0zzast_nodez00(obj_t BgL_envz00_5258,
		obj_t BgL_oz00_5259)
	{
		{	/* Ast/nodetype.sch 928 */
			return
				BGl_genpatchidzd2keyzd2zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_5259));
		}

	}



/* genpatchid-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2keyzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_284, obj_t BgL_vz00_285)
	{
		{	/* Ast/nodetype.sch 929 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_284)))->BgL_keyz00) =
				((obj_t) BgL_vz00_285), BUNSPEC);
		}

	}



/* &genpatchid-key-set! */
	obj_t BGl_z62genpatchidzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5260,
		obj_t BgL_oz00_5261, obj_t BgL_vz00_5262)
	{
		{	/* Ast/nodetype.sch 929 */
			return
				BGl_genpatchidzd2keyzd2setz12z12zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_5261), BgL_vz00_5262);
		}

	}



/* genpatchid-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2sidezd2effectz00zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_286)
	{
		{	/* Ast/nodetype.sch 930 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_286)))->BgL_sidezd2effectzd2);
		}

	}



/* &genpatchid-side-effect */
	obj_t BGl_z62genpatchidzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_5263,
		obj_t BgL_oz00_5264)
	{
		{	/* Ast/nodetype.sch 930 */
			return
				BGl_genpatchidzd2sidezd2effectz00zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_5264));
		}

	}



/* genpatchid-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_genpatchidz00_bglt BgL_oz00_287, obj_t BgL_vz00_288)
	{
		{	/* Ast/nodetype.sch 931 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_287)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_288), BUNSPEC);
		}

	}



/* &genpatchid-side-effect-set! */
	obj_t BGl_z62genpatchidzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5265, obj_t BgL_oz00_5266, obj_t BgL_vz00_5267)
	{
		{	/* Ast/nodetype.sch 931 */
			return
				BGl_genpatchidzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_5266), BgL_vz00_5267);
		}

	}



/* genpatchid-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_genpatchidzd2typezd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_289)
	{
		{	/* Ast/nodetype.sch 932 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_289)))->BgL_typez00);
		}

	}



/* &genpatchid-type */
	BgL_typez00_bglt BGl_z62genpatchidzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_5268, obj_t BgL_oz00_5269)
	{
		{	/* Ast/nodetype.sch 932 */
			return
				BGl_genpatchidzd2typezd2zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_5269));
		}

	}



/* genpatchid-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2typezd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_290, BgL_typez00_bglt BgL_vz00_291)
	{
		{	/* Ast/nodetype.sch 933 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_290)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_291), BUNSPEC);
		}

	}



/* &genpatchid-type-set! */
	obj_t BGl_z62genpatchidzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5270,
		obj_t BgL_oz00_5271, obj_t BgL_vz00_5272)
	{
		{	/* Ast/nodetype.sch 933 */
			return
				BGl_genpatchidzd2typezd2setz12z12zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_5271),
				((BgL_typez00_bglt) BgL_vz00_5272));
		}

	}



/* genpatchid-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2loczd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_292)
	{
		{	/* Ast/nodetype.sch 934 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_292)))->BgL_locz00);
		}

	}



/* &genpatchid-loc */
	obj_t BGl_z62genpatchidzd2loczb0zzast_nodez00(obj_t BgL_envz00_5273,
		obj_t BgL_oz00_5274)
	{
		{	/* Ast/nodetype.sch 934 */
			return
				BGl_genpatchidzd2loczd2zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_5274));
		}

	}



/* make-private */
	BGL_EXPORTED_DEF BgL_privatez00_bglt BGl_makezd2privatezd2zzast_nodez00(obj_t
		BgL_loc1636z00_295, BgL_typez00_bglt BgL_type1637z00_296,
		obj_t BgL_sidezd2effect1638zd2_297, obj_t BgL_key1639z00_298,
		obj_t BgL_exprza21640za2_299, obj_t BgL_effect1641z00_300,
		obj_t BgL_czd2format1642zd2_301)
	{
		{	/* Ast/nodetype.sch 938 */
			{	/* Ast/nodetype.sch 938 */
				BgL_privatez00_bglt BgL_new1454z00_7592;

				{	/* Ast/nodetype.sch 938 */
					BgL_privatez00_bglt BgL_new1453z00_7593;

					BgL_new1453z00_7593 =
						((BgL_privatez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_privatez00_bgl))));
					{	/* Ast/nodetype.sch 938 */
						long BgL_arg1776z00_7594;

						{	/* Ast/nodetype.sch 938 */
							long BgL_res2875z00_7595;

							BgL_res2875z00_7595 =
								BGL_CLASS_INDEX(BGl_privatez00zzast_nodez00);
							BgL_arg1776z00_7594 = BgL_res2875z00_7595;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1453z00_7593), BgL_arg1776z00_7594);
					}
					BgL_new1454z00_7592 = BgL_new1453z00_7593;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1454z00_7592)))->BgL_locz00) =
					((obj_t) BgL_loc1636z00_295), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1454z00_7592)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1637z00_296), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1454z00_7592)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1638zd2_297), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1454z00_7592)))->BgL_keyz00) =
					((obj_t) BgL_key1639z00_298), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1454z00_7592)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21640za2_299), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1454z00_7592)))->BgL_effectz00) =
					((obj_t) BgL_effect1641z00_300), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(BgL_new1454z00_7592))->
						BgL_czd2formatzd2) = ((obj_t) BgL_czd2format1642zd2_301), BUNSPEC);
				return BgL_new1454z00_7592;
			}
		}

	}



/* &make-private */
	BgL_privatez00_bglt BGl_z62makezd2privatezb0zzast_nodez00(obj_t
		BgL_envz00_5275, obj_t BgL_loc1636z00_5276, obj_t BgL_type1637z00_5277,
		obj_t BgL_sidezd2effect1638zd2_5278, obj_t BgL_key1639z00_5279,
		obj_t BgL_exprza21640za2_5280, obj_t BgL_effect1641z00_5281,
		obj_t BgL_czd2format1642zd2_5282)
	{
		{	/* Ast/nodetype.sch 938 */
			return
				BGl_makezd2privatezd2zzast_nodez00(BgL_loc1636z00_5276,
				((BgL_typez00_bglt) BgL_type1637z00_5277),
				BgL_sidezd2effect1638zd2_5278, BgL_key1639z00_5279,
				BgL_exprza21640za2_5280, BgL_effect1641z00_5281,
				BgL_czd2format1642zd2_5282);
		}

	}



/* private? */
	BGL_EXPORTED_DEF bool_t BGl_privatezf3zf3zzast_nodez00(obj_t BgL_objz00_302)
	{
		{	/* Ast/nodetype.sch 939 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_302, BGl_privatez00zzast_nodez00);
		}

	}



/* &private? */
	obj_t BGl_z62privatezf3z91zzast_nodez00(obj_t BgL_envz00_5283,
		obj_t BgL_objz00_5284)
	{
		{	/* Ast/nodetype.sch 939 */
			return BBOOL(BGl_privatezf3zf3zzast_nodez00(BgL_objz00_5284));
		}

	}



/* private-nil */
	BGL_EXPORTED_DEF BgL_privatez00_bglt BGl_privatezd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 940 */
			{	/* Ast/nodetype.sch 940 */
				obj_t BgL_classz00_3838;

				BgL_classz00_3838 = BGl_privatez00zzast_nodez00;
				{	/* Ast/nodetype.sch 940 */
					obj_t BgL__ortest_1106z00_3839;

					BgL__ortest_1106z00_3839 = BGL_CLASS_NIL(BgL_classz00_3838);
					if (CBOOL(BgL__ortest_1106z00_3839))
						{	/* Ast/nodetype.sch 940 */
							return ((BgL_privatez00_bglt) BgL__ortest_1106z00_3839);
						}
					else
						{	/* Ast/nodetype.sch 940 */
							return
								((BgL_privatez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3838));
						}
				}
			}
		}

	}



/* &private-nil */
	BgL_privatez00_bglt BGl_z62privatezd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_5285)
	{
		{	/* Ast/nodetype.sch 940 */
			return BGl_privatezd2nilzd2zzast_nodez00();
		}

	}



/* private-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2czd2formatz00zzast_nodez00(BgL_privatez00_bglt BgL_oz00_303)
	{
		{	/* Ast/nodetype.sch 941 */
			return (((BgL_privatez00_bglt) COBJECT(BgL_oz00_303))->BgL_czd2formatzd2);
		}

	}



/* &private-c-format */
	obj_t BGl_z62privatezd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_5286,
		obj_t BgL_oz00_5287)
	{
		{	/* Ast/nodetype.sch 941 */
			return
				BGl_privatezd2czd2formatz00zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_5287));
		}

	}



/* private-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2effectzd2zzast_nodez00(BgL_privatez00_bglt BgL_oz00_306)
	{
		{	/* Ast/nodetype.sch 943 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_306)))->BgL_effectz00);
		}

	}



/* &private-effect */
	obj_t BGl_z62privatezd2effectzb0zzast_nodez00(obj_t BgL_envz00_5288,
		obj_t BgL_oz00_5289)
	{
		{	/* Ast/nodetype.sch 943 */
			return
				BGl_privatezd2effectzd2zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_5289));
		}

	}



/* private-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2effectzd2setz12z12zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_307, obj_t BgL_vz00_308)
	{
		{	/* Ast/nodetype.sch 944 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_307)))->BgL_effectz00) =
				((obj_t) BgL_vz00_308), BUNSPEC);
		}

	}



/* &private-effect-set! */
	obj_t BGl_z62privatezd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5290,
		obj_t BgL_oz00_5291, obj_t BgL_vz00_5292)
	{
		{	/* Ast/nodetype.sch 944 */
			return
				BGl_privatezd2effectzd2setz12z12zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_5291), BgL_vz00_5292);
		}

	}



/* private-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2exprza2z70zzast_nodez00(BgL_privatez00_bglt BgL_oz00_309)
	{
		{	/* Ast/nodetype.sch 945 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_309)))->BgL_exprza2za2);
		}

	}



/* &private-expr* */
	obj_t BGl_z62privatezd2exprza2z12zzast_nodez00(obj_t BgL_envz00_5293,
		obj_t BgL_oz00_5294)
	{
		{	/* Ast/nodetype.sch 945 */
			return
				BGl_privatezd2exprza2z70zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_5294));
		}

	}



/* private-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2exprza2zd2setz12zb0zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_310, obj_t BgL_vz00_311)
	{
		{	/* Ast/nodetype.sch 946 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_310)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_311), BUNSPEC);
		}

	}



/* &private-expr*-set! */
	obj_t BGl_z62privatezd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_5295,
		obj_t BgL_oz00_5296, obj_t BgL_vz00_5297)
	{
		{	/* Ast/nodetype.sch 946 */
			return
				BGl_privatezd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_5296), BgL_vz00_5297);
		}

	}



/* private-key */
	BGL_EXPORTED_DEF obj_t BGl_privatezd2keyzd2zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_312)
	{
		{	/* Ast/nodetype.sch 947 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_312)))->BgL_keyz00);
		}

	}



/* &private-key */
	obj_t BGl_z62privatezd2keyzb0zzast_nodez00(obj_t BgL_envz00_5298,
		obj_t BgL_oz00_5299)
	{
		{	/* Ast/nodetype.sch 947 */
			return
				BGl_privatezd2keyzd2zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_5299));
		}

	}



/* private-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2keyzd2setz12z12zzast_nodez00(BgL_privatez00_bglt BgL_oz00_313,
		obj_t BgL_vz00_314)
	{
		{	/* Ast/nodetype.sch 948 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_313)))->BgL_keyz00) =
				((obj_t) BgL_vz00_314), BUNSPEC);
		}

	}



/* &private-key-set! */
	obj_t BGl_z62privatezd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5300,
		obj_t BgL_oz00_5301, obj_t BgL_vz00_5302)
	{
		{	/* Ast/nodetype.sch 948 */
			return
				BGl_privatezd2keyzd2setz12z12zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_5301), BgL_vz00_5302);
		}

	}



/* private-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2sidezd2effectz00zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_315)
	{
		{	/* Ast/nodetype.sch 949 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_315)))->BgL_sidezd2effectzd2);
		}

	}



/* &private-side-effect */
	obj_t BGl_z62privatezd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_5303,
		obj_t BgL_oz00_5304)
	{
		{	/* Ast/nodetype.sch 949 */
			return
				BGl_privatezd2sidezd2effectz00zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_5304));
		}

	}



/* private-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_316, obj_t BgL_vz00_317)
	{
		{	/* Ast/nodetype.sch 950 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_316)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_317), BUNSPEC);
		}

	}



/* &private-side-effect-set! */
	obj_t BGl_z62privatezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5305, obj_t BgL_oz00_5306, obj_t BgL_vz00_5307)
	{
		{	/* Ast/nodetype.sch 950 */
			return
				BGl_privatezd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_5306), BgL_vz00_5307);
		}

	}



/* private-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_privatezd2typezd2zzast_nodez00(BgL_privatez00_bglt BgL_oz00_318)
	{
		{	/* Ast/nodetype.sch 951 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_318)))->BgL_typez00);
		}

	}



/* &private-type */
	BgL_typez00_bglt BGl_z62privatezd2typezb0zzast_nodez00(obj_t BgL_envz00_5308,
		obj_t BgL_oz00_5309)
	{
		{	/* Ast/nodetype.sch 951 */
			return
				BGl_privatezd2typezd2zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_5309));
		}

	}



/* private-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2typezd2setz12z12zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_319, BgL_typez00_bglt BgL_vz00_320)
	{
		{	/* Ast/nodetype.sch 952 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_319)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_320), BUNSPEC);
		}

	}



/* &private-type-set! */
	obj_t BGl_z62privatezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5310,
		obj_t BgL_oz00_5311, obj_t BgL_vz00_5312)
	{
		{	/* Ast/nodetype.sch 952 */
			return
				BGl_privatezd2typezd2setz12z12zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_5311),
				((BgL_typez00_bglt) BgL_vz00_5312));
		}

	}



/* private-loc */
	BGL_EXPORTED_DEF obj_t BGl_privatezd2loczd2zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_321)
	{
		{	/* Ast/nodetype.sch 953 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_321)))->BgL_locz00);
		}

	}



/* &private-loc */
	obj_t BGl_z62privatezd2loczb0zzast_nodez00(obj_t BgL_envz00_5313,
		obj_t BgL_oz00_5314)
	{
		{	/* Ast/nodetype.sch 953 */
			return
				BGl_privatezd2loczd2zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_5314));
		}

	}



/* make-getfield */
	BGL_EXPORTED_DEF BgL_getfieldz00_bglt
		BGl_makezd2getfieldzd2zzast_nodez00(obj_t BgL_loc1625z00_324,
		BgL_typez00_bglt BgL_type1626z00_325, obj_t BgL_sidezd2effect1627zd2_326,
		obj_t BgL_key1628z00_327, obj_t BgL_exprza21629za2_328,
		obj_t BgL_effect1630z00_329, obj_t BgL_czd2format1631zd2_330,
		obj_t BgL_fname1632z00_331, BgL_typez00_bglt BgL_ftype1633z00_332,
		BgL_typez00_bglt BgL_otype1634z00_333)
	{
		{	/* Ast/nodetype.sch 957 */
			{	/* Ast/nodetype.sch 957 */
				BgL_getfieldz00_bglt BgL_new1456z00_7596;

				{	/* Ast/nodetype.sch 957 */
					BgL_getfieldz00_bglt BgL_new1455z00_7597;

					BgL_new1455z00_7597 =
						((BgL_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_getfieldz00_bgl))));
					{	/* Ast/nodetype.sch 957 */
						long BgL_arg1777z00_7598;

						{	/* Ast/nodetype.sch 957 */
							long BgL_res2876z00_7599;

							BgL_res2876z00_7599 =
								BGL_CLASS_INDEX(BGl_getfieldz00zzast_nodez00);
							BgL_arg1777z00_7598 = BgL_res2876z00_7599;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1455z00_7597), BgL_arg1777z00_7598);
					}
					{	/* Ast/nodetype.sch 957 */
						BgL_objectz00_bglt BgL_tmpz00_9605;

						BgL_tmpz00_9605 = ((BgL_objectz00_bglt) BgL_new1455z00_7597);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9605, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1455z00_7597);
					BgL_new1456z00_7596 = BgL_new1455z00_7597;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1456z00_7596)))->BgL_locz00) =
					((obj_t) BgL_loc1625z00_324), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1456z00_7596)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1626z00_325), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1456z00_7596)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1627zd2_326), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1456z00_7596)))->BgL_keyz00) =
					((obj_t) BgL_key1628z00_327), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1456z00_7596)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21629za2_328), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1456z00_7596)))->BgL_effectz00) =
					((obj_t) BgL_effect1630z00_329), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1456z00_7596)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1631zd2_330), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1456z00_7596))->BgL_fnamez00) =
					((obj_t) BgL_fname1632z00_331), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1456z00_7596))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1633z00_332), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1456z00_7596))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1634z00_333), BUNSPEC);
				return BgL_new1456z00_7596;
			}
		}

	}



/* &make-getfield */
	BgL_getfieldz00_bglt BGl_z62makezd2getfieldzb0zzast_nodez00(obj_t
		BgL_envz00_5315, obj_t BgL_loc1625z00_5316, obj_t BgL_type1626z00_5317,
		obj_t BgL_sidezd2effect1627zd2_5318, obj_t BgL_key1628z00_5319,
		obj_t BgL_exprza21629za2_5320, obj_t BgL_effect1630z00_5321,
		obj_t BgL_czd2format1631zd2_5322, obj_t BgL_fname1632z00_5323,
		obj_t BgL_ftype1633z00_5324, obj_t BgL_otype1634z00_5325)
	{
		{	/* Ast/nodetype.sch 957 */
			return
				BGl_makezd2getfieldzd2zzast_nodez00(BgL_loc1625z00_5316,
				((BgL_typez00_bglt) BgL_type1626z00_5317),
				BgL_sidezd2effect1627zd2_5318, BgL_key1628z00_5319,
				BgL_exprza21629za2_5320, BgL_effect1630z00_5321,
				BgL_czd2format1631zd2_5322, BgL_fname1632z00_5323,
				((BgL_typez00_bglt) BgL_ftype1633z00_5324),
				((BgL_typez00_bglt) BgL_otype1634z00_5325));
		}

	}



/* getfield? */
	BGL_EXPORTED_DEF bool_t BGl_getfieldzf3zf3zzast_nodez00(obj_t BgL_objz00_334)
	{
		{	/* Ast/nodetype.sch 958 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_334,
				BGl_getfieldz00zzast_nodez00);
		}

	}



/* &getfield? */
	obj_t BGl_z62getfieldzf3z91zzast_nodez00(obj_t BgL_envz00_5326,
		obj_t BgL_objz00_5327)
	{
		{	/* Ast/nodetype.sch 958 */
			return BBOOL(BGl_getfieldzf3zf3zzast_nodez00(BgL_objz00_5327));
		}

	}



/* getfield-nil */
	BGL_EXPORTED_DEF BgL_getfieldz00_bglt BGl_getfieldzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 959 */
			{	/* Ast/nodetype.sch 959 */
				obj_t BgL_classz00_3848;

				BgL_classz00_3848 = BGl_getfieldz00zzast_nodez00;
				{	/* Ast/nodetype.sch 959 */
					obj_t BgL__ortest_1106z00_3849;

					BgL__ortest_1106z00_3849 = BGL_CLASS_NIL(BgL_classz00_3848);
					if (CBOOL(BgL__ortest_1106z00_3849))
						{	/* Ast/nodetype.sch 959 */
							return ((BgL_getfieldz00_bglt) BgL__ortest_1106z00_3849);
						}
					else
						{	/* Ast/nodetype.sch 959 */
							return
								((BgL_getfieldz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3848));
						}
				}
			}
		}

	}



/* &getfield-nil */
	BgL_getfieldz00_bglt BGl_z62getfieldzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_5328)
	{
		{	/* Ast/nodetype.sch 959 */
			return BGl_getfieldzd2nilzd2zzast_nodez00();
		}

	}



/* getfield-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getfieldzd2otypezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_335)
	{
		{	/* Ast/nodetype.sch 960 */
			return (((BgL_getfieldz00_bglt) COBJECT(BgL_oz00_335))->BgL_otypez00);
		}

	}



/* &getfield-otype */
	BgL_typez00_bglt BGl_z62getfieldzd2otypezb0zzast_nodez00(obj_t
		BgL_envz00_5329, obj_t BgL_oz00_5330)
	{
		{	/* Ast/nodetype.sch 960 */
			return
				BGl_getfieldzd2otypezd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_5330));
		}

	}



/* getfield-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2otypezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_336, BgL_typez00_bglt BgL_vz00_337)
	{
		{	/* Ast/nodetype.sch 961 */
			return
				((((BgL_getfieldz00_bglt) COBJECT(BgL_oz00_336))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_337), BUNSPEC);
		}

	}



/* &getfield-otype-set! */
	obj_t BGl_z62getfieldzd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5331,
		obj_t BgL_oz00_5332, obj_t BgL_vz00_5333)
	{
		{	/* Ast/nodetype.sch 961 */
			return
				BGl_getfieldzd2otypezd2setz12z12zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_5332),
				((BgL_typez00_bglt) BgL_vz00_5333));
		}

	}



/* getfield-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getfieldzd2ftypezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_338)
	{
		{	/* Ast/nodetype.sch 962 */
			return (((BgL_getfieldz00_bglt) COBJECT(BgL_oz00_338))->BgL_ftypez00);
		}

	}



/* &getfield-ftype */
	BgL_typez00_bglt BGl_z62getfieldzd2ftypezb0zzast_nodez00(obj_t
		BgL_envz00_5334, obj_t BgL_oz00_5335)
	{
		{	/* Ast/nodetype.sch 962 */
			return
				BGl_getfieldzd2ftypezd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_5335));
		}

	}



/* getfield-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2ftypezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_339, BgL_typez00_bglt BgL_vz00_340)
	{
		{	/* Ast/nodetype.sch 963 */
			return
				((((BgL_getfieldz00_bglt) COBJECT(BgL_oz00_339))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_340), BUNSPEC);
		}

	}



/* &getfield-ftype-set! */
	obj_t BGl_z62getfieldzd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5336,
		obj_t BgL_oz00_5337, obj_t BgL_vz00_5338)
	{
		{	/* Ast/nodetype.sch 963 */
			return
				BGl_getfieldzd2ftypezd2setz12z12zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_5337),
				((BgL_typez00_bglt) BgL_vz00_5338));
		}

	}



/* getfield-fname */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2fnamezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_341)
	{
		{	/* Ast/nodetype.sch 964 */
			return (((BgL_getfieldz00_bglt) COBJECT(BgL_oz00_341))->BgL_fnamez00);
		}

	}



/* &getfield-fname */
	obj_t BGl_z62getfieldzd2fnamezb0zzast_nodez00(obj_t BgL_envz00_5339,
		obj_t BgL_oz00_5340)
	{
		{	/* Ast/nodetype.sch 964 */
			return
				BGl_getfieldzd2fnamezd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_5340));
		}

	}



/* getfield-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2czd2formatz00zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_344)
	{
		{	/* Ast/nodetype.sch 966 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_344)))->BgL_czd2formatzd2);
		}

	}



/* &getfield-c-format */
	obj_t BGl_z62getfieldzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_5341,
		obj_t BgL_oz00_5342)
	{
		{	/* Ast/nodetype.sch 966 */
			return
				BGl_getfieldzd2czd2formatz00zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_5342));
		}

	}



/* getfield-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2effectzd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_347)
	{
		{	/* Ast/nodetype.sch 968 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_347)))->BgL_effectz00);
		}

	}



/* &getfield-effect */
	obj_t BGl_z62getfieldzd2effectzb0zzast_nodez00(obj_t BgL_envz00_5343,
		obj_t BgL_oz00_5344)
	{
		{	/* Ast/nodetype.sch 968 */
			return
				BGl_getfieldzd2effectzd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_5344));
		}

	}



/* getfield-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2effectzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_348, obj_t BgL_vz00_349)
	{
		{	/* Ast/nodetype.sch 969 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_348)))->BgL_effectz00) =
				((obj_t) BgL_vz00_349), BUNSPEC);
		}

	}



/* &getfield-effect-set! */
	obj_t BGl_z62getfieldzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5345,
		obj_t BgL_oz00_5346, obj_t BgL_vz00_5347)
	{
		{	/* Ast/nodetype.sch 969 */
			return
				BGl_getfieldzd2effectzd2setz12z12zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_5346), BgL_vz00_5347);
		}

	}



/* getfield-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2exprza2z70zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_350)
	{
		{	/* Ast/nodetype.sch 970 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_350)))->BgL_exprza2za2);
		}

	}



/* &getfield-expr* */
	obj_t BGl_z62getfieldzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_5348,
		obj_t BgL_oz00_5349)
	{
		{	/* Ast/nodetype.sch 970 */
			return
				BGl_getfieldzd2exprza2z70zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_5349));
		}

	}



/* getfield-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_351, obj_t BgL_vz00_352)
	{
		{	/* Ast/nodetype.sch 971 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_351)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_352), BUNSPEC);
		}

	}



/* &getfield-expr*-set! */
	obj_t BGl_z62getfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_5350, obj_t BgL_oz00_5351, obj_t BgL_vz00_5352)
	{
		{	/* Ast/nodetype.sch 971 */
			return
				BGl_getfieldzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_5351), BgL_vz00_5352);
		}

	}



/* getfield-key */
	BGL_EXPORTED_DEF obj_t BGl_getfieldzd2keyzd2zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_353)
	{
		{	/* Ast/nodetype.sch 972 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_353)))->BgL_keyz00);
		}

	}



/* &getfield-key */
	obj_t BGl_z62getfieldzd2keyzb0zzast_nodez00(obj_t BgL_envz00_5353,
		obj_t BgL_oz00_5354)
	{
		{	/* Ast/nodetype.sch 972 */
			return
				BGl_getfieldzd2keyzd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_5354));
		}

	}



/* getfield-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2keyzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_354, obj_t BgL_vz00_355)
	{
		{	/* Ast/nodetype.sch 973 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_354)))->BgL_keyz00) =
				((obj_t) BgL_vz00_355), BUNSPEC);
		}

	}



/* &getfield-key-set! */
	obj_t BGl_z62getfieldzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5355,
		obj_t BgL_oz00_5356, obj_t BgL_vz00_5357)
	{
		{	/* Ast/nodetype.sch 973 */
			return
				BGl_getfieldzd2keyzd2setz12z12zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_5356), BgL_vz00_5357);
		}

	}



/* getfield-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2sidezd2effectz00zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_356)
	{
		{	/* Ast/nodetype.sch 974 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_356)))->BgL_sidezd2effectzd2);
		}

	}



/* &getfield-side-effect */
	obj_t BGl_z62getfieldzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_5358,
		obj_t BgL_oz00_5359)
	{
		{	/* Ast/nodetype.sch 974 */
			return
				BGl_getfieldzd2sidezd2effectz00zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_5359));
		}

	}



/* getfield-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_357, obj_t BgL_vz00_358)
	{
		{	/* Ast/nodetype.sch 975 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_357)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_358), BUNSPEC);
		}

	}



/* &getfield-side-effect-set! */
	obj_t BGl_z62getfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5360, obj_t BgL_oz00_5361, obj_t BgL_vz00_5362)
	{
		{	/* Ast/nodetype.sch 975 */
			return
				BGl_getfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_5361), BgL_vz00_5362);
		}

	}



/* getfield-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getfieldzd2typezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_359)
	{
		{	/* Ast/nodetype.sch 976 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_359)))->BgL_typez00);
		}

	}



/* &getfield-type */
	BgL_typez00_bglt BGl_z62getfieldzd2typezb0zzast_nodez00(obj_t BgL_envz00_5363,
		obj_t BgL_oz00_5364)
	{
		{	/* Ast/nodetype.sch 976 */
			return
				BGl_getfieldzd2typezd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_5364));
		}

	}



/* getfield-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2typezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_360, BgL_typez00_bglt BgL_vz00_361)
	{
		{	/* Ast/nodetype.sch 977 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_360)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_361), BUNSPEC);
		}

	}



/* &getfield-type-set! */
	obj_t BGl_z62getfieldzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5365,
		obj_t BgL_oz00_5366, obj_t BgL_vz00_5367)
	{
		{	/* Ast/nodetype.sch 977 */
			return
				BGl_getfieldzd2typezd2setz12z12zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_5366),
				((BgL_typez00_bglt) BgL_vz00_5367));
		}

	}



/* getfield-loc */
	BGL_EXPORTED_DEF obj_t BGl_getfieldzd2loczd2zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_362)
	{
		{	/* Ast/nodetype.sch 978 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_362)))->BgL_locz00);
		}

	}



/* &getfield-loc */
	obj_t BGl_z62getfieldzd2loczb0zzast_nodez00(obj_t BgL_envz00_5368,
		obj_t BgL_oz00_5369)
	{
		{	/* Ast/nodetype.sch 978 */
			return
				BGl_getfieldzd2loczd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_5369));
		}

	}



/* make-setfield */
	BGL_EXPORTED_DEF BgL_setfieldz00_bglt
		BGl_makezd2setfieldzd2zzast_nodez00(obj_t BgL_loc1614z00_365,
		BgL_typez00_bglt BgL_type1615z00_366, obj_t BgL_sidezd2effect1616zd2_367,
		obj_t BgL_key1617z00_368, obj_t BgL_exprza21618za2_369,
		obj_t BgL_effect1619z00_370, obj_t BgL_czd2format1620zd2_371,
		obj_t BgL_fname1621z00_372, BgL_typez00_bglt BgL_ftype1622z00_373,
		BgL_typez00_bglt BgL_otype1623z00_374)
	{
		{	/* Ast/nodetype.sch 982 */
			{	/* Ast/nodetype.sch 982 */
				BgL_setfieldz00_bglt BgL_new1458z00_7600;

				{	/* Ast/nodetype.sch 982 */
					BgL_setfieldz00_bglt BgL_new1457z00_7601;

					BgL_new1457z00_7601 =
						((BgL_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setfieldz00_bgl))));
					{	/* Ast/nodetype.sch 982 */
						long BgL_arg1780z00_7602;

						{	/* Ast/nodetype.sch 982 */
							long BgL_res2877z00_7603;

							BgL_res2877z00_7603 =
								BGL_CLASS_INDEX(BGl_setfieldz00zzast_nodez00);
							BgL_arg1780z00_7602 = BgL_res2877z00_7603;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1457z00_7601), BgL_arg1780z00_7602);
					}
					{	/* Ast/nodetype.sch 982 */
						BgL_objectz00_bglt BgL_tmpz00_9710;

						BgL_tmpz00_9710 = ((BgL_objectz00_bglt) BgL_new1457z00_7601);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9710, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1457z00_7601);
					BgL_new1458z00_7600 = BgL_new1457z00_7601;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1458z00_7600)))->BgL_locz00) =
					((obj_t) BgL_loc1614z00_365), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1458z00_7600)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1615z00_366), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1458z00_7600)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1616zd2_367), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1458z00_7600)))->BgL_keyz00) =
					((obj_t) BgL_key1617z00_368), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1458z00_7600)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21618za2_369), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1458z00_7600)))->BgL_effectz00) =
					((obj_t) BgL_effect1619z00_370), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1458z00_7600)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1620zd2_371), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1458z00_7600))->BgL_fnamez00) =
					((obj_t) BgL_fname1621z00_372), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1458z00_7600))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1622z00_373), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1458z00_7600))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1623z00_374), BUNSPEC);
				return BgL_new1458z00_7600;
			}
		}

	}



/* &make-setfield */
	BgL_setfieldz00_bglt BGl_z62makezd2setfieldzb0zzast_nodez00(obj_t
		BgL_envz00_5370, obj_t BgL_loc1614z00_5371, obj_t BgL_type1615z00_5372,
		obj_t BgL_sidezd2effect1616zd2_5373, obj_t BgL_key1617z00_5374,
		obj_t BgL_exprza21618za2_5375, obj_t BgL_effect1619z00_5376,
		obj_t BgL_czd2format1620zd2_5377, obj_t BgL_fname1621z00_5378,
		obj_t BgL_ftype1622z00_5379, obj_t BgL_otype1623z00_5380)
	{
		{	/* Ast/nodetype.sch 982 */
			return
				BGl_makezd2setfieldzd2zzast_nodez00(BgL_loc1614z00_5371,
				((BgL_typez00_bglt) BgL_type1615z00_5372),
				BgL_sidezd2effect1616zd2_5373, BgL_key1617z00_5374,
				BgL_exprza21618za2_5375, BgL_effect1619z00_5376,
				BgL_czd2format1620zd2_5377, BgL_fname1621z00_5378,
				((BgL_typez00_bglt) BgL_ftype1622z00_5379),
				((BgL_typez00_bglt) BgL_otype1623z00_5380));
		}

	}



/* setfield? */
	BGL_EXPORTED_DEF bool_t BGl_setfieldzf3zf3zzast_nodez00(obj_t BgL_objz00_375)
	{
		{	/* Ast/nodetype.sch 983 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_375,
				BGl_setfieldz00zzast_nodez00);
		}

	}



/* &setfield? */
	obj_t BGl_z62setfieldzf3z91zzast_nodez00(obj_t BgL_envz00_5381,
		obj_t BgL_objz00_5382)
	{
		{	/* Ast/nodetype.sch 983 */
			return BBOOL(BGl_setfieldzf3zf3zzast_nodez00(BgL_objz00_5382));
		}

	}



/* setfield-nil */
	BGL_EXPORTED_DEF BgL_setfieldz00_bglt BGl_setfieldzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 984 */
			{	/* Ast/nodetype.sch 984 */
				obj_t BgL_classz00_3858;

				BgL_classz00_3858 = BGl_setfieldz00zzast_nodez00;
				{	/* Ast/nodetype.sch 984 */
					obj_t BgL__ortest_1106z00_3859;

					BgL__ortest_1106z00_3859 = BGL_CLASS_NIL(BgL_classz00_3858);
					if (CBOOL(BgL__ortest_1106z00_3859))
						{	/* Ast/nodetype.sch 984 */
							return ((BgL_setfieldz00_bglt) BgL__ortest_1106z00_3859);
						}
					else
						{	/* Ast/nodetype.sch 984 */
							return
								((BgL_setfieldz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3858));
						}
				}
			}
		}

	}



/* &setfield-nil */
	BgL_setfieldz00_bglt BGl_z62setfieldzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_5383)
	{
		{	/* Ast/nodetype.sch 984 */
			return BGl_setfieldzd2nilzd2zzast_nodez00();
		}

	}



/* setfield-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setfieldzd2otypezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_376)
	{
		{	/* Ast/nodetype.sch 985 */
			return (((BgL_setfieldz00_bglt) COBJECT(BgL_oz00_376))->BgL_otypez00);
		}

	}



/* &setfield-otype */
	BgL_typez00_bglt BGl_z62setfieldzd2otypezb0zzast_nodez00(obj_t
		BgL_envz00_5384, obj_t BgL_oz00_5385)
	{
		{	/* Ast/nodetype.sch 985 */
			return
				BGl_setfieldzd2otypezd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_5385));
		}

	}



/* setfield-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2otypezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_377, BgL_typez00_bglt BgL_vz00_378)
	{
		{	/* Ast/nodetype.sch 986 */
			return
				((((BgL_setfieldz00_bglt) COBJECT(BgL_oz00_377))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_378), BUNSPEC);
		}

	}



/* &setfield-otype-set! */
	obj_t BGl_z62setfieldzd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5386,
		obj_t BgL_oz00_5387, obj_t BgL_vz00_5388)
	{
		{	/* Ast/nodetype.sch 986 */
			return
				BGl_setfieldzd2otypezd2setz12z12zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_5387),
				((BgL_typez00_bglt) BgL_vz00_5388));
		}

	}



/* setfield-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setfieldzd2ftypezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_379)
	{
		{	/* Ast/nodetype.sch 987 */
			return (((BgL_setfieldz00_bglt) COBJECT(BgL_oz00_379))->BgL_ftypez00);
		}

	}



/* &setfield-ftype */
	BgL_typez00_bglt BGl_z62setfieldzd2ftypezb0zzast_nodez00(obj_t
		BgL_envz00_5389, obj_t BgL_oz00_5390)
	{
		{	/* Ast/nodetype.sch 987 */
			return
				BGl_setfieldzd2ftypezd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_5390));
		}

	}



/* setfield-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2ftypezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_380, BgL_typez00_bglt BgL_vz00_381)
	{
		{	/* Ast/nodetype.sch 988 */
			return
				((((BgL_setfieldz00_bglt) COBJECT(BgL_oz00_380))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_381), BUNSPEC);
		}

	}



/* &setfield-ftype-set! */
	obj_t BGl_z62setfieldzd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5391,
		obj_t BgL_oz00_5392, obj_t BgL_vz00_5393)
	{
		{	/* Ast/nodetype.sch 988 */
			return
				BGl_setfieldzd2ftypezd2setz12z12zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_5392),
				((BgL_typez00_bglt) BgL_vz00_5393));
		}

	}



/* setfield-fname */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2fnamezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_382)
	{
		{	/* Ast/nodetype.sch 989 */
			return (((BgL_setfieldz00_bglt) COBJECT(BgL_oz00_382))->BgL_fnamez00);
		}

	}



/* &setfield-fname */
	obj_t BGl_z62setfieldzd2fnamezb0zzast_nodez00(obj_t BgL_envz00_5394,
		obj_t BgL_oz00_5395)
	{
		{	/* Ast/nodetype.sch 989 */
			return
				BGl_setfieldzd2fnamezd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_5395));
		}

	}



/* setfield-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2czd2formatz00zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_385)
	{
		{	/* Ast/nodetype.sch 991 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_385)))->BgL_czd2formatzd2);
		}

	}



/* &setfield-c-format */
	obj_t BGl_z62setfieldzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_5396,
		obj_t BgL_oz00_5397)
	{
		{	/* Ast/nodetype.sch 991 */
			return
				BGl_setfieldzd2czd2formatz00zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_5397));
		}

	}



/* setfield-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2effectzd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_388)
	{
		{	/* Ast/nodetype.sch 993 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_388)))->BgL_effectz00);
		}

	}



/* &setfield-effect */
	obj_t BGl_z62setfieldzd2effectzb0zzast_nodez00(obj_t BgL_envz00_5398,
		obj_t BgL_oz00_5399)
	{
		{	/* Ast/nodetype.sch 993 */
			return
				BGl_setfieldzd2effectzd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_5399));
		}

	}



/* setfield-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2effectzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_389, obj_t BgL_vz00_390)
	{
		{	/* Ast/nodetype.sch 994 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_389)))->BgL_effectz00) =
				((obj_t) BgL_vz00_390), BUNSPEC);
		}

	}



/* &setfield-effect-set! */
	obj_t BGl_z62setfieldzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5400,
		obj_t BgL_oz00_5401, obj_t BgL_vz00_5402)
	{
		{	/* Ast/nodetype.sch 994 */
			return
				BGl_setfieldzd2effectzd2setz12z12zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_5401), BgL_vz00_5402);
		}

	}



/* setfield-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2exprza2z70zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_391)
	{
		{	/* Ast/nodetype.sch 995 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_391)))->BgL_exprza2za2);
		}

	}



/* &setfield-expr* */
	obj_t BGl_z62setfieldzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_5403,
		obj_t BgL_oz00_5404)
	{
		{	/* Ast/nodetype.sch 995 */
			return
				BGl_setfieldzd2exprza2z70zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_5404));
		}

	}



/* setfield-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_392, obj_t BgL_vz00_393)
	{
		{	/* Ast/nodetype.sch 996 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_392)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_393), BUNSPEC);
		}

	}



/* &setfield-expr*-set! */
	obj_t BGl_z62setfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_5405, obj_t BgL_oz00_5406, obj_t BgL_vz00_5407)
	{
		{	/* Ast/nodetype.sch 996 */
			return
				BGl_setfieldzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_5406), BgL_vz00_5407);
		}

	}



/* setfield-key */
	BGL_EXPORTED_DEF obj_t BGl_setfieldzd2keyzd2zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_394)
	{
		{	/* Ast/nodetype.sch 997 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_394)))->BgL_keyz00);
		}

	}



/* &setfield-key */
	obj_t BGl_z62setfieldzd2keyzb0zzast_nodez00(obj_t BgL_envz00_5408,
		obj_t BgL_oz00_5409)
	{
		{	/* Ast/nodetype.sch 997 */
			return
				BGl_setfieldzd2keyzd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_5409));
		}

	}



/* setfield-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2keyzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_395, obj_t BgL_vz00_396)
	{
		{	/* Ast/nodetype.sch 998 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_395)))->BgL_keyz00) =
				((obj_t) BgL_vz00_396), BUNSPEC);
		}

	}



/* &setfield-key-set! */
	obj_t BGl_z62setfieldzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5410,
		obj_t BgL_oz00_5411, obj_t BgL_vz00_5412)
	{
		{	/* Ast/nodetype.sch 998 */
			return
				BGl_setfieldzd2keyzd2setz12z12zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_5411), BgL_vz00_5412);
		}

	}



/* setfield-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2sidezd2effectz00zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_397)
	{
		{	/* Ast/nodetype.sch 999 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_397)))->BgL_sidezd2effectzd2);
		}

	}



/* &setfield-side-effect */
	obj_t BGl_z62setfieldzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_5413,
		obj_t BgL_oz00_5414)
	{
		{	/* Ast/nodetype.sch 999 */
			return
				BGl_setfieldzd2sidezd2effectz00zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_5414));
		}

	}



/* setfield-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_398, obj_t BgL_vz00_399)
	{
		{	/* Ast/nodetype.sch 1000 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_398)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_399), BUNSPEC);
		}

	}



/* &setfield-side-effect-set! */
	obj_t BGl_z62setfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5415, obj_t BgL_oz00_5416, obj_t BgL_vz00_5417)
	{
		{	/* Ast/nodetype.sch 1000 */
			return
				BGl_setfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_5416), BgL_vz00_5417);
		}

	}



/* setfield-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setfieldzd2typezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_400)
	{
		{	/* Ast/nodetype.sch 1001 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_400)))->BgL_typez00);
		}

	}



/* &setfield-type */
	BgL_typez00_bglt BGl_z62setfieldzd2typezb0zzast_nodez00(obj_t BgL_envz00_5418,
		obj_t BgL_oz00_5419)
	{
		{	/* Ast/nodetype.sch 1001 */
			return
				BGl_setfieldzd2typezd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_5419));
		}

	}



/* setfield-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2typezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_401, BgL_typez00_bglt BgL_vz00_402)
	{
		{	/* Ast/nodetype.sch 1002 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_401)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_402), BUNSPEC);
		}

	}



/* &setfield-type-set! */
	obj_t BGl_z62setfieldzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5420,
		obj_t BgL_oz00_5421, obj_t BgL_vz00_5422)
	{
		{	/* Ast/nodetype.sch 1002 */
			return
				BGl_setfieldzd2typezd2setz12z12zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_5421),
				((BgL_typez00_bglt) BgL_vz00_5422));
		}

	}



/* setfield-loc */
	BGL_EXPORTED_DEF obj_t BGl_setfieldzd2loczd2zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_403)
	{
		{	/* Ast/nodetype.sch 1003 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_403)))->BgL_locz00);
		}

	}



/* &setfield-loc */
	obj_t BGl_z62setfieldzd2loczb0zzast_nodez00(obj_t BgL_envz00_5423,
		obj_t BgL_oz00_5424)
	{
		{	/* Ast/nodetype.sch 1003 */
			return
				BGl_setfieldzd2loczd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_5424));
		}

	}



/* make-widening */
	BGL_EXPORTED_DEF BgL_wideningz00_bglt
		BGl_makezd2wideningzd2zzast_nodez00(obj_t BgL_loc1605z00_406,
		BgL_typez00_bglt BgL_type1606z00_407, obj_t BgL_sidezd2effect1607zd2_408,
		obj_t BgL_key1608z00_409, obj_t BgL_exprza21609za2_410,
		obj_t BgL_effect1610z00_411, obj_t BgL_czd2format1611zd2_412,
		BgL_typez00_bglt BgL_otype1612z00_413)
	{
		{	/* Ast/nodetype.sch 1007 */
			{	/* Ast/nodetype.sch 1007 */
				BgL_wideningz00_bglt BgL_new1460z00_7604;

				{	/* Ast/nodetype.sch 1007 */
					BgL_wideningz00_bglt BgL_new1459z00_7605;

					BgL_new1459z00_7605 =
						((BgL_wideningz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_wideningz00_bgl))));
					{	/* Ast/nodetype.sch 1007 */
						long BgL_arg1781z00_7606;

						{	/* Ast/nodetype.sch 1007 */
							long BgL_res2878z00_7607;

							BgL_res2878z00_7607 =
								BGL_CLASS_INDEX(BGl_wideningz00zzast_nodez00);
							BgL_arg1781z00_7606 = BgL_res2878z00_7607;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1459z00_7605), BgL_arg1781z00_7606);
					}
					{	/* Ast/nodetype.sch 1007 */
						BgL_objectz00_bglt BgL_tmpz00_9815;

						BgL_tmpz00_9815 = ((BgL_objectz00_bglt) BgL_new1459z00_7605);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9815, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1459z00_7605);
					BgL_new1460z00_7604 = BgL_new1459z00_7605;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1460z00_7604)))->BgL_locz00) =
					((obj_t) BgL_loc1605z00_406), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1460z00_7604)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1606z00_407), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1460z00_7604)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1607zd2_408), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1460z00_7604)))->BgL_keyz00) =
					((obj_t) BgL_key1608z00_409), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1460z00_7604)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21609za2_410), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1460z00_7604)))->BgL_effectz00) =
					((obj_t) BgL_effect1610z00_411), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1460z00_7604)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1611zd2_412), BUNSPEC);
				((((BgL_wideningz00_bglt) COBJECT(BgL_new1460z00_7604))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1612z00_413), BUNSPEC);
				return BgL_new1460z00_7604;
			}
		}

	}



/* &make-widening */
	BgL_wideningz00_bglt BGl_z62makezd2wideningzb0zzast_nodez00(obj_t
		BgL_envz00_5425, obj_t BgL_loc1605z00_5426, obj_t BgL_type1606z00_5427,
		obj_t BgL_sidezd2effect1607zd2_5428, obj_t BgL_key1608z00_5429,
		obj_t BgL_exprza21609za2_5430, obj_t BgL_effect1610z00_5431,
		obj_t BgL_czd2format1611zd2_5432, obj_t BgL_otype1612z00_5433)
	{
		{	/* Ast/nodetype.sch 1007 */
			return
				BGl_makezd2wideningzd2zzast_nodez00(BgL_loc1605z00_5426,
				((BgL_typez00_bglt) BgL_type1606z00_5427),
				BgL_sidezd2effect1607zd2_5428, BgL_key1608z00_5429,
				BgL_exprza21609za2_5430, BgL_effect1610z00_5431,
				BgL_czd2format1611zd2_5432, ((BgL_typez00_bglt) BgL_otype1612z00_5433));
		}

	}



/* widening? */
	BGL_EXPORTED_DEF bool_t BGl_wideningzf3zf3zzast_nodez00(obj_t BgL_objz00_414)
	{
		{	/* Ast/nodetype.sch 1008 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_414,
				BGl_wideningz00zzast_nodez00);
		}

	}



/* &widening? */
	obj_t BGl_z62wideningzf3z91zzast_nodez00(obj_t BgL_envz00_5434,
		obj_t BgL_objz00_5435)
	{
		{	/* Ast/nodetype.sch 1008 */
			return BBOOL(BGl_wideningzf3zf3zzast_nodez00(BgL_objz00_5435));
		}

	}



/* widening-nil */
	BGL_EXPORTED_DEF BgL_wideningz00_bglt BGl_wideningzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1009 */
			{	/* Ast/nodetype.sch 1009 */
				obj_t BgL_classz00_3868;

				BgL_classz00_3868 = BGl_wideningz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1009 */
					obj_t BgL__ortest_1106z00_3869;

					BgL__ortest_1106z00_3869 = BGL_CLASS_NIL(BgL_classz00_3868);
					if (CBOOL(BgL__ortest_1106z00_3869))
						{	/* Ast/nodetype.sch 1009 */
							return ((BgL_wideningz00_bglt) BgL__ortest_1106z00_3869);
						}
					else
						{	/* Ast/nodetype.sch 1009 */
							return
								((BgL_wideningz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3868));
						}
				}
			}
		}

	}



/* &widening-nil */
	BgL_wideningz00_bglt BGl_z62wideningzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_5436)
	{
		{	/* Ast/nodetype.sch 1009 */
			return BGl_wideningzd2nilzd2zzast_nodez00();
		}

	}



/* widening-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_wideningzd2otypezd2zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_415)
	{
		{	/* Ast/nodetype.sch 1010 */
			return (((BgL_wideningz00_bglt) COBJECT(BgL_oz00_415))->BgL_otypez00);
		}

	}



/* &widening-otype */
	BgL_typez00_bglt BGl_z62wideningzd2otypezb0zzast_nodez00(obj_t
		BgL_envz00_5437, obj_t BgL_oz00_5438)
	{
		{	/* Ast/nodetype.sch 1010 */
			return
				BGl_wideningzd2otypezd2zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_5438));
		}

	}



/* widening-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2otypezd2setz12z12zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_416, BgL_typez00_bglt BgL_vz00_417)
	{
		{	/* Ast/nodetype.sch 1011 */
			return
				((((BgL_wideningz00_bglt) COBJECT(BgL_oz00_416))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_417), BUNSPEC);
		}

	}



/* &widening-otype-set! */
	obj_t BGl_z62wideningzd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5439,
		obj_t BgL_oz00_5440, obj_t BgL_vz00_5441)
	{
		{	/* Ast/nodetype.sch 1011 */
			return
				BGl_wideningzd2otypezd2setz12z12zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_5440),
				((BgL_typez00_bglt) BgL_vz00_5441));
		}

	}



/* widening-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2czd2formatz00zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_418)
	{
		{	/* Ast/nodetype.sch 1012 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_418)))->BgL_czd2formatzd2);
		}

	}



/* &widening-c-format */
	obj_t BGl_z62wideningzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_5442,
		obj_t BgL_oz00_5443)
	{
		{	/* Ast/nodetype.sch 1012 */
			return
				BGl_wideningzd2czd2formatz00zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_5443));
		}

	}



/* widening-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2effectzd2zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_421)
	{
		{	/* Ast/nodetype.sch 1014 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_421)))->BgL_effectz00);
		}

	}



/* &widening-effect */
	obj_t BGl_z62wideningzd2effectzb0zzast_nodez00(obj_t BgL_envz00_5444,
		obj_t BgL_oz00_5445)
	{
		{	/* Ast/nodetype.sch 1014 */
			return
				BGl_wideningzd2effectzd2zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_5445));
		}

	}



/* widening-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2effectzd2setz12z12zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_422, obj_t BgL_vz00_423)
	{
		{	/* Ast/nodetype.sch 1015 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_422)))->BgL_effectz00) =
				((obj_t) BgL_vz00_423), BUNSPEC);
		}

	}



/* &widening-effect-set! */
	obj_t BGl_z62wideningzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5446,
		obj_t BgL_oz00_5447, obj_t BgL_vz00_5448)
	{
		{	/* Ast/nodetype.sch 1015 */
			return
				BGl_wideningzd2effectzd2setz12z12zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_5447), BgL_vz00_5448);
		}

	}



/* widening-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2exprza2z70zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_424)
	{
		{	/* Ast/nodetype.sch 1016 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_424)))->BgL_exprza2za2);
		}

	}



/* &widening-expr* */
	obj_t BGl_z62wideningzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_5449,
		obj_t BgL_oz00_5450)
	{
		{	/* Ast/nodetype.sch 1016 */
			return
				BGl_wideningzd2exprza2z70zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_5450));
		}

	}



/* widening-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2exprza2zd2setz12zb0zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_425, obj_t BgL_vz00_426)
	{
		{	/* Ast/nodetype.sch 1017 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_425)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_426), BUNSPEC);
		}

	}



/* &widening-expr*-set! */
	obj_t BGl_z62wideningzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_5451, obj_t BgL_oz00_5452, obj_t BgL_vz00_5453)
	{
		{	/* Ast/nodetype.sch 1017 */
			return
				BGl_wideningzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_5452), BgL_vz00_5453);
		}

	}



/* widening-key */
	BGL_EXPORTED_DEF obj_t BGl_wideningzd2keyzd2zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_427)
	{
		{	/* Ast/nodetype.sch 1018 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_427)))->BgL_keyz00);
		}

	}



/* &widening-key */
	obj_t BGl_z62wideningzd2keyzb0zzast_nodez00(obj_t BgL_envz00_5454,
		obj_t BgL_oz00_5455)
	{
		{	/* Ast/nodetype.sch 1018 */
			return
				BGl_wideningzd2keyzd2zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_5455));
		}

	}



/* widening-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2keyzd2setz12z12zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_428, obj_t BgL_vz00_429)
	{
		{	/* Ast/nodetype.sch 1019 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_428)))->BgL_keyz00) =
				((obj_t) BgL_vz00_429), BUNSPEC);
		}

	}



/* &widening-key-set! */
	obj_t BGl_z62wideningzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5456,
		obj_t BgL_oz00_5457, obj_t BgL_vz00_5458)
	{
		{	/* Ast/nodetype.sch 1019 */
			return
				BGl_wideningzd2keyzd2setz12z12zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_5457), BgL_vz00_5458);
		}

	}



/* widening-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2sidezd2effectz00zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_430)
	{
		{	/* Ast/nodetype.sch 1020 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_430)))->BgL_sidezd2effectzd2);
		}

	}



/* &widening-side-effect */
	obj_t BGl_z62wideningzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_5459,
		obj_t BgL_oz00_5460)
	{
		{	/* Ast/nodetype.sch 1020 */
			return
				BGl_wideningzd2sidezd2effectz00zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_5460));
		}

	}



/* widening-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_431, obj_t BgL_vz00_432)
	{
		{	/* Ast/nodetype.sch 1021 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_431)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_432), BUNSPEC);
		}

	}



/* &widening-side-effect-set! */
	obj_t BGl_z62wideningzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5461, obj_t BgL_oz00_5462, obj_t BgL_vz00_5463)
	{
		{	/* Ast/nodetype.sch 1021 */
			return
				BGl_wideningzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_5462), BgL_vz00_5463);
		}

	}



/* widening-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_wideningzd2typezd2zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_433)
	{
		{	/* Ast/nodetype.sch 1022 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_433)))->BgL_typez00);
		}

	}



/* &widening-type */
	BgL_typez00_bglt BGl_z62wideningzd2typezb0zzast_nodez00(obj_t BgL_envz00_5464,
		obj_t BgL_oz00_5465)
	{
		{	/* Ast/nodetype.sch 1022 */
			return
				BGl_wideningzd2typezd2zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_5465));
		}

	}



/* widening-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2typezd2setz12z12zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_434, BgL_typez00_bglt BgL_vz00_435)
	{
		{	/* Ast/nodetype.sch 1023 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_434)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_435), BUNSPEC);
		}

	}



/* &widening-type-set! */
	obj_t BGl_z62wideningzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5466,
		obj_t BgL_oz00_5467, obj_t BgL_vz00_5468)
	{
		{	/* Ast/nodetype.sch 1023 */
			return
				BGl_wideningzd2typezd2setz12z12zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_5467),
				((BgL_typez00_bglt) BgL_vz00_5468));
		}

	}



/* widening-loc */
	BGL_EXPORTED_DEF obj_t BGl_wideningzd2loczd2zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_436)
	{
		{	/* Ast/nodetype.sch 1024 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_436)))->BgL_locz00);
		}

	}



/* &widening-loc */
	obj_t BGl_z62wideningzd2loczb0zzast_nodez00(obj_t BgL_envz00_5469,
		obj_t BgL_oz00_5470)
	{
		{	/* Ast/nodetype.sch 1024 */
			return
				BGl_wideningzd2loczd2zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_5470));
		}

	}



/* make-new */
	BGL_EXPORTED_DEF BgL_newz00_bglt BGl_makezd2newzd2zzast_nodez00(obj_t
		BgL_loc1596z00_439, BgL_typez00_bglt BgL_type1597z00_440,
		obj_t BgL_sidezd2effect1598zd2_441, obj_t BgL_key1599z00_442,
		obj_t BgL_exprza21600za2_443, obj_t BgL_effect1601z00_444,
		obj_t BgL_czd2format1602zd2_445, obj_t BgL_argszd2type1603zd2_446)
	{
		{	/* Ast/nodetype.sch 1028 */
			{	/* Ast/nodetype.sch 1028 */
				BgL_newz00_bglt BgL_new1462z00_7608;

				{	/* Ast/nodetype.sch 1028 */
					BgL_newz00_bglt BgL_new1461z00_7609;

					BgL_new1461z00_7609 =
						((BgL_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_newz00_bgl))));
					{	/* Ast/nodetype.sch 1028 */
						long BgL_arg1782z00_7610;

						{	/* Ast/nodetype.sch 1028 */
							long BgL_res2879z00_7611;

							BgL_res2879z00_7611 = BGL_CLASS_INDEX(BGl_newz00zzast_nodez00);
							BgL_arg1782z00_7610 = BgL_res2879z00_7611;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1461z00_7609), BgL_arg1782z00_7610);
					}
					{	/* Ast/nodetype.sch 1028 */
						BgL_objectz00_bglt BgL_tmpz00_9907;

						BgL_tmpz00_9907 = ((BgL_objectz00_bglt) BgL_new1461z00_7609);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9907, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1461z00_7609);
					BgL_new1462z00_7608 = BgL_new1461z00_7609;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1462z00_7608)))->BgL_locz00) =
					((obj_t) BgL_loc1596z00_439), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1462z00_7608)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1597z00_440), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1462z00_7608)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1598zd2_441), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1462z00_7608)))->BgL_keyz00) =
					((obj_t) BgL_key1599z00_442), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1462z00_7608)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21600za2_443), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1462z00_7608)))->BgL_effectz00) =
					((obj_t) BgL_effect1601z00_444), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1462z00_7608)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1602zd2_445), BUNSPEC);
				((((BgL_newz00_bglt) COBJECT(BgL_new1462z00_7608))->
						BgL_argszd2typezd2) =
					((obj_t) BgL_argszd2type1603zd2_446), BUNSPEC);
				return BgL_new1462z00_7608;
			}
		}

	}



/* &make-new */
	BgL_newz00_bglt BGl_z62makezd2newzb0zzast_nodez00(obj_t BgL_envz00_5471,
		obj_t BgL_loc1596z00_5472, obj_t BgL_type1597z00_5473,
		obj_t BgL_sidezd2effect1598zd2_5474, obj_t BgL_key1599z00_5475,
		obj_t BgL_exprza21600za2_5476, obj_t BgL_effect1601z00_5477,
		obj_t BgL_czd2format1602zd2_5478, obj_t BgL_argszd2type1603zd2_5479)
	{
		{	/* Ast/nodetype.sch 1028 */
			return
				BGl_makezd2newzd2zzast_nodez00(BgL_loc1596z00_5472,
				((BgL_typez00_bglt) BgL_type1597z00_5473),
				BgL_sidezd2effect1598zd2_5474, BgL_key1599z00_5475,
				BgL_exprza21600za2_5476, BgL_effect1601z00_5477,
				BgL_czd2format1602zd2_5478, BgL_argszd2type1603zd2_5479);
		}

	}



/* new? */
	BGL_EXPORTED_DEF bool_t BGl_newzf3zf3zzast_nodez00(obj_t BgL_objz00_447)
	{
		{	/* Ast/nodetype.sch 1029 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_447, BGl_newz00zzast_nodez00);
		}

	}



/* &new? */
	obj_t BGl_z62newzf3z91zzast_nodez00(obj_t BgL_envz00_5480,
		obj_t BgL_objz00_5481)
	{
		{	/* Ast/nodetype.sch 1029 */
			return BBOOL(BGl_newzf3zf3zzast_nodez00(BgL_objz00_5481));
		}

	}



/* new-nil */
	BGL_EXPORTED_DEF BgL_newz00_bglt BGl_newzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1030 */
			{	/* Ast/nodetype.sch 1030 */
				obj_t BgL_classz00_3878;

				BgL_classz00_3878 = BGl_newz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1030 */
					obj_t BgL__ortest_1106z00_3879;

					BgL__ortest_1106z00_3879 = BGL_CLASS_NIL(BgL_classz00_3878);
					if (CBOOL(BgL__ortest_1106z00_3879))
						{	/* Ast/nodetype.sch 1030 */
							return ((BgL_newz00_bglt) BgL__ortest_1106z00_3879);
						}
					else
						{	/* Ast/nodetype.sch 1030 */
							return
								((BgL_newz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3878));
						}
				}
			}
		}

	}



/* &new-nil */
	BgL_newz00_bglt BGl_z62newzd2nilzb0zzast_nodez00(obj_t BgL_envz00_5482)
	{
		{	/* Ast/nodetype.sch 1030 */
			return BGl_newzd2nilzd2zzast_nodez00();
		}

	}



/* new-args-type */
	BGL_EXPORTED_DEF obj_t BGl_newzd2argszd2typez00zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_448)
	{
		{	/* Ast/nodetype.sch 1031 */
			return (((BgL_newz00_bglt) COBJECT(BgL_oz00_448))->BgL_argszd2typezd2);
		}

	}



/* &new-args-type */
	obj_t BGl_z62newzd2argszd2typez62zzast_nodez00(obj_t BgL_envz00_5483,
		obj_t BgL_oz00_5484)
	{
		{	/* Ast/nodetype.sch 1031 */
			return
				BGl_newzd2argszd2typez00zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_5484));
		}

	}



/* new-args-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2argszd2typezd2setz12zc0zzast_nodez00(BgL_newz00_bglt BgL_oz00_449,
		obj_t BgL_vz00_450)
	{
		{	/* Ast/nodetype.sch 1032 */
			return
				((((BgL_newz00_bglt) COBJECT(BgL_oz00_449))->BgL_argszd2typezd2) =
				((obj_t) BgL_vz00_450), BUNSPEC);
		}

	}



/* &new-args-type-set! */
	obj_t BGl_z62newzd2argszd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_5485,
		obj_t BgL_oz00_5486, obj_t BgL_vz00_5487)
	{
		{	/* Ast/nodetype.sch 1032 */
			return
				BGl_newzd2argszd2typezd2setz12zc0zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_5486), BgL_vz00_5487);
		}

	}



/* new-c-format */
	BGL_EXPORTED_DEF obj_t BGl_newzd2czd2formatz00zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_451)
	{
		{	/* Ast/nodetype.sch 1033 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_451)))->BgL_czd2formatzd2);
		}

	}



/* &new-c-format */
	obj_t BGl_z62newzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_5488,
		obj_t BgL_oz00_5489)
	{
		{	/* Ast/nodetype.sch 1033 */
			return
				BGl_newzd2czd2formatz00zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_5489));
		}

	}



/* new-effect */
	BGL_EXPORTED_DEF obj_t BGl_newzd2effectzd2zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_454)
	{
		{	/* Ast/nodetype.sch 1035 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_454)))->BgL_effectz00);
		}

	}



/* &new-effect */
	obj_t BGl_z62newzd2effectzb0zzast_nodez00(obj_t BgL_envz00_5490,
		obj_t BgL_oz00_5491)
	{
		{	/* Ast/nodetype.sch 1035 */
			return
				BGl_newzd2effectzd2zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_5491));
		}

	}



/* new-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2effectzd2setz12z12zzast_nodez00(BgL_newz00_bglt BgL_oz00_455,
		obj_t BgL_vz00_456)
	{
		{	/* Ast/nodetype.sch 1036 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_455)))->BgL_effectz00) =
				((obj_t) BgL_vz00_456), BUNSPEC);
		}

	}



/* &new-effect-set! */
	obj_t BGl_z62newzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5492,
		obj_t BgL_oz00_5493, obj_t BgL_vz00_5494)
	{
		{	/* Ast/nodetype.sch 1036 */
			return
				BGl_newzd2effectzd2setz12z12zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_5493), BgL_vz00_5494);
		}

	}



/* new-expr* */
	BGL_EXPORTED_DEF obj_t BGl_newzd2exprza2z70zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_457)
	{
		{	/* Ast/nodetype.sch 1037 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_457)))->BgL_exprza2za2);
		}

	}



/* &new-expr* */
	obj_t BGl_z62newzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_5495,
		obj_t BgL_oz00_5496)
	{
		{	/* Ast/nodetype.sch 1037 */
			return
				BGl_newzd2exprza2z70zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_5496));
		}

	}



/* new-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2exprza2zd2setz12zb0zzast_nodez00(BgL_newz00_bglt BgL_oz00_458,
		obj_t BgL_vz00_459)
	{
		{	/* Ast/nodetype.sch 1038 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_458)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_459), BUNSPEC);
		}

	}



/* &new-expr*-set! */
	obj_t BGl_z62newzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_5497,
		obj_t BgL_oz00_5498, obj_t BgL_vz00_5499)
	{
		{	/* Ast/nodetype.sch 1038 */
			return
				BGl_newzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_5498), BgL_vz00_5499);
		}

	}



/* new-key */
	BGL_EXPORTED_DEF obj_t BGl_newzd2keyzd2zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_460)
	{
		{	/* Ast/nodetype.sch 1039 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_460)))->BgL_keyz00);
		}

	}



/* &new-key */
	obj_t BGl_z62newzd2keyzb0zzast_nodez00(obj_t BgL_envz00_5500,
		obj_t BgL_oz00_5501)
	{
		{	/* Ast/nodetype.sch 1039 */
			return BGl_newzd2keyzd2zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_5501));
		}

	}



/* new-key-set! */
	BGL_EXPORTED_DEF obj_t BGl_newzd2keyzd2setz12z12zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_461, obj_t BgL_vz00_462)
	{
		{	/* Ast/nodetype.sch 1040 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_461)))->BgL_keyz00) =
				((obj_t) BgL_vz00_462), BUNSPEC);
		}

	}



/* &new-key-set! */
	obj_t BGl_z62newzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5502,
		obj_t BgL_oz00_5503, obj_t BgL_vz00_5504)
	{
		{	/* Ast/nodetype.sch 1040 */
			return
				BGl_newzd2keyzd2setz12z12zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_5503), BgL_vz00_5504);
		}

	}



/* new-side-effect */
	BGL_EXPORTED_DEF obj_t BGl_newzd2sidezd2effectz00zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_463)
	{
		{	/* Ast/nodetype.sch 1041 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_463)))->BgL_sidezd2effectzd2);
		}

	}



/* &new-side-effect */
	obj_t BGl_z62newzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_5505,
		obj_t BgL_oz00_5506)
	{
		{	/* Ast/nodetype.sch 1041 */
			return
				BGl_newzd2sidezd2effectz00zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_5506));
		}

	}



/* new-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_464, obj_t BgL_vz00_465)
	{
		{	/* Ast/nodetype.sch 1042 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_464)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_465), BUNSPEC);
		}

	}



/* &new-side-effect-set! */
	obj_t BGl_z62newzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5507, obj_t BgL_oz00_5508, obj_t BgL_vz00_5509)
	{
		{	/* Ast/nodetype.sch 1042 */
			return
				BGl_newzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_5508), BgL_vz00_5509);
		}

	}



/* new-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_newzd2typezd2zzast_nodez00(BgL_newz00_bglt BgL_oz00_466)
	{
		{	/* Ast/nodetype.sch 1043 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_466)))->BgL_typez00);
		}

	}



/* &new-type */
	BgL_typez00_bglt BGl_z62newzd2typezb0zzast_nodez00(obj_t BgL_envz00_5510,
		obj_t BgL_oz00_5511)
	{
		{	/* Ast/nodetype.sch 1043 */
			return BGl_newzd2typezd2zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_5511));
		}

	}



/* new-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_newzd2typezd2setz12z12zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_467, BgL_typez00_bglt BgL_vz00_468)
	{
		{	/* Ast/nodetype.sch 1044 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_467)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_468), BUNSPEC);
		}

	}



/* &new-type-set! */
	obj_t BGl_z62newzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5512,
		obj_t BgL_oz00_5513, obj_t BgL_vz00_5514)
	{
		{	/* Ast/nodetype.sch 1044 */
			return
				BGl_newzd2typezd2setz12z12zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_5513), ((BgL_typez00_bglt) BgL_vz00_5514));
		}

	}



/* new-loc */
	BGL_EXPORTED_DEF obj_t BGl_newzd2loczd2zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_469)
	{
		{	/* Ast/nodetype.sch 1045 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_469)))->BgL_locz00);
		}

	}



/* &new-loc */
	obj_t BGl_z62newzd2loczb0zzast_nodez00(obj_t BgL_envz00_5515,
		obj_t BgL_oz00_5516)
	{
		{	/* Ast/nodetype.sch 1045 */
			return BGl_newzd2loczd2zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_5516));
		}

	}



/* make-valloc */
	BGL_EXPORTED_DEF BgL_vallocz00_bglt BGl_makezd2valloczd2zzast_nodez00(obj_t
		BgL_loc1586z00_472, BgL_typez00_bglt BgL_type1587z00_473,
		obj_t BgL_sidezd2effect1588zd2_474, obj_t BgL_key1589z00_475,
		obj_t BgL_exprza21590za2_476, obj_t BgL_effect1591z00_477,
		obj_t BgL_czd2format1592zd2_478, BgL_typez00_bglt BgL_ftype1593z00_479,
		BgL_typez00_bglt BgL_otype1594z00_480)
	{
		{	/* Ast/nodetype.sch 1049 */
			{	/* Ast/nodetype.sch 1049 */
				BgL_vallocz00_bglt BgL_new1464z00_7612;

				{	/* Ast/nodetype.sch 1049 */
					BgL_vallocz00_bglt BgL_new1463z00_7613;

					BgL_new1463z00_7613 =
						((BgL_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vallocz00_bgl))));
					{	/* Ast/nodetype.sch 1049 */
						long BgL_arg1783z00_7614;

						{	/* Ast/nodetype.sch 1049 */
							long BgL_res2880z00_7615;

							BgL_res2880z00_7615 = BGL_CLASS_INDEX(BGl_vallocz00zzast_nodez00);
							BgL_arg1783z00_7614 = BgL_res2880z00_7615;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1463z00_7613), BgL_arg1783z00_7614);
					}
					{	/* Ast/nodetype.sch 1049 */
						BgL_objectz00_bglt BgL_tmpz00_9997;

						BgL_tmpz00_9997 = ((BgL_objectz00_bglt) BgL_new1463z00_7613);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9997, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1463z00_7613);
					BgL_new1464z00_7612 = BgL_new1463z00_7613;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1464z00_7612)))->BgL_locz00) =
					((obj_t) BgL_loc1586z00_472), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1464z00_7612)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1587z00_473), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1464z00_7612)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1588zd2_474), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1464z00_7612)))->BgL_keyz00) =
					((obj_t) BgL_key1589z00_475), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1464z00_7612)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21590za2_476), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1464z00_7612)))->BgL_effectz00) =
					((obj_t) BgL_effect1591z00_477), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1464z00_7612)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1592zd2_478), BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(BgL_new1464z00_7612))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1593z00_479), BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(BgL_new1464z00_7612))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1594z00_480), BUNSPEC);
				return BgL_new1464z00_7612;
			}
		}

	}



/* &make-valloc */
	BgL_vallocz00_bglt BGl_z62makezd2valloczb0zzast_nodez00(obj_t BgL_envz00_5517,
		obj_t BgL_loc1586z00_5518, obj_t BgL_type1587z00_5519,
		obj_t BgL_sidezd2effect1588zd2_5520, obj_t BgL_key1589z00_5521,
		obj_t BgL_exprza21590za2_5522, obj_t BgL_effect1591z00_5523,
		obj_t BgL_czd2format1592zd2_5524, obj_t BgL_ftype1593z00_5525,
		obj_t BgL_otype1594z00_5526)
	{
		{	/* Ast/nodetype.sch 1049 */
			return
				BGl_makezd2valloczd2zzast_nodez00(BgL_loc1586z00_5518,
				((BgL_typez00_bglt) BgL_type1587z00_5519),
				BgL_sidezd2effect1588zd2_5520, BgL_key1589z00_5521,
				BgL_exprza21590za2_5522, BgL_effect1591z00_5523,
				BgL_czd2format1592zd2_5524, ((BgL_typez00_bglt) BgL_ftype1593z00_5525),
				((BgL_typez00_bglt) BgL_otype1594z00_5526));
		}

	}



/* valloc? */
	BGL_EXPORTED_DEF bool_t BGl_valloczf3zf3zzast_nodez00(obj_t BgL_objz00_481)
	{
		{	/* Ast/nodetype.sch 1050 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_481, BGl_vallocz00zzast_nodez00);
		}

	}



/* &valloc? */
	obj_t BGl_z62valloczf3z91zzast_nodez00(obj_t BgL_envz00_5527,
		obj_t BgL_objz00_5528)
	{
		{	/* Ast/nodetype.sch 1050 */
			return BBOOL(BGl_valloczf3zf3zzast_nodez00(BgL_objz00_5528));
		}

	}



/* valloc-nil */
	BGL_EXPORTED_DEF BgL_vallocz00_bglt BGl_valloczd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1051 */
			{	/* Ast/nodetype.sch 1051 */
				obj_t BgL_classz00_3888;

				BgL_classz00_3888 = BGl_vallocz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1051 */
					obj_t BgL__ortest_1106z00_3889;

					BgL__ortest_1106z00_3889 = BGL_CLASS_NIL(BgL_classz00_3888);
					if (CBOOL(BgL__ortest_1106z00_3889))
						{	/* Ast/nodetype.sch 1051 */
							return ((BgL_vallocz00_bglt) BgL__ortest_1106z00_3889);
						}
					else
						{	/* Ast/nodetype.sch 1051 */
							return
								((BgL_vallocz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3888));
						}
				}
			}
		}

	}



/* &valloc-nil */
	BgL_vallocz00_bglt BGl_z62valloczd2nilzb0zzast_nodez00(obj_t BgL_envz00_5529)
	{
		{	/* Ast/nodetype.sch 1051 */
			return BGl_valloczd2nilzd2zzast_nodez00();
		}

	}



/* valloc-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_valloczd2otypezd2zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_482)
	{
		{	/* Ast/nodetype.sch 1052 */
			return (((BgL_vallocz00_bglt) COBJECT(BgL_oz00_482))->BgL_otypez00);
		}

	}



/* &valloc-otype */
	BgL_typez00_bglt BGl_z62valloczd2otypezb0zzast_nodez00(obj_t BgL_envz00_5530,
		obj_t BgL_oz00_5531)
	{
		{	/* Ast/nodetype.sch 1052 */
			return
				BGl_valloczd2otypezd2zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_5531));
		}

	}



/* valloc-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2otypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_483,
		BgL_typez00_bglt BgL_vz00_484)
	{
		{	/* Ast/nodetype.sch 1053 */
			return
				((((BgL_vallocz00_bglt) COBJECT(BgL_oz00_483))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_484), BUNSPEC);
		}

	}



/* &valloc-otype-set! */
	obj_t BGl_z62valloczd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5532,
		obj_t BgL_oz00_5533, obj_t BgL_vz00_5534)
	{
		{	/* Ast/nodetype.sch 1053 */
			return
				BGl_valloczd2otypezd2setz12z12zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_5533),
				((BgL_typez00_bglt) BgL_vz00_5534));
		}

	}



/* valloc-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_valloczd2ftypezd2zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_485)
	{
		{	/* Ast/nodetype.sch 1054 */
			return (((BgL_vallocz00_bglt) COBJECT(BgL_oz00_485))->BgL_ftypez00);
		}

	}



/* &valloc-ftype */
	BgL_typez00_bglt BGl_z62valloczd2ftypezb0zzast_nodez00(obj_t BgL_envz00_5535,
		obj_t BgL_oz00_5536)
	{
		{	/* Ast/nodetype.sch 1054 */
			return
				BGl_valloczd2ftypezd2zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_5536));
		}

	}



/* valloc-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2ftypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_486,
		BgL_typez00_bglt BgL_vz00_487)
	{
		{	/* Ast/nodetype.sch 1055 */
			return
				((((BgL_vallocz00_bglt) COBJECT(BgL_oz00_486))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_487), BUNSPEC);
		}

	}



/* &valloc-ftype-set! */
	obj_t BGl_z62valloczd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5537,
		obj_t BgL_oz00_5538, obj_t BgL_vz00_5539)
	{
		{	/* Ast/nodetype.sch 1055 */
			return
				BGl_valloczd2ftypezd2setz12z12zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_5538),
				((BgL_typez00_bglt) BgL_vz00_5539));
		}

	}



/* valloc-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2czd2formatz00zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_488)
	{
		{	/* Ast/nodetype.sch 1056 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_488)))->BgL_czd2formatzd2);
		}

	}



/* &valloc-c-format */
	obj_t BGl_z62valloczd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_5540,
		obj_t BgL_oz00_5541)
	{
		{	/* Ast/nodetype.sch 1056 */
			return
				BGl_valloczd2czd2formatz00zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_5541));
		}

	}



/* valloc-effect */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2effectzd2zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_491)
	{
		{	/* Ast/nodetype.sch 1058 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_491)))->BgL_effectz00);
		}

	}



/* &valloc-effect */
	obj_t BGl_z62valloczd2effectzb0zzast_nodez00(obj_t BgL_envz00_5542,
		obj_t BgL_oz00_5543)
	{
		{	/* Ast/nodetype.sch 1058 */
			return
				BGl_valloczd2effectzd2zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_5543));
		}

	}



/* valloc-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2effectzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_492, obj_t BgL_vz00_493)
	{
		{	/* Ast/nodetype.sch 1059 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_492)))->BgL_effectz00) =
				((obj_t) BgL_vz00_493), BUNSPEC);
		}

	}



/* &valloc-effect-set! */
	obj_t BGl_z62valloczd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5544,
		obj_t BgL_oz00_5545, obj_t BgL_vz00_5546)
	{
		{	/* Ast/nodetype.sch 1059 */
			return
				BGl_valloczd2effectzd2setz12z12zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_5545), BgL_vz00_5546);
		}

	}



/* valloc-expr* */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2exprza2z70zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_494)
	{
		{	/* Ast/nodetype.sch 1060 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_494)))->BgL_exprza2za2);
		}

	}



/* &valloc-expr* */
	obj_t BGl_z62valloczd2exprza2z12zzast_nodez00(obj_t BgL_envz00_5547,
		obj_t BgL_oz00_5548)
	{
		{	/* Ast/nodetype.sch 1060 */
			return
				BGl_valloczd2exprza2z70zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_5548));
		}

	}



/* valloc-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2exprza2zd2setz12zb0zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_495, obj_t BgL_vz00_496)
	{
		{	/* Ast/nodetype.sch 1061 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_495)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_496), BUNSPEC);
		}

	}



/* &valloc-expr*-set! */
	obj_t BGl_z62valloczd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_5549,
		obj_t BgL_oz00_5550, obj_t BgL_vz00_5551)
	{
		{	/* Ast/nodetype.sch 1061 */
			return
				BGl_valloczd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_5550), BgL_vz00_5551);
		}

	}



/* valloc-key */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2keyzd2zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_497)
	{
		{	/* Ast/nodetype.sch 1062 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_497)))->BgL_keyz00);
		}

	}



/* &valloc-key */
	obj_t BGl_z62valloczd2keyzb0zzast_nodez00(obj_t BgL_envz00_5552,
		obj_t BgL_oz00_5553)
	{
		{	/* Ast/nodetype.sch 1062 */
			return
				BGl_valloczd2keyzd2zzast_nodez00(((BgL_vallocz00_bglt) BgL_oz00_5553));
		}

	}



/* valloc-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2keyzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_498,
		obj_t BgL_vz00_499)
	{
		{	/* Ast/nodetype.sch 1063 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_498)))->BgL_keyz00) =
				((obj_t) BgL_vz00_499), BUNSPEC);
		}

	}



/* &valloc-key-set! */
	obj_t BGl_z62valloczd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5554,
		obj_t BgL_oz00_5555, obj_t BgL_vz00_5556)
	{
		{	/* Ast/nodetype.sch 1063 */
			return
				BGl_valloczd2keyzd2setz12z12zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_5555), BgL_vz00_5556);
		}

	}



/* valloc-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2sidezd2effectz00zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_500)
	{
		{	/* Ast/nodetype.sch 1064 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_500)))->BgL_sidezd2effectzd2);
		}

	}



/* &valloc-side-effect */
	obj_t BGl_z62valloczd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_5557,
		obj_t BgL_oz00_5558)
	{
		{	/* Ast/nodetype.sch 1064 */
			return
				BGl_valloczd2sidezd2effectz00zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_5558));
		}

	}



/* valloc-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_501, obj_t BgL_vz00_502)
	{
		{	/* Ast/nodetype.sch 1065 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_501)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_502), BUNSPEC);
		}

	}



/* &valloc-side-effect-set! */
	obj_t BGl_z62valloczd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5559, obj_t BgL_oz00_5560, obj_t BgL_vz00_5561)
	{
		{	/* Ast/nodetype.sch 1065 */
			return
				BGl_valloczd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_5560), BgL_vz00_5561);
		}

	}



/* valloc-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_valloczd2typezd2zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_503)
	{
		{	/* Ast/nodetype.sch 1066 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_503)))->BgL_typez00);
		}

	}



/* &valloc-type */
	BgL_typez00_bglt BGl_z62valloczd2typezb0zzast_nodez00(obj_t BgL_envz00_5562,
		obj_t BgL_oz00_5563)
	{
		{	/* Ast/nodetype.sch 1066 */
			return
				BGl_valloczd2typezd2zzast_nodez00(((BgL_vallocz00_bglt) BgL_oz00_5563));
		}

	}



/* valloc-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2typezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_504,
		BgL_typez00_bglt BgL_vz00_505)
	{
		{	/* Ast/nodetype.sch 1067 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_504)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_505), BUNSPEC);
		}

	}



/* &valloc-type-set! */
	obj_t BGl_z62valloczd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5564,
		obj_t BgL_oz00_5565, obj_t BgL_vz00_5566)
	{
		{	/* Ast/nodetype.sch 1067 */
			return
				BGl_valloczd2typezd2setz12z12zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_5565),
				((BgL_typez00_bglt) BgL_vz00_5566));
		}

	}



/* valloc-loc */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2loczd2zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_506)
	{
		{	/* Ast/nodetype.sch 1068 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_506)))->BgL_locz00);
		}

	}



/* &valloc-loc */
	obj_t BGl_z62valloczd2loczb0zzast_nodez00(obj_t BgL_envz00_5567,
		obj_t BgL_oz00_5568)
	{
		{	/* Ast/nodetype.sch 1068 */
			return
				BGl_valloczd2loczd2zzast_nodez00(((BgL_vallocz00_bglt) BgL_oz00_5568));
		}

	}



/* make-vref */
	BGL_EXPORTED_DEF BgL_vrefz00_bglt BGl_makezd2vrefzd2zzast_nodez00(obj_t
		BgL_loc1574z00_509, BgL_typez00_bglt BgL_type1575z00_510,
		obj_t BgL_sidezd2effect1576zd2_511, obj_t BgL_key1577z00_512,
		obj_t BgL_exprza21578za2_513, obj_t BgL_effect1579z00_514,
		obj_t BgL_czd2format1580zd2_515, BgL_typez00_bglt BgL_ftype1581z00_516,
		BgL_typez00_bglt BgL_otype1582z00_517,
		BgL_typez00_bglt BgL_vtype1583z00_518, bool_t BgL_unsafe1584z00_519)
	{
		{	/* Ast/nodetype.sch 1072 */
			{	/* Ast/nodetype.sch 1072 */
				BgL_vrefz00_bglt BgL_new1466z00_7616;

				{	/* Ast/nodetype.sch 1072 */
					BgL_vrefz00_bglt BgL_new1465z00_7617;

					BgL_new1465z00_7617 =
						((BgL_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vrefz00_bgl))));
					{	/* Ast/nodetype.sch 1072 */
						long BgL_arg1784z00_7618;

						{	/* Ast/nodetype.sch 1072 */
							long BgL_res2881z00_7619;

							BgL_res2881z00_7619 = BGL_CLASS_INDEX(BGl_vrefz00zzast_nodez00);
							BgL_arg1784z00_7618 = BgL_res2881z00_7619;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1465z00_7617), BgL_arg1784z00_7618);
					}
					{	/* Ast/nodetype.sch 1072 */
						BgL_objectz00_bglt BgL_tmpz00_10098;

						BgL_tmpz00_10098 = ((BgL_objectz00_bglt) BgL_new1465z00_7617);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10098, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1465z00_7617);
					BgL_new1466z00_7616 = BgL_new1465z00_7617;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1466z00_7616)))->BgL_locz00) =
					((obj_t) BgL_loc1574z00_509), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1466z00_7616)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1575z00_510), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1466z00_7616)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1576zd2_511), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1466z00_7616)))->BgL_keyz00) =
					((obj_t) BgL_key1577z00_512), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1466z00_7616)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21578za2_513), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1466z00_7616)))->BgL_effectz00) =
					((obj_t) BgL_effect1579z00_514), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1466z00_7616)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1580zd2_515), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1466z00_7616))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1581z00_516), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1466z00_7616))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1582z00_517), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1466z00_7616))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1583z00_518), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1466z00_7616))->BgL_unsafez00) =
					((bool_t) BgL_unsafe1584z00_519), BUNSPEC);
				return BgL_new1466z00_7616;
			}
		}

	}



/* &make-vref */
	BgL_vrefz00_bglt BGl_z62makezd2vrefzb0zzast_nodez00(obj_t BgL_envz00_5569,
		obj_t BgL_loc1574z00_5570, obj_t BgL_type1575z00_5571,
		obj_t BgL_sidezd2effect1576zd2_5572, obj_t BgL_key1577z00_5573,
		obj_t BgL_exprza21578za2_5574, obj_t BgL_effect1579z00_5575,
		obj_t BgL_czd2format1580zd2_5576, obj_t BgL_ftype1581z00_5577,
		obj_t BgL_otype1582z00_5578, obj_t BgL_vtype1583z00_5579,
		obj_t BgL_unsafe1584z00_5580)
	{
		{	/* Ast/nodetype.sch 1072 */
			return
				BGl_makezd2vrefzd2zzast_nodez00(BgL_loc1574z00_5570,
				((BgL_typez00_bglt) BgL_type1575z00_5571),
				BgL_sidezd2effect1576zd2_5572, BgL_key1577z00_5573,
				BgL_exprza21578za2_5574, BgL_effect1579z00_5575,
				BgL_czd2format1580zd2_5576, ((BgL_typez00_bglt) BgL_ftype1581z00_5577),
				((BgL_typez00_bglt) BgL_otype1582z00_5578),
				((BgL_typez00_bglt) BgL_vtype1583z00_5579),
				CBOOL(BgL_unsafe1584z00_5580));
		}

	}



/* vref? */
	BGL_EXPORTED_DEF bool_t BGl_vrefzf3zf3zzast_nodez00(obj_t BgL_objz00_520)
	{
		{	/* Ast/nodetype.sch 1073 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_520, BGl_vrefz00zzast_nodez00);
		}

	}



/* &vref? */
	obj_t BGl_z62vrefzf3z91zzast_nodez00(obj_t BgL_envz00_5581,
		obj_t BgL_objz00_5582)
	{
		{	/* Ast/nodetype.sch 1073 */
			return BBOOL(BGl_vrefzf3zf3zzast_nodez00(BgL_objz00_5582));
		}

	}



/* vref-nil */
	BGL_EXPORTED_DEF BgL_vrefz00_bglt BGl_vrefzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1074 */
			{	/* Ast/nodetype.sch 1074 */
				obj_t BgL_classz00_3898;

				BgL_classz00_3898 = BGl_vrefz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1074 */
					obj_t BgL__ortest_1106z00_3899;

					BgL__ortest_1106z00_3899 = BGL_CLASS_NIL(BgL_classz00_3898);
					if (CBOOL(BgL__ortest_1106z00_3899))
						{	/* Ast/nodetype.sch 1074 */
							return ((BgL_vrefz00_bglt) BgL__ortest_1106z00_3899);
						}
					else
						{	/* Ast/nodetype.sch 1074 */
							return
								((BgL_vrefz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3898));
						}
				}
			}
		}

	}



/* &vref-nil */
	BgL_vrefz00_bglt BGl_z62vrefzd2nilzb0zzast_nodez00(obj_t BgL_envz00_5583)
	{
		{	/* Ast/nodetype.sch 1074 */
			return BGl_vrefzd2nilzd2zzast_nodez00();
		}

	}



/* vref-unsafe */
	BGL_EXPORTED_DEF bool_t BGl_vrefzd2unsafezd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_521)
	{
		{	/* Ast/nodetype.sch 1075 */
			return (((BgL_vrefz00_bglt) COBJECT(BgL_oz00_521))->BgL_unsafez00);
		}

	}



/* &vref-unsafe */
	obj_t BGl_z62vrefzd2unsafezb0zzast_nodez00(obj_t BgL_envz00_5584,
		obj_t BgL_oz00_5585)
	{
		{	/* Ast/nodetype.sch 1075 */
			return
				BBOOL(BGl_vrefzd2unsafezd2zzast_nodez00(
					((BgL_vrefz00_bglt) BgL_oz00_5585)));
		}

	}



/* vref-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2vtypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_524)
	{
		{	/* Ast/nodetype.sch 1077 */
			return (((BgL_vrefz00_bglt) COBJECT(BgL_oz00_524))->BgL_vtypez00);
		}

	}



/* &vref-vtype */
	BgL_typez00_bglt BGl_z62vrefzd2vtypezb0zzast_nodez00(obj_t BgL_envz00_5586,
		obj_t BgL_oz00_5587)
	{
		{	/* Ast/nodetype.sch 1077 */
			return
				BGl_vrefzd2vtypezd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_5587));
		}

	}



/* vref-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2vtypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_525,
		BgL_typez00_bglt BgL_vz00_526)
	{
		{	/* Ast/nodetype.sch 1078 */
			return
				((((BgL_vrefz00_bglt) COBJECT(BgL_oz00_525))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_526), BUNSPEC);
		}

	}



/* &vref-vtype-set! */
	obj_t BGl_z62vrefzd2vtypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5588,
		obj_t BgL_oz00_5589, obj_t BgL_vz00_5590)
	{
		{	/* Ast/nodetype.sch 1078 */
			return
				BGl_vrefzd2vtypezd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_5589), ((BgL_typez00_bglt) BgL_vz00_5590));
		}

	}



/* vref-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2otypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_527)
	{
		{	/* Ast/nodetype.sch 1079 */
			return (((BgL_vrefz00_bglt) COBJECT(BgL_oz00_527))->BgL_otypez00);
		}

	}



/* &vref-otype */
	BgL_typez00_bglt BGl_z62vrefzd2otypezb0zzast_nodez00(obj_t BgL_envz00_5591,
		obj_t BgL_oz00_5592)
	{
		{	/* Ast/nodetype.sch 1079 */
			return
				BGl_vrefzd2otypezd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_5592));
		}

	}



/* vref-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2otypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_528,
		BgL_typez00_bglt BgL_vz00_529)
	{
		{	/* Ast/nodetype.sch 1080 */
			return
				((((BgL_vrefz00_bglt) COBJECT(BgL_oz00_528))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_529), BUNSPEC);
		}

	}



/* &vref-otype-set! */
	obj_t BGl_z62vrefzd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5593,
		obj_t BgL_oz00_5594, obj_t BgL_vz00_5595)
	{
		{	/* Ast/nodetype.sch 1080 */
			return
				BGl_vrefzd2otypezd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_5594), ((BgL_typez00_bglt) BgL_vz00_5595));
		}

	}



/* vref-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2ftypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_530)
	{
		{	/* Ast/nodetype.sch 1081 */
			return (((BgL_vrefz00_bglt) COBJECT(BgL_oz00_530))->BgL_ftypez00);
		}

	}



/* &vref-ftype */
	BgL_typez00_bglt BGl_z62vrefzd2ftypezb0zzast_nodez00(obj_t BgL_envz00_5596,
		obj_t BgL_oz00_5597)
	{
		{	/* Ast/nodetype.sch 1081 */
			return
				BGl_vrefzd2ftypezd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_5597));
		}

	}



/* vref-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2ftypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_531,
		BgL_typez00_bglt BgL_vz00_532)
	{
		{	/* Ast/nodetype.sch 1082 */
			return
				((((BgL_vrefz00_bglt) COBJECT(BgL_oz00_531))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_532), BUNSPEC);
		}

	}



/* &vref-ftype-set! */
	obj_t BGl_z62vrefzd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5598,
		obj_t BgL_oz00_5599, obj_t BgL_vz00_5600)
	{
		{	/* Ast/nodetype.sch 1082 */
			return
				BGl_vrefzd2ftypezd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_5599), ((BgL_typez00_bglt) BgL_vz00_5600));
		}

	}



/* vref-c-format */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2czd2formatz00zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_533)
	{
		{	/* Ast/nodetype.sch 1083 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_533)))->BgL_czd2formatzd2);
		}

	}



/* &vref-c-format */
	obj_t BGl_z62vrefzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_5601,
		obj_t BgL_oz00_5602)
	{
		{	/* Ast/nodetype.sch 1083 */
			return
				BGl_vrefzd2czd2formatz00zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_5602));
		}

	}



/* vref-effect */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2effectzd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_536)
	{
		{	/* Ast/nodetype.sch 1085 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_536)))->BgL_effectz00);
		}

	}



/* &vref-effect */
	obj_t BGl_z62vrefzd2effectzb0zzast_nodez00(obj_t BgL_envz00_5603,
		obj_t BgL_oz00_5604)
	{
		{	/* Ast/nodetype.sch 1085 */
			return
				BGl_vrefzd2effectzd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_5604));
		}

	}



/* vref-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2effectzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_537,
		obj_t BgL_vz00_538)
	{
		{	/* Ast/nodetype.sch 1086 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_537)))->BgL_effectz00) =
				((obj_t) BgL_vz00_538), BUNSPEC);
		}

	}



/* &vref-effect-set! */
	obj_t BGl_z62vrefzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5605,
		obj_t BgL_oz00_5606, obj_t BgL_vz00_5607)
	{
		{	/* Ast/nodetype.sch 1086 */
			return
				BGl_vrefzd2effectzd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_5606), BgL_vz00_5607);
		}

	}



/* vref-expr* */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2exprza2z70zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_539)
	{
		{	/* Ast/nodetype.sch 1087 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_539)))->BgL_exprza2za2);
		}

	}



/* &vref-expr* */
	obj_t BGl_z62vrefzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_5608,
		obj_t BgL_oz00_5609)
	{
		{	/* Ast/nodetype.sch 1087 */
			return
				BGl_vrefzd2exprza2z70zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_5609));
		}

	}



/* vref-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_540,
		obj_t BgL_vz00_541)
	{
		{	/* Ast/nodetype.sch 1088 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_540)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_541), BUNSPEC);
		}

	}



/* &vref-expr*-set! */
	obj_t BGl_z62vrefzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_5610,
		obj_t BgL_oz00_5611, obj_t BgL_vz00_5612)
	{
		{	/* Ast/nodetype.sch 1088 */
			return
				BGl_vrefzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_5611), BgL_vz00_5612);
		}

	}



/* vref-key */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2keyzd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_542)
	{
		{	/* Ast/nodetype.sch 1089 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_542)))->BgL_keyz00);
		}

	}



/* &vref-key */
	obj_t BGl_z62vrefzd2keyzb0zzast_nodez00(obj_t BgL_envz00_5613,
		obj_t BgL_oz00_5614)
	{
		{	/* Ast/nodetype.sch 1089 */
			return BGl_vrefzd2keyzd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_5614));
		}

	}



/* vref-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2keyzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_543,
		obj_t BgL_vz00_544)
	{
		{	/* Ast/nodetype.sch 1090 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_543)))->BgL_keyz00) =
				((obj_t) BgL_vz00_544), BUNSPEC);
		}

	}



/* &vref-key-set! */
	obj_t BGl_z62vrefzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5615,
		obj_t BgL_oz00_5616, obj_t BgL_vz00_5617)
	{
		{	/* Ast/nodetype.sch 1090 */
			return
				BGl_vrefzd2keyzd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_5616), BgL_vz00_5617);
		}

	}



/* vref-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2sidezd2effectz00zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_545)
	{
		{	/* Ast/nodetype.sch 1091 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_545)))->BgL_sidezd2effectzd2);
		}

	}



/* &vref-side-effect */
	obj_t BGl_z62vrefzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_5618,
		obj_t BgL_oz00_5619)
	{
		{	/* Ast/nodetype.sch 1091 */
			return
				BGl_vrefzd2sidezd2effectz00zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_5619));
		}

	}



/* vref-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_546, obj_t BgL_vz00_547)
	{
		{	/* Ast/nodetype.sch 1092 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_546)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_547), BUNSPEC);
		}

	}



/* &vref-side-effect-set! */
	obj_t BGl_z62vrefzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5620, obj_t BgL_oz00_5621, obj_t BgL_vz00_5622)
	{
		{	/* Ast/nodetype.sch 1092 */
			return
				BGl_vrefzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_5621), BgL_vz00_5622);
		}

	}



/* vref-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2typezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_548)
	{
		{	/* Ast/nodetype.sch 1093 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_548)))->BgL_typez00);
		}

	}



/* &vref-type */
	BgL_typez00_bglt BGl_z62vrefzd2typezb0zzast_nodez00(obj_t BgL_envz00_5623,
		obj_t BgL_oz00_5624)
	{
		{	/* Ast/nodetype.sch 1093 */
			return
				BGl_vrefzd2typezd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_5624));
		}

	}



/* vref-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2typezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_549,
		BgL_typez00_bglt BgL_vz00_550)
	{
		{	/* Ast/nodetype.sch 1094 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_549)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_550), BUNSPEC);
		}

	}



/* &vref-type-set! */
	obj_t BGl_z62vrefzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5625,
		obj_t BgL_oz00_5626, obj_t BgL_vz00_5627)
	{
		{	/* Ast/nodetype.sch 1094 */
			return
				BGl_vrefzd2typezd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_5626), ((BgL_typez00_bglt) BgL_vz00_5627));
		}

	}



/* vref-loc */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2loczd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_551)
	{
		{	/* Ast/nodetype.sch 1095 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_551)))->BgL_locz00);
		}

	}



/* &vref-loc */
	obj_t BGl_z62vrefzd2loczb0zzast_nodez00(obj_t BgL_envz00_5628,
		obj_t BgL_oz00_5629)
	{
		{	/* Ast/nodetype.sch 1095 */
			return BGl_vrefzd2loczd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_5629));
		}

	}



/* make-vset! */
	BGL_EXPORTED_DEF BgL_vsetz12z12_bglt BGl_makezd2vsetz12zc0zzast_nodez00(obj_t
		BgL_loc1562z00_554, BgL_typez00_bglt BgL_type1563z00_555,
		obj_t BgL_sidezd2effect1564zd2_556, obj_t BgL_key1565z00_557,
		obj_t BgL_exprza21566za2_558, obj_t BgL_effect1567z00_559,
		obj_t BgL_czd2format1568zd2_560, BgL_typez00_bglt BgL_ftype1569z00_561,
		BgL_typez00_bglt BgL_otype1570z00_562,
		BgL_typez00_bglt BgL_vtype1571z00_563, bool_t BgL_unsafe1572z00_564)
	{
		{	/* Ast/nodetype.sch 1099 */
			{	/* Ast/nodetype.sch 1099 */
				BgL_vsetz12z12_bglt BgL_new1468z00_7620;

				{	/* Ast/nodetype.sch 1099 */
					BgL_vsetz12z12_bglt BgL_new1467z00_7621;

					BgL_new1467z00_7621 =
						((BgL_vsetz12z12_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vsetz12z12_bgl))));
					{	/* Ast/nodetype.sch 1099 */
						long BgL_arg1786z00_7622;

						{	/* Ast/nodetype.sch 1099 */
							long BgL_res2882z00_7623;

							BgL_res2882z00_7623 =
								BGL_CLASS_INDEX(BGl_vsetz12z12zzast_nodez00);
							BgL_arg1786z00_7622 = BgL_res2882z00_7623;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1467z00_7621), BgL_arg1786z00_7622);
					}
					{	/* Ast/nodetype.sch 1099 */
						BgL_objectz00_bglt BgL_tmpz00_10214;

						BgL_tmpz00_10214 = ((BgL_objectz00_bglt) BgL_new1467z00_7621);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10214, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1467z00_7621);
					BgL_new1468z00_7620 = BgL_new1467z00_7621;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1468z00_7620)))->BgL_locz00) =
					((obj_t) BgL_loc1562z00_554), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1468z00_7620)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1563z00_555), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1468z00_7620)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1564zd2_556), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1468z00_7620)))->BgL_keyz00) =
					((obj_t) BgL_key1565z00_557), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1468z00_7620)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21566za2_558), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1468z00_7620)))->BgL_effectz00) =
					((obj_t) BgL_effect1567z00_559), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1468z00_7620)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1568zd2_560), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1468z00_7620))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1569z00_561), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1468z00_7620))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1570z00_562), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1468z00_7620))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1571z00_563), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1468z00_7620))->BgL_unsafez00) =
					((bool_t) BgL_unsafe1572z00_564), BUNSPEC);
				return BgL_new1468z00_7620;
			}
		}

	}



/* &make-vset! */
	BgL_vsetz12z12_bglt BGl_z62makezd2vsetz12za2zzast_nodez00(obj_t
		BgL_envz00_5630, obj_t BgL_loc1562z00_5631, obj_t BgL_type1563z00_5632,
		obj_t BgL_sidezd2effect1564zd2_5633, obj_t BgL_key1565z00_5634,
		obj_t BgL_exprza21566za2_5635, obj_t BgL_effect1567z00_5636,
		obj_t BgL_czd2format1568zd2_5637, obj_t BgL_ftype1569z00_5638,
		obj_t BgL_otype1570z00_5639, obj_t BgL_vtype1571z00_5640,
		obj_t BgL_unsafe1572z00_5641)
	{
		{	/* Ast/nodetype.sch 1099 */
			return
				BGl_makezd2vsetz12zc0zzast_nodez00(BgL_loc1562z00_5631,
				((BgL_typez00_bglt) BgL_type1563z00_5632),
				BgL_sidezd2effect1564zd2_5633, BgL_key1565z00_5634,
				BgL_exprza21566za2_5635, BgL_effect1567z00_5636,
				BgL_czd2format1568zd2_5637, ((BgL_typez00_bglt) BgL_ftype1569z00_5638),
				((BgL_typez00_bglt) BgL_otype1570z00_5639),
				((BgL_typez00_bglt) BgL_vtype1571z00_5640),
				CBOOL(BgL_unsafe1572z00_5641));
		}

	}



/* vset!? */
	BGL_EXPORTED_DEF bool_t BGl_vsetz12zf3ze1zzast_nodez00(obj_t BgL_objz00_565)
	{
		{	/* Ast/nodetype.sch 1100 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_565, BGl_vsetz12z12zzast_nodez00);
		}

	}



/* &vset!? */
	obj_t BGl_z62vsetz12zf3z83zzast_nodez00(obj_t BgL_envz00_5642,
		obj_t BgL_objz00_5643)
	{
		{	/* Ast/nodetype.sch 1100 */
			return BBOOL(BGl_vsetz12zf3ze1zzast_nodez00(BgL_objz00_5643));
		}

	}



/* vset!-nil */
	BGL_EXPORTED_DEF BgL_vsetz12z12_bglt BGl_vsetz12zd2nilzc0zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1101 */
			{	/* Ast/nodetype.sch 1101 */
				obj_t BgL_classz00_3908;

				BgL_classz00_3908 = BGl_vsetz12z12zzast_nodez00;
				{	/* Ast/nodetype.sch 1101 */
					obj_t BgL__ortest_1106z00_3909;

					BgL__ortest_1106z00_3909 = BGL_CLASS_NIL(BgL_classz00_3908);
					if (CBOOL(BgL__ortest_1106z00_3909))
						{	/* Ast/nodetype.sch 1101 */
							return ((BgL_vsetz12z12_bglt) BgL__ortest_1106z00_3909);
						}
					else
						{	/* Ast/nodetype.sch 1101 */
							return
								((BgL_vsetz12z12_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3908));
						}
				}
			}
		}

	}



/* &vset!-nil */
	BgL_vsetz12z12_bglt BGl_z62vsetz12zd2nilza2zzast_nodez00(obj_t
		BgL_envz00_5644)
	{
		{	/* Ast/nodetype.sch 1101 */
			return BGl_vsetz12zd2nilzc0zzast_nodez00();
		}

	}



/* vset!-unsafe */
	BGL_EXPORTED_DEF bool_t
		BGl_vsetz12zd2unsafezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_566)
	{
		{	/* Ast/nodetype.sch 1102 */
			return (((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_566))->BgL_unsafez00);
		}

	}



/* &vset!-unsafe */
	obj_t BGl_z62vsetz12zd2unsafeza2zzast_nodez00(obj_t BgL_envz00_5645,
		obj_t BgL_oz00_5646)
	{
		{	/* Ast/nodetype.sch 1102 */
			return
				BBOOL(BGl_vsetz12zd2unsafezc0zzast_nodez00(
					((BgL_vsetz12z12_bglt) BgL_oz00_5646)));
		}

	}



/* vset!-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2vtypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_569)
	{
		{	/* Ast/nodetype.sch 1104 */
			return (((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_569))->BgL_vtypez00);
		}

	}



/* &vset!-vtype */
	BgL_typez00_bglt BGl_z62vsetz12zd2vtypeza2zzast_nodez00(obj_t BgL_envz00_5647,
		obj_t BgL_oz00_5648)
	{
		{	/* Ast/nodetype.sch 1104 */
			return
				BGl_vsetz12zd2vtypezc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_5648));
		}

	}



/* vset!-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2vtypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_570, BgL_typez00_bglt BgL_vz00_571)
	{
		{	/* Ast/nodetype.sch 1105 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_570))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_571), BUNSPEC);
		}

	}



/* &vset!-vtype-set! */
	obj_t BGl_z62vsetz12zd2vtypezd2setz12z62zzast_nodez00(obj_t BgL_envz00_5649,
		obj_t BgL_oz00_5650, obj_t BgL_vz00_5651)
	{
		{	/* Ast/nodetype.sch 1105 */
			return
				BGl_vsetz12zd2vtypezd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_5650),
				((BgL_typez00_bglt) BgL_vz00_5651));
		}

	}



/* vset!-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2otypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_572)
	{
		{	/* Ast/nodetype.sch 1106 */
			return (((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_572))->BgL_otypez00);
		}

	}



/* &vset!-otype */
	BgL_typez00_bglt BGl_z62vsetz12zd2otypeza2zzast_nodez00(obj_t BgL_envz00_5652,
		obj_t BgL_oz00_5653)
	{
		{	/* Ast/nodetype.sch 1106 */
			return
				BGl_vsetz12zd2otypezc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_5653));
		}

	}



/* vset!-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2otypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_573, BgL_typez00_bglt BgL_vz00_574)
	{
		{	/* Ast/nodetype.sch 1107 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_573))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_574), BUNSPEC);
		}

	}



/* &vset!-otype-set! */
	obj_t BGl_z62vsetz12zd2otypezd2setz12z62zzast_nodez00(obj_t BgL_envz00_5654,
		obj_t BgL_oz00_5655, obj_t BgL_vz00_5656)
	{
		{	/* Ast/nodetype.sch 1107 */
			return
				BGl_vsetz12zd2otypezd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_5655),
				((BgL_typez00_bglt) BgL_vz00_5656));
		}

	}



/* vset!-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2ftypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_575)
	{
		{	/* Ast/nodetype.sch 1108 */
			return (((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_575))->BgL_ftypez00);
		}

	}



/* &vset!-ftype */
	BgL_typez00_bglt BGl_z62vsetz12zd2ftypeza2zzast_nodez00(obj_t BgL_envz00_5657,
		obj_t BgL_oz00_5658)
	{
		{	/* Ast/nodetype.sch 1108 */
			return
				BGl_vsetz12zd2ftypezc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_5658));
		}

	}



/* vset!-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2ftypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_576, BgL_typez00_bglt BgL_vz00_577)
	{
		{	/* Ast/nodetype.sch 1109 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_576))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_577), BUNSPEC);
		}

	}



/* &vset!-ftype-set! */
	obj_t BGl_z62vsetz12zd2ftypezd2setz12z62zzast_nodez00(obj_t BgL_envz00_5659,
		obj_t BgL_oz00_5660, obj_t BgL_vz00_5661)
	{
		{	/* Ast/nodetype.sch 1109 */
			return
				BGl_vsetz12zd2ftypezd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_5660),
				((BgL_typez00_bglt) BgL_vz00_5661));
		}

	}



/* vset!-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2czd2formatz12zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_578)
	{
		{	/* Ast/nodetype.sch 1110 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_578)))->BgL_czd2formatzd2);
		}

	}



/* &vset!-c-format */
	obj_t BGl_z62vsetz12zd2czd2formatz70zzast_nodez00(obj_t BgL_envz00_5662,
		obj_t BgL_oz00_5663)
	{
		{	/* Ast/nodetype.sch 1110 */
			return
				BGl_vsetz12zd2czd2formatz12zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_5663));
		}

	}



/* vset!-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2effectzc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_581)
	{
		{	/* Ast/nodetype.sch 1112 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_581)))->BgL_effectz00);
		}

	}



/* &vset!-effect */
	obj_t BGl_z62vsetz12zd2effectza2zzast_nodez00(obj_t BgL_envz00_5664,
		obj_t BgL_oz00_5665)
	{
		{	/* Ast/nodetype.sch 1112 */
			return
				BGl_vsetz12zd2effectzc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_5665));
		}

	}



/* vset!-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2effectzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_582, obj_t BgL_vz00_583)
	{
		{	/* Ast/nodetype.sch 1113 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_582)))->BgL_effectz00) =
				((obj_t) BgL_vz00_583), BUNSPEC);
		}

	}



/* &vset!-effect-set! */
	obj_t BGl_z62vsetz12zd2effectzd2setz12z62zzast_nodez00(obj_t BgL_envz00_5666,
		obj_t BgL_oz00_5667, obj_t BgL_vz00_5668)
	{
		{	/* Ast/nodetype.sch 1113 */
			return
				BGl_vsetz12zd2effectzd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_5667), BgL_vz00_5668);
		}

	}



/* vset!-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2exprza2z62zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_584)
	{
		{	/* Ast/nodetype.sch 1114 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_584)))->BgL_exprza2za2);
		}

	}



/* &vset!-expr* */
	obj_t BGl_z62vsetz12zd2exprza2z00zzast_nodez00(obj_t BgL_envz00_5669,
		obj_t BgL_oz00_5670)
	{
		{	/* Ast/nodetype.sch 1114 */
			return
				BGl_vsetz12zd2exprza2z62zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_5670));
		}

	}



/* vset!-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2exprza2zd2setz12za2zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_585, obj_t BgL_vz00_586)
	{
		{	/* Ast/nodetype.sch 1115 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_585)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_586), BUNSPEC);
		}

	}



/* &vset!-expr*-set! */
	obj_t BGl_z62vsetz12zd2exprza2zd2setz12zc0zzast_nodez00(obj_t BgL_envz00_5671,
		obj_t BgL_oz00_5672, obj_t BgL_vz00_5673)
	{
		{	/* Ast/nodetype.sch 1115 */
			return
				BGl_vsetz12zd2exprza2zd2setz12za2zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_5672), BgL_vz00_5673);
		}

	}



/* vset!-key */
	BGL_EXPORTED_DEF obj_t BGl_vsetz12zd2keyzc0zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_587)
	{
		{	/* Ast/nodetype.sch 1116 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_587)))->BgL_keyz00);
		}

	}



/* &vset!-key */
	obj_t BGl_z62vsetz12zd2keyza2zzast_nodez00(obj_t BgL_envz00_5674,
		obj_t BgL_oz00_5675)
	{
		{	/* Ast/nodetype.sch 1116 */
			return
				BGl_vsetz12zd2keyzc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_5675));
		}

	}



/* vset!-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2keyzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_588,
		obj_t BgL_vz00_589)
	{
		{	/* Ast/nodetype.sch 1117 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_588)))->BgL_keyz00) =
				((obj_t) BgL_vz00_589), BUNSPEC);
		}

	}



/* &vset!-key-set! */
	obj_t BGl_z62vsetz12zd2keyzd2setz12z62zzast_nodez00(obj_t BgL_envz00_5676,
		obj_t BgL_oz00_5677, obj_t BgL_vz00_5678)
	{
		{	/* Ast/nodetype.sch 1117 */
			return
				BGl_vsetz12zd2keyzd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_5677), BgL_vz00_5678);
		}

	}



/* vset!-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2sidezd2effectz12zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_590)
	{
		{	/* Ast/nodetype.sch 1118 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_590)))->BgL_sidezd2effectzd2);
		}

	}



/* &vset!-side-effect */
	obj_t BGl_z62vsetz12zd2sidezd2effectz70zzast_nodez00(obj_t BgL_envz00_5679,
		obj_t BgL_oz00_5680)
	{
		{	/* Ast/nodetype.sch 1118 */
			return
				BGl_vsetz12zd2sidezd2effectz12zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_5680));
		}

	}



/* vset!-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2sidezd2effectzd2setz12zd2zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_591, obj_t BgL_vz00_592)
	{
		{	/* Ast/nodetype.sch 1119 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_591)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_592), BUNSPEC);
		}

	}



/* &vset!-side-effect-set! */
	obj_t BGl_z62vsetz12zd2sidezd2effectzd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_5681, obj_t BgL_oz00_5682, obj_t BgL_vz00_5683)
	{
		{	/* Ast/nodetype.sch 1119 */
			return
				BGl_vsetz12zd2sidezd2effectzd2setz12zd2zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_5682), BgL_vz00_5683);
		}

	}



/* vset!-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2typezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_593)
	{
		{	/* Ast/nodetype.sch 1120 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_593)))->BgL_typez00);
		}

	}



/* &vset!-type */
	BgL_typez00_bglt BGl_z62vsetz12zd2typeza2zzast_nodez00(obj_t BgL_envz00_5684,
		obj_t BgL_oz00_5685)
	{
		{	/* Ast/nodetype.sch 1120 */
			return
				BGl_vsetz12zd2typezc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_5685));
		}

	}



/* vset!-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2typezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_594, BgL_typez00_bglt BgL_vz00_595)
	{
		{	/* Ast/nodetype.sch 1121 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_594)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_595), BUNSPEC);
		}

	}



/* &vset!-type-set! */
	obj_t BGl_z62vsetz12zd2typezd2setz12z62zzast_nodez00(obj_t BgL_envz00_5686,
		obj_t BgL_oz00_5687, obj_t BgL_vz00_5688)
	{
		{	/* Ast/nodetype.sch 1121 */
			return
				BGl_vsetz12zd2typezd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_5687),
				((BgL_typez00_bglt) BgL_vz00_5688));
		}

	}



/* vset!-loc */
	BGL_EXPORTED_DEF obj_t BGl_vsetz12zd2loczc0zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_596)
	{
		{	/* Ast/nodetype.sch 1122 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_596)))->BgL_locz00);
		}

	}



/* &vset!-loc */
	obj_t BGl_z62vsetz12zd2locza2zzast_nodez00(obj_t BgL_envz00_5689,
		obj_t BgL_oz00_5690)
	{
		{	/* Ast/nodetype.sch 1122 */
			return
				BGl_vsetz12zd2loczc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_5690));
		}

	}



/* make-vlength */
	BGL_EXPORTED_DEF BgL_vlengthz00_bglt BGl_makezd2vlengthzd2zzast_nodez00(obj_t
		BgL_loc1552z00_599, BgL_typez00_bglt BgL_type1553z00_600,
		obj_t BgL_sidezd2effect1554zd2_601, obj_t BgL_key1555z00_602,
		obj_t BgL_exprza21556za2_603, obj_t BgL_effect1557z00_604,
		obj_t BgL_czd2format1558zd2_605, BgL_typez00_bglt BgL_vtype1559z00_606,
		obj_t BgL_ftype1560z00_607)
	{
		{	/* Ast/nodetype.sch 1126 */
			{	/* Ast/nodetype.sch 1126 */
				BgL_vlengthz00_bglt BgL_new1470z00_7624;

				{	/* Ast/nodetype.sch 1126 */
					BgL_vlengthz00_bglt BgL_new1469z00_7625;

					BgL_new1469z00_7625 =
						((BgL_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vlengthz00_bgl))));
					{	/* Ast/nodetype.sch 1126 */
						long BgL_arg1787z00_7626;

						{	/* Ast/nodetype.sch 1126 */
							long BgL_res2883z00_7627;

							BgL_res2883z00_7627 =
								BGL_CLASS_INDEX(BGl_vlengthz00zzast_nodez00);
							BgL_arg1787z00_7626 = BgL_res2883z00_7627;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1469z00_7625), BgL_arg1787z00_7626);
					}
					{	/* Ast/nodetype.sch 1126 */
						BgL_objectz00_bglt BgL_tmpz00_10330;

						BgL_tmpz00_10330 = ((BgL_objectz00_bglt) BgL_new1469z00_7625);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10330, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1469z00_7625);
					BgL_new1470z00_7624 = BgL_new1469z00_7625;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1470z00_7624)))->BgL_locz00) =
					((obj_t) BgL_loc1552z00_599), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1470z00_7624)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1553z00_600), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1470z00_7624)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1554zd2_601), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1470z00_7624)))->BgL_keyz00) =
					((obj_t) BgL_key1555z00_602), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1470z00_7624)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21556za2_603), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1470z00_7624)))->BgL_effectz00) =
					((obj_t) BgL_effect1557z00_604), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1470z00_7624)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1558zd2_605), BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(BgL_new1470z00_7624))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1559z00_606), BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(BgL_new1470z00_7624))->BgL_ftypez00) =
					((obj_t) BgL_ftype1560z00_607), BUNSPEC);
				return BgL_new1470z00_7624;
			}
		}

	}



/* &make-vlength */
	BgL_vlengthz00_bglt BGl_z62makezd2vlengthzb0zzast_nodez00(obj_t
		BgL_envz00_5691, obj_t BgL_loc1552z00_5692, obj_t BgL_type1553z00_5693,
		obj_t BgL_sidezd2effect1554zd2_5694, obj_t BgL_key1555z00_5695,
		obj_t BgL_exprza21556za2_5696, obj_t BgL_effect1557z00_5697,
		obj_t BgL_czd2format1558zd2_5698, obj_t BgL_vtype1559z00_5699,
		obj_t BgL_ftype1560z00_5700)
	{
		{	/* Ast/nodetype.sch 1126 */
			return
				BGl_makezd2vlengthzd2zzast_nodez00(BgL_loc1552z00_5692,
				((BgL_typez00_bglt) BgL_type1553z00_5693),
				BgL_sidezd2effect1554zd2_5694, BgL_key1555z00_5695,
				BgL_exprza21556za2_5696, BgL_effect1557z00_5697,
				BgL_czd2format1558zd2_5698, ((BgL_typez00_bglt) BgL_vtype1559z00_5699),
				BgL_ftype1560z00_5700);
		}

	}



/* vlength? */
	BGL_EXPORTED_DEF bool_t BGl_vlengthzf3zf3zzast_nodez00(obj_t BgL_objz00_608)
	{
		{	/* Ast/nodetype.sch 1127 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_608, BGl_vlengthz00zzast_nodez00);
		}

	}



/* &vlength? */
	obj_t BGl_z62vlengthzf3z91zzast_nodez00(obj_t BgL_envz00_5701,
		obj_t BgL_objz00_5702)
	{
		{	/* Ast/nodetype.sch 1127 */
			return BBOOL(BGl_vlengthzf3zf3zzast_nodez00(BgL_objz00_5702));
		}

	}



/* vlength-nil */
	BGL_EXPORTED_DEF BgL_vlengthz00_bglt BGl_vlengthzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1128 */
			{	/* Ast/nodetype.sch 1128 */
				obj_t BgL_classz00_3918;

				BgL_classz00_3918 = BGl_vlengthz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1128 */
					obj_t BgL__ortest_1106z00_3919;

					BgL__ortest_1106z00_3919 = BGL_CLASS_NIL(BgL_classz00_3918);
					if (CBOOL(BgL__ortest_1106z00_3919))
						{	/* Ast/nodetype.sch 1128 */
							return ((BgL_vlengthz00_bglt) BgL__ortest_1106z00_3919);
						}
					else
						{	/* Ast/nodetype.sch 1128 */
							return
								((BgL_vlengthz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3918));
						}
				}
			}
		}

	}



/* &vlength-nil */
	BgL_vlengthz00_bglt BGl_z62vlengthzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_5703)
	{
		{	/* Ast/nodetype.sch 1128 */
			return BGl_vlengthzd2nilzd2zzast_nodez00();
		}

	}



/* vlength-ftype */
	BGL_EXPORTED_DEF obj_t BGl_vlengthzd2ftypezd2zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_609)
	{
		{	/* Ast/nodetype.sch 1129 */
			return (((BgL_vlengthz00_bglt) COBJECT(BgL_oz00_609))->BgL_ftypez00);
		}

	}



/* &vlength-ftype */
	obj_t BGl_z62vlengthzd2ftypezb0zzast_nodez00(obj_t BgL_envz00_5704,
		obj_t BgL_oz00_5705)
	{
		{	/* Ast/nodetype.sch 1129 */
			return
				BGl_vlengthzd2ftypezd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_5705));
		}

	}



/* vlength-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vlengthzd2vtypezd2zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_612)
	{
		{	/* Ast/nodetype.sch 1131 */
			return (((BgL_vlengthz00_bglt) COBJECT(BgL_oz00_612))->BgL_vtypez00);
		}

	}



/* &vlength-vtype */
	BgL_typez00_bglt BGl_z62vlengthzd2vtypezb0zzast_nodez00(obj_t BgL_envz00_5706,
		obj_t BgL_oz00_5707)
	{
		{	/* Ast/nodetype.sch 1131 */
			return
				BGl_vlengthzd2vtypezd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_5707));
		}

	}



/* vlength-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2vtypezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_613, BgL_typez00_bglt BgL_vz00_614)
	{
		{	/* Ast/nodetype.sch 1132 */
			return
				((((BgL_vlengthz00_bglt) COBJECT(BgL_oz00_613))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_614), BUNSPEC);
		}

	}



/* &vlength-vtype-set! */
	obj_t BGl_z62vlengthzd2vtypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5708,
		obj_t BgL_oz00_5709, obj_t BgL_vz00_5710)
	{
		{	/* Ast/nodetype.sch 1132 */
			return
				BGl_vlengthzd2vtypezd2setz12z12zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_5709),
				((BgL_typez00_bglt) BgL_vz00_5710));
		}

	}



/* vlength-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2czd2formatz00zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_615)
	{
		{	/* Ast/nodetype.sch 1133 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_615)))->BgL_czd2formatzd2);
		}

	}



/* &vlength-c-format */
	obj_t BGl_z62vlengthzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_5711,
		obj_t BgL_oz00_5712)
	{
		{	/* Ast/nodetype.sch 1133 */
			return
				BGl_vlengthzd2czd2formatz00zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_5712));
		}

	}



/* vlength-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2effectzd2zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_618)
	{
		{	/* Ast/nodetype.sch 1135 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_618)))->BgL_effectz00);
		}

	}



/* &vlength-effect */
	obj_t BGl_z62vlengthzd2effectzb0zzast_nodez00(obj_t BgL_envz00_5713,
		obj_t BgL_oz00_5714)
	{
		{	/* Ast/nodetype.sch 1135 */
			return
				BGl_vlengthzd2effectzd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_5714));
		}

	}



/* vlength-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2effectzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_619, obj_t BgL_vz00_620)
	{
		{	/* Ast/nodetype.sch 1136 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_619)))->BgL_effectz00) =
				((obj_t) BgL_vz00_620), BUNSPEC);
		}

	}



/* &vlength-effect-set! */
	obj_t BGl_z62vlengthzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5715,
		obj_t BgL_oz00_5716, obj_t BgL_vz00_5717)
	{
		{	/* Ast/nodetype.sch 1136 */
			return
				BGl_vlengthzd2effectzd2setz12z12zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_5716), BgL_vz00_5717);
		}

	}



/* vlength-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2exprza2z70zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_621)
	{
		{	/* Ast/nodetype.sch 1137 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_621)))->BgL_exprza2za2);
		}

	}



/* &vlength-expr* */
	obj_t BGl_z62vlengthzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_5718,
		obj_t BgL_oz00_5719)
	{
		{	/* Ast/nodetype.sch 1137 */
			return
				BGl_vlengthzd2exprza2z70zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_5719));
		}

	}



/* vlength-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_622, obj_t BgL_vz00_623)
	{
		{	/* Ast/nodetype.sch 1138 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_622)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_623), BUNSPEC);
		}

	}



/* &vlength-expr*-set! */
	obj_t BGl_z62vlengthzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_5720,
		obj_t BgL_oz00_5721, obj_t BgL_vz00_5722)
	{
		{	/* Ast/nodetype.sch 1138 */
			return
				BGl_vlengthzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_5721), BgL_vz00_5722);
		}

	}



/* vlength-key */
	BGL_EXPORTED_DEF obj_t BGl_vlengthzd2keyzd2zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_624)
	{
		{	/* Ast/nodetype.sch 1139 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_624)))->BgL_keyz00);
		}

	}



/* &vlength-key */
	obj_t BGl_z62vlengthzd2keyzb0zzast_nodez00(obj_t BgL_envz00_5723,
		obj_t BgL_oz00_5724)
	{
		{	/* Ast/nodetype.sch 1139 */
			return
				BGl_vlengthzd2keyzd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_5724));
		}

	}



/* vlength-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2keyzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_625,
		obj_t BgL_vz00_626)
	{
		{	/* Ast/nodetype.sch 1140 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_625)))->BgL_keyz00) =
				((obj_t) BgL_vz00_626), BUNSPEC);
		}

	}



/* &vlength-key-set! */
	obj_t BGl_z62vlengthzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5725,
		obj_t BgL_oz00_5726, obj_t BgL_vz00_5727)
	{
		{	/* Ast/nodetype.sch 1140 */
			return
				BGl_vlengthzd2keyzd2setz12z12zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_5726), BgL_vz00_5727);
		}

	}



/* vlength-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2sidezd2effectz00zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_627)
	{
		{	/* Ast/nodetype.sch 1141 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_627)))->BgL_sidezd2effectzd2);
		}

	}



/* &vlength-side-effect */
	obj_t BGl_z62vlengthzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_5728,
		obj_t BgL_oz00_5729)
	{
		{	/* Ast/nodetype.sch 1141 */
			return
				BGl_vlengthzd2sidezd2effectz00zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_5729));
		}

	}



/* vlength-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_628, obj_t BgL_vz00_629)
	{
		{	/* Ast/nodetype.sch 1142 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_628)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_629), BUNSPEC);
		}

	}



/* &vlength-side-effect-set! */
	obj_t BGl_z62vlengthzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5730, obj_t BgL_oz00_5731, obj_t BgL_vz00_5732)
	{
		{	/* Ast/nodetype.sch 1142 */
			return
				BGl_vlengthzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_5731), BgL_vz00_5732);
		}

	}



/* vlength-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vlengthzd2typezd2zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_630)
	{
		{	/* Ast/nodetype.sch 1143 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_630)))->BgL_typez00);
		}

	}



/* &vlength-type */
	BgL_typez00_bglt BGl_z62vlengthzd2typezb0zzast_nodez00(obj_t BgL_envz00_5733,
		obj_t BgL_oz00_5734)
	{
		{	/* Ast/nodetype.sch 1143 */
			return
				BGl_vlengthzd2typezd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_5734));
		}

	}



/* vlength-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2typezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_631, BgL_typez00_bglt BgL_vz00_632)
	{
		{	/* Ast/nodetype.sch 1144 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_631)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_632), BUNSPEC);
		}

	}



/* &vlength-type-set! */
	obj_t BGl_z62vlengthzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5735,
		obj_t BgL_oz00_5736, obj_t BgL_vz00_5737)
	{
		{	/* Ast/nodetype.sch 1144 */
			return
				BGl_vlengthzd2typezd2setz12z12zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_5736),
				((BgL_typez00_bglt) BgL_vz00_5737));
		}

	}



/* vlength-loc */
	BGL_EXPORTED_DEF obj_t BGl_vlengthzd2loczd2zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_633)
	{
		{	/* Ast/nodetype.sch 1145 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_633)))->BgL_locz00);
		}

	}



/* &vlength-loc */
	obj_t BGl_z62vlengthzd2loczb0zzast_nodez00(obj_t BgL_envz00_5738,
		obj_t BgL_oz00_5739)
	{
		{	/* Ast/nodetype.sch 1145 */
			return
				BGl_vlengthzd2loczd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_5739));
		}

	}



/* make-instanceof */
	BGL_EXPORTED_DEF BgL_instanceofz00_bglt
		BGl_makezd2instanceofzd2zzast_nodez00(obj_t BgL_loc1543z00_636,
		BgL_typez00_bglt BgL_type1544z00_637, obj_t BgL_sidezd2effect1545zd2_638,
		obj_t BgL_key1546z00_639, obj_t BgL_exprza21547za2_640,
		obj_t BgL_effect1548z00_641, obj_t BgL_czd2format1549zd2_642,
		BgL_typez00_bglt BgL_class1550z00_643)
	{
		{	/* Ast/nodetype.sch 1149 */
			{	/* Ast/nodetype.sch 1149 */
				BgL_instanceofz00_bglt BgL_new1472z00_7628;

				{	/* Ast/nodetype.sch 1149 */
					BgL_instanceofz00_bglt BgL_new1471z00_7629;

					BgL_new1471z00_7629 =
						((BgL_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_instanceofz00_bgl))));
					{	/* Ast/nodetype.sch 1149 */
						long BgL_arg1788z00_7630;

						{	/* Ast/nodetype.sch 1149 */
							long BgL_res2884z00_7631;

							BgL_res2884z00_7631 =
								BGL_CLASS_INDEX(BGl_instanceofz00zzast_nodez00);
							BgL_arg1788z00_7630 = BgL_res2884z00_7631;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1471z00_7629), BgL_arg1788z00_7630);
					}
					{	/* Ast/nodetype.sch 1149 */
						BgL_objectz00_bglt BgL_tmpz00_10426;

						BgL_tmpz00_10426 = ((BgL_objectz00_bglt) BgL_new1471z00_7629);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10426, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1471z00_7629);
					BgL_new1472z00_7628 = BgL_new1471z00_7629;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1472z00_7628)))->BgL_locz00) =
					((obj_t) BgL_loc1543z00_636), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1472z00_7628)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1544z00_637), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1472z00_7628)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1545zd2_638), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1472z00_7628)))->BgL_keyz00) =
					((obj_t) BgL_key1546z00_639), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1472z00_7628)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21547za2_640), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1472z00_7628)))->BgL_effectz00) =
					((obj_t) BgL_effect1548z00_641), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1472z00_7628)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1549zd2_642), BUNSPEC);
				((((BgL_instanceofz00_bglt) COBJECT(BgL_new1472z00_7628))->
						BgL_classz00) = ((BgL_typez00_bglt) BgL_class1550z00_643), BUNSPEC);
				return BgL_new1472z00_7628;
			}
		}

	}



/* &make-instanceof */
	BgL_instanceofz00_bglt BGl_z62makezd2instanceofzb0zzast_nodez00(obj_t
		BgL_envz00_5740, obj_t BgL_loc1543z00_5741, obj_t BgL_type1544z00_5742,
		obj_t BgL_sidezd2effect1545zd2_5743, obj_t BgL_key1546z00_5744,
		obj_t BgL_exprza21547za2_5745, obj_t BgL_effect1548z00_5746,
		obj_t BgL_czd2format1549zd2_5747, obj_t BgL_class1550z00_5748)
	{
		{	/* Ast/nodetype.sch 1149 */
			return
				BGl_makezd2instanceofzd2zzast_nodez00(BgL_loc1543z00_5741,
				((BgL_typez00_bglt) BgL_type1544z00_5742),
				BgL_sidezd2effect1545zd2_5743, BgL_key1546z00_5744,
				BgL_exprza21547za2_5745, BgL_effect1548z00_5746,
				BgL_czd2format1549zd2_5747, ((BgL_typez00_bglt) BgL_class1550z00_5748));
		}

	}



/* instanceof? */
	BGL_EXPORTED_DEF bool_t BGl_instanceofzf3zf3zzast_nodez00(obj_t
		BgL_objz00_644)
	{
		{	/* Ast/nodetype.sch 1150 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_644,
				BGl_instanceofz00zzast_nodez00);
		}

	}



/* &instanceof? */
	obj_t BGl_z62instanceofzf3z91zzast_nodez00(obj_t BgL_envz00_5749,
		obj_t BgL_objz00_5750)
	{
		{	/* Ast/nodetype.sch 1150 */
			return BBOOL(BGl_instanceofzf3zf3zzast_nodez00(BgL_objz00_5750));
		}

	}



/* instanceof-nil */
	BGL_EXPORTED_DEF BgL_instanceofz00_bglt BGl_instanceofzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1151 */
			{	/* Ast/nodetype.sch 1151 */
				obj_t BgL_classz00_3928;

				BgL_classz00_3928 = BGl_instanceofz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1151 */
					obj_t BgL__ortest_1106z00_3929;

					BgL__ortest_1106z00_3929 = BGL_CLASS_NIL(BgL_classz00_3928);
					if (CBOOL(BgL__ortest_1106z00_3929))
						{	/* Ast/nodetype.sch 1151 */
							return ((BgL_instanceofz00_bglt) BgL__ortest_1106z00_3929);
						}
					else
						{	/* Ast/nodetype.sch 1151 */
							return
								((BgL_instanceofz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3928));
						}
				}
			}
		}

	}



/* &instanceof-nil */
	BgL_instanceofz00_bglt BGl_z62instanceofzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_5751)
	{
		{	/* Ast/nodetype.sch 1151 */
			return BGl_instanceofzd2nilzd2zzast_nodez00();
		}

	}



/* instanceof-class */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_instanceofzd2classzd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_645)
	{
		{	/* Ast/nodetype.sch 1152 */
			return (((BgL_instanceofz00_bglt) COBJECT(BgL_oz00_645))->BgL_classz00);
		}

	}



/* &instanceof-class */
	BgL_typez00_bglt BGl_z62instanceofzd2classzb0zzast_nodez00(obj_t
		BgL_envz00_5752, obj_t BgL_oz00_5753)
	{
		{	/* Ast/nodetype.sch 1152 */
			return
				BGl_instanceofzd2classzd2zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_5753));
		}

	}



/* instanceof-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2classzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_646, BgL_typez00_bglt BgL_vz00_647)
	{
		{	/* Ast/nodetype.sch 1153 */
			return
				((((BgL_instanceofz00_bglt) COBJECT(BgL_oz00_646))->BgL_classz00) =
				((BgL_typez00_bglt) BgL_vz00_647), BUNSPEC);
		}

	}



/* &instanceof-class-set! */
	obj_t BGl_z62instanceofzd2classzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_5754, obj_t BgL_oz00_5755, obj_t BgL_vz00_5756)
	{
		{	/* Ast/nodetype.sch 1153 */
			return
				BGl_instanceofzd2classzd2setz12z12zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_5755),
				((BgL_typez00_bglt) BgL_vz00_5756));
		}

	}



/* instanceof-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2czd2formatz00zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_648)
	{
		{	/* Ast/nodetype.sch 1154 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_648)))->BgL_czd2formatzd2);
		}

	}



/* &instanceof-c-format */
	obj_t BGl_z62instanceofzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_5757,
		obj_t BgL_oz00_5758)
	{
		{	/* Ast/nodetype.sch 1154 */
			return
				BGl_instanceofzd2czd2formatz00zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_5758));
		}

	}



/* instanceof-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2effectzd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_651)
	{
		{	/* Ast/nodetype.sch 1156 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_651)))->BgL_effectz00);
		}

	}



/* &instanceof-effect */
	obj_t BGl_z62instanceofzd2effectzb0zzast_nodez00(obj_t BgL_envz00_5759,
		obj_t BgL_oz00_5760)
	{
		{	/* Ast/nodetype.sch 1156 */
			return
				BGl_instanceofzd2effectzd2zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_5760));
		}

	}



/* instanceof-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2effectzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_652, obj_t BgL_vz00_653)
	{
		{	/* Ast/nodetype.sch 1157 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_652)))->BgL_effectz00) =
				((obj_t) BgL_vz00_653), BUNSPEC);
		}

	}



/* &instanceof-effect-set! */
	obj_t BGl_z62instanceofzd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_5761, obj_t BgL_oz00_5762, obj_t BgL_vz00_5763)
	{
		{	/* Ast/nodetype.sch 1157 */
			return
				BGl_instanceofzd2effectzd2setz12z12zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_5762), BgL_vz00_5763);
		}

	}



/* instanceof-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2exprza2z70zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_654)
	{
		{	/* Ast/nodetype.sch 1158 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_654)))->BgL_exprza2za2);
		}

	}



/* &instanceof-expr* */
	obj_t BGl_z62instanceofzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_5764,
		obj_t BgL_oz00_5765)
	{
		{	/* Ast/nodetype.sch 1158 */
			return
				BGl_instanceofzd2exprza2z70zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_5765));
		}

	}



/* instanceof-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2exprza2zd2setz12zb0zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_655, obj_t BgL_vz00_656)
	{
		{	/* Ast/nodetype.sch 1159 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_655)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_656), BUNSPEC);
		}

	}



/* &instanceof-expr*-set! */
	obj_t BGl_z62instanceofzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_5766, obj_t BgL_oz00_5767, obj_t BgL_vz00_5768)
	{
		{	/* Ast/nodetype.sch 1159 */
			return
				BGl_instanceofzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_5767), BgL_vz00_5768);
		}

	}



/* instanceof-key */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2keyzd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_657)
	{
		{	/* Ast/nodetype.sch 1160 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_657)))->BgL_keyz00);
		}

	}



/* &instanceof-key */
	obj_t BGl_z62instanceofzd2keyzb0zzast_nodez00(obj_t BgL_envz00_5769,
		obj_t BgL_oz00_5770)
	{
		{	/* Ast/nodetype.sch 1160 */
			return
				BGl_instanceofzd2keyzd2zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_5770));
		}

	}



/* instanceof-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2keyzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_658, obj_t BgL_vz00_659)
	{
		{	/* Ast/nodetype.sch 1161 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_658)))->BgL_keyz00) =
				((obj_t) BgL_vz00_659), BUNSPEC);
		}

	}



/* &instanceof-key-set! */
	obj_t BGl_z62instanceofzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5771,
		obj_t BgL_oz00_5772, obj_t BgL_vz00_5773)
	{
		{	/* Ast/nodetype.sch 1161 */
			return
				BGl_instanceofzd2keyzd2setz12z12zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_5772), BgL_vz00_5773);
		}

	}



/* instanceof-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2sidezd2effectz00zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_660)
	{
		{	/* Ast/nodetype.sch 1162 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_660)))->BgL_sidezd2effectzd2);
		}

	}



/* &instanceof-side-effect */
	obj_t BGl_z62instanceofzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_5774,
		obj_t BgL_oz00_5775)
	{
		{	/* Ast/nodetype.sch 1162 */
			return
				BGl_instanceofzd2sidezd2effectz00zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_5775));
		}

	}



/* instanceof-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_instanceofz00_bglt BgL_oz00_661, obj_t BgL_vz00_662)
	{
		{	/* Ast/nodetype.sch 1163 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_661)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_662), BUNSPEC);
		}

	}



/* &instanceof-side-effect-set! */
	obj_t BGl_z62instanceofzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5776, obj_t BgL_oz00_5777, obj_t BgL_vz00_5778)
	{
		{	/* Ast/nodetype.sch 1163 */
			return
				BGl_instanceofzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_5777), BgL_vz00_5778);
		}

	}



/* instanceof-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_instanceofzd2typezd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_663)
	{
		{	/* Ast/nodetype.sch 1164 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_663)))->BgL_typez00);
		}

	}



/* &instanceof-type */
	BgL_typez00_bglt BGl_z62instanceofzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_5779, obj_t BgL_oz00_5780)
	{
		{	/* Ast/nodetype.sch 1164 */
			return
				BGl_instanceofzd2typezd2zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_5780));
		}

	}



/* instanceof-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2typezd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_664, BgL_typez00_bglt BgL_vz00_665)
	{
		{	/* Ast/nodetype.sch 1165 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_664)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_665), BUNSPEC);
		}

	}



/* &instanceof-type-set! */
	obj_t BGl_z62instanceofzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5781,
		obj_t BgL_oz00_5782, obj_t BgL_vz00_5783)
	{
		{	/* Ast/nodetype.sch 1165 */
			return
				BGl_instanceofzd2typezd2setz12z12zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_5782),
				((BgL_typez00_bglt) BgL_vz00_5783));
		}

	}



/* instanceof-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2loczd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_666)
	{
		{	/* Ast/nodetype.sch 1166 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_666)))->BgL_locz00);
		}

	}



/* &instanceof-loc */
	obj_t BGl_z62instanceofzd2loczb0zzast_nodez00(obj_t BgL_envz00_5784,
		obj_t BgL_oz00_5785)
	{
		{	/* Ast/nodetype.sch 1166 */
			return
				BGl_instanceofzd2loczd2zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_5785));
		}

	}



/* make-cast-null */
	BGL_EXPORTED_DEF BgL_castzd2nullzd2_bglt
		BGl_makezd2castzd2nullz00zzast_nodez00(obj_t BgL_loc1535z00_669,
		BgL_typez00_bglt BgL_type1536z00_670, obj_t BgL_sidezd2effect1537zd2_671,
		obj_t BgL_key1538z00_672, obj_t BgL_exprza21539za2_673,
		obj_t BgL_effect1540z00_674, obj_t BgL_czd2format1541zd2_675)
	{
		{	/* Ast/nodetype.sch 1170 */
			{	/* Ast/nodetype.sch 1170 */
				BgL_castzd2nullzd2_bglt BgL_new1474z00_7632;

				{	/* Ast/nodetype.sch 1170 */
					BgL_castzd2nullzd2_bglt BgL_new1473z00_7633;

					BgL_new1473z00_7633 =
						((BgL_castzd2nullzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castzd2nullzd2_bgl))));
					{	/* Ast/nodetype.sch 1170 */
						long BgL_arg1789z00_7634;

						{	/* Ast/nodetype.sch 1170 */
							long BgL_res2885z00_7635;

							BgL_res2885z00_7635 =
								BGL_CLASS_INDEX(BGl_castzd2nullzd2zzast_nodez00);
							BgL_arg1789z00_7634 = BgL_res2885z00_7635;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1473z00_7633), BgL_arg1789z00_7634);
					}
					{	/* Ast/nodetype.sch 1170 */
						BgL_objectz00_bglt BgL_tmpz00_10518;

						BgL_tmpz00_10518 = ((BgL_objectz00_bglt) BgL_new1473z00_7633);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10518, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1473z00_7633);
					BgL_new1474z00_7632 = BgL_new1473z00_7633;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1474z00_7632)))->BgL_locz00) =
					((obj_t) BgL_loc1535z00_669), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1474z00_7632)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1536z00_670), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1474z00_7632)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1537zd2_671), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1474z00_7632)))->BgL_keyz00) =
					((obj_t) BgL_key1538z00_672), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1474z00_7632)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21539za2_673), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1474z00_7632)))->BgL_effectz00) =
					((obj_t) BgL_effect1540z00_674), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1474z00_7632)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1541zd2_675), BUNSPEC);
				return BgL_new1474z00_7632;
			}
		}

	}



/* &make-cast-null */
	BgL_castzd2nullzd2_bglt BGl_z62makezd2castzd2nullz62zzast_nodez00(obj_t
		BgL_envz00_5786, obj_t BgL_loc1535z00_5787, obj_t BgL_type1536z00_5788,
		obj_t BgL_sidezd2effect1537zd2_5789, obj_t BgL_key1538z00_5790,
		obj_t BgL_exprza21539za2_5791, obj_t BgL_effect1540z00_5792,
		obj_t BgL_czd2format1541zd2_5793)
	{
		{	/* Ast/nodetype.sch 1170 */
			return
				BGl_makezd2castzd2nullz00zzast_nodez00(BgL_loc1535z00_5787,
				((BgL_typez00_bglt) BgL_type1536z00_5788),
				BgL_sidezd2effect1537zd2_5789, BgL_key1538z00_5790,
				BgL_exprza21539za2_5791, BgL_effect1540z00_5792,
				BgL_czd2format1541zd2_5793);
		}

	}



/* cast-null? */
	BGL_EXPORTED_DEF bool_t BGl_castzd2nullzf3z21zzast_nodez00(obj_t
		BgL_objz00_676)
	{
		{	/* Ast/nodetype.sch 1171 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_676,
				BGl_castzd2nullzd2zzast_nodez00);
		}

	}



/* &cast-null? */
	obj_t BGl_z62castzd2nullzf3z43zzast_nodez00(obj_t BgL_envz00_5794,
		obj_t BgL_objz00_5795)
	{
		{	/* Ast/nodetype.sch 1171 */
			return BBOOL(BGl_castzd2nullzf3z21zzast_nodez00(BgL_objz00_5795));
		}

	}



/* cast-null-nil */
	BGL_EXPORTED_DEF BgL_castzd2nullzd2_bglt
		BGl_castzd2nullzd2nilz00zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1172 */
			{	/* Ast/nodetype.sch 1172 */
				obj_t BgL_classz00_3938;

				BgL_classz00_3938 = BGl_castzd2nullzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1172 */
					obj_t BgL__ortest_1106z00_3939;

					BgL__ortest_1106z00_3939 = BGL_CLASS_NIL(BgL_classz00_3938);
					if (CBOOL(BgL__ortest_1106z00_3939))
						{	/* Ast/nodetype.sch 1172 */
							return ((BgL_castzd2nullzd2_bglt) BgL__ortest_1106z00_3939);
						}
					else
						{	/* Ast/nodetype.sch 1172 */
							return
								((BgL_castzd2nullzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3938));
						}
				}
			}
		}

	}



/* &cast-null-nil */
	BgL_castzd2nullzd2_bglt BGl_z62castzd2nullzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_5796)
	{
		{	/* Ast/nodetype.sch 1172 */
			return BGl_castzd2nullzd2nilz00zzast_nodez00();
		}

	}



/* cast-null-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2czd2formatzd2zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_677)
	{
		{	/* Ast/nodetype.sch 1173 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_677)))->BgL_czd2formatzd2);
		}

	}



/* &cast-null-c-format */
	obj_t BGl_z62castzd2nullzd2czd2formatzb0zzast_nodez00(obj_t BgL_envz00_5797,
		obj_t BgL_oz00_5798)
	{
		{	/* Ast/nodetype.sch 1173 */
			return
				BGl_castzd2nullzd2czd2formatzd2zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_5798));
		}

	}



/* cast-null-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2effectz00zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_680)
	{
		{	/* Ast/nodetype.sch 1175 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_680)))->BgL_effectz00);
		}

	}



/* &cast-null-effect */
	obj_t BGl_z62castzd2nullzd2effectz62zzast_nodez00(obj_t BgL_envz00_5799,
		obj_t BgL_oz00_5800)
	{
		{	/* Ast/nodetype.sch 1175 */
			return
				BGl_castzd2nullzd2effectz00zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_5800));
		}

	}



/* cast-null-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2effectzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_681, obj_t BgL_vz00_682)
	{
		{	/* Ast/nodetype.sch 1176 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_681)))->BgL_effectz00) =
				((obj_t) BgL_vz00_682), BUNSPEC);
		}

	}



/* &cast-null-effect-set! */
	obj_t BGl_z62castzd2nullzd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5801, obj_t BgL_oz00_5802, obj_t BgL_vz00_5803)
	{
		{	/* Ast/nodetype.sch 1176 */
			return
				BGl_castzd2nullzd2effectzd2setz12zc0zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_5802), BgL_vz00_5803);
		}

	}



/* cast-null-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2exprza2za2zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_683)
	{
		{	/* Ast/nodetype.sch 1177 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_683)))->BgL_exprza2za2);
		}

	}



/* &cast-null-expr* */
	obj_t BGl_z62castzd2nullzd2exprza2zc0zzast_nodez00(obj_t BgL_envz00_5804,
		obj_t BgL_oz00_5805)
	{
		{	/* Ast/nodetype.sch 1177 */
			return
				BGl_castzd2nullzd2exprza2za2zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_5805));
		}

	}



/* cast-null-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2exprza2zd2setz12z62zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_684, obj_t BgL_vz00_685)
	{
		{	/* Ast/nodetype.sch 1178 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_684)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_685), BUNSPEC);
		}

	}



/* &cast-null-expr*-set! */
	obj_t BGl_z62castzd2nullzd2exprza2zd2setz12z00zzast_nodez00(obj_t
		BgL_envz00_5806, obj_t BgL_oz00_5807, obj_t BgL_vz00_5808)
	{
		{	/* Ast/nodetype.sch 1178 */
			return
				BGl_castzd2nullzd2exprza2zd2setz12z62zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_5807), BgL_vz00_5808);
		}

	}



/* cast-null-key */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2keyz00zzast_nodez00(BgL_castzd2nullzd2_bglt BgL_oz00_686)
	{
		{	/* Ast/nodetype.sch 1179 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_686)))->BgL_keyz00);
		}

	}



/* &cast-null-key */
	obj_t BGl_z62castzd2nullzd2keyz62zzast_nodez00(obj_t BgL_envz00_5809,
		obj_t BgL_oz00_5810)
	{
		{	/* Ast/nodetype.sch 1179 */
			return
				BGl_castzd2nullzd2keyz00zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_5810));
		}

	}



/* cast-null-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2keyzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_687, obj_t BgL_vz00_688)
	{
		{	/* Ast/nodetype.sch 1180 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_687)))->BgL_keyz00) =
				((obj_t) BgL_vz00_688), BUNSPEC);
		}

	}



/* &cast-null-key-set! */
	obj_t BGl_z62castzd2nullzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_5811,
		obj_t BgL_oz00_5812, obj_t BgL_vz00_5813)
	{
		{	/* Ast/nodetype.sch 1180 */
			return
				BGl_castzd2nullzd2keyzd2setz12zc0zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_5812), BgL_vz00_5813);
		}

	}



/* cast-null-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2sidezd2effectzd2zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_689)
	{
		{	/* Ast/nodetype.sch 1181 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_689)))->BgL_sidezd2effectzd2);
		}

	}



/* &cast-null-side-effect */
	obj_t BGl_z62castzd2nullzd2sidezd2effectzb0zzast_nodez00(obj_t
		BgL_envz00_5814, obj_t BgL_oz00_5815)
	{
		{	/* Ast/nodetype.sch 1181 */
			return
				BGl_castzd2nullzd2sidezd2effectzd2zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_5815));
		}

	}



/* cast-null-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_castzd2nullzd2_bglt BgL_oz00_690, obj_t BgL_vz00_691)
	{
		{	/* Ast/nodetype.sch 1182 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_690)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_691), BUNSPEC);
		}

	}



/* &cast-null-side-effect-set! */
	obj_t BGl_z62castzd2nullzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_5816, obj_t BgL_oz00_5817, obj_t BgL_vz00_5818)
	{
		{	/* Ast/nodetype.sch 1182 */
			return
				BGl_castzd2nullzd2sidezd2effectzd2setz12z12zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_5817), BgL_vz00_5818);
		}

	}



/* cast-null-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_castzd2nullzd2typez00zzast_nodez00(BgL_castzd2nullzd2_bglt BgL_oz00_692)
	{
		{	/* Ast/nodetype.sch 1183 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_692)))->BgL_typez00);
		}

	}



/* &cast-null-type */
	BgL_typez00_bglt BGl_z62castzd2nullzd2typez62zzast_nodez00(obj_t
		BgL_envz00_5819, obj_t BgL_oz00_5820)
	{
		{	/* Ast/nodetype.sch 1183 */
			return
				BGl_castzd2nullzd2typez00zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_5820));
		}

	}



/* cast-null-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2typezd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_693, BgL_typez00_bglt BgL_vz00_694)
	{
		{	/* Ast/nodetype.sch 1184 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_693)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_694), BUNSPEC);
		}

	}



/* &cast-null-type-set! */
	obj_t BGl_z62castzd2nullzd2typezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5821, obj_t BgL_oz00_5822, obj_t BgL_vz00_5823)
	{
		{	/* Ast/nodetype.sch 1184 */
			return
				BGl_castzd2nullzd2typezd2setz12zc0zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_5822),
				((BgL_typez00_bglt) BgL_vz00_5823));
		}

	}



/* cast-null-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2locz00zzast_nodez00(BgL_castzd2nullzd2_bglt BgL_oz00_695)
	{
		{	/* Ast/nodetype.sch 1185 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_695)))->BgL_locz00);
		}

	}



/* &cast-null-loc */
	obj_t BGl_z62castzd2nullzd2locz62zzast_nodez00(obj_t BgL_envz00_5824,
		obj_t BgL_oz00_5825)
	{
		{	/* Ast/nodetype.sch 1185 */
			return
				BGl_castzd2nullzd2locz00zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_5825));
		}

	}



/* make-cast */
	BGL_EXPORTED_DEF BgL_castz00_bglt BGl_makezd2castzd2zzast_nodez00(obj_t
		BgL_loc1528z00_698, BgL_typez00_bglt BgL_type1529z00_699,
		BgL_nodez00_bglt BgL_arg1533z00_700)
	{
		{	/* Ast/nodetype.sch 1189 */
			{	/* Ast/nodetype.sch 1189 */
				BgL_castz00_bglt BgL_new1476z00_7636;

				{	/* Ast/nodetype.sch 1189 */
					BgL_castz00_bglt BgL_new1475z00_7637;

					BgL_new1475z00_7637 =
						((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castz00_bgl))));
					{	/* Ast/nodetype.sch 1189 */
						long BgL_arg1790z00_7638;

						{	/* Ast/nodetype.sch 1189 */
							long BgL_res2886z00_7639;

							BgL_res2886z00_7639 = BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
							BgL_arg1790z00_7638 = BgL_res2886z00_7639;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1475z00_7637), BgL_arg1790z00_7638);
					}
					{	/* Ast/nodetype.sch 1189 */
						BgL_objectz00_bglt BgL_tmpz00_10601;

						BgL_tmpz00_10601 = ((BgL_objectz00_bglt) BgL_new1475z00_7637);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10601, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1475z00_7637);
					BgL_new1476z00_7636 = BgL_new1475z00_7637;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1476z00_7636)))->BgL_locz00) =
					((obj_t) BgL_loc1528z00_698), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1476z00_7636)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1529z00_699), BUNSPEC);
				((((BgL_castz00_bglt) COBJECT(BgL_new1476z00_7636))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_arg1533z00_700), BUNSPEC);
				return BgL_new1476z00_7636;
			}
		}

	}



/* &make-cast */
	BgL_castz00_bglt BGl_z62makezd2castzb0zzast_nodez00(obj_t BgL_envz00_5826,
		obj_t BgL_loc1528z00_5827, obj_t BgL_type1529z00_5828,
		obj_t BgL_arg1533z00_5829)
	{
		{	/* Ast/nodetype.sch 1189 */
			return
				BGl_makezd2castzd2zzast_nodez00(BgL_loc1528z00_5827,
				((BgL_typez00_bglt) BgL_type1529z00_5828),
				((BgL_nodez00_bglt) BgL_arg1533z00_5829));
		}

	}



/* cast? */
	BGL_EXPORTED_DEF bool_t BGl_castzf3zf3zzast_nodez00(obj_t BgL_objz00_701)
	{
		{	/* Ast/nodetype.sch 1190 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_701, BGl_castz00zzast_nodez00);
		}

	}



/* &cast? */
	obj_t BGl_z62castzf3z91zzast_nodez00(obj_t BgL_envz00_5830,
		obj_t BgL_objz00_5831)
	{
		{	/* Ast/nodetype.sch 1190 */
			return BBOOL(BGl_castzf3zf3zzast_nodez00(BgL_objz00_5831));
		}

	}



/* cast-nil */
	BGL_EXPORTED_DEF BgL_castz00_bglt BGl_castzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1191 */
			{	/* Ast/nodetype.sch 1191 */
				obj_t BgL_classz00_3948;

				BgL_classz00_3948 = BGl_castz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1191 */
					obj_t BgL__ortest_1106z00_3949;

					BgL__ortest_1106z00_3949 = BGL_CLASS_NIL(BgL_classz00_3948);
					if (CBOOL(BgL__ortest_1106z00_3949))
						{	/* Ast/nodetype.sch 1191 */
							return ((BgL_castz00_bglt) BgL__ortest_1106z00_3949);
						}
					else
						{	/* Ast/nodetype.sch 1191 */
							return
								((BgL_castz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3948));
						}
				}
			}
		}

	}



/* &cast-nil */
	BgL_castz00_bglt BGl_z62castzd2nilzb0zzast_nodez00(obj_t BgL_envz00_5832)
	{
		{	/* Ast/nodetype.sch 1191 */
			return BGl_castzd2nilzd2zzast_nodez00();
		}

	}



/* cast-arg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_castzd2argzd2zzast_nodez00(BgL_castz00_bglt BgL_oz00_702)
	{
		{	/* Ast/nodetype.sch 1192 */
			return (((BgL_castz00_bglt) COBJECT(BgL_oz00_702))->BgL_argz00);
		}

	}



/* &cast-arg */
	BgL_nodez00_bglt BGl_z62castzd2argzb0zzast_nodez00(obj_t BgL_envz00_5833,
		obj_t BgL_oz00_5834)
	{
		{	/* Ast/nodetype.sch 1192 */
			return BGl_castzd2argzd2zzast_nodez00(((BgL_castz00_bglt) BgL_oz00_5834));
		}

	}



/* cast-arg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2argzd2setz12z12zzast_nodez00(BgL_castz00_bglt BgL_oz00_703,
		BgL_nodez00_bglt BgL_vz00_704)
	{
		{	/* Ast/nodetype.sch 1193 */
			return
				((((BgL_castz00_bglt) COBJECT(BgL_oz00_703))->BgL_argz00) =
				((BgL_nodez00_bglt) BgL_vz00_704), BUNSPEC);
		}

	}



/* &cast-arg-set! */
	obj_t BGl_z62castzd2argzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5835,
		obj_t BgL_oz00_5836, obj_t BgL_vz00_5837)
	{
		{	/* Ast/nodetype.sch 1193 */
			return
				BGl_castzd2argzd2setz12z12zzast_nodez00(
				((BgL_castz00_bglt) BgL_oz00_5836), ((BgL_nodez00_bglt) BgL_vz00_5837));
		}

	}



/* cast-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_castzd2typezd2zzast_nodez00(BgL_castz00_bglt BgL_oz00_705)
	{
		{	/* Ast/nodetype.sch 1194 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_705)))->BgL_typez00);
		}

	}



/* &cast-type */
	BgL_typez00_bglt BGl_z62castzd2typezb0zzast_nodez00(obj_t BgL_envz00_5838,
		obj_t BgL_oz00_5839)
	{
		{	/* Ast/nodetype.sch 1194 */
			return
				BGl_castzd2typezd2zzast_nodez00(((BgL_castz00_bglt) BgL_oz00_5839));
		}

	}



/* cast-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2typezd2setz12z12zzast_nodez00(BgL_castz00_bglt BgL_oz00_706,
		BgL_typez00_bglt BgL_vz00_707)
	{
		{	/* Ast/nodetype.sch 1195 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_706)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_707), BUNSPEC);
		}

	}



/* &cast-type-set! */
	obj_t BGl_z62castzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5840,
		obj_t BgL_oz00_5841, obj_t BgL_vz00_5842)
	{
		{	/* Ast/nodetype.sch 1195 */
			return
				BGl_castzd2typezd2setz12z12zzast_nodez00(
				((BgL_castz00_bglt) BgL_oz00_5841), ((BgL_typez00_bglt) BgL_vz00_5842));
		}

	}



/* cast-loc */
	BGL_EXPORTED_DEF obj_t BGl_castzd2loczd2zzast_nodez00(BgL_castz00_bglt
		BgL_oz00_708)
	{
		{	/* Ast/nodetype.sch 1196 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_708)))->BgL_locz00);
		}

	}



/* &cast-loc */
	obj_t BGl_z62castzd2loczb0zzast_nodez00(obj_t BgL_envz00_5843,
		obj_t BgL_oz00_5844)
	{
		{	/* Ast/nodetype.sch 1196 */
			return BGl_castzd2loczd2zzast_nodez00(((BgL_castz00_bglt) BgL_oz00_5844));
		}

	}



/* make-setq */
	BGL_EXPORTED_DEF BgL_setqz00_bglt BGl_makezd2setqzd2zzast_nodez00(obj_t
		BgL_loc1523z00_711, BgL_typez00_bglt BgL_type1524z00_712,
		BgL_varz00_bglt BgL_var1525z00_713, BgL_nodez00_bglt BgL_value1526z00_714)
	{
		{	/* Ast/nodetype.sch 1200 */
			{	/* Ast/nodetype.sch 1200 */
				BgL_setqz00_bglt BgL_new1478z00_7640;

				{	/* Ast/nodetype.sch 1200 */
					BgL_setqz00_bglt BgL_new1477z00_7641;

					BgL_new1477z00_7641 =
						((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setqz00_bgl))));
					{	/* Ast/nodetype.sch 1200 */
						long BgL_arg1791z00_7642;

						{	/* Ast/nodetype.sch 1200 */
							long BgL_res2887z00_7643;

							BgL_res2887z00_7643 = BGL_CLASS_INDEX(BGl_setqz00zzast_nodez00);
							BgL_arg1791z00_7642 = BgL_res2887z00_7643;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1477z00_7641), BgL_arg1791z00_7642);
					}
					{	/* Ast/nodetype.sch 1200 */
						BgL_objectz00_bglt BgL_tmpz00_10647;

						BgL_tmpz00_10647 = ((BgL_objectz00_bglt) BgL_new1477z00_7641);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10647, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1477z00_7641);
					BgL_new1478z00_7640 = BgL_new1477z00_7641;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1478z00_7640)))->BgL_locz00) =
					((obj_t) BgL_loc1523z00_711), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1478z00_7640)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1524z00_712), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(BgL_new1478z00_7640))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1525z00_713), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(BgL_new1478z00_7640))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1526z00_714), BUNSPEC);
				return BgL_new1478z00_7640;
			}
		}

	}



/* &make-setq */
	BgL_setqz00_bglt BGl_z62makezd2setqzb0zzast_nodez00(obj_t BgL_envz00_5845,
		obj_t BgL_loc1523z00_5846, obj_t BgL_type1524z00_5847,
		obj_t BgL_var1525z00_5848, obj_t BgL_value1526z00_5849)
	{
		{	/* Ast/nodetype.sch 1200 */
			return
				BGl_makezd2setqzd2zzast_nodez00(BgL_loc1523z00_5846,
				((BgL_typez00_bglt) BgL_type1524z00_5847),
				((BgL_varz00_bglt) BgL_var1525z00_5848),
				((BgL_nodez00_bglt) BgL_value1526z00_5849));
		}

	}



/* setq? */
	BGL_EXPORTED_DEF bool_t BGl_setqzf3zf3zzast_nodez00(obj_t BgL_objz00_715)
	{
		{	/* Ast/nodetype.sch 1201 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_715, BGl_setqz00zzast_nodez00);
		}

	}



/* &setq? */
	obj_t BGl_z62setqzf3z91zzast_nodez00(obj_t BgL_envz00_5850,
		obj_t BgL_objz00_5851)
	{
		{	/* Ast/nodetype.sch 1201 */
			return BBOOL(BGl_setqzf3zf3zzast_nodez00(BgL_objz00_5851));
		}

	}



/* setq-nil */
	BGL_EXPORTED_DEF BgL_setqz00_bglt BGl_setqzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1202 */
			{	/* Ast/nodetype.sch 1202 */
				obj_t BgL_classz00_3958;

				BgL_classz00_3958 = BGl_setqz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1202 */
					obj_t BgL__ortest_1106z00_3959;

					BgL__ortest_1106z00_3959 = BGL_CLASS_NIL(BgL_classz00_3958);
					if (CBOOL(BgL__ortest_1106z00_3959))
						{	/* Ast/nodetype.sch 1202 */
							return ((BgL_setqz00_bglt) BgL__ortest_1106z00_3959);
						}
					else
						{	/* Ast/nodetype.sch 1202 */
							return
								((BgL_setqz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3958));
						}
				}
			}
		}

	}



/* &setq-nil */
	BgL_setqz00_bglt BGl_z62setqzd2nilzb0zzast_nodez00(obj_t BgL_envz00_5852)
	{
		{	/* Ast/nodetype.sch 1202 */
			return BGl_setqzd2nilzd2zzast_nodez00();
		}

	}



/* setq-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setqzd2valuezd2zzast_nodez00(BgL_setqz00_bglt BgL_oz00_716)
	{
		{	/* Ast/nodetype.sch 1203 */
			return (((BgL_setqz00_bglt) COBJECT(BgL_oz00_716))->BgL_valuez00);
		}

	}



/* &setq-value */
	BgL_nodez00_bglt BGl_z62setqzd2valuezb0zzast_nodez00(obj_t BgL_envz00_5853,
		obj_t BgL_oz00_5854)
	{
		{	/* Ast/nodetype.sch 1203 */
			return
				BGl_setqzd2valuezd2zzast_nodez00(((BgL_setqz00_bglt) BgL_oz00_5854));
		}

	}



/* setq-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzd2valuezd2setz12z12zzast_nodez00(BgL_setqz00_bglt BgL_oz00_717,
		BgL_nodez00_bglt BgL_vz00_718)
	{
		{	/* Ast/nodetype.sch 1204 */
			return
				((((BgL_setqz00_bglt) COBJECT(BgL_oz00_717))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_718), BUNSPEC);
		}

	}



/* &setq-value-set! */
	obj_t BGl_z62setqzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5855,
		obj_t BgL_oz00_5856, obj_t BgL_vz00_5857)
	{
		{	/* Ast/nodetype.sch 1204 */
			return
				BGl_setqzd2valuezd2setz12z12zzast_nodez00(
				((BgL_setqz00_bglt) BgL_oz00_5856), ((BgL_nodez00_bglt) BgL_vz00_5857));
		}

	}



/* setq-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_setqzd2varzd2zzast_nodez00(BgL_setqz00_bglt BgL_oz00_719)
	{
		{	/* Ast/nodetype.sch 1205 */
			return (((BgL_setqz00_bglt) COBJECT(BgL_oz00_719))->BgL_varz00);
		}

	}



/* &setq-var */
	BgL_varz00_bglt BGl_z62setqzd2varzb0zzast_nodez00(obj_t BgL_envz00_5858,
		obj_t BgL_oz00_5859)
	{
		{	/* Ast/nodetype.sch 1205 */
			return BGl_setqzd2varzd2zzast_nodez00(((BgL_setqz00_bglt) BgL_oz00_5859));
		}

	}



/* setq-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzd2varzd2setz12z12zzast_nodez00(BgL_setqz00_bglt BgL_oz00_720,
		BgL_varz00_bglt BgL_vz00_721)
	{
		{	/* Ast/nodetype.sch 1206 */
			return
				((((BgL_setqz00_bglt) COBJECT(BgL_oz00_720))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_721), BUNSPEC);
		}

	}



/* &setq-var-set! */
	obj_t BGl_z62setqzd2varzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5860,
		obj_t BgL_oz00_5861, obj_t BgL_vz00_5862)
	{
		{	/* Ast/nodetype.sch 1206 */
			return
				BGl_setqzd2varzd2setz12z12zzast_nodez00(
				((BgL_setqz00_bglt) BgL_oz00_5861), ((BgL_varz00_bglt) BgL_vz00_5862));
		}

	}



/* setq-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setqzd2typezd2zzast_nodez00(BgL_setqz00_bglt BgL_oz00_722)
	{
		{	/* Ast/nodetype.sch 1207 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_722)))->BgL_typez00);
		}

	}



/* &setq-type */
	BgL_typez00_bglt BGl_z62setqzd2typezb0zzast_nodez00(obj_t BgL_envz00_5863,
		obj_t BgL_oz00_5864)
	{
		{	/* Ast/nodetype.sch 1207 */
			return
				BGl_setqzd2typezd2zzast_nodez00(((BgL_setqz00_bglt) BgL_oz00_5864));
		}

	}



/* setq-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzd2typezd2setz12z12zzast_nodez00(BgL_setqz00_bglt BgL_oz00_723,
		BgL_typez00_bglt BgL_vz00_724)
	{
		{	/* Ast/nodetype.sch 1208 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_723)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_724), BUNSPEC);
		}

	}



/* &setq-type-set! */
	obj_t BGl_z62setqzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5865,
		obj_t BgL_oz00_5866, obj_t BgL_vz00_5867)
	{
		{	/* Ast/nodetype.sch 1208 */
			return
				BGl_setqzd2typezd2setz12z12zzast_nodez00(
				((BgL_setqz00_bglt) BgL_oz00_5866), ((BgL_typez00_bglt) BgL_vz00_5867));
		}

	}



/* setq-loc */
	BGL_EXPORTED_DEF obj_t BGl_setqzd2loczd2zzast_nodez00(BgL_setqz00_bglt
		BgL_oz00_725)
	{
		{	/* Ast/nodetype.sch 1209 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_725)))->BgL_locz00);
		}

	}



/* &setq-loc */
	obj_t BGl_z62setqzd2loczb0zzast_nodez00(obj_t BgL_envz00_5868,
		obj_t BgL_oz00_5869)
	{
		{	/* Ast/nodetype.sch 1209 */
			return BGl_setqzd2loczd2zzast_nodez00(((BgL_setqz00_bglt) BgL_oz00_5869));
		}

	}



/* make-conditional */
	BGL_EXPORTED_DEF BgL_conditionalz00_bglt
		BGl_makezd2conditionalzd2zzast_nodez00(obj_t BgL_loc1515z00_728,
		BgL_typez00_bglt BgL_type1516z00_729, obj_t BgL_sidezd2effect1517zd2_730,
		obj_t BgL_key1518z00_731, BgL_nodez00_bglt BgL_test1519z00_732,
		BgL_nodez00_bglt BgL_true1520z00_733, BgL_nodez00_bglt BgL_false1521z00_734)
	{
		{	/* Ast/nodetype.sch 1213 */
			{	/* Ast/nodetype.sch 1213 */
				BgL_conditionalz00_bglt BgL_new1480z00_7644;

				{	/* Ast/nodetype.sch 1213 */
					BgL_conditionalz00_bglt BgL_new1479z00_7645;

					BgL_new1479z00_7645 =
						((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_conditionalz00_bgl))));
					{	/* Ast/nodetype.sch 1213 */
						long BgL_arg1792z00_7646;

						{	/* Ast/nodetype.sch 1213 */
							long BgL_res2888z00_7647;

							BgL_res2888z00_7647 =
								BGL_CLASS_INDEX(BGl_conditionalz00zzast_nodez00);
							BgL_arg1792z00_7646 = BgL_res2888z00_7647;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1479z00_7645), BgL_arg1792z00_7646);
					}
					{	/* Ast/nodetype.sch 1213 */
						BgL_objectz00_bglt BgL_tmpz00_10702;

						BgL_tmpz00_10702 = ((BgL_objectz00_bglt) BgL_new1479z00_7645);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10702, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1479z00_7645);
					BgL_new1480z00_7644 = BgL_new1479z00_7645;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1480z00_7644)))->BgL_locz00) =
					((obj_t) BgL_loc1515z00_728), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1480z00_7644)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1516z00_729), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1480z00_7644)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1517zd2_730), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1480z00_7644)))->BgL_keyz00) =
					((obj_t) BgL_key1518z00_731), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1480z00_7644))->
						BgL_testz00) = ((BgL_nodez00_bglt) BgL_test1519z00_732), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1480z00_7644))->
						BgL_truez00) = ((BgL_nodez00_bglt) BgL_true1520z00_733), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1480z00_7644))->
						BgL_falsez00) = ((BgL_nodez00_bglt) BgL_false1521z00_734), BUNSPEC);
				return BgL_new1480z00_7644;
			}
		}

	}



/* &make-conditional */
	BgL_conditionalz00_bglt BGl_z62makezd2conditionalzb0zzast_nodez00(obj_t
		BgL_envz00_5870, obj_t BgL_loc1515z00_5871, obj_t BgL_type1516z00_5872,
		obj_t BgL_sidezd2effect1517zd2_5873, obj_t BgL_key1518z00_5874,
		obj_t BgL_test1519z00_5875, obj_t BgL_true1520z00_5876,
		obj_t BgL_false1521z00_5877)
	{
		{	/* Ast/nodetype.sch 1213 */
			return
				BGl_makezd2conditionalzd2zzast_nodez00(BgL_loc1515z00_5871,
				((BgL_typez00_bglt) BgL_type1516z00_5872),
				BgL_sidezd2effect1517zd2_5873, BgL_key1518z00_5874,
				((BgL_nodez00_bglt) BgL_test1519z00_5875),
				((BgL_nodez00_bglt) BgL_true1520z00_5876),
				((BgL_nodez00_bglt) BgL_false1521z00_5877));
		}

	}



/* conditional? */
	BGL_EXPORTED_DEF bool_t BGl_conditionalzf3zf3zzast_nodez00(obj_t
		BgL_objz00_735)
	{
		{	/* Ast/nodetype.sch 1214 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_735,
				BGl_conditionalz00zzast_nodez00);
		}

	}



/* &conditional? */
	obj_t BGl_z62conditionalzf3z91zzast_nodez00(obj_t BgL_envz00_5878,
		obj_t BgL_objz00_5879)
	{
		{	/* Ast/nodetype.sch 1214 */
			return BBOOL(BGl_conditionalzf3zf3zzast_nodez00(BgL_objz00_5879));
		}

	}



/* conditional-nil */
	BGL_EXPORTED_DEF BgL_conditionalz00_bglt
		BGl_conditionalzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1215 */
			{	/* Ast/nodetype.sch 1215 */
				obj_t BgL_classz00_3968;

				BgL_classz00_3968 = BGl_conditionalz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1215 */
					obj_t BgL__ortest_1106z00_3969;

					BgL__ortest_1106z00_3969 = BGL_CLASS_NIL(BgL_classz00_3968);
					if (CBOOL(BgL__ortest_1106z00_3969))
						{	/* Ast/nodetype.sch 1215 */
							return ((BgL_conditionalz00_bglt) BgL__ortest_1106z00_3969);
						}
					else
						{	/* Ast/nodetype.sch 1215 */
							return
								((BgL_conditionalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3968));
						}
				}
			}
		}

	}



/* &conditional-nil */
	BgL_conditionalz00_bglt BGl_z62conditionalzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_5880)
	{
		{	/* Ast/nodetype.sch 1215 */
			return BGl_conditionalzd2nilzd2zzast_nodez00();
		}

	}



/* conditional-false */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzd2falsezd2zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_736)
	{
		{	/* Ast/nodetype.sch 1216 */
			return (((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_736))->BgL_falsez00);
		}

	}



/* &conditional-false */
	BgL_nodez00_bglt BGl_z62conditionalzd2falsezb0zzast_nodez00(obj_t
		BgL_envz00_5881, obj_t BgL_oz00_5882)
	{
		{	/* Ast/nodetype.sch 1216 */
			return
				BGl_conditionalzd2falsezd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_5882));
		}

	}



/* conditional-false-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2falsezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_737, BgL_nodez00_bglt BgL_vz00_738)
	{
		{	/* Ast/nodetype.sch 1217 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_737))->BgL_falsez00) =
				((BgL_nodez00_bglt) BgL_vz00_738), BUNSPEC);
		}

	}



/* &conditional-false-set! */
	obj_t BGl_z62conditionalzd2falsezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_5883, obj_t BgL_oz00_5884, obj_t BgL_vz00_5885)
	{
		{	/* Ast/nodetype.sch 1217 */
			return
				BGl_conditionalzd2falsezd2setz12z12zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_5884),
				((BgL_nodez00_bglt) BgL_vz00_5885));
		}

	}



/* conditional-true */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzd2truezd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_739)
	{
		{	/* Ast/nodetype.sch 1218 */
			return (((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_739))->BgL_truez00);
		}

	}



/* &conditional-true */
	BgL_nodez00_bglt BGl_z62conditionalzd2truezb0zzast_nodez00(obj_t
		BgL_envz00_5886, obj_t BgL_oz00_5887)
	{
		{	/* Ast/nodetype.sch 1218 */
			return
				BGl_conditionalzd2truezd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_5887));
		}

	}



/* conditional-true-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2truezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_740, BgL_nodez00_bglt BgL_vz00_741)
	{
		{	/* Ast/nodetype.sch 1219 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_740))->BgL_truez00) =
				((BgL_nodez00_bglt) BgL_vz00_741), BUNSPEC);
		}

	}



/* &conditional-true-set! */
	obj_t BGl_z62conditionalzd2truezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_5888, obj_t BgL_oz00_5889, obj_t BgL_vz00_5890)
	{
		{	/* Ast/nodetype.sch 1219 */
			return
				BGl_conditionalzd2truezd2setz12z12zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_5889),
				((BgL_nodez00_bglt) BgL_vz00_5890));
		}

	}



/* conditional-test */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzd2testzd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_742)
	{
		{	/* Ast/nodetype.sch 1220 */
			return (((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_742))->BgL_testz00);
		}

	}



/* &conditional-test */
	BgL_nodez00_bglt BGl_z62conditionalzd2testzb0zzast_nodez00(obj_t
		BgL_envz00_5891, obj_t BgL_oz00_5892)
	{
		{	/* Ast/nodetype.sch 1220 */
			return
				BGl_conditionalzd2testzd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_5892));
		}

	}



/* conditional-test-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2testzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_743, BgL_nodez00_bglt BgL_vz00_744)
	{
		{	/* Ast/nodetype.sch 1221 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_743))->BgL_testz00) =
				((BgL_nodez00_bglt) BgL_vz00_744), BUNSPEC);
		}

	}



/* &conditional-test-set! */
	obj_t BGl_z62conditionalzd2testzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_5893, obj_t BgL_oz00_5894, obj_t BgL_vz00_5895)
	{
		{	/* Ast/nodetype.sch 1221 */
			return
				BGl_conditionalzd2testzd2setz12z12zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_5894),
				((BgL_nodez00_bglt) BgL_vz00_5895));
		}

	}



/* conditional-key */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2keyzd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_745)
	{
		{	/* Ast/nodetype.sch 1222 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_745)))->BgL_keyz00);
		}

	}



/* &conditional-key */
	obj_t BGl_z62conditionalzd2keyzb0zzast_nodez00(obj_t BgL_envz00_5896,
		obj_t BgL_oz00_5897)
	{
		{	/* Ast/nodetype.sch 1222 */
			return
				BGl_conditionalzd2keyzd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_5897));
		}

	}



/* conditional-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2keyzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_746, obj_t BgL_vz00_747)
	{
		{	/* Ast/nodetype.sch 1223 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_746)))->BgL_keyz00) =
				((obj_t) BgL_vz00_747), BUNSPEC);
		}

	}



/* &conditional-key-set! */
	obj_t BGl_z62conditionalzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5898,
		obj_t BgL_oz00_5899, obj_t BgL_vz00_5900)
	{
		{	/* Ast/nodetype.sch 1223 */
			return
				BGl_conditionalzd2keyzd2setz12z12zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_5899), BgL_vz00_5900);
		}

	}



/* conditional-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2sidezd2effectz00zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_748)
	{
		{	/* Ast/nodetype.sch 1224 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_748)))->BgL_sidezd2effectzd2);
		}

	}



/* &conditional-side-effect */
	obj_t BGl_z62conditionalzd2sidezd2effectz62zzast_nodez00(obj_t
		BgL_envz00_5901, obj_t BgL_oz00_5902)
	{
		{	/* Ast/nodetype.sch 1224 */
			return
				BGl_conditionalzd2sidezd2effectz00zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_5902));
		}

	}



/* conditional-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_conditionalz00_bglt BgL_oz00_749, obj_t BgL_vz00_750)
	{
		{	/* Ast/nodetype.sch 1225 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_749)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_750), BUNSPEC);
		}

	}



/* &conditional-side-effect-set! */
	obj_t BGl_z62conditionalzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5903, obj_t BgL_oz00_5904, obj_t BgL_vz00_5905)
	{
		{	/* Ast/nodetype.sch 1225 */
			return
				BGl_conditionalzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_5904), BgL_vz00_5905);
		}

	}



/* conditional-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_conditionalzd2typezd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_751)
	{
		{	/* Ast/nodetype.sch 1226 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_751)))->BgL_typez00);
		}

	}



/* &conditional-type */
	BgL_typez00_bglt BGl_z62conditionalzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_5906, obj_t BgL_oz00_5907)
	{
		{	/* Ast/nodetype.sch 1226 */
			return
				BGl_conditionalzd2typezd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_5907));
		}

	}



/* conditional-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2typezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_752, BgL_typez00_bglt BgL_vz00_753)
	{
		{	/* Ast/nodetype.sch 1227 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_752)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_753), BUNSPEC);
		}

	}



/* &conditional-type-set! */
	obj_t BGl_z62conditionalzd2typezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_5908, obj_t BgL_oz00_5909, obj_t BgL_vz00_5910)
	{
		{	/* Ast/nodetype.sch 1227 */
			return
				BGl_conditionalzd2typezd2setz12z12zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_5909),
				((BgL_typez00_bglt) BgL_vz00_5910));
		}

	}



/* conditional-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2loczd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_754)
	{
		{	/* Ast/nodetype.sch 1228 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_754)))->BgL_locz00);
		}

	}



/* &conditional-loc */
	obj_t BGl_z62conditionalzd2loczb0zzast_nodez00(obj_t BgL_envz00_5911,
		obj_t BgL_oz00_5912)
	{
		{	/* Ast/nodetype.sch 1228 */
			return
				BGl_conditionalzd2loczd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_5912));
		}

	}



/* make-fail */
	BGL_EXPORTED_DEF BgL_failz00_bglt BGl_makezd2failzd2zzast_nodez00(obj_t
		BgL_loc1509z00_757, BgL_typez00_bglt BgL_type1510z00_758,
		BgL_nodez00_bglt BgL_proc1511z00_759, BgL_nodez00_bglt BgL_msg1512z00_760,
		BgL_nodez00_bglt BgL_obj1513z00_761)
	{
		{	/* Ast/nodetype.sch 1232 */
			{	/* Ast/nodetype.sch 1232 */
				BgL_failz00_bglt BgL_new1482z00_7648;

				{	/* Ast/nodetype.sch 1232 */
					BgL_failz00_bglt BgL_new1481z00_7649;

					BgL_new1481z00_7649 =
						((BgL_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_failz00_bgl))));
					{	/* Ast/nodetype.sch 1232 */
						long BgL_arg1793z00_7650;

						{	/* Ast/nodetype.sch 1232 */
							long BgL_res2889z00_7651;

							BgL_res2889z00_7651 = BGL_CLASS_INDEX(BGl_failz00zzast_nodez00);
							BgL_arg1793z00_7650 = BgL_res2889z00_7651;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1481z00_7649), BgL_arg1793z00_7650);
					}
					{	/* Ast/nodetype.sch 1232 */
						BgL_objectz00_bglt BgL_tmpz00_10786;

						BgL_tmpz00_10786 = ((BgL_objectz00_bglt) BgL_new1481z00_7649);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10786, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1481z00_7649);
					BgL_new1482z00_7648 = BgL_new1481z00_7649;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1482z00_7648)))->BgL_locz00) =
					((obj_t) BgL_loc1509z00_757), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1482z00_7648)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1510z00_758), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1482z00_7648))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_proc1511z00_759), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1482z00_7648))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_msg1512z00_760), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1482z00_7648))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_obj1513z00_761), BUNSPEC);
				return BgL_new1482z00_7648;
			}
		}

	}



/* &make-fail */
	BgL_failz00_bglt BGl_z62makezd2failzb0zzast_nodez00(obj_t BgL_envz00_5913,
		obj_t BgL_loc1509z00_5914, obj_t BgL_type1510z00_5915,
		obj_t BgL_proc1511z00_5916, obj_t BgL_msg1512z00_5917,
		obj_t BgL_obj1513z00_5918)
	{
		{	/* Ast/nodetype.sch 1232 */
			return
				BGl_makezd2failzd2zzast_nodez00(BgL_loc1509z00_5914,
				((BgL_typez00_bglt) BgL_type1510z00_5915),
				((BgL_nodez00_bglt) BgL_proc1511z00_5916),
				((BgL_nodez00_bglt) BgL_msg1512z00_5917),
				((BgL_nodez00_bglt) BgL_obj1513z00_5918));
		}

	}



/* fail? */
	BGL_EXPORTED_DEF bool_t BGl_failzf3zf3zzast_nodez00(obj_t BgL_objz00_762)
	{
		{	/* Ast/nodetype.sch 1233 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_762, BGl_failz00zzast_nodez00);
		}

	}



/* &fail? */
	obj_t BGl_z62failzf3z91zzast_nodez00(obj_t BgL_envz00_5919,
		obj_t BgL_objz00_5920)
	{
		{	/* Ast/nodetype.sch 1233 */
			return BBOOL(BGl_failzf3zf3zzast_nodez00(BgL_objz00_5920));
		}

	}



/* fail-nil */
	BGL_EXPORTED_DEF BgL_failz00_bglt BGl_failzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1234 */
			{	/* Ast/nodetype.sch 1234 */
				obj_t BgL_classz00_3978;

				BgL_classz00_3978 = BGl_failz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1234 */
					obj_t BgL__ortest_1106z00_3979;

					BgL__ortest_1106z00_3979 = BGL_CLASS_NIL(BgL_classz00_3978);
					if (CBOOL(BgL__ortest_1106z00_3979))
						{	/* Ast/nodetype.sch 1234 */
							return ((BgL_failz00_bglt) BgL__ortest_1106z00_3979);
						}
					else
						{	/* Ast/nodetype.sch 1234 */
							return
								((BgL_failz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3978));
						}
				}
			}
		}

	}



/* &fail-nil */
	BgL_failz00_bglt BGl_z62failzd2nilzb0zzast_nodez00(obj_t BgL_envz00_5921)
	{
		{	/* Ast/nodetype.sch 1234 */
			return BGl_failzd2nilzd2zzast_nodez00();
		}

	}



/* fail-obj */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzd2objzd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_763)
	{
		{	/* Ast/nodetype.sch 1235 */
			return (((BgL_failz00_bglt) COBJECT(BgL_oz00_763))->BgL_objz00);
		}

	}



/* &fail-obj */
	BgL_nodez00_bglt BGl_z62failzd2objzb0zzast_nodez00(obj_t BgL_envz00_5922,
		obj_t BgL_oz00_5923)
	{
		{	/* Ast/nodetype.sch 1235 */
			return BGl_failzd2objzd2zzast_nodez00(((BgL_failz00_bglt) BgL_oz00_5923));
		}

	}



/* fail-obj-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2objzd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_764,
		BgL_nodez00_bglt BgL_vz00_765)
	{
		{	/* Ast/nodetype.sch 1236 */
			return
				((((BgL_failz00_bglt) COBJECT(BgL_oz00_764))->BgL_objz00) =
				((BgL_nodez00_bglt) BgL_vz00_765), BUNSPEC);
		}

	}



/* &fail-obj-set! */
	obj_t BGl_z62failzd2objzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5924,
		obj_t BgL_oz00_5925, obj_t BgL_vz00_5926)
	{
		{	/* Ast/nodetype.sch 1236 */
			return
				BGl_failzd2objzd2setz12z12zzast_nodez00(
				((BgL_failz00_bglt) BgL_oz00_5925), ((BgL_nodez00_bglt) BgL_vz00_5926));
		}

	}



/* fail-msg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzd2msgzd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_766)
	{
		{	/* Ast/nodetype.sch 1237 */
			return (((BgL_failz00_bglt) COBJECT(BgL_oz00_766))->BgL_msgz00);
		}

	}



/* &fail-msg */
	BgL_nodez00_bglt BGl_z62failzd2msgzb0zzast_nodez00(obj_t BgL_envz00_5927,
		obj_t BgL_oz00_5928)
	{
		{	/* Ast/nodetype.sch 1237 */
			return BGl_failzd2msgzd2zzast_nodez00(((BgL_failz00_bglt) BgL_oz00_5928));
		}

	}



/* fail-msg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2msgzd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_767,
		BgL_nodez00_bglt BgL_vz00_768)
	{
		{	/* Ast/nodetype.sch 1238 */
			return
				((((BgL_failz00_bglt) COBJECT(BgL_oz00_767))->BgL_msgz00) =
				((BgL_nodez00_bglt) BgL_vz00_768), BUNSPEC);
		}

	}



/* &fail-msg-set! */
	obj_t BGl_z62failzd2msgzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5929,
		obj_t BgL_oz00_5930, obj_t BgL_vz00_5931)
	{
		{	/* Ast/nodetype.sch 1238 */
			return
				BGl_failzd2msgzd2setz12z12zzast_nodez00(
				((BgL_failz00_bglt) BgL_oz00_5930), ((BgL_nodez00_bglt) BgL_vz00_5931));
		}

	}



/* fail-proc */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzd2proczd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_769)
	{
		{	/* Ast/nodetype.sch 1239 */
			return (((BgL_failz00_bglt) COBJECT(BgL_oz00_769))->BgL_procz00);
		}

	}



/* &fail-proc */
	BgL_nodez00_bglt BGl_z62failzd2proczb0zzast_nodez00(obj_t BgL_envz00_5932,
		obj_t BgL_oz00_5933)
	{
		{	/* Ast/nodetype.sch 1239 */
			return
				BGl_failzd2proczd2zzast_nodez00(((BgL_failz00_bglt) BgL_oz00_5933));
		}

	}



/* fail-proc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2proczd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_770,
		BgL_nodez00_bglt BgL_vz00_771)
	{
		{	/* Ast/nodetype.sch 1240 */
			return
				((((BgL_failz00_bglt) COBJECT(BgL_oz00_770))->BgL_procz00) =
				((BgL_nodez00_bglt) BgL_vz00_771), BUNSPEC);
		}

	}



/* &fail-proc-set! */
	obj_t BGl_z62failzd2proczd2setz12z70zzast_nodez00(obj_t BgL_envz00_5934,
		obj_t BgL_oz00_5935, obj_t BgL_vz00_5936)
	{
		{	/* Ast/nodetype.sch 1240 */
			return
				BGl_failzd2proczd2setz12z12zzast_nodez00(
				((BgL_failz00_bglt) BgL_oz00_5935), ((BgL_nodez00_bglt) BgL_vz00_5936));
		}

	}



/* fail-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_failzd2typezd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_772)
	{
		{	/* Ast/nodetype.sch 1241 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_772)))->BgL_typez00);
		}

	}



/* &fail-type */
	BgL_typez00_bglt BGl_z62failzd2typezb0zzast_nodez00(obj_t BgL_envz00_5937,
		obj_t BgL_oz00_5938)
	{
		{	/* Ast/nodetype.sch 1241 */
			return
				BGl_failzd2typezd2zzast_nodez00(((BgL_failz00_bglt) BgL_oz00_5938));
		}

	}



/* fail-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2typezd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_773,
		BgL_typez00_bglt BgL_vz00_774)
	{
		{	/* Ast/nodetype.sch 1242 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_773)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_774), BUNSPEC);
		}

	}



/* &fail-type-set! */
	obj_t BGl_z62failzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5939,
		obj_t BgL_oz00_5940, obj_t BgL_vz00_5941)
	{
		{	/* Ast/nodetype.sch 1242 */
			return
				BGl_failzd2typezd2setz12z12zzast_nodez00(
				((BgL_failz00_bglt) BgL_oz00_5940), ((BgL_typez00_bglt) BgL_vz00_5941));
		}

	}



/* fail-loc */
	BGL_EXPORTED_DEF obj_t BGl_failzd2loczd2zzast_nodez00(BgL_failz00_bglt
		BgL_oz00_775)
	{
		{	/* Ast/nodetype.sch 1243 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_775)))->BgL_locz00);
		}

	}



/* &fail-loc */
	obj_t BGl_z62failzd2loczb0zzast_nodez00(obj_t BgL_envz00_5942,
		obj_t BgL_oz00_5943)
	{
		{	/* Ast/nodetype.sch 1243 */
			return BGl_failzd2loczd2zzast_nodez00(((BgL_failz00_bglt) BgL_oz00_5943));
		}

	}



/* make-switch */
	BGL_EXPORTED_DEF BgL_switchz00_bglt BGl_makezd2switchzd2zzast_nodez00(obj_t
		BgL_loc1501z00_778, BgL_typez00_bglt BgL_type1502z00_779,
		obj_t BgL_sidezd2effect1503zd2_780, obj_t BgL_key1504z00_781,
		BgL_nodez00_bglt BgL_test1505z00_782, obj_t BgL_clauses1506z00_783,
		BgL_typez00_bglt BgL_itemzd2type1507zd2_784)
	{
		{	/* Ast/nodetype.sch 1247 */
			{	/* Ast/nodetype.sch 1247 */
				BgL_switchz00_bglt BgL_new1484z00_7652;

				{	/* Ast/nodetype.sch 1247 */
					BgL_switchz00_bglt BgL_new1483z00_7653;

					BgL_new1483z00_7653 =
						((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_switchz00_bgl))));
					{	/* Ast/nodetype.sch 1247 */
						long BgL_arg1794z00_7654;

						{	/* Ast/nodetype.sch 1247 */
							long BgL_res2890z00_7655;

							BgL_res2890z00_7655 = BGL_CLASS_INDEX(BGl_switchz00zzast_nodez00);
							BgL_arg1794z00_7654 = BgL_res2890z00_7655;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1483z00_7653), BgL_arg1794z00_7654);
					}
					{	/* Ast/nodetype.sch 1247 */
						BgL_objectz00_bglt BgL_tmpz00_10850;

						BgL_tmpz00_10850 = ((BgL_objectz00_bglt) BgL_new1483z00_7653);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10850, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1483z00_7653);
					BgL_new1484z00_7652 = BgL_new1483z00_7653;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1484z00_7652)))->BgL_locz00) =
					((obj_t) BgL_loc1501z00_778), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1484z00_7652)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1502z00_779), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1484z00_7652)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1503zd2_780), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1484z00_7652)))->BgL_keyz00) =
					((obj_t) BgL_key1504z00_781), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1484z00_7652))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_test1505z00_782), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1484z00_7652))->BgL_clausesz00) =
					((obj_t) BgL_clauses1506z00_783), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1484z00_7652))->
						BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) BgL_itemzd2type1507zd2_784), BUNSPEC);
				return BgL_new1484z00_7652;
			}
		}

	}



/* &make-switch */
	BgL_switchz00_bglt BGl_z62makezd2switchzb0zzast_nodez00(obj_t BgL_envz00_5944,
		obj_t BgL_loc1501z00_5945, obj_t BgL_type1502z00_5946,
		obj_t BgL_sidezd2effect1503zd2_5947, obj_t BgL_key1504z00_5948,
		obj_t BgL_test1505z00_5949, obj_t BgL_clauses1506z00_5950,
		obj_t BgL_itemzd2type1507zd2_5951)
	{
		{	/* Ast/nodetype.sch 1247 */
			return
				BGl_makezd2switchzd2zzast_nodez00(BgL_loc1501z00_5945,
				((BgL_typez00_bglt) BgL_type1502z00_5946),
				BgL_sidezd2effect1503zd2_5947, BgL_key1504z00_5948,
				((BgL_nodez00_bglt) BgL_test1505z00_5949), BgL_clauses1506z00_5950,
				((BgL_typez00_bglt) BgL_itemzd2type1507zd2_5951));
		}

	}



/* switch? */
	BGL_EXPORTED_DEF bool_t BGl_switchzf3zf3zzast_nodez00(obj_t BgL_objz00_785)
	{
		{	/* Ast/nodetype.sch 1248 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_785, BGl_switchz00zzast_nodez00);
		}

	}



/* &switch? */
	obj_t BGl_z62switchzf3z91zzast_nodez00(obj_t BgL_envz00_5952,
		obj_t BgL_objz00_5953)
	{
		{	/* Ast/nodetype.sch 1248 */
			return BBOOL(BGl_switchzf3zf3zzast_nodez00(BgL_objz00_5953));
		}

	}



/* switch-nil */
	BGL_EXPORTED_DEF BgL_switchz00_bglt BGl_switchzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1249 */
			{	/* Ast/nodetype.sch 1249 */
				obj_t BgL_classz00_3988;

				BgL_classz00_3988 = BGl_switchz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1249 */
					obj_t BgL__ortest_1106z00_3989;

					BgL__ortest_1106z00_3989 = BGL_CLASS_NIL(BgL_classz00_3988);
					if (CBOOL(BgL__ortest_1106z00_3989))
						{	/* Ast/nodetype.sch 1249 */
							return ((BgL_switchz00_bglt) BgL__ortest_1106z00_3989);
						}
					else
						{	/* Ast/nodetype.sch 1249 */
							return
								((BgL_switchz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3988));
						}
				}
			}
		}

	}



/* &switch-nil */
	BgL_switchz00_bglt BGl_z62switchzd2nilzb0zzast_nodez00(obj_t BgL_envz00_5954)
	{
		{	/* Ast/nodetype.sch 1249 */
			return BGl_switchzd2nilzd2zzast_nodez00();
		}

	}



/* switch-item-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_switchzd2itemzd2typez00zzast_nodez00(BgL_switchz00_bglt BgL_oz00_786)
	{
		{	/* Ast/nodetype.sch 1250 */
			return (((BgL_switchz00_bglt) COBJECT(BgL_oz00_786))->BgL_itemzd2typezd2);
		}

	}



/* &switch-item-type */
	BgL_typez00_bglt BGl_z62switchzd2itemzd2typez62zzast_nodez00(obj_t
		BgL_envz00_5955, obj_t BgL_oz00_5956)
	{
		{	/* Ast/nodetype.sch 1250 */
			return
				BGl_switchzd2itemzd2typez00zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_5956));
		}

	}



/* switch-item-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2itemzd2typezd2setz12zc0zzast_nodez00(BgL_switchz00_bglt
		BgL_oz00_787, BgL_typez00_bglt BgL_vz00_788)
	{
		{	/* Ast/nodetype.sch 1251 */
			return
				((((BgL_switchz00_bglt) COBJECT(BgL_oz00_787))->BgL_itemzd2typezd2) =
				((BgL_typez00_bglt) BgL_vz00_788), BUNSPEC);
		}

	}



/* &switch-item-type-set! */
	obj_t BGl_z62switchzd2itemzd2typezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5957, obj_t BgL_oz00_5958, obj_t BgL_vz00_5959)
	{
		{	/* Ast/nodetype.sch 1251 */
			return
				BGl_switchzd2itemzd2typezd2setz12zc0zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_5958),
				((BgL_typez00_bglt) BgL_vz00_5959));
		}

	}



/* switch-clauses */
	BGL_EXPORTED_DEF obj_t BGl_switchzd2clauseszd2zzast_nodez00(BgL_switchz00_bglt
		BgL_oz00_789)
	{
		{	/* Ast/nodetype.sch 1252 */
			return (((BgL_switchz00_bglt) COBJECT(BgL_oz00_789))->BgL_clausesz00);
		}

	}



/* &switch-clauses */
	obj_t BGl_z62switchzd2clauseszb0zzast_nodez00(obj_t BgL_envz00_5960,
		obj_t BgL_oz00_5961)
	{
		{	/* Ast/nodetype.sch 1252 */
			return
				BGl_switchzd2clauseszd2zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_5961));
		}

	}



/* switch-test */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_switchzd2testzd2zzast_nodez00(BgL_switchz00_bglt BgL_oz00_792)
	{
		{	/* Ast/nodetype.sch 1254 */
			return (((BgL_switchz00_bglt) COBJECT(BgL_oz00_792))->BgL_testz00);
		}

	}



/* &switch-test */
	BgL_nodez00_bglt BGl_z62switchzd2testzb0zzast_nodez00(obj_t BgL_envz00_5962,
		obj_t BgL_oz00_5963)
	{
		{	/* Ast/nodetype.sch 1254 */
			return
				BGl_switchzd2testzd2zzast_nodez00(((BgL_switchz00_bglt) BgL_oz00_5963));
		}

	}



/* switch-test-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2testzd2setz12z12zzast_nodez00(BgL_switchz00_bglt BgL_oz00_793,
		BgL_nodez00_bglt BgL_vz00_794)
	{
		{	/* Ast/nodetype.sch 1255 */
			return
				((((BgL_switchz00_bglt) COBJECT(BgL_oz00_793))->BgL_testz00) =
				((BgL_nodez00_bglt) BgL_vz00_794), BUNSPEC);
		}

	}



/* &switch-test-set! */
	obj_t BGl_z62switchzd2testzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5964,
		obj_t BgL_oz00_5965, obj_t BgL_vz00_5966)
	{
		{	/* Ast/nodetype.sch 1255 */
			return
				BGl_switchzd2testzd2setz12z12zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_5965),
				((BgL_nodez00_bglt) BgL_vz00_5966));
		}

	}



/* switch-key */
	BGL_EXPORTED_DEF obj_t BGl_switchzd2keyzd2zzast_nodez00(BgL_switchz00_bglt
		BgL_oz00_795)
	{
		{	/* Ast/nodetype.sch 1256 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_795)))->BgL_keyz00);
		}

	}



/* &switch-key */
	obj_t BGl_z62switchzd2keyzb0zzast_nodez00(obj_t BgL_envz00_5967,
		obj_t BgL_oz00_5968)
	{
		{	/* Ast/nodetype.sch 1256 */
			return
				BGl_switchzd2keyzd2zzast_nodez00(((BgL_switchz00_bglt) BgL_oz00_5968));
		}

	}



/* switch-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2keyzd2setz12z12zzast_nodez00(BgL_switchz00_bglt BgL_oz00_796,
		obj_t BgL_vz00_797)
	{
		{	/* Ast/nodetype.sch 1257 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_796)))->BgL_keyz00) =
				((obj_t) BgL_vz00_797), BUNSPEC);
		}

	}



/* &switch-key-set! */
	obj_t BGl_z62switchzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5969,
		obj_t BgL_oz00_5970, obj_t BgL_vz00_5971)
	{
		{	/* Ast/nodetype.sch 1257 */
			return
				BGl_switchzd2keyzd2setz12z12zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_5970), BgL_vz00_5971);
		}

	}



/* switch-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2sidezd2effectz00zzast_nodez00(BgL_switchz00_bglt BgL_oz00_798)
	{
		{	/* Ast/nodetype.sch 1258 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_798)))->BgL_sidezd2effectzd2);
		}

	}



/* &switch-side-effect */
	obj_t BGl_z62switchzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_5972,
		obj_t BgL_oz00_5973)
	{
		{	/* Ast/nodetype.sch 1258 */
			return
				BGl_switchzd2sidezd2effectz00zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_5973));
		}

	}



/* switch-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_switchz00_bglt
		BgL_oz00_799, obj_t BgL_vz00_800)
	{
		{	/* Ast/nodetype.sch 1259 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_799)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_800), BUNSPEC);
		}

	}



/* &switch-side-effect-set! */
	obj_t BGl_z62switchzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5974, obj_t BgL_oz00_5975, obj_t BgL_vz00_5976)
	{
		{	/* Ast/nodetype.sch 1259 */
			return
				BGl_switchzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_5975), BgL_vz00_5976);
		}

	}



/* switch-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_switchzd2typezd2zzast_nodez00(BgL_switchz00_bglt BgL_oz00_801)
	{
		{	/* Ast/nodetype.sch 1260 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_801)))->BgL_typez00);
		}

	}



/* &switch-type */
	BgL_typez00_bglt BGl_z62switchzd2typezb0zzast_nodez00(obj_t BgL_envz00_5977,
		obj_t BgL_oz00_5978)
	{
		{	/* Ast/nodetype.sch 1260 */
			return
				BGl_switchzd2typezd2zzast_nodez00(((BgL_switchz00_bglt) BgL_oz00_5978));
		}

	}



/* switch-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2typezd2setz12z12zzast_nodez00(BgL_switchz00_bglt BgL_oz00_802,
		BgL_typez00_bglt BgL_vz00_803)
	{
		{	/* Ast/nodetype.sch 1261 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_802)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_803), BUNSPEC);
		}

	}



/* &switch-type-set! */
	obj_t BGl_z62switchzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5979,
		obj_t BgL_oz00_5980, obj_t BgL_vz00_5981)
	{
		{	/* Ast/nodetype.sch 1261 */
			return
				BGl_switchzd2typezd2setz12z12zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_5980),
				((BgL_typez00_bglt) BgL_vz00_5981));
		}

	}



/* switch-loc */
	BGL_EXPORTED_DEF obj_t BGl_switchzd2loczd2zzast_nodez00(BgL_switchz00_bglt
		BgL_oz00_804)
	{
		{	/* Ast/nodetype.sch 1262 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_804)))->BgL_locz00);
		}

	}



/* &switch-loc */
	obj_t BGl_z62switchzd2loczb0zzast_nodez00(obj_t BgL_envz00_5982,
		obj_t BgL_oz00_5983)
	{
		{	/* Ast/nodetype.sch 1262 */
			return
				BGl_switchzd2loczd2zzast_nodez00(((BgL_switchz00_bglt) BgL_oz00_5983));
		}

	}



/* make-let-fun */
	BGL_EXPORTED_DEF BgL_letzd2funzd2_bglt
		BGl_makezd2letzd2funz00zzast_nodez00(obj_t BgL_loc1494z00_807,
		BgL_typez00_bglt BgL_type1495z00_808, obj_t BgL_sidezd2effect1496zd2_809,
		obj_t BgL_key1497z00_810, obj_t BgL_locals1498z00_811,
		BgL_nodez00_bglt BgL_body1499z00_812)
	{
		{	/* Ast/nodetype.sch 1266 */
			{	/* Ast/nodetype.sch 1266 */
				BgL_letzd2funzd2_bglt BgL_new1486z00_7656;

				{	/* Ast/nodetype.sch 1266 */
					BgL_letzd2funzd2_bglt BgL_new1485z00_7657;

					BgL_new1485z00_7657 =
						((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_letzd2funzd2_bgl))));
					{	/* Ast/nodetype.sch 1266 */
						long BgL_arg1795z00_7658;

						{	/* Ast/nodetype.sch 1266 */
							long BgL_res2891z00_7659;

							BgL_res2891z00_7659 =
								BGL_CLASS_INDEX(BGl_letzd2funzd2zzast_nodez00);
							BgL_arg1795z00_7658 = BgL_res2891z00_7659;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1485z00_7657), BgL_arg1795z00_7658);
					}
					{	/* Ast/nodetype.sch 1266 */
						BgL_objectz00_bglt BgL_tmpz00_10929;

						BgL_tmpz00_10929 = ((BgL_objectz00_bglt) BgL_new1485z00_7657);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10929, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1485z00_7657);
					BgL_new1486z00_7656 = BgL_new1485z00_7657;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1486z00_7656)))->BgL_locz00) =
					((obj_t) BgL_loc1494z00_807), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1486z00_7656)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1495z00_808), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1486z00_7656)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1496zd2_809), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1486z00_7656)))->BgL_keyz00) =
					((obj_t) BgL_key1497z00_810), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1486z00_7656))->
						BgL_localsz00) = ((obj_t) BgL_locals1498z00_811), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1486z00_7656))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1499z00_812), BUNSPEC);
				return BgL_new1486z00_7656;
			}
		}

	}



/* &make-let-fun */
	BgL_letzd2funzd2_bglt BGl_z62makezd2letzd2funz62zzast_nodez00(obj_t
		BgL_envz00_5984, obj_t BgL_loc1494z00_5985, obj_t BgL_type1495z00_5986,
		obj_t BgL_sidezd2effect1496zd2_5987, obj_t BgL_key1497z00_5988,
		obj_t BgL_locals1498z00_5989, obj_t BgL_body1499z00_5990)
	{
		{	/* Ast/nodetype.sch 1266 */
			return
				BGl_makezd2letzd2funz00zzast_nodez00(BgL_loc1494z00_5985,
				((BgL_typez00_bglt) BgL_type1495z00_5986),
				BgL_sidezd2effect1496zd2_5987, BgL_key1497z00_5988,
				BgL_locals1498z00_5989, ((BgL_nodez00_bglt) BgL_body1499z00_5990));
		}

	}



/* let-fun? */
	BGL_EXPORTED_DEF bool_t BGl_letzd2funzf3z21zzast_nodez00(obj_t BgL_objz00_813)
	{
		{	/* Ast/nodetype.sch 1267 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_813,
				BGl_letzd2funzd2zzast_nodez00);
		}

	}



/* &let-fun? */
	obj_t BGl_z62letzd2funzf3z43zzast_nodez00(obj_t BgL_envz00_5991,
		obj_t BgL_objz00_5992)
	{
		{	/* Ast/nodetype.sch 1267 */
			return BBOOL(BGl_letzd2funzf3z21zzast_nodez00(BgL_objz00_5992));
		}

	}



/* let-fun-nil */
	BGL_EXPORTED_DEF BgL_letzd2funzd2_bglt BGl_letzd2funzd2nilz00zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1268 */
			{	/* Ast/nodetype.sch 1268 */
				obj_t BgL_classz00_3998;

				BgL_classz00_3998 = BGl_letzd2funzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1268 */
					obj_t BgL__ortest_1106z00_3999;

					BgL__ortest_1106z00_3999 = BGL_CLASS_NIL(BgL_classz00_3998);
					if (CBOOL(BgL__ortest_1106z00_3999))
						{	/* Ast/nodetype.sch 1268 */
							return ((BgL_letzd2funzd2_bglt) BgL__ortest_1106z00_3999);
						}
					else
						{	/* Ast/nodetype.sch 1268 */
							return
								((BgL_letzd2funzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3998));
						}
				}
			}
		}

	}



/* &let-fun-nil */
	BgL_letzd2funzd2_bglt BGl_z62letzd2funzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_5993)
	{
		{	/* Ast/nodetype.sch 1268 */
			return BGl_letzd2funzd2nilz00zzast_nodez00();
		}

	}



/* let-fun-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_letzd2funzd2bodyz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_814)
	{
		{	/* Ast/nodetype.sch 1269 */
			return (((BgL_letzd2funzd2_bglt) COBJECT(BgL_oz00_814))->BgL_bodyz00);
		}

	}



/* &let-fun-body */
	BgL_nodez00_bglt BGl_z62letzd2funzd2bodyz62zzast_nodez00(obj_t
		BgL_envz00_5994, obj_t BgL_oz00_5995)
	{
		{	/* Ast/nodetype.sch 1269 */
			return
				BGl_letzd2funzd2bodyz00zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_5995));
		}

	}



/* let-fun-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_815, BgL_nodez00_bglt BgL_vz00_816)
	{
		{	/* Ast/nodetype.sch 1270 */
			return
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_oz00_815))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_816), BUNSPEC);
		}

	}



/* &let-fun-body-set! */
	obj_t BGl_z62letzd2funzd2bodyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_5996,
		obj_t BgL_oz00_5997, obj_t BgL_vz00_5998)
	{
		{	/* Ast/nodetype.sch 1270 */
			return
				BGl_letzd2funzd2bodyzd2setz12zc0zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_5997),
				((BgL_nodez00_bglt) BgL_vz00_5998));
		}

	}



/* let-fun-locals */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2localsz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_817)
	{
		{	/* Ast/nodetype.sch 1271 */
			return (((BgL_letzd2funzd2_bglt) COBJECT(BgL_oz00_817))->BgL_localsz00);
		}

	}



/* &let-fun-locals */
	obj_t BGl_z62letzd2funzd2localsz62zzast_nodez00(obj_t BgL_envz00_5999,
		obj_t BgL_oz00_6000)
	{
		{	/* Ast/nodetype.sch 1271 */
			return
				BGl_letzd2funzd2localsz00zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_6000));
		}

	}



/* let-fun-locals-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2localszd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_818, obj_t BgL_vz00_819)
	{
		{	/* Ast/nodetype.sch 1272 */
			return
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_oz00_818))->BgL_localsz00) =
				((obj_t) BgL_vz00_819), BUNSPEC);
		}

	}



/* &let-fun-locals-set! */
	obj_t BGl_z62letzd2funzd2localszd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6001, obj_t BgL_oz00_6002, obj_t BgL_vz00_6003)
	{
		{	/* Ast/nodetype.sch 1272 */
			return
				BGl_letzd2funzd2localszd2setz12zc0zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_6002), BgL_vz00_6003);
		}

	}



/* let-fun-key */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2keyz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_820)
	{
		{	/* Ast/nodetype.sch 1273 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_820)))->BgL_keyz00);
		}

	}



/* &let-fun-key */
	obj_t BGl_z62letzd2funzd2keyz62zzast_nodez00(obj_t BgL_envz00_6004,
		obj_t BgL_oz00_6005)
	{
		{	/* Ast/nodetype.sch 1273 */
			return
				BGl_letzd2funzd2keyz00zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_6005));
		}

	}



/* let-fun-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_821, obj_t BgL_vz00_822)
	{
		{	/* Ast/nodetype.sch 1274 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_821)))->BgL_keyz00) =
				((obj_t) BgL_vz00_822), BUNSPEC);
		}

	}



/* &let-fun-key-set! */
	obj_t BGl_z62letzd2funzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6006,
		obj_t BgL_oz00_6007, obj_t BgL_vz00_6008)
	{
		{	/* Ast/nodetype.sch 1274 */
			return
				BGl_letzd2funzd2keyzd2setz12zc0zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_6007), BgL_vz00_6008);
		}

	}



/* let-fun-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_823)
	{
		{	/* Ast/nodetype.sch 1275 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_823)))->BgL_sidezd2effectzd2);
		}

	}



/* &let-fun-side-effect */
	obj_t BGl_z62letzd2funzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_6009,
		obj_t BgL_oz00_6010)
	{
		{	/* Ast/nodetype.sch 1275 */
			return
				BGl_letzd2funzd2sidezd2effectzd2zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_6010));
		}

	}



/* let-fun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2sidezd2effectzd2setz12z12zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_824, obj_t BgL_vz00_825)
	{
		{	/* Ast/nodetype.sch 1276 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_824)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_825), BUNSPEC);
		}

	}



/* &let-fun-side-effect-set! */
	obj_t BGl_z62letzd2funzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6011, obj_t BgL_oz00_6012, obj_t BgL_vz00_6013)
	{
		{	/* Ast/nodetype.sch 1276 */
			return
				BGl_letzd2funzd2sidezd2effectzd2setz12z12zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_6012), BgL_vz00_6013);
		}

	}



/* let-fun-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_letzd2funzd2typez00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_826)
	{
		{	/* Ast/nodetype.sch 1277 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_826)))->BgL_typez00);
		}

	}



/* &let-fun-type */
	BgL_typez00_bglt BGl_z62letzd2funzd2typez62zzast_nodez00(obj_t
		BgL_envz00_6014, obj_t BgL_oz00_6015)
	{
		{	/* Ast/nodetype.sch 1277 */
			return
				BGl_letzd2funzd2typez00zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_6015));
		}

	}



/* let-fun-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_827, BgL_typez00_bglt BgL_vz00_828)
	{
		{	/* Ast/nodetype.sch 1278 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_827)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_828), BUNSPEC);
		}

	}



/* &let-fun-type-set! */
	obj_t BGl_z62letzd2funzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6016,
		obj_t BgL_oz00_6017, obj_t BgL_vz00_6018)
	{
		{	/* Ast/nodetype.sch 1278 */
			return
				BGl_letzd2funzd2typezd2setz12zc0zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_6017),
				((BgL_typez00_bglt) BgL_vz00_6018));
		}

	}



/* let-fun-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2locz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_829)
	{
		{	/* Ast/nodetype.sch 1279 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_829)))->BgL_locz00);
		}

	}



/* &let-fun-loc */
	obj_t BGl_z62letzd2funzd2locz62zzast_nodez00(obj_t BgL_envz00_6019,
		obj_t BgL_oz00_6020)
	{
		{	/* Ast/nodetype.sch 1279 */
			return
				BGl_letzd2funzd2locz00zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_6020));
		}

	}



/* make-let-var */
	BGL_EXPORTED_DEF BgL_letzd2varzd2_bglt
		BGl_makezd2letzd2varz00zzast_nodez00(obj_t BgL_loc1486z00_832,
		BgL_typez00_bglt BgL_type1487z00_833, obj_t BgL_sidezd2effect1488zd2_834,
		obj_t BgL_key1489z00_835, obj_t BgL_bindings1490z00_836,
		BgL_nodez00_bglt BgL_body1491z00_837, bool_t BgL_removablezf31492zf3_838)
	{
		{	/* Ast/nodetype.sch 1283 */
			{	/* Ast/nodetype.sch 1283 */
				BgL_letzd2varzd2_bglt BgL_new1488z00_7660;

				{	/* Ast/nodetype.sch 1283 */
					BgL_letzd2varzd2_bglt BgL_new1487z00_7661;

					BgL_new1487z00_7661 =
						((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_letzd2varzd2_bgl))));
					{	/* Ast/nodetype.sch 1283 */
						long BgL_arg1796z00_7662;

						{	/* Ast/nodetype.sch 1283 */
							long BgL_res2892z00_7663;

							BgL_res2892z00_7663 =
								BGL_CLASS_INDEX(BGl_letzd2varzd2zzast_nodez00);
							BgL_arg1796z00_7662 = BgL_res2892z00_7663;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1487z00_7661), BgL_arg1796z00_7662);
					}
					{	/* Ast/nodetype.sch 1283 */
						BgL_objectz00_bglt BgL_tmpz00_11002;

						BgL_tmpz00_11002 = ((BgL_objectz00_bglt) BgL_new1487z00_7661);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11002, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1487z00_7661);
					BgL_new1488z00_7660 = BgL_new1487z00_7661;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1488z00_7660)))->BgL_locz00) =
					((obj_t) BgL_loc1486z00_832), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1488z00_7660)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1487z00_833), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1488z00_7660)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1488zd2_834), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1488z00_7660)))->BgL_keyz00) =
					((obj_t) BgL_key1489z00_835), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1488z00_7660))->
						BgL_bindingsz00) = ((obj_t) BgL_bindings1490z00_836), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1488z00_7660))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1491z00_837), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1488z00_7660))->
						BgL_removablezf3zf3) =
					((bool_t) BgL_removablezf31492zf3_838), BUNSPEC);
				return BgL_new1488z00_7660;
			}
		}

	}



/* &make-let-var */
	BgL_letzd2varzd2_bglt BGl_z62makezd2letzd2varz62zzast_nodez00(obj_t
		BgL_envz00_6021, obj_t BgL_loc1486z00_6022, obj_t BgL_type1487z00_6023,
		obj_t BgL_sidezd2effect1488zd2_6024, obj_t BgL_key1489z00_6025,
		obj_t BgL_bindings1490z00_6026, obj_t BgL_body1491z00_6027,
		obj_t BgL_removablezf31492zf3_6028)
	{
		{	/* Ast/nodetype.sch 1283 */
			return
				BGl_makezd2letzd2varz00zzast_nodez00(BgL_loc1486z00_6022,
				((BgL_typez00_bglt) BgL_type1487z00_6023),
				BgL_sidezd2effect1488zd2_6024, BgL_key1489z00_6025,
				BgL_bindings1490z00_6026, ((BgL_nodez00_bglt) BgL_body1491z00_6027),
				CBOOL(BgL_removablezf31492zf3_6028));
		}

	}



/* let-var? */
	BGL_EXPORTED_DEF bool_t BGl_letzd2varzf3z21zzast_nodez00(obj_t BgL_objz00_839)
	{
		{	/* Ast/nodetype.sch 1284 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_839,
				BGl_letzd2varzd2zzast_nodez00);
		}

	}



/* &let-var? */
	obj_t BGl_z62letzd2varzf3z43zzast_nodez00(obj_t BgL_envz00_6029,
		obj_t BgL_objz00_6030)
	{
		{	/* Ast/nodetype.sch 1284 */
			return BBOOL(BGl_letzd2varzf3z21zzast_nodez00(BgL_objz00_6030));
		}

	}



/* let-var-nil */
	BGL_EXPORTED_DEF BgL_letzd2varzd2_bglt BGl_letzd2varzd2nilz00zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1285 */
			{	/* Ast/nodetype.sch 1285 */
				obj_t BgL_classz00_4008;

				BgL_classz00_4008 = BGl_letzd2varzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1285 */
					obj_t BgL__ortest_1106z00_4009;

					BgL__ortest_1106z00_4009 = BGL_CLASS_NIL(BgL_classz00_4008);
					if (CBOOL(BgL__ortest_1106z00_4009))
						{	/* Ast/nodetype.sch 1285 */
							return ((BgL_letzd2varzd2_bglt) BgL__ortest_1106z00_4009);
						}
					else
						{	/* Ast/nodetype.sch 1285 */
							return
								((BgL_letzd2varzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4008));
						}
				}
			}
		}

	}



/* &let-var-nil */
	BgL_letzd2varzd2_bglt BGl_z62letzd2varzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_6031)
	{
		{	/* Ast/nodetype.sch 1285 */
			return BGl_letzd2varzd2nilz00zzast_nodez00();
		}

	}



/* let-var-removable? */
	BGL_EXPORTED_DEF bool_t
		BGl_letzd2varzd2removablezf3zf3zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_840)
	{
		{	/* Ast/nodetype.sch 1286 */
			return
				(((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_840))->BgL_removablezf3zf3);
		}

	}



/* &let-var-removable? */
	obj_t BGl_z62letzd2varzd2removablezf3z91zzast_nodez00(obj_t BgL_envz00_6032,
		obj_t BgL_oz00_6033)
	{
		{	/* Ast/nodetype.sch 1286 */
			return
				BBOOL(BGl_letzd2varzd2removablezf3zf3zzast_nodez00(
					((BgL_letzd2varzd2_bglt) BgL_oz00_6033)));
		}

	}



/* let-var-removable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_841, bool_t BgL_vz00_842)
	{
		{	/* Ast/nodetype.sch 1287 */
			return
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_841))->
					BgL_removablezf3zf3) = ((bool_t) BgL_vz00_842), BUNSPEC);
		}

	}



/* &let-var-removable?-set! */
	obj_t BGl_z62letzd2varzd2removablezf3zd2setz12z51zzast_nodez00(obj_t
		BgL_envz00_6034, obj_t BgL_oz00_6035, obj_t BgL_vz00_6036)
	{
		{	/* Ast/nodetype.sch 1287 */
			return
				BGl_letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_6035), CBOOL(BgL_vz00_6036));
		}

	}



/* let-var-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_letzd2varzd2bodyz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_843)
	{
		{	/* Ast/nodetype.sch 1288 */
			return (((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_843))->BgL_bodyz00);
		}

	}



/* &let-var-body */
	BgL_nodez00_bglt BGl_z62letzd2varzd2bodyz62zzast_nodez00(obj_t
		BgL_envz00_6037, obj_t BgL_oz00_6038)
	{
		{	/* Ast/nodetype.sch 1288 */
			return
				BGl_letzd2varzd2bodyz00zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_6038));
		}

	}



/* let-var-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_844, BgL_nodez00_bglt BgL_vz00_845)
	{
		{	/* Ast/nodetype.sch 1289 */
			return
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_844))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_845), BUNSPEC);
		}

	}



/* &let-var-body-set! */
	obj_t BGl_z62letzd2varzd2bodyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6039,
		obj_t BgL_oz00_6040, obj_t BgL_vz00_6041)
	{
		{	/* Ast/nodetype.sch 1289 */
			return
				BGl_letzd2varzd2bodyzd2setz12zc0zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_6040),
				((BgL_nodez00_bglt) BgL_vz00_6041));
		}

	}



/* let-var-bindings */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2bindingsz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_846)
	{
		{	/* Ast/nodetype.sch 1290 */
			return (((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_846))->BgL_bindingsz00);
		}

	}



/* &let-var-bindings */
	obj_t BGl_z62letzd2varzd2bindingsz62zzast_nodez00(obj_t BgL_envz00_6042,
		obj_t BgL_oz00_6043)
	{
		{	/* Ast/nodetype.sch 1290 */
			return
				BGl_letzd2varzd2bindingsz00zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_6043));
		}

	}



/* let-var-bindings-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2bindingszd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_847, obj_t BgL_vz00_848)
	{
		{	/* Ast/nodetype.sch 1291 */
			return
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_847))->BgL_bindingsz00) =
				((obj_t) BgL_vz00_848), BUNSPEC);
		}

	}



/* &let-var-bindings-set! */
	obj_t BGl_z62letzd2varzd2bindingszd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6044, obj_t BgL_oz00_6045, obj_t BgL_vz00_6046)
	{
		{	/* Ast/nodetype.sch 1291 */
			return
				BGl_letzd2varzd2bindingszd2setz12zc0zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_6045), BgL_vz00_6046);
		}

	}



/* let-var-key */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2keyz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_849)
	{
		{	/* Ast/nodetype.sch 1292 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_849)))->BgL_keyz00);
		}

	}



/* &let-var-key */
	obj_t BGl_z62letzd2varzd2keyz62zzast_nodez00(obj_t BgL_envz00_6047,
		obj_t BgL_oz00_6048)
	{
		{	/* Ast/nodetype.sch 1292 */
			return
				BGl_letzd2varzd2keyz00zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_6048));
		}

	}



/* let-var-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_850, obj_t BgL_vz00_851)
	{
		{	/* Ast/nodetype.sch 1293 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_850)))->BgL_keyz00) =
				((obj_t) BgL_vz00_851), BUNSPEC);
		}

	}



/* &let-var-key-set! */
	obj_t BGl_z62letzd2varzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6049,
		obj_t BgL_oz00_6050, obj_t BgL_vz00_6051)
	{
		{	/* Ast/nodetype.sch 1293 */
			return
				BGl_letzd2varzd2keyzd2setz12zc0zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_6050), BgL_vz00_6051);
		}

	}



/* let-var-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_852)
	{
		{	/* Ast/nodetype.sch 1294 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_852)))->BgL_sidezd2effectzd2);
		}

	}



/* &let-var-side-effect */
	obj_t BGl_z62letzd2varzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_6052,
		obj_t BgL_oz00_6053)
	{
		{	/* Ast/nodetype.sch 1294 */
			return
				BGl_letzd2varzd2sidezd2effectzd2zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_6053));
		}

	}



/* let-var-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2sidezd2effectzd2setz12z12zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_853, obj_t BgL_vz00_854)
	{
		{	/* Ast/nodetype.sch 1295 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_853)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_854), BUNSPEC);
		}

	}



/* &let-var-side-effect-set! */
	obj_t BGl_z62letzd2varzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6054, obj_t BgL_oz00_6055, obj_t BgL_vz00_6056)
	{
		{	/* Ast/nodetype.sch 1295 */
			return
				BGl_letzd2varzd2sidezd2effectzd2setz12z12zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_6055), BgL_vz00_6056);
		}

	}



/* let-var-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_letzd2varzd2typez00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_855)
	{
		{	/* Ast/nodetype.sch 1296 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_855)))->BgL_typez00);
		}

	}



/* &let-var-type */
	BgL_typez00_bglt BGl_z62letzd2varzd2typez62zzast_nodez00(obj_t
		BgL_envz00_6057, obj_t BgL_oz00_6058)
	{
		{	/* Ast/nodetype.sch 1296 */
			return
				BGl_letzd2varzd2typez00zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_6058));
		}

	}



/* let-var-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_856, BgL_typez00_bglt BgL_vz00_857)
	{
		{	/* Ast/nodetype.sch 1297 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_856)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_857), BUNSPEC);
		}

	}



/* &let-var-type-set! */
	obj_t BGl_z62letzd2varzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6059,
		obj_t BgL_oz00_6060, obj_t BgL_vz00_6061)
	{
		{	/* Ast/nodetype.sch 1297 */
			return
				BGl_letzd2varzd2typezd2setz12zc0zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_6060),
				((BgL_typez00_bglt) BgL_vz00_6061));
		}

	}



/* let-var-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2locz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_858)
	{
		{	/* Ast/nodetype.sch 1298 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_858)))->BgL_locz00);
		}

	}



/* &let-var-loc */
	obj_t BGl_z62letzd2varzd2locz62zzast_nodez00(obj_t BgL_envz00_6062,
		obj_t BgL_oz00_6063)
	{
		{	/* Ast/nodetype.sch 1298 */
			return
				BGl_letzd2varzd2locz00zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_6063));
		}

	}



/* make-set-ex-it */
	BGL_EXPORTED_DEF BgL_setzd2exzd2itz00_bglt
		BGl_makezd2setzd2exzd2itzd2zzast_nodez00(obj_t BgL_loc1481z00_861,
		BgL_typez00_bglt BgL_type1482z00_862, BgL_varz00_bglt BgL_var1483z00_863,
		BgL_nodez00_bglt BgL_body1484z00_864)
	{
		{	/* Ast/nodetype.sch 1302 */
			{	/* Ast/nodetype.sch 1302 */
				BgL_setzd2exzd2itz00_bglt BgL_new1490z00_7664;

				{	/* Ast/nodetype.sch 1302 */
					BgL_setzd2exzd2itz00_bglt BgL_new1489z00_7665;

					BgL_new1489z00_7665 =
						((BgL_setzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itz00_bgl))));
					{	/* Ast/nodetype.sch 1302 */
						long BgL_arg1798z00_7666;

						{	/* Ast/nodetype.sch 1302 */
							long BgL_res2893z00_7667;

							BgL_res2893z00_7667 =
								BGL_CLASS_INDEX(BGl_setzd2exzd2itz00zzast_nodez00);
							BgL_arg1798z00_7666 = BgL_res2893z00_7667;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1489z00_7665), BgL_arg1798z00_7666);
					}
					{	/* Ast/nodetype.sch 1302 */
						BgL_objectz00_bglt BgL_tmpz00_11085;

						BgL_tmpz00_11085 = ((BgL_objectz00_bglt) BgL_new1489z00_7665);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11085, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1489z00_7665);
					BgL_new1490z00_7664 = BgL_new1489z00_7665;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1490z00_7664)))->BgL_locz00) =
					((obj_t) BgL_loc1481z00_861), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1490z00_7664)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1482z00_862), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1490z00_7664))->
						BgL_varz00) = ((BgL_varz00_bglt) BgL_var1483z00_863), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1490z00_7664))->
						BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_body1484z00_864), BUNSPEC);
				return BgL_new1490z00_7664;
			}
		}

	}



/* &make-set-ex-it */
	BgL_setzd2exzd2itz00_bglt BGl_z62makezd2setzd2exzd2itzb0zzast_nodez00(obj_t
		BgL_envz00_6064, obj_t BgL_loc1481z00_6065, obj_t BgL_type1482z00_6066,
		obj_t BgL_var1483z00_6067, obj_t BgL_body1484z00_6068)
	{
		{	/* Ast/nodetype.sch 1302 */
			return
				BGl_makezd2setzd2exzd2itzd2zzast_nodez00(BgL_loc1481z00_6065,
				((BgL_typez00_bglt) BgL_type1482z00_6066),
				((BgL_varz00_bglt) BgL_var1483z00_6067),
				((BgL_nodez00_bglt) BgL_body1484z00_6068));
		}

	}



/* set-ex-it? */
	BGL_EXPORTED_DEF bool_t BGl_setzd2exzd2itzf3zf3zzast_nodez00(obj_t
		BgL_objz00_865)
	{
		{	/* Ast/nodetype.sch 1303 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_865,
				BGl_setzd2exzd2itz00zzast_nodez00);
		}

	}



/* &set-ex-it? */
	obj_t BGl_z62setzd2exzd2itzf3z91zzast_nodez00(obj_t BgL_envz00_6069,
		obj_t BgL_objz00_6070)
	{
		{	/* Ast/nodetype.sch 1303 */
			return BBOOL(BGl_setzd2exzd2itzf3zf3zzast_nodez00(BgL_objz00_6070));
		}

	}



/* set-ex-it-nil */
	BGL_EXPORTED_DEF BgL_setzd2exzd2itz00_bglt
		BGl_setzd2exzd2itzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1304 */
			{	/* Ast/nodetype.sch 1304 */
				obj_t BgL_classz00_4018;

				BgL_classz00_4018 = BGl_setzd2exzd2itz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1304 */
					obj_t BgL__ortest_1106z00_4019;

					BgL__ortest_1106z00_4019 = BGL_CLASS_NIL(BgL_classz00_4018);
					if (CBOOL(BgL__ortest_1106z00_4019))
						{	/* Ast/nodetype.sch 1304 */
							return ((BgL_setzd2exzd2itz00_bglt) BgL__ortest_1106z00_4019);
						}
					else
						{	/* Ast/nodetype.sch 1304 */
							return
								((BgL_setzd2exzd2itz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4018));
						}
				}
			}
		}

	}



/* &set-ex-it-nil */
	BgL_setzd2exzd2itz00_bglt BGl_z62setzd2exzd2itzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6071)
	{
		{	/* Ast/nodetype.sch 1304 */
			return BGl_setzd2exzd2itzd2nilzd2zzast_nodez00();
		}

	}



/* set-ex-it-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setzd2exzd2itzd2bodyzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_866)
	{
		{	/* Ast/nodetype.sch 1305 */
			return (((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_866))->BgL_bodyz00);
		}

	}



/* &set-ex-it-body */
	BgL_nodez00_bglt BGl_z62setzd2exzd2itzd2bodyzb0zzast_nodez00(obj_t
		BgL_envz00_6072, obj_t BgL_oz00_6073)
	{
		{	/* Ast/nodetype.sch 1305 */
			return
				BGl_setzd2exzd2itzd2bodyzd2zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6073));
		}

	}



/* set-ex-it-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_867, BgL_nodez00_bglt BgL_vz00_868)
	{
		{	/* Ast/nodetype.sch 1306 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_867))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_868), BUNSPEC);
		}

	}



/* &set-ex-it-body-set! */
	obj_t BGl_z62setzd2exzd2itzd2bodyzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6074, obj_t BgL_oz00_6075, obj_t BgL_vz00_6076)
	{
		{	/* Ast/nodetype.sch 1306 */
			return
				BGl_setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6075),
				((BgL_nodez00_bglt) BgL_vz00_6076));
		}

	}



/* set-ex-it-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_setzd2exzd2itzd2varzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_869)
	{
		{	/* Ast/nodetype.sch 1307 */
			return (((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_869))->BgL_varz00);
		}

	}



/* &set-ex-it-var */
	BgL_varz00_bglt BGl_z62setzd2exzd2itzd2varzb0zzast_nodez00(obj_t
		BgL_envz00_6077, obj_t BgL_oz00_6078)
	{
		{	/* Ast/nodetype.sch 1307 */
			return
				BGl_setzd2exzd2itzd2varzd2zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6078));
		}

	}



/* set-ex-it-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_870, BgL_varz00_bglt BgL_vz00_871)
	{
		{	/* Ast/nodetype.sch 1308 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_870))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_871), BUNSPEC);
		}

	}



/* &set-ex-it-var-set! */
	obj_t BGl_z62setzd2exzd2itzd2varzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6079, obj_t BgL_oz00_6080, obj_t BgL_vz00_6081)
	{
		{	/* Ast/nodetype.sch 1308 */
			return
				BGl_setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6080),
				((BgL_varz00_bglt) BgL_vz00_6081));
		}

	}



/* set-ex-it-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setzd2exzd2itzd2typezd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_872)
	{
		{	/* Ast/nodetype.sch 1309 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_872)))->BgL_typez00);
		}

	}



/* &set-ex-it-type */
	BgL_typez00_bglt BGl_z62setzd2exzd2itzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_6082, obj_t BgL_oz00_6083)
	{
		{	/* Ast/nodetype.sch 1309 */
			return
				BGl_setzd2exzd2itzd2typezd2zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6083));
		}

	}



/* set-ex-it-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2typezd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_873, BgL_typez00_bglt BgL_vz00_874)
	{
		{	/* Ast/nodetype.sch 1310 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_873)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_874), BUNSPEC);
		}

	}



/* &set-ex-it-type-set! */
	obj_t BGl_z62setzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6084, obj_t BgL_oz00_6085, obj_t BgL_vz00_6086)
	{
		{	/* Ast/nodetype.sch 1310 */
			return
				BGl_setzd2exzd2itzd2typezd2setz12z12zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6085),
				((BgL_typez00_bglt) BgL_vz00_6086));
		}

	}



/* set-ex-it-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2loczd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_875)
	{
		{	/* Ast/nodetype.sch 1311 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_875)))->BgL_locz00);
		}

	}



/* &set-ex-it-loc */
	obj_t BGl_z62setzd2exzd2itzd2loczb0zzast_nodez00(obj_t BgL_envz00_6087,
		obj_t BgL_oz00_6088)
	{
		{	/* Ast/nodetype.sch 1311 */
			return
				BGl_setzd2exzd2itzd2loczd2zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6088));
		}

	}



/* make-jump-ex-it */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(obj_t BgL_loc1476z00_878,
		BgL_typez00_bglt BgL_type1477z00_879, BgL_nodez00_bglt BgL_exit1478z00_880,
		BgL_nodez00_bglt BgL_value1479z00_881)
	{
		{	/* Ast/nodetype.sch 1315 */
			{	/* Ast/nodetype.sch 1315 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1492z00_7668;

				{	/* Ast/nodetype.sch 1315 */
					BgL_jumpzd2exzd2itz00_bglt BgL_new1491z00_7669;

					BgL_new1491z00_7669 =
						((BgL_jumpzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itz00_bgl))));
					{	/* Ast/nodetype.sch 1315 */
						long BgL_arg1799z00_7670;

						{	/* Ast/nodetype.sch 1315 */
							long BgL_res2894z00_7671;

							BgL_res2894z00_7671 =
								BGL_CLASS_INDEX(BGl_jumpzd2exzd2itz00zzast_nodez00);
							BgL_arg1799z00_7670 = BgL_res2894z00_7671;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1491z00_7669), BgL_arg1799z00_7670);
					}
					{	/* Ast/nodetype.sch 1315 */
						BgL_objectz00_bglt BgL_tmpz00_11140;

						BgL_tmpz00_11140 = ((BgL_objectz00_bglt) BgL_new1491z00_7669);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11140, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1491z00_7669);
					BgL_new1492z00_7668 = BgL_new1491z00_7669;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1492z00_7668)))->BgL_locz00) =
					((obj_t) BgL_loc1476z00_878), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1492z00_7668)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1477z00_879), BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_new1492z00_7668))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_exit1478z00_880), BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_new1492z00_7668))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_value1479z00_881), BUNSPEC);
				return BgL_new1492z00_7668;
			}
		}

	}



/* &make-jump-ex-it */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62makezd2jumpzd2exzd2itzb0zzast_nodez00(obj_t
		BgL_envz00_6089, obj_t BgL_loc1476z00_6090, obj_t BgL_type1477z00_6091,
		obj_t BgL_exit1478z00_6092, obj_t BgL_value1479z00_6093)
	{
		{	/* Ast/nodetype.sch 1315 */
			return
				BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(BgL_loc1476z00_6090,
				((BgL_typez00_bglt) BgL_type1477z00_6091),
				((BgL_nodez00_bglt) BgL_exit1478z00_6092),
				((BgL_nodez00_bglt) BgL_value1479z00_6093));
		}

	}



/* jump-ex-it? */
	BGL_EXPORTED_DEF bool_t BGl_jumpzd2exzd2itzf3zf3zzast_nodez00(obj_t
		BgL_objz00_882)
	{
		{	/* Ast/nodetype.sch 1316 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_882,
				BGl_jumpzd2exzd2itz00zzast_nodez00);
		}

	}



/* &jump-ex-it? */
	obj_t BGl_z62jumpzd2exzd2itzf3z91zzast_nodez00(obj_t BgL_envz00_6094,
		obj_t BgL_objz00_6095)
	{
		{	/* Ast/nodetype.sch 1316 */
			return BBOOL(BGl_jumpzd2exzd2itzf3zf3zzast_nodez00(BgL_objz00_6095));
		}

	}



/* jump-ex-it-nil */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exzd2itzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1317 */
			{	/* Ast/nodetype.sch 1317 */
				obj_t BgL_classz00_4028;

				BgL_classz00_4028 = BGl_jumpzd2exzd2itz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1317 */
					obj_t BgL__ortest_1106z00_4029;

					BgL__ortest_1106z00_4029 = BGL_CLASS_NIL(BgL_classz00_4028);
					if (CBOOL(BgL__ortest_1106z00_4029))
						{	/* Ast/nodetype.sch 1317 */
							return ((BgL_jumpzd2exzd2itz00_bglt) BgL__ortest_1106z00_4029);
						}
					else
						{	/* Ast/nodetype.sch 1317 */
							return
								((BgL_jumpzd2exzd2itz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4028));
						}
				}
			}
		}

	}



/* &jump-ex-it-nil */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62jumpzd2exzd2itzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6096)
	{
		{	/* Ast/nodetype.sch 1317 */
			return BGl_jumpzd2exzd2itzd2nilzd2zzast_nodez00();
		}

	}



/* jump-ex-it-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2valuezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_883)
	{
		{	/* Ast/nodetype.sch 1318 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_oz00_883))->BgL_valuez00);
		}

	}



/* &jump-ex-it-value */
	BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2valuezb0zzast_nodez00(obj_t
		BgL_envz00_6097, obj_t BgL_oz00_6098)
	{
		{	/* Ast/nodetype.sch 1318 */
			return
				BGl_jumpzd2exzd2itzd2valuezd2zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6098));
		}

	}



/* jump-ex-it-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_884, BgL_nodez00_bglt BgL_vz00_885)
	{
		{	/* Ast/nodetype.sch 1319 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_oz00_884))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_885), BUNSPEC);
		}

	}



/* &jump-ex-it-value-set! */
	obj_t BGl_z62jumpzd2exzd2itzd2valuezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6099, obj_t BgL_oz00_6100, obj_t BgL_vz00_6101)
	{
		{	/* Ast/nodetype.sch 1319 */
			return
				BGl_jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6100),
				((BgL_nodez00_bglt) BgL_vz00_6101));
		}

	}



/* jump-ex-it-exit */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2exitzd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_886)
	{
		{	/* Ast/nodetype.sch 1320 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_oz00_886))->BgL_exitz00);
		}

	}



/* &jump-ex-it-exit */
	BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2exitzb0zzast_nodez00(obj_t
		BgL_envz00_6102, obj_t BgL_oz00_6103)
	{
		{	/* Ast/nodetype.sch 1320 */
			return
				BGl_jumpzd2exzd2itzd2exitzd2zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6103));
		}

	}



/* jump-ex-it-exit-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_887, BgL_nodez00_bglt BgL_vz00_888)
	{
		{	/* Ast/nodetype.sch 1321 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_oz00_887))->BgL_exitz00) =
				((BgL_nodez00_bglt) BgL_vz00_888), BUNSPEC);
		}

	}



/* &jump-ex-it-exit-set! */
	obj_t BGl_z62jumpzd2exzd2itzd2exitzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6104, obj_t BgL_oz00_6105, obj_t BgL_vz00_6106)
	{
		{	/* Ast/nodetype.sch 1321 */
			return
				BGl_jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6105),
				((BgL_nodez00_bglt) BgL_vz00_6106));
		}

	}



/* jump-ex-it-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_jumpzd2exzd2itzd2typezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_889)
	{
		{	/* Ast/nodetype.sch 1322 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_889)))->BgL_typez00);
		}

	}



/* &jump-ex-it-type */
	BgL_typez00_bglt BGl_z62jumpzd2exzd2itzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_6107, obj_t BgL_oz00_6108)
	{
		{	/* Ast/nodetype.sch 1322 */
			return
				BGl_jumpzd2exzd2itzd2typezd2zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6108));
		}

	}



/* jump-ex-it-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2typezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_890, BgL_typez00_bglt BgL_vz00_891)
	{
		{	/* Ast/nodetype.sch 1323 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_890)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_891), BUNSPEC);
		}

	}



/* &jump-ex-it-type-set! */
	obj_t BGl_z62jumpzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6109, obj_t BgL_oz00_6110, obj_t BgL_vz00_6111)
	{
		{	/* Ast/nodetype.sch 1323 */
			return
				BGl_jumpzd2exzd2itzd2typezd2setz12z12zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6110),
				((BgL_typez00_bglt) BgL_vz00_6111));
		}

	}



/* jump-ex-it-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2loczd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_892)
	{
		{	/* Ast/nodetype.sch 1324 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_892)))->BgL_locz00);
		}

	}



/* &jump-ex-it-loc */
	obj_t BGl_z62jumpzd2exzd2itzd2loczb0zzast_nodez00(obj_t BgL_envz00_6112,
		obj_t BgL_oz00_6113)
	{
		{	/* Ast/nodetype.sch 1324 */
			return
				BGl_jumpzd2exzd2itzd2loczd2zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6113));
		}

	}



/* make-retblock */
	BGL_EXPORTED_DEF BgL_retblockz00_bglt
		BGl_makezd2retblockzd2zzast_nodez00(obj_t BgL_loc1472z00_895,
		BgL_typez00_bglt BgL_type1473z00_896, BgL_nodez00_bglt BgL_body1474z00_897)
	{
		{	/* Ast/nodetype.sch 1328 */
			{	/* Ast/nodetype.sch 1328 */
				BgL_retblockz00_bglt BgL_new1494z00_7672;

				{	/* Ast/nodetype.sch 1328 */
					BgL_retblockz00_bglt BgL_new1493z00_7673;

					BgL_new1493z00_7673 =
						((BgL_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_retblockz00_bgl))));
					{	/* Ast/nodetype.sch 1328 */
						long BgL_arg1800z00_7674;

						{	/* Ast/nodetype.sch 1328 */
							long BgL_res2895z00_7675;

							BgL_res2895z00_7675 =
								BGL_CLASS_INDEX(BGl_retblockz00zzast_nodez00);
							BgL_arg1800z00_7674 = BgL_res2895z00_7675;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1493z00_7673), BgL_arg1800z00_7674);
					}
					{	/* Ast/nodetype.sch 1328 */
						BgL_objectz00_bglt BgL_tmpz00_11195;

						BgL_tmpz00_11195 = ((BgL_objectz00_bglt) BgL_new1493z00_7673);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11195, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1493z00_7673);
					BgL_new1494z00_7672 = BgL_new1493z00_7673;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1494z00_7672)))->BgL_locz00) =
					((obj_t) BgL_loc1472z00_895), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1494z00_7672)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1473z00_896), BUNSPEC);
				((((BgL_retblockz00_bglt) COBJECT(BgL_new1494z00_7672))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1474z00_897), BUNSPEC);
				return BgL_new1494z00_7672;
			}
		}

	}



/* &make-retblock */
	BgL_retblockz00_bglt BGl_z62makezd2retblockzb0zzast_nodez00(obj_t
		BgL_envz00_6114, obj_t BgL_loc1472z00_6115, obj_t BgL_type1473z00_6116,
		obj_t BgL_body1474z00_6117)
	{
		{	/* Ast/nodetype.sch 1328 */
			return
				BGl_makezd2retblockzd2zzast_nodez00(BgL_loc1472z00_6115,
				((BgL_typez00_bglt) BgL_type1473z00_6116),
				((BgL_nodez00_bglt) BgL_body1474z00_6117));
		}

	}



/* retblock? */
	BGL_EXPORTED_DEF bool_t BGl_retblockzf3zf3zzast_nodez00(obj_t BgL_objz00_898)
	{
		{	/* Ast/nodetype.sch 1329 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_898,
				BGl_retblockz00zzast_nodez00);
		}

	}



/* &retblock? */
	obj_t BGl_z62retblockzf3z91zzast_nodez00(obj_t BgL_envz00_6118,
		obj_t BgL_objz00_6119)
	{
		{	/* Ast/nodetype.sch 1329 */
			return BBOOL(BGl_retblockzf3zf3zzast_nodez00(BgL_objz00_6119));
		}

	}



/* retblock-nil */
	BGL_EXPORTED_DEF BgL_retblockz00_bglt BGl_retblockzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1330 */
			{	/* Ast/nodetype.sch 1330 */
				obj_t BgL_classz00_4038;

				BgL_classz00_4038 = BGl_retblockz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1330 */
					obj_t BgL__ortest_1106z00_4039;

					BgL__ortest_1106z00_4039 = BGL_CLASS_NIL(BgL_classz00_4038);
					if (CBOOL(BgL__ortest_1106z00_4039))
						{	/* Ast/nodetype.sch 1330 */
							return ((BgL_retblockz00_bglt) BgL__ortest_1106z00_4039);
						}
					else
						{	/* Ast/nodetype.sch 1330 */
							return
								((BgL_retblockz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4038));
						}
				}
			}
		}

	}



/* &retblock-nil */
	BgL_retblockz00_bglt BGl_z62retblockzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6120)
	{
		{	/* Ast/nodetype.sch 1330 */
			return BGl_retblockzd2nilzd2zzast_nodez00();
		}

	}



/* retblock-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_retblockzd2bodyzd2zzast_nodez00(BgL_retblockz00_bglt BgL_oz00_899)
	{
		{	/* Ast/nodetype.sch 1331 */
			return (((BgL_retblockz00_bglt) COBJECT(BgL_oz00_899))->BgL_bodyz00);
		}

	}



/* &retblock-body */
	BgL_nodez00_bglt BGl_z62retblockzd2bodyzb0zzast_nodez00(obj_t BgL_envz00_6121,
		obj_t BgL_oz00_6122)
	{
		{	/* Ast/nodetype.sch 1331 */
			return
				BGl_retblockzd2bodyzd2zzast_nodez00(
				((BgL_retblockz00_bglt) BgL_oz00_6122));
		}

	}



/* retblock-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_retblockzd2bodyzd2setz12z12zzast_nodez00(BgL_retblockz00_bglt
		BgL_oz00_900, BgL_nodez00_bglt BgL_vz00_901)
	{
		{	/* Ast/nodetype.sch 1332 */
			return
				((((BgL_retblockz00_bglt) COBJECT(BgL_oz00_900))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_901), BUNSPEC);
		}

	}



/* &retblock-body-set! */
	obj_t BGl_z62retblockzd2bodyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6123,
		obj_t BgL_oz00_6124, obj_t BgL_vz00_6125)
	{
		{	/* Ast/nodetype.sch 1332 */
			return
				BGl_retblockzd2bodyzd2setz12z12zzast_nodez00(
				((BgL_retblockz00_bglt) BgL_oz00_6124),
				((BgL_nodez00_bglt) BgL_vz00_6125));
		}

	}



/* retblock-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_retblockzd2typezd2zzast_nodez00(BgL_retblockz00_bglt BgL_oz00_902)
	{
		{	/* Ast/nodetype.sch 1333 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_902)))->BgL_typez00);
		}

	}



/* &retblock-type */
	BgL_typez00_bglt BGl_z62retblockzd2typezb0zzast_nodez00(obj_t BgL_envz00_6126,
		obj_t BgL_oz00_6127)
	{
		{	/* Ast/nodetype.sch 1333 */
			return
				BGl_retblockzd2typezd2zzast_nodez00(
				((BgL_retblockz00_bglt) BgL_oz00_6127));
		}

	}



/* retblock-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_retblockzd2typezd2setz12z12zzast_nodez00(BgL_retblockz00_bglt
		BgL_oz00_903, BgL_typez00_bglt BgL_vz00_904)
	{
		{	/* Ast/nodetype.sch 1334 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_903)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_904), BUNSPEC);
		}

	}



/* &retblock-type-set! */
	obj_t BGl_z62retblockzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6128,
		obj_t BgL_oz00_6129, obj_t BgL_vz00_6130)
	{
		{	/* Ast/nodetype.sch 1334 */
			return
				BGl_retblockzd2typezd2setz12z12zzast_nodez00(
				((BgL_retblockz00_bglt) BgL_oz00_6129),
				((BgL_typez00_bglt) BgL_vz00_6130));
		}

	}



/* retblock-loc */
	BGL_EXPORTED_DEF obj_t BGl_retblockzd2loczd2zzast_nodez00(BgL_retblockz00_bglt
		BgL_oz00_905)
	{
		{	/* Ast/nodetype.sch 1335 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_905)))->BgL_locz00);
		}

	}



/* &retblock-loc */
	obj_t BGl_z62retblockzd2loczb0zzast_nodez00(obj_t BgL_envz00_6131,
		obj_t BgL_oz00_6132)
	{
		{	/* Ast/nodetype.sch 1335 */
			return
				BGl_retblockzd2loczd2zzast_nodez00(
				((BgL_retblockz00_bglt) BgL_oz00_6132));
		}

	}



/* make-return */
	BGL_EXPORTED_DEF BgL_returnz00_bglt BGl_makezd2returnzd2zzast_nodez00(obj_t
		BgL_loc1467z00_908, BgL_typez00_bglt BgL_type1468z00_909,
		BgL_retblockz00_bglt BgL_block1469z00_910,
		BgL_nodez00_bglt BgL_value1470z00_911)
	{
		{	/* Ast/nodetype.sch 1339 */
			{	/* Ast/nodetype.sch 1339 */
				BgL_returnz00_bglt BgL_new1496z00_7676;

				{	/* Ast/nodetype.sch 1339 */
					BgL_returnz00_bglt BgL_new1495z00_7677;

					BgL_new1495z00_7677 =
						((BgL_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_returnz00_bgl))));
					{	/* Ast/nodetype.sch 1339 */
						long BgL_arg1802z00_7678;

						{	/* Ast/nodetype.sch 1339 */
							long BgL_res2896z00_7679;

							BgL_res2896z00_7679 = BGL_CLASS_INDEX(BGl_returnz00zzast_nodez00);
							BgL_arg1802z00_7678 = BgL_res2896z00_7679;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1495z00_7677), BgL_arg1802z00_7678);
					}
					{	/* Ast/nodetype.sch 1339 */
						BgL_objectz00_bglt BgL_tmpz00_11241;

						BgL_tmpz00_11241 = ((BgL_objectz00_bglt) BgL_new1495z00_7677);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11241, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1495z00_7677);
					BgL_new1496z00_7676 = BgL_new1495z00_7677;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1496z00_7676)))->BgL_locz00) =
					((obj_t) BgL_loc1467z00_908), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1496z00_7676)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1468z00_909), BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(BgL_new1496z00_7676))->BgL_blockz00) =
					((BgL_retblockz00_bglt) BgL_block1469z00_910), BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(BgL_new1496z00_7676))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1470z00_911), BUNSPEC);
				return BgL_new1496z00_7676;
			}
		}

	}



/* &make-return */
	BgL_returnz00_bglt BGl_z62makezd2returnzb0zzast_nodez00(obj_t BgL_envz00_6133,
		obj_t BgL_loc1467z00_6134, obj_t BgL_type1468z00_6135,
		obj_t BgL_block1469z00_6136, obj_t BgL_value1470z00_6137)
	{
		{	/* Ast/nodetype.sch 1339 */
			return
				BGl_makezd2returnzd2zzast_nodez00(BgL_loc1467z00_6134,
				((BgL_typez00_bglt) BgL_type1468z00_6135),
				((BgL_retblockz00_bglt) BgL_block1469z00_6136),
				((BgL_nodez00_bglt) BgL_value1470z00_6137));
		}

	}



/* return? */
	BGL_EXPORTED_DEF bool_t BGl_returnzf3zf3zzast_nodez00(obj_t BgL_objz00_912)
	{
		{	/* Ast/nodetype.sch 1340 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_912, BGl_returnz00zzast_nodez00);
		}

	}



/* &return? */
	obj_t BGl_z62returnzf3z91zzast_nodez00(obj_t BgL_envz00_6138,
		obj_t BgL_objz00_6139)
	{
		{	/* Ast/nodetype.sch 1340 */
			return BBOOL(BGl_returnzf3zf3zzast_nodez00(BgL_objz00_6139));
		}

	}



/* return-nil */
	BGL_EXPORTED_DEF BgL_returnz00_bglt BGl_returnzd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1341 */
			{	/* Ast/nodetype.sch 1341 */
				obj_t BgL_classz00_4048;

				BgL_classz00_4048 = BGl_returnz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1341 */
					obj_t BgL__ortest_1106z00_4049;

					BgL__ortest_1106z00_4049 = BGL_CLASS_NIL(BgL_classz00_4048);
					if (CBOOL(BgL__ortest_1106z00_4049))
						{	/* Ast/nodetype.sch 1341 */
							return ((BgL_returnz00_bglt) BgL__ortest_1106z00_4049);
						}
					else
						{	/* Ast/nodetype.sch 1341 */
							return
								((BgL_returnz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4048));
						}
				}
			}
		}

	}



/* &return-nil */
	BgL_returnz00_bglt BGl_z62returnzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6140)
	{
		{	/* Ast/nodetype.sch 1341 */
			return BGl_returnzd2nilzd2zzast_nodez00();
		}

	}



/* return-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_returnzd2valuezd2zzast_nodez00(BgL_returnz00_bglt BgL_oz00_913)
	{
		{	/* Ast/nodetype.sch 1342 */
			return (((BgL_returnz00_bglt) COBJECT(BgL_oz00_913))->BgL_valuez00);
		}

	}



/* &return-value */
	BgL_nodez00_bglt BGl_z62returnzd2valuezb0zzast_nodez00(obj_t BgL_envz00_6141,
		obj_t BgL_oz00_6142)
	{
		{	/* Ast/nodetype.sch 1342 */
			return
				BGl_returnzd2valuezd2zzast_nodez00(
				((BgL_returnz00_bglt) BgL_oz00_6142));
		}

	}



/* return-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_returnzd2valuezd2setz12z12zzast_nodez00(BgL_returnz00_bglt BgL_oz00_914,
		BgL_nodez00_bglt BgL_vz00_915)
	{
		{	/* Ast/nodetype.sch 1343 */
			return
				((((BgL_returnz00_bglt) COBJECT(BgL_oz00_914))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_915), BUNSPEC);
		}

	}



/* &return-value-set! */
	obj_t BGl_z62returnzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6143,
		obj_t BgL_oz00_6144, obj_t BgL_vz00_6145)
	{
		{	/* Ast/nodetype.sch 1343 */
			return
				BGl_returnzd2valuezd2setz12z12zzast_nodez00(
				((BgL_returnz00_bglt) BgL_oz00_6144),
				((BgL_nodez00_bglt) BgL_vz00_6145));
		}

	}



/* return-block */
	BGL_EXPORTED_DEF BgL_retblockz00_bglt
		BGl_returnzd2blockzd2zzast_nodez00(BgL_returnz00_bglt BgL_oz00_916)
	{
		{	/* Ast/nodetype.sch 1344 */
			return (((BgL_returnz00_bglt) COBJECT(BgL_oz00_916))->BgL_blockz00);
		}

	}



/* &return-block */
	BgL_retblockz00_bglt BGl_z62returnzd2blockzb0zzast_nodez00(obj_t
		BgL_envz00_6146, obj_t BgL_oz00_6147)
	{
		{	/* Ast/nodetype.sch 1344 */
			return
				BGl_returnzd2blockzd2zzast_nodez00(
				((BgL_returnz00_bglt) BgL_oz00_6147));
		}

	}



/* return-block-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_returnzd2blockzd2setz12z12zzast_nodez00(BgL_returnz00_bglt BgL_oz00_917,
		BgL_retblockz00_bglt BgL_vz00_918)
	{
		{	/* Ast/nodetype.sch 1345 */
			return
				((((BgL_returnz00_bglt) COBJECT(BgL_oz00_917))->BgL_blockz00) =
				((BgL_retblockz00_bglt) BgL_vz00_918), BUNSPEC);
		}

	}



/* &return-block-set! */
	obj_t BGl_z62returnzd2blockzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6148,
		obj_t BgL_oz00_6149, obj_t BgL_vz00_6150)
	{
		{	/* Ast/nodetype.sch 1345 */
			return
				BGl_returnzd2blockzd2setz12z12zzast_nodez00(
				((BgL_returnz00_bglt) BgL_oz00_6149),
				((BgL_retblockz00_bglt) BgL_vz00_6150));
		}

	}



/* return-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_returnzd2typezd2zzast_nodez00(BgL_returnz00_bglt BgL_oz00_919)
	{
		{	/* Ast/nodetype.sch 1346 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_919)))->BgL_typez00);
		}

	}



/* &return-type */
	BgL_typez00_bglt BGl_z62returnzd2typezb0zzast_nodez00(obj_t BgL_envz00_6151,
		obj_t BgL_oz00_6152)
	{
		{	/* Ast/nodetype.sch 1346 */
			return
				BGl_returnzd2typezd2zzast_nodez00(((BgL_returnz00_bglt) BgL_oz00_6152));
		}

	}



/* return-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_returnzd2typezd2setz12z12zzast_nodez00(BgL_returnz00_bglt BgL_oz00_920,
		BgL_typez00_bglt BgL_vz00_921)
	{
		{	/* Ast/nodetype.sch 1347 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_920)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_921), BUNSPEC);
		}

	}



/* &return-type-set! */
	obj_t BGl_z62returnzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6153,
		obj_t BgL_oz00_6154, obj_t BgL_vz00_6155)
	{
		{	/* Ast/nodetype.sch 1347 */
			return
				BGl_returnzd2typezd2setz12z12zzast_nodez00(
				((BgL_returnz00_bglt) BgL_oz00_6154),
				((BgL_typez00_bglt) BgL_vz00_6155));
		}

	}



/* return-loc */
	BGL_EXPORTED_DEF obj_t BGl_returnzd2loczd2zzast_nodez00(BgL_returnz00_bglt
		BgL_oz00_922)
	{
		{	/* Ast/nodetype.sch 1348 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_922)))->BgL_locz00);
		}

	}



/* &return-loc */
	obj_t BGl_z62returnzd2loczb0zzast_nodez00(obj_t BgL_envz00_6156,
		obj_t BgL_oz00_6157)
	{
		{	/* Ast/nodetype.sch 1348 */
			return
				BGl_returnzd2loczd2zzast_nodez00(((BgL_returnz00_bglt) BgL_oz00_6157));
		}

	}



/* make-make-box */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxz00zzast_nodez00(obj_t BgL_loc1460z00_925,
		BgL_typez00_bglt BgL_type1461z00_926, obj_t BgL_sidezd2effect1462zd2_927,
		obj_t BgL_key1463z00_928, BgL_nodez00_bglt BgL_value1464z00_929,
		BgL_typez00_bglt BgL_vtype1465z00_930)
	{
		{	/* Ast/nodetype.sch 1352 */
			{	/* Ast/nodetype.sch 1352 */
				BgL_makezd2boxzd2_bglt BgL_new1498z00_7680;

				{	/* Ast/nodetype.sch 1352 */
					BgL_makezd2boxzd2_bglt BgL_new1497z00_7681;

					BgL_new1497z00_7681 =
						((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Ast/nodetype.sch 1352 */
						long BgL_arg1803z00_7682;

						{	/* Ast/nodetype.sch 1352 */
							long BgL_res2897z00_7683;

							BgL_res2897z00_7683 =
								BGL_CLASS_INDEX(BGl_makezd2boxzd2zzast_nodez00);
							BgL_arg1803z00_7682 = BgL_res2897z00_7683;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1497z00_7681), BgL_arg1803z00_7682);
					}
					{	/* Ast/nodetype.sch 1352 */
						BgL_objectz00_bglt BgL_tmpz00_11296;

						BgL_tmpz00_11296 = ((BgL_objectz00_bglt) BgL_new1497z00_7681);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11296, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1497z00_7681);
					BgL_new1498z00_7680 = BgL_new1497z00_7681;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1498z00_7680)))->BgL_locz00) =
					((obj_t) BgL_loc1460z00_925), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1498z00_7680)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1461z00_926), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1498z00_7680)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1462zd2_927), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1498z00_7680)))->BgL_keyz00) =
					((obj_t) BgL_key1463z00_928), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1498z00_7680))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_value1464z00_929), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1498z00_7680))->
						BgL_vtypez00) = ((BgL_typez00_bglt) BgL_vtype1465z00_930), BUNSPEC);
				return BgL_new1498z00_7680;
			}
		}

	}



/* &make-make-box */
	BgL_makezd2boxzd2_bglt BGl_z62makezd2makezd2boxz62zzast_nodez00(obj_t
		BgL_envz00_6158, obj_t BgL_loc1460z00_6159, obj_t BgL_type1461z00_6160,
		obj_t BgL_sidezd2effect1462zd2_6161, obj_t BgL_key1463z00_6162,
		obj_t BgL_value1464z00_6163, obj_t BgL_vtype1465z00_6164)
	{
		{	/* Ast/nodetype.sch 1352 */
			return
				BGl_makezd2makezd2boxz00zzast_nodez00(BgL_loc1460z00_6159,
				((BgL_typez00_bglt) BgL_type1461z00_6160),
				BgL_sidezd2effect1462zd2_6161, BgL_key1463z00_6162,
				((BgL_nodez00_bglt) BgL_value1464z00_6163),
				((BgL_typez00_bglt) BgL_vtype1465z00_6164));
		}

	}



/* make-box? */
	BGL_EXPORTED_DEF bool_t BGl_makezd2boxzf3z21zzast_nodez00(obj_t
		BgL_objz00_931)
	{
		{	/* Ast/nodetype.sch 1353 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_931,
				BGl_makezd2boxzd2zzast_nodez00);
		}

	}



/* &make-box? */
	obj_t BGl_z62makezd2boxzf3z43zzast_nodez00(obj_t BgL_envz00_6165,
		obj_t BgL_objz00_6166)
	{
		{	/* Ast/nodetype.sch 1353 */
			return BBOOL(BGl_makezd2boxzf3z21zzast_nodez00(BgL_objz00_6166));
		}

	}



/* make-box-nil */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt BGl_makezd2boxzd2nilz00zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1354 */
			{	/* Ast/nodetype.sch 1354 */
				obj_t BgL_classz00_4058;

				BgL_classz00_4058 = BGl_makezd2boxzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1354 */
					obj_t BgL__ortest_1106z00_4059;

					BgL__ortest_1106z00_4059 = BGL_CLASS_NIL(BgL_classz00_4058);
					if (CBOOL(BgL__ortest_1106z00_4059))
						{	/* Ast/nodetype.sch 1354 */
							return ((BgL_makezd2boxzd2_bglt) BgL__ortest_1106z00_4059);
						}
					else
						{	/* Ast/nodetype.sch 1354 */
							return
								((BgL_makezd2boxzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4058));
						}
				}
			}
		}

	}



/* &make-box-nil */
	BgL_makezd2boxzd2_bglt BGl_z62makezd2boxzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_6167)
	{
		{	/* Ast/nodetype.sch 1354 */
			return BGl_makezd2boxzd2nilz00zzast_nodez00();
		}

	}



/* make-box-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzd2vtypez00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_932)
	{
		{	/* Ast/nodetype.sch 1355 */
			return (((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_932))->BgL_vtypez00);
		}

	}



/* &make-box-vtype */
	BgL_typez00_bglt BGl_z62makezd2boxzd2vtypez62zzast_nodez00(obj_t
		BgL_envz00_6168, obj_t BgL_oz00_6169)
	{
		{	/* Ast/nodetype.sch 1355 */
			return
				BGl_makezd2boxzd2vtypez00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_6169));
		}

	}



/* make-box-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2vtypezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_933, BgL_typez00_bglt BgL_vz00_934)
	{
		{	/* Ast/nodetype.sch 1356 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_933))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_934), BUNSPEC);
		}

	}



/* &make-box-vtype-set! */
	obj_t BGl_z62makezd2boxzd2vtypezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6170, obj_t BgL_oz00_6171, obj_t BgL_vz00_6172)
	{
		{	/* Ast/nodetype.sch 1356 */
			return
				BGl_makezd2boxzd2vtypezd2setz12zc0zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_6171),
				((BgL_typez00_bglt) BgL_vz00_6172));
		}

	}



/* make-box-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_makezd2boxzd2valuez00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_935)
	{
		{	/* Ast/nodetype.sch 1357 */
			return (((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_935))->BgL_valuez00);
		}

	}



/* &make-box-value */
	BgL_nodez00_bglt BGl_z62makezd2boxzd2valuez62zzast_nodez00(obj_t
		BgL_envz00_6173, obj_t BgL_oz00_6174)
	{
		{	/* Ast/nodetype.sch 1357 */
			return
				BGl_makezd2boxzd2valuez00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_6174));
		}

	}



/* make-box-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2valuezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_936, BgL_nodez00_bglt BgL_vz00_937)
	{
		{	/* Ast/nodetype.sch 1358 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_936))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_937), BUNSPEC);
		}

	}



/* &make-box-value-set! */
	obj_t BGl_z62makezd2boxzd2valuezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6175, obj_t BgL_oz00_6176, obj_t BgL_vz00_6177)
	{
		{	/* Ast/nodetype.sch 1358 */
			return
				BGl_makezd2boxzd2valuezd2setz12zc0zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_6176),
				((BgL_nodez00_bglt) BgL_vz00_6177));
		}

	}



/* make-box-key */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2keyz00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_938)
	{
		{	/* Ast/nodetype.sch 1359 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_938)))->BgL_keyz00);
		}

	}



/* &make-box-key */
	obj_t BGl_z62makezd2boxzd2keyz62zzast_nodez00(obj_t BgL_envz00_6178,
		obj_t BgL_oz00_6179)
	{
		{	/* Ast/nodetype.sch 1359 */
			return
				BGl_makezd2boxzd2keyz00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_6179));
		}

	}



/* make-box-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2keyzd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_939, obj_t BgL_vz00_940)
	{
		{	/* Ast/nodetype.sch 1360 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_939)))->BgL_keyz00) =
				((obj_t) BgL_vz00_940), BUNSPEC);
		}

	}



/* &make-box-key-set! */
	obj_t BGl_z62makezd2boxzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6180,
		obj_t BgL_oz00_6181, obj_t BgL_vz00_6182)
	{
		{	/* Ast/nodetype.sch 1360 */
			return
				BGl_makezd2boxzd2keyzd2setz12zc0zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_6181), BgL_vz00_6182);
		}

	}



/* make-box-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2sidezd2effectzd2zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_941)
	{
		{	/* Ast/nodetype.sch 1361 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_941)))->BgL_sidezd2effectzd2);
		}

	}



/* &make-box-side-effect */
	obj_t BGl_z62makezd2boxzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_6183,
		obj_t BgL_oz00_6184)
	{
		{	/* Ast/nodetype.sch 1361 */
			return
				BGl_makezd2boxzd2sidezd2effectzd2zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_6184));
		}

	}



/* make-box-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_makezd2boxzd2_bglt BgL_oz00_942, obj_t BgL_vz00_943)
	{
		{	/* Ast/nodetype.sch 1362 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_942)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_943), BUNSPEC);
		}

	}



/* &make-box-side-effect-set! */
	obj_t BGl_z62makezd2boxzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6185, obj_t BgL_oz00_6186, obj_t BgL_vz00_6187)
	{
		{	/* Ast/nodetype.sch 1362 */
			return
				BGl_makezd2boxzd2sidezd2effectzd2setz12z12zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_6186), BgL_vz00_6187);
		}

	}



/* make-box-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzd2typez00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_944)
	{
		{	/* Ast/nodetype.sch 1363 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_944)))->BgL_typez00);
		}

	}



/* &make-box-type */
	BgL_typez00_bglt BGl_z62makezd2boxzd2typez62zzast_nodez00(obj_t
		BgL_envz00_6188, obj_t BgL_oz00_6189)
	{
		{	/* Ast/nodetype.sch 1363 */
			return
				BGl_makezd2boxzd2typez00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_6189));
		}

	}



/* make-box-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2typezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_945, BgL_typez00_bglt BgL_vz00_946)
	{
		{	/* Ast/nodetype.sch 1364 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_945)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_946), BUNSPEC);
		}

	}



/* &make-box-type-set! */
	obj_t BGl_z62makezd2boxzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6190,
		obj_t BgL_oz00_6191, obj_t BgL_vz00_6192)
	{
		{	/* Ast/nodetype.sch 1364 */
			return
				BGl_makezd2boxzd2typezd2setz12zc0zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_6191),
				((BgL_typez00_bglt) BgL_vz00_6192));
		}

	}



/* make-box-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2locz00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_947)
	{
		{	/* Ast/nodetype.sch 1365 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_947)))->BgL_locz00);
		}

	}



/* &make-box-loc */
	obj_t BGl_z62makezd2boxzd2locz62zzast_nodez00(obj_t BgL_envz00_6193,
		obj_t BgL_oz00_6194)
	{
		{	/* Ast/nodetype.sch 1365 */
			return
				BGl_makezd2boxzd2locz00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_6194));
		}

	}



/* make-box-ref */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refz00zzast_nodez00(obj_t BgL_loc1453z00_950,
		BgL_typez00_bglt BgL_type1454z00_951, obj_t BgL_sidezd2effect1455zd2_952,
		obj_t BgL_key1456z00_953, BgL_varz00_bglt BgL_var1457z00_954,
		BgL_typez00_bglt BgL_vtype1458z00_955)
	{
		{	/* Ast/nodetype.sch 1369 */
			{	/* Ast/nodetype.sch 1369 */
				BgL_boxzd2refzd2_bglt BgL_new1500z00_7684;

				{	/* Ast/nodetype.sch 1369 */
					BgL_boxzd2refzd2_bglt BgL_new1499z00_7685;

					BgL_new1499z00_7685 =
						((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzd2_bgl))));
					{	/* Ast/nodetype.sch 1369 */
						long BgL_arg1804z00_7686;

						{	/* Ast/nodetype.sch 1369 */
							long BgL_res2898z00_7687;

							BgL_res2898z00_7687 =
								BGL_CLASS_INDEX(BGl_boxzd2refzd2zzast_nodez00);
							BgL_arg1804z00_7686 = BgL_res2898z00_7687;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1499z00_7685), BgL_arg1804z00_7686);
					}
					{	/* Ast/nodetype.sch 1369 */
						BgL_objectz00_bglt BgL_tmpz00_11371;

						BgL_tmpz00_11371 = ((BgL_objectz00_bglt) BgL_new1499z00_7685);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11371, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1499z00_7685);
					BgL_new1500z00_7684 = BgL_new1499z00_7685;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1500z00_7684)))->BgL_locz00) =
					((obj_t) BgL_loc1453z00_950), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1500z00_7684)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1454z00_951), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1500z00_7684)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1455zd2_952), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1500z00_7684)))->BgL_keyz00) =
					((obj_t) BgL_key1456z00_953), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_new1500z00_7684))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1457z00_954), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_new1500z00_7684))->
						BgL_vtypez00) = ((BgL_typez00_bglt) BgL_vtype1458z00_955), BUNSPEC);
				return BgL_new1500z00_7684;
			}
		}

	}



/* &make-box-ref */
	BgL_boxzd2refzd2_bglt BGl_z62makezd2boxzd2refz62zzast_nodez00(obj_t
		BgL_envz00_6195, obj_t BgL_loc1453z00_6196, obj_t BgL_type1454z00_6197,
		obj_t BgL_sidezd2effect1455zd2_6198, obj_t BgL_key1456z00_6199,
		obj_t BgL_var1457z00_6200, obj_t BgL_vtype1458z00_6201)
	{
		{	/* Ast/nodetype.sch 1369 */
			return
				BGl_makezd2boxzd2refz00zzast_nodez00(BgL_loc1453z00_6196,
				((BgL_typez00_bglt) BgL_type1454z00_6197),
				BgL_sidezd2effect1455zd2_6198, BgL_key1456z00_6199,
				((BgL_varz00_bglt) BgL_var1457z00_6200),
				((BgL_typez00_bglt) BgL_vtype1458z00_6201));
		}

	}



/* box-ref? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2refzf3z21zzast_nodez00(obj_t BgL_objz00_956)
	{
		{	/* Ast/nodetype.sch 1370 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_956,
				BGl_boxzd2refzd2zzast_nodez00);
		}

	}



/* &box-ref? */
	obj_t BGl_z62boxzd2refzf3z43zzast_nodez00(obj_t BgL_envz00_6202,
		obj_t BgL_objz00_6203)
	{
		{	/* Ast/nodetype.sch 1370 */
			return BBOOL(BGl_boxzd2refzf3z21zzast_nodez00(BgL_objz00_6203));
		}

	}



/* box-ref-nil */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt BGl_boxzd2refzd2nilz00zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1371 */
			{	/* Ast/nodetype.sch 1371 */
				obj_t BgL_classz00_4068;

				BgL_classz00_4068 = BGl_boxzd2refzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1371 */
					obj_t BgL__ortest_1106z00_4069;

					BgL__ortest_1106z00_4069 = BGL_CLASS_NIL(BgL_classz00_4068);
					if (CBOOL(BgL__ortest_1106z00_4069))
						{	/* Ast/nodetype.sch 1371 */
							return ((BgL_boxzd2refzd2_bglt) BgL__ortest_1106z00_4069);
						}
					else
						{	/* Ast/nodetype.sch 1371 */
							return
								((BgL_boxzd2refzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4068));
						}
				}
			}
		}

	}



/* &box-ref-nil */
	BgL_boxzd2refzd2_bglt BGl_z62boxzd2refzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_6204)
	{
		{	/* Ast/nodetype.sch 1371 */
			return BGl_boxzd2refzd2nilz00zzast_nodez00();
		}

	}



/* box-ref-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzd2vtypez00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_957)
	{
		{	/* Ast/nodetype.sch 1372 */
			return (((BgL_boxzd2refzd2_bglt) COBJECT(BgL_oz00_957))->BgL_vtypez00);
		}

	}



/* &box-ref-vtype */
	BgL_typez00_bglt BGl_z62boxzd2refzd2vtypez62zzast_nodez00(obj_t
		BgL_envz00_6205, obj_t BgL_oz00_6206)
	{
		{	/* Ast/nodetype.sch 1372 */
			return
				BGl_boxzd2refzd2vtypez00zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_6206));
		}

	}



/* box-ref-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2vtypezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_958, BgL_typez00_bglt BgL_vz00_959)
	{
		{	/* Ast/nodetype.sch 1373 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_oz00_958))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_959), BUNSPEC);
		}

	}



/* &box-ref-vtype-set! */
	obj_t BGl_z62boxzd2refzd2vtypezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6207,
		obj_t BgL_oz00_6208, obj_t BgL_vz00_6209)
	{
		{	/* Ast/nodetype.sch 1373 */
			return
				BGl_boxzd2refzd2vtypezd2setz12zc0zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_6208),
				((BgL_typez00_bglt) BgL_vz00_6209));
		}

	}



/* box-ref-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2refzd2varz00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_960)
	{
		{	/* Ast/nodetype.sch 1374 */
			return (((BgL_boxzd2refzd2_bglt) COBJECT(BgL_oz00_960))->BgL_varz00);
		}

	}



/* &box-ref-var */
	BgL_varz00_bglt BGl_z62boxzd2refzd2varz62zzast_nodez00(obj_t BgL_envz00_6210,
		obj_t BgL_oz00_6211)
	{
		{	/* Ast/nodetype.sch 1374 */
			return
				BGl_boxzd2refzd2varz00zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_6211));
		}

	}



/* box-ref-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2varzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_961, BgL_varz00_bglt BgL_vz00_962)
	{
		{	/* Ast/nodetype.sch 1375 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_oz00_961))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_962), BUNSPEC);
		}

	}



/* &box-ref-var-set! */
	obj_t BGl_z62boxzd2refzd2varzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6212,
		obj_t BgL_oz00_6213, obj_t BgL_vz00_6214)
	{
		{	/* Ast/nodetype.sch 1375 */
			return
				BGl_boxzd2refzd2varzd2setz12zc0zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_6213),
				((BgL_varz00_bglt) BgL_vz00_6214));
		}

	}



/* box-ref-key */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2keyz00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_963)
	{
		{	/* Ast/nodetype.sch 1376 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_963)))->BgL_keyz00);
		}

	}



/* &box-ref-key */
	obj_t BGl_z62boxzd2refzd2keyz62zzast_nodez00(obj_t BgL_envz00_6215,
		obj_t BgL_oz00_6216)
	{
		{	/* Ast/nodetype.sch 1376 */
			return
				BGl_boxzd2refzd2keyz00zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_6216));
		}

	}



/* box-ref-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2keyzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_964, obj_t BgL_vz00_965)
	{
		{	/* Ast/nodetype.sch 1377 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_964)))->BgL_keyz00) =
				((obj_t) BgL_vz00_965), BUNSPEC);
		}

	}



/* &box-ref-key-set! */
	obj_t BGl_z62boxzd2refzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6217,
		obj_t BgL_oz00_6218, obj_t BgL_vz00_6219)
	{
		{	/* Ast/nodetype.sch 1377 */
			return
				BGl_boxzd2refzd2keyzd2setz12zc0zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_6218), BgL_vz00_6219);
		}

	}



/* box-ref-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2sidezd2effectzd2zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_966)
	{
		{	/* Ast/nodetype.sch 1378 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_966)))->BgL_sidezd2effectzd2);
		}

	}



/* &box-ref-side-effect */
	obj_t BGl_z62boxzd2refzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_6220,
		obj_t BgL_oz00_6221)
	{
		{	/* Ast/nodetype.sch 1378 */
			return
				BGl_boxzd2refzd2sidezd2effectzd2zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_6221));
		}

	}



/* box-ref-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2sidezd2effectzd2setz12z12zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_967, obj_t BgL_vz00_968)
	{
		{	/* Ast/nodetype.sch 1379 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_967)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_968), BUNSPEC);
		}

	}



/* &box-ref-side-effect-set! */
	obj_t BGl_z62boxzd2refzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6222, obj_t BgL_oz00_6223, obj_t BgL_vz00_6224)
	{
		{	/* Ast/nodetype.sch 1379 */
			return
				BGl_boxzd2refzd2sidezd2effectzd2setz12z12zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_6223), BgL_vz00_6224);
		}

	}



/* box-ref-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzd2typez00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_969)
	{
		{	/* Ast/nodetype.sch 1380 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_969)))->BgL_typez00);
		}

	}



/* &box-ref-type */
	BgL_typez00_bglt BGl_z62boxzd2refzd2typez62zzast_nodez00(obj_t
		BgL_envz00_6225, obj_t BgL_oz00_6226)
	{
		{	/* Ast/nodetype.sch 1380 */
			return
				BGl_boxzd2refzd2typez00zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_6226));
		}

	}



/* box-ref-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2typezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_970, BgL_typez00_bglt BgL_vz00_971)
	{
		{	/* Ast/nodetype.sch 1381 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_970)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_971), BUNSPEC);
		}

	}



/* &box-ref-type-set! */
	obj_t BGl_z62boxzd2refzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6227,
		obj_t BgL_oz00_6228, obj_t BgL_vz00_6229)
	{
		{	/* Ast/nodetype.sch 1381 */
			return
				BGl_boxzd2refzd2typezd2setz12zc0zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_6228),
				((BgL_typez00_bglt) BgL_vz00_6229));
		}

	}



/* box-ref-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2locz00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_972)
	{
		{	/* Ast/nodetype.sch 1382 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_972)))->BgL_locz00);
		}

	}



/* &box-ref-loc */
	obj_t BGl_z62boxzd2refzd2locz62zzast_nodez00(obj_t BgL_envz00_6230,
		obj_t BgL_oz00_6231)
	{
		{	/* Ast/nodetype.sch 1382 */
			return
				BGl_boxzd2refzd2locz00zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_6231));
		}

	}



/* make-box-set! */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12z12zzast_nodez00(obj_t BgL_loc1447z00_975,
		BgL_typez00_bglt BgL_type1448z00_976, BgL_varz00_bglt BgL_var1449z00_977,
		BgL_nodez00_bglt BgL_value1450z00_978,
		BgL_typez00_bglt BgL_vtype1451z00_979)
	{
		{	/* Ast/nodetype.sch 1386 */
			{	/* Ast/nodetype.sch 1386 */
				BgL_boxzd2setz12zc0_bglt BgL_new1502z00_7688;

				{	/* Ast/nodetype.sch 1386 */
					BgL_boxzd2setz12zc0_bglt BgL_new1501z00_7689;

					BgL_new1501z00_7689 =
						((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zc0_bgl))));
					{	/* Ast/nodetype.sch 1386 */
						long BgL_arg1808z00_7690;

						{	/* Ast/nodetype.sch 1386 */
							long BgL_res2899z00_7691;

							BgL_res2899z00_7691 =
								BGL_CLASS_INDEX(BGl_boxzd2setz12zc0zzast_nodez00);
							BgL_arg1808z00_7690 = BgL_res2899z00_7691;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1501z00_7689), BgL_arg1808z00_7690);
					}
					{	/* Ast/nodetype.sch 1386 */
						BgL_objectz00_bglt BgL_tmpz00_11446;

						BgL_tmpz00_11446 = ((BgL_objectz00_bglt) BgL_new1501z00_7689);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11446, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1501z00_7689);
					BgL_new1502z00_7688 = BgL_new1501z00_7689;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1502z00_7688)))->BgL_locz00) =
					((obj_t) BgL_loc1447z00_975), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1502z00_7688)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1448z00_976), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1502z00_7688))->
						BgL_varz00) = ((BgL_varz00_bglt) BgL_var1449z00_977), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1502z00_7688))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_value1450z00_978), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1502z00_7688))->
						BgL_vtypez00) = ((BgL_typez00_bglt) BgL_vtype1451z00_979), BUNSPEC);
				return BgL_new1502z00_7688;
			}
		}

	}



/* &make-box-set! */
	BgL_boxzd2setz12zc0_bglt BGl_z62makezd2boxzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6232, obj_t BgL_loc1447z00_6233, obj_t BgL_type1448z00_6234,
		obj_t BgL_var1449z00_6235, obj_t BgL_value1450z00_6236,
		obj_t BgL_vtype1451z00_6237)
	{
		{	/* Ast/nodetype.sch 1386 */
			return
				BGl_makezd2boxzd2setz12z12zzast_nodez00(BgL_loc1447z00_6233,
				((BgL_typez00_bglt) BgL_type1448z00_6234),
				((BgL_varz00_bglt) BgL_var1449z00_6235),
				((BgL_nodez00_bglt) BgL_value1450z00_6236),
				((BgL_typez00_bglt) BgL_vtype1451z00_6237));
		}

	}



/* box-set!? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2setz12zf3z33zzast_nodez00(obj_t
		BgL_objz00_980)
	{
		{	/* Ast/nodetype.sch 1387 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_980,
				BGl_boxzd2setz12zc0zzast_nodez00);
		}

	}



/* &box-set!? */
	obj_t BGl_z62boxzd2setz12zf3z51zzast_nodez00(obj_t BgL_envz00_6238,
		obj_t BgL_objz00_6239)
	{
		{	/* Ast/nodetype.sch 1387 */
			return BBOOL(BGl_boxzd2setz12zf3z33zzast_nodez00(BgL_objz00_6239));
		}

	}



/* box-set!-nil */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zd2nilz12zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1388 */
			{	/* Ast/nodetype.sch 1388 */
				obj_t BgL_classz00_4078;

				BgL_classz00_4078 = BGl_boxzd2setz12zc0zzast_nodez00;
				{	/* Ast/nodetype.sch 1388 */
					obj_t BgL__ortest_1106z00_4079;

					BgL__ortest_1106z00_4079 = BGL_CLASS_NIL(BgL_classz00_4078);
					if (CBOOL(BgL__ortest_1106z00_4079))
						{	/* Ast/nodetype.sch 1388 */
							return ((BgL_boxzd2setz12zc0_bglt) BgL__ortest_1106z00_4079);
						}
					else
						{	/* Ast/nodetype.sch 1388 */
							return
								((BgL_boxzd2setz12zc0_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4078));
						}
				}
			}
		}

	}



/* &box-set!-nil */
	BgL_boxzd2setz12zc0_bglt BGl_z62boxzd2setz12zd2nilz70zzast_nodez00(obj_t
		BgL_envz00_6240)
	{
		{	/* Ast/nodetype.sch 1388 */
			return BGl_boxzd2setz12zd2nilz12zzast_nodez00();
		}

	}



/* box-set!-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zd2vtypez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_981)
	{
		{	/* Ast/nodetype.sch 1389 */
			return (((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_981))->BgL_vtypez00);
		}

	}



/* &box-set!-vtype */
	BgL_typez00_bglt BGl_z62boxzd2setz12zd2vtypez70zzast_nodez00(obj_t
		BgL_envz00_6241, obj_t BgL_oz00_6242)
	{
		{	/* Ast/nodetype.sch 1389 */
			return
				BGl_boxzd2setz12zd2vtypez12zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_6242));
		}

	}



/* box-set!-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2vtypezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_982, BgL_typez00_bglt BgL_vz00_983)
	{
		{	/* Ast/nodetype.sch 1390 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_982))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_983), BUNSPEC);
		}

	}



/* &box-set!-vtype-set! */
	obj_t BGl_z62boxzd2setz12zd2vtypezd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_6243, obj_t BgL_oz00_6244, obj_t BgL_vz00_6245)
	{
		{	/* Ast/nodetype.sch 1390 */
			return
				BGl_boxzd2setz12zd2vtypezd2setz12zd2zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_6244),
				((BgL_typez00_bglt) BgL_vz00_6245));
		}

	}



/* box-set!-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_boxzd2setz12zd2valuez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_984)
	{
		{	/* Ast/nodetype.sch 1391 */
			return (((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_984))->BgL_valuez00);
		}

	}



/* &box-set!-value */
	BgL_nodez00_bglt BGl_z62boxzd2setz12zd2valuez70zzast_nodez00(obj_t
		BgL_envz00_6246, obj_t BgL_oz00_6247)
	{
		{	/* Ast/nodetype.sch 1391 */
			return
				BGl_boxzd2setz12zd2valuez12zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_6247));
		}

	}



/* box-set!-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_985, BgL_nodez00_bglt BgL_vz00_986)
	{
		{	/* Ast/nodetype.sch 1392 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_985))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_986), BUNSPEC);
		}

	}



/* &box-set!-value-set! */
	obj_t BGl_z62boxzd2setz12zd2valuezd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_6248, obj_t BgL_oz00_6249, obj_t BgL_vz00_6250)
	{
		{	/* Ast/nodetype.sch 1392 */
			return
				BGl_boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_6249),
				((BgL_nodez00_bglt) BgL_vz00_6250));
		}

	}



/* box-set!-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2setz12zd2varz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_987)
	{
		{	/* Ast/nodetype.sch 1393 */
			return (((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_987))->BgL_varz00);
		}

	}



/* &box-set!-var */
	BgL_varz00_bglt BGl_z62boxzd2setz12zd2varz70zzast_nodez00(obj_t
		BgL_envz00_6251, obj_t BgL_oz00_6252)
	{
		{	/* Ast/nodetype.sch 1393 */
			return
				BGl_boxzd2setz12zd2varz12zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_6252));
		}

	}



/* box-set!-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_988, BgL_varz00_bglt BgL_vz00_989)
	{
		{	/* Ast/nodetype.sch 1394 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_988))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_989), BUNSPEC);
		}

	}



/* &box-set!-var-set! */
	obj_t BGl_z62boxzd2setz12zd2varzd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_6253, obj_t BgL_oz00_6254, obj_t BgL_vz00_6255)
	{
		{	/* Ast/nodetype.sch 1394 */
			return
				BGl_boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_6254),
				((BgL_varz00_bglt) BgL_vz00_6255));
		}

	}



/* box-set!-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zd2typez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_990)
	{
		{	/* Ast/nodetype.sch 1395 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_990)))->BgL_typez00);
		}

	}



/* &box-set!-type */
	BgL_typez00_bglt BGl_z62boxzd2setz12zd2typez70zzast_nodez00(obj_t
		BgL_envz00_6256, obj_t BgL_oz00_6257)
	{
		{	/* Ast/nodetype.sch 1395 */
			return
				BGl_boxzd2setz12zd2typez12zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_6257));
		}

	}



/* box-set!-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2typezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_991, BgL_typez00_bglt BgL_vz00_992)
	{
		{	/* Ast/nodetype.sch 1396 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_991)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_992), BUNSPEC);
		}

	}



/* &box-set!-type-set! */
	obj_t BGl_z62boxzd2setz12zd2typezd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_6258, obj_t BgL_oz00_6259, obj_t BgL_vz00_6260)
	{
		{	/* Ast/nodetype.sch 1396 */
			return
				BGl_boxzd2setz12zd2typezd2setz12zd2zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_6259),
				((BgL_typez00_bglt) BgL_vz00_6260));
		}

	}



/* box-set!-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2locz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_993)
	{
		{	/* Ast/nodetype.sch 1397 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_993)))->BgL_locz00);
		}

	}



/* &box-set!-loc */
	obj_t BGl_z62boxzd2setz12zd2locz70zzast_nodez00(obj_t BgL_envz00_6261,
		obj_t BgL_oz00_6262)
	{
		{	/* Ast/nodetype.sch 1397 */
			return
				BGl_boxzd2setz12zd2locz12zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_6262));
		}

	}



/* make-sync */
	BGL_EXPORTED_DEF BgL_syncz00_bglt BGl_makezd2synczd2zzast_nodez00(obj_t
		BgL_loc1441z00_996, BgL_typez00_bglt BgL_type1442z00_997,
		BgL_nodez00_bglt BgL_mutex1443z00_998,
		BgL_nodez00_bglt BgL_prelock1444z00_999,
		BgL_nodez00_bglt BgL_body1445z00_1000)
	{
		{	/* Ast/nodetype.sch 1401 */
			{	/* Ast/nodetype.sch 1401 */
				BgL_syncz00_bglt BgL_new1504z00_7692;

				{	/* Ast/nodetype.sch 1401 */
					BgL_syncz00_bglt BgL_new1503z00_7693;

					BgL_new1503z00_7693 =
						((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_syncz00_bgl))));
					{	/* Ast/nodetype.sch 1401 */
						long BgL_arg1810z00_7694;

						{	/* Ast/nodetype.sch 1401 */
							long BgL_res2900z00_7695;

							BgL_res2900z00_7695 = BGL_CLASS_INDEX(BGl_syncz00zzast_nodez00);
							BgL_arg1810z00_7694 = BgL_res2900z00_7695;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1503z00_7693), BgL_arg1810z00_7694);
					}
					{	/* Ast/nodetype.sch 1401 */
						BgL_objectz00_bglt BgL_tmpz00_11510;

						BgL_tmpz00_11510 = ((BgL_objectz00_bglt) BgL_new1503z00_7693);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11510, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1503z00_7693);
					BgL_new1504z00_7692 = BgL_new1503z00_7693;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1504z00_7692)))->BgL_locz00) =
					((obj_t) BgL_loc1441z00_996), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1504z00_7692)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1442z00_997), BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1504z00_7692))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_mutex1443z00_998), BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1504z00_7692))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_prelock1444z00_999), BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1504z00_7692))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1445z00_1000), BUNSPEC);
				return BgL_new1504z00_7692;
			}
		}

	}



/* &make-sync */
	BgL_syncz00_bglt BGl_z62makezd2synczb0zzast_nodez00(obj_t BgL_envz00_6263,
		obj_t BgL_loc1441z00_6264, obj_t BgL_type1442z00_6265,
		obj_t BgL_mutex1443z00_6266, obj_t BgL_prelock1444z00_6267,
		obj_t BgL_body1445z00_6268)
	{
		{	/* Ast/nodetype.sch 1401 */
			return
				BGl_makezd2synczd2zzast_nodez00(BgL_loc1441z00_6264,
				((BgL_typez00_bglt) BgL_type1442z00_6265),
				((BgL_nodez00_bglt) BgL_mutex1443z00_6266),
				((BgL_nodez00_bglt) BgL_prelock1444z00_6267),
				((BgL_nodez00_bglt) BgL_body1445z00_6268));
		}

	}



/* sync? */
	BGL_EXPORTED_DEF bool_t BGl_synczf3zf3zzast_nodez00(obj_t BgL_objz00_1001)
	{
		{	/* Ast/nodetype.sch 1402 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_1001, BGl_syncz00zzast_nodez00);
		}

	}



/* &sync? */
	obj_t BGl_z62synczf3z91zzast_nodez00(obj_t BgL_envz00_6269,
		obj_t BgL_objz00_6270)
	{
		{	/* Ast/nodetype.sch 1402 */
			return BBOOL(BGl_synczf3zf3zzast_nodez00(BgL_objz00_6270));
		}

	}



/* sync-nil */
	BGL_EXPORTED_DEF BgL_syncz00_bglt BGl_synczd2nilzd2zzast_nodez00()
	{
		{	/* Ast/nodetype.sch 1403 */
			{	/* Ast/nodetype.sch 1403 */
				obj_t BgL_classz00_4088;

				BgL_classz00_4088 = BGl_syncz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1403 */
					obj_t BgL__ortest_1106z00_4089;

					BgL__ortest_1106z00_4089 = BGL_CLASS_NIL(BgL_classz00_4088);
					if (CBOOL(BgL__ortest_1106z00_4089))
						{	/* Ast/nodetype.sch 1403 */
							return ((BgL_syncz00_bglt) BgL__ortest_1106z00_4089);
						}
					else
						{	/* Ast/nodetype.sch 1403 */
							return
								((BgL_syncz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4088));
						}
				}
			}
		}

	}



/* &sync-nil */
	BgL_syncz00_bglt BGl_z62synczd2nilzb0zzast_nodez00(obj_t BgL_envz00_6271)
	{
		{	/* Ast/nodetype.sch 1403 */
			return BGl_synczd2nilzd2zzast_nodez00();
		}

	}



/* sync-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_synczd2bodyzd2zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1002)
	{
		{	/* Ast/nodetype.sch 1404 */
			return (((BgL_syncz00_bglt) COBJECT(BgL_oz00_1002))->BgL_bodyz00);
		}

	}



/* &sync-body */
	BgL_nodez00_bglt BGl_z62synczd2bodyzb0zzast_nodez00(obj_t BgL_envz00_6272,
		obj_t BgL_oz00_6273)
	{
		{	/* Ast/nodetype.sch 1404 */
			return
				BGl_synczd2bodyzd2zzast_nodez00(((BgL_syncz00_bglt) BgL_oz00_6273));
		}

	}



/* sync-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_synczd2bodyzd2setz12z12zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1003,
		BgL_nodez00_bglt BgL_vz00_1004)
	{
		{	/* Ast/nodetype.sch 1405 */
			return
				((((BgL_syncz00_bglt) COBJECT(BgL_oz00_1003))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_1004), BUNSPEC);
		}

	}



/* &sync-body-set! */
	obj_t BGl_z62synczd2bodyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6274,
		obj_t BgL_oz00_6275, obj_t BgL_vz00_6276)
	{
		{	/* Ast/nodetype.sch 1405 */
			return
				BGl_synczd2bodyzd2setz12z12zzast_nodez00(
				((BgL_syncz00_bglt) BgL_oz00_6275), ((BgL_nodez00_bglt) BgL_vz00_6276));
		}

	}



/* sync-prelock */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_synczd2prelockzd2zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1005)
	{
		{	/* Ast/nodetype.sch 1406 */
			return (((BgL_syncz00_bglt) COBJECT(BgL_oz00_1005))->BgL_prelockz00);
		}

	}



/* &sync-prelock */
	BgL_nodez00_bglt BGl_z62synczd2prelockzb0zzast_nodez00(obj_t BgL_envz00_6277,
		obj_t BgL_oz00_6278)
	{
		{	/* Ast/nodetype.sch 1406 */
			return
				BGl_synczd2prelockzd2zzast_nodez00(((BgL_syncz00_bglt) BgL_oz00_6278));
		}

	}



/* sync-prelock-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_synczd2prelockzd2setz12z12zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1006,
		BgL_nodez00_bglt BgL_vz00_1007)
	{
		{	/* Ast/nodetype.sch 1407 */
			return
				((((BgL_syncz00_bglt) COBJECT(BgL_oz00_1006))->BgL_prelockz00) =
				((BgL_nodez00_bglt) BgL_vz00_1007), BUNSPEC);
		}

	}



/* &sync-prelock-set! */
	obj_t BGl_z62synczd2prelockzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6279,
		obj_t BgL_oz00_6280, obj_t BgL_vz00_6281)
	{
		{	/* Ast/nodetype.sch 1407 */
			return
				BGl_synczd2prelockzd2setz12z12zzast_nodez00(
				((BgL_syncz00_bglt) BgL_oz00_6280), ((BgL_nodez00_bglt) BgL_vz00_6281));
		}

	}



/* sync-mutex */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_synczd2mutexzd2zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1008)
	{
		{	/* Ast/nodetype.sch 1408 */
			return (((BgL_syncz00_bglt) COBJECT(BgL_oz00_1008))->BgL_mutexz00);
		}

	}



/* &sync-mutex */
	BgL_nodez00_bglt BGl_z62synczd2mutexzb0zzast_nodez00(obj_t BgL_envz00_6282,
		obj_t BgL_oz00_6283)
	{
		{	/* Ast/nodetype.sch 1408 */
			return
				BGl_synczd2mutexzd2zzast_nodez00(((BgL_syncz00_bglt) BgL_oz00_6283));
		}

	}



/* sync-mutex-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_synczd2mutexzd2setz12z12zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1009,
		BgL_nodez00_bglt BgL_vz00_1010)
	{
		{	/* Ast/nodetype.sch 1409 */
			return
				((((BgL_syncz00_bglt) COBJECT(BgL_oz00_1009))->BgL_mutexz00) =
				((BgL_nodez00_bglt) BgL_vz00_1010), BUNSPEC);
		}

	}



/* &sync-mutex-set! */
	obj_t BGl_z62synczd2mutexzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6284,
		obj_t BgL_oz00_6285, obj_t BgL_vz00_6286)
	{
		{	/* Ast/nodetype.sch 1409 */
			return
				BGl_synczd2mutexzd2setz12z12zzast_nodez00(
				((BgL_syncz00_bglt) BgL_oz00_6285), ((BgL_nodez00_bglt) BgL_vz00_6286));
		}

	}



/* sync-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_synczd2typezd2zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1011)
	{
		{	/* Ast/nodetype.sch 1410 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1011)))->BgL_typez00);
		}

	}



/* &sync-type */
	BgL_typez00_bglt BGl_z62synczd2typezb0zzast_nodez00(obj_t BgL_envz00_6287,
		obj_t BgL_oz00_6288)
	{
		{	/* Ast/nodetype.sch 1410 */
			return
				BGl_synczd2typezd2zzast_nodez00(((BgL_syncz00_bglt) BgL_oz00_6288));
		}

	}



/* sync-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_synczd2typezd2setz12z12zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1012,
		BgL_typez00_bglt BgL_vz00_1013)
	{
		{	/* Ast/nodetype.sch 1411 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_1012)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_1013), BUNSPEC);
		}

	}



/* &sync-type-set! */
	obj_t BGl_z62synczd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6289,
		obj_t BgL_oz00_6290, obj_t BgL_vz00_6291)
	{
		{	/* Ast/nodetype.sch 1411 */
			return
				BGl_synczd2typezd2setz12z12zzast_nodez00(
				((BgL_syncz00_bglt) BgL_oz00_6290), ((BgL_typez00_bglt) BgL_vz00_6291));
		}

	}



/* sync-loc */
	BGL_EXPORTED_DEF obj_t BGl_synczd2loczd2zzast_nodez00(BgL_syncz00_bglt
		BgL_oz00_1014)
	{
		{	/* Ast/nodetype.sch 1412 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1014)))->BgL_locz00);
		}

	}



/* &sync-loc */
	obj_t BGl_z62synczd2loczb0zzast_nodez00(obj_t BgL_envz00_6292,
		obj_t BgL_oz00_6293)
	{
		{	/* Ast/nodetype.sch 1412 */
			return BGl_synczd2loczd2zzast_nodez00(((BgL_syncz00_bglt) BgL_oz00_6293));
		}

	}



/* strict-node-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt BgL_t1z00_1017,
		BgL_typez00_bglt BgL_t2z00_1018)
	{
		{	/* Ast/node.scm 299 */
			return BgL_t1z00_1017;
		}

	}



/* &strict-node-type */
	BgL_typez00_bglt BGl_z62strictzd2nodezd2typez62zzast_nodez00(obj_t
		BgL_envz00_6294, obj_t BgL_t1z00_6295, obj_t BgL_t2z00_6296)
	{
		{	/* Ast/node.scm 299 */
			return
				BGl_strictzd2nodezd2typez00zzast_nodez00(
				((BgL_typez00_bglt) BgL_t1z00_6295),
				((BgL_typez00_bglt) BgL_t2z00_6296));
		}

	}



/* node-walk* */
	bool_t BGl_nodezd2walkza2z70zzast_nodez00(obj_t BgL_nodeza2za2_1063,
		obj_t BgL_procz00_1064)
	{
		{	/* Ast/node.scm 477 */
			{
				obj_t BgL_l1623z00_1593;

				BgL_l1623z00_1593 = BgL_nodeza2za2_1063;
			BgL_zc3z04anonymousza31811ze3z87_1594:
				if (PAIRP(BgL_l1623z00_1593))
					{	/* Ast/node.scm 478 */
						{	/* Ast/node.scm 478 */
							obj_t BgL_nodez00_1596;

							BgL_nodez00_1596 = CAR(BgL_l1623z00_1593);
							BGl_nodezd2walkzd2zzast_nodez00(
								((BgL_nodez00_bglt) BgL_nodez00_1596), BgL_procz00_1064);
						}
						{
							obj_t BgL_l1623z00_11578;

							BgL_l1623z00_11578 = CDR(BgL_l1623z00_1593);
							BgL_l1623z00_1593 = BgL_l1623z00_11578;
							goto BgL_zc3z04anonymousza31811ze3z87_1594;
						}
					}
				else
					{	/* Ast/node.scm 478 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_nodez00()
	{
		{	/* Ast/node.scm 14 */
			{	/* Ast/node.scm 21 */
				obj_t BgL_arg1817z00_1602;
				obj_t BgL_arg1819z00_1603;

				{	/* Ast/node.scm 21 */
					obj_t BgL_v1625z00_1615;

					BgL_v1625z00_1615 = create_vector(((long) 2));
					{	/* Ast/node.scm 21 */
						obj_t BgL_arg1825z00_1616;

						BgL_arg1825z00_1616 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc2999z00zzast_nodez00,
							BGl_proc2998z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc2997z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1625z00_1615, ((long) 0), BgL_arg1825z00_1616);
					}
					{	/* Ast/node.scm 21 */
						obj_t BgL_arg1833z00_1629;

						BgL_arg1833z00_1629 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc3001z00zzast_nodez00,
							BGl_proc3000z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1625z00_1615, ((long) 1), BgL_arg1833z00_1629);
					}
					BgL_arg1817z00_1602 = BgL_v1625z00_1615;
				}
				{	/* Ast/node.scm 21 */
					obj_t BgL_v1626z00_1639;

					BgL_v1626z00_1639 = create_vector(((long) 0));
					BgL_arg1819z00_1603 = BgL_v1626z00_1639;
				}
				BGl_nodez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
					CNST_TABLE_REF(((long) 4)), BGl_objectz00zz__objectz00,
					((long) 44710), BGl_proc3004z00zzast_nodez00,
					BGl_proc3003z00zzast_nodez00, BFALSE, BGl_proc3002z00zzast_nodez00,
					BFALSE, BgL_arg1817z00_1602, BgL_arg1819z00_1603);
			}
			{	/* Ast/node.scm 37 */
				obj_t BgL_arg1843z00_1646;
				obj_t BgL_arg1844z00_1647;

				{	/* Ast/node.scm 37 */
					obj_t BgL_v1627z00_1661;

					BgL_v1627z00_1661 = create_vector(((long) 2));
					{	/* Ast/node.scm 37 */
						obj_t BgL_arg1850z00_1662;

						BgL_arg1850z00_1662 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc3007z00zzast_nodez00,
							BGl_proc3006z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3005z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1627z00_1661, ((long) 0), BgL_arg1850z00_1662);
					}
					{	/* Ast/node.scm 37 */
						obj_t BgL_arg1858z00_1675;

						BgL_arg1858z00_1675 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc3010z00zzast_nodez00,
							BGl_proc3009z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3008z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1627z00_1661, ((long) 1), BgL_arg1858z00_1675);
					}
					BgL_arg1843z00_1646 = BgL_v1627z00_1661;
				}
				{	/* Ast/node.scm 37 */
					obj_t BgL_v1628z00_1688;

					BgL_v1628z00_1688 = create_vector(((long) 0));
					BgL_arg1844z00_1647 = BgL_v1628z00_1688;
				}
				BGl_nodezf2effectzf2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 7)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 23581),
					BGl_proc3013z00zzast_nodez00, BGl_proc3012z00zzast_nodez00, BFALSE,
					BGl_proc3011z00zzast_nodez00, BFALSE, BgL_arg1843z00_1646,
					BgL_arg1844z00_1647);
			}
			{	/* Ast/node.scm 46 */
				obj_t BgL_arg1870z00_1694;
				obj_t BgL_arg1871z00_1695;

				{	/* Ast/node.scm 46 */
					obj_t BgL_v1629z00_1701;

					BgL_v1629z00_1701 = create_vector(((long) 1));
					{	/* Ast/node.scm 46 */
						obj_t BgL_arg1875z00_1702;

						BgL_arg1875z00_1702 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3015z00zzast_nodez00,
							BGl_proc3014z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1629z00_1701, ((long) 0), BgL_arg1875z00_1702);
					}
					BgL_arg1870z00_1694 = BgL_v1629z00_1701;
				}
				{	/* Ast/node.scm 46 */
					obj_t BgL_v1630z00_1712;

					BgL_v1630z00_1712 = create_vector(((long) 0));
					BgL_arg1871z00_1695 = BgL_v1630z00_1712;
				}
				BGl_atomz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 9)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 4761),
					BFALSE, BGl_proc3017z00zzast_nodez00, BFALSE,
					BGl_proc3016z00zzast_nodez00, BFALSE, BgL_arg1870z00_1694,
					BgL_arg1871z00_1695);
			}
			{	/* Ast/node.scm 51 */
				obj_t BgL_arg1883z00_1718;
				obj_t BgL_arg1884z00_1719;

				{	/* Ast/node.scm 51 */
					obj_t BgL_v1631z00_1732;

					BgL_v1631z00_1732 = create_vector(((long) 0));
					BgL_arg1883z00_1718 = BgL_v1631z00_1732;
				}
				{	/* Ast/node.scm 51 */
					obj_t BgL_v1632z00_1733;

					BgL_v1632z00_1733 = create_vector(((long) 0));
					BgL_arg1884z00_1719 = BgL_v1632z00_1733;
				}
				BGl_literalz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 10)),
					CNST_TABLE_REF(((long) 4)), BGl_atomz00zzast_nodez00, ((long) 30530),
					BGl_proc3020z00zzast_nodez00, BGl_proc3019z00zzast_nodez00, BFALSE,
					BGl_proc3018z00zzast_nodez00, BFALSE, BgL_arg1883z00_1718,
					BgL_arg1884z00_1719);
			}
			{	/* Ast/node.scm 54 */
				obj_t BgL_arg1894z00_1740;
				obj_t BgL_arg1895z00_1741;

				{	/* Ast/node.scm 54 */
					obj_t BgL_v1633z00_1757;

					BgL_v1633z00_1757 = create_vector(((long) 3));
					{	/* Ast/node.scm 54 */
						obj_t BgL_arg1901z00_1758;

						BgL_arg1901z00_1758 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									11)), BGl_proc3022z00zzast_nodez00,
							BGl_proc3021z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1633z00_1757, ((long) 0), BgL_arg1901z00_1758);
					}
					{	/* Ast/node.scm 54 */
						obj_t BgL_arg1906z00_1768;

						BgL_arg1906z00_1768 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									12)), BGl_proc3025z00zzast_nodez00,
							BGl_proc3024z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3023z00zzast_nodez00, CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1633z00_1757, ((long) 1), BgL_arg1906z00_1768);
					}
					{	/* Ast/node.scm 54 */
						obj_t BgL_arg1913z00_1781;

						BgL_arg1913z00_1781 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									14)), BGl_proc3028z00zzast_nodez00,
							BGl_proc3027z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3026z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1633z00_1757, ((long) 2), BgL_arg1913z00_1781);
					}
					BgL_arg1894z00_1740 = BgL_v1633z00_1757;
				}
				{	/* Ast/node.scm 54 */
					obj_t BgL_v1634z00_1794;

					BgL_v1634z00_1794 = create_vector(((long) 0));
					BgL_arg1895z00_1741 = BgL_v1634z00_1794;
				}
				BGl_patchz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 15)),
					CNST_TABLE_REF(((long) 4)), BGl_atomz00zzast_nodez00, ((long) 50926),
					BGl_proc3031z00zzast_nodez00, BGl_proc3030z00zzast_nodez00, BFALSE,
					BGl_proc3029z00zzast_nodez00, BFALSE, BgL_arg1894z00_1740,
					BgL_arg1895z00_1741);
			}
			{	/* Ast/node.scm 60 */
				obj_t BgL_arg1923z00_1801;
				obj_t BgL_arg1924z00_1802;

				{	/* Ast/node.scm 60 */
					obj_t BgL_v1635z00_1815;

					BgL_v1635z00_1815 = create_vector(((long) 1));
					{	/* Ast/node.scm 60 */
						obj_t BgL_arg1930z00_1816;

						BgL_arg1930z00_1816 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									16)), BGl_proc3033z00zzast_nodez00,
							BGl_proc3032z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_variablez00zzast_varz00);
						VECTOR_SET(BgL_v1635z00_1815, ((long) 0), BgL_arg1930z00_1816);
					}
					BgL_arg1923z00_1801 = BgL_v1635z00_1815;
				}
				{	/* Ast/node.scm 60 */
					obj_t BgL_v1636z00_1826;

					BgL_v1636z00_1826 = create_vector(((long) 0));
					BgL_arg1924z00_1802 = BgL_v1636z00_1826;
				}
				BGl_varz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 17)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 38068),
					BGl_proc3036z00zzast_nodez00, BGl_proc3035z00zzast_nodez00, BFALSE,
					BGl_proc3034z00zzast_nodez00, BFALSE, BgL_arg1923z00_1801,
					BgL_arg1924z00_1802);
			}
			{	/* Ast/node.scm 65 */
				obj_t BgL_arg1938z00_1833;
				obj_t BgL_arg1939z00_1834;

				{	/* Ast/node.scm 65 */
					obj_t BgL_v1637z00_1847;

					BgL_v1637z00_1847 = create_vector(((long) 0));
					BgL_arg1938z00_1833 = BgL_v1637z00_1847;
				}
				{	/* Ast/node.scm 65 */
					obj_t BgL_v1638z00_1848;

					BgL_v1638z00_1848 = create_vector(((long) 0));
					BgL_arg1939z00_1834 = BgL_v1638z00_1848;
				}
				BGl_closurez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 18)),
					CNST_TABLE_REF(((long) 4)), BGl_varz00zzast_nodez00, ((long) 40917),
					BGl_proc3039z00zzast_nodez00, BGl_proc3038z00zzast_nodez00, BFALSE,
					BGl_proc3037z00zzast_nodez00, BFALSE, BgL_arg1938z00_1833,
					BgL_arg1939z00_1834);
			}
			{	/* Ast/node.scm 68 */
				obj_t BgL_arg1948z00_1855;
				obj_t BgL_arg1949z00_1856;

				{	/* Ast/node.scm 68 */
					obj_t BgL_v1639z00_1869;

					BgL_v1639z00_1869 = create_vector(((long) 1));
					{	/* Ast/node.scm 68 */
						obj_t BgL_arg1955z00_1870;

						BgL_arg1955z00_1870 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3041z00zzast_nodez00,
							BGl_proc3040z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1639z00_1869, ((long) 0), BgL_arg1955z00_1870);
					}
					BgL_arg1948z00_1855 = BgL_v1639z00_1869;
				}
				{	/* Ast/node.scm 68 */
					obj_t BgL_v1640z00_1880;

					BgL_v1640z00_1880 = create_vector(((long) 0));
					BgL_arg1949z00_1856 = BgL_v1640z00_1880;
				}
				BGl_kwotez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 19)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 14781),
					BGl_proc3044z00zzast_nodez00, BGl_proc3043z00zzast_nodez00, BFALSE,
					BGl_proc3042z00zzast_nodez00, BFALSE, BgL_arg1948z00_1855,
					BgL_arg1949z00_1856);
			}
			{	/* Ast/node.scm 73 */
				obj_t BgL_arg1963z00_1887;
				obj_t BgL_arg1964z00_1888;

				{	/* Ast/node.scm 73 */
					obj_t BgL_v1641z00_1905;

					BgL_v1641z00_1905 = create_vector(((long) 3));
					{	/* Ast/node.scm 73 */
						obj_t BgL_arg1970z00_1906;

						BgL_arg1970z00_1906 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									20)), BGl_proc3046z00zzast_nodez00,
							BGl_proc3045z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 21)));
						VECTOR_SET(BgL_v1641z00_1905, ((long) 0), BgL_arg1970z00_1906);
					}
					{	/* Ast/node.scm 73 */
						obj_t BgL_arg1977z00_1916;

						BgL_arg1977z00_1916 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									22)), BGl_proc3049z00zzast_nodez00,
							BGl_proc3048z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3047z00zzast_nodez00, CNST_TABLE_REF(((long) 23)));
						VECTOR_SET(BgL_v1641z00_1905, ((long) 1), BgL_arg1977z00_1916);
					}
					{	/* Ast/node.scm 73 */
						obj_t BgL_arg1984z00_1929;

						BgL_arg1984z00_1929 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									24)), BGl_proc3052z00zzast_nodez00,
							BGl_proc3051z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3050z00zzast_nodez00, CNST_TABLE_REF(((long) 21)));
						VECTOR_SET(BgL_v1641z00_1905, ((long) 2), BgL_arg1984z00_1929);
					}
					BgL_arg1963z00_1887 = BgL_v1641z00_1905;
				}
				{	/* Ast/node.scm 73 */
					obj_t BgL_v1642z00_1942;

					BgL_v1642z00_1942 = create_vector(((long) 0));
					BgL_arg1964z00_1888 = BgL_v1642z00_1942;
				}
				BGl_sequencez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 25)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 60739), BGl_proc3055z00zzast_nodez00,
					BGl_proc3054z00zzast_nodez00, BFALSE, BGl_proc3053z00zzast_nodez00,
					BFALSE, BgL_arg1963z00_1887, BgL_arg1964z00_1888);
			}
			{	/* Ast/node.scm 79 */
				obj_t BgL_arg1997z00_1949;
				obj_t BgL_arg1998z00_1950;

				{	/* Ast/node.scm 79 */
					obj_t BgL_v1643z00_1966;

					BgL_v1643z00_1966 = create_vector(((long) 2));
					{	/* Ast/node.scm 79 */
						obj_t BgL_arg2005z00_1967;

						BgL_arg2005z00_1967 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									26)), BGl_proc3057z00zzast_nodez00,
							BGl_proc3056z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1643z00_1966, ((long) 0), BgL_arg2005z00_1967);
					}
					{	/* Ast/node.scm 79 */
						obj_t BgL_arg2010z00_1977;

						BgL_arg2010z00_1977 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									27)), BGl_proc3059z00zzast_nodez00,
							BGl_proc3058z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1643z00_1966, ((long) 1), BgL_arg2010z00_1977);
					}
					BgL_arg1997z00_1949 = BgL_v1643z00_1966;
				}
				{	/* Ast/node.scm 79 */
					obj_t BgL_v1644z00_1987;

					BgL_v1644z00_1987 = create_vector(((long) 0));
					BgL_arg1998z00_1950 = BgL_v1644z00_1987;
				}
				BGl_appz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 28)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 35480), BGl_proc3062z00zzast_nodez00,
					BGl_proc3061z00zzast_nodez00, BFALSE, BGl_proc3060z00zzast_nodez00,
					BFALSE, BgL_arg1997z00_1949, BgL_arg1998z00_1950);
			}
			{	/* Ast/node.scm 86 */
				obj_t BgL_arg2018z00_1994;
				obj_t BgL_arg2019z00_1995;

				{	/* Ast/node.scm 86 */
					obj_t BgL_v1645z00_2009;

					BgL_v1645z00_2009 = create_vector(((long) 2));
					{	/* Ast/node.scm 86 */
						obj_t BgL_arg2025z00_2010;

						BgL_arg2025z00_2010 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									26)), BGl_proc3064z00zzast_nodez00,
							BGl_proc3063z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1645z00_2009, ((long) 0), BgL_arg2025z00_2010);
					}
					{	/* Ast/node.scm 86 */
						obj_t BgL_arg2030z00_2020;

						BgL_arg2030z00_2020 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									29)), BGl_proc3066z00zzast_nodez00,
							BGl_proc3065z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1645z00_2009, ((long) 1), BgL_arg2030z00_2020);
					}
					BgL_arg2018z00_1994 = BgL_v1645z00_2009;
				}
				{	/* Ast/node.scm 86 */
					obj_t BgL_v1646z00_2030;

					BgL_v1646z00_2030 = create_vector(((long) 0));
					BgL_arg2019z00_1995 = BgL_v1646z00_2030;
				}
				BGl_appzd2lyzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 30)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 54426),
					BGl_proc3069z00zzast_nodez00, BGl_proc3068z00zzast_nodez00, BFALSE,
					BGl_proc3067z00zzast_nodez00, BFALSE, BgL_arg2018z00_1994,
					BgL_arg2019z00_1995);
			}
			{	/* Ast/node.scm 93 */
				obj_t BgL_arg2039z00_2037;
				obj_t BgL_arg2040z00_2038;

				{	/* Ast/node.scm 93 */
					obj_t BgL_v1647z00_2054;

					BgL_v1647z00_2054 = create_vector(((long) 4));
					{	/* Ast/node.scm 93 */
						obj_t BgL_arg2047z00_2055;

						BgL_arg2047z00_2055 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									26)), BGl_proc3071z00zzast_nodez00,
							BGl_proc3070z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1647z00_2054, ((long) 0), BgL_arg2047z00_2055);
					}
					{	/* Ast/node.scm 93 */
						obj_t BgL_arg2052z00_2065;

						BgL_arg2052z00_2065 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									27)), BGl_proc3073z00zzast_nodez00,
							BGl_proc3072z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1647z00_2054, ((long) 1), BgL_arg2052z00_2065);
					}
					{	/* Ast/node.scm 93 */
						obj_t BgL_arg2057z00_2075;

						BgL_arg2057z00_2075 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									31)), BGl_proc3076z00zzast_nodez00,
							BGl_proc3075z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3074z00zzast_nodez00, CNST_TABLE_REF(((long) 32)));
						VECTOR_SET(BgL_v1647z00_2054, ((long) 2), BgL_arg2057z00_2075);
					}
					{	/* Ast/node.scm 93 */
						obj_t BgL_arg2064z00_2088;

						BgL_arg2064z00_2088 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									33)), BGl_proc3079z00zzast_nodez00,
							BGl_proc3078z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3077z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1647z00_2054, ((long) 3), BgL_arg2064z00_2088);
					}
					BgL_arg2039z00_2037 = BgL_v1647z00_2054;
				}
				{	/* Ast/node.scm 93 */
					obj_t BgL_v1648z00_2101;

					BgL_v1648z00_2101 = create_vector(((long) 0));
					BgL_arg2040z00_2038 = BgL_v1648z00_2101;
				}
				BGl_funcallz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 34)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 13852),
					BGl_proc3082z00zzast_nodez00, BGl_proc3081z00zzast_nodez00, BFALSE,
					BGl_proc3080z00zzast_nodez00, BFALSE, BgL_arg2039z00_2037,
					BgL_arg2040z00_2038);
			}
			{	/* Ast/node.scm 105 */
				obj_t BgL_arg2075z00_2108;
				obj_t BgL_arg2076z00_2109;

				{	/* Ast/node.scm 105 */
					obj_t BgL_v1649z00_2125;

					BgL_v1649z00_2125 = create_vector(((long) 2));
					{	/* Ast/node.scm 105 */
						obj_t BgL_arg2083z00_2126;

						BgL_arg2083z00_2126 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									35)), BGl_proc3085z00zzast_nodez00,
							BGl_proc3084z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3083z00zzast_nodez00, CNST_TABLE_REF(((long) 21)));
						VECTOR_SET(BgL_v1649z00_2125, ((long) 0), BgL_arg2083z00_2126);
					}
					{	/* Ast/node.scm 105 */
						obj_t BgL_arg2091z00_2139;

						BgL_arg2091z00_2139 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									36)), BGl_proc3088z00zzast_nodez00,
							BGl_proc3087z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3086z00zzast_nodez00, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1649z00_2125, ((long) 1), BgL_arg2091z00_2139);
					}
					BgL_arg2075z00_2108 = BgL_v1649z00_2125;
				}
				{	/* Ast/node.scm 105 */
					obj_t BgL_v1650z00_2152;

					BgL_v1650z00_2152 = create_vector(((long) 0));
					BgL_arg2076z00_2109 = BgL_v1650z00_2152;
				}
				BGl_externz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 37)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 992), BGl_proc3091z00zzast_nodez00,
					BGl_proc3090z00zzast_nodez00, BFALSE, BGl_proc3089z00zzast_nodez00,
					BFALSE, BgL_arg2075z00_2108, BgL_arg2076z00_2109);
			}
			{	/* Ast/node.scm 112 */
				obj_t BgL_arg2102z00_2159;
				obj_t BgL_arg2103z00_2160;

				{	/* Ast/node.scm 112 */
					obj_t BgL_v1651z00_2177;

					BgL_v1651z00_2177 = create_vector(((long) 1));
					{	/* Ast/node.scm 112 */
						obj_t BgL_arg2109z00_2178;

						BgL_arg2109z00_2178 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									38)), BGl_proc3093z00zzast_nodez00,
							BGl_proc3092z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 39)));
						VECTOR_SET(BgL_v1651z00_2177, ((long) 0), BgL_arg2109z00_2178);
					}
					BgL_arg2102z00_2159 = BgL_v1651z00_2177;
				}
				{	/* Ast/node.scm 112 */
					obj_t BgL_v1652z00_2188;

					BgL_v1652z00_2188 = create_vector(((long) 0));
					BgL_arg2103z00_2160 = BgL_v1652z00_2188;
				}
				BGl_pragmaz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 40)),
					CNST_TABLE_REF(((long) 4)), BGl_externz00zzast_nodez00, ((long) 1873),
					BGl_proc3096z00zzast_nodez00, BGl_proc3095z00zzast_nodez00, BFALSE,
					BGl_proc3094z00zzast_nodez00, BFALSE, BgL_arg2102z00_2159,
					BgL_arg2103z00_2160);
			}
			{	/* Ast/node.scm 116 */
				obj_t BgL_arg2117z00_2195;
				obj_t BgL_arg2118z00_2196;

				{	/* Ast/node.scm 116 */
					obj_t BgL_v1653z00_2214;

					BgL_v1653z00_2214 = create_vector(((long) 2));
					{	/* Ast/node.scm 116 */
						obj_t BgL_arg2124z00_2215;

						BgL_arg2124z00_2215 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									12)), BGl_proc3099z00zzast_nodez00,
							BGl_proc3098z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3097z00zzast_nodez00, CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1653z00_2214, ((long) 0), BgL_arg2124z00_2215);
					}
					{	/* Ast/node.scm 116 */
						obj_t BgL_arg2131z00_2228;

						BgL_arg2131z00_2228 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									41)), BGl_proc3102z00zzast_nodez00,
							BGl_proc3101z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3100z00zzast_nodez00, CNST_TABLE_REF(((long) 13)));
						VECTOR_SET(BgL_v1653z00_2214, ((long) 1), BgL_arg2131z00_2228);
					}
					BgL_arg2117z00_2195 = BgL_v1653z00_2214;
				}
				{	/* Ast/node.scm 116 */
					obj_t BgL_v1654z00_2241;

					BgL_v1654z00_2241 = create_vector(((long) 0));
					BgL_arg2118z00_2196 = BgL_v1654z00_2241;
				}
				BGl_genpatchidz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 42)),
					CNST_TABLE_REF(((long) 4)), BGl_externz00zzast_nodez00,
					((long) 30795), BGl_proc3105z00zzast_nodez00,
					BGl_proc3104z00zzast_nodez00, BFALSE, BGl_proc3103z00zzast_nodez00,
					BFALSE, BgL_arg2117z00_2195, BgL_arg2118z00_2196);
			}
			{	/* Ast/node.scm 121 */
				obj_t BgL_arg2143z00_2248;
				obj_t BgL_arg2144z00_2249;

				{	/* Ast/node.scm 121 */
					obj_t BgL_v1655z00_2266;

					BgL_v1655z00_2266 = create_vector(((long) 1));
					{	/* Ast/node.scm 121 */
						obj_t BgL_arg2150z00_2267;

						BgL_arg2150z00_2267 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									43)), BGl_proc3107z00zzast_nodez00,
							BGl_proc3106z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 39)));
						VECTOR_SET(BgL_v1655z00_2266, ((long) 0), BgL_arg2150z00_2267);
					}
					BgL_arg2143z00_2248 = BgL_v1655z00_2266;
				}
				{	/* Ast/node.scm 121 */
					obj_t BgL_v1656z00_2277;

					BgL_v1656z00_2277 = create_vector(((long) 0));
					BgL_arg2144z00_2249 = BgL_v1656z00_2277;
				}
				BGl_privatez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 44)),
					CNST_TABLE_REF(((long) 4)), BGl_externz00zzast_nodez00,
					((long) 30541), BGl_proc3110z00zzast_nodez00,
					BGl_proc3109z00zzast_nodez00, BFALSE, BGl_proc3108z00zzast_nodez00,
					BFALSE, BgL_arg2143z00_2248, BgL_arg2144z00_2249);
			}
			{	/* Ast/node.scm 125 */
				obj_t BgL_arg2158z00_2284;
				obj_t BgL_arg2159z00_2285;

				{	/* Ast/node.scm 125 */
					obj_t BgL_v1657z00_2305;

					BgL_v1657z00_2305 = create_vector(((long) 3));
					{	/* Ast/node.scm 125 */
						obj_t BgL_arg2165z00_2306;

						BgL_arg2165z00_2306 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									45)), BGl_proc3112z00zzast_nodez00,
							BGl_proc3111z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 39)));
						VECTOR_SET(BgL_v1657z00_2305, ((long) 0), BgL_arg2165z00_2306);
					}
					{	/* Ast/node.scm 125 */
						obj_t BgL_arg2170z00_2316;

						BgL_arg2170z00_2316 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									46)), BGl_proc3114z00zzast_nodez00,
							BGl_proc3113z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1657z00_2305, ((long) 1), BgL_arg2170z00_2316);
					}
					{	/* Ast/node.scm 125 */
						obj_t BgL_arg2175z00_2326;

						BgL_arg2175z00_2326 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									47)), BGl_proc3116z00zzast_nodez00,
							BGl_proc3115z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1657z00_2305, ((long) 2), BgL_arg2175z00_2326);
					}
					BgL_arg2158z00_2284 = BgL_v1657z00_2305;
				}
				{	/* Ast/node.scm 125 */
					obj_t BgL_v1658z00_2336;

					BgL_v1658z00_2336 = create_vector(((long) 0));
					BgL_arg2159z00_2285 = BgL_v1658z00_2336;
				}
				BGl_getfieldz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 48)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 53519), BGl_proc3119z00zzast_nodez00,
					BGl_proc3118z00zzast_nodez00, BFALSE, BGl_proc3117z00zzast_nodez00,
					BFALSE, BgL_arg2158z00_2284, BgL_arg2159z00_2285);
			}
			{	/* Ast/node.scm 134 */
				obj_t BgL_arg2183z00_2343;
				obj_t BgL_arg2184z00_2344;

				{	/* Ast/node.scm 134 */
					obj_t BgL_v1659z00_2364;

					BgL_v1659z00_2364 = create_vector(((long) 3));
					{	/* Ast/node.scm 134 */
						obj_t BgL_arg2190z00_2365;

						BgL_arg2190z00_2365 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									45)), BGl_proc3121z00zzast_nodez00,
							BGl_proc3120z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 39)));
						VECTOR_SET(BgL_v1659z00_2364, ((long) 0), BgL_arg2190z00_2365);
					}
					{	/* Ast/node.scm 134 */
						obj_t BgL_arg2196z00_2375;

						BgL_arg2196z00_2375 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									46)), BGl_proc3123z00zzast_nodez00,
							BGl_proc3122z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1659z00_2364, ((long) 1), BgL_arg2196z00_2375);
					}
					{	/* Ast/node.scm 134 */
						obj_t BgL_arg2201z00_2385;

						BgL_arg2201z00_2385 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									47)), BGl_proc3125z00zzast_nodez00,
							BGl_proc3124z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1659z00_2364, ((long) 2), BgL_arg2201z00_2385);
					}
					BgL_arg2183z00_2343 = BgL_v1659z00_2364;
				}
				{	/* Ast/node.scm 134 */
					obj_t BgL_v1660z00_2395;

					BgL_v1660z00_2395 = create_vector(((long) 0));
					BgL_arg2184z00_2344 = BgL_v1660z00_2395;
				}
				BGl_setfieldz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 49)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 18739), BGl_proc3128z00zzast_nodez00,
					BGl_proc3127z00zzast_nodez00, BFALSE, BGl_proc3126z00zzast_nodez00,
					BFALSE, BgL_arg2183z00_2343, BgL_arg2184z00_2344);
			}
			{	/* Ast/node.scm 144 */
				obj_t BgL_arg2209z00_2402;
				obj_t BgL_arg2210z00_2403;

				{	/* Ast/node.scm 144 */
					obj_t BgL_v1661z00_2421;

					BgL_v1661z00_2421 = create_vector(((long) 1));
					{	/* Ast/node.scm 144 */
						obj_t BgL_arg2216z00_2422;

						BgL_arg2216z00_2422 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									47)), BGl_proc3130z00zzast_nodez00,
							BGl_proc3129z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1661z00_2421, ((long) 0), BgL_arg2216z00_2422);
					}
					BgL_arg2209z00_2402 = BgL_v1661z00_2421;
				}
				{	/* Ast/node.scm 144 */
					obj_t BgL_v1662z00_2432;

					BgL_v1662z00_2432 = create_vector(((long) 0));
					BgL_arg2210z00_2403 = BgL_v1662z00_2432;
				}
				BGl_wideningz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 50)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 56467), BGl_proc3133z00zzast_nodez00,
					BGl_proc3132z00zzast_nodez00, BFALSE, BGl_proc3131z00zzast_nodez00,
					BFALSE, BgL_arg2209z00_2402, BgL_arg2210z00_2403);
			}
			{	/* Ast/node.scm 148 */
				obj_t BgL_arg2225z00_2439;
				obj_t BgL_arg2226z00_2440;

				{	/* Ast/node.scm 148 */
					obj_t BgL_v1663z00_2458;

					BgL_v1663z00_2458 = create_vector(((long) 1));
					{	/* Ast/node.scm 148 */
						obj_t BgL_arg2232z00_2459;

						BgL_arg2232z00_2459 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									51)), BGl_proc3136z00zzast_nodez00,
							BGl_proc3135z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3134z00zzast_nodez00, CNST_TABLE_REF(((long) 21)));
						VECTOR_SET(BgL_v1663z00_2458, ((long) 0), BgL_arg2232z00_2459);
					}
					BgL_arg2225z00_2439 = BgL_v1663z00_2458;
				}
				{	/* Ast/node.scm 148 */
					obj_t BgL_v1664z00_2472;

					BgL_v1664z00_2472 = create_vector(((long) 0));
					BgL_arg2226z00_2440 = BgL_v1664z00_2472;
				}
				BGl_newz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 52)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 21062), BGl_proc3139z00zzast_nodez00,
					BGl_proc3138z00zzast_nodez00, BFALSE, BGl_proc3137z00zzast_nodez00,
					BFALSE, BgL_arg2225z00_2439, BgL_arg2226z00_2440);
			}
			{	/* Ast/node.scm 152 */
				obj_t BgL_arg2242z00_2479;
				obj_t BgL_arg2243z00_2480;

				{	/* Ast/node.scm 152 */
					obj_t BgL_v1665z00_2499;

					BgL_v1665z00_2499 = create_vector(((long) 2));
					{	/* Ast/node.scm 152 */
						obj_t BgL_arg2250z00_2500;

						BgL_arg2250z00_2500 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									46)), BGl_proc3141z00zzast_nodez00,
							BGl_proc3140z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1665z00_2499, ((long) 0), BgL_arg2250z00_2500);
					}
					{	/* Ast/node.scm 152 */
						obj_t BgL_arg2255z00_2510;

						BgL_arg2255z00_2510 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									47)), BGl_proc3143z00zzast_nodez00,
							BGl_proc3142z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1665z00_2499, ((long) 1), BgL_arg2255z00_2510);
					}
					BgL_arg2242z00_2479 = BgL_v1665z00_2499;
				}
				{	/* Ast/node.scm 152 */
					obj_t BgL_v1666z00_2520;

					BgL_v1666z00_2520 = create_vector(((long) 0));
					BgL_arg2243z00_2480 = BgL_v1666z00_2520;
				}
				BGl_vallocz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 53)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 60165), BGl_proc3146z00zzast_nodez00,
					BGl_proc3145z00zzast_nodez00, BFALSE, BGl_proc3144z00zzast_nodez00,
					BFALSE, BgL_arg2242z00_2479, BgL_arg2243z00_2480);
			}
			{	/* Ast/node.scm 159 */
				obj_t BgL_arg2263z00_2527;
				obj_t BgL_arg2265z00_2528;

				{	/* Ast/node.scm 159 */
					obj_t BgL_v1667z00_2549;

					BgL_v1667z00_2549 = create_vector(((long) 4));
					{	/* Ast/node.scm 159 */
						obj_t BgL_arg2272z00_2550;

						BgL_arg2272z00_2550 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									46)), BGl_proc3148z00zzast_nodez00,
							BGl_proc3147z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1667z00_2549, ((long) 0), BgL_arg2272z00_2550);
					}
					{	/* Ast/node.scm 159 */
						obj_t BgL_arg2277z00_2560;

						BgL_arg2277z00_2560 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									47)), BGl_proc3150z00zzast_nodez00,
							BGl_proc3149z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1667z00_2549, ((long) 1), BgL_arg2277z00_2560);
					}
					{	/* Ast/node.scm 159 */
						obj_t BgL_arg2282z00_2570;

						BgL_arg2282z00_2570 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									54)), BGl_proc3152z00zzast_nodez00,
							BGl_proc3151z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1667z00_2549, ((long) 2), BgL_arg2282z00_2570);
					}
					{	/* Ast/node.scm 159 */
						obj_t BgL_arg2288z00_2580;

						BgL_arg2288z00_2580 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									22)), BGl_proc3155z00zzast_nodez00,
							BGl_proc3154z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3153z00zzast_nodez00, CNST_TABLE_REF(((long) 23)));
						VECTOR_SET(BgL_v1667z00_2549, ((long) 3), BgL_arg2288z00_2580);
					}
					BgL_arg2263z00_2527 = BgL_v1667z00_2549;
				}
				{	/* Ast/node.scm 159 */
					obj_t BgL_v1668z00_2593;

					BgL_v1668z00_2593 = create_vector(((long) 0));
					BgL_arg2265z00_2528 = BgL_v1668z00_2593;
				}
				BGl_vrefz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 55)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 50670), BGl_proc3158z00zzast_nodez00,
					BGl_proc3157z00zzast_nodez00, BFALSE, BGl_proc3156z00zzast_nodez00,
					BFALSE, BgL_arg2263z00_2527, BgL_arg2265z00_2528);
			}
			{	/* Ast/node.scm 170 */
				obj_t BgL_arg2299z00_2600;
				obj_t BgL_arg2300z00_2601;

				{	/* Ast/node.scm 170 */
					obj_t BgL_v1669z00_2622;

					BgL_v1669z00_2622 = create_vector(((long) 4));
					{	/* Ast/node.scm 170 */
						obj_t BgL_arg2306z00_2623;

						BgL_arg2306z00_2623 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									46)), BGl_proc3160z00zzast_nodez00,
							BGl_proc3159z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1669z00_2622, ((long) 0), BgL_arg2306z00_2623);
					}
					{	/* Ast/node.scm 170 */
						obj_t BgL_arg2314z00_2633;

						BgL_arg2314z00_2633 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									47)), BGl_proc3162z00zzast_nodez00,
							BGl_proc3161z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1669z00_2622, ((long) 1), BgL_arg2314z00_2633);
					}
					{	/* Ast/node.scm 170 */
						obj_t BgL_arg2320z00_2643;

						BgL_arg2320z00_2643 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									54)), BGl_proc3164z00zzast_nodez00,
							BGl_proc3163z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1669z00_2622, ((long) 2), BgL_arg2320z00_2643);
					}
					{	/* Ast/node.scm 170 */
						obj_t BgL_arg2325z00_2653;

						BgL_arg2325z00_2653 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									22)), BGl_proc3167z00zzast_nodez00,
							BGl_proc3166z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3165z00zzast_nodez00, CNST_TABLE_REF(((long) 23)));
						VECTOR_SET(BgL_v1669z00_2622, ((long) 3), BgL_arg2325z00_2653);
					}
					BgL_arg2299z00_2600 = BgL_v1669z00_2622;
				}
				{	/* Ast/node.scm 170 */
					obj_t BgL_v1670z00_2666;

					BgL_v1670z00_2666 = create_vector(((long) 0));
					BgL_arg2300z00_2601 = BgL_v1670z00_2666;
				}
				BGl_vsetz12z12zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 56)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 16062), BGl_proc3170z00zzast_nodez00,
					BGl_proc3169z00zzast_nodez00, BFALSE, BGl_proc3168z00zzast_nodez00,
					BFALSE, BgL_arg2299z00_2600, BgL_arg2300z00_2601);
			}
			{	/* Ast/node.scm 181 */
				obj_t BgL_arg2336z00_2673;
				obj_t BgL_arg2337z00_2674;

				{	/* Ast/node.scm 181 */
					obj_t BgL_v1671z00_2693;

					BgL_v1671z00_2693 = create_vector(((long) 2));
					{	/* Ast/node.scm 181 */
						obj_t BgL_arg2343z00_2694;

						BgL_arg2343z00_2694 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									54)), BGl_proc3172z00zzast_nodez00,
							BGl_proc3171z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1671z00_2693, ((long) 0), BgL_arg2343z00_2694);
					}
					{	/* Ast/node.scm 181 */
						obj_t BgL_arg2348z00_2704;

						BgL_arg2348z00_2704 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									46)), BGl_proc3174z00zzast_nodez00,
							BGl_proc3173z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1671z00_2693, ((long) 1), BgL_arg2348z00_2704);
					}
					BgL_arg2336z00_2673 = BgL_v1671z00_2693;
				}
				{	/* Ast/node.scm 181 */
					obj_t BgL_v1672z00_2714;

					BgL_v1672z00_2714 = create_vector(((long) 0));
					BgL_arg2337z00_2674 = BgL_v1672z00_2714;
				}
				BGl_vlengthz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 57)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 63708), BGl_proc3177z00zzast_nodez00,
					BGl_proc3176z00zzast_nodez00, BFALSE, BGl_proc3175z00zzast_nodez00,
					BFALSE, BgL_arg2336z00_2673, BgL_arg2337z00_2674);
			}
			{	/* Ast/node.scm 188 */
				obj_t BgL_arg2357z00_2721;
				obj_t BgL_arg2358z00_2722;

				{	/* Ast/node.scm 188 */
					obj_t BgL_v1673z00_2740;

					BgL_v1673z00_2740 = create_vector(((long) 1));
					{	/* Ast/node.scm 188 */
						obj_t BgL_arg2364z00_2741;

						BgL_arg2364z00_2741 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									58)), BGl_proc3179z00zzast_nodez00,
							BGl_proc3178z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1673z00_2740, ((long) 0), BgL_arg2364z00_2741);
					}
					BgL_arg2357z00_2721 = BgL_v1673z00_2740;
				}
				{	/* Ast/node.scm 188 */
					obj_t BgL_v1674z00_2751;

					BgL_v1674z00_2751 = create_vector(((long) 0));
					BgL_arg2358z00_2722 = BgL_v1674z00_2751;
				}
				BGl_instanceofz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 59)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 64505), BGl_proc3182z00zzast_nodez00,
					BGl_proc3181z00zzast_nodez00, BFALSE, BGl_proc3180z00zzast_nodez00,
					BFALSE, BgL_arg2357z00_2721, BgL_arg2358z00_2722);
			}
			{	/* Ast/node.scm 192 */
				obj_t BgL_arg2373z00_2758;
				obj_t BgL_arg2375z00_2759;

				{	/* Ast/node.scm 192 */
					obj_t BgL_v1676z00_2776;

					BgL_v1676z00_2776 = create_vector(((long) 0));
					BgL_arg2373z00_2758 = BgL_v1676z00_2776;
				}
				{	/* Ast/node.scm 192 */
					obj_t BgL_v1677z00_2777;

					BgL_v1677z00_2777 = create_vector(((long) 0));
					BgL_arg2375z00_2759 = BgL_v1677z00_2777;
				}
				BGl_castzd2nullzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 60)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 35218), BGl_proc3185z00zzast_nodez00,
					BGl_proc3184z00zzast_nodez00, BFALSE, BGl_proc3183z00zzast_nodez00,
					BFALSE, BgL_arg2373z00_2758, BgL_arg2375z00_2759);
			}
			{	/* Ast/node.scm 195 */
				obj_t BgL_arg2384z00_2784;
				obj_t BgL_arg2385z00_2785;

				{	/* Ast/node.scm 195 */
					obj_t BgL_v1678z00_2798;

					BgL_v1678z00_2798 = create_vector(((long) 1));
					{	/* Ast/node.scm 195 */
						obj_t BgL_arg2391z00_2799;

						BgL_arg2391z00_2799 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									29)), BGl_proc3187z00zzast_nodez00,
							BGl_proc3186z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1678z00_2798, ((long) 0), BgL_arg2391z00_2799);
					}
					BgL_arg2384z00_2784 = BgL_v1678z00_2798;
				}
				{	/* Ast/node.scm 195 */
					obj_t BgL_v1679z00_2809;

					BgL_v1679z00_2809 = create_vector(((long) 0));
					BgL_arg2385z00_2785 = BgL_v1679z00_2809;
				}
				BGl_castz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 61)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 32773),
					BGl_proc3190z00zzast_nodez00, BGl_proc3189z00zzast_nodez00, BFALSE,
					BGl_proc3188z00zzast_nodez00, BFALSE, BgL_arg2384z00_2784,
					BgL_arg2385z00_2785);
			}
			{	/* Ast/node.scm 200 */
				obj_t BgL_arg2401z00_2816;
				obj_t BgL_arg2403z00_2817;

				{	/* Ast/node.scm 200 */
					obj_t BgL_v1680z00_2831;

					BgL_v1680z00_2831 = create_vector(((long) 2));
					{	/* Ast/node.scm 200 */
						obj_t BgL_arg2410z00_2832;

						BgL_arg2410z00_2832 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc3192z00zzast_nodez00,
							BGl_proc3191z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1680z00_2831, ((long) 0), BgL_arg2410z00_2832);
					}
					{	/* Ast/node.scm 200 */
						obj_t BgL_arg2415z00_2842;

						BgL_arg2415z00_2842 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3194z00zzast_nodez00,
							BGl_proc3193z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1680z00_2831, ((long) 1), BgL_arg2415z00_2842);
					}
					BgL_arg2401z00_2816 = BgL_v1680z00_2831;
				}
				{	/* Ast/node.scm 200 */
					obj_t BgL_v1681z00_2852;

					BgL_v1681z00_2852 = create_vector(((long) 0));
					BgL_arg2403z00_2817 = BgL_v1681z00_2852;
				}
				BGl_setqz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 62)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 57238),
					BGl_proc3197z00zzast_nodez00, BGl_proc3196z00zzast_nodez00, BFALSE,
					BGl_proc3195z00zzast_nodez00, BFALSE, BgL_arg2401z00_2816,
					BgL_arg2403z00_2817);
			}
			{	/* Ast/node.scm 207 */
				obj_t BgL_arg2423z00_2859;
				obj_t BgL_arg2425z00_2860;

				{	/* Ast/node.scm 207 */
					obj_t BgL_v1682z00_2877;

					BgL_v1682z00_2877 = create_vector(((long) 3));
					{	/* Ast/node.scm 207 */
						obj_t BgL_arg2433z00_2878;

						BgL_arg2433z00_2878 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									63)), BGl_proc3199z00zzast_nodez00,
							BGl_proc3198z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1682z00_2877, ((long) 0), BgL_arg2433z00_2878);
					}
					{	/* Ast/node.scm 207 */
						obj_t BgL_arg2440z00_2888;

						BgL_arg2440z00_2888 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									64)), BGl_proc3201z00zzast_nodez00,
							BGl_proc3200z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1682z00_2877, ((long) 1), BgL_arg2440z00_2888);
					}
					{	/* Ast/node.scm 207 */
						obj_t BgL_arg2446z00_2898;

						BgL_arg2446z00_2898 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									65)), BGl_proc3203z00zzast_nodez00,
							BGl_proc3202z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1682z00_2877, ((long) 2), BgL_arg2446z00_2898);
					}
					BgL_arg2423z00_2859 = BgL_v1682z00_2877;
				}
				{	/* Ast/node.scm 207 */
					obj_t BgL_v1684z00_2908;

					BgL_v1684z00_2908 = create_vector(((long) 0));
					BgL_arg2425z00_2860 = BgL_v1684z00_2908;
				}
				BGl_conditionalz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 66)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 32399), BGl_proc3206z00zzast_nodez00,
					BGl_proc3205z00zzast_nodez00, BFALSE, BGl_proc3204z00zzast_nodez00,
					BFALSE, BgL_arg2423z00_2859, BgL_arg2425z00_2860);
			}
			{	/* Ast/node.scm 216 */
				obj_t BgL_arg2455z00_2915;
				obj_t BgL_arg2456z00_2916;

				{	/* Ast/node.scm 216 */
					obj_t BgL_v1685z00_2931;

					BgL_v1685z00_2931 = create_vector(((long) 3));
					{	/* Ast/node.scm 216 */
						obj_t BgL_arg2463z00_2932;

						BgL_arg2463z00_2932 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									67)), BGl_proc3208z00zzast_nodez00,
							BGl_proc3207z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1685z00_2931, ((long) 0), BgL_arg2463z00_2932);
					}
					{	/* Ast/node.scm 216 */
						obj_t BgL_arg2468z00_2942;

						BgL_arg2468z00_2942 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									68)), BGl_proc3210z00zzast_nodez00,
							BGl_proc3209z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1685z00_2931, ((long) 1), BgL_arg2468z00_2942);
					}
					{	/* Ast/node.scm 216 */
						obj_t BgL_arg2474z00_2952;

						BgL_arg2474z00_2952 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3212z00zzast_nodez00,
							BGl_proc3211z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1685z00_2931, ((long) 2), BgL_arg2474z00_2952);
					}
					BgL_arg2455z00_2915 = BgL_v1685z00_2931;
				}
				{	/* Ast/node.scm 216 */
					obj_t BgL_v1686z00_2962;

					BgL_v1686z00_2962 = create_vector(((long) 0));
					BgL_arg2456z00_2916 = BgL_v1686z00_2962;
				}
				BGl_failz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 69)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 25408),
					BGl_proc3215z00zzast_nodez00, BGl_proc3214z00zzast_nodez00, BFALSE,
					BGl_proc3213z00zzast_nodez00, BFALSE, BgL_arg2455z00_2915,
					BgL_arg2456z00_2916);
			}
			{	/* Ast/node.scm 223 */
				obj_t BgL_arg2482z00_2969;
				obj_t BgL_arg2483z00_2970;

				{	/* Ast/node.scm 223 */
					obj_t BgL_v1687z00_2987;

					BgL_v1687z00_2987 = create_vector(((long) 3));
					{	/* Ast/node.scm 223 */
						obj_t BgL_arg2490z00_2988;

						BgL_arg2490z00_2988 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									63)), BGl_proc3217z00zzast_nodez00,
							BGl_proc3216z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1687z00_2987, ((long) 0), BgL_arg2490z00_2988);
					}
					{	/* Ast/node.scm 223 */
						obj_t BgL_arg2498z00_2998;

						BgL_arg2498z00_2998 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									70)), BGl_proc3219z00zzast_nodez00,
							BGl_proc3218z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1687z00_2987, ((long) 1), BgL_arg2498z00_2998);
					}
					{	/* Ast/node.scm 223 */
						obj_t BgL_arg2504z00_3008;

						BgL_arg2504z00_3008 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									71)), BGl_proc3221z00zzast_nodez00,
							BGl_proc3220z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1687z00_2987, ((long) 2), BgL_arg2504z00_3008);
					}
					BgL_arg2482z00_2969 = BgL_v1687z00_2987;
				}
				{	/* Ast/node.scm 223 */
					obj_t BgL_v1688z00_3018;

					BgL_v1688z00_3018 = create_vector(((long) 0));
					BgL_arg2483z00_2970 = BgL_v1688z00_3018;
				}
				BGl_switchz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 72)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 14324), BGl_proc3224z00zzast_nodez00,
					BGl_proc3223z00zzast_nodez00, BFALSE, BGl_proc3222z00zzast_nodez00,
					BFALSE, BgL_arg2482z00_2969, BgL_arg2483z00_2970);
			}
			{	/* Ast/node.scm 232 */
				obj_t BgL_arg2516z00_3025;
				obj_t BgL_arg2518z00_3026;

				{	/* Ast/node.scm 232 */
					obj_t BgL_v1689z00_3042;

					BgL_v1689z00_3042 = create_vector(((long) 2));
					{	/* Ast/node.scm 232 */
						obj_t BgL_arg2524z00_3043;

						BgL_arg2524z00_3043 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									73)), BGl_proc3226z00zzast_nodez00,
							BGl_proc3225z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1689z00_3042, ((long) 0), BgL_arg2524z00_3043);
					}
					{	/* Ast/node.scm 232 */
						obj_t BgL_arg2538z00_3053;

						BgL_arg2538z00_3053 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									74)), BGl_proc3228z00zzast_nodez00,
							BGl_proc3227z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1689z00_3042, ((long) 1), BgL_arg2538z00_3053);
					}
					BgL_arg2516z00_3025 = BgL_v1689z00_3042;
				}
				{	/* Ast/node.scm 232 */
					obj_t BgL_v1690z00_3063;

					BgL_v1690z00_3063 = create_vector(((long) 0));
					BgL_arg2518z00_3026 = BgL_v1690z00_3063;
				}
				BGl_letzd2funzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 75)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 30800), BGl_proc3231z00zzast_nodez00,
					BGl_proc3230z00zzast_nodez00, BFALSE, BGl_proc3229z00zzast_nodez00,
					BFALSE, BgL_arg2516z00_3025, BgL_arg2518z00_3026);
			}
			{	/* Ast/node.scm 239 */
				obj_t BgL_arg2547z00_3070;
				obj_t BgL_arg2548z00_3071;

				{	/* Ast/node.scm 239 */
					obj_t BgL_v1691z00_3088;

					BgL_v1691z00_3088 = create_vector(((long) 3));
					{	/* Ast/node.scm 239 */
						obj_t BgL_arg2557z00_3089;

						BgL_arg2557z00_3089 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									76)), BGl_proc3233z00zzast_nodez00,
							BGl_proc3232z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1691z00_3088, ((long) 0), BgL_arg2557z00_3089);
					}
					{	/* Ast/node.scm 239 */
						obj_t BgL_arg2564z00_3099;

						BgL_arg2564z00_3099 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									74)), BGl_proc3235z00zzast_nodez00,
							BGl_proc3234z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1691z00_3088, ((long) 1), BgL_arg2564z00_3099);
					}
					{	/* Ast/node.scm 239 */
						obj_t BgL_arg2572z00_3109;

						BgL_arg2572z00_3109 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									77)), BGl_proc3238z00zzast_nodez00,
							BGl_proc3237z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3236z00zzast_nodez00, CNST_TABLE_REF(((long) 23)));
						VECTOR_SET(BgL_v1691z00_3088, ((long) 2), BgL_arg2572z00_3109);
					}
					BgL_arg2547z00_3070 = BgL_v1691z00_3088;
				}
				{	/* Ast/node.scm 239 */
					obj_t BgL_v1692z00_3122;

					BgL_v1692z00_3122 = create_vector(((long) 0));
					BgL_arg2548z00_3071 = BgL_v1692z00_3122;
				}
				BGl_letzd2varzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 78)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 54891), BGl_proc3241z00zzast_nodez00,
					BGl_proc3240z00zzast_nodez00, BFALSE, BGl_proc3239z00zzast_nodez00,
					BFALSE, BgL_arg2547z00_3070, BgL_arg2548z00_3071);
			}
			{	/* Ast/node.scm 248 */
				obj_t BgL_arg2583z00_3129;
				obj_t BgL_arg2584z00_3130;

				{	/* Ast/node.scm 248 */
					obj_t BgL_v1693z00_3144;

					BgL_v1693z00_3144 = create_vector(((long) 2));
					{	/* Ast/node.scm 248 */
						obj_t BgL_arg2591z00_3145;

						BgL_arg2591z00_3145 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc3243z00zzast_nodez00,
							BGl_proc3242z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1693z00_3144, ((long) 0), BgL_arg2591z00_3145);
					}
					{	/* Ast/node.scm 248 */
						obj_t BgL_arg2596z00_3155;

						BgL_arg2596z00_3155 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									74)), BGl_proc3245z00zzast_nodez00,
							BGl_proc3244z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1693z00_3144, ((long) 1), BgL_arg2596z00_3155);
					}
					BgL_arg2583z00_3129 = BgL_v1693z00_3144;
				}
				{	/* Ast/node.scm 248 */
					obj_t BgL_v1694z00_3165;

					BgL_v1694z00_3165 = create_vector(((long) 0));
					BgL_arg2584z00_3130 = BgL_v1694z00_3165;
				}
				BGl_setzd2exzd2itz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 79)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 26680),
					BGl_proc3248z00zzast_nodez00, BGl_proc3247z00zzast_nodez00, BFALSE,
					BGl_proc3246z00zzast_nodez00, BFALSE, BgL_arg2583z00_3129,
					BgL_arg2584z00_3130);
			}
			{	/* Ast/node.scm 255 */
				obj_t BgL_arg2605z00_3172;
				obj_t BgL_arg2606z00_3173;

				{	/* Ast/node.scm 255 */
					obj_t BgL_v1695z00_3187;

					BgL_v1695z00_3187 = create_vector(((long) 2));
					{	/* Ast/node.scm 255 */
						obj_t BgL_arg2613z00_3188;

						BgL_arg2613z00_3188 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									80)), BGl_proc3250z00zzast_nodez00,
							BGl_proc3249z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1695z00_3187, ((long) 0), BgL_arg2613z00_3188);
					}
					{	/* Ast/node.scm 255 */
						obj_t BgL_arg2619z00_3198;

						BgL_arg2619z00_3198 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3252z00zzast_nodez00,
							BGl_proc3251z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1695z00_3187, ((long) 1), BgL_arg2619z00_3198);
					}
					BgL_arg2605z00_3172 = BgL_v1695z00_3187;
				}
				{	/* Ast/node.scm 255 */
					obj_t BgL_v1696z00_3208;

					BgL_v1696z00_3208 = create_vector(((long) 0));
					BgL_arg2606z00_3173 = BgL_v1696z00_3208;
				}
				BGl_jumpzd2exzd2itz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 81)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 40013),
					BGl_proc3255z00zzast_nodez00, BGl_proc3254z00zzast_nodez00, BFALSE,
					BGl_proc3253z00zzast_nodez00, BFALSE, BgL_arg2605z00_3172,
					BgL_arg2606z00_3173);
			}
			{	/* Ast/node.scm 262 */
				obj_t BgL_arg2627z00_3215;
				obj_t BgL_arg2628z00_3216;

				{	/* Ast/node.scm 262 */
					obj_t BgL_v1697z00_3229;

					BgL_v1697z00_3229 = create_vector(((long) 1));
					{	/* Ast/node.scm 262 */
						obj_t BgL_arg2636z00_3230;

						BgL_arg2636z00_3230 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									74)), BGl_proc3257z00zzast_nodez00,
							BGl_proc3256z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1697z00_3229, ((long) 0), BgL_arg2636z00_3230);
					}
					BgL_arg2627z00_3215 = BgL_v1697z00_3229;
				}
				{	/* Ast/node.scm 262 */
					obj_t BgL_v1698z00_3240;

					BgL_v1698z00_3240 = create_vector(((long) 0));
					BgL_arg2628z00_3216 = BgL_v1698z00_3240;
				}
				BGl_retblockz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 82)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 42540),
					BGl_proc3260z00zzast_nodez00, BGl_proc3259z00zzast_nodez00, BFALSE,
					BGl_proc3258z00zzast_nodez00, BFALSE, BgL_arg2627z00_3215,
					BgL_arg2628z00_3216);
			}
			{	/* Ast/node.scm 266 */
				obj_t BgL_arg2646z00_3247;
				obj_t BgL_arg2648z00_3248;

				{	/* Ast/node.scm 266 */
					obj_t BgL_v1699z00_3262;

					BgL_v1699z00_3262 = create_vector(((long) 2));
					{	/* Ast/node.scm 266 */
						obj_t BgL_arg2656z00_3263;

						BgL_arg2656z00_3263 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									83)), BGl_proc3262z00zzast_nodez00,
							BGl_proc3261z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_retblockz00zzast_nodez00);
						VECTOR_SET(BgL_v1699z00_3262, ((long) 0), BgL_arg2656z00_3263);
					}
					{	/* Ast/node.scm 266 */
						obj_t BgL_arg2663z00_3273;

						BgL_arg2663z00_3273 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3264z00zzast_nodez00,
							BGl_proc3263z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1699z00_3262, ((long) 1), BgL_arg2663z00_3273);
					}
					BgL_arg2646z00_3247 = BgL_v1699z00_3262;
				}
				{	/* Ast/node.scm 266 */
					obj_t BgL_v1700z00_3283;

					BgL_v1700z00_3283 = create_vector(((long) 0));
					BgL_arg2648z00_3248 = BgL_v1700z00_3283;
				}
				BGl_returnz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 84)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 22012),
					BGl_proc3267z00zzast_nodez00, BGl_proc3266z00zzast_nodez00, BFALSE,
					BGl_proc3265z00zzast_nodez00, BFALSE, BgL_arg2646z00_3247,
					BgL_arg2648z00_3248);
			}
			{	/* Ast/node.scm 272 */
				obj_t BgL_arg2671z00_3290;
				obj_t BgL_arg2672z00_3291;

				{	/* Ast/node.scm 272 */
					obj_t BgL_v1701z00_3307;

					BgL_v1701z00_3307 = create_vector(((long) 2));
					{	/* Ast/node.scm 272 */
						obj_t BgL_arg2679z00_3308;

						BgL_arg2679z00_3308 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3269z00zzast_nodez00,
							BGl_proc3268z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1701z00_3307, ((long) 0), BgL_arg2679z00_3308);
					}
					{	/* Ast/node.scm 272 */
						obj_t BgL_arg2684z00_3318;

						BgL_arg2684z00_3318 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									54)), BGl_proc3271z00zzast_nodez00,
							BGl_proc3270z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1701z00_3307, ((long) 1), BgL_arg2684z00_3318);
					}
					BgL_arg2671z00_3290 = BgL_v1701z00_3307;
				}
				{	/* Ast/node.scm 272 */
					obj_t BgL_v1702z00_3328;

					BgL_v1702z00_3328 = create_vector(((long) 0));
					BgL_arg2672z00_3291 = BgL_v1702z00_3328;
				}
				BGl_makezd2boxzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 85)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 7843), BGl_proc3274z00zzast_nodez00,
					BGl_proc3273z00zzast_nodez00, BFALSE, BGl_proc3272z00zzast_nodez00,
					BFALSE, BgL_arg2671z00_3290, BgL_arg2672z00_3291);
			}
			{	/* Ast/node.scm 277 */
				obj_t BgL_arg2692z00_3335;
				obj_t BgL_arg2693z00_3336;

				{	/* Ast/node.scm 277 */
					obj_t BgL_v1703z00_3352;

					BgL_v1703z00_3352 = create_vector(((long) 2));
					{	/* Ast/node.scm 277 */
						obj_t BgL_arg2699z00_3353;

						BgL_arg2699z00_3353 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc3276z00zzast_nodez00,
							BGl_proc3275z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1703z00_3352, ((long) 0), BgL_arg2699z00_3353);
					}
					{	/* Ast/node.scm 277 */
						obj_t BgL_arg2704z00_3363;

						BgL_arg2704z00_3363 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									54)), BGl_proc3278z00zzast_nodez00,
							BGl_proc3277z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1703z00_3352, ((long) 1), BgL_arg2704z00_3363);
					}
					BgL_arg2692z00_3335 = BgL_v1703z00_3352;
				}
				{	/* Ast/node.scm 277 */
					obj_t BgL_v1704z00_3373;

					BgL_v1704z00_3373 = create_vector(((long) 0));
					BgL_arg2693z00_3336 = BgL_v1704z00_3373;
				}
				BGl_boxzd2refzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 86)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 19725), BGl_proc3281z00zzast_nodez00,
					BGl_proc3280z00zzast_nodez00, BFALSE, BGl_proc3279z00zzast_nodez00,
					BFALSE, BgL_arg2692z00_3335, BgL_arg2693z00_3336);
			}
			{	/* Ast/node.scm 282 */
				obj_t BgL_arg2712z00_3380;
				obj_t BgL_arg2714z00_3381;

				{	/* Ast/node.scm 282 */
					obj_t BgL_v1705z00_3396;

					BgL_v1705z00_3396 = create_vector(((long) 3));
					{	/* Ast/node.scm 282 */
						obj_t BgL_arg2720z00_3397;

						BgL_arg2720z00_3397 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc3283z00zzast_nodez00,
							BGl_proc3282z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1705z00_3396, ((long) 0), BgL_arg2720z00_3397);
					}
					{	/* Ast/node.scm 282 */
						obj_t BgL_arg2726z00_3407;

						BgL_arg2726z00_3407 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3285z00zzast_nodez00,
							BGl_proc3284z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1705z00_3396, ((long) 1), BgL_arg2726z00_3407);
					}
					{	/* Ast/node.scm 282 */
						obj_t BgL_arg2733z00_3417;

						BgL_arg2733z00_3417 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									54)), BGl_proc3287z00zzast_nodez00,
							BGl_proc3286z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1705z00_3396, ((long) 2), BgL_arg2733z00_3417);
					}
					BgL_arg2712z00_3380 = BgL_v1705z00_3396;
				}
				{	/* Ast/node.scm 282 */
					obj_t BgL_v1706z00_3427;

					BgL_v1706z00_3427 = create_vector(((long) 0));
					BgL_arg2714z00_3381 = BgL_v1706z00_3427;
				}
				BGl_boxzd2setz12zc0zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 87)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 57714),
					BGl_proc3290z00zzast_nodez00, BGl_proc3289z00zzast_nodez00, BFALSE,
					BGl_proc3288z00zzast_nodez00, BFALSE, BgL_arg2712z00_3380,
					BgL_arg2714z00_3381);
			}
			{	/* Ast/node.scm 288 */
				obj_t BgL_arg2745z00_3434;
				obj_t BgL_arg2747z00_3435;

				{	/* Ast/node.scm 288 */
					obj_t BgL_v1707z00_3450;

					BgL_v1707z00_3450 = create_vector(((long) 3));
					{	/* Ast/node.scm 288 */
						obj_t BgL_arg2753z00_3451;

						BgL_arg2753z00_3451 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									88)), BGl_proc3292z00zzast_nodez00,
							BGl_proc3291z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1707z00_3450, ((long) 0), BgL_arg2753z00_3451);
					}
					{	/* Ast/node.scm 288 */
						obj_t BgL_arg2758z00_3461;

						BgL_arg2758z00_3461 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									89)), BGl_proc3294z00zzast_nodez00,
							BGl_proc3293z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1707z00_3450, ((long) 1), BgL_arg2758z00_3461);
					}
					{	/* Ast/node.scm 288 */
						obj_t BgL_arg2767z00_3471;

						BgL_arg2767z00_3471 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									74)), BGl_proc3296z00zzast_nodez00,
							BGl_proc3295z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1707z00_3450, ((long) 2), BgL_arg2767z00_3471);
					}
					BgL_arg2745z00_3434 = BgL_v1707z00_3450;
				}
				{	/* Ast/node.scm 288 */
					obj_t BgL_v1708z00_3481;

					BgL_v1708z00_3481 = create_vector(((long) 0));
					BgL_arg2747z00_3435 = BgL_v1708z00_3481;
				}
				return (BGl_syncz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 90)),
						CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00,
						((long) 24292), BGl_proc3299z00zzast_nodez00,
						BGl_proc3298z00zzast_nodez00, BFALSE, BGl_proc3297z00zzast_nodez00,
						BFALSE, BgL_arg2745z00_3434, BgL_arg2747z00_3435), BUNSPEC);
		}}

	}



/* &<@anonymous:2752> */
	obj_t BGl_z62zc3z04anonymousza32752ze3ze5zzast_nodez00(obj_t BgL_envz00_6600,
		obj_t BgL_new1424z00_6601)
	{
		{	/* Ast/node.scm 288 */
			{
				BgL_syncz00_bglt BgL_auxz00_12061;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_new1424z00_6601))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12065;

					{	/* Ast/node.scm 288 */
						obj_t BgL_classz00_7697;

						BgL_classz00_7697 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 288 */
							obj_t BgL__ortest_1106z00_7698;

							BgL__ortest_1106z00_7698 = BGL_CLASS_NIL(BgL_classz00_7697);
							if (CBOOL(BgL__ortest_1106z00_7698))
								{	/* Ast/node.scm 288 */
									BgL_auxz00_12065 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_7698);
								}
							else
								{	/* Ast/node.scm 288 */
									BgL_auxz00_12065 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7697));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_syncz00_bglt) BgL_new1424z00_6601))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_12065), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12075;

					{	/* Ast/node.scm 288 */
						obj_t BgL_classz00_7699;

						BgL_classz00_7699 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 288 */
							obj_t BgL__ortest_1106z00_7700;

							BgL__ortest_1106z00_7700 = BGL_CLASS_NIL(BgL_classz00_7699);
							if (CBOOL(BgL__ortest_1106z00_7700))
								{	/* Ast/node.scm 288 */
									BgL_auxz00_12075 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_7700);
								}
							else
								{	/* Ast/node.scm 288 */
									BgL_auxz00_12075 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7699));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_new1424z00_6601)))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12075), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12084;

					{	/* Ast/node.scm 288 */
						obj_t BgL_classz00_7701;

						BgL_classz00_7701 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 288 */
							obj_t BgL__ortest_1106z00_7702;

							BgL__ortest_1106z00_7702 = BGL_CLASS_NIL(BgL_classz00_7701);
							if (CBOOL(BgL__ortest_1106z00_7702))
								{	/* Ast/node.scm 288 */
									BgL_auxz00_12084 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_7702);
								}
							else
								{	/* Ast/node.scm 288 */
									BgL_auxz00_12084 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7701));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_new1424z00_6601)))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12084), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12093;

					{	/* Ast/node.scm 288 */
						obj_t BgL_classz00_7703;

						BgL_classz00_7703 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 288 */
							obj_t BgL__ortest_1106z00_7704;

							BgL__ortest_1106z00_7704 = BGL_CLASS_NIL(BgL_classz00_7703);
							if (CBOOL(BgL__ortest_1106z00_7704))
								{	/* Ast/node.scm 288 */
									BgL_auxz00_12093 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_7704);
								}
							else
								{	/* Ast/node.scm 288 */
									BgL_auxz00_12093 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7703));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_new1424z00_6601)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12093), BUNSPEC);
				}
				BgL_auxz00_12061 = ((BgL_syncz00_bglt) BgL_new1424z00_6601);
				return ((obj_t) BgL_auxz00_12061);
			}
		}

	}



/* &lambda2750 */
	BgL_syncz00_bglt BGl_z62lambda2750z62zzast_nodez00(obj_t BgL_envz00_6602)
	{
		{	/* Ast/node.scm 288 */
			{	/* Ast/node.scm 288 */
				BgL_syncz00_bglt BgL_new1423z00_7705;

				BgL_new1423z00_7705 =
					((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_syncz00_bgl))));
				{	/* Ast/node.scm 288 */
					long BgL_arg2751z00_7706;

					{	/* Ast/node.scm 288 */
						long BgL_res2982z00_7707;

						BgL_res2982z00_7707 = BGL_CLASS_INDEX(BGl_syncz00zzast_nodez00);
						BgL_arg2751z00_7706 = BgL_res2982z00_7707;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1423z00_7705), BgL_arg2751z00_7706);
				}
				{	/* Ast/node.scm 288 */
					BgL_objectz00_bglt BgL_tmpz00_12108;

					BgL_tmpz00_12108 = ((BgL_objectz00_bglt) BgL_new1423z00_7705);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12108, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1423z00_7705);
				return BgL_new1423z00_7705;
			}
		}

	}



/* &lambda2748 */
	BgL_syncz00_bglt BGl_z62lambda2748z62zzast_nodez00(obj_t BgL_envz00_6603,
		obj_t BgL_loc1418z00_6604, obj_t BgL_type1419z00_6605,
		obj_t BgL_mutex1420z00_6606, obj_t BgL_prelock1421z00_6607,
		obj_t BgL_body1422z00_6608)
	{
		{	/* Ast/node.scm 288 */
			{	/* Ast/node.scm 288 */
				BgL_syncz00_bglt BgL_new1586z00_7712;

				{	/* Ast/node.scm 288 */
					BgL_syncz00_bglt BgL_new1585z00_7713;

					BgL_new1585z00_7713 =
						((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_syncz00_bgl))));
					{	/* Ast/node.scm 288 */
						long BgL_arg2749z00_7714;

						{	/* Ast/node.scm 288 */
							long BgL_res2981z00_7715;

							BgL_res2981z00_7715 = BGL_CLASS_INDEX(BGl_syncz00zzast_nodez00);
							BgL_arg2749z00_7714 = BgL_res2981z00_7715;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1585z00_7713), BgL_arg2749z00_7714);
					}
					{	/* Ast/node.scm 288 */
						BgL_objectz00_bglt BgL_tmpz00_12116;

						BgL_tmpz00_12116 = ((BgL_objectz00_bglt) BgL_new1585z00_7713);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12116, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1585z00_7713);
					BgL_new1586z00_7712 = BgL_new1585z00_7713;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1586z00_7712)))->BgL_locz00) =
					((obj_t) BgL_loc1418z00_6604), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1586z00_7712)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1419z00_6605)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1586z00_7712))->BgL_mutexz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_mutex1420z00_6606)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1586z00_7712))->BgL_prelockz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_prelock1421z00_6607)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1586z00_7712))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1422z00_6608)),
					BUNSPEC);
				return BgL_new1586z00_7712;
			}
		}

	}



/* &lambda2771 */
	obj_t BGl_z62lambda2771z62zzast_nodez00(obj_t BgL_envz00_6609,
		obj_t BgL_oz00_6610, obj_t BgL_vz00_6611)
	{
		{	/* Ast/node.scm 288 */
			return
				((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_oz00_6610)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6611)), BUNSPEC);
		}

	}



/* &lambda2770 */
	BgL_nodez00_bglt BGl_z62lambda2770z62zzast_nodez00(obj_t BgL_envz00_6612,
		obj_t BgL_oz00_6613)
	{
		{	/* Ast/node.scm 288 */
			return
				(((BgL_syncz00_bglt) COBJECT(
						((BgL_syncz00_bglt) BgL_oz00_6613)))->BgL_bodyz00);
		}

	}



/* &lambda2766 */
	obj_t BGl_z62lambda2766z62zzast_nodez00(obj_t BgL_envz00_6614,
		obj_t BgL_oz00_6615, obj_t BgL_vz00_6616)
	{
		{	/* Ast/node.scm 288 */
			return
				((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_oz00_6615)))->BgL_prelockz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6616)), BUNSPEC);
		}

	}



/* &lambda2765 */
	BgL_nodez00_bglt BGl_z62lambda2765z62zzast_nodez00(obj_t BgL_envz00_6617,
		obj_t BgL_oz00_6618)
	{
		{	/* Ast/node.scm 288 */
			return
				(((BgL_syncz00_bglt) COBJECT(
						((BgL_syncz00_bglt) BgL_oz00_6618)))->BgL_prelockz00);
		}

	}



/* &lambda2757 */
	obj_t BGl_z62lambda2757z62zzast_nodez00(obj_t BgL_envz00_6619,
		obj_t BgL_oz00_6620, obj_t BgL_vz00_6621)
	{
		{	/* Ast/node.scm 288 */
			return
				((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_oz00_6620)))->BgL_mutexz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6621)), BUNSPEC);
		}

	}



/* &lambda2756 */
	BgL_nodez00_bglt BGl_z62lambda2756z62zzast_nodez00(obj_t BgL_envz00_6622,
		obj_t BgL_oz00_6623)
	{
		{	/* Ast/node.scm 288 */
			return
				(((BgL_syncz00_bglt) COBJECT(
						((BgL_syncz00_bglt) BgL_oz00_6623)))->BgL_mutexz00);
		}

	}



/* &<@anonymous:2719> */
	obj_t BGl_z62zc3z04anonymousza32719ze3ze5zzast_nodez00(obj_t BgL_envz00_6624,
		obj_t BgL_new1416z00_6625)
	{
		{	/* Ast/node.scm 282 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_auxz00_12146;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_new1416z00_6625))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12150;

					{	/* Ast/node.scm 282 */
						obj_t BgL_classz00_7726;

						BgL_classz00_7726 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 282 */
							obj_t BgL__ortest_1106z00_7727;

							BgL__ortest_1106z00_7727 = BGL_CLASS_NIL(BgL_classz00_7726);
							if (CBOOL(BgL__ortest_1106z00_7727))
								{	/* Ast/node.scm 282 */
									BgL_auxz00_12150 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_7727);
								}
							else
								{	/* Ast/node.scm 282 */
									BgL_auxz00_12150 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7726));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1416z00_6625))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12150), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_12160;

					{	/* Ast/node.scm 282 */
						obj_t BgL_classz00_7728;

						BgL_classz00_7728 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 282 */
							obj_t BgL__ortest_1106z00_7729;

							BgL__ortest_1106z00_7729 = BGL_CLASS_NIL(BgL_classz00_7728);
							if (CBOOL(BgL__ortest_1106z00_7729))
								{	/* Ast/node.scm 282 */
									BgL_auxz00_12160 =
										((BgL_varz00_bglt) BgL__ortest_1106z00_7729);
								}
							else
								{	/* Ast/node.scm 282 */
									BgL_auxz00_12160 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7728));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_new1416z00_6625)))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_12160), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12169;

					{	/* Ast/node.scm 282 */
						obj_t BgL_classz00_7730;

						BgL_classz00_7730 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 282 */
							obj_t BgL__ortest_1106z00_7731;

							BgL__ortest_1106z00_7731 = BGL_CLASS_NIL(BgL_classz00_7730);
							if (CBOOL(BgL__ortest_1106z00_7731))
								{	/* Ast/node.scm 282 */
									BgL_auxz00_12169 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_7731);
								}
							else
								{	/* Ast/node.scm 282 */
									BgL_auxz00_12169 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7730));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_new1416z00_6625)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_12169), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_12178;

					{	/* Ast/node.scm 282 */
						obj_t BgL_classz00_7732;

						BgL_classz00_7732 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 282 */
							obj_t BgL__ortest_1106z00_7733;

							BgL__ortest_1106z00_7733 = BGL_CLASS_NIL(BgL_classz00_7732);
							if (CBOOL(BgL__ortest_1106z00_7733))
								{	/* Ast/node.scm 282 */
									BgL_auxz00_12178 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_7733);
								}
							else
								{	/* Ast/node.scm 282 */
									BgL_auxz00_12178 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7732));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_new1416z00_6625)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_12178), BUNSPEC);
				}
				BgL_auxz00_12146 = ((BgL_boxzd2setz12zc0_bglt) BgL_new1416z00_6625);
				return ((obj_t) BgL_auxz00_12146);
			}
		}

	}



/* &lambda2717 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda2717z62zzast_nodez00(obj_t
		BgL_envz00_6626)
	{
		{	/* Ast/node.scm 282 */
			{	/* Ast/node.scm 282 */
				BgL_boxzd2setz12zc0_bglt BgL_new1415z00_7734;

				BgL_new1415z00_7734 =
					((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2setz12zc0_bgl))));
				{	/* Ast/node.scm 282 */
					long BgL_arg2718z00_7735;

					{	/* Ast/node.scm 282 */
						long BgL_res2980z00_7736;

						BgL_res2980z00_7736 =
							BGL_CLASS_INDEX(BGl_boxzd2setz12zc0zzast_nodez00);
						BgL_arg2718z00_7735 = BgL_res2980z00_7736;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1415z00_7734), BgL_arg2718z00_7735);
				}
				{	/* Ast/node.scm 282 */
					BgL_objectz00_bglt BgL_tmpz00_12193;

					BgL_tmpz00_12193 = ((BgL_objectz00_bglt) BgL_new1415z00_7734);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12193, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1415z00_7734);
				return BgL_new1415z00_7734;
			}
		}

	}



/* &lambda2715 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda2715z62zzast_nodez00(obj_t
		BgL_envz00_6627, obj_t BgL_loc1410z00_6628, obj_t BgL_type1411z00_6629,
		obj_t BgL_var1412z00_6630, obj_t BgL_value1413z00_6631,
		obj_t BgL_vtype1414z00_6632)
	{
		{	/* Ast/node.scm 282 */
			{	/* Ast/node.scm 282 */
				BgL_boxzd2setz12zc0_bglt BgL_new1584z00_7741;

				{	/* Ast/node.scm 282 */
					BgL_boxzd2setz12zc0_bglt BgL_new1583z00_7742;

					BgL_new1583z00_7742 =
						((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zc0_bgl))));
					{	/* Ast/node.scm 282 */
						long BgL_arg2716z00_7743;

						{	/* Ast/node.scm 282 */
							long BgL_res2979z00_7744;

							BgL_res2979z00_7744 =
								BGL_CLASS_INDEX(BGl_boxzd2setz12zc0zzast_nodez00);
							BgL_arg2716z00_7743 = BgL_res2979z00_7744;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1583z00_7742), BgL_arg2716z00_7743);
					}
					{	/* Ast/node.scm 282 */
						BgL_objectz00_bglt BgL_tmpz00_12201;

						BgL_tmpz00_12201 = ((BgL_objectz00_bglt) BgL_new1583z00_7742);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12201, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1583z00_7742);
					BgL_new1584z00_7741 = BgL_new1583z00_7742;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1584z00_7741)))->BgL_locz00) =
					((obj_t) BgL_loc1410z00_6628), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1584z00_7741)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1411z00_6629)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1584z00_7741))->
						BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1412z00_6630)), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1584z00_7741))->
						BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1413z00_6631)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1584z00_7741))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1414z00_6632)),
					BUNSPEC);
				return BgL_new1584z00_7741;
			}
		}

	}



/* &lambda2740 */
	obj_t BGl_z62lambda2740z62zzast_nodez00(obj_t BgL_envz00_6633,
		obj_t BgL_oz00_6634, obj_t BgL_vz00_6635)
	{
		{	/* Ast/node.scm 282 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_6634)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6635)), BUNSPEC);
		}

	}



/* &lambda2739 */
	BgL_typez00_bglt BGl_z62lambda2739z62zzast_nodez00(obj_t BgL_envz00_6636,
		obj_t BgL_oz00_6637)
	{
		{	/* Ast/node.scm 282 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_6637)))->BgL_vtypez00);
		}

	}



/* &lambda2731 */
	obj_t BGl_z62lambda2731z62zzast_nodez00(obj_t BgL_envz00_6638,
		obj_t BgL_oz00_6639, obj_t BgL_vz00_6640)
	{
		{	/* Ast/node.scm 282 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_6639)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6640)), BUNSPEC);
		}

	}



/* &lambda2730 */
	BgL_nodez00_bglt BGl_z62lambda2730z62zzast_nodez00(obj_t BgL_envz00_6641,
		obj_t BgL_oz00_6642)
	{
		{	/* Ast/node.scm 282 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_6642)))->BgL_valuez00);
		}

	}



/* &lambda2725 */
	obj_t BGl_z62lambda2725z62zzast_nodez00(obj_t BgL_envz00_6643,
		obj_t BgL_oz00_6644, obj_t BgL_vz00_6645)
	{
		{	/* Ast/node.scm 282 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_6644)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_6645)), BUNSPEC);
		}

	}



/* &lambda2724 */
	BgL_varz00_bglt BGl_z62lambda2724z62zzast_nodez00(obj_t BgL_envz00_6646,
		obj_t BgL_oz00_6647)
	{
		{	/* Ast/node.scm 282 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_6647)))->BgL_varz00);
		}

	}



/* &<@anonymous:2698> */
	obj_t BGl_z62zc3z04anonymousza32698ze3ze5zzast_nodez00(obj_t BgL_envz00_6648,
		obj_t BgL_new1408z00_6649)
	{
		{	/* Ast/node.scm 277 */
			{
				BgL_boxzd2refzd2_bglt BgL_auxz00_12231;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1408z00_6649))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12235;

					{	/* Ast/node.scm 277 */
						obj_t BgL_classz00_7755;

						BgL_classz00_7755 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 277 */
							obj_t BgL__ortest_1106z00_7756;

							BgL__ortest_1106z00_7756 = BGL_CLASS_NIL(BgL_classz00_7755);
							if (CBOOL(BgL__ortest_1106z00_7756))
								{	/* Ast/node.scm 277 */
									BgL_auxz00_12235 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_7756);
								}
							else
								{	/* Ast/node.scm 277 */
									BgL_auxz00_12235 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7755));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1408z00_6649))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12235), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1408z00_6649))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_boxzd2refzd2_bglt)
										BgL_new1408z00_6649))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_12251;

					{	/* Ast/node.scm 277 */
						obj_t BgL_classz00_7757;

						BgL_classz00_7757 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 277 */
							obj_t BgL__ortest_1106z00_7758;

							BgL__ortest_1106z00_7758 = BGL_CLASS_NIL(BgL_classz00_7757);
							if (CBOOL(BgL__ortest_1106z00_7758))
								{	/* Ast/node.scm 277 */
									BgL_auxz00_12251 =
										((BgL_varz00_bglt) BgL__ortest_1106z00_7758);
								}
							else
								{	/* Ast/node.scm 277 */
									BgL_auxz00_12251 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7757));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_new1408z00_6649)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_12251), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_12260;

					{	/* Ast/node.scm 277 */
						obj_t BgL_classz00_7759;

						BgL_classz00_7759 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 277 */
							obj_t BgL__ortest_1106z00_7760;

							BgL__ortest_1106z00_7760 = BGL_CLASS_NIL(BgL_classz00_7759);
							if (CBOOL(BgL__ortest_1106z00_7760))
								{	/* Ast/node.scm 277 */
									BgL_auxz00_12260 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_7760);
								}
							else
								{	/* Ast/node.scm 277 */
									BgL_auxz00_12260 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7759));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_new1408z00_6649)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_12260), BUNSPEC);
				}
				BgL_auxz00_12231 = ((BgL_boxzd2refzd2_bglt) BgL_new1408z00_6649);
				return ((obj_t) BgL_auxz00_12231);
			}
		}

	}



/* &lambda2696 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda2696z62zzast_nodez00(obj_t BgL_envz00_6650)
	{
		{	/* Ast/node.scm 277 */
			{	/* Ast/node.scm 277 */
				BgL_boxzd2refzd2_bglt BgL_new1407z00_7761;

				BgL_new1407z00_7761 =
					((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2refzd2_bgl))));
				{	/* Ast/node.scm 277 */
					long BgL_arg2697z00_7762;

					{	/* Ast/node.scm 277 */
						long BgL_res2978z00_7763;

						BgL_res2978z00_7763 =
							BGL_CLASS_INDEX(BGl_boxzd2refzd2zzast_nodez00);
						BgL_arg2697z00_7762 = BgL_res2978z00_7763;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1407z00_7761), BgL_arg2697z00_7762);
				}
				{	/* Ast/node.scm 277 */
					BgL_objectz00_bglt BgL_tmpz00_12275;

					BgL_tmpz00_12275 = ((BgL_objectz00_bglt) BgL_new1407z00_7761);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12275, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1407z00_7761);
				return BgL_new1407z00_7761;
			}
		}

	}



/* &lambda2694 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda2694z62zzast_nodez00(obj_t BgL_envz00_6651,
		obj_t BgL_loc1401z00_6652, obj_t BgL_type1402z00_6653,
		obj_t BgL_sidezd2effect1403zd2_6654, obj_t BgL_key1404z00_6655,
		obj_t BgL_var1405z00_6656, obj_t BgL_vtype1406z00_6657)
	{
		{	/* Ast/node.scm 277 */
			{	/* Ast/node.scm 277 */
				BgL_boxzd2refzd2_bglt BgL_new1582z00_7767;

				{	/* Ast/node.scm 277 */
					BgL_boxzd2refzd2_bglt BgL_new1581z00_7768;

					BgL_new1581z00_7768 =
						((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzd2_bgl))));
					{	/* Ast/node.scm 277 */
						long BgL_arg2695z00_7769;

						{	/* Ast/node.scm 277 */
							long BgL_res2977z00_7770;

							BgL_res2977z00_7770 =
								BGL_CLASS_INDEX(BGl_boxzd2refzd2zzast_nodez00);
							BgL_arg2695z00_7769 = BgL_res2977z00_7770;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1581z00_7768), BgL_arg2695z00_7769);
					}
					{	/* Ast/node.scm 277 */
						BgL_objectz00_bglt BgL_tmpz00_12283;

						BgL_tmpz00_12283 = ((BgL_objectz00_bglt) BgL_new1581z00_7768);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12283, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1581z00_7768);
					BgL_new1582z00_7767 = BgL_new1581z00_7768;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1582z00_7767)))->BgL_locz00) =
					((obj_t) BgL_loc1401z00_6652), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1582z00_7767)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1402z00_6653)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1582z00_7767)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1403zd2_6654), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1582z00_7767)))->BgL_keyz00) =
					((obj_t) BgL_key1404z00_6655), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_new1582z00_7767))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1405z00_6656)), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_new1582z00_7767))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1406z00_6657)),
					BUNSPEC);
				return BgL_new1582z00_7767;
			}
		}

	}



/* &lambda2708 */
	obj_t BGl_z62lambda2708z62zzast_nodez00(obj_t BgL_envz00_6658,
		obj_t BgL_oz00_6659, obj_t BgL_vz00_6660)
	{
		{	/* Ast/node.scm 277 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_6659)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6660)), BUNSPEC);
		}

	}



/* &lambda2707 */
	BgL_typez00_bglt BGl_z62lambda2707z62zzast_nodez00(obj_t BgL_envz00_6661,
		obj_t BgL_oz00_6662)
	{
		{	/* Ast/node.scm 277 */
			return
				(((BgL_boxzd2refzd2_bglt) COBJECT(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_6662)))->BgL_vtypez00);
		}

	}



/* &lambda2703 */
	obj_t BGl_z62lambda2703z62zzast_nodez00(obj_t BgL_envz00_6663,
		obj_t BgL_oz00_6664, obj_t BgL_vz00_6665)
	{
		{	/* Ast/node.scm 277 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_6664)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_6665)), BUNSPEC);
		}

	}



/* &lambda2702 */
	BgL_varz00_bglt BGl_z62lambda2702z62zzast_nodez00(obj_t BgL_envz00_6666,
		obj_t BgL_oz00_6667)
	{
		{	/* Ast/node.scm 277 */
			return
				(((BgL_boxzd2refzd2_bglt) COBJECT(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_6667)))->BgL_varz00);
		}

	}



/* &<@anonymous:2677> */
	obj_t BGl_z62zc3z04anonymousza32677ze3ze5zzast_nodez00(obj_t BgL_envz00_6668,
		obj_t BgL_new1399z00_6669)
	{
		{	/* Ast/node.scm 272 */
			{
				BgL_makezd2boxzd2_bglt BgL_auxz00_12310;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1399z00_6669))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12314;

					{	/* Ast/node.scm 272 */
						obj_t BgL_classz00_7778;

						BgL_classz00_7778 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 272 */
							obj_t BgL__ortest_1106z00_7779;

							BgL__ortest_1106z00_7779 = BGL_CLASS_NIL(BgL_classz00_7778);
							if (CBOOL(BgL__ortest_1106z00_7779))
								{	/* Ast/node.scm 272 */
									BgL_auxz00_12314 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_7779);
								}
							else
								{	/* Ast/node.scm 272 */
									BgL_auxz00_12314 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7778));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1399z00_6669))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12314), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1399z00_6669))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_makezd2boxzd2_bglt)
										BgL_new1399z00_6669))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_12330;

					{	/* Ast/node.scm 272 */
						obj_t BgL_classz00_7780;

						BgL_classz00_7780 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 272 */
							obj_t BgL__ortest_1106z00_7781;

							BgL__ortest_1106z00_7781 = BGL_CLASS_NIL(BgL_classz00_7780);
							if (CBOOL(BgL__ortest_1106z00_7781))
								{	/* Ast/node.scm 272 */
									BgL_auxz00_12330 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_7781);
								}
							else
								{	/* Ast/node.scm 272 */
									BgL_auxz00_12330 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7780));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_new1399z00_6669)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_12330), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_12339;

					{	/* Ast/node.scm 272 */
						obj_t BgL_classz00_7782;

						BgL_classz00_7782 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 272 */
							obj_t BgL__ortest_1106z00_7783;

							BgL__ortest_1106z00_7783 = BGL_CLASS_NIL(BgL_classz00_7782);
							if (CBOOL(BgL__ortest_1106z00_7783))
								{	/* Ast/node.scm 272 */
									BgL_auxz00_12339 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_7783);
								}
							else
								{	/* Ast/node.scm 272 */
									BgL_auxz00_12339 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7782));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_new1399z00_6669)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_12339), BUNSPEC);
				}
				BgL_auxz00_12310 = ((BgL_makezd2boxzd2_bglt) BgL_new1399z00_6669);
				return ((obj_t) BgL_auxz00_12310);
			}
		}

	}



/* &lambda2675 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2675z62zzast_nodez00(obj_t
		BgL_envz00_6670)
	{
		{	/* Ast/node.scm 272 */
			{	/* Ast/node.scm 272 */
				BgL_makezd2boxzd2_bglt BgL_new1398z00_7784;

				BgL_new1398z00_7784 =
					((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_makezd2boxzd2_bgl))));
				{	/* Ast/node.scm 272 */
					long BgL_arg2676z00_7785;

					{	/* Ast/node.scm 272 */
						long BgL_res2976z00_7786;

						BgL_res2976z00_7786 =
							BGL_CLASS_INDEX(BGl_makezd2boxzd2zzast_nodez00);
						BgL_arg2676z00_7785 = BgL_res2976z00_7786;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1398z00_7784), BgL_arg2676z00_7785);
				}
				{	/* Ast/node.scm 272 */
					BgL_objectz00_bglt BgL_tmpz00_12354;

					BgL_tmpz00_12354 = ((BgL_objectz00_bglt) BgL_new1398z00_7784);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12354, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1398z00_7784);
				return BgL_new1398z00_7784;
			}
		}

	}



/* &lambda2673 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2673z62zzast_nodez00(obj_t
		BgL_envz00_6671, obj_t BgL_loc1392z00_6672, obj_t BgL_type1393z00_6673,
		obj_t BgL_sidezd2effect1394zd2_6674, obj_t BgL_key1395z00_6675,
		obj_t BgL_value1396z00_6676, obj_t BgL_vtype1397z00_6677)
	{
		{	/* Ast/node.scm 272 */
			{	/* Ast/node.scm 272 */
				BgL_makezd2boxzd2_bglt BgL_new1580z00_7790;

				{	/* Ast/node.scm 272 */
					BgL_makezd2boxzd2_bglt BgL_new1579z00_7791;

					BgL_new1579z00_7791 =
						((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Ast/node.scm 272 */
						long BgL_arg2674z00_7792;

						{	/* Ast/node.scm 272 */
							long BgL_res2975z00_7793;

							BgL_res2975z00_7793 =
								BGL_CLASS_INDEX(BGl_makezd2boxzd2zzast_nodez00);
							BgL_arg2674z00_7792 = BgL_res2975z00_7793;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1579z00_7791), BgL_arg2674z00_7792);
					}
					{	/* Ast/node.scm 272 */
						BgL_objectz00_bglt BgL_tmpz00_12362;

						BgL_tmpz00_12362 = ((BgL_objectz00_bglt) BgL_new1579z00_7791);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12362, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1579z00_7791);
					BgL_new1580z00_7790 = BgL_new1579z00_7791;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1580z00_7790)))->BgL_locz00) =
					((obj_t) BgL_loc1392z00_6672), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1580z00_7790)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1393z00_6673)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1580z00_7790)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1394zd2_6674), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1580z00_7790)))->BgL_keyz00) =
					((obj_t) BgL_key1395z00_6675), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1580z00_7790))->
						BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1396z00_6676)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1580z00_7790))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1397z00_6677)),
					BUNSPEC);
				return BgL_new1580z00_7790;
			}
		}

	}



/* &lambda2688 */
	obj_t BGl_z62lambda2688z62zzast_nodez00(obj_t BgL_envz00_6678,
		obj_t BgL_oz00_6679, obj_t BgL_vz00_6680)
	{
		{	/* Ast/node.scm 272 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_6679)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6680)), BUNSPEC);
		}

	}



/* &lambda2687 */
	BgL_typez00_bglt BGl_z62lambda2687z62zzast_nodez00(obj_t BgL_envz00_6681,
		obj_t BgL_oz00_6682)
	{
		{	/* Ast/node.scm 272 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_6682)))->BgL_vtypez00);
		}

	}



/* &lambda2683 */
	obj_t BGl_z62lambda2683z62zzast_nodez00(obj_t BgL_envz00_6683,
		obj_t BgL_oz00_6684, obj_t BgL_vz00_6685)
	{
		{	/* Ast/node.scm 272 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_6684)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6685)), BUNSPEC);
		}

	}



/* &lambda2682 */
	BgL_nodez00_bglt BGl_z62lambda2682z62zzast_nodez00(obj_t BgL_envz00_6686,
		obj_t BgL_oz00_6687)
	{
		{	/* Ast/node.scm 272 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_6687)))->BgL_valuez00);
		}

	}



/* &<@anonymous:2655> */
	obj_t BGl_z62zc3z04anonymousza32655ze3ze5zzast_nodez00(obj_t BgL_envz00_6688,
		obj_t BgL_new1390z00_6689)
	{
		{	/* Ast/node.scm 266 */
			{
				BgL_returnz00_bglt BgL_auxz00_12389;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_returnz00_bglt) BgL_new1390z00_6689))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12393;

					{	/* Ast/node.scm 266 */
						obj_t BgL_classz00_7801;

						BgL_classz00_7801 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 266 */
							obj_t BgL__ortest_1106z00_7802;

							BgL__ortest_1106z00_7802 = BGL_CLASS_NIL(BgL_classz00_7801);
							if (CBOOL(BgL__ortest_1106z00_7802))
								{	/* Ast/node.scm 266 */
									BgL_auxz00_12393 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_7802);
								}
							else
								{	/* Ast/node.scm 266 */
									BgL_auxz00_12393 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7801));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_returnz00_bglt) BgL_new1390z00_6689))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12393), BUNSPEC);
				}
				{
					BgL_retblockz00_bglt BgL_auxz00_12403;

					{	/* Ast/node.scm 266 */
						obj_t BgL_classz00_7803;

						BgL_classz00_7803 = BGl_retblockz00zzast_nodez00;
						{	/* Ast/node.scm 266 */
							obj_t BgL__ortest_1106z00_7804;

							BgL__ortest_1106z00_7804 = BGL_CLASS_NIL(BgL_classz00_7803);
							if (CBOOL(BgL__ortest_1106z00_7804))
								{	/* Ast/node.scm 266 */
									BgL_auxz00_12403 =
										((BgL_retblockz00_bglt) BgL__ortest_1106z00_7804);
								}
							else
								{	/* Ast/node.scm 266 */
									BgL_auxz00_12403 =
										((BgL_retblockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7803));
								}
						}
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_new1390z00_6689)))->BgL_blockz00) =
						((BgL_retblockz00_bglt) BgL_auxz00_12403), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12412;

					{	/* Ast/node.scm 266 */
						obj_t BgL_classz00_7805;

						BgL_classz00_7805 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 266 */
							obj_t BgL__ortest_1106z00_7806;

							BgL__ortest_1106z00_7806 = BGL_CLASS_NIL(BgL_classz00_7805);
							if (CBOOL(BgL__ortest_1106z00_7806))
								{	/* Ast/node.scm 266 */
									BgL_auxz00_12412 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_7806);
								}
							else
								{	/* Ast/node.scm 266 */
									BgL_auxz00_12412 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7805));
								}
						}
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_new1390z00_6689)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_12412), BUNSPEC);
				}
				BgL_auxz00_12389 = ((BgL_returnz00_bglt) BgL_new1390z00_6689);
				return ((obj_t) BgL_auxz00_12389);
			}
		}

	}



/* &lambda2651 */
	BgL_returnz00_bglt BGl_z62lambda2651z62zzast_nodez00(obj_t BgL_envz00_6690)
	{
		{	/* Ast/node.scm 266 */
			{	/* Ast/node.scm 266 */
				BgL_returnz00_bglt BgL_new1389z00_7807;

				BgL_new1389z00_7807 =
					((BgL_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_returnz00_bgl))));
				{	/* Ast/node.scm 266 */
					long BgL_arg2654z00_7808;

					{	/* Ast/node.scm 266 */
						long BgL_res2974z00_7809;

						BgL_res2974z00_7809 = BGL_CLASS_INDEX(BGl_returnz00zzast_nodez00);
						BgL_arg2654z00_7808 = BgL_res2974z00_7809;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1389z00_7807), BgL_arg2654z00_7808);
				}
				{	/* Ast/node.scm 266 */
					BgL_objectz00_bglt BgL_tmpz00_12427;

					BgL_tmpz00_12427 = ((BgL_objectz00_bglt) BgL_new1389z00_7807);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12427, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1389z00_7807);
				return BgL_new1389z00_7807;
			}
		}

	}



/* &lambda2649 */
	BgL_returnz00_bglt BGl_z62lambda2649z62zzast_nodez00(obj_t BgL_envz00_6691,
		obj_t BgL_loc1385z00_6692, obj_t BgL_type1386z00_6693,
		obj_t BgL_block1387z00_6694, obj_t BgL_value1388z00_6695)
	{
		{	/* Ast/node.scm 266 */
			{	/* Ast/node.scm 266 */
				BgL_returnz00_bglt BgL_new1578z00_7813;

				{	/* Ast/node.scm 266 */
					BgL_returnz00_bglt BgL_new1577z00_7814;

					BgL_new1577z00_7814 =
						((BgL_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_returnz00_bgl))));
					{	/* Ast/node.scm 266 */
						long BgL_arg2650z00_7815;

						{	/* Ast/node.scm 266 */
							long BgL_res2973z00_7816;

							BgL_res2973z00_7816 = BGL_CLASS_INDEX(BGl_returnz00zzast_nodez00);
							BgL_arg2650z00_7815 = BgL_res2973z00_7816;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1577z00_7814), BgL_arg2650z00_7815);
					}
					{	/* Ast/node.scm 266 */
						BgL_objectz00_bglt BgL_tmpz00_12435;

						BgL_tmpz00_12435 = ((BgL_objectz00_bglt) BgL_new1577z00_7814);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12435, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1577z00_7814);
					BgL_new1578z00_7813 = BgL_new1577z00_7814;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1578z00_7813)))->BgL_locz00) =
					((obj_t) BgL_loc1385z00_6692), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1578z00_7813)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1386z00_6693)),
					BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(BgL_new1578z00_7813))->BgL_blockz00) =
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt)
							BgL_block1387z00_6694)), BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(BgL_new1578z00_7813))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1388z00_6695)),
					BUNSPEC);
				return BgL_new1578z00_7813;
			}
		}

	}



/* &lambda2667 */
	obj_t BGl_z62lambda2667z62zzast_nodez00(obj_t BgL_envz00_6696,
		obj_t BgL_oz00_6697, obj_t BgL_vz00_6698)
	{
		{	/* Ast/node.scm 266 */
			return
				((((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_oz00_6697)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6698)), BUNSPEC);
		}

	}



/* &lambda2666 */
	BgL_nodez00_bglt BGl_z62lambda2666z62zzast_nodez00(obj_t BgL_envz00_6699,
		obj_t BgL_oz00_6700)
	{
		{	/* Ast/node.scm 266 */
			return
				(((BgL_returnz00_bglt) COBJECT(
						((BgL_returnz00_bglt) BgL_oz00_6700)))->BgL_valuez00);
		}

	}



/* &lambda2662 */
	obj_t BGl_z62lambda2662z62zzast_nodez00(obj_t BgL_envz00_6701,
		obj_t BgL_oz00_6702, obj_t BgL_vz00_6703)
	{
		{	/* Ast/node.scm 266 */
			return
				((((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_oz00_6702)))->BgL_blockz00) =
				((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_vz00_6703)),
				BUNSPEC);
		}

	}



/* &lambda2661 */
	BgL_retblockz00_bglt BGl_z62lambda2661z62zzast_nodez00(obj_t BgL_envz00_6704,
		obj_t BgL_oz00_6705)
	{
		{	/* Ast/node.scm 266 */
			return
				(((BgL_returnz00_bglt) COBJECT(
						((BgL_returnz00_bglt) BgL_oz00_6705)))->BgL_blockz00);
		}

	}



/* &<@anonymous:2633> */
	obj_t BGl_z62zc3z04anonymousza32633ze3ze5zzast_nodez00(obj_t BgL_envz00_6706,
		obj_t BgL_new1383z00_6707)
	{
		{	/* Ast/node.scm 262 */
			{
				BgL_retblockz00_bglt BgL_auxz00_12458;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_retblockz00_bglt) BgL_new1383z00_6707))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12462;

					{	/* Ast/node.scm 262 */
						obj_t BgL_classz00_7824;

						BgL_classz00_7824 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 262 */
							obj_t BgL__ortest_1106z00_7825;

							BgL__ortest_1106z00_7825 = BGL_CLASS_NIL(BgL_classz00_7824);
							if (CBOOL(BgL__ortest_1106z00_7825))
								{	/* Ast/node.scm 262 */
									BgL_auxz00_12462 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_7825);
								}
							else
								{	/* Ast/node.scm 262 */
									BgL_auxz00_12462 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7824));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_retblockz00_bglt) BgL_new1383z00_6707))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12462), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12472;

					{	/* Ast/node.scm 262 */
						obj_t BgL_classz00_7826;

						BgL_classz00_7826 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 262 */
							obj_t BgL__ortest_1106z00_7827;

							BgL__ortest_1106z00_7827 = BGL_CLASS_NIL(BgL_classz00_7826);
							if (CBOOL(BgL__ortest_1106z00_7827))
								{	/* Ast/node.scm 262 */
									BgL_auxz00_12472 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_7827);
								}
							else
								{	/* Ast/node.scm 262 */
									BgL_auxz00_12472 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7826));
								}
						}
					}
					((((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_new1383z00_6707)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12472), BUNSPEC);
				}
				BgL_auxz00_12458 = ((BgL_retblockz00_bglt) BgL_new1383z00_6707);
				return ((obj_t) BgL_auxz00_12458);
			}
		}

	}



/* &lambda2631 */
	BgL_retblockz00_bglt BGl_z62lambda2631z62zzast_nodez00(obj_t BgL_envz00_6708)
	{
		{	/* Ast/node.scm 262 */
			{	/* Ast/node.scm 262 */
				BgL_retblockz00_bglt BgL_new1382z00_7828;

				BgL_new1382z00_7828 =
					((BgL_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_retblockz00_bgl))));
				{	/* Ast/node.scm 262 */
					long BgL_arg2632z00_7829;

					{	/* Ast/node.scm 262 */
						long BgL_res2972z00_7830;

						BgL_res2972z00_7830 = BGL_CLASS_INDEX(BGl_retblockz00zzast_nodez00);
						BgL_arg2632z00_7829 = BgL_res2972z00_7830;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1382z00_7828), BgL_arg2632z00_7829);
				}
				{	/* Ast/node.scm 262 */
					BgL_objectz00_bglt BgL_tmpz00_12487;

					BgL_tmpz00_12487 = ((BgL_objectz00_bglt) BgL_new1382z00_7828);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12487, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1382z00_7828);
				return BgL_new1382z00_7828;
			}
		}

	}



/* &lambda2629 */
	BgL_retblockz00_bglt BGl_z62lambda2629z62zzast_nodez00(obj_t BgL_envz00_6709,
		obj_t BgL_loc1379z00_6710, obj_t BgL_type1380z00_6711,
		obj_t BgL_body1381z00_6712)
	{
		{	/* Ast/node.scm 262 */
			{	/* Ast/node.scm 262 */
				BgL_retblockz00_bglt BgL_new1576z00_7833;

				{	/* Ast/node.scm 262 */
					BgL_retblockz00_bglt BgL_new1575z00_7834;

					BgL_new1575z00_7834 =
						((BgL_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_retblockz00_bgl))));
					{	/* Ast/node.scm 262 */
						long BgL_arg2630z00_7835;

						{	/* Ast/node.scm 262 */
							long BgL_res2971z00_7836;

							BgL_res2971z00_7836 =
								BGL_CLASS_INDEX(BGl_retblockz00zzast_nodez00);
							BgL_arg2630z00_7835 = BgL_res2971z00_7836;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1575z00_7834), BgL_arg2630z00_7835);
					}
					{	/* Ast/node.scm 262 */
						BgL_objectz00_bglt BgL_tmpz00_12495;

						BgL_tmpz00_12495 = ((BgL_objectz00_bglt) BgL_new1575z00_7834);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12495, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1575z00_7834);
					BgL_new1576z00_7833 = BgL_new1575z00_7834;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1576z00_7833)))->BgL_locz00) =
					((obj_t) BgL_loc1379z00_6710), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1576z00_7833)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1380z00_6711)),
					BUNSPEC);
				((((BgL_retblockz00_bglt) COBJECT(BgL_new1576z00_7833))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1381z00_6712)),
					BUNSPEC);
				return BgL_new1576z00_7833;
			}
		}

	}



/* &lambda2641 */
	obj_t BGl_z62lambda2641z62zzast_nodez00(obj_t BgL_envz00_6713,
		obj_t BgL_oz00_6714, obj_t BgL_vz00_6715)
	{
		{	/* Ast/node.scm 262 */
			return
				((((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_oz00_6714)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6715)), BUNSPEC);
		}

	}



/* &lambda2640 */
	BgL_nodez00_bglt BGl_z62lambda2640z62zzast_nodez00(obj_t BgL_envz00_6716,
		obj_t BgL_oz00_6717)
	{
		{	/* Ast/node.scm 262 */
			return
				(((BgL_retblockz00_bglt) COBJECT(
						((BgL_retblockz00_bglt) BgL_oz00_6717)))->BgL_bodyz00);
		}

	}



/* &<@anonymous:2611> */
	obj_t BGl_z62zc3z04anonymousza32611ze3ze5zzast_nodez00(obj_t BgL_envz00_6718,
		obj_t BgL_new1377z00_6719)
	{
		{	/* Ast/node.scm 255 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_12511;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_new1377z00_6719))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12515;

					{	/* Ast/node.scm 255 */
						obj_t BgL_classz00_7841;

						BgL_classz00_7841 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 255 */
							obj_t BgL__ortest_1106z00_7842;

							BgL__ortest_1106z00_7842 = BGL_CLASS_NIL(BgL_classz00_7841);
							if (CBOOL(BgL__ortest_1106z00_7842))
								{	/* Ast/node.scm 255 */
									BgL_auxz00_12515 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_7842);
								}
							else
								{	/* Ast/node.scm 255 */
									BgL_auxz00_12515 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7841));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_new1377z00_6719))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12515), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12525;

					{	/* Ast/node.scm 255 */
						obj_t BgL_classz00_7843;

						BgL_classz00_7843 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 255 */
							obj_t BgL__ortest_1106z00_7844;

							BgL__ortest_1106z00_7844 = BGL_CLASS_NIL(BgL_classz00_7843);
							if (CBOOL(BgL__ortest_1106z00_7844))
								{	/* Ast/node.scm 255 */
									BgL_auxz00_12525 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_7844);
								}
							else
								{	/* Ast/node.scm 255 */
									BgL_auxz00_12525 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7843));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_new1377z00_6719)))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_12525), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12534;

					{	/* Ast/node.scm 255 */
						obj_t BgL_classz00_7845;

						BgL_classz00_7845 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 255 */
							obj_t BgL__ortest_1106z00_7846;

							BgL__ortest_1106z00_7846 = BGL_CLASS_NIL(BgL_classz00_7845);
							if (CBOOL(BgL__ortest_1106z00_7846))
								{	/* Ast/node.scm 255 */
									BgL_auxz00_12534 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_7846);
								}
							else
								{	/* Ast/node.scm 255 */
									BgL_auxz00_12534 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7845));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_new1377z00_6719)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_12534), BUNSPEC);
				}
				BgL_auxz00_12511 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_new1377z00_6719);
				return ((obj_t) BgL_auxz00_12511);
			}
		}

	}



/* &lambda2609 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2609z62zzast_nodez00(obj_t
		BgL_envz00_6720)
	{
		{	/* Ast/node.scm 255 */
			{	/* Ast/node.scm 255 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1376z00_7847;

				BgL_new1376z00_7847 =
					((BgL_jumpzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_jumpzd2exzd2itz00_bgl))));
				{	/* Ast/node.scm 255 */
					long BgL_arg2610z00_7848;

					{	/* Ast/node.scm 255 */
						long BgL_res2970z00_7849;

						BgL_res2970z00_7849 =
							BGL_CLASS_INDEX(BGl_jumpzd2exzd2itz00zzast_nodez00);
						BgL_arg2610z00_7848 = BgL_res2970z00_7849;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1376z00_7847), BgL_arg2610z00_7848);
				}
				{	/* Ast/node.scm 255 */
					BgL_objectz00_bglt BgL_tmpz00_12549;

					BgL_tmpz00_12549 = ((BgL_objectz00_bglt) BgL_new1376z00_7847);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12549, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1376z00_7847);
				return BgL_new1376z00_7847;
			}
		}

	}



/* &lambda2607 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2607z62zzast_nodez00(obj_t
		BgL_envz00_6721, obj_t BgL_loc1372z00_6722, obj_t BgL_type1373z00_6723,
		obj_t BgL_exit1374z00_6724, obj_t BgL_value1375z00_6725)
	{
		{	/* Ast/node.scm 255 */
			{	/* Ast/node.scm 255 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1574z00_7853;

				{	/* Ast/node.scm 255 */
					BgL_jumpzd2exzd2itz00_bglt BgL_new1573z00_7854;

					BgL_new1573z00_7854 =
						((BgL_jumpzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itz00_bgl))));
					{	/* Ast/node.scm 255 */
						long BgL_arg2608z00_7855;

						{	/* Ast/node.scm 255 */
							long BgL_res2969z00_7856;

							BgL_res2969z00_7856 =
								BGL_CLASS_INDEX(BGl_jumpzd2exzd2itz00zzast_nodez00);
							BgL_arg2608z00_7855 = BgL_res2969z00_7856;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1573z00_7854), BgL_arg2608z00_7855);
					}
					{	/* Ast/node.scm 255 */
						BgL_objectz00_bglt BgL_tmpz00_12557;

						BgL_tmpz00_12557 = ((BgL_objectz00_bglt) BgL_new1573z00_7854);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12557, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1573z00_7854);
					BgL_new1574z00_7853 = BgL_new1573z00_7854;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1574z00_7853)))->BgL_locz00) =
					((obj_t) BgL_loc1372z00_6722), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1574z00_7853)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1373z00_6723)),
					BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_new1574z00_7853))->
						BgL_exitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_exit1374z00_6724)),
					BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_new1574z00_7853))->
						BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1375z00_6725)),
					BUNSPEC);
				return BgL_new1574z00_7853;
			}
		}

	}



/* &lambda2623 */
	obj_t BGl_z62lambda2623z62zzast_nodez00(obj_t BgL_envz00_6726,
		obj_t BgL_oz00_6727, obj_t BgL_vz00_6728)
	{
		{	/* Ast/node.scm 255 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6727)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6728)), BUNSPEC);
		}

	}



/* &lambda2622 */
	BgL_nodez00_bglt BGl_z62lambda2622z62zzast_nodez00(obj_t BgL_envz00_6729,
		obj_t BgL_oz00_6730)
	{
		{	/* Ast/node.scm 255 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6730)))->BgL_valuez00);
		}

	}



/* &lambda2617 */
	obj_t BGl_z62lambda2617z62zzast_nodez00(obj_t BgL_envz00_6731,
		obj_t BgL_oz00_6732, obj_t BgL_vz00_6733)
	{
		{	/* Ast/node.scm 255 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6732)))->BgL_exitz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6733)), BUNSPEC);
		}

	}



/* &lambda2616 */
	BgL_nodez00_bglt BGl_z62lambda2616z62zzast_nodez00(obj_t BgL_envz00_6734,
		obj_t BgL_oz00_6735)
	{
		{	/* Ast/node.scm 255 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6735)))->BgL_exitz00);
		}

	}



/* &<@anonymous:2590> */
	obj_t BGl_z62zc3z04anonymousza32590ze3ze5zzast_nodez00(obj_t BgL_envz00_6736,
		obj_t BgL_new1370z00_6737)
	{
		{	/* Ast/node.scm 248 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_auxz00_12580;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_new1370z00_6737))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12584;

					{	/* Ast/node.scm 248 */
						obj_t BgL_classz00_7864;

						BgL_classz00_7864 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 248 */
							obj_t BgL__ortest_1106z00_7865;

							BgL__ortest_1106z00_7865 = BGL_CLASS_NIL(BgL_classz00_7864);
							if (CBOOL(BgL__ortest_1106z00_7865))
								{	/* Ast/node.scm 248 */
									BgL_auxz00_12584 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_7865);
								}
							else
								{	/* Ast/node.scm 248 */
									BgL_auxz00_12584 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7864));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1370z00_6737))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12584), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_12594;

					{	/* Ast/node.scm 248 */
						obj_t BgL_classz00_7866;

						BgL_classz00_7866 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 248 */
							obj_t BgL__ortest_1106z00_7867;

							BgL__ortest_1106z00_7867 = BGL_CLASS_NIL(BgL_classz00_7866);
							if (CBOOL(BgL__ortest_1106z00_7867))
								{	/* Ast/node.scm 248 */
									BgL_auxz00_12594 =
										((BgL_varz00_bglt) BgL__ortest_1106z00_7867);
								}
							else
								{	/* Ast/node.scm 248 */
									BgL_auxz00_12594 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7866));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_new1370z00_6737)))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_12594), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12603;

					{	/* Ast/node.scm 248 */
						obj_t BgL_classz00_7868;

						BgL_classz00_7868 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 248 */
							obj_t BgL__ortest_1106z00_7869;

							BgL__ortest_1106z00_7869 = BGL_CLASS_NIL(BgL_classz00_7868);
							if (CBOOL(BgL__ortest_1106z00_7869))
								{	/* Ast/node.scm 248 */
									BgL_auxz00_12603 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_7869);
								}
							else
								{	/* Ast/node.scm 248 */
									BgL_auxz00_12603 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7868));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_new1370z00_6737)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_12603), BUNSPEC);
				}
				BgL_auxz00_12580 = ((BgL_setzd2exzd2itz00_bglt) BgL_new1370z00_6737);
				return ((obj_t) BgL_auxz00_12580);
			}
		}

	}



/* &lambda2587 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda2587z62zzast_nodez00(obj_t
		BgL_envz00_6738)
	{
		{	/* Ast/node.scm 248 */
			{	/* Ast/node.scm 248 */
				BgL_setzd2exzd2itz00_bglt BgL_new1369z00_7870;

				BgL_new1369z00_7870 =
					((BgL_setzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setzd2exzd2itz00_bgl))));
				{	/* Ast/node.scm 248 */
					long BgL_arg2589z00_7871;

					{	/* Ast/node.scm 248 */
						long BgL_res2968z00_7872;

						BgL_res2968z00_7872 =
							BGL_CLASS_INDEX(BGl_setzd2exzd2itz00zzast_nodez00);
						BgL_arg2589z00_7871 = BgL_res2968z00_7872;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1369z00_7870), BgL_arg2589z00_7871);
				}
				{	/* Ast/node.scm 248 */
					BgL_objectz00_bglt BgL_tmpz00_12618;

					BgL_tmpz00_12618 = ((BgL_objectz00_bglt) BgL_new1369z00_7870);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12618, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1369z00_7870);
				return BgL_new1369z00_7870;
			}
		}

	}



/* &lambda2585 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda2585z62zzast_nodez00(obj_t
		BgL_envz00_6739, obj_t BgL_loc1365z00_6740, obj_t BgL_type1366z00_6741,
		obj_t BgL_var1367z00_6742, obj_t BgL_body1368z00_6743)
	{
		{	/* Ast/node.scm 248 */
			{	/* Ast/node.scm 248 */
				BgL_setzd2exzd2itz00_bglt BgL_new1572z00_7876;

				{	/* Ast/node.scm 248 */
					BgL_setzd2exzd2itz00_bglt BgL_new1571z00_7877;

					BgL_new1571z00_7877 =
						((BgL_setzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itz00_bgl))));
					{	/* Ast/node.scm 248 */
						long BgL_arg2586z00_7878;

						{	/* Ast/node.scm 248 */
							long BgL_res2967z00_7879;

							BgL_res2967z00_7879 =
								BGL_CLASS_INDEX(BGl_setzd2exzd2itz00zzast_nodez00);
							BgL_arg2586z00_7878 = BgL_res2967z00_7879;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1571z00_7877), BgL_arg2586z00_7878);
					}
					{	/* Ast/node.scm 248 */
						BgL_objectz00_bglt BgL_tmpz00_12626;

						BgL_tmpz00_12626 = ((BgL_objectz00_bglt) BgL_new1571z00_7877);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12626, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1571z00_7877);
					BgL_new1572z00_7876 = BgL_new1571z00_7877;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1572z00_7876)))->BgL_locz00) =
					((obj_t) BgL_loc1365z00_6740), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1572z00_7876)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1366z00_6741)),
					BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1572z00_7876))->
						BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1367z00_6742)), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1572z00_7876))->
						BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1368z00_6743)),
					BUNSPEC);
				return BgL_new1572z00_7876;
			}
		}

	}



/* &lambda2600 */
	obj_t BGl_z62lambda2600z62zzast_nodez00(obj_t BgL_envz00_6744,
		obj_t BgL_oz00_6745, obj_t BgL_vz00_6746)
	{
		{	/* Ast/node.scm 248 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6745)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6746)), BUNSPEC);
		}

	}



/* &lambda2599 */
	BgL_nodez00_bglt BGl_z62lambda2599z62zzast_nodez00(obj_t BgL_envz00_6747,
		obj_t BgL_oz00_6748)
	{
		{	/* Ast/node.scm 248 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6748)))->BgL_bodyz00);
		}

	}



/* &lambda2595 */
	obj_t BGl_z62lambda2595z62zzast_nodez00(obj_t BgL_envz00_6749,
		obj_t BgL_oz00_6750, obj_t BgL_vz00_6751)
	{
		{	/* Ast/node.scm 248 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6750)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_6751)), BUNSPEC);
		}

	}



/* &lambda2594 */
	BgL_varz00_bglt BGl_z62lambda2594z62zzast_nodez00(obj_t BgL_envz00_6752,
		obj_t BgL_oz00_6753)
	{
		{	/* Ast/node.scm 248 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6753)))->BgL_varz00);
		}

	}



/* &<@anonymous:2556> */
	obj_t BGl_z62zc3z04anonymousza32556ze3ze5zzast_nodez00(obj_t BgL_envz00_6754,
		obj_t BgL_new1363z00_6755)
	{
		{	/* Ast/node.scm 239 */
			{
				BgL_letzd2varzd2_bglt BgL_auxz00_12649;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1363z00_6755))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12653;

					{	/* Ast/node.scm 239 */
						obj_t BgL_classz00_7887;

						BgL_classz00_7887 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 239 */
							obj_t BgL__ortest_1106z00_7888;

							BgL__ortest_1106z00_7888 = BGL_CLASS_NIL(BgL_classz00_7887);
							if (CBOOL(BgL__ortest_1106z00_7888))
								{	/* Ast/node.scm 239 */
									BgL_auxz00_12653 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_7888);
								}
							else
								{	/* Ast/node.scm 239 */
									BgL_auxz00_12653 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7887));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_new1363z00_6755))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12653), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1363z00_6755))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_letzd2varzd2_bglt)
										BgL_new1363z00_6755))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
									BgL_new1363z00_6755)))->BgL_bindingsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_12671;

					{	/* Ast/node.scm 239 */
						obj_t BgL_classz00_7889;

						BgL_classz00_7889 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 239 */
							obj_t BgL__ortest_1106z00_7890;

							BgL__ortest_1106z00_7890 = BGL_CLASS_NIL(BgL_classz00_7889);
							if (CBOOL(BgL__ortest_1106z00_7890))
								{	/* Ast/node.scm 239 */
									BgL_auxz00_12671 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_7890);
								}
							else
								{	/* Ast/node.scm 239 */
									BgL_auxz00_12671 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7889));
								}
						}
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_new1363z00_6755)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_12671), BUNSPEC);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_new1363z00_6755)))->
						BgL_removablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_12649 = ((BgL_letzd2varzd2_bglt) BgL_new1363z00_6755);
				return ((obj_t) BgL_auxz00_12649);
			}
		}

	}



/* &lambda2552 */
	BgL_letzd2varzd2_bglt BGl_z62lambda2552z62zzast_nodez00(obj_t BgL_envz00_6756)
	{
		{	/* Ast/node.scm 239 */
			{	/* Ast/node.scm 239 */
				BgL_letzd2varzd2_bglt BgL_new1362z00_7891;

				BgL_new1362z00_7891 =
					((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_letzd2varzd2_bgl))));
				{	/* Ast/node.scm 239 */
					long BgL_arg2555z00_7892;

					{	/* Ast/node.scm 239 */
						long BgL_res2966z00_7893;

						BgL_res2966z00_7893 =
							BGL_CLASS_INDEX(BGl_letzd2varzd2zzast_nodez00);
						BgL_arg2555z00_7892 = BgL_res2966z00_7893;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1362z00_7891), BgL_arg2555z00_7892);
				}
				{	/* Ast/node.scm 239 */
					BgL_objectz00_bglt BgL_tmpz00_12688;

					BgL_tmpz00_12688 = ((BgL_objectz00_bglt) BgL_new1362z00_7891);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12688, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1362z00_7891);
				return BgL_new1362z00_7891;
			}
		}

	}



/* &lambda2549 */
	BgL_letzd2varzd2_bglt BGl_z62lambda2549z62zzast_nodez00(obj_t BgL_envz00_6757,
		obj_t BgL_loc1355z00_6758, obj_t BgL_type1356z00_6759,
		obj_t BgL_sidezd2effect1357zd2_6760, obj_t BgL_key1358z00_6761,
		obj_t BgL_bindings1359z00_6762, obj_t BgL_body1360z00_6763,
		obj_t BgL_removablezf31361zf3_6764)
	{
		{	/* Ast/node.scm 239 */
			{	/* Ast/node.scm 239 */
				bool_t BgL_removablezf31361zf3_7896;

				BgL_removablezf31361zf3_7896 = CBOOL(BgL_removablezf31361zf3_6764);
				{	/* Ast/node.scm 239 */
					BgL_letzd2varzd2_bglt BgL_new1570z00_7897;

					{	/* Ast/node.scm 239 */
						BgL_letzd2varzd2_bglt BgL_new1569z00_7898;

						BgL_new1569z00_7898 =
							((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Ast/node.scm 239 */
							long BgL_arg2551z00_7899;

							{	/* Ast/node.scm 239 */
								long BgL_res2965z00_7900;

								BgL_res2965z00_7900 =
									BGL_CLASS_INDEX(BGl_letzd2varzd2zzast_nodez00);
								BgL_arg2551z00_7899 = BgL_res2965z00_7900;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1569z00_7898),
								BgL_arg2551z00_7899);
						}
						{	/* Ast/node.scm 239 */
							BgL_objectz00_bglt BgL_tmpz00_12697;

							BgL_tmpz00_12697 = ((BgL_objectz00_bglt) BgL_new1569z00_7898);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12697, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1569z00_7898);
						BgL_new1570z00_7897 = BgL_new1569z00_7898;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1570z00_7897)))->BgL_locz00) =
						((obj_t) BgL_loc1355z00_6758), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1570z00_7897)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1356z00_6759)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1570z00_7897)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1357zd2_6760), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1570z00_7897)))->BgL_keyz00) =
						((obj_t) BgL_key1358z00_6761), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1570z00_7897))->
							BgL_bindingsz00) = ((obj_t) BgL_bindings1359z00_6762), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1570z00_7897))->
							BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1360z00_6763)),
						BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1570z00_7897))->
							BgL_removablezf3zf3) =
						((bool_t) BgL_removablezf31361zf3_7896), BUNSPEC);
					return BgL_new1570z00_7897;
				}
			}
		}

	}



/* &<@anonymous:2578> */
	obj_t BGl_z62zc3z04anonymousza32578ze3ze5zzast_nodez00(obj_t BgL_envz00_6765)
	{
		{	/* Ast/node.scm 239 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda2577 */
	obj_t BGl_z62lambda2577z62zzast_nodez00(obj_t BgL_envz00_6766,
		obj_t BgL_oz00_6767, obj_t BgL_vz00_6768)
	{
		{	/* Ast/node.scm 239 */
			{	/* Ast/node.scm 239 */
				bool_t BgL_vz00_7902;

				BgL_vz00_7902 = CBOOL(BgL_vz00_6768);
				return
					((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_oz00_6767)))->
						BgL_removablezf3zf3) = ((bool_t) BgL_vz00_7902), BUNSPEC);
			}
		}

	}



/* &lambda2576 */
	obj_t BGl_z62lambda2576z62zzast_nodez00(obj_t BgL_envz00_6769,
		obj_t BgL_oz00_6770)
	{
		{	/* Ast/node.scm 239 */
			return
				BBOOL(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_oz00_6770)))->BgL_removablezf3zf3));
		}

	}



/* &lambda2568 */
	obj_t BGl_z62lambda2568z62zzast_nodez00(obj_t BgL_envz00_6771,
		obj_t BgL_oz00_6772, obj_t BgL_vz00_6773)
	{
		{	/* Ast/node.scm 239 */
			return
				((((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_oz00_6772)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6773)), BUNSPEC);
		}

	}



/* &lambda2567 */
	BgL_nodez00_bglt BGl_z62lambda2567z62zzast_nodez00(obj_t BgL_envz00_6774,
		obj_t BgL_oz00_6775)
	{
		{	/* Ast/node.scm 239 */
			return
				(((BgL_letzd2varzd2_bglt) COBJECT(
						((BgL_letzd2varzd2_bglt) BgL_oz00_6775)))->BgL_bodyz00);
		}

	}



/* &lambda2561 */
	obj_t BGl_z62lambda2561z62zzast_nodez00(obj_t BgL_envz00_6776,
		obj_t BgL_oz00_6777, obj_t BgL_vz00_6778)
	{
		{	/* Ast/node.scm 239 */
			return
				((((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_oz00_6777)))->BgL_bindingsz00) =
				((obj_t) BgL_vz00_6778), BUNSPEC);
		}

	}



/* &lambda2560 */
	obj_t BGl_z62lambda2560z62zzast_nodez00(obj_t BgL_envz00_6779,
		obj_t BgL_oz00_6780)
	{
		{	/* Ast/node.scm 239 */
			return
				(((BgL_letzd2varzd2_bglt) COBJECT(
						((BgL_letzd2varzd2_bglt) BgL_oz00_6780)))->BgL_bindingsz00);
		}

	}



/* &<@anonymous:2523> */
	obj_t BGl_z62zc3z04anonymousza32523ze3ze5zzast_nodez00(obj_t BgL_envz00_6781,
		obj_t BgL_new1353z00_6782)
	{
		{	/* Ast/node.scm 232 */
			{
				BgL_letzd2funzd2_bglt BgL_auxz00_12730;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2funzd2_bglt) BgL_new1353z00_6782))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12734;

					{	/* Ast/node.scm 232 */
						obj_t BgL_classz00_7910;

						BgL_classz00_7910 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 232 */
							obj_t BgL__ortest_1106z00_7911;

							BgL__ortest_1106z00_7911 = BGL_CLASS_NIL(BgL_classz00_7910);
							if (CBOOL(BgL__ortest_1106z00_7911))
								{	/* Ast/node.scm 232 */
									BgL_auxz00_12734 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_7911);
								}
							else
								{	/* Ast/node.scm 232 */
									BgL_auxz00_12734 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7910));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_new1353z00_6782))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12734), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_letzd2funzd2_bglt) BgL_new1353z00_6782))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_letzd2funzd2_bglt)
										BgL_new1353z00_6782))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
									BgL_new1353z00_6782)))->BgL_localsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_12752;

					{	/* Ast/node.scm 232 */
						obj_t BgL_classz00_7912;

						BgL_classz00_7912 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 232 */
							obj_t BgL__ortest_1106z00_7913;

							BgL__ortest_1106z00_7913 = BGL_CLASS_NIL(BgL_classz00_7912);
							if (CBOOL(BgL__ortest_1106z00_7913))
								{	/* Ast/node.scm 232 */
									BgL_auxz00_12752 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_7913);
								}
							else
								{	/* Ast/node.scm 232 */
									BgL_auxz00_12752 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7912));
								}
						}
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_new1353z00_6782)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_12752), BUNSPEC);
				}
				BgL_auxz00_12730 = ((BgL_letzd2funzd2_bglt) BgL_new1353z00_6782);
				return ((obj_t) BgL_auxz00_12730);
			}
		}

	}



/* &lambda2521 */
	BgL_letzd2funzd2_bglt BGl_z62lambda2521z62zzast_nodez00(obj_t BgL_envz00_6783)
	{
		{	/* Ast/node.scm 232 */
			{	/* Ast/node.scm 232 */
				BgL_letzd2funzd2_bglt BgL_new1352z00_7914;

				BgL_new1352z00_7914 =
					((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_letzd2funzd2_bgl))));
				{	/* Ast/node.scm 232 */
					long BgL_arg2522z00_7915;

					{	/* Ast/node.scm 232 */
						long BgL_res2964z00_7916;

						BgL_res2964z00_7916 =
							BGL_CLASS_INDEX(BGl_letzd2funzd2zzast_nodez00);
						BgL_arg2522z00_7915 = BgL_res2964z00_7916;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1352z00_7914), BgL_arg2522z00_7915);
				}
				{	/* Ast/node.scm 232 */
					BgL_objectz00_bglt BgL_tmpz00_12767;

					BgL_tmpz00_12767 = ((BgL_objectz00_bglt) BgL_new1352z00_7914);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12767, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1352z00_7914);
				return BgL_new1352z00_7914;
			}
		}

	}



/* &lambda2519 */
	BgL_letzd2funzd2_bglt BGl_z62lambda2519z62zzast_nodez00(obj_t BgL_envz00_6784,
		obj_t BgL_loc1346z00_6785, obj_t BgL_type1347z00_6786,
		obj_t BgL_sidezd2effect1348zd2_6787, obj_t BgL_key1349z00_6788,
		obj_t BgL_locals1350z00_6789, obj_t BgL_body1351z00_6790)
	{
		{	/* Ast/node.scm 232 */
			{	/* Ast/node.scm 232 */
				BgL_letzd2funzd2_bglt BgL_new1568z00_7919;

				{	/* Ast/node.scm 232 */
					BgL_letzd2funzd2_bglt BgL_new1567z00_7920;

					BgL_new1567z00_7920 =
						((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_letzd2funzd2_bgl))));
					{	/* Ast/node.scm 232 */
						long BgL_arg2520z00_7921;

						{	/* Ast/node.scm 232 */
							long BgL_res2963z00_7922;

							BgL_res2963z00_7922 =
								BGL_CLASS_INDEX(BGl_letzd2funzd2zzast_nodez00);
							BgL_arg2520z00_7921 = BgL_res2963z00_7922;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1567z00_7920), BgL_arg2520z00_7921);
					}
					{	/* Ast/node.scm 232 */
						BgL_objectz00_bglt BgL_tmpz00_12775;

						BgL_tmpz00_12775 = ((BgL_objectz00_bglt) BgL_new1567z00_7920);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12775, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1567z00_7920);
					BgL_new1568z00_7919 = BgL_new1567z00_7920;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1568z00_7919)))->BgL_locz00) =
					((obj_t) BgL_loc1346z00_6785), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1568z00_7919)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1347z00_6786)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1568z00_7919)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1348zd2_6787), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1568z00_7919)))->BgL_keyz00) =
					((obj_t) BgL_key1349z00_6788), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1568z00_7919))->
						BgL_localsz00) = ((obj_t) BgL_locals1350z00_6789), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1568z00_7919))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1351z00_6790)),
					BUNSPEC);
				return BgL_new1568z00_7919;
			}
		}

	}



/* &lambda2542 */
	obj_t BGl_z62lambda2542z62zzast_nodez00(obj_t BgL_envz00_6791,
		obj_t BgL_oz00_6792, obj_t BgL_vz00_6793)
	{
		{	/* Ast/node.scm 232 */
			return
				((((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_oz00_6792)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6793)), BUNSPEC);
		}

	}



/* &lambda2541 */
	BgL_nodez00_bglt BGl_z62lambda2541z62zzast_nodez00(obj_t BgL_envz00_6794,
		obj_t BgL_oz00_6795)
	{
		{	/* Ast/node.scm 232 */
			return
				(((BgL_letzd2funzd2_bglt) COBJECT(
						((BgL_letzd2funzd2_bglt) BgL_oz00_6795)))->BgL_bodyz00);
		}

	}



/* &lambda2535 */
	obj_t BGl_z62lambda2535z62zzast_nodez00(obj_t BgL_envz00_6796,
		obj_t BgL_oz00_6797, obj_t BgL_vz00_6798)
	{
		{	/* Ast/node.scm 232 */
			return
				((((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_oz00_6797)))->BgL_localsz00) =
				((obj_t) BgL_vz00_6798), BUNSPEC);
		}

	}



/* &lambda2534 */
	obj_t BGl_z62lambda2534z62zzast_nodez00(obj_t BgL_envz00_6799,
		obj_t BgL_oz00_6800)
	{
		{	/* Ast/node.scm 232 */
			return
				(((BgL_letzd2funzd2_bglt) COBJECT(
						((BgL_letzd2funzd2_bglt) BgL_oz00_6800)))->BgL_localsz00);
		}

	}



/* &<@anonymous:2489> */
	obj_t BGl_z62zc3z04anonymousza32489ze3ze5zzast_nodez00(obj_t BgL_envz00_6801,
		obj_t BgL_new1344z00_6802)
	{
		{	/* Ast/node.scm 223 */
			{
				BgL_switchz00_bglt BgL_auxz00_12800;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_switchz00_bglt) BgL_new1344z00_6802))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12804;

					{	/* Ast/node.scm 223 */
						obj_t BgL_classz00_7929;

						BgL_classz00_7929 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 223 */
							obj_t BgL__ortest_1106z00_7930;

							BgL__ortest_1106z00_7930 = BGL_CLASS_NIL(BgL_classz00_7929);
							if (CBOOL(BgL__ortest_1106z00_7930))
								{	/* Ast/node.scm 223 */
									BgL_auxz00_12804 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_7930);
								}
							else
								{	/* Ast/node.scm 223 */
									BgL_auxz00_12804 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7929));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_switchz00_bglt) BgL_new1344z00_6802))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12804), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_switchz00_bglt) BgL_new1344z00_6802))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_switchz00_bglt)
										BgL_new1344z00_6802))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_12820;

					{	/* Ast/node.scm 223 */
						obj_t BgL_classz00_7931;

						BgL_classz00_7931 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 223 */
							obj_t BgL__ortest_1106z00_7932;

							BgL__ortest_1106z00_7932 = BGL_CLASS_NIL(BgL_classz00_7931);
							if (CBOOL(BgL__ortest_1106z00_7932))
								{	/* Ast/node.scm 223 */
									BgL_auxz00_12820 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_7932);
								}
							else
								{	/* Ast/node.scm 223 */
									BgL_auxz00_12820 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7931));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_new1344z00_6802)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12820), BUNSPEC);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_new1344z00_6802)))->BgL_clausesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12831;

					{	/* Ast/node.scm 223 */
						obj_t BgL_classz00_7933;

						BgL_classz00_7933 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 223 */
							obj_t BgL__ortest_1106z00_7934;

							BgL__ortest_1106z00_7934 = BGL_CLASS_NIL(BgL_classz00_7933);
							if (CBOOL(BgL__ortest_1106z00_7934))
								{	/* Ast/node.scm 223 */
									BgL_auxz00_12831 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_7934);
								}
							else
								{	/* Ast/node.scm 223 */
									BgL_auxz00_12831 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7933));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_new1344z00_6802)))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_auxz00_12831), BUNSPEC);
				}
				BgL_auxz00_12800 = ((BgL_switchz00_bglt) BgL_new1344z00_6802);
				return ((obj_t) BgL_auxz00_12800);
			}
		}

	}



/* &lambda2486 */
	BgL_switchz00_bglt BGl_z62lambda2486z62zzast_nodez00(obj_t BgL_envz00_6803)
	{
		{	/* Ast/node.scm 223 */
			{	/* Ast/node.scm 223 */
				BgL_switchz00_bglt BgL_new1343z00_7935;

				BgL_new1343z00_7935 =
					((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_switchz00_bgl))));
				{	/* Ast/node.scm 223 */
					long BgL_arg2488z00_7936;

					{	/* Ast/node.scm 223 */
						long BgL_res2962z00_7937;

						BgL_res2962z00_7937 = BGL_CLASS_INDEX(BGl_switchz00zzast_nodez00);
						BgL_arg2488z00_7936 = BgL_res2962z00_7937;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1343z00_7935), BgL_arg2488z00_7936);
				}
				{	/* Ast/node.scm 223 */
					BgL_objectz00_bglt BgL_tmpz00_12846;

					BgL_tmpz00_12846 = ((BgL_objectz00_bglt) BgL_new1343z00_7935);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12846, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1343z00_7935);
				return BgL_new1343z00_7935;
			}
		}

	}



/* &lambda2484 */
	BgL_switchz00_bglt BGl_z62lambda2484z62zzast_nodez00(obj_t BgL_envz00_6804,
		obj_t BgL_loc1336z00_6805, obj_t BgL_type1337z00_6806,
		obj_t BgL_sidezd2effect1338zd2_6807, obj_t BgL_key1339z00_6808,
		obj_t BgL_test1340z00_6809, obj_t BgL_clauses1341z00_6810,
		obj_t BgL_itemzd2type1342zd2_6811)
	{
		{	/* Ast/node.scm 223 */
			{	/* Ast/node.scm 223 */
				BgL_switchz00_bglt BgL_new1566z00_7941;

				{	/* Ast/node.scm 223 */
					BgL_switchz00_bglt BgL_new1565z00_7942;

					BgL_new1565z00_7942 =
						((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_switchz00_bgl))));
					{	/* Ast/node.scm 223 */
						long BgL_arg2485z00_7943;

						{	/* Ast/node.scm 223 */
							long BgL_res2961z00_7944;

							BgL_res2961z00_7944 = BGL_CLASS_INDEX(BGl_switchz00zzast_nodez00);
							BgL_arg2485z00_7943 = BgL_res2961z00_7944;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1565z00_7942), BgL_arg2485z00_7943);
					}
					{	/* Ast/node.scm 223 */
						BgL_objectz00_bglt BgL_tmpz00_12854;

						BgL_tmpz00_12854 = ((BgL_objectz00_bglt) BgL_new1565z00_7942);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12854, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1565z00_7942);
					BgL_new1566z00_7941 = BgL_new1565z00_7942;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1566z00_7941)))->BgL_locz00) =
					((obj_t) BgL_loc1336z00_6805), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1566z00_7941)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1337z00_6806)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1566z00_7941)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1338zd2_6807), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1566z00_7941)))->BgL_keyz00) =
					((obj_t) BgL_key1339z00_6808), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1566z00_7941))->BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1340z00_6809)),
					BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1566z00_7941))->BgL_clausesz00) =
					((obj_t) BgL_clauses1341z00_6810), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1566z00_7941))->
						BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_itemzd2type1342zd2_6811)),
					BUNSPEC);
				return BgL_new1566z00_7941;
			}
		}

	}



/* &lambda2508 */
	obj_t BGl_z62lambda2508z62zzast_nodez00(obj_t BgL_envz00_6812,
		obj_t BgL_oz00_6813, obj_t BgL_vz00_6814)
	{
		{	/* Ast/node.scm 223 */
			return
				((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_oz00_6813)))->BgL_itemzd2typezd2) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6814)), BUNSPEC);
		}

	}



/* &lambda2507 */
	BgL_typez00_bglt BGl_z62lambda2507z62zzast_nodez00(obj_t BgL_envz00_6815,
		obj_t BgL_oz00_6816)
	{
		{	/* Ast/node.scm 223 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_6816)))->BgL_itemzd2typezd2);
		}

	}



/* &lambda2503 */
	obj_t BGl_z62lambda2503z62zzast_nodez00(obj_t BgL_envz00_6817,
		obj_t BgL_oz00_6818, obj_t BgL_vz00_6819)
	{
		{	/* Ast/node.scm 223 */
			return
				((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_oz00_6818)))->BgL_clausesz00) =
				((obj_t) BgL_vz00_6819), BUNSPEC);
		}

	}



/* &lambda2502 */
	obj_t BGl_z62lambda2502z62zzast_nodez00(obj_t BgL_envz00_6820,
		obj_t BgL_oz00_6821)
	{
		{	/* Ast/node.scm 223 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_6821)))->BgL_clausesz00);
		}

	}



/* &lambda2497 */
	obj_t BGl_z62lambda2497z62zzast_nodez00(obj_t BgL_envz00_6822,
		obj_t BgL_oz00_6823, obj_t BgL_vz00_6824)
	{
		{	/* Ast/node.scm 223 */
			return
				((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_oz00_6823)))->BgL_testz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6824)), BUNSPEC);
		}

	}



/* &lambda2496 */
	BgL_nodez00_bglt BGl_z62lambda2496z62zzast_nodez00(obj_t BgL_envz00_6825,
		obj_t BgL_oz00_6826)
	{
		{	/* Ast/node.scm 223 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_6826)))->BgL_testz00);
		}

	}



/* &<@anonymous:2462> */
	obj_t BGl_z62zc3z04anonymousza32462ze3ze5zzast_nodez00(obj_t BgL_envz00_6827,
		obj_t BgL_new1334z00_6828)
	{
		{	/* Ast/node.scm 216 */
			{
				BgL_failz00_bglt BgL_auxz00_12886;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_failz00_bglt) BgL_new1334z00_6828))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12890;

					{	/* Ast/node.scm 216 */
						obj_t BgL_classz00_7954;

						BgL_classz00_7954 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 216 */
							obj_t BgL__ortest_1106z00_7955;

							BgL__ortest_1106z00_7955 = BGL_CLASS_NIL(BgL_classz00_7954);
							if (CBOOL(BgL__ortest_1106z00_7955))
								{	/* Ast/node.scm 216 */
									BgL_auxz00_12890 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_7955);
								}
							else
								{	/* Ast/node.scm 216 */
									BgL_auxz00_12890 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7954));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_failz00_bglt) BgL_new1334z00_6828))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_12890), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12900;

					{	/* Ast/node.scm 216 */
						obj_t BgL_classz00_7956;

						BgL_classz00_7956 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 216 */
							obj_t BgL__ortest_1106z00_7957;

							BgL__ortest_1106z00_7957 = BGL_CLASS_NIL(BgL_classz00_7956);
							if (CBOOL(BgL__ortest_1106z00_7957))
								{	/* Ast/node.scm 216 */
									BgL_auxz00_12900 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_7957);
								}
							else
								{	/* Ast/node.scm 216 */
									BgL_auxz00_12900 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7956));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_new1334z00_6828)))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12900), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12909;

					{	/* Ast/node.scm 216 */
						obj_t BgL_classz00_7958;

						BgL_classz00_7958 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 216 */
							obj_t BgL__ortest_1106z00_7959;

							BgL__ortest_1106z00_7959 = BGL_CLASS_NIL(BgL_classz00_7958);
							if (CBOOL(BgL__ortest_1106z00_7959))
								{	/* Ast/node.scm 216 */
									BgL_auxz00_12909 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_7959);
								}
							else
								{	/* Ast/node.scm 216 */
									BgL_auxz00_12909 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7958));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_new1334z00_6828)))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12909), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12918;

					{	/* Ast/node.scm 216 */
						obj_t BgL_classz00_7960;

						BgL_classz00_7960 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 216 */
							obj_t BgL__ortest_1106z00_7961;

							BgL__ortest_1106z00_7961 = BGL_CLASS_NIL(BgL_classz00_7960);
							if (CBOOL(BgL__ortest_1106z00_7961))
								{	/* Ast/node.scm 216 */
									BgL_auxz00_12918 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_7961);
								}
							else
								{	/* Ast/node.scm 216 */
									BgL_auxz00_12918 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7960));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_new1334z00_6828)))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12918), BUNSPEC);
				}
				BgL_auxz00_12886 = ((BgL_failz00_bglt) BgL_new1334z00_6828);
				return ((obj_t) BgL_auxz00_12886);
			}
		}

	}



/* &lambda2459 */
	BgL_failz00_bglt BGl_z62lambda2459z62zzast_nodez00(obj_t BgL_envz00_6829)
	{
		{	/* Ast/node.scm 216 */
			{	/* Ast/node.scm 216 */
				BgL_failz00_bglt BgL_new1333z00_7962;

				BgL_new1333z00_7962 =
					((BgL_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_failz00_bgl))));
				{	/* Ast/node.scm 216 */
					long BgL_arg2461z00_7963;

					{	/* Ast/node.scm 216 */
						long BgL_res2960z00_7964;

						BgL_res2960z00_7964 = BGL_CLASS_INDEX(BGl_failz00zzast_nodez00);
						BgL_arg2461z00_7963 = BgL_res2960z00_7964;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1333z00_7962), BgL_arg2461z00_7963);
				}
				{	/* Ast/node.scm 216 */
					BgL_objectz00_bglt BgL_tmpz00_12933;

					BgL_tmpz00_12933 = ((BgL_objectz00_bglt) BgL_new1333z00_7962);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12933, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1333z00_7962);
				return BgL_new1333z00_7962;
			}
		}

	}



/* &lambda2457 */
	BgL_failz00_bglt BGl_z62lambda2457z62zzast_nodez00(obj_t BgL_envz00_6830,
		obj_t BgL_loc1328z00_6831, obj_t BgL_type1329z00_6832,
		obj_t BgL_proc1330z00_6833, obj_t BgL_msg1331z00_6834,
		obj_t BgL_obj1332z00_6835)
	{
		{	/* Ast/node.scm 216 */
			{	/* Ast/node.scm 216 */
				BgL_failz00_bglt BgL_new1564z00_7969;

				{	/* Ast/node.scm 216 */
					BgL_failz00_bglt BgL_new1563z00_7970;

					BgL_new1563z00_7970 =
						((BgL_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_failz00_bgl))));
					{	/* Ast/node.scm 216 */
						long BgL_arg2458z00_7971;

						{	/* Ast/node.scm 216 */
							long BgL_res2959z00_7972;

							BgL_res2959z00_7972 = BGL_CLASS_INDEX(BGl_failz00zzast_nodez00);
							BgL_arg2458z00_7971 = BgL_res2959z00_7972;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1563z00_7970), BgL_arg2458z00_7971);
					}
					{	/* Ast/node.scm 216 */
						BgL_objectz00_bglt BgL_tmpz00_12941;

						BgL_tmpz00_12941 = ((BgL_objectz00_bglt) BgL_new1563z00_7970);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12941, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1563z00_7970);
					BgL_new1564z00_7969 = BgL_new1563z00_7970;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1564z00_7969)))->BgL_locz00) =
					((obj_t) BgL_loc1328z00_6831), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1564z00_7969)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1329z00_6832)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1564z00_7969))->BgL_procz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_proc1330z00_6833)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1564z00_7969))->BgL_msgz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_msg1331z00_6834)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1564z00_7969))->BgL_objz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_obj1332z00_6835)),
					BUNSPEC);
				return BgL_new1564z00_7969;
			}
		}

	}



/* &lambda2478 */
	obj_t BGl_z62lambda2478z62zzast_nodez00(obj_t BgL_envz00_6836,
		obj_t BgL_oz00_6837, obj_t BgL_vz00_6838)
	{
		{	/* Ast/node.scm 216 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_6837)))->BgL_objz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6838)), BUNSPEC);
		}

	}



/* &lambda2477 */
	BgL_nodez00_bglt BGl_z62lambda2477z62zzast_nodez00(obj_t BgL_envz00_6839,
		obj_t BgL_oz00_6840)
	{
		{	/* Ast/node.scm 216 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_6840)))->BgL_objz00);
		}

	}



/* &lambda2473 */
	obj_t BGl_z62lambda2473z62zzast_nodez00(obj_t BgL_envz00_6841,
		obj_t BgL_oz00_6842, obj_t BgL_vz00_6843)
	{
		{	/* Ast/node.scm 216 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_6842)))->BgL_msgz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6843)), BUNSPEC);
		}

	}



/* &lambda2472 */
	BgL_nodez00_bglt BGl_z62lambda2472z62zzast_nodez00(obj_t BgL_envz00_6844,
		obj_t BgL_oz00_6845)
	{
		{	/* Ast/node.scm 216 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_6845)))->BgL_msgz00);
		}

	}



/* &lambda2467 */
	obj_t BGl_z62lambda2467z62zzast_nodez00(obj_t BgL_envz00_6846,
		obj_t BgL_oz00_6847, obj_t BgL_vz00_6848)
	{
		{	/* Ast/node.scm 216 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_6847)))->BgL_procz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6848)), BUNSPEC);
		}

	}



/* &lambda2466 */
	BgL_nodez00_bglt BGl_z62lambda2466z62zzast_nodez00(obj_t BgL_envz00_6849,
		obj_t BgL_oz00_6850)
	{
		{	/* Ast/node.scm 216 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_6850)))->BgL_procz00);
		}

	}



/* &<@anonymous:2431> */
	obj_t BGl_z62zc3z04anonymousza32431ze3ze5zzast_nodez00(obj_t BgL_envz00_6851,
		obj_t BgL_new1326z00_6852)
	{
		{	/* Ast/node.scm 207 */
			{
				BgL_conditionalz00_bglt BgL_auxz00_12971;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_conditionalz00_bglt) BgL_new1326z00_6852))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12975;

					{	/* Ast/node.scm 207 */
						obj_t BgL_classz00_7983;

						BgL_classz00_7983 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 207 */
							obj_t BgL__ortest_1106z00_7984;

							BgL__ortest_1106z00_7984 = BGL_CLASS_NIL(BgL_classz00_7983);
							if (CBOOL(BgL__ortest_1106z00_7984))
								{	/* Ast/node.scm 207 */
									BgL_auxz00_12975 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_7984);
								}
							else
								{	/* Ast/node.scm 207 */
									BgL_auxz00_12975 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7983));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1326z00_6852))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12975), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_conditionalz00_bglt) BgL_new1326z00_6852))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_conditionalz00_bglt)
										BgL_new1326z00_6852))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_12991;

					{	/* Ast/node.scm 207 */
						obj_t BgL_classz00_7985;

						BgL_classz00_7985 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 207 */
							obj_t BgL__ortest_1106z00_7986;

							BgL__ortest_1106z00_7986 = BGL_CLASS_NIL(BgL_classz00_7985);
							if (CBOOL(BgL__ortest_1106z00_7986))
								{	/* Ast/node.scm 207 */
									BgL_auxz00_12991 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_7986);
								}
							else
								{	/* Ast/node.scm 207 */
									BgL_auxz00_12991 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7985));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_new1326z00_6852)))->
							BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_12991), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13000;

					{	/* Ast/node.scm 207 */
						obj_t BgL_classz00_7987;

						BgL_classz00_7987 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 207 */
							obj_t BgL__ortest_1106z00_7988;

							BgL__ortest_1106z00_7988 = BGL_CLASS_NIL(BgL_classz00_7987);
							if (CBOOL(BgL__ortest_1106z00_7988))
								{	/* Ast/node.scm 207 */
									BgL_auxz00_13000 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_7988);
								}
							else
								{	/* Ast/node.scm 207 */
									BgL_auxz00_13000 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7987));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_new1326z00_6852)))->
							BgL_truez00) = ((BgL_nodez00_bglt) BgL_auxz00_13000), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13009;

					{	/* Ast/node.scm 207 */
						obj_t BgL_classz00_7989;

						BgL_classz00_7989 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 207 */
							obj_t BgL__ortest_1106z00_7990;

							BgL__ortest_1106z00_7990 = BGL_CLASS_NIL(BgL_classz00_7989);
							if (CBOOL(BgL__ortest_1106z00_7990))
								{	/* Ast/node.scm 207 */
									BgL_auxz00_13009 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_7990);
								}
							else
								{	/* Ast/node.scm 207 */
									BgL_auxz00_13009 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7989));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_new1326z00_6852)))->
							BgL_falsez00) = ((BgL_nodez00_bglt) BgL_auxz00_13009), BUNSPEC);
				}
				BgL_auxz00_12971 = ((BgL_conditionalz00_bglt) BgL_new1326z00_6852);
				return ((obj_t) BgL_auxz00_12971);
			}
		}

	}



/* &lambda2428 */
	BgL_conditionalz00_bglt BGl_z62lambda2428z62zzast_nodez00(obj_t
		BgL_envz00_6853)
	{
		{	/* Ast/node.scm 207 */
			{	/* Ast/node.scm 207 */
				BgL_conditionalz00_bglt BgL_new1325z00_7991;

				BgL_new1325z00_7991 =
					((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_conditionalz00_bgl))));
				{	/* Ast/node.scm 207 */
					long BgL_arg2430z00_7992;

					{	/* Ast/node.scm 207 */
						long BgL_res2958z00_7993;

						BgL_res2958z00_7993 =
							BGL_CLASS_INDEX(BGl_conditionalz00zzast_nodez00);
						BgL_arg2430z00_7992 = BgL_res2958z00_7993;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1325z00_7991), BgL_arg2430z00_7992);
				}
				{	/* Ast/node.scm 207 */
					BgL_objectz00_bglt BgL_tmpz00_13024;

					BgL_tmpz00_13024 = ((BgL_objectz00_bglt) BgL_new1325z00_7991);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13024, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1325z00_7991);
				return BgL_new1325z00_7991;
			}
		}

	}



/* &lambda2426 */
	BgL_conditionalz00_bglt BGl_z62lambda2426z62zzast_nodez00(obj_t
		BgL_envz00_6854, obj_t BgL_loc1318z00_6855, obj_t BgL_type1319z00_6856,
		obj_t BgL_sidezd2effect1320zd2_6857, obj_t BgL_key1321z00_6858,
		obj_t BgL_test1322z00_6859, obj_t BgL_true1323z00_6860,
		obj_t BgL_false1324z00_6861)
	{
		{	/* Ast/node.scm 207 */
			{	/* Ast/node.scm 207 */
				BgL_conditionalz00_bglt BgL_new1562z00_7998;

				{	/* Ast/node.scm 207 */
					BgL_conditionalz00_bglt BgL_new1561z00_7999;

					BgL_new1561z00_7999 =
						((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_conditionalz00_bgl))));
					{	/* Ast/node.scm 207 */
						long BgL_arg2427z00_8000;

						{	/* Ast/node.scm 207 */
							long BgL_res2957z00_8001;

							BgL_res2957z00_8001 =
								BGL_CLASS_INDEX(BGl_conditionalz00zzast_nodez00);
							BgL_arg2427z00_8000 = BgL_res2957z00_8001;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1561z00_7999), BgL_arg2427z00_8000);
					}
					{	/* Ast/node.scm 207 */
						BgL_objectz00_bglt BgL_tmpz00_13032;

						BgL_tmpz00_13032 = ((BgL_objectz00_bglt) BgL_new1561z00_7999);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13032, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1561z00_7999);
					BgL_new1562z00_7998 = BgL_new1561z00_7999;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1562z00_7998)))->BgL_locz00) =
					((obj_t) BgL_loc1318z00_6855), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1562z00_7998)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1319z00_6856)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1562z00_7998)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1320zd2_6857), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1562z00_7998)))->BgL_keyz00) =
					((obj_t) BgL_key1321z00_6858), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1562z00_7998))->
						BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1322z00_6859)),
					BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1562z00_7998))->
						BgL_truez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_true1323z00_6860)),
					BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1562z00_7998))->
						BgL_falsez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_false1324z00_6861)),
					BUNSPEC);
				return BgL_new1562z00_7998;
			}
		}

	}



/* &lambda2450 */
	obj_t BGl_z62lambda2450z62zzast_nodez00(obj_t BgL_envz00_6862,
		obj_t BgL_oz00_6863, obj_t BgL_vz00_6864)
	{
		{	/* Ast/node.scm 207 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_6863)))->BgL_falsez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6864)), BUNSPEC);
		}

	}



/* &lambda2449 */
	BgL_nodez00_bglt BGl_z62lambda2449z62zzast_nodez00(obj_t BgL_envz00_6865,
		obj_t BgL_oz00_6866)
	{
		{	/* Ast/node.scm 207 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_6866)))->BgL_falsez00);
		}

	}



/* &lambda2445 */
	obj_t BGl_z62lambda2445z62zzast_nodez00(obj_t BgL_envz00_6867,
		obj_t BgL_oz00_6868, obj_t BgL_vz00_6869)
	{
		{	/* Ast/node.scm 207 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_6868)))->BgL_truez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6869)), BUNSPEC);
		}

	}



/* &lambda2444 */
	BgL_nodez00_bglt BGl_z62lambda2444z62zzast_nodez00(obj_t BgL_envz00_6870,
		obj_t BgL_oz00_6871)
	{
		{	/* Ast/node.scm 207 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_6871)))->BgL_truez00);
		}

	}



/* &lambda2438 */
	obj_t BGl_z62lambda2438z62zzast_nodez00(obj_t BgL_envz00_6872,
		obj_t BgL_oz00_6873, obj_t BgL_vz00_6874)
	{
		{	/* Ast/node.scm 207 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_6873)))->BgL_testz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6874)), BUNSPEC);
		}

	}



/* &lambda2437 */
	BgL_nodez00_bglt BGl_z62lambda2437z62zzast_nodez00(obj_t BgL_envz00_6875,
		obj_t BgL_oz00_6876)
	{
		{	/* Ast/node.scm 207 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_6876)))->BgL_testz00);
		}

	}



/* &<@anonymous:2408> */
	obj_t BGl_z62zc3z04anonymousza32408ze3ze5zzast_nodez00(obj_t BgL_envz00_6877,
		obj_t BgL_new1316z00_6878)
	{
		{	/* Ast/node.scm 200 */
			{
				BgL_setqz00_bglt BgL_auxz00_13066;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setqz00_bglt) BgL_new1316z00_6878))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13070;

					{	/* Ast/node.scm 200 */
						obj_t BgL_classz00_8012;

						BgL_classz00_8012 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 200 */
							obj_t BgL__ortest_1106z00_8013;

							BgL__ortest_1106z00_8013 = BGL_CLASS_NIL(BgL_classz00_8012);
							if (CBOOL(BgL__ortest_1106z00_8013))
								{	/* Ast/node.scm 200 */
									BgL_auxz00_13070 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8013);
								}
							else
								{	/* Ast/node.scm 200 */
									BgL_auxz00_13070 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8012));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setqz00_bglt) BgL_new1316z00_6878))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13070), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_13080;

					{	/* Ast/node.scm 200 */
						obj_t BgL_classz00_8014;

						BgL_classz00_8014 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 200 */
							obj_t BgL__ortest_1106z00_8015;

							BgL__ortest_1106z00_8015 = BGL_CLASS_NIL(BgL_classz00_8014);
							if (CBOOL(BgL__ortest_1106z00_8015))
								{	/* Ast/node.scm 200 */
									BgL_auxz00_13080 =
										((BgL_varz00_bglt) BgL__ortest_1106z00_8015);
								}
							else
								{	/* Ast/node.scm 200 */
									BgL_auxz00_13080 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8014));
								}
						}
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_new1316z00_6878)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_13080), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13089;

					{	/* Ast/node.scm 200 */
						obj_t BgL_classz00_8016;

						BgL_classz00_8016 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 200 */
							obj_t BgL__ortest_1106z00_8017;

							BgL__ortest_1106z00_8017 = BGL_CLASS_NIL(BgL_classz00_8016);
							if (CBOOL(BgL__ortest_1106z00_8017))
								{	/* Ast/node.scm 200 */
									BgL_auxz00_13089 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_8017);
								}
							else
								{	/* Ast/node.scm 200 */
									BgL_auxz00_13089 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8016));
								}
						}
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_new1316z00_6878)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_13089), BUNSPEC);
				}
				BgL_auxz00_13066 = ((BgL_setqz00_bglt) BgL_new1316z00_6878);
				return ((obj_t) BgL_auxz00_13066);
			}
		}

	}



/* &lambda2406 */
	BgL_setqz00_bglt BGl_z62lambda2406z62zzast_nodez00(obj_t BgL_envz00_6879)
	{
		{	/* Ast/node.scm 200 */
			{	/* Ast/node.scm 200 */
				BgL_setqz00_bglt BgL_new1315z00_8018;

				BgL_new1315z00_8018 =
					((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setqz00_bgl))));
				{	/* Ast/node.scm 200 */
					long BgL_arg2407z00_8019;

					{	/* Ast/node.scm 200 */
						long BgL_res2956z00_8020;

						BgL_res2956z00_8020 = BGL_CLASS_INDEX(BGl_setqz00zzast_nodez00);
						BgL_arg2407z00_8019 = BgL_res2956z00_8020;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1315z00_8018), BgL_arg2407z00_8019);
				}
				{	/* Ast/node.scm 200 */
					BgL_objectz00_bglt BgL_tmpz00_13104;

					BgL_tmpz00_13104 = ((BgL_objectz00_bglt) BgL_new1315z00_8018);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13104, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1315z00_8018);
				return BgL_new1315z00_8018;
			}
		}

	}



/* &lambda2404 */
	BgL_setqz00_bglt BGl_z62lambda2404z62zzast_nodez00(obj_t BgL_envz00_6880,
		obj_t BgL_loc1311z00_6881, obj_t BgL_type1312z00_6882,
		obj_t BgL_var1313z00_6883, obj_t BgL_value1314z00_6884)
	{
		{	/* Ast/node.scm 200 */
			{	/* Ast/node.scm 200 */
				BgL_setqz00_bglt BgL_new1560z00_8024;

				{	/* Ast/node.scm 200 */
					BgL_setqz00_bglt BgL_new1559z00_8025;

					BgL_new1559z00_8025 =
						((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setqz00_bgl))));
					{	/* Ast/node.scm 200 */
						long BgL_arg2405z00_8026;

						{	/* Ast/node.scm 200 */
							long BgL_res2955z00_8027;

							BgL_res2955z00_8027 = BGL_CLASS_INDEX(BGl_setqz00zzast_nodez00);
							BgL_arg2405z00_8026 = BgL_res2955z00_8027;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1559z00_8025), BgL_arg2405z00_8026);
					}
					{	/* Ast/node.scm 200 */
						BgL_objectz00_bglt BgL_tmpz00_13112;

						BgL_tmpz00_13112 = ((BgL_objectz00_bglt) BgL_new1559z00_8025);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13112, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1559z00_8025);
					BgL_new1560z00_8024 = BgL_new1559z00_8025;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1560z00_8024)))->BgL_locz00) =
					((obj_t) BgL_loc1311z00_6881), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1560z00_8024)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1312z00_6882)),
					BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(BgL_new1560z00_8024))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1313z00_6883)), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(BgL_new1560z00_8024))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1314z00_6884)),
					BUNSPEC);
				return BgL_new1560z00_8024;
			}
		}

	}



/* &lambda2419 */
	obj_t BGl_z62lambda2419z62zzast_nodez00(obj_t BgL_envz00_6885,
		obj_t BgL_oz00_6886, obj_t BgL_vz00_6887)
	{
		{	/* Ast/node.scm 200 */
			return
				((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_oz00_6886)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6887)), BUNSPEC);
		}

	}



/* &lambda2418 */
	BgL_nodez00_bglt BGl_z62lambda2418z62zzast_nodez00(obj_t BgL_envz00_6888,
		obj_t BgL_oz00_6889)
	{
		{	/* Ast/node.scm 200 */
			return
				(((BgL_setqz00_bglt) COBJECT(
						((BgL_setqz00_bglt) BgL_oz00_6889)))->BgL_valuez00);
		}

	}



/* &lambda2414 */
	obj_t BGl_z62lambda2414z62zzast_nodez00(obj_t BgL_envz00_6890,
		obj_t BgL_oz00_6891, obj_t BgL_vz00_6892)
	{
		{	/* Ast/node.scm 200 */
			return
				((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_oz00_6891)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_6892)), BUNSPEC);
		}

	}



/* &lambda2413 */
	BgL_varz00_bglt BGl_z62lambda2413z62zzast_nodez00(obj_t BgL_envz00_6893,
		obj_t BgL_oz00_6894)
	{
		{	/* Ast/node.scm 200 */
			return
				(((BgL_setqz00_bglt) COBJECT(
						((BgL_setqz00_bglt) BgL_oz00_6894)))->BgL_varz00);
		}

	}



/* &<@anonymous:2390> */
	obj_t BGl_z62zc3z04anonymousza32390ze3ze5zzast_nodez00(obj_t BgL_envz00_6895,
		obj_t BgL_new1309z00_6896)
	{
		{	/* Ast/node.scm 195 */
			{
				BgL_castz00_bglt BgL_auxz00_13135;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_castz00_bglt) BgL_new1309z00_6896))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13139;

					{	/* Ast/node.scm 195 */
						obj_t BgL_classz00_8035;

						BgL_classz00_8035 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 195 */
							obj_t BgL__ortest_1106z00_8036;

							BgL__ortest_1106z00_8036 = BGL_CLASS_NIL(BgL_classz00_8035);
							if (CBOOL(BgL__ortest_1106z00_8036))
								{	/* Ast/node.scm 195 */
									BgL_auxz00_13139 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8036);
								}
							else
								{	/* Ast/node.scm 195 */
									BgL_auxz00_13139 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8035));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_castz00_bglt) BgL_new1309z00_6896))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13139), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13149;

					{	/* Ast/node.scm 195 */
						obj_t BgL_classz00_8037;

						BgL_classz00_8037 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 195 */
							obj_t BgL__ortest_1106z00_8038;

							BgL__ortest_1106z00_8038 = BGL_CLASS_NIL(BgL_classz00_8037);
							if (CBOOL(BgL__ortest_1106z00_8038))
								{	/* Ast/node.scm 195 */
									BgL_auxz00_13149 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_8038);
								}
							else
								{	/* Ast/node.scm 195 */
									BgL_auxz00_13149 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8037));
								}
						}
					}
					((((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_new1309z00_6896)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13149), BUNSPEC);
				}
				BgL_auxz00_13135 = ((BgL_castz00_bglt) BgL_new1309z00_6896);
				return ((obj_t) BgL_auxz00_13135);
			}
		}

	}



/* &lambda2388 */
	BgL_castz00_bglt BGl_z62lambda2388z62zzast_nodez00(obj_t BgL_envz00_6897)
	{
		{	/* Ast/node.scm 195 */
			{	/* Ast/node.scm 195 */
				BgL_castz00_bglt BgL_new1308z00_8039;

				BgL_new1308z00_8039 =
					((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_castz00_bgl))));
				{	/* Ast/node.scm 195 */
					long BgL_arg2389z00_8040;

					{	/* Ast/node.scm 195 */
						long BgL_res2954z00_8041;

						BgL_res2954z00_8041 = BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
						BgL_arg2389z00_8040 = BgL_res2954z00_8041;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1308z00_8039), BgL_arg2389z00_8040);
				}
				{	/* Ast/node.scm 195 */
					BgL_objectz00_bglt BgL_tmpz00_13164;

					BgL_tmpz00_13164 = ((BgL_objectz00_bglt) BgL_new1308z00_8039);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13164, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1308z00_8039);
				return BgL_new1308z00_8039;
			}
		}

	}



/* &lambda2386 */
	BgL_castz00_bglt BGl_z62lambda2386z62zzast_nodez00(obj_t BgL_envz00_6898,
		obj_t BgL_loc1305z00_6899, obj_t BgL_type1306z00_6900,
		obj_t BgL_arg1307z00_6901)
	{
		{	/* Ast/node.scm 195 */
			{	/* Ast/node.scm 195 */
				BgL_castz00_bglt BgL_new1558z00_8044;

				{	/* Ast/node.scm 195 */
					BgL_castz00_bglt BgL_new1557z00_8045;

					BgL_new1557z00_8045 =
						((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castz00_bgl))));
					{	/* Ast/node.scm 195 */
						long BgL_arg2387z00_8046;

						{	/* Ast/node.scm 195 */
							long BgL_res2953z00_8047;

							BgL_res2953z00_8047 = BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
							BgL_arg2387z00_8046 = BgL_res2953z00_8047;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1557z00_8045), BgL_arg2387z00_8046);
					}
					{	/* Ast/node.scm 195 */
						BgL_objectz00_bglt BgL_tmpz00_13172;

						BgL_tmpz00_13172 = ((BgL_objectz00_bglt) BgL_new1557z00_8045);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13172, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1557z00_8045);
					BgL_new1558z00_8044 = BgL_new1557z00_8045;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1558z00_8044)))->BgL_locz00) =
					((obj_t) BgL_loc1305z00_6899), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1558z00_8044)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1306z00_6900)),
					BUNSPEC);
				((((BgL_castz00_bglt) COBJECT(BgL_new1558z00_8044))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1307z00_6901)),
					BUNSPEC);
				return BgL_new1558z00_8044;
			}
		}

	}



/* &lambda2396 */
	obj_t BGl_z62lambda2396z62zzast_nodez00(obj_t BgL_envz00_6902,
		obj_t BgL_oz00_6903, obj_t BgL_vz00_6904)
	{
		{	/* Ast/node.scm 195 */
			return
				((((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_oz00_6903)))->BgL_argz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6904)), BUNSPEC);
		}

	}



/* &lambda2395 */
	BgL_nodez00_bglt BGl_z62lambda2395z62zzast_nodez00(obj_t BgL_envz00_6905,
		obj_t BgL_oz00_6906)
	{
		{	/* Ast/node.scm 195 */
			return
				(((BgL_castz00_bglt) COBJECT(
						((BgL_castz00_bglt) BgL_oz00_6906)))->BgL_argz00);
		}

	}



/* &<@anonymous:2380> */
	obj_t BGl_z62zc3z04anonymousza32380ze3ze5zzast_nodez00(obj_t BgL_envz00_6907,
		obj_t BgL_new1303z00_6908)
	{
		{	/* Ast/node.scm 192 */
			{
				BgL_castzd2nullzd2_bglt BgL_auxz00_13188;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_new1303z00_6908))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13192;

					{	/* Ast/node.scm 192 */
						obj_t BgL_classz00_8052;

						BgL_classz00_8052 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 192 */
							obj_t BgL__ortest_1106z00_8053;

							BgL__ortest_1106z00_8053 = BGL_CLASS_NIL(BgL_classz00_8052);
							if (CBOOL(BgL__ortest_1106z00_8053))
								{	/* Ast/node.scm 192 */
									BgL_auxz00_13192 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8053);
								}
							else
								{	/* Ast/node.scm 192 */
									BgL_auxz00_13192 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8052));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_castzd2nullzd2_bglt) BgL_new1303z00_6908))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13192), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_new1303z00_6908))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1303z00_6908))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1303z00_6908))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1303z00_6908))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1303z00_6908))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3300z00zzast_nodez00), BUNSPEC);
				BgL_auxz00_13188 = ((BgL_castzd2nullzd2_bglt) BgL_new1303z00_6908);
				return ((obj_t) BgL_auxz00_13188);
			}
		}

	}



/* &lambda2378 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda2378z62zzast_nodez00(obj_t
		BgL_envz00_6909)
	{
		{	/* Ast/node.scm 192 */
			{	/* Ast/node.scm 192 */
				BgL_castzd2nullzd2_bglt BgL_new1302z00_8054;

				BgL_new1302z00_8054 =
					((BgL_castzd2nullzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_castzd2nullzd2_bgl))));
				{	/* Ast/node.scm 192 */
					long BgL_arg2379z00_8055;

					{	/* Ast/node.scm 192 */
						long BgL_res2952z00_8056;

						BgL_res2952z00_8056 =
							BGL_CLASS_INDEX(BGl_castzd2nullzd2zzast_nodez00);
						BgL_arg2379z00_8055 = BgL_res2952z00_8056;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1302z00_8054), BgL_arg2379z00_8055);
				}
				{	/* Ast/node.scm 192 */
					BgL_objectz00_bglt BgL_tmpz00_13223;

					BgL_tmpz00_13223 = ((BgL_objectz00_bglt) BgL_new1302z00_8054);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13223, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1302z00_8054);
				return BgL_new1302z00_8054;
			}
		}

	}



/* &lambda2376 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda2376z62zzast_nodez00(obj_t
		BgL_envz00_6910, obj_t BgL_loc1295z00_6911, obj_t BgL_type1296z00_6912,
		obj_t BgL_sidezd2effect1297zd2_6913, obj_t BgL_key1298z00_6914,
		obj_t BgL_exprza21299za2_6915, obj_t BgL_effect1300z00_6916,
		obj_t BgL_czd2format1301zd2_6917)
	{
		{	/* Ast/node.scm 192 */
			{	/* Ast/node.scm 192 */
				BgL_castzd2nullzd2_bglt BgL_new1556z00_8060;

				{	/* Ast/node.scm 192 */
					BgL_castzd2nullzd2_bglt BgL_new1555z00_8061;

					BgL_new1555z00_8061 =
						((BgL_castzd2nullzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castzd2nullzd2_bgl))));
					{	/* Ast/node.scm 192 */
						long BgL_arg2377z00_8062;

						{	/* Ast/node.scm 192 */
							long BgL_res2951z00_8063;

							BgL_res2951z00_8063 =
								BGL_CLASS_INDEX(BGl_castzd2nullzd2zzast_nodez00);
							BgL_arg2377z00_8062 = BgL_res2951z00_8063;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1555z00_8061), BgL_arg2377z00_8062);
					}
					{	/* Ast/node.scm 192 */
						BgL_objectz00_bglt BgL_tmpz00_13231;

						BgL_tmpz00_13231 = ((BgL_objectz00_bglt) BgL_new1555z00_8061);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13231, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1555z00_8061);
					BgL_new1556z00_8060 = BgL_new1555z00_8061;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1556z00_8060)))->BgL_locz00) =
					((obj_t) BgL_loc1295z00_6911), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1556z00_8060)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1296z00_6912)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1556z00_8060)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1297zd2_6913), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1556z00_8060)))->BgL_keyz00) =
					((obj_t) BgL_key1298z00_6914), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1556z00_8060)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21299za2_6915)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1556z00_8060)))->BgL_effectz00) =
					((obj_t) BgL_effect1300z00_6916), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1556z00_8060)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1301zd2_6917)), BUNSPEC);
				return BgL_new1556z00_8060;
			}
		}

	}



/* &<@anonymous:2363> */
	obj_t BGl_z62zc3z04anonymousza32363ze3ze5zzast_nodez00(obj_t BgL_envz00_6918,
		obj_t BgL_new1293z00_6919)
	{
		{	/* Ast/node.scm 188 */
			{
				BgL_instanceofz00_bglt BgL_auxz00_13252;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_instanceofz00_bglt) BgL_new1293z00_6919))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13256;

					{	/* Ast/node.scm 188 */
						obj_t BgL_classz00_8065;

						BgL_classz00_8065 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 188 */
							obj_t BgL__ortest_1106z00_8066;

							BgL__ortest_1106z00_8066 = BGL_CLASS_NIL(BgL_classz00_8065);
							if (CBOOL(BgL__ortest_1106z00_8066))
								{	/* Ast/node.scm 188 */
									BgL_auxz00_13256 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8066);
								}
							else
								{	/* Ast/node.scm 188 */
									BgL_auxz00_13256 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8065));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_instanceofz00_bglt) BgL_new1293z00_6919))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13256), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_instanceofz00_bglt) BgL_new1293z00_6919))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1293z00_6919))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1293z00_6919))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1293z00_6919))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1293z00_6919))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3300z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13281;

					{	/* Ast/node.scm 188 */
						obj_t BgL_classz00_8067;

						BgL_classz00_8067 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 188 */
							obj_t BgL__ortest_1106z00_8068;

							BgL__ortest_1106z00_8068 = BGL_CLASS_NIL(BgL_classz00_8067);
							if (CBOOL(BgL__ortest_1106z00_8068))
								{	/* Ast/node.scm 188 */
									BgL_auxz00_13281 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8068);
								}
							else
								{	/* Ast/node.scm 188 */
									BgL_auxz00_13281 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8067));
								}
						}
					}
					((((BgL_instanceofz00_bglt) COBJECT(
									((BgL_instanceofz00_bglt) BgL_new1293z00_6919)))->
							BgL_classz00) = ((BgL_typez00_bglt) BgL_auxz00_13281), BUNSPEC);
				}
				BgL_auxz00_13252 = ((BgL_instanceofz00_bglt) BgL_new1293z00_6919);
				return ((obj_t) BgL_auxz00_13252);
			}
		}

	}



/* &lambda2361 */
	BgL_instanceofz00_bglt BGl_z62lambda2361z62zzast_nodez00(obj_t
		BgL_envz00_6920)
	{
		{	/* Ast/node.scm 188 */
			{	/* Ast/node.scm 188 */
				BgL_instanceofz00_bglt BgL_new1292z00_8069;

				BgL_new1292z00_8069 =
					((BgL_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_instanceofz00_bgl))));
				{	/* Ast/node.scm 188 */
					long BgL_arg2362z00_8070;

					{	/* Ast/node.scm 188 */
						long BgL_res2950z00_8071;

						BgL_res2950z00_8071 =
							BGL_CLASS_INDEX(BGl_instanceofz00zzast_nodez00);
						BgL_arg2362z00_8070 = BgL_res2950z00_8071;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1292z00_8069), BgL_arg2362z00_8070);
				}
				{	/* Ast/node.scm 188 */
					BgL_objectz00_bglt BgL_tmpz00_13296;

					BgL_tmpz00_13296 = ((BgL_objectz00_bglt) BgL_new1292z00_8069);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13296, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1292z00_8069);
				return BgL_new1292z00_8069;
			}
		}

	}



/* &lambda2359 */
	BgL_instanceofz00_bglt BGl_z62lambda2359z62zzast_nodez00(obj_t
		BgL_envz00_6921, obj_t BgL_loc1284z00_6922, obj_t BgL_type1285z00_6923,
		obj_t BgL_sidezd2effect1286zd2_6924, obj_t BgL_key1287z00_6925,
		obj_t BgL_exprza21288za2_6926, obj_t BgL_effect1289z00_6927,
		obj_t BgL_czd2format1290zd2_6928, obj_t BgL_class1291z00_6929)
	{
		{	/* Ast/node.scm 188 */
			{	/* Ast/node.scm 188 */
				BgL_instanceofz00_bglt BgL_new1554z00_8076;

				{	/* Ast/node.scm 188 */
					BgL_instanceofz00_bglt BgL_new1553z00_8077;

					BgL_new1553z00_8077 =
						((BgL_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_instanceofz00_bgl))));
					{	/* Ast/node.scm 188 */
						long BgL_arg2360z00_8078;

						{	/* Ast/node.scm 188 */
							long BgL_res2949z00_8079;

							BgL_res2949z00_8079 =
								BGL_CLASS_INDEX(BGl_instanceofz00zzast_nodez00);
							BgL_arg2360z00_8078 = BgL_res2949z00_8079;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1553z00_8077), BgL_arg2360z00_8078);
					}
					{	/* Ast/node.scm 188 */
						BgL_objectz00_bglt BgL_tmpz00_13304;

						BgL_tmpz00_13304 = ((BgL_objectz00_bglt) BgL_new1553z00_8077);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13304, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1553z00_8077);
					BgL_new1554z00_8076 = BgL_new1553z00_8077;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1554z00_8076)))->BgL_locz00) =
					((obj_t) BgL_loc1284z00_6922), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1554z00_8076)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1285z00_6923)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1554z00_8076)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1286zd2_6924), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1554z00_8076)))->BgL_keyz00) =
					((obj_t) BgL_key1287z00_6925), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1554z00_8076)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21288za2_6926)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1554z00_8076)))->BgL_effectz00) =
					((obj_t) BgL_effect1289z00_6927), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1554z00_8076)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1290zd2_6928)), BUNSPEC);
				((((BgL_instanceofz00_bglt) COBJECT(BgL_new1554z00_8076))->
						BgL_classz00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_class1291z00_6929)),
					BUNSPEC);
				return BgL_new1554z00_8076;
			}
		}

	}



/* &lambda2368 */
	obj_t BGl_z62lambda2368z62zzast_nodez00(obj_t BgL_envz00_6930,
		obj_t BgL_oz00_6931, obj_t BgL_vz00_6932)
	{
		{	/* Ast/node.scm 188 */
			return
				((((BgL_instanceofz00_bglt) COBJECT(
							((BgL_instanceofz00_bglt) BgL_oz00_6931)))->BgL_classz00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6932)), BUNSPEC);
		}

	}



/* &lambda2367 */
	BgL_typez00_bglt BGl_z62lambda2367z62zzast_nodez00(obj_t BgL_envz00_6933,
		obj_t BgL_oz00_6934)
	{
		{	/* Ast/node.scm 188 */
			return
				(((BgL_instanceofz00_bglt) COBJECT(
						((BgL_instanceofz00_bglt) BgL_oz00_6934)))->BgL_classz00);
		}

	}



/* &<@anonymous:2342> */
	obj_t BGl_z62zc3z04anonymousza32342ze3ze5zzast_nodez00(obj_t BgL_envz00_6935,
		obj_t BgL_new1282z00_6936)
	{
		{	/* Ast/node.scm 181 */
			{
				BgL_vlengthz00_bglt BgL_auxz00_13332;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vlengthz00_bglt) BgL_new1282z00_6936))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13336;

					{	/* Ast/node.scm 181 */
						obj_t BgL_classz00_8084;

						BgL_classz00_8084 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 181 */
							obj_t BgL__ortest_1106z00_8085;

							BgL__ortest_1106z00_8085 = BGL_CLASS_NIL(BgL_classz00_8084);
							if (CBOOL(BgL__ortest_1106z00_8085))
								{	/* Ast/node.scm 181 */
									BgL_auxz00_13336 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8085);
								}
							else
								{	/* Ast/node.scm 181 */
									BgL_auxz00_13336 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8084));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vlengthz00_bglt) BgL_new1282z00_6936))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13336), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vlengthz00_bglt) BgL_new1282z00_6936))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1282z00_6936))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1282z00_6936))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1282z00_6936))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1282z00_6936))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3300z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13361;

					{	/* Ast/node.scm 181 */
						obj_t BgL_classz00_8086;

						BgL_classz00_8086 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 181 */
							obj_t BgL__ortest_1106z00_8087;

							BgL__ortest_1106z00_8087 = BGL_CLASS_NIL(BgL_classz00_8086);
							if (CBOOL(BgL__ortest_1106z00_8087))
								{	/* Ast/node.scm 181 */
									BgL_auxz00_13361 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8087);
								}
							else
								{	/* Ast/node.scm 181 */
									BgL_auxz00_13361 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8086));
								}
						}
					}
					((((BgL_vlengthz00_bglt) COBJECT(
									((BgL_vlengthz00_bglt) BgL_new1282z00_6936)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_13361), BUNSPEC);
				}
				((((BgL_vlengthz00_bglt) COBJECT(
								((BgL_vlengthz00_bglt) BgL_new1282z00_6936)))->BgL_ftypez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13332 = ((BgL_vlengthz00_bglt) BgL_new1282z00_6936);
				return ((obj_t) BgL_auxz00_13332);
			}
		}

	}



/* &lambda2340 */
	BgL_vlengthz00_bglt BGl_z62lambda2340z62zzast_nodez00(obj_t BgL_envz00_6937)
	{
		{	/* Ast/node.scm 181 */
			{	/* Ast/node.scm 181 */
				BgL_vlengthz00_bglt BgL_new1281z00_8088;

				BgL_new1281z00_8088 =
					((BgL_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vlengthz00_bgl))));
				{	/* Ast/node.scm 181 */
					long BgL_arg2341z00_8089;

					{	/* Ast/node.scm 181 */
						long BgL_res2948z00_8090;

						BgL_res2948z00_8090 = BGL_CLASS_INDEX(BGl_vlengthz00zzast_nodez00);
						BgL_arg2341z00_8089 = BgL_res2948z00_8090;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1281z00_8088), BgL_arg2341z00_8089);
				}
				{	/* Ast/node.scm 181 */
					BgL_objectz00_bglt BgL_tmpz00_13378;

					BgL_tmpz00_13378 = ((BgL_objectz00_bglt) BgL_new1281z00_8088);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13378, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1281z00_8088);
				return BgL_new1281z00_8088;
			}
		}

	}



/* &lambda2338 */
	BgL_vlengthz00_bglt BGl_z62lambda2338z62zzast_nodez00(obj_t BgL_envz00_6938,
		obj_t BgL_loc1272z00_6939, obj_t BgL_type1273z00_6940,
		obj_t BgL_sidezd2effect1274zd2_6941, obj_t BgL_key1275z00_6942,
		obj_t BgL_exprza21276za2_6943, obj_t BgL_effect1277z00_6944,
		obj_t BgL_czd2format1278zd2_6945, obj_t BgL_vtype1279z00_6946,
		obj_t BgL_ftype1280z00_6947)
	{
		{	/* Ast/node.scm 181 */
			{	/* Ast/node.scm 181 */
				BgL_vlengthz00_bglt BgL_new1552z00_8095;

				{	/* Ast/node.scm 181 */
					BgL_vlengthz00_bglt BgL_new1551z00_8096;

					BgL_new1551z00_8096 =
						((BgL_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vlengthz00_bgl))));
					{	/* Ast/node.scm 181 */
						long BgL_arg2339z00_8097;

						{	/* Ast/node.scm 181 */
							long BgL_res2947z00_8098;

							BgL_res2947z00_8098 =
								BGL_CLASS_INDEX(BGl_vlengthz00zzast_nodez00);
							BgL_arg2339z00_8097 = BgL_res2947z00_8098;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1551z00_8096), BgL_arg2339z00_8097);
					}
					{	/* Ast/node.scm 181 */
						BgL_objectz00_bglt BgL_tmpz00_13386;

						BgL_tmpz00_13386 = ((BgL_objectz00_bglt) BgL_new1551z00_8096);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13386, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1551z00_8096);
					BgL_new1552z00_8095 = BgL_new1551z00_8096;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1552z00_8095)))->BgL_locz00) =
					((obj_t) BgL_loc1272z00_6939), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1552z00_8095)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1273z00_6940)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1552z00_8095)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1274zd2_6941), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1552z00_8095)))->BgL_keyz00) =
					((obj_t) BgL_key1275z00_6942), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1552z00_8095)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21276za2_6943)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1552z00_8095)))->BgL_effectz00) =
					((obj_t) BgL_effect1277z00_6944), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1552z00_8095)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1278zd2_6945)), BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(BgL_new1552z00_8095))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1279z00_6946)),
					BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(BgL_new1552z00_8095))->BgL_ftypez00) =
					((obj_t) BgL_ftype1280z00_6947), BUNSPEC);
				return BgL_new1552z00_8095;
			}
		}

	}



/* &lambda2352 */
	obj_t BGl_z62lambda2352z62zzast_nodez00(obj_t BgL_envz00_6948,
		obj_t BgL_oz00_6949, obj_t BgL_vz00_6950)
	{
		{	/* Ast/node.scm 181 */
			return
				((((BgL_vlengthz00_bglt) COBJECT(
							((BgL_vlengthz00_bglt) BgL_oz00_6949)))->BgL_ftypez00) =
				((obj_t) BgL_vz00_6950), BUNSPEC);
		}

	}



/* &lambda2351 */
	obj_t BGl_z62lambda2351z62zzast_nodez00(obj_t BgL_envz00_6951,
		obj_t BgL_oz00_6952)
	{
		{	/* Ast/node.scm 181 */
			return
				(((BgL_vlengthz00_bglt) COBJECT(
						((BgL_vlengthz00_bglt) BgL_oz00_6952)))->BgL_ftypez00);
		}

	}



/* &lambda2347 */
	obj_t BGl_z62lambda2347z62zzast_nodez00(obj_t BgL_envz00_6953,
		obj_t BgL_oz00_6954, obj_t BgL_vz00_6955)
	{
		{	/* Ast/node.scm 181 */
			return
				((((BgL_vlengthz00_bglt) COBJECT(
							((BgL_vlengthz00_bglt) BgL_oz00_6954)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6955)), BUNSPEC);
		}

	}



/* &lambda2346 */
	BgL_typez00_bglt BGl_z62lambda2346z62zzast_nodez00(obj_t BgL_envz00_6956,
		obj_t BgL_oz00_6957)
	{
		{	/* Ast/node.scm 181 */
			return
				(((BgL_vlengthz00_bglt) COBJECT(
						((BgL_vlengthz00_bglt) BgL_oz00_6957)))->BgL_vtypez00);
		}

	}



/* &<@anonymous:2305> */
	obj_t BGl_z62zc3z04anonymousza32305ze3ze5zzast_nodez00(obj_t BgL_envz00_6958,
		obj_t BgL_new1270z00_6959)
	{
		{	/* Ast/node.scm 170 */
			{
				BgL_vsetz12z12_bglt BgL_auxz00_13419;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vsetz12z12_bglt) BgL_new1270z00_6959))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13423;

					{	/* Ast/node.scm 170 */
						obj_t BgL_classz00_8105;

						BgL_classz00_8105 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 170 */
							obj_t BgL__ortest_1106z00_8106;

							BgL__ortest_1106z00_8106 = BGL_CLASS_NIL(BgL_classz00_8105);
							if (CBOOL(BgL__ortest_1106z00_8106))
								{	/* Ast/node.scm 170 */
									BgL_auxz00_13423 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8106);
								}
							else
								{	/* Ast/node.scm 170 */
									BgL_auxz00_13423 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8105));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vsetz12z12_bglt) BgL_new1270z00_6959))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13423), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vsetz12z12_bglt) BgL_new1270z00_6959))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1270z00_6959))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1270z00_6959))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1270z00_6959))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1270z00_6959))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3300z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13448;

					{	/* Ast/node.scm 170 */
						obj_t BgL_classz00_8107;

						BgL_classz00_8107 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 170 */
							obj_t BgL__ortest_1106z00_8108;

							BgL__ortest_1106z00_8108 = BGL_CLASS_NIL(BgL_classz00_8107);
							if (CBOOL(BgL__ortest_1106z00_8108))
								{	/* Ast/node.scm 170 */
									BgL_auxz00_13448 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8108);
								}
							else
								{	/* Ast/node.scm 170 */
									BgL_auxz00_13448 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8107));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_new1270z00_6959)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_13448), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13457;

					{	/* Ast/node.scm 170 */
						obj_t BgL_classz00_8109;

						BgL_classz00_8109 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 170 */
							obj_t BgL__ortest_1106z00_8110;

							BgL__ortest_1106z00_8110 = BGL_CLASS_NIL(BgL_classz00_8109);
							if (CBOOL(BgL__ortest_1106z00_8110))
								{	/* Ast/node.scm 170 */
									BgL_auxz00_13457 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8110);
								}
							else
								{	/* Ast/node.scm 170 */
									BgL_auxz00_13457 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8109));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_new1270z00_6959)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_13457), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13466;

					{	/* Ast/node.scm 170 */
						obj_t BgL_classz00_8111;

						BgL_classz00_8111 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 170 */
							obj_t BgL__ortest_1106z00_8112;

							BgL__ortest_1106z00_8112 = BGL_CLASS_NIL(BgL_classz00_8111);
							if (CBOOL(BgL__ortest_1106z00_8112))
								{	/* Ast/node.scm 170 */
									BgL_auxz00_13466 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8112);
								}
							else
								{	/* Ast/node.scm 170 */
									BgL_auxz00_13466 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8111));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_new1270z00_6959)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_13466), BUNSPEC);
				}
				((((BgL_vsetz12z12_bglt) COBJECT(
								((BgL_vsetz12z12_bglt) BgL_new1270z00_6959)))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_13419 = ((BgL_vsetz12z12_bglt) BgL_new1270z00_6959);
				return ((obj_t) BgL_auxz00_13419);
			}
		}

	}



/* &lambda2303 */
	BgL_vsetz12z12_bglt BGl_z62lambda2303z62zzast_nodez00(obj_t BgL_envz00_6960)
	{
		{	/* Ast/node.scm 170 */
			{	/* Ast/node.scm 170 */
				BgL_vsetz12z12_bglt BgL_new1269z00_8113;

				BgL_new1269z00_8113 =
					((BgL_vsetz12z12_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vsetz12z12_bgl))));
				{	/* Ast/node.scm 170 */
					long BgL_arg2304z00_8114;

					{	/* Ast/node.scm 170 */
						long BgL_res2946z00_8115;

						BgL_res2946z00_8115 = BGL_CLASS_INDEX(BGl_vsetz12z12zzast_nodez00);
						BgL_arg2304z00_8114 = BgL_res2946z00_8115;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1269z00_8113), BgL_arg2304z00_8114);
				}
				{	/* Ast/node.scm 170 */
					BgL_objectz00_bglt BgL_tmpz00_13483;

					BgL_tmpz00_13483 = ((BgL_objectz00_bglt) BgL_new1269z00_8113);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13483, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1269z00_8113);
				return BgL_new1269z00_8113;
			}
		}

	}



/* &lambda2301 */
	BgL_vsetz12z12_bglt BGl_z62lambda2301z62zzast_nodez00(obj_t BgL_envz00_6961,
		obj_t BgL_loc1258z00_6962, obj_t BgL_type1259z00_6963,
		obj_t BgL_sidezd2effect1260zd2_6964, obj_t BgL_key1261z00_6965,
		obj_t BgL_exprza21262za2_6966, obj_t BgL_effect1263z00_6967,
		obj_t BgL_czd2format1264zd2_6968, obj_t BgL_ftype1265z00_6969,
		obj_t BgL_otype1266z00_6970, obj_t BgL_vtype1267z00_6971,
		obj_t BgL_unsafe1268z00_6972)
	{
		{	/* Ast/node.scm 170 */
			{	/* Ast/node.scm 170 */
				bool_t BgL_unsafe1268z00_8122;

				BgL_unsafe1268z00_8122 = CBOOL(BgL_unsafe1268z00_6972);
				{	/* Ast/node.scm 170 */
					BgL_vsetz12z12_bglt BgL_new1550z00_8123;

					{	/* Ast/node.scm 170 */
						BgL_vsetz12z12_bglt BgL_new1549z00_8124;

						BgL_new1549z00_8124 =
							((BgL_vsetz12z12_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_vsetz12z12_bgl))));
						{	/* Ast/node.scm 170 */
							long BgL_arg2302z00_8125;

							{	/* Ast/node.scm 170 */
								long BgL_res2945z00_8126;

								BgL_res2945z00_8126 =
									BGL_CLASS_INDEX(BGl_vsetz12z12zzast_nodez00);
								BgL_arg2302z00_8125 = BgL_res2945z00_8126;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1549z00_8124),
								BgL_arg2302z00_8125);
						}
						{	/* Ast/node.scm 170 */
							BgL_objectz00_bglt BgL_tmpz00_13492;

							BgL_tmpz00_13492 = ((BgL_objectz00_bglt) BgL_new1549z00_8124);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13492, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1549z00_8124);
						BgL_new1550z00_8123 = BgL_new1549z00_8124;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1550z00_8123)))->BgL_locz00) =
						((obj_t) BgL_loc1258z00_6962), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1550z00_8123)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1259z00_6963)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1550z00_8123)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1260zd2_6964), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1550z00_8123)))->BgL_keyz00) =
						((obj_t) BgL_key1261z00_6965), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1550z00_8123)))->BgL_exprza2za2) =
						((obj_t) ((obj_t) BgL_exprza21262za2_6966)), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1550z00_8123)))->BgL_effectz00) =
						((obj_t) BgL_effect1263z00_6967), BUNSPEC);
					((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
										BgL_new1550z00_8123)))->BgL_czd2formatzd2) =
						((obj_t) ((obj_t) BgL_czd2format1264zd2_6968)), BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1550z00_8123))->
							BgL_ftypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1265z00_6969)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1550z00_8123))->
							BgL_otypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1266z00_6970)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1550z00_8123))->
							BgL_vtypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1267z00_6971)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1550z00_8123))->
							BgL_unsafez00) = ((bool_t) BgL_unsafe1268z00_8122), BUNSPEC);
					return BgL_new1550z00_8123;
				}
			}
		}

	}



/* &<@anonymous:2332> */
	obj_t BGl_z62zc3z04anonymousza32332ze3ze5zzast_nodez00(obj_t BgL_envz00_6973)
	{
		{	/* Ast/node.scm 170 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2331 */
	obj_t BGl_z62lambda2331z62zzast_nodez00(obj_t BgL_envz00_6974,
		obj_t BgL_oz00_6975, obj_t BgL_vz00_6976)
	{
		{	/* Ast/node.scm 170 */
			{	/* Ast/node.scm 170 */
				bool_t BgL_vz00_8128;

				BgL_vz00_8128 = CBOOL(BgL_vz00_6976);
				return
					((((BgL_vsetz12z12_bglt) COBJECT(
								((BgL_vsetz12z12_bglt) BgL_oz00_6975)))->BgL_unsafez00) =
					((bool_t) BgL_vz00_8128), BUNSPEC);
			}
		}

	}



/* &lambda2330 */
	obj_t BGl_z62lambda2330z62zzast_nodez00(obj_t BgL_envz00_6977,
		obj_t BgL_oz00_6978)
	{
		{	/* Ast/node.scm 170 */
			return
				BBOOL(
				(((BgL_vsetz12z12_bglt) COBJECT(
							((BgL_vsetz12z12_bglt) BgL_oz00_6978)))->BgL_unsafez00));
		}

	}



/* &lambda2324 */
	obj_t BGl_z62lambda2324z62zzast_nodez00(obj_t BgL_envz00_6979,
		obj_t BgL_oz00_6980, obj_t BgL_vz00_6981)
	{
		{	/* Ast/node.scm 170 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(
							((BgL_vsetz12z12_bglt) BgL_oz00_6980)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6981)), BUNSPEC);
		}

	}



/* &lambda2323 */
	BgL_typez00_bglt BGl_z62lambda2323z62zzast_nodez00(obj_t BgL_envz00_6982,
		obj_t BgL_oz00_6983)
	{
		{	/* Ast/node.scm 170 */
			return
				(((BgL_vsetz12z12_bglt) COBJECT(
						((BgL_vsetz12z12_bglt) BgL_oz00_6983)))->BgL_vtypez00);
		}

	}



/* &lambda2319 */
	obj_t BGl_z62lambda2319z62zzast_nodez00(obj_t BgL_envz00_6984,
		obj_t BgL_oz00_6985, obj_t BgL_vz00_6986)
	{
		{	/* Ast/node.scm 170 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(
							((BgL_vsetz12z12_bglt) BgL_oz00_6985)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6986)), BUNSPEC);
		}

	}



/* &lambda2318 */
	BgL_typez00_bglt BGl_z62lambda2318z62zzast_nodez00(obj_t BgL_envz00_6987,
		obj_t BgL_oz00_6988)
	{
		{	/* Ast/node.scm 170 */
			return
				(((BgL_vsetz12z12_bglt) COBJECT(
						((BgL_vsetz12z12_bglt) BgL_oz00_6988)))->BgL_otypez00);
		}

	}



/* &lambda2312 */
	obj_t BGl_z62lambda2312z62zzast_nodez00(obj_t BgL_envz00_6989,
		obj_t BgL_oz00_6990, obj_t BgL_vz00_6991)
	{
		{	/* Ast/node.scm 170 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(
							((BgL_vsetz12z12_bglt) BgL_oz00_6990)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6991)), BUNSPEC);
		}

	}



/* &lambda2311 */
	BgL_typez00_bglt BGl_z62lambda2311z62zzast_nodez00(obj_t BgL_envz00_6992,
		obj_t BgL_oz00_6993)
	{
		{	/* Ast/node.scm 170 */
			return
				(((BgL_vsetz12z12_bglt) COBJECT(
						((BgL_vsetz12z12_bglt) BgL_oz00_6993)))->BgL_ftypez00);
		}

	}



/* &<@anonymous:2271> */
	obj_t BGl_z62zc3z04anonymousza32271ze3ze5zzast_nodez00(obj_t BgL_envz00_6994,
		obj_t BgL_new1256z00_6995)
	{
		{	/* Ast/node.scm 159 */
			{
				BgL_vrefz00_bglt BgL_auxz00_13542;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vrefz00_bglt) BgL_new1256z00_6995))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13546;

					{	/* Ast/node.scm 159 */
						obj_t BgL_classz00_8140;

						BgL_classz00_8140 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 159 */
							obj_t BgL__ortest_1106z00_8141;

							BgL__ortest_1106z00_8141 = BGL_CLASS_NIL(BgL_classz00_8140);
							if (CBOOL(BgL__ortest_1106z00_8141))
								{	/* Ast/node.scm 159 */
									BgL_auxz00_13546 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8141);
								}
							else
								{	/* Ast/node.scm 159 */
									BgL_auxz00_13546 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8140));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vrefz00_bglt) BgL_new1256z00_6995))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13546), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vrefz00_bglt) BgL_new1256z00_6995))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vrefz00_bglt)
										BgL_new1256z00_6995))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1256z00_6995))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1256z00_6995))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1256z00_6995))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3300z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13571;

					{	/* Ast/node.scm 159 */
						obj_t BgL_classz00_8142;

						BgL_classz00_8142 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 159 */
							obj_t BgL__ortest_1106z00_8143;

							BgL__ortest_1106z00_8143 = BGL_CLASS_NIL(BgL_classz00_8142);
							if (CBOOL(BgL__ortest_1106z00_8143))
								{	/* Ast/node.scm 159 */
									BgL_auxz00_13571 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8143);
								}
							else
								{	/* Ast/node.scm 159 */
									BgL_auxz00_13571 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8142));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_new1256z00_6995)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_13571), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13580;

					{	/* Ast/node.scm 159 */
						obj_t BgL_classz00_8144;

						BgL_classz00_8144 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 159 */
							obj_t BgL__ortest_1106z00_8145;

							BgL__ortest_1106z00_8145 = BGL_CLASS_NIL(BgL_classz00_8144);
							if (CBOOL(BgL__ortest_1106z00_8145))
								{	/* Ast/node.scm 159 */
									BgL_auxz00_13580 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8145);
								}
							else
								{	/* Ast/node.scm 159 */
									BgL_auxz00_13580 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8144));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_new1256z00_6995)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_13580), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13589;

					{	/* Ast/node.scm 159 */
						obj_t BgL_classz00_8146;

						BgL_classz00_8146 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 159 */
							obj_t BgL__ortest_1106z00_8147;

							BgL__ortest_1106z00_8147 = BGL_CLASS_NIL(BgL_classz00_8146);
							if (CBOOL(BgL__ortest_1106z00_8147))
								{	/* Ast/node.scm 159 */
									BgL_auxz00_13589 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8147);
								}
							else
								{	/* Ast/node.scm 159 */
									BgL_auxz00_13589 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8146));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_new1256z00_6995)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_13589), BUNSPEC);
				}
				((((BgL_vrefz00_bglt) COBJECT(
								((BgL_vrefz00_bglt) BgL_new1256z00_6995)))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_13542 = ((BgL_vrefz00_bglt) BgL_new1256z00_6995);
				return ((obj_t) BgL_auxz00_13542);
			}
		}

	}



/* &lambda2269 */
	BgL_vrefz00_bglt BGl_z62lambda2269z62zzast_nodez00(obj_t BgL_envz00_6996)
	{
		{	/* Ast/node.scm 159 */
			{	/* Ast/node.scm 159 */
				BgL_vrefz00_bglt BgL_new1255z00_8148;

				BgL_new1255z00_8148 =
					((BgL_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vrefz00_bgl))));
				{	/* Ast/node.scm 159 */
					long BgL_arg2270z00_8149;

					{	/* Ast/node.scm 159 */
						long BgL_res2944z00_8150;

						BgL_res2944z00_8150 = BGL_CLASS_INDEX(BGl_vrefz00zzast_nodez00);
						BgL_arg2270z00_8149 = BgL_res2944z00_8150;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1255z00_8148), BgL_arg2270z00_8149);
				}
				{	/* Ast/node.scm 159 */
					BgL_objectz00_bglt BgL_tmpz00_13606;

					BgL_tmpz00_13606 = ((BgL_objectz00_bglt) BgL_new1255z00_8148);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13606, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1255z00_8148);
				return BgL_new1255z00_8148;
			}
		}

	}



/* &lambda2266 */
	BgL_vrefz00_bglt BGl_z62lambda2266z62zzast_nodez00(obj_t BgL_envz00_6997,
		obj_t BgL_loc1244z00_6998, obj_t BgL_type1245z00_6999,
		obj_t BgL_sidezd2effect1246zd2_7000, obj_t BgL_key1247z00_7001,
		obj_t BgL_exprza21248za2_7002, obj_t BgL_effect1249z00_7003,
		obj_t BgL_czd2format1250zd2_7004, obj_t BgL_ftype1251z00_7005,
		obj_t BgL_otype1252z00_7006, obj_t BgL_vtype1253z00_7007,
		obj_t BgL_unsafe1254z00_7008)
	{
		{	/* Ast/node.scm 159 */
			{	/* Ast/node.scm 159 */
				bool_t BgL_unsafe1254z00_8157;

				BgL_unsafe1254z00_8157 = CBOOL(BgL_unsafe1254z00_7008);
				{	/* Ast/node.scm 159 */
					BgL_vrefz00_bglt BgL_new1548z00_8158;

					{	/* Ast/node.scm 159 */
						BgL_vrefz00_bglt BgL_new1547z00_8159;

						BgL_new1547z00_8159 =
							((BgL_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_vrefz00_bgl))));
						{	/* Ast/node.scm 159 */
							long BgL_arg2268z00_8160;

							{	/* Ast/node.scm 159 */
								long BgL_res2943z00_8161;

								BgL_res2943z00_8161 = BGL_CLASS_INDEX(BGl_vrefz00zzast_nodez00);
								BgL_arg2268z00_8160 = BgL_res2943z00_8161;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1547z00_8159),
								BgL_arg2268z00_8160);
						}
						{	/* Ast/node.scm 159 */
							BgL_objectz00_bglt BgL_tmpz00_13615;

							BgL_tmpz00_13615 = ((BgL_objectz00_bglt) BgL_new1547z00_8159);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13615, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1547z00_8159);
						BgL_new1548z00_8158 = BgL_new1547z00_8159;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1548z00_8158)))->BgL_locz00) =
						((obj_t) BgL_loc1244z00_6998), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1548z00_8158)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1245z00_6999)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1548z00_8158)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1246zd2_7000), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1548z00_8158)))->BgL_keyz00) =
						((obj_t) BgL_key1247z00_7001), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1548z00_8158)))->BgL_exprza2za2) =
						((obj_t) ((obj_t) BgL_exprza21248za2_7002)), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1548z00_8158)))->BgL_effectz00) =
						((obj_t) BgL_effect1249z00_7003), BUNSPEC);
					((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
										BgL_new1548z00_8158)))->BgL_czd2formatzd2) =
						((obj_t) ((obj_t) BgL_czd2format1250zd2_7004)), BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(BgL_new1548z00_8158))->BgL_ftypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1251z00_7005)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(BgL_new1548z00_8158))->BgL_otypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1252z00_7006)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(BgL_new1548z00_8158))->BgL_vtypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1253z00_7007)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(BgL_new1548z00_8158))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1254z00_8157), BUNSPEC);
					return BgL_new1548z00_8158;
				}
			}
		}

	}



/* &<@anonymous:2294> */
	obj_t BGl_z62zc3z04anonymousza32294ze3ze5zzast_nodez00(obj_t BgL_envz00_7009)
	{
		{	/* Ast/node.scm 159 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2293 */
	obj_t BGl_z62lambda2293z62zzast_nodez00(obj_t BgL_envz00_7010,
		obj_t BgL_oz00_7011, obj_t BgL_vz00_7012)
	{
		{	/* Ast/node.scm 159 */
			{	/* Ast/node.scm 159 */
				bool_t BgL_vz00_8163;

				BgL_vz00_8163 = CBOOL(BgL_vz00_7012);
				return
					((((BgL_vrefz00_bglt) COBJECT(
								((BgL_vrefz00_bglt) BgL_oz00_7011)))->BgL_unsafez00) =
					((bool_t) BgL_vz00_8163), BUNSPEC);
			}
		}

	}



/* &lambda2292 */
	obj_t BGl_z62lambda2292z62zzast_nodez00(obj_t BgL_envz00_7013,
		obj_t BgL_oz00_7014)
	{
		{	/* Ast/node.scm 159 */
			return
				BBOOL(
				(((BgL_vrefz00_bglt) COBJECT(
							((BgL_vrefz00_bglt) BgL_oz00_7014)))->BgL_unsafez00));
		}

	}



/* &lambda2286 */
	obj_t BGl_z62lambda2286z62zzast_nodez00(obj_t BgL_envz00_7015,
		obj_t BgL_oz00_7016, obj_t BgL_vz00_7017)
	{
		{	/* Ast/node.scm 159 */
			return
				((((BgL_vrefz00_bglt) COBJECT(
							((BgL_vrefz00_bglt) BgL_oz00_7016)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7017)), BUNSPEC);
		}

	}



/* &lambda2285 */
	BgL_typez00_bglt BGl_z62lambda2285z62zzast_nodez00(obj_t BgL_envz00_7018,
		obj_t BgL_oz00_7019)
	{
		{	/* Ast/node.scm 159 */
			return
				(((BgL_vrefz00_bglt) COBJECT(
						((BgL_vrefz00_bglt) BgL_oz00_7019)))->BgL_vtypez00);
		}

	}



/* &lambda2281 */
	obj_t BGl_z62lambda2281z62zzast_nodez00(obj_t BgL_envz00_7020,
		obj_t BgL_oz00_7021, obj_t BgL_vz00_7022)
	{
		{	/* Ast/node.scm 159 */
			return
				((((BgL_vrefz00_bglt) COBJECT(
							((BgL_vrefz00_bglt) BgL_oz00_7021)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7022)), BUNSPEC);
		}

	}



/* &lambda2280 */
	BgL_typez00_bglt BGl_z62lambda2280z62zzast_nodez00(obj_t BgL_envz00_7023,
		obj_t BgL_oz00_7024)
	{
		{	/* Ast/node.scm 159 */
			return
				(((BgL_vrefz00_bglt) COBJECT(
						((BgL_vrefz00_bglt) BgL_oz00_7024)))->BgL_otypez00);
		}

	}



/* &lambda2276 */
	obj_t BGl_z62lambda2276z62zzast_nodez00(obj_t BgL_envz00_7025,
		obj_t BgL_oz00_7026, obj_t BgL_vz00_7027)
	{
		{	/* Ast/node.scm 159 */
			return
				((((BgL_vrefz00_bglt) COBJECT(
							((BgL_vrefz00_bglt) BgL_oz00_7026)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7027)), BUNSPEC);
		}

	}



/* &lambda2275 */
	BgL_typez00_bglt BGl_z62lambda2275z62zzast_nodez00(obj_t BgL_envz00_7028,
		obj_t BgL_oz00_7029)
	{
		{	/* Ast/node.scm 159 */
			return
				(((BgL_vrefz00_bglt) COBJECT(
						((BgL_vrefz00_bglt) BgL_oz00_7029)))->BgL_ftypez00);
		}

	}



/* &<@anonymous:2248> */
	obj_t BGl_z62zc3z04anonymousza32248ze3ze5zzast_nodez00(obj_t BgL_envz00_7030,
		obj_t BgL_new1242z00_7031)
	{
		{	/* Ast/node.scm 152 */
			{
				BgL_vallocz00_bglt BgL_auxz00_13665;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vallocz00_bglt) BgL_new1242z00_7031))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13669;

					{	/* Ast/node.scm 152 */
						obj_t BgL_classz00_8175;

						BgL_classz00_8175 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 152 */
							obj_t BgL__ortest_1106z00_8176;

							BgL__ortest_1106z00_8176 = BGL_CLASS_NIL(BgL_classz00_8175);
							if (CBOOL(BgL__ortest_1106z00_8176))
								{	/* Ast/node.scm 152 */
									BgL_auxz00_13669 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8176);
								}
							else
								{	/* Ast/node.scm 152 */
									BgL_auxz00_13669 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8175));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vallocz00_bglt) BgL_new1242z00_7031))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13669), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vallocz00_bglt) BgL_new1242z00_7031))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vallocz00_bglt)
										BgL_new1242z00_7031))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1242z00_7031))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1242z00_7031))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1242z00_7031))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3300z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13694;

					{	/* Ast/node.scm 152 */
						obj_t BgL_classz00_8177;

						BgL_classz00_8177 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 152 */
							obj_t BgL__ortest_1106z00_8178;

							BgL__ortest_1106z00_8178 = BGL_CLASS_NIL(BgL_classz00_8177);
							if (CBOOL(BgL__ortest_1106z00_8178))
								{	/* Ast/node.scm 152 */
									BgL_auxz00_13694 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8178);
								}
							else
								{	/* Ast/node.scm 152 */
									BgL_auxz00_13694 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8177));
								}
						}
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt) BgL_new1242z00_7031)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_13694), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13703;

					{	/* Ast/node.scm 152 */
						obj_t BgL_classz00_8179;

						BgL_classz00_8179 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 152 */
							obj_t BgL__ortest_1106z00_8180;

							BgL__ortest_1106z00_8180 = BGL_CLASS_NIL(BgL_classz00_8179);
							if (CBOOL(BgL__ortest_1106z00_8180))
								{	/* Ast/node.scm 152 */
									BgL_auxz00_13703 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8180);
								}
							else
								{	/* Ast/node.scm 152 */
									BgL_auxz00_13703 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8179));
								}
						}
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt) BgL_new1242z00_7031)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_13703), BUNSPEC);
				}
				BgL_auxz00_13665 = ((BgL_vallocz00_bglt) BgL_new1242z00_7031);
				return ((obj_t) BgL_auxz00_13665);
			}
		}

	}



/* &lambda2246 */
	BgL_vallocz00_bglt BGl_z62lambda2246z62zzast_nodez00(obj_t BgL_envz00_7032)
	{
		{	/* Ast/node.scm 152 */
			{	/* Ast/node.scm 152 */
				BgL_vallocz00_bglt BgL_new1241z00_8181;

				BgL_new1241z00_8181 =
					((BgL_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vallocz00_bgl))));
				{	/* Ast/node.scm 152 */
					long BgL_arg2247z00_8182;

					{	/* Ast/node.scm 152 */
						long BgL_res2942z00_8183;

						BgL_res2942z00_8183 = BGL_CLASS_INDEX(BGl_vallocz00zzast_nodez00);
						BgL_arg2247z00_8182 = BgL_res2942z00_8183;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1241z00_8181), BgL_arg2247z00_8182);
				}
				{	/* Ast/node.scm 152 */
					BgL_objectz00_bglt BgL_tmpz00_13718;

					BgL_tmpz00_13718 = ((BgL_objectz00_bglt) BgL_new1241z00_8181);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13718, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1241z00_8181);
				return BgL_new1241z00_8181;
			}
		}

	}



/* &lambda2244 */
	BgL_vallocz00_bglt BGl_z62lambda2244z62zzast_nodez00(obj_t BgL_envz00_7033,
		obj_t BgL_loc1232z00_7034, obj_t BgL_type1233z00_7035,
		obj_t BgL_sidezd2effect1234zd2_7036, obj_t BgL_key1235z00_7037,
		obj_t BgL_exprza21236za2_7038, obj_t BgL_effect1237z00_7039,
		obj_t BgL_czd2format1238zd2_7040, obj_t BgL_ftype1239z00_7041,
		obj_t BgL_otype1240z00_7042)
	{
		{	/* Ast/node.scm 152 */
			{	/* Ast/node.scm 152 */
				BgL_vallocz00_bglt BgL_new1546z00_8189;

				{	/* Ast/node.scm 152 */
					BgL_vallocz00_bglt BgL_new1545z00_8190;

					BgL_new1545z00_8190 =
						((BgL_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vallocz00_bgl))));
					{	/* Ast/node.scm 152 */
						long BgL_arg2245z00_8191;

						{	/* Ast/node.scm 152 */
							long BgL_res2941z00_8192;

							BgL_res2941z00_8192 = BGL_CLASS_INDEX(BGl_vallocz00zzast_nodez00);
							BgL_arg2245z00_8191 = BgL_res2941z00_8192;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1545z00_8190), BgL_arg2245z00_8191);
					}
					{	/* Ast/node.scm 152 */
						BgL_objectz00_bglt BgL_tmpz00_13726;

						BgL_tmpz00_13726 = ((BgL_objectz00_bglt) BgL_new1545z00_8190);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13726, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1545z00_8190);
					BgL_new1546z00_8189 = BgL_new1545z00_8190;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1546z00_8189)))->BgL_locz00) =
					((obj_t) BgL_loc1232z00_7034), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1546z00_8189)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1233z00_7035)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1546z00_8189)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1234zd2_7036), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1546z00_8189)))->BgL_keyz00) =
					((obj_t) BgL_key1235z00_7037), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1546z00_8189)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21236za2_7038)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1546z00_8189)))->BgL_effectz00) =
					((obj_t) BgL_effect1237z00_7039), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1546z00_8189)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1238zd2_7040)), BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(BgL_new1546z00_8189))->BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1239z00_7041)),
					BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(BgL_new1546z00_8189))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1240z00_7042)),
					BUNSPEC);
				return BgL_new1546z00_8189;
			}
		}

	}



/* &lambda2259 */
	obj_t BGl_z62lambda2259z62zzast_nodez00(obj_t BgL_envz00_7043,
		obj_t BgL_oz00_7044, obj_t BgL_vz00_7045)
	{
		{	/* Ast/node.scm 152 */
			return
				((((BgL_vallocz00_bglt) COBJECT(
							((BgL_vallocz00_bglt) BgL_oz00_7044)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7045)), BUNSPEC);
		}

	}



/* &lambda2258 */
	BgL_typez00_bglt BGl_z62lambda2258z62zzast_nodez00(obj_t BgL_envz00_7046,
		obj_t BgL_oz00_7047)
	{
		{	/* Ast/node.scm 152 */
			return
				(((BgL_vallocz00_bglt) COBJECT(
						((BgL_vallocz00_bglt) BgL_oz00_7047)))->BgL_otypez00);
		}

	}



/* &lambda2254 */
	obj_t BGl_z62lambda2254z62zzast_nodez00(obj_t BgL_envz00_7048,
		obj_t BgL_oz00_7049, obj_t BgL_vz00_7050)
	{
		{	/* Ast/node.scm 152 */
			return
				((((BgL_vallocz00_bglt) COBJECT(
							((BgL_vallocz00_bglt) BgL_oz00_7049)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7050)), BUNSPEC);
		}

	}



/* &lambda2253 */
	BgL_typez00_bglt BGl_z62lambda2253z62zzast_nodez00(obj_t BgL_envz00_7051,
		obj_t BgL_oz00_7052)
	{
		{	/* Ast/node.scm 152 */
			return
				(((BgL_vallocz00_bglt) COBJECT(
						((BgL_vallocz00_bglt) BgL_oz00_7052)))->BgL_ftypez00);
		}

	}



/* &<@anonymous:2231> */
	obj_t BGl_z62zc3z04anonymousza32231ze3ze5zzast_nodez00(obj_t BgL_envz00_7053,
		obj_t BgL_new1230z00_7054)
	{
		{	/* Ast/node.scm 148 */
			{
				BgL_newz00_bglt BgL_auxz00_13761;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_newz00_bglt) BgL_new1230z00_7054))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13765;

					{	/* Ast/node.scm 148 */
						obj_t BgL_classz00_8200;

						BgL_classz00_8200 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 148 */
							obj_t BgL__ortest_1106z00_8201;

							BgL__ortest_1106z00_8201 = BGL_CLASS_NIL(BgL_classz00_8200);
							if (CBOOL(BgL__ortest_1106z00_8201))
								{	/* Ast/node.scm 148 */
									BgL_auxz00_13765 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8201);
								}
							else
								{	/* Ast/node.scm 148 */
									BgL_auxz00_13765 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8200));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_newz00_bglt) BgL_new1230z00_7054))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13765), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_newz00_bglt) BgL_new1230z00_7054))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_newz00_bglt)
										BgL_new1230z00_7054))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt) ((BgL_newz00_bglt)
										BgL_new1230z00_7054))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt) ((BgL_newz00_bglt)
										BgL_new1230z00_7054))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_newz00_bglt)
										BgL_new1230z00_7054))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3300z00zzast_nodez00), BUNSPEC);
				((((BgL_newz00_bglt) COBJECT(((BgL_newz00_bglt) BgL_new1230z00_7054)))->
						BgL_argszd2typezd2) = ((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_13761 = ((BgL_newz00_bglt) BgL_new1230z00_7054);
				return ((obj_t) BgL_auxz00_13761);
			}
		}

	}



/* &lambda2229 */
	BgL_newz00_bglt BGl_z62lambda2229z62zzast_nodez00(obj_t BgL_envz00_7055)
	{
		{	/* Ast/node.scm 148 */
			{	/* Ast/node.scm 148 */
				BgL_newz00_bglt BgL_new1229z00_8202;

				BgL_new1229z00_8202 =
					((BgL_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_newz00_bgl))));
				{	/* Ast/node.scm 148 */
					long BgL_arg2230z00_8203;

					{	/* Ast/node.scm 148 */
						long BgL_res2940z00_8204;

						BgL_res2940z00_8204 = BGL_CLASS_INDEX(BGl_newz00zzast_nodez00);
						BgL_arg2230z00_8203 = BgL_res2940z00_8204;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1229z00_8202), BgL_arg2230z00_8203);
				}
				{	/* Ast/node.scm 148 */
					BgL_objectz00_bglt BgL_tmpz00_13798;

					BgL_tmpz00_13798 = ((BgL_objectz00_bglt) BgL_new1229z00_8202);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13798, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1229z00_8202);
				return BgL_new1229z00_8202;
			}
		}

	}



/* &lambda2227 */
	BgL_newz00_bglt BGl_z62lambda2227z62zzast_nodez00(obj_t BgL_envz00_7056,
		obj_t BgL_loc1221z00_7057, obj_t BgL_type1222z00_7058,
		obj_t BgL_sidezd2effect1223zd2_7059, obj_t BgL_key1224z00_7060,
		obj_t BgL_exprza21225za2_7061, obj_t BgL_effect1226z00_7062,
		obj_t BgL_czd2format1227zd2_7063, obj_t BgL_argszd2type1228zd2_7064)
	{
		{	/* Ast/node.scm 148 */
			{	/* Ast/node.scm 148 */
				BgL_newz00_bglt BgL_new1544z00_8209;

				{	/* Ast/node.scm 148 */
					BgL_newz00_bglt BgL_new1543z00_8210;

					BgL_new1543z00_8210 =
						((BgL_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_newz00_bgl))));
					{	/* Ast/node.scm 148 */
						long BgL_arg2228z00_8211;

						{	/* Ast/node.scm 148 */
							long BgL_res2939z00_8212;

							BgL_res2939z00_8212 = BGL_CLASS_INDEX(BGl_newz00zzast_nodez00);
							BgL_arg2228z00_8211 = BgL_res2939z00_8212;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1543z00_8210), BgL_arg2228z00_8211);
					}
					{	/* Ast/node.scm 148 */
						BgL_objectz00_bglt BgL_tmpz00_13806;

						BgL_tmpz00_13806 = ((BgL_objectz00_bglt) BgL_new1543z00_8210);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13806, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1543z00_8210);
					BgL_new1544z00_8209 = BgL_new1543z00_8210;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1544z00_8209)))->BgL_locz00) =
					((obj_t) BgL_loc1221z00_7057), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1544z00_8209)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1222z00_7058)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1544z00_8209)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1223zd2_7059), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1544z00_8209)))->BgL_keyz00) =
					((obj_t) BgL_key1224z00_7060), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1544z00_8209)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21225za2_7061)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1544z00_8209)))->BgL_effectz00) =
					((obj_t) BgL_effect1226z00_7062), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1544z00_8209)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1227zd2_7063)), BUNSPEC);
				((((BgL_newz00_bglt) COBJECT(BgL_new1544z00_8209))->
						BgL_argszd2typezd2) =
					((obj_t) ((obj_t) BgL_argszd2type1228zd2_7064)), BUNSPEC);
				return BgL_new1544z00_8209;
			}
		}

	}



/* &<@anonymous:2238> */
	obj_t BGl_z62zc3z04anonymousza32238ze3ze5zzast_nodez00(obj_t BgL_envz00_7065)
	{
		{	/* Ast/node.scm 148 */
			return BNIL;
		}

	}



/* &lambda2237 */
	obj_t BGl_z62lambda2237z62zzast_nodez00(obj_t BgL_envz00_7066,
		obj_t BgL_oz00_7067, obj_t BgL_vz00_7068)
	{
		{	/* Ast/node.scm 148 */
			return
				((((BgL_newz00_bglt) COBJECT(
							((BgL_newz00_bglt) BgL_oz00_7067)))->BgL_argszd2typezd2) =
				((obj_t) ((obj_t) BgL_vz00_7068)), BUNSPEC);
		}

	}



/* &lambda2236 */
	obj_t BGl_z62lambda2236z62zzast_nodez00(obj_t BgL_envz00_7069,
		obj_t BgL_oz00_7070)
	{
		{	/* Ast/node.scm 148 */
			return
				(((BgL_newz00_bglt) COBJECT(
						((BgL_newz00_bglt) BgL_oz00_7070)))->BgL_argszd2typezd2);
		}

	}



/* &<@anonymous:2215> */
	obj_t BGl_z62zc3z04anonymousza32215ze3ze5zzast_nodez00(obj_t BgL_envz00_7071,
		obj_t BgL_new1219z00_7072)
	{
		{	/* Ast/node.scm 144 */
			{
				BgL_wideningz00_bglt BgL_auxz00_13834;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_wideningz00_bglt) BgL_new1219z00_7072))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13838;

					{	/* Ast/node.scm 144 */
						obj_t BgL_classz00_8217;

						BgL_classz00_8217 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 144 */
							obj_t BgL__ortest_1106z00_8218;

							BgL__ortest_1106z00_8218 = BGL_CLASS_NIL(BgL_classz00_8217);
							if (CBOOL(BgL__ortest_1106z00_8218))
								{	/* Ast/node.scm 144 */
									BgL_auxz00_13838 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8218);
								}
							else
								{	/* Ast/node.scm 144 */
									BgL_auxz00_13838 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8217));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_wideningz00_bglt) BgL_new1219z00_7072))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13838), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_wideningz00_bglt) BgL_new1219z00_7072))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_wideningz00_bglt)
										BgL_new1219z00_7072))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1219z00_7072))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1219z00_7072))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1219z00_7072))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3300z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13863;

					{	/* Ast/node.scm 144 */
						obj_t BgL_classz00_8219;

						BgL_classz00_8219 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 144 */
							obj_t BgL__ortest_1106z00_8220;

							BgL__ortest_1106z00_8220 = BGL_CLASS_NIL(BgL_classz00_8219);
							if (CBOOL(BgL__ortest_1106z00_8220))
								{	/* Ast/node.scm 144 */
									BgL_auxz00_13863 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8220);
								}
							else
								{	/* Ast/node.scm 144 */
									BgL_auxz00_13863 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8219));
								}
						}
					}
					((((BgL_wideningz00_bglt) COBJECT(
									((BgL_wideningz00_bglt) BgL_new1219z00_7072)))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_13863), BUNSPEC);
				}
				BgL_auxz00_13834 = ((BgL_wideningz00_bglt) BgL_new1219z00_7072);
				return ((obj_t) BgL_auxz00_13834);
			}
		}

	}



/* &lambda2213 */
	BgL_wideningz00_bglt BGl_z62lambda2213z62zzast_nodez00(obj_t BgL_envz00_7073)
	{
		{	/* Ast/node.scm 144 */
			{	/* Ast/node.scm 144 */
				BgL_wideningz00_bglt BgL_new1218z00_8221;

				BgL_new1218z00_8221 =
					((BgL_wideningz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_wideningz00_bgl))));
				{	/* Ast/node.scm 144 */
					long BgL_arg2214z00_8222;

					{	/* Ast/node.scm 144 */
						long BgL_res2938z00_8223;

						BgL_res2938z00_8223 = BGL_CLASS_INDEX(BGl_wideningz00zzast_nodez00);
						BgL_arg2214z00_8222 = BgL_res2938z00_8223;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1218z00_8221), BgL_arg2214z00_8222);
				}
				{	/* Ast/node.scm 144 */
					BgL_objectz00_bglt BgL_tmpz00_13878;

					BgL_tmpz00_13878 = ((BgL_objectz00_bglt) BgL_new1218z00_8221);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13878, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1218z00_8221);
				return BgL_new1218z00_8221;
			}
		}

	}



/* &lambda2211 */
	BgL_wideningz00_bglt BGl_z62lambda2211z62zzast_nodez00(obj_t BgL_envz00_7074,
		obj_t BgL_loc1210z00_7075, obj_t BgL_type1211z00_7076,
		obj_t BgL_sidezd2effect1212zd2_7077, obj_t BgL_key1213z00_7078,
		obj_t BgL_exprza21214za2_7079, obj_t BgL_effect1215z00_7080,
		obj_t BgL_czd2format1216zd2_7081, obj_t BgL_otype1217z00_7082)
	{
		{	/* Ast/node.scm 144 */
			{	/* Ast/node.scm 144 */
				BgL_wideningz00_bglt BgL_new1542z00_8228;

				{	/* Ast/node.scm 144 */
					BgL_wideningz00_bglt BgL_new1541z00_8229;

					BgL_new1541z00_8229 =
						((BgL_wideningz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_wideningz00_bgl))));
					{	/* Ast/node.scm 144 */
						long BgL_arg2212z00_8230;

						{	/* Ast/node.scm 144 */
							long BgL_res2937z00_8231;

							BgL_res2937z00_8231 =
								BGL_CLASS_INDEX(BGl_wideningz00zzast_nodez00);
							BgL_arg2212z00_8230 = BgL_res2937z00_8231;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1541z00_8229), BgL_arg2212z00_8230);
					}
					{	/* Ast/node.scm 144 */
						BgL_objectz00_bglt BgL_tmpz00_13886;

						BgL_tmpz00_13886 = ((BgL_objectz00_bglt) BgL_new1541z00_8229);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13886, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1541z00_8229);
					BgL_new1542z00_8228 = BgL_new1541z00_8229;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1542z00_8228)))->BgL_locz00) =
					((obj_t) BgL_loc1210z00_7075), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1542z00_8228)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1211z00_7076)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1542z00_8228)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1212zd2_7077), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1542z00_8228)))->BgL_keyz00) =
					((obj_t) BgL_key1213z00_7078), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1542z00_8228)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21214za2_7079)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1542z00_8228)))->BgL_effectz00) =
					((obj_t) BgL_effect1215z00_7080), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1542z00_8228)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1216zd2_7081)), BUNSPEC);
				((((BgL_wideningz00_bglt) COBJECT(BgL_new1542z00_8228))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1217z00_7082)),
					BUNSPEC);
				return BgL_new1542z00_8228;
			}
		}

	}



/* &lambda2220 */
	obj_t BGl_z62lambda2220z62zzast_nodez00(obj_t BgL_envz00_7083,
		obj_t BgL_oz00_7084, obj_t BgL_vz00_7085)
	{
		{	/* Ast/node.scm 144 */
			return
				((((BgL_wideningz00_bglt) COBJECT(
							((BgL_wideningz00_bglt) BgL_oz00_7084)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7085)), BUNSPEC);
		}

	}



/* &lambda2219 */
	BgL_typez00_bglt BGl_z62lambda2219z62zzast_nodez00(obj_t BgL_envz00_7086,
		obj_t BgL_oz00_7087)
	{
		{	/* Ast/node.scm 144 */
			return
				(((BgL_wideningz00_bglt) COBJECT(
						((BgL_wideningz00_bglt) BgL_oz00_7087)))->BgL_otypez00);
		}

	}



/* &<@anonymous:2189> */
	obj_t BGl_z62zc3z04anonymousza32189ze3ze5zzast_nodez00(obj_t BgL_envz00_7088,
		obj_t BgL_new1208z00_7089)
	{
		{	/* Ast/node.scm 134 */
			{
				BgL_setfieldz00_bglt BgL_auxz00_13914;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setfieldz00_bglt) BgL_new1208z00_7089))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13918;

					{	/* Ast/node.scm 134 */
						obj_t BgL_classz00_8236;

						BgL_classz00_8236 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 134 */
							obj_t BgL__ortest_1106z00_8237;

							BgL__ortest_1106z00_8237 = BGL_CLASS_NIL(BgL_classz00_8236);
							if (CBOOL(BgL__ortest_1106z00_8237))
								{	/* Ast/node.scm 134 */
									BgL_auxz00_13918 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8237);
								}
							else
								{	/* Ast/node.scm 134 */
									BgL_auxz00_13918 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8236));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setfieldz00_bglt) BgL_new1208z00_7089))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13918), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_setfieldz00_bglt) BgL_new1208z00_7089))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1208z00_7089))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1208z00_7089))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1208z00_7089))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1208z00_7089))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3300z00zzast_nodez00), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(((BgL_setfieldz00_bglt)
									BgL_new1208z00_7089)))->BgL_fnamez00) =
					((obj_t) BGl_string3300z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13945;

					{	/* Ast/node.scm 134 */
						obj_t BgL_classz00_8238;

						BgL_classz00_8238 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 134 */
							obj_t BgL__ortest_1106z00_8239;

							BgL__ortest_1106z00_8239 = BGL_CLASS_NIL(BgL_classz00_8238);
							if (CBOOL(BgL__ortest_1106z00_8239))
								{	/* Ast/node.scm 134 */
									BgL_auxz00_13945 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8239);
								}
							else
								{	/* Ast/node.scm 134 */
									BgL_auxz00_13945 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8238));
								}
						}
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt) BgL_new1208z00_7089)))->
							BgL_ftypez00) = ((BgL_typez00_bglt) BgL_auxz00_13945), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13954;

					{	/* Ast/node.scm 134 */
						obj_t BgL_classz00_8240;

						BgL_classz00_8240 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 134 */
							obj_t BgL__ortest_1106z00_8241;

							BgL__ortest_1106z00_8241 = BGL_CLASS_NIL(BgL_classz00_8240);
							if (CBOOL(BgL__ortest_1106z00_8241))
								{	/* Ast/node.scm 134 */
									BgL_auxz00_13954 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8241);
								}
							else
								{	/* Ast/node.scm 134 */
									BgL_auxz00_13954 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8240));
								}
						}
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt) BgL_new1208z00_7089)))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_13954), BUNSPEC);
				}
				BgL_auxz00_13914 = ((BgL_setfieldz00_bglt) BgL_new1208z00_7089);
				return ((obj_t) BgL_auxz00_13914);
			}
		}

	}



/* &lambda2187 */
	BgL_setfieldz00_bglt BGl_z62lambda2187z62zzast_nodez00(obj_t BgL_envz00_7090)
	{
		{	/* Ast/node.scm 134 */
			{	/* Ast/node.scm 134 */
				BgL_setfieldz00_bglt BgL_new1207z00_8242;

				BgL_new1207z00_8242 =
					((BgL_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setfieldz00_bgl))));
				{	/* Ast/node.scm 134 */
					long BgL_arg2188z00_8243;

					{	/* Ast/node.scm 134 */
						long BgL_res2936z00_8244;

						BgL_res2936z00_8244 = BGL_CLASS_INDEX(BGl_setfieldz00zzast_nodez00);
						BgL_arg2188z00_8243 = BgL_res2936z00_8244;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1207z00_8242), BgL_arg2188z00_8243);
				}
				{	/* Ast/node.scm 134 */
					BgL_objectz00_bglt BgL_tmpz00_13969;

					BgL_tmpz00_13969 = ((BgL_objectz00_bglt) BgL_new1207z00_8242);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13969, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1207z00_8242);
				return BgL_new1207z00_8242;
			}
		}

	}



/* &lambda2185 */
	BgL_setfieldz00_bglt BGl_z62lambda2185z62zzast_nodez00(obj_t BgL_envz00_7091,
		obj_t BgL_loc1197z00_7092, obj_t BgL_type1198z00_7093,
		obj_t BgL_sidezd2effect1199zd2_7094, obj_t BgL_key1200z00_7095,
		obj_t BgL_exprza21201za2_7096, obj_t BgL_effect1202z00_7097,
		obj_t BgL_czd2format1203zd2_7098, obj_t BgL_fname1204z00_7099,
		obj_t BgL_ftype1205z00_7100, obj_t BgL_otype1206z00_7101)
	{
		{	/* Ast/node.scm 134 */
			{	/* Ast/node.scm 134 */
				BgL_setfieldz00_bglt BgL_new1540z00_8251;

				{	/* Ast/node.scm 134 */
					BgL_setfieldz00_bglt BgL_new1539z00_8252;

					BgL_new1539z00_8252 =
						((BgL_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setfieldz00_bgl))));
					{	/* Ast/node.scm 134 */
						long BgL_arg2186z00_8253;

						{	/* Ast/node.scm 134 */
							long BgL_res2935z00_8254;

							BgL_res2935z00_8254 =
								BGL_CLASS_INDEX(BGl_setfieldz00zzast_nodez00);
							BgL_arg2186z00_8253 = BgL_res2935z00_8254;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1539z00_8252), BgL_arg2186z00_8253);
					}
					{	/* Ast/node.scm 134 */
						BgL_objectz00_bglt BgL_tmpz00_13977;

						BgL_tmpz00_13977 = ((BgL_objectz00_bglt) BgL_new1539z00_8252);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13977, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1539z00_8252);
					BgL_new1540z00_8251 = BgL_new1539z00_8252;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1540z00_8251)))->BgL_locz00) =
					((obj_t) BgL_loc1197z00_7092), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1540z00_8251)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1198z00_7093)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1540z00_8251)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1199zd2_7094), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1540z00_8251)))->BgL_keyz00) =
					((obj_t) BgL_key1200z00_7095), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1540z00_8251)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21201za2_7096)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1540z00_8251)))->BgL_effectz00) =
					((obj_t) BgL_effect1202z00_7097), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1540z00_8251)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1203zd2_7098)), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1540z00_8251))->BgL_fnamez00) =
					((obj_t) ((obj_t) BgL_fname1204z00_7099)), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1540z00_8251))->BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1205z00_7100)),
					BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1540z00_8251))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1206z00_7101)),
					BUNSPEC);
				return BgL_new1540z00_8251;
			}
		}

	}



/* &lambda2205 */
	obj_t BGl_z62lambda2205z62zzast_nodez00(obj_t BgL_envz00_7102,
		obj_t BgL_oz00_7103, obj_t BgL_vz00_7104)
	{
		{	/* Ast/node.scm 134 */
			return
				((((BgL_setfieldz00_bglt) COBJECT(
							((BgL_setfieldz00_bglt) BgL_oz00_7103)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7104)), BUNSPEC);
		}

	}



/* &lambda2204 */
	BgL_typez00_bglt BGl_z62lambda2204z62zzast_nodez00(obj_t BgL_envz00_7105,
		obj_t BgL_oz00_7106)
	{
		{	/* Ast/node.scm 134 */
			return
				(((BgL_setfieldz00_bglt) COBJECT(
						((BgL_setfieldz00_bglt) BgL_oz00_7106)))->BgL_otypez00);
		}

	}



/* &lambda2200 */
	obj_t BGl_z62lambda2200z62zzast_nodez00(obj_t BgL_envz00_7107,
		obj_t BgL_oz00_7108, obj_t BgL_vz00_7109)
	{
		{	/* Ast/node.scm 134 */
			return
				((((BgL_setfieldz00_bglt) COBJECT(
							((BgL_setfieldz00_bglt) BgL_oz00_7108)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7109)), BUNSPEC);
		}

	}



/* &lambda2199 */
	BgL_typez00_bglt BGl_z62lambda2199z62zzast_nodez00(obj_t BgL_envz00_7110,
		obj_t BgL_oz00_7111)
	{
		{	/* Ast/node.scm 134 */
			return
				(((BgL_setfieldz00_bglt) COBJECT(
						((BgL_setfieldz00_bglt) BgL_oz00_7111)))->BgL_ftypez00);
		}

	}



/* &lambda2194 */
	obj_t BGl_z62lambda2194z62zzast_nodez00(obj_t BgL_envz00_7112,
		obj_t BgL_oz00_7113, obj_t BgL_vz00_7114)
	{
		{	/* Ast/node.scm 134 */
			return
				((((BgL_setfieldz00_bglt) COBJECT(
							((BgL_setfieldz00_bglt) BgL_oz00_7113)))->BgL_fnamez00) = ((obj_t)
					((obj_t) BgL_vz00_7114)), BUNSPEC);
		}

	}



/* &lambda2193 */
	obj_t BGl_z62lambda2193z62zzast_nodez00(obj_t BgL_envz00_7115,
		obj_t BgL_oz00_7116)
	{
		{	/* Ast/node.scm 134 */
			return
				(((BgL_setfieldz00_bglt) COBJECT(
						((BgL_setfieldz00_bglt) BgL_oz00_7116)))->BgL_fnamez00);
		}

	}



/* &<@anonymous:2164> */
	obj_t BGl_z62zc3z04anonymousza32164ze3ze5zzast_nodez00(obj_t BgL_envz00_7117,
		obj_t BgL_new1195z00_7118)
	{
		{	/* Ast/node.scm 125 */
			{
				BgL_getfieldz00_bglt BgL_auxz00_14019;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_getfieldz00_bglt) BgL_new1195z00_7118))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14023;

					{	/* Ast/node.scm 125 */
						obj_t BgL_classz00_8265;

						BgL_classz00_8265 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 125 */
							obj_t BgL__ortest_1106z00_8266;

							BgL__ortest_1106z00_8266 = BGL_CLASS_NIL(BgL_classz00_8265);
							if (CBOOL(BgL__ortest_1106z00_8266))
								{	/* Ast/node.scm 125 */
									BgL_auxz00_14023 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8266);
								}
							else
								{	/* Ast/node.scm 125 */
									BgL_auxz00_14023 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8265));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_getfieldz00_bglt) BgL_new1195z00_7118))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14023), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_getfieldz00_bglt) BgL_new1195z00_7118))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1195z00_7118))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1195z00_7118))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1195z00_7118))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1195z00_7118))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3300z00zzast_nodez00), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(((BgL_getfieldz00_bglt)
									BgL_new1195z00_7118)))->BgL_fnamez00) =
					((obj_t) BGl_string3300z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14050;

					{	/* Ast/node.scm 125 */
						obj_t BgL_classz00_8267;

						BgL_classz00_8267 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 125 */
							obj_t BgL__ortest_1106z00_8268;

							BgL__ortest_1106z00_8268 = BGL_CLASS_NIL(BgL_classz00_8267);
							if (CBOOL(BgL__ortest_1106z00_8268))
								{	/* Ast/node.scm 125 */
									BgL_auxz00_14050 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8268);
								}
							else
								{	/* Ast/node.scm 125 */
									BgL_auxz00_14050 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8267));
								}
						}
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt) BgL_new1195z00_7118)))->
							BgL_ftypez00) = ((BgL_typez00_bglt) BgL_auxz00_14050), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14059;

					{	/* Ast/node.scm 125 */
						obj_t BgL_classz00_8269;

						BgL_classz00_8269 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 125 */
							obj_t BgL__ortest_1106z00_8270;

							BgL__ortest_1106z00_8270 = BGL_CLASS_NIL(BgL_classz00_8269);
							if (CBOOL(BgL__ortest_1106z00_8270))
								{	/* Ast/node.scm 125 */
									BgL_auxz00_14059 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8270);
								}
							else
								{	/* Ast/node.scm 125 */
									BgL_auxz00_14059 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8269));
								}
						}
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt) BgL_new1195z00_7118)))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_14059), BUNSPEC);
				}
				BgL_auxz00_14019 = ((BgL_getfieldz00_bglt) BgL_new1195z00_7118);
				return ((obj_t) BgL_auxz00_14019);
			}
		}

	}



/* &lambda2162 */
	BgL_getfieldz00_bglt BGl_z62lambda2162z62zzast_nodez00(obj_t BgL_envz00_7119)
	{
		{	/* Ast/node.scm 125 */
			{	/* Ast/node.scm 125 */
				BgL_getfieldz00_bglt BgL_new1194z00_8271;

				BgL_new1194z00_8271 =
					((BgL_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_getfieldz00_bgl))));
				{	/* Ast/node.scm 125 */
					long BgL_arg2163z00_8272;

					{	/* Ast/node.scm 125 */
						long BgL_res2934z00_8273;

						BgL_res2934z00_8273 = BGL_CLASS_INDEX(BGl_getfieldz00zzast_nodez00);
						BgL_arg2163z00_8272 = BgL_res2934z00_8273;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1194z00_8271), BgL_arg2163z00_8272);
				}
				{	/* Ast/node.scm 125 */
					BgL_objectz00_bglt BgL_tmpz00_14074;

					BgL_tmpz00_14074 = ((BgL_objectz00_bglt) BgL_new1194z00_8271);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14074, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1194z00_8271);
				return BgL_new1194z00_8271;
			}
		}

	}



/* &lambda2160 */
	BgL_getfieldz00_bglt BGl_z62lambda2160z62zzast_nodez00(obj_t BgL_envz00_7120,
		obj_t BgL_loc1184z00_7121, obj_t BgL_type1185z00_7122,
		obj_t BgL_sidezd2effect1186zd2_7123, obj_t BgL_key1187z00_7124,
		obj_t BgL_exprza21188za2_7125, obj_t BgL_effect1189z00_7126,
		obj_t BgL_czd2format1190zd2_7127, obj_t BgL_fname1191z00_7128,
		obj_t BgL_ftype1192z00_7129, obj_t BgL_otype1193z00_7130)
	{
		{	/* Ast/node.scm 125 */
			{	/* Ast/node.scm 125 */
				BgL_getfieldz00_bglt BgL_new1538z00_8280;

				{	/* Ast/node.scm 125 */
					BgL_getfieldz00_bglt BgL_new1537z00_8281;

					BgL_new1537z00_8281 =
						((BgL_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_getfieldz00_bgl))));
					{	/* Ast/node.scm 125 */
						long BgL_arg2161z00_8282;

						{	/* Ast/node.scm 125 */
							long BgL_res2933z00_8283;

							BgL_res2933z00_8283 =
								BGL_CLASS_INDEX(BGl_getfieldz00zzast_nodez00);
							BgL_arg2161z00_8282 = BgL_res2933z00_8283;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1537z00_8281), BgL_arg2161z00_8282);
					}
					{	/* Ast/node.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_14082;

						BgL_tmpz00_14082 = ((BgL_objectz00_bglt) BgL_new1537z00_8281);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14082, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1537z00_8281);
					BgL_new1538z00_8280 = BgL_new1537z00_8281;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1538z00_8280)))->BgL_locz00) =
					((obj_t) BgL_loc1184z00_7121), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1538z00_8280)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1185z00_7122)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1538z00_8280)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1186zd2_7123), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1538z00_8280)))->BgL_keyz00) =
					((obj_t) BgL_key1187z00_7124), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1538z00_8280)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21188za2_7125)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1538z00_8280)))->BgL_effectz00) =
					((obj_t) BgL_effect1189z00_7126), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1538z00_8280)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1190zd2_7127)), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1538z00_8280))->BgL_fnamez00) =
					((obj_t) ((obj_t) BgL_fname1191z00_7128)), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1538z00_8280))->BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1192z00_7129)),
					BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1538z00_8280))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1193z00_7130)),
					BUNSPEC);
				return BgL_new1538z00_8280;
			}
		}

	}



/* &lambda2179 */
	obj_t BGl_z62lambda2179z62zzast_nodez00(obj_t BgL_envz00_7131,
		obj_t BgL_oz00_7132, obj_t BgL_vz00_7133)
	{
		{	/* Ast/node.scm 125 */
			return
				((((BgL_getfieldz00_bglt) COBJECT(
							((BgL_getfieldz00_bglt) BgL_oz00_7132)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7133)), BUNSPEC);
		}

	}



/* &lambda2178 */
	BgL_typez00_bglt BGl_z62lambda2178z62zzast_nodez00(obj_t BgL_envz00_7134,
		obj_t BgL_oz00_7135)
	{
		{	/* Ast/node.scm 125 */
			return
				(((BgL_getfieldz00_bglt) COBJECT(
						((BgL_getfieldz00_bglt) BgL_oz00_7135)))->BgL_otypez00);
		}

	}



/* &lambda2174 */
	obj_t BGl_z62lambda2174z62zzast_nodez00(obj_t BgL_envz00_7136,
		obj_t BgL_oz00_7137, obj_t BgL_vz00_7138)
	{
		{	/* Ast/node.scm 125 */
			return
				((((BgL_getfieldz00_bglt) COBJECT(
							((BgL_getfieldz00_bglt) BgL_oz00_7137)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7138)), BUNSPEC);
		}

	}



/* &lambda2173 */
	BgL_typez00_bglt BGl_z62lambda2173z62zzast_nodez00(obj_t BgL_envz00_7139,
		obj_t BgL_oz00_7140)
	{
		{	/* Ast/node.scm 125 */
			return
				(((BgL_getfieldz00_bglt) COBJECT(
						((BgL_getfieldz00_bglt) BgL_oz00_7140)))->BgL_ftypez00);
		}

	}



/* &lambda2169 */
	obj_t BGl_z62lambda2169z62zzast_nodez00(obj_t BgL_envz00_7141,
		obj_t BgL_oz00_7142, obj_t BgL_vz00_7143)
	{
		{	/* Ast/node.scm 125 */
			return
				((((BgL_getfieldz00_bglt) COBJECT(
							((BgL_getfieldz00_bglt) BgL_oz00_7142)))->BgL_fnamez00) = ((obj_t)
					((obj_t) BgL_vz00_7143)), BUNSPEC);
		}

	}



/* &lambda2168 */
	obj_t BGl_z62lambda2168z62zzast_nodez00(obj_t BgL_envz00_7144,
		obj_t BgL_oz00_7145)
	{
		{	/* Ast/node.scm 125 */
			return
				(((BgL_getfieldz00_bglt) COBJECT(
						((BgL_getfieldz00_bglt) BgL_oz00_7145)))->BgL_fnamez00);
		}

	}



/* &<@anonymous:2149> */
	obj_t BGl_z62zc3z04anonymousza32149ze3ze5zzast_nodez00(obj_t BgL_envz00_7146,
		obj_t BgL_new1182z00_7147)
	{
		{	/* Ast/node.scm 121 */
			{
				BgL_privatez00_bglt BgL_auxz00_14124;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_privatez00_bglt) BgL_new1182z00_7147))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14128;

					{	/* Ast/node.scm 121 */
						obj_t BgL_classz00_8294;

						BgL_classz00_8294 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 121 */
							obj_t BgL__ortest_1106z00_8295;

							BgL__ortest_1106z00_8295 = BGL_CLASS_NIL(BgL_classz00_8294);
							if (CBOOL(BgL__ortest_1106z00_8295))
								{	/* Ast/node.scm 121 */
									BgL_auxz00_14128 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8295);
								}
							else
								{	/* Ast/node.scm 121 */
									BgL_auxz00_14128 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8294));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_privatez00_bglt) BgL_new1182z00_7147))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14128), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_privatez00_bglt) BgL_new1182z00_7147))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_privatez00_bglt)
										BgL_new1182z00_7147))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_privatez00_bglt)
										BgL_new1182z00_7147))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_privatez00_bglt)
										BgL_new1182z00_7147))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1182z00_7147)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3300z00zzast_nodez00), BUNSPEC);
				BgL_auxz00_14124 = ((BgL_privatez00_bglt) BgL_new1182z00_7147);
				return ((obj_t) BgL_auxz00_14124);
			}
		}

	}



/* &lambda2147 */
	BgL_privatez00_bglt BGl_z62lambda2147z62zzast_nodez00(obj_t BgL_envz00_7148)
	{
		{	/* Ast/node.scm 121 */
			{	/* Ast/node.scm 121 */
				BgL_privatez00_bglt BgL_new1181z00_8296;

				BgL_new1181z00_8296 =
					((BgL_privatez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_privatez00_bgl))));
				{	/* Ast/node.scm 121 */
					long BgL_arg2148z00_8297;

					{	/* Ast/node.scm 121 */
						long BgL_res2932z00_8298;

						BgL_res2932z00_8298 = BGL_CLASS_INDEX(BGl_privatez00zzast_nodez00);
						BgL_arg2148z00_8297 = BgL_res2932z00_8298;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1181z00_8296), BgL_arg2148z00_8297);
				}
				return BgL_new1181z00_8296;
			}
		}

	}



/* &lambda2145 */
	BgL_privatez00_bglt BGl_z62lambda2145z62zzast_nodez00(obj_t BgL_envz00_7149,
		obj_t BgL_loc1174z00_7150, obj_t BgL_type1175z00_7151,
		obj_t BgL_sidezd2effect1176zd2_7152, obj_t BgL_key1177z00_7153,
		obj_t BgL_exprza21178za2_7154, obj_t BgL_effect1179z00_7155,
		obj_t BgL_czd2format1180zd2_7156)
	{
		{	/* Ast/node.scm 121 */
			{	/* Ast/node.scm 121 */
				BgL_privatez00_bglt BgL_new1536z00_8302;

				{	/* Ast/node.scm 121 */
					BgL_privatez00_bglt BgL_new1535z00_8303;

					BgL_new1535z00_8303 =
						((BgL_privatez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_privatez00_bgl))));
					{	/* Ast/node.scm 121 */
						long BgL_arg2146z00_8304;

						{	/* Ast/node.scm 121 */
							long BgL_res2931z00_8305;

							BgL_res2931z00_8305 =
								BGL_CLASS_INDEX(BGl_privatez00zzast_nodez00);
							BgL_arg2146z00_8304 = BgL_res2931z00_8305;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1535z00_8303), BgL_arg2146z00_8304);
					}
					BgL_new1536z00_8302 = BgL_new1535z00_8303;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1536z00_8302)))->BgL_locz00) =
					((obj_t) BgL_loc1174z00_7150), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1536z00_8302)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1175z00_7151)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1536z00_8302)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1176zd2_7152), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1536z00_8302)))->BgL_keyz00) =
					((obj_t) BgL_key1177z00_7153), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1536z00_8302)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21178za2_7154)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1536z00_8302)))->BgL_effectz00) =
					((obj_t) BgL_effect1179z00_7155), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(BgL_new1536z00_8302))->
						BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1180zd2_7156)), BUNSPEC);
				return BgL_new1536z00_8302;
			}
		}

	}



/* &lambda2154 */
	obj_t BGl_z62lambda2154z62zzast_nodez00(obj_t BgL_envz00_7157,
		obj_t BgL_oz00_7158, obj_t BgL_vz00_7159)
	{
		{	/* Ast/node.scm 121 */
			return
				((((BgL_privatez00_bglt) COBJECT(
							((BgL_privatez00_bglt) BgL_oz00_7158)))->BgL_czd2formatzd2) =
				((obj_t) ((obj_t) BgL_vz00_7159)), BUNSPEC);
		}

	}



/* &lambda2153 */
	obj_t BGl_z62lambda2153z62zzast_nodez00(obj_t BgL_envz00_7160,
		obj_t BgL_oz00_7161)
	{
		{	/* Ast/node.scm 121 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_7161)))->BgL_czd2formatzd2);
		}

	}



/* &<@anonymous:2123> */
	obj_t BGl_z62zc3z04anonymousza32123ze3ze5zzast_nodez00(obj_t BgL_envz00_7162,
		obj_t BgL_new1172z00_7163)
	{
		{	/* Ast/node.scm 116 */
			{
				BgL_genpatchidz00_bglt BgL_auxz00_14183;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_genpatchidz00_bglt) BgL_new1172z00_7163))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14187;

					{	/* Ast/node.scm 116 */
						obj_t BgL_classz00_8310;

						BgL_classz00_8310 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 116 */
							obj_t BgL__ortest_1106z00_8311;

							BgL__ortest_1106z00_8311 = BGL_CLASS_NIL(BgL_classz00_8310);
							if (CBOOL(BgL__ortest_1106z00_8311))
								{	/* Ast/node.scm 116 */
									BgL_auxz00_14187 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8311);
								}
							else
								{	/* Ast/node.scm 116 */
									BgL_auxz00_14187 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8310));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_genpatchidz00_bglt) BgL_new1172z00_7163))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14187), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_genpatchidz00_bglt) BgL_new1172z00_7163))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1172z00_7163))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1172z00_7163))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1172z00_7163))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(((BgL_genpatchidz00_bglt)
									BgL_new1172z00_7163)))->BgL_indexz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(((BgL_genpatchidz00_bglt)
									BgL_new1172z00_7163)))->BgL_rindexz00) =
					((long) ((long) 0)), BUNSPEC);
				BgL_auxz00_14183 = ((BgL_genpatchidz00_bglt) BgL_new1172z00_7163);
				return ((obj_t) BgL_auxz00_14183);
			}
		}

	}



/* &lambda2121 */
	BgL_genpatchidz00_bglt BGl_z62lambda2121z62zzast_nodez00(obj_t
		BgL_envz00_7164)
	{
		{	/* Ast/node.scm 116 */
			{	/* Ast/node.scm 116 */
				BgL_genpatchidz00_bglt BgL_new1171z00_8312;

				BgL_new1171z00_8312 =
					((BgL_genpatchidz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_genpatchidz00_bgl))));
				{	/* Ast/node.scm 116 */
					long BgL_arg2122z00_8313;

					{	/* Ast/node.scm 116 */
						long BgL_res2930z00_8314;

						BgL_res2930z00_8314 =
							BGL_CLASS_INDEX(BGl_genpatchidz00zzast_nodez00);
						BgL_arg2122z00_8313 = BgL_res2930z00_8314;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1171z00_8312), BgL_arg2122z00_8313);
				}
				{	/* Ast/node.scm 116 */
					BgL_objectz00_bglt BgL_tmpz00_14219;

					BgL_tmpz00_14219 = ((BgL_objectz00_bglt) BgL_new1171z00_8312);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14219, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1171z00_8312);
				return BgL_new1171z00_8312;
			}
		}

	}



/* &lambda2119 */
	BgL_genpatchidz00_bglt BGl_z62lambda2119z62zzast_nodez00(obj_t
		BgL_envz00_7165, obj_t BgL_loc1163z00_7166, obj_t BgL_type1164z00_7167,
		obj_t BgL_sidezd2effect1165zd2_7168, obj_t BgL_key1166z00_7169,
		obj_t BgL_exprza21167za2_7170, obj_t BgL_effect1168z00_7171,
		obj_t BgL_index1169z00_7172, obj_t BgL_rindex1170z00_7173)
	{
		{	/* Ast/node.scm 116 */
			{	/* Ast/node.scm 116 */
				long BgL_index1169z00_8317;
				long BgL_rindex1170z00_8318;

				BgL_index1169z00_8317 = (long) CINT(BgL_index1169z00_7172);
				BgL_rindex1170z00_8318 = (long) CINT(BgL_rindex1170z00_7173);
				{	/* Ast/node.scm 116 */
					BgL_genpatchidz00_bglt BgL_new1534z00_8319;

					{	/* Ast/node.scm 116 */
						BgL_genpatchidz00_bglt BgL_new1533z00_8320;

						BgL_new1533z00_8320 =
							((BgL_genpatchidz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_genpatchidz00_bgl))));
						{	/* Ast/node.scm 116 */
							long BgL_arg2120z00_8321;

							{	/* Ast/node.scm 116 */
								long BgL_res2929z00_8322;

								BgL_res2929z00_8322 =
									BGL_CLASS_INDEX(BGl_genpatchidz00zzast_nodez00);
								BgL_arg2120z00_8321 = BgL_res2929z00_8322;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1533z00_8320),
								BgL_arg2120z00_8321);
						}
						{	/* Ast/node.scm 116 */
							BgL_objectz00_bglt BgL_tmpz00_14229;

							BgL_tmpz00_14229 = ((BgL_objectz00_bglt) BgL_new1533z00_8320);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14229, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1533z00_8320);
						BgL_new1534z00_8319 = BgL_new1533z00_8320;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1534z00_8319)))->BgL_locz00) =
						((obj_t) BgL_loc1163z00_7166), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1534z00_8319)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1164z00_7167)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1534z00_8319)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1165zd2_7168), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1534z00_8319)))->BgL_keyz00) =
						((obj_t) BgL_key1166z00_7169), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1534z00_8319)))->BgL_exprza2za2) =
						((obj_t) ((obj_t) BgL_exprza21167za2_7170)), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1534z00_8319)))->BgL_effectz00) =
						((obj_t) BgL_effect1168z00_7171), BUNSPEC);
					((((BgL_genpatchidz00_bglt) COBJECT(BgL_new1534z00_8319))->
							BgL_indexz00) = ((long) BgL_index1169z00_8317), BUNSPEC);
					((((BgL_genpatchidz00_bglt) COBJECT(BgL_new1534z00_8319))->
							BgL_rindexz00) = ((long) BgL_rindex1170z00_8318), BUNSPEC);
					return BgL_new1534z00_8319;
				}
			}
		}

	}



/* &<@anonymous:2139> */
	obj_t BGl_z62zc3z04anonymousza32139ze3ze5zzast_nodez00(obj_t BgL_envz00_7174)
	{
		{	/* Ast/node.scm 116 */
			return BINT(((long) -1));
		}

	}



/* &lambda2138 */
	obj_t BGl_z62lambda2138z62zzast_nodez00(obj_t BgL_envz00_7175,
		obj_t BgL_oz00_7176, obj_t BgL_vz00_7177)
	{
		{	/* Ast/node.scm 116 */
			{	/* Ast/node.scm 116 */
				long BgL_vz00_8324;

				BgL_vz00_8324 = (long) CINT(BgL_vz00_7177);
				return
					((((BgL_genpatchidz00_bglt) COBJECT(
								((BgL_genpatchidz00_bglt) BgL_oz00_7176)))->BgL_rindexz00) =
					((long) BgL_vz00_8324), BUNSPEC);
		}}

	}



/* &lambda2137 */
	obj_t BGl_z62lambda2137z62zzast_nodez00(obj_t BgL_envz00_7178,
		obj_t BgL_oz00_7179)
	{
		{	/* Ast/node.scm 116 */
			return
				BINT(
				(((BgL_genpatchidz00_bglt) COBJECT(
							((BgL_genpatchidz00_bglt) BgL_oz00_7179)))->BgL_rindexz00));
		}

	}



/* &<@anonymous:2130> */
	obj_t BGl_z62zc3z04anonymousza32130ze3ze5zzast_nodez00(obj_t BgL_envz00_7180)
	{
		{	/* Ast/node.scm 116 */
			return BINT(((long) -1));
		}

	}



/* &lambda2129 */
	obj_t BGl_z62lambda2129z62zzast_nodez00(obj_t BgL_envz00_7181,
		obj_t BgL_oz00_7182, obj_t BgL_vz00_7183)
	{
		{	/* Ast/node.scm 116 */
			{	/* Ast/node.scm 116 */
				long BgL_vz00_8327;

				BgL_vz00_8327 = (long) CINT(BgL_vz00_7183);
				return
					((((BgL_genpatchidz00_bglt) COBJECT(
								((BgL_genpatchidz00_bglt) BgL_oz00_7182)))->BgL_indexz00) =
					((long) BgL_vz00_8327), BUNSPEC);
		}}

	}



/* &lambda2128 */
	obj_t BGl_z62lambda2128z62zzast_nodez00(obj_t BgL_envz00_7184,
		obj_t BgL_oz00_7185)
	{
		{	/* Ast/node.scm 116 */
			return
				BINT(
				(((BgL_genpatchidz00_bglt) COBJECT(
							((BgL_genpatchidz00_bglt) BgL_oz00_7185)))->BgL_indexz00));
		}

	}



/* &<@anonymous:2108> */
	obj_t BGl_z62zc3z04anonymousza32108ze3ze5zzast_nodez00(obj_t BgL_envz00_7186,
		obj_t BgL_new1161z00_7187)
	{
		{	/* Ast/node.scm 112 */
			{
				BgL_pragmaz00_bglt BgL_auxz00_14263;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_pragmaz00_bglt) BgL_new1161z00_7187))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14267;

					{	/* Ast/node.scm 112 */
						obj_t BgL_classz00_8330;

						BgL_classz00_8330 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 112 */
							obj_t BgL__ortest_1106z00_8331;

							BgL__ortest_1106z00_8331 = BGL_CLASS_NIL(BgL_classz00_8330);
							if (CBOOL(BgL__ortest_1106z00_8331))
								{	/* Ast/node.scm 112 */
									BgL_auxz00_14267 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8331);
								}
							else
								{	/* Ast/node.scm 112 */
									BgL_auxz00_14267 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8330));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_pragmaz00_bglt) BgL_new1161z00_7187))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14267), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_pragmaz00_bglt) BgL_new1161z00_7187))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1161z00_7187))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1161z00_7187))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1161z00_7187))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_pragmaz00_bglt) COBJECT(((BgL_pragmaz00_bglt)
									BgL_new1161z00_7187)))->BgL_formatz00) =
					((obj_t) BGl_string3300z00zzast_nodez00), BUNSPEC);
				BgL_auxz00_14263 = ((BgL_pragmaz00_bglt) BgL_new1161z00_7187);
				return ((obj_t) BgL_auxz00_14263);
			}
		}

	}



/* &lambda2106 */
	BgL_pragmaz00_bglt BGl_z62lambda2106z62zzast_nodez00(obj_t BgL_envz00_7188)
	{
		{	/* Ast/node.scm 112 */
			{	/* Ast/node.scm 112 */
				BgL_pragmaz00_bglt BgL_new1160z00_8332;

				BgL_new1160z00_8332 =
					((BgL_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_pragmaz00_bgl))));
				{	/* Ast/node.scm 112 */
					long BgL_arg2107z00_8333;

					{	/* Ast/node.scm 112 */
						long BgL_res2928z00_8334;

						BgL_res2928z00_8334 = BGL_CLASS_INDEX(BGl_pragmaz00zzast_nodez00);
						BgL_arg2107z00_8333 = BgL_res2928z00_8334;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1160z00_8332), BgL_arg2107z00_8333);
				}
				{	/* Ast/node.scm 112 */
					BgL_objectz00_bglt BgL_tmpz00_14297;

					BgL_tmpz00_14297 = ((BgL_objectz00_bglt) BgL_new1160z00_8332);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14297, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1160z00_8332);
				return BgL_new1160z00_8332;
			}
		}

	}



/* &lambda2104 */
	BgL_pragmaz00_bglt BGl_z62lambda2104z62zzast_nodez00(obj_t BgL_envz00_7189,
		obj_t BgL_loc1153z00_7190, obj_t BgL_type1154z00_7191,
		obj_t BgL_sidezd2effect1155zd2_7192, obj_t BgL_key1156z00_7193,
		obj_t BgL_exprza21157za2_7194, obj_t BgL_effect1158z00_7195,
		obj_t BgL_format1159z00_7196)
	{
		{	/* Ast/node.scm 112 */
			{	/* Ast/node.scm 112 */
				BgL_pragmaz00_bglt BgL_new1532z00_8338;

				{	/* Ast/node.scm 112 */
					BgL_pragmaz00_bglt BgL_new1531z00_8339;

					BgL_new1531z00_8339 =
						((BgL_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_pragmaz00_bgl))));
					{	/* Ast/node.scm 112 */
						long BgL_arg2105z00_8340;

						{	/* Ast/node.scm 112 */
							long BgL_res2927z00_8341;

							BgL_res2927z00_8341 = BGL_CLASS_INDEX(BGl_pragmaz00zzast_nodez00);
							BgL_arg2105z00_8340 = BgL_res2927z00_8341;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1531z00_8339), BgL_arg2105z00_8340);
					}
					{	/* Ast/node.scm 112 */
						BgL_objectz00_bglt BgL_tmpz00_14305;

						BgL_tmpz00_14305 = ((BgL_objectz00_bglt) BgL_new1531z00_8339);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14305, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1531z00_8339);
					BgL_new1532z00_8338 = BgL_new1531z00_8339;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1532z00_8338)))->BgL_locz00) =
					((obj_t) BgL_loc1153z00_7190), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1532z00_8338)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1154z00_7191)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1532z00_8338)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1155zd2_7192), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1532z00_8338)))->BgL_keyz00) =
					((obj_t) BgL_key1156z00_7193), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1532z00_8338)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21157za2_7194)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1532z00_8338)))->BgL_effectz00) =
					((obj_t) BgL_effect1158z00_7195), BUNSPEC);
				((((BgL_pragmaz00_bglt) COBJECT(BgL_new1532z00_8338))->BgL_formatz00) =
					((obj_t) ((obj_t) BgL_format1159z00_7196)), BUNSPEC);
				return BgL_new1532z00_8338;
			}
		}

	}



/* &lambda2113 */
	obj_t BGl_z62lambda2113z62zzast_nodez00(obj_t BgL_envz00_7197,
		obj_t BgL_oz00_7198, obj_t BgL_vz00_7199)
	{
		{	/* Ast/node.scm 112 */
			return
				((((BgL_pragmaz00_bglt) COBJECT(
							((BgL_pragmaz00_bglt) BgL_oz00_7198)))->BgL_formatz00) = ((obj_t)
					((obj_t) BgL_vz00_7199)), BUNSPEC);
		}

	}



/* &lambda2112 */
	obj_t BGl_z62lambda2112z62zzast_nodez00(obj_t BgL_envz00_7200,
		obj_t BgL_oz00_7201)
	{
		{	/* Ast/node.scm 112 */
			return
				(((BgL_pragmaz00_bglt) COBJECT(
						((BgL_pragmaz00_bglt) BgL_oz00_7201)))->BgL_formatz00);
		}

	}



/* &<@anonymous:2081> */
	obj_t BGl_z62zc3z04anonymousza32081ze3ze5zzast_nodez00(obj_t BgL_envz00_7202,
		obj_t BgL_new1151z00_7203)
	{
		{	/* Ast/node.scm 105 */
			{
				BgL_externz00_bglt BgL_auxz00_14330;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_externz00_bglt) BgL_new1151z00_7203))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14334;

					{	/* Ast/node.scm 105 */
						obj_t BgL_classz00_8346;

						BgL_classz00_8346 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 105 */
							obj_t BgL__ortest_1106z00_8347;

							BgL__ortest_1106z00_8347 = BGL_CLASS_NIL(BgL_classz00_8346);
							if (CBOOL(BgL__ortest_1106z00_8347))
								{	/* Ast/node.scm 105 */
									BgL_auxz00_14334 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8347);
								}
							else
								{	/* Ast/node.scm 105 */
									BgL_auxz00_14334 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8346));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_externz00_bglt) BgL_new1151z00_7203))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14334), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_externz00_bglt) BgL_new1151z00_7203))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_externz00_bglt)
										BgL_new1151z00_7203))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1151z00_7203)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1151z00_7203)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14330 = ((BgL_externz00_bglt) BgL_new1151z00_7203);
				return ((obj_t) BgL_auxz00_14330);
			}
		}

	}



/* &lambda2079 */
	BgL_externz00_bglt BGl_z62lambda2079z62zzast_nodez00(obj_t BgL_envz00_7204)
	{
		{	/* Ast/node.scm 105 */
			{	/* Ast/node.scm 105 */
				BgL_externz00_bglt BgL_new1150z00_8348;

				BgL_new1150z00_8348 =
					((BgL_externz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_externz00_bgl))));
				{	/* Ast/node.scm 105 */
					long BgL_arg2080z00_8349;

					{	/* Ast/node.scm 105 */
						long BgL_res2926z00_8350;

						BgL_res2926z00_8350 = BGL_CLASS_INDEX(BGl_externz00zzast_nodez00);
						BgL_arg2080z00_8349 = BgL_res2926z00_8350;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1150z00_8348), BgL_arg2080z00_8349);
				}
				return BgL_new1150z00_8348;
			}
		}

	}



/* &lambda2077 */
	BgL_externz00_bglt BGl_z62lambda2077z62zzast_nodez00(obj_t BgL_envz00_7205,
		obj_t BgL_loc1144z00_7206, obj_t BgL_type1145z00_7207,
		obj_t BgL_sidezd2effect1146zd2_7208, obj_t BgL_key1147z00_7209,
		obj_t BgL_exprza21148za2_7210, obj_t BgL_effect1149z00_7211)
	{
		{	/* Ast/node.scm 105 */
			{	/* Ast/node.scm 105 */
				BgL_externz00_bglt BgL_new1530z00_8353;

				{	/* Ast/node.scm 105 */
					BgL_externz00_bglt BgL_new1529z00_8354;

					BgL_new1529z00_8354 =
						((BgL_externz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_externz00_bgl))));
					{	/* Ast/node.scm 105 */
						long BgL_arg2078z00_8355;

						{	/* Ast/node.scm 105 */
							long BgL_res2925z00_8356;

							BgL_res2925z00_8356 = BGL_CLASS_INDEX(BGl_externz00zzast_nodez00);
							BgL_arg2078z00_8355 = BgL_res2925z00_8356;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1529z00_8354), BgL_arg2078z00_8355);
					}
					BgL_new1530z00_8353 = BgL_new1529z00_8354;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1530z00_8353)))->BgL_locz00) =
					((obj_t) BgL_loc1144z00_7206), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1530z00_8353)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1145z00_7207)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1530z00_8353)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1146zd2_7208), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1530z00_8353)))->BgL_keyz00) =
					((obj_t) BgL_key1147z00_7209), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(BgL_new1530z00_8353))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21148za2_7210)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(BgL_new1530z00_8353))->BgL_effectz00) =
					((obj_t) BgL_effect1149z00_7211), BUNSPEC);
				return BgL_new1530z00_8353;
			}
		}

	}



/* &<@anonymous:2097> */
	obj_t BGl_z62zc3z04anonymousza32097ze3ze5zzast_nodez00(obj_t BgL_envz00_7212)
	{
		{	/* Ast/node.scm 105 */
			return BUNSPEC;
		}

	}



/* &lambda2096 */
	obj_t BGl_z62lambda2096z62zzast_nodez00(obj_t BgL_envz00_7213,
		obj_t BgL_oz00_7214, obj_t BgL_vz00_7215)
	{
		{	/* Ast/node.scm 105 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_7214)))->BgL_effectz00) =
				((obj_t) BgL_vz00_7215), BUNSPEC);
		}

	}



/* &lambda2095 */
	obj_t BGl_z62lambda2095z62zzast_nodez00(obj_t BgL_envz00_7216,
		obj_t BgL_oz00_7217)
	{
		{	/* Ast/node.scm 105 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_7217)))->BgL_effectz00);
		}

	}



/* &<@anonymous:2089> */
	obj_t BGl_z62zc3z04anonymousza32089ze3ze5zzast_nodez00(obj_t BgL_envz00_7218)
	{
		{	/* Ast/node.scm 105 */
			return BNIL;
		}

	}



/* &lambda2088 */
	obj_t BGl_z62lambda2088z62zzast_nodez00(obj_t BgL_envz00_7219,
		obj_t BgL_oz00_7220, obj_t BgL_vz00_7221)
	{
		{	/* Ast/node.scm 105 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_7220)))->BgL_exprza2za2) = ((obj_t)
					((obj_t) BgL_vz00_7221)), BUNSPEC);
		}

	}



/* &lambda2087 */
	obj_t BGl_z62lambda2087z62zzast_nodez00(obj_t BgL_envz00_7222,
		obj_t BgL_oz00_7223)
	{
		{	/* Ast/node.scm 105 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_7223)))->BgL_exprza2za2);
		}

	}



/* &<@anonymous:2045> */
	obj_t BGl_z62zc3z04anonymousza32045ze3ze5zzast_nodez00(obj_t BgL_envz00_7224,
		obj_t BgL_new1142z00_7225)
	{
		{	/* Ast/node.scm 93 */
			{
				BgL_funcallz00_bglt BgL_auxz00_14385;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_funcallz00_bglt) BgL_new1142z00_7225))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14389;

					{	/* Ast/node.scm 93 */
						obj_t BgL_classz00_8363;

						BgL_classz00_8363 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 93 */
							obj_t BgL__ortest_1106z00_8364;

							BgL__ortest_1106z00_8364 = BGL_CLASS_NIL(BgL_classz00_8363);
							if (CBOOL(BgL__ortest_1106z00_8364))
								{	/* Ast/node.scm 93 */
									BgL_auxz00_14389 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8364);
								}
							else
								{	/* Ast/node.scm 93 */
									BgL_auxz00_14389 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8363));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_funcallz00_bglt) BgL_new1142z00_7225))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14389), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14399;

					{	/* Ast/node.scm 93 */
						obj_t BgL_classz00_8365;

						BgL_classz00_8365 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 93 */
							obj_t BgL__ortest_1106z00_8366;

							BgL__ortest_1106z00_8366 = BGL_CLASS_NIL(BgL_classz00_8365);
							if (CBOOL(BgL__ortest_1106z00_8366))
								{	/* Ast/node.scm 93 */
									BgL_auxz00_14399 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_8366);
								}
							else
								{	/* Ast/node.scm 93 */
									BgL_auxz00_14399 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8365));
								}
						}
					}
					((((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_new1142z00_7225)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_14399), BUNSPEC);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_new1142z00_7225)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1142z00_7225)))->BgL_strengthz00) =
					((obj_t) CNST_TABLE_REF(((long) 91))), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1142z00_7225)))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14385 = ((BgL_funcallz00_bglt) BgL_new1142z00_7225);
				return ((obj_t) BgL_auxz00_14385);
			}
		}

	}



/* &lambda2043 */
	BgL_funcallz00_bglt BGl_z62lambda2043z62zzast_nodez00(obj_t BgL_envz00_7226)
	{
		{	/* Ast/node.scm 93 */
			{	/* Ast/node.scm 93 */
				BgL_funcallz00_bglt BgL_new1141z00_8367;

				BgL_new1141z00_8367 =
					((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_funcallz00_bgl))));
				{	/* Ast/node.scm 93 */
					long BgL_arg2044z00_8368;

					{	/* Ast/node.scm 93 */
						long BgL_res2924z00_8369;

						BgL_res2924z00_8369 = BGL_CLASS_INDEX(BGl_funcallz00zzast_nodez00);
						BgL_arg2044z00_8368 = BgL_res2924z00_8369;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1141z00_8367), BgL_arg2044z00_8368);
				}
				{	/* Ast/node.scm 93 */
					BgL_objectz00_bglt BgL_tmpz00_14421;

					BgL_tmpz00_14421 = ((BgL_objectz00_bglt) BgL_new1141z00_8367);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14421, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1141z00_8367);
				return BgL_new1141z00_8367;
			}
		}

	}



/* &lambda2041 */
	BgL_funcallz00_bglt BGl_z62lambda2041z62zzast_nodez00(obj_t BgL_envz00_7227,
		obj_t BgL_loc1135z00_7228, obj_t BgL_type1136z00_7229,
		obj_t BgL_fun1137z00_7230, obj_t BgL_args1138z00_7231,
		obj_t BgL_strength1139z00_7232, obj_t BgL_functions1140z00_7233)
	{
		{	/* Ast/node.scm 93 */
			{	/* Ast/node.scm 93 */
				BgL_funcallz00_bglt BgL_new1528z00_8373;

				{	/* Ast/node.scm 93 */
					BgL_funcallz00_bglt BgL_new1527z00_8374;

					BgL_new1527z00_8374 =
						((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_funcallz00_bgl))));
					{	/* Ast/node.scm 93 */
						long BgL_arg2042z00_8375;

						{	/* Ast/node.scm 93 */
							long BgL_res2923z00_8376;

							BgL_res2923z00_8376 =
								BGL_CLASS_INDEX(BGl_funcallz00zzast_nodez00);
							BgL_arg2042z00_8375 = BgL_res2923z00_8376;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1527z00_8374), BgL_arg2042z00_8375);
					}
					{	/* Ast/node.scm 93 */
						BgL_objectz00_bglt BgL_tmpz00_14429;

						BgL_tmpz00_14429 = ((BgL_objectz00_bglt) BgL_new1527z00_8374);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14429, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1527z00_8374);
					BgL_new1528z00_8373 = BgL_new1527z00_8374;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1528z00_8373)))->BgL_locz00) =
					((obj_t) BgL_loc1135z00_7228), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1528z00_8373)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1136z00_7229)),
					BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1528z00_8373))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_fun1137z00_7230)),
					BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1528z00_8373))->BgL_argsz00) =
					((obj_t) BgL_args1138z00_7231), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1528z00_8373))->
						BgL_strengthz00) =
					((obj_t) ((obj_t) BgL_strength1139z00_7232)), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1528z00_8373))->
						BgL_functionsz00) = ((obj_t) BgL_functions1140z00_7233), BUNSPEC);
				return BgL_new1528z00_8373;
			}
		}

	}



/* &<@anonymous:2070> */
	obj_t BGl_z62zc3z04anonymousza32070ze3ze5zzast_nodez00(obj_t BgL_envz00_7234)
	{
		{	/* Ast/node.scm 93 */
			return BUNSPEC;
		}

	}



/* &lambda2069 */
	obj_t BGl_z62lambda2069z62zzast_nodez00(obj_t BgL_envz00_7235,
		obj_t BgL_oz00_7236, obj_t BgL_vz00_7237)
	{
		{	/* Ast/node.scm 93 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_7236)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_7237), BUNSPEC);
		}

	}



/* &lambda2068 */
	obj_t BGl_z62lambda2068z62zzast_nodez00(obj_t BgL_envz00_7238,
		obj_t BgL_oz00_7239)
	{
		{	/* Ast/node.scm 93 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_7239)))->BgL_functionsz00);
		}

	}



/* &<@anonymous:2063> */
	obj_t BGl_z62zc3z04anonymousza32063ze3ze5zzast_nodez00(obj_t BgL_envz00_7240)
	{
		{	/* Ast/node.scm 93 */
			return CNST_TABLE_REF(((long) 92));
		}

	}



/* &lambda2062 */
	obj_t BGl_z62lambda2062z62zzast_nodez00(obj_t BgL_envz00_7241,
		obj_t BgL_oz00_7242, obj_t BgL_vz00_7243)
	{
		{	/* Ast/node.scm 93 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_7242)))->BgL_strengthz00) =
				((obj_t) ((obj_t) BgL_vz00_7243)), BUNSPEC);
		}

	}



/* &lambda2061 */
	obj_t BGl_z62lambda2061z62zzast_nodez00(obj_t BgL_envz00_7244,
		obj_t BgL_oz00_7245)
	{
		{	/* Ast/node.scm 93 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_7245)))->BgL_strengthz00);
		}

	}



/* &lambda2056 */
	obj_t BGl_z62lambda2056z62zzast_nodez00(obj_t BgL_envz00_7246,
		obj_t BgL_oz00_7247, obj_t BgL_vz00_7248)
	{
		{	/* Ast/node.scm 93 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_7247)))->BgL_argsz00) =
				((obj_t) BgL_vz00_7248), BUNSPEC);
		}

	}



/* &lambda2055 */
	obj_t BGl_z62lambda2055z62zzast_nodez00(obj_t BgL_envz00_7249,
		obj_t BgL_oz00_7250)
	{
		{	/* Ast/node.scm 93 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_7250)))->BgL_argsz00);
		}

	}



/* &lambda2051 */
	obj_t BGl_z62lambda2051z62zzast_nodez00(obj_t BgL_envz00_7251,
		obj_t BgL_oz00_7252, obj_t BgL_vz00_7253)
	{
		{	/* Ast/node.scm 93 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_7252)))->BgL_funz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7253)), BUNSPEC);
		}

	}



/* &lambda2050 */
	BgL_nodez00_bglt BGl_z62lambda2050z62zzast_nodez00(obj_t BgL_envz00_7254,
		obj_t BgL_oz00_7255)
	{
		{	/* Ast/node.scm 93 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_7255)))->BgL_funz00);
		}

	}



/* &<@anonymous:2024> */
	obj_t BGl_z62zc3z04anonymousza32024ze3ze5zzast_nodez00(obj_t BgL_envz00_7256,
		obj_t BgL_new1133z00_7257)
	{
		{	/* Ast/node.scm 86 */
			{
				BgL_appzd2lyzd2_bglt BgL_auxz00_14463;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_new1133z00_7257))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14467;

					{	/* Ast/node.scm 86 */
						obj_t BgL_classz00_8388;

						BgL_classz00_8388 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 86 */
							obj_t BgL__ortest_1106z00_8389;

							BgL__ortest_1106z00_8389 = BGL_CLASS_NIL(BgL_classz00_8388);
							if (CBOOL(BgL__ortest_1106z00_8389))
								{	/* Ast/node.scm 86 */
									BgL_auxz00_14467 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8389);
								}
							else
								{	/* Ast/node.scm 86 */
									BgL_auxz00_14467 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8388));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_new1133z00_7257))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14467), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14477;

					{	/* Ast/node.scm 86 */
						obj_t BgL_classz00_8390;

						BgL_classz00_8390 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 86 */
							obj_t BgL__ortest_1106z00_8391;

							BgL__ortest_1106z00_8391 = BGL_CLASS_NIL(BgL_classz00_8390);
							if (CBOOL(BgL__ortest_1106z00_8391))
								{	/* Ast/node.scm 86 */
									BgL_auxz00_14477 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_8391);
								}
							else
								{	/* Ast/node.scm 86 */
									BgL_auxz00_14477 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8390));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_new1133z00_7257)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_14477), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14486;

					{	/* Ast/node.scm 86 */
						obj_t BgL_classz00_8392;

						BgL_classz00_8392 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 86 */
							obj_t BgL__ortest_1106z00_8393;

							BgL__ortest_1106z00_8393 = BGL_CLASS_NIL(BgL_classz00_8392);
							if (CBOOL(BgL__ortest_1106z00_8393))
								{	/* Ast/node.scm 86 */
									BgL_auxz00_14486 =
										((BgL_nodez00_bglt) BgL__ortest_1106z00_8393);
								}
							else
								{	/* Ast/node.scm 86 */
									BgL_auxz00_14486 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8392));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_new1133z00_7257)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_14486), BUNSPEC);
				}
				BgL_auxz00_14463 = ((BgL_appzd2lyzd2_bglt) BgL_new1133z00_7257);
				return ((obj_t) BgL_auxz00_14463);
			}
		}

	}



/* &lambda2022 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2022z62zzast_nodez00(obj_t BgL_envz00_7258)
	{
		{	/* Ast/node.scm 86 */
			{	/* Ast/node.scm 86 */
				BgL_appzd2lyzd2_bglt BgL_new1132z00_8394;

				BgL_new1132z00_8394 =
					((BgL_appzd2lyzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_appzd2lyzd2_bgl))));
				{	/* Ast/node.scm 86 */
					long BgL_arg2023z00_8395;

					{	/* Ast/node.scm 86 */
						long BgL_res2922z00_8396;

						BgL_res2922z00_8396 = BGL_CLASS_INDEX(BGl_appzd2lyzd2zzast_nodez00);
						BgL_arg2023z00_8395 = BgL_res2922z00_8396;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1132z00_8394), BgL_arg2023z00_8395);
				}
				{	/* Ast/node.scm 86 */
					BgL_objectz00_bglt BgL_tmpz00_14501;

					BgL_tmpz00_14501 = ((BgL_objectz00_bglt) BgL_new1132z00_8394);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14501, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1132z00_8394);
				return BgL_new1132z00_8394;
			}
		}

	}



/* &lambda2020 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2020z62zzast_nodez00(obj_t BgL_envz00_7259,
		obj_t BgL_loc1128z00_7260, obj_t BgL_type1129z00_7261,
		obj_t BgL_fun1130z00_7262, obj_t BgL_arg1131z00_7263)
	{
		{	/* Ast/node.scm 86 */
			{	/* Ast/node.scm 86 */
				BgL_appzd2lyzd2_bglt BgL_new1526z00_8400;

				{	/* Ast/node.scm 86 */
					BgL_appzd2lyzd2_bglt BgL_new1525z00_8401;

					BgL_new1525z00_8401 =
						((BgL_appzd2lyzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzd2_bgl))));
					{	/* Ast/node.scm 86 */
						long BgL_arg2021z00_8402;

						{	/* Ast/node.scm 86 */
							long BgL_res2921z00_8403;

							BgL_res2921z00_8403 =
								BGL_CLASS_INDEX(BGl_appzd2lyzd2zzast_nodez00);
							BgL_arg2021z00_8402 = BgL_res2921z00_8403;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1525z00_8401), BgL_arg2021z00_8402);
					}
					{	/* Ast/node.scm 86 */
						BgL_objectz00_bglt BgL_tmpz00_14509;

						BgL_tmpz00_14509 = ((BgL_objectz00_bglt) BgL_new1525z00_8401);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14509, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1525z00_8401);
					BgL_new1526z00_8400 = BgL_new1525z00_8401;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1526z00_8400)))->BgL_locz00) =
					((obj_t) BgL_loc1128z00_7260), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1526z00_8400)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1129z00_7261)),
					BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_new1526z00_8400))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_fun1130z00_7262)),
					BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_new1526z00_8400))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1131z00_7263)),
					BUNSPEC);
				return BgL_new1526z00_8400;
			}
		}

	}



/* &lambda2035 */
	obj_t BGl_z62lambda2035z62zzast_nodez00(obj_t BgL_envz00_7264,
		obj_t BgL_oz00_7265, obj_t BgL_vz00_7266)
	{
		{	/* Ast/node.scm 86 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_oz00_7265)))->BgL_argz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7266)), BUNSPEC);
		}

	}



/* &lambda2034 */
	BgL_nodez00_bglt BGl_z62lambda2034z62zzast_nodez00(obj_t BgL_envz00_7267,
		obj_t BgL_oz00_7268)
	{
		{	/* Ast/node.scm 86 */
			return
				(((BgL_appzd2lyzd2_bglt) COBJECT(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_7268)))->BgL_argz00);
		}

	}



/* &lambda2029 */
	obj_t BGl_z62lambda2029z62zzast_nodez00(obj_t BgL_envz00_7269,
		obj_t BgL_oz00_7270, obj_t BgL_vz00_7271)
	{
		{	/* Ast/node.scm 86 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_oz00_7270)))->BgL_funz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7271)), BUNSPEC);
		}

	}



/* &lambda2028 */
	BgL_nodez00_bglt BGl_z62lambda2028z62zzast_nodez00(obj_t BgL_envz00_7272,
		obj_t BgL_oz00_7273)
	{
		{	/* Ast/node.scm 86 */
			return
				(((BgL_appzd2lyzd2_bglt) COBJECT(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_7273)))->BgL_funz00);
		}

	}



/* &<@anonymous:2004> */
	obj_t BGl_z62zc3z04anonymousza32004ze3ze5zzast_nodez00(obj_t BgL_envz00_7274,
		obj_t BgL_new1126z00_7275)
	{
		{	/* Ast/node.scm 79 */
			{
				BgL_appz00_bglt BgL_auxz00_14532;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_new1126z00_7275))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14536;

					{	/* Ast/node.scm 79 */
						obj_t BgL_classz00_8411;

						BgL_classz00_8411 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 79 */
							obj_t BgL__ortest_1106z00_8412;

							BgL__ortest_1106z00_8412 = BGL_CLASS_NIL(BgL_classz00_8411);
							if (CBOOL(BgL__ortest_1106z00_8412))
								{	/* Ast/node.scm 79 */
									BgL_auxz00_14536 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8412);
								}
							else
								{	/* Ast/node.scm 79 */
									BgL_auxz00_14536 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8411));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt) BgL_new1126z00_7275))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14536), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_appz00_bglt) BgL_new1126z00_7275))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_appz00_bglt)
										BgL_new1126z00_7275))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_14552;

					{	/* Ast/node.scm 79 */
						obj_t BgL_classz00_8413;

						BgL_classz00_8413 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 79 */
							obj_t BgL__ortest_1106z00_8414;

							BgL__ortest_1106z00_8414 = BGL_CLASS_NIL(BgL_classz00_8413);
							if (CBOOL(BgL__ortest_1106z00_8414))
								{	/* Ast/node.scm 79 */
									BgL_auxz00_14552 =
										((BgL_varz00_bglt) BgL__ortest_1106z00_8414);
								}
							else
								{	/* Ast/node.scm 79 */
									BgL_auxz00_14552 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8413));
								}
						}
					}
					((((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_new1126z00_7275)))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_14552), BUNSPEC);
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_new1126z00_7275)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14532 = ((BgL_appz00_bglt) BgL_new1126z00_7275);
				return ((obj_t) BgL_auxz00_14532);
			}
		}

	}



/* &lambda2002 */
	BgL_appz00_bglt BGl_z62lambda2002z62zzast_nodez00(obj_t BgL_envz00_7276)
	{
		{	/* Ast/node.scm 79 */
			{	/* Ast/node.scm 79 */
				BgL_appz00_bglt BgL_new1125z00_8415;

				BgL_new1125z00_8415 =
					((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_appz00_bgl))));
				{	/* Ast/node.scm 79 */
					long BgL_arg2003z00_8416;

					{	/* Ast/node.scm 79 */
						long BgL_res2920z00_8417;

						BgL_res2920z00_8417 = BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
						BgL_arg2003z00_8416 = BgL_res2920z00_8417;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1125z00_8415), BgL_arg2003z00_8416);
				}
				{	/* Ast/node.scm 79 */
					BgL_objectz00_bglt BgL_tmpz00_14569;

					BgL_tmpz00_14569 = ((BgL_objectz00_bglt) BgL_new1125z00_8415);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14569, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1125z00_8415);
				return BgL_new1125z00_8415;
			}
		}

	}



/* &lambda1999 */
	BgL_appz00_bglt BGl_z62lambda1999z62zzast_nodez00(obj_t BgL_envz00_7277,
		obj_t BgL_loc1118z00_7278, obj_t BgL_type1119z00_7279,
		obj_t BgL_sidezd2effect1120zd2_7280, obj_t BgL_key1121z00_7281,
		obj_t BgL_fun1122z00_7282, obj_t BgL_args1123z00_7283)
	{
		{	/* Ast/node.scm 79 */
			{	/* Ast/node.scm 79 */
				BgL_appz00_bglt BgL_new1524z00_8420;

				{	/* Ast/node.scm 79 */
					BgL_appz00_bglt BgL_new1523z00_8421;

					BgL_new1523z00_8421 =
						((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appz00_bgl))));
					{	/* Ast/node.scm 79 */
						long BgL_arg2001z00_8422;

						{	/* Ast/node.scm 79 */
							long BgL_res2919z00_8423;

							BgL_res2919z00_8423 = BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
							BgL_arg2001z00_8422 = BgL_res2919z00_8423;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1523z00_8421), BgL_arg2001z00_8422);
					}
					{	/* Ast/node.scm 79 */
						BgL_objectz00_bglt BgL_tmpz00_14577;

						BgL_tmpz00_14577 = ((BgL_objectz00_bglt) BgL_new1523z00_8421);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14577, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1523z00_8421);
					BgL_new1524z00_8420 = BgL_new1523z00_8421;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1524z00_8420)))->BgL_locz00) =
					((obj_t) BgL_loc1118z00_7278), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1524z00_8420)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1119z00_7279)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1524z00_8420)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1120zd2_7280), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1524z00_8420)))->BgL_keyz00) =
					((obj_t) BgL_key1121z00_7281), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1524z00_8420))->BgL_funz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_fun1122z00_7282)), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1524z00_8420))->BgL_argsz00) =
					((obj_t) BgL_args1123z00_7283), BUNSPEC);
				return BgL_new1524z00_8420;
			}
		}

	}



/* &lambda2014 */
	obj_t BGl_z62lambda2014z62zzast_nodez00(obj_t BgL_envz00_7284,
		obj_t BgL_oz00_7285, obj_t BgL_vz00_7286)
	{
		{	/* Ast/node.scm 79 */
			return
				((((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_oz00_7285)))->BgL_argsz00) =
				((obj_t) BgL_vz00_7286), BUNSPEC);
		}

	}



/* &lambda2013 */
	obj_t BGl_z62lambda2013z62zzast_nodez00(obj_t BgL_envz00_7287,
		obj_t BgL_oz00_7288)
	{
		{	/* Ast/node.scm 79 */
			return
				(((BgL_appz00_bglt) COBJECT(
						((BgL_appz00_bglt) BgL_oz00_7288)))->BgL_argsz00);
		}

	}



/* &lambda2009 */
	obj_t BGl_z62lambda2009z62zzast_nodez00(obj_t BgL_envz00_7289,
		obj_t BgL_oz00_7290, obj_t BgL_vz00_7291)
	{
		{	/* Ast/node.scm 79 */
			return
				((((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_oz00_7290)))->BgL_funz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_7291)), BUNSPEC);
		}

	}



/* &lambda2008 */
	BgL_varz00_bglt BGl_z62lambda2008z62zzast_nodez00(obj_t BgL_envz00_7292,
		obj_t BgL_oz00_7293)
	{
		{	/* Ast/node.scm 79 */
			return
				(((BgL_appz00_bglt) COBJECT(
						((BgL_appz00_bglt) BgL_oz00_7293)))->BgL_funz00);
		}

	}



/* &<@anonymous:1969> */
	obj_t BGl_z62zc3z04anonymousza31969ze3ze5zzast_nodez00(obj_t BgL_envz00_7294,
		obj_t BgL_new1116z00_7295)
	{
		{	/* Ast/node.scm 73 */
			{
				BgL_sequencez00_bglt BgL_auxz00_14602;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_sequencez00_bglt) BgL_new1116z00_7295))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14606;

					{	/* Ast/node.scm 73 */
						obj_t BgL_classz00_8430;

						BgL_classz00_8430 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 73 */
							obj_t BgL__ortest_1106z00_8431;

							BgL__ortest_1106z00_8431 = BGL_CLASS_NIL(BgL_classz00_8430);
							if (CBOOL(BgL__ortest_1106z00_8431))
								{	/* Ast/node.scm 73 */
									BgL_auxz00_14606 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8431);
								}
							else
								{	/* Ast/node.scm 73 */
									BgL_auxz00_14606 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8430));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_sequencez00_bglt) BgL_new1116z00_7295))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14606), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_sequencez00_bglt) BgL_new1116z00_7295))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_sequencez00_bglt)
										BgL_new1116z00_7295))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
									BgL_new1116z00_7295)))->BgL_nodesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
									BgL_new1116z00_7295)))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
									BgL_new1116z00_7295)))->BgL_metaz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_14602 = ((BgL_sequencez00_bglt) BgL_new1116z00_7295);
				return ((obj_t) BgL_auxz00_14602);
			}
		}

	}



/* &lambda1967 */
	BgL_sequencez00_bglt BGl_z62lambda1967z62zzast_nodez00(obj_t BgL_envz00_7296)
	{
		{	/* Ast/node.scm 73 */
			{	/* Ast/node.scm 73 */
				BgL_sequencez00_bglt BgL_new1115z00_8432;

				BgL_new1115z00_8432 =
					((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sequencez00_bgl))));
				{	/* Ast/node.scm 73 */
					long BgL_arg1968z00_8433;

					{	/* Ast/node.scm 73 */
						long BgL_res2918z00_8434;

						BgL_res2918z00_8434 = BGL_CLASS_INDEX(BGl_sequencez00zzast_nodez00);
						BgL_arg1968z00_8433 = BgL_res2918z00_8434;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1115z00_8432), BgL_arg1968z00_8433);
				}
				{	/* Ast/node.scm 73 */
					BgL_objectz00_bglt BgL_tmpz00_14634;

					BgL_tmpz00_14634 = ((BgL_objectz00_bglt) BgL_new1115z00_8432);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14634, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1115z00_8432);
				return BgL_new1115z00_8432;
			}
		}

	}



/* &lambda1965 */
	BgL_sequencez00_bglt BGl_z62lambda1965z62zzast_nodez00(obj_t BgL_envz00_7297,
		obj_t BgL_loc1108z00_7298, obj_t BgL_type1109z00_7299,
		obj_t BgL_sidezd2effect1110zd2_7300, obj_t BgL_key1111z00_7301,
		obj_t BgL_nodes1112z00_7302, obj_t BgL_unsafe1113z00_7303,
		obj_t BgL_meta1114z00_7304)
	{
		{	/* Ast/node.scm 73 */
			{	/* Ast/node.scm 73 */
				bool_t BgL_unsafe1113z00_8437;

				BgL_unsafe1113z00_8437 = CBOOL(BgL_unsafe1113z00_7303);
				{	/* Ast/node.scm 73 */
					BgL_sequencez00_bglt BgL_new1522z00_8439;

					{	/* Ast/node.scm 73 */
						BgL_sequencez00_bglt BgL_new1521z00_8440;

						BgL_new1521z00_8440 =
							((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sequencez00_bgl))));
						{	/* Ast/node.scm 73 */
							long BgL_arg1966z00_8441;

							{	/* Ast/node.scm 73 */
								long BgL_res2917z00_8442;

								BgL_res2917z00_8442 =
									BGL_CLASS_INDEX(BGl_sequencez00zzast_nodez00);
								BgL_arg1966z00_8441 = BgL_res2917z00_8442;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1521z00_8440),
								BgL_arg1966z00_8441);
						}
						{	/* Ast/node.scm 73 */
							BgL_objectz00_bglt BgL_tmpz00_14643;

							BgL_tmpz00_14643 = ((BgL_objectz00_bglt) BgL_new1521z00_8440);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14643, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1521z00_8440);
						BgL_new1522z00_8439 = BgL_new1521z00_8440;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1522z00_8439)))->BgL_locz00) =
						((obj_t) BgL_loc1108z00_7298), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1522z00_8439)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1109z00_7299)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1522z00_8439)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1110zd2_7300), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1522z00_8439)))->BgL_keyz00) =
						((obj_t) BgL_key1111z00_7301), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(BgL_new1522z00_8439))->
							BgL_nodesz00) =
						((obj_t) ((obj_t) BgL_nodes1112z00_7302)), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(BgL_new1522z00_8439))->
							BgL_unsafez00) = ((bool_t) BgL_unsafe1113z00_8437), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(BgL_new1522z00_8439))->
							BgL_metaz00) = ((obj_t) ((obj_t) BgL_meta1114z00_7304)), BUNSPEC);
					return BgL_new1522z00_8439;
				}
			}
		}

	}



/* &<@anonymous:1990> */
	obj_t BGl_z62zc3z04anonymousza31990ze3ze5zzast_nodez00(obj_t BgL_envz00_7305)
	{
		{	/* Ast/node.scm 73 */
			return BNIL;
		}

	}



/* &lambda1989 */
	obj_t BGl_z62lambda1989z62zzast_nodez00(obj_t BgL_envz00_7306,
		obj_t BgL_oz00_7307, obj_t BgL_vz00_7308)
	{
		{	/* Ast/node.scm 73 */
			return
				((((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_oz00_7307)))->BgL_metaz00) = ((obj_t)
					((obj_t) BgL_vz00_7308)), BUNSPEC);
		}

	}



/* &lambda1988 */
	obj_t BGl_z62lambda1988z62zzast_nodez00(obj_t BgL_envz00_7309,
		obj_t BgL_oz00_7310)
	{
		{	/* Ast/node.scm 73 */
			return
				(((BgL_sequencez00_bglt) COBJECT(
						((BgL_sequencez00_bglt) BgL_oz00_7310)))->BgL_metaz00);
		}

	}



/* &<@anonymous:1983> */
	obj_t BGl_z62zc3z04anonymousza31983ze3ze5zzast_nodez00(obj_t BgL_envz00_7311)
	{
		{	/* Ast/node.scm 73 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1982 */
	obj_t BGl_z62lambda1982z62zzast_nodez00(obj_t BgL_envz00_7312,
		obj_t BgL_oz00_7313, obj_t BgL_vz00_7314)
	{
		{	/* Ast/node.scm 73 */
			{	/* Ast/node.scm 73 */
				bool_t BgL_vz00_8447;

				BgL_vz00_8447 = CBOOL(BgL_vz00_7314);
				return
					((((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_oz00_7313)))->BgL_unsafez00) =
					((bool_t) BgL_vz00_8447), BUNSPEC);
			}
		}

	}



/* &lambda1981 */
	obj_t BGl_z62lambda1981z62zzast_nodez00(obj_t BgL_envz00_7315,
		obj_t BgL_oz00_7316)
	{
		{	/* Ast/node.scm 73 */
			return
				BBOOL(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_oz00_7316)))->BgL_unsafez00));
		}

	}



/* &lambda1976 */
	obj_t BGl_z62lambda1976z62zzast_nodez00(obj_t BgL_envz00_7317,
		obj_t BgL_oz00_7318, obj_t BgL_vz00_7319)
	{
		{	/* Ast/node.scm 73 */
			return
				((((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_oz00_7318)))->BgL_nodesz00) = ((obj_t)
					((obj_t) BgL_vz00_7319)), BUNSPEC);
		}

	}



/* &lambda1975 */
	obj_t BGl_z62lambda1975z62zzast_nodez00(obj_t BgL_envz00_7320,
		obj_t BgL_oz00_7321)
	{
		{	/* Ast/node.scm 73 */
			return
				(((BgL_sequencez00_bglt) COBJECT(
						((BgL_sequencez00_bglt) BgL_oz00_7321)))->BgL_nodesz00);
		}

	}



/* &<@anonymous:1954> */
	obj_t BGl_z62zc3z04anonymousza31954ze3ze5zzast_nodez00(obj_t BgL_envz00_7322,
		obj_t BgL_new1106z00_7323)
	{
		{	/* Ast/node.scm 68 */
			{
				BgL_kwotez00_bglt BgL_auxz00_14678;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_kwotez00_bglt) BgL_new1106z00_7323))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14682;

					{	/* Ast/node.scm 68 */
						obj_t BgL_classz00_8453;

						BgL_classz00_8453 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 68 */
							obj_t BgL__ortest_1106z00_8454;

							BgL__ortest_1106z00_8454 = BGL_CLASS_NIL(BgL_classz00_8453);
							if (CBOOL(BgL__ortest_1106z00_8454))
								{	/* Ast/node.scm 68 */
									BgL_auxz00_14682 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8454);
								}
							else
								{	/* Ast/node.scm 68 */
									BgL_auxz00_14682 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8453));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_kwotez00_bglt) BgL_new1106z00_7323))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14682), BUNSPEC);
				}
				((((BgL_kwotez00_bglt) COBJECT(
								((BgL_kwotez00_bglt) BgL_new1106z00_7323)))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14678 = ((BgL_kwotez00_bglt) BgL_new1106z00_7323);
				return ((obj_t) BgL_auxz00_14678);
			}
		}

	}



/* &lambda1952 */
	BgL_kwotez00_bglt BGl_z62lambda1952z62zzast_nodez00(obj_t BgL_envz00_7324)
	{
		{	/* Ast/node.scm 68 */
			{	/* Ast/node.scm 68 */
				BgL_kwotez00_bglt BgL_new1105z00_8455;

				BgL_new1105z00_8455 =
					((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_kwotez00_bgl))));
				{	/* Ast/node.scm 68 */
					long BgL_arg1953z00_8456;

					{	/* Ast/node.scm 68 */
						long BgL_res2916z00_8457;

						BgL_res2916z00_8457 = BGL_CLASS_INDEX(BGl_kwotez00zzast_nodez00);
						BgL_arg1953z00_8456 = BgL_res2916z00_8457;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1105z00_8455), BgL_arg1953z00_8456);
				}
				{	/* Ast/node.scm 68 */
					BgL_objectz00_bglt BgL_tmpz00_14700;

					BgL_tmpz00_14700 = ((BgL_objectz00_bglt) BgL_new1105z00_8455);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14700, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1105z00_8455);
				return BgL_new1105z00_8455;
			}
		}

	}



/* &lambda1950 */
	BgL_kwotez00_bglt BGl_z62lambda1950z62zzast_nodez00(obj_t BgL_envz00_7325,
		obj_t BgL_loc1102z00_7326, obj_t BgL_type1103z00_7327,
		obj_t BgL_value1104z00_7328)
	{
		{	/* Ast/node.scm 68 */
			{	/* Ast/node.scm 68 */
				BgL_kwotez00_bglt BgL_new1520z00_8459;

				{	/* Ast/node.scm 68 */
					BgL_kwotez00_bglt BgL_new1519z00_8460;

					BgL_new1519z00_8460 =
						((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotez00_bgl))));
					{	/* Ast/node.scm 68 */
						long BgL_arg1951z00_8461;

						{	/* Ast/node.scm 68 */
							long BgL_res2915z00_8462;

							BgL_res2915z00_8462 = BGL_CLASS_INDEX(BGl_kwotez00zzast_nodez00);
							BgL_arg1951z00_8461 = BgL_res2915z00_8462;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1519z00_8460), BgL_arg1951z00_8461);
					}
					{	/* Ast/node.scm 68 */
						BgL_objectz00_bglt BgL_tmpz00_14708;

						BgL_tmpz00_14708 = ((BgL_objectz00_bglt) BgL_new1519z00_8460);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14708, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1519z00_8460);
					BgL_new1520z00_8459 = BgL_new1519z00_8460;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1520z00_8459)))->BgL_locz00) =
					((obj_t) BgL_loc1102z00_7326), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1520z00_8459)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1103z00_7327)),
					BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(BgL_new1520z00_8459))->BgL_valuez00) =
					((obj_t) BgL_value1104z00_7328), BUNSPEC);
				return BgL_new1520z00_8459;
			}
		}

	}



/* &lambda1959 */
	obj_t BGl_z62lambda1959z62zzast_nodez00(obj_t BgL_envz00_7329,
		obj_t BgL_oz00_7330, obj_t BgL_vz00_7331)
	{
		{	/* Ast/node.scm 68 */
			return
				((((BgL_kwotez00_bglt) COBJECT(
							((BgL_kwotez00_bglt) BgL_oz00_7330)))->BgL_valuez00) =
				((obj_t) BgL_vz00_7331), BUNSPEC);
		}

	}



/* &lambda1958 */
	obj_t BGl_z62lambda1958z62zzast_nodez00(obj_t BgL_envz00_7332,
		obj_t BgL_oz00_7333)
	{
		{	/* Ast/node.scm 68 */
			return
				(((BgL_kwotez00_bglt) COBJECT(
						((BgL_kwotez00_bglt) BgL_oz00_7333)))->BgL_valuez00);
		}

	}



/* &<@anonymous:1944> */
	obj_t BGl_z62zc3z04anonymousza31944ze3ze5zzast_nodez00(obj_t BgL_envz00_7334,
		obj_t BgL_new1100z00_7335)
	{
		{	/* Ast/node.scm 65 */
			{
				BgL_closurez00_bglt BgL_auxz00_14722;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_closurez00_bglt) BgL_new1100z00_7335))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14726;

					{	/* Ast/node.scm 65 */
						obj_t BgL_classz00_8466;

						BgL_classz00_8466 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 65 */
							obj_t BgL__ortest_1106z00_8467;

							BgL__ortest_1106z00_8467 = BGL_CLASS_NIL(BgL_classz00_8466);
							if (CBOOL(BgL__ortest_1106z00_8467))
								{	/* Ast/node.scm 65 */
									BgL_auxz00_14726 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8467);
								}
							else
								{	/* Ast/node.scm 65 */
									BgL_auxz00_14726 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8466));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_closurez00_bglt) BgL_new1100z00_7335))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14726), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_14736;

					{	/* Ast/node.scm 65 */
						obj_t BgL_classz00_8468;

						BgL_classz00_8468 = BGl_variablez00zzast_varz00;
						{	/* Ast/node.scm 65 */
							obj_t BgL__ortest_1106z00_8469;

							BgL__ortest_1106z00_8469 = BGL_CLASS_NIL(BgL_classz00_8468);
							if (CBOOL(BgL__ortest_1106z00_8469))
								{	/* Ast/node.scm 65 */
									BgL_auxz00_14736 =
										((BgL_variablez00_bglt) BgL__ortest_1106z00_8469);
								}
							else
								{	/* Ast/node.scm 65 */
									BgL_auxz00_14736 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8468));
								}
						}
					}
					((((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										((BgL_closurez00_bglt) BgL_new1100z00_7335))))->
							BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_14736), BUNSPEC);
				}
				BgL_auxz00_14722 = ((BgL_closurez00_bglt) BgL_new1100z00_7335);
				return ((obj_t) BgL_auxz00_14722);
			}
		}

	}



/* &lambda1942 */
	BgL_closurez00_bglt BGl_z62lambda1942z62zzast_nodez00(obj_t BgL_envz00_7336)
	{
		{	/* Ast/node.scm 65 */
			{	/* Ast/node.scm 65 */
				BgL_closurez00_bglt BgL_new1099z00_8470;

				BgL_new1099z00_8470 =
					((BgL_closurez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_closurez00_bgl))));
				{	/* Ast/node.scm 65 */
					long BgL_arg1943z00_8471;

					{	/* Ast/node.scm 65 */
						long BgL_res2914z00_8472;

						BgL_res2914z00_8472 = BGL_CLASS_INDEX(BGl_closurez00zzast_nodez00);
						BgL_arg1943z00_8471 = BgL_res2914z00_8472;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1099z00_8470), BgL_arg1943z00_8471);
				}
				return BgL_new1099z00_8470;
			}
		}

	}



/* &lambda1940 */
	BgL_closurez00_bglt BGl_z62lambda1940z62zzast_nodez00(obj_t BgL_envz00_7337,
		obj_t BgL_loc1096z00_7338, obj_t BgL_type1097z00_7339,
		obj_t BgL_variable1098z00_7340)
	{
		{	/* Ast/node.scm 65 */
			{	/* Ast/node.scm 65 */
				BgL_closurez00_bglt BgL_new1518z00_8475;

				{	/* Ast/node.scm 65 */
					BgL_closurez00_bglt BgL_new1517z00_8476;

					BgL_new1517z00_8476 =
						((BgL_closurez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_closurez00_bgl))));
					{	/* Ast/node.scm 65 */
						long BgL_arg1941z00_8477;

						{	/* Ast/node.scm 65 */
							long BgL_res2913z00_8478;

							BgL_res2913z00_8478 =
								BGL_CLASS_INDEX(BGl_closurez00zzast_nodez00);
							BgL_arg1941z00_8477 = BgL_res2913z00_8478;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1517z00_8476), BgL_arg1941z00_8477);
					}
					BgL_new1518z00_8475 = BgL_new1517z00_8476;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1518z00_8475)))->BgL_locz00) =
					((obj_t) BgL_loc1096z00_7338), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1518z00_8475)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1097z00_7339)),
					BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_new1518z00_8475)))->
						BgL_variablez00) =
					((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
							BgL_variable1098z00_7340)), BUNSPEC);
				return BgL_new1518z00_8475;
			}
		}

	}



/* &<@anonymous:1929> */
	obj_t BGl_z62zc3z04anonymousza31929ze3ze5zzast_nodez00(obj_t BgL_envz00_7341,
		obj_t BgL_new1094z00_7342)
	{
		{	/* Ast/node.scm 60 */
			{
				BgL_varz00_bglt BgL_auxz00_14764;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_varz00_bglt) BgL_new1094z00_7342))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14768;

					{	/* Ast/node.scm 60 */
						obj_t BgL_classz00_8480;

						BgL_classz00_8480 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 60 */
							obj_t BgL__ortest_1106z00_8481;

							BgL__ortest_1106z00_8481 = BGL_CLASS_NIL(BgL_classz00_8480);
							if (CBOOL(BgL__ortest_1106z00_8481))
								{	/* Ast/node.scm 60 */
									BgL_auxz00_14768 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8481);
								}
							else
								{	/* Ast/node.scm 60 */
									BgL_auxz00_14768 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8480));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_varz00_bglt) BgL_new1094z00_7342))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14768), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_14778;

					{	/* Ast/node.scm 60 */
						obj_t BgL_classz00_8482;

						BgL_classz00_8482 = BGl_variablez00zzast_varz00;
						{	/* Ast/node.scm 60 */
							obj_t BgL__ortest_1106z00_8483;

							BgL__ortest_1106z00_8483 = BGL_CLASS_NIL(BgL_classz00_8482);
							if (CBOOL(BgL__ortest_1106z00_8483))
								{	/* Ast/node.scm 60 */
									BgL_auxz00_14778 =
										((BgL_variablez00_bglt) BgL__ortest_1106z00_8483);
								}
							else
								{	/* Ast/node.scm 60 */
									BgL_auxz00_14778 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8482));
								}
						}
					}
					((((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_new1094z00_7342)))->BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_14778), BUNSPEC);
				}
				BgL_auxz00_14764 = ((BgL_varz00_bglt) BgL_new1094z00_7342);
				return ((obj_t) BgL_auxz00_14764);
			}
		}

	}



/* &lambda1927 */
	BgL_varz00_bglt BGl_z62lambda1927z62zzast_nodez00(obj_t BgL_envz00_7343)
	{
		{	/* Ast/node.scm 60 */
			{	/* Ast/node.scm 60 */
				BgL_varz00_bglt BgL_new1093z00_8484;

				BgL_new1093z00_8484 =
					((BgL_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_varz00_bgl))));
				{	/* Ast/node.scm 60 */
					long BgL_arg1928z00_8485;

					{	/* Ast/node.scm 60 */
						long BgL_res2912z00_8486;

						BgL_res2912z00_8486 = BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
						BgL_arg1928z00_8485 = BgL_res2912z00_8486;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1093z00_8484), BgL_arg1928z00_8485);
				}
				return BgL_new1093z00_8484;
			}
		}

	}



/* &lambda1925 */
	BgL_varz00_bglt BGl_z62lambda1925z62zzast_nodez00(obj_t BgL_envz00_7344,
		obj_t BgL_loc1090z00_7345, obj_t BgL_type1091z00_7346,
		obj_t BgL_variable1092z00_7347)
	{
		{	/* Ast/node.scm 60 */
			{	/* Ast/node.scm 60 */
				BgL_varz00_bglt BgL_new1516z00_8489;

				{	/* Ast/node.scm 60 */
					BgL_varz00_bglt BgL_new1515z00_8490;

					BgL_new1515z00_8490 =
						((BgL_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_varz00_bgl))));
					{	/* Ast/node.scm 60 */
						long BgL_arg1926z00_8491;

						{	/* Ast/node.scm 60 */
							long BgL_res2911z00_8492;

							BgL_res2911z00_8492 = BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
							BgL_arg1926z00_8491 = BgL_res2911z00_8492;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1515z00_8490), BgL_arg1926z00_8491);
					}
					BgL_new1516z00_8489 = BgL_new1515z00_8490;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1516z00_8489)))->BgL_locz00) =
					((obj_t) BgL_loc1090z00_7345), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1516z00_8489)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1091z00_7346)),
					BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(BgL_new1516z00_8489))->BgL_variablez00) =
					((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
							BgL_variable1092z00_7347)), BUNSPEC);
				return BgL_new1516z00_8489;
			}
		}

	}



/* &lambda1934 */
	obj_t BGl_z62lambda1934z62zzast_nodez00(obj_t BgL_envz00_7348,
		obj_t BgL_oz00_7349, obj_t BgL_vz00_7350)
	{
		{	/* Ast/node.scm 60 */
			return
				((((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_oz00_7349)))->BgL_variablez00) =
				((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_7350)),
				BUNSPEC);
		}

	}



/* &lambda1933 */
	BgL_variablez00_bglt BGl_z62lambda1933z62zzast_nodez00(obj_t BgL_envz00_7351,
		obj_t BgL_oz00_7352)
	{
		{	/* Ast/node.scm 60 */
			return
				(((BgL_varz00_bglt) COBJECT(
						((BgL_varz00_bglt) BgL_oz00_7352)))->BgL_variablez00);
		}

	}



/* &<@anonymous:1900> */
	obj_t BGl_z62zc3z04anonymousza31900ze3ze5zzast_nodez00(obj_t BgL_envz00_7353,
		obj_t BgL_new1088z00_7354)
	{
		{	/* Ast/node.scm 54 */
			{
				BgL_patchz00_bglt BgL_auxz00_14809;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_patchz00_bglt) BgL_new1088z00_7354))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14813;

					{	/* Ast/node.scm 54 */
						obj_t BgL_classz00_8497;

						BgL_classz00_8497 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 54 */
							obj_t BgL__ortest_1106z00_8498;

							BgL__ortest_1106z00_8498 = BGL_CLASS_NIL(BgL_classz00_8497);
							if (CBOOL(BgL__ortest_1106z00_8498))
								{	/* Ast/node.scm 54 */
									BgL_auxz00_14813 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8498);
								}
							else
								{	/* Ast/node.scm 54 */
									BgL_auxz00_14813 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8497));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_patchz00_bglt) BgL_new1088z00_7354))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14813), BUNSPEC);
				}
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt)
									((BgL_patchz00_bglt) BgL_new1088z00_7354))))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_14826;

					{	/* Ast/node.scm 54 */
						obj_t BgL_classz00_8499;

						BgL_classz00_8499 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 54 */
							obj_t BgL__ortest_1106z00_8500;

							BgL__ortest_1106z00_8500 = BGL_CLASS_NIL(BgL_classz00_8499);
							if (CBOOL(BgL__ortest_1106z00_8500))
								{	/* Ast/node.scm 54 */
									BgL_auxz00_14826 =
										((BgL_varz00_bglt) BgL__ortest_1106z00_8500);
								}
							else
								{	/* Ast/node.scm 54 */
									BgL_auxz00_14826 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8499));
								}
						}
					}
					((((BgL_patchz00_bglt) COBJECT(
									((BgL_patchz00_bglt) BgL_new1088z00_7354)))->BgL_refz00) =
						((BgL_varz00_bglt) BgL_auxz00_14826), BUNSPEC);
				}
				((((BgL_patchz00_bglt) COBJECT(
								((BgL_patchz00_bglt) BgL_new1088z00_7354)))->BgL_indexz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt)
									BgL_new1088z00_7354)))->BgL_patchidz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14809 = ((BgL_patchz00_bglt) BgL_new1088z00_7354);
				return ((obj_t) BgL_auxz00_14809);
			}
		}

	}



/* &lambda1898 */
	BgL_patchz00_bglt BGl_z62lambda1898z62zzast_nodez00(obj_t BgL_envz00_7355)
	{
		{	/* Ast/node.scm 54 */
			{	/* Ast/node.scm 54 */
				BgL_patchz00_bglt BgL_new1087z00_8501;

				BgL_new1087z00_8501 =
					((BgL_patchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_patchz00_bgl))));
				{	/* Ast/node.scm 54 */
					long BgL_arg1899z00_8502;

					{	/* Ast/node.scm 54 */
						long BgL_res2910z00_8503;

						BgL_res2910z00_8503 = BGL_CLASS_INDEX(BGl_patchz00zzast_nodez00);
						BgL_arg1899z00_8502 = BgL_res2910z00_8503;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1087z00_8501), BgL_arg1899z00_8502);
				}
				{	/* Ast/node.scm 54 */
					BgL_objectz00_bglt BgL_tmpz00_14845;

					BgL_tmpz00_14845 = ((BgL_objectz00_bglt) BgL_new1087z00_8501);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14845, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1087z00_8501);
				return BgL_new1087z00_8501;
			}
		}

	}



/* &lambda1896 */
	BgL_patchz00_bglt BGl_z62lambda1896z62zzast_nodez00(obj_t BgL_envz00_7356,
		obj_t BgL_loc1081z00_7357, obj_t BgL_type1082z00_7358,
		obj_t BgL_value1083z00_7359, obj_t BgL_ref1084z00_7360,
		obj_t BgL_index1085z00_7361, obj_t BgL_patchid1086z00_7362)
	{
		{	/* Ast/node.scm 54 */
			{	/* Ast/node.scm 54 */
				long BgL_index1085z00_8506;

				BgL_index1085z00_8506 = (long) CINT(BgL_index1085z00_7361);
				{	/* Ast/node.scm 54 */
					BgL_patchz00_bglt BgL_new1514z00_8507;

					{	/* Ast/node.scm 54 */
						BgL_patchz00_bglt BgL_new1513z00_8508;

						BgL_new1513z00_8508 =
							((BgL_patchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_patchz00_bgl))));
						{	/* Ast/node.scm 54 */
							long BgL_arg1897z00_8509;

							{	/* Ast/node.scm 54 */
								long BgL_res2909z00_8510;

								BgL_res2909z00_8510 =
									BGL_CLASS_INDEX(BGl_patchz00zzast_nodez00);
								BgL_arg1897z00_8509 = BgL_res2909z00_8510;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1513z00_8508),
								BgL_arg1897z00_8509);
						}
						{	/* Ast/node.scm 54 */
							BgL_objectz00_bglt BgL_tmpz00_14854;

							BgL_tmpz00_14854 = ((BgL_objectz00_bglt) BgL_new1513z00_8508);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14854, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1513z00_8508);
						BgL_new1514z00_8507 = BgL_new1513z00_8508;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1514z00_8507)))->BgL_locz00) =
						((obj_t) BgL_loc1081z00_7357), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1514z00_8507)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1082z00_7358)),
						BUNSPEC);
					((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
										BgL_new1514z00_8507)))->BgL_valuez00) =
						((obj_t) BgL_value1083z00_7359), BUNSPEC);
					((((BgL_patchz00_bglt) COBJECT(BgL_new1514z00_8507))->BgL_refz00) =
						((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_ref1084z00_7360)),
						BUNSPEC);
					((((BgL_patchz00_bglt) COBJECT(BgL_new1514z00_8507))->BgL_indexz00) =
						((long) BgL_index1085z00_8506), BUNSPEC);
					((((BgL_patchz00_bglt) COBJECT(BgL_new1514z00_8507))->
							BgL_patchidz00) = ((obj_t) BgL_patchid1086z00_7362), BUNSPEC);
					return BgL_new1514z00_8507;
				}
			}
		}

	}



/* &<@anonymous:1919> */
	obj_t BGl_z62zc3z04anonymousza31919ze3ze5zzast_nodez00(obj_t BgL_envz00_7363)
	{
		{	/* Ast/node.scm 54 */
			return BUNSPEC;
		}

	}



/* &lambda1918 */
	obj_t BGl_z62lambda1918z62zzast_nodez00(obj_t BgL_envz00_7364,
		obj_t BgL_oz00_7365, obj_t BgL_vz00_7366)
	{
		{	/* Ast/node.scm 54 */
			return
				((((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_oz00_7365)))->BgL_patchidz00) =
				((obj_t) BgL_vz00_7366), BUNSPEC);
		}

	}



/* &lambda1917 */
	obj_t BGl_z62lambda1917z62zzast_nodez00(obj_t BgL_envz00_7367,
		obj_t BgL_oz00_7368)
	{
		{	/* Ast/node.scm 54 */
			return
				(((BgL_patchz00_bglt) COBJECT(
						((BgL_patchz00_bglt) BgL_oz00_7368)))->BgL_patchidz00);
		}

	}



/* &<@anonymous:1912> */
	obj_t BGl_z62zc3z04anonymousza31912ze3ze5zzast_nodez00(obj_t BgL_envz00_7369)
	{
		{	/* Ast/node.scm 54 */
			return BINT(((long) -1));
		}

	}



/* &lambda1911 */
	obj_t BGl_z62lambda1911z62zzast_nodez00(obj_t BgL_envz00_7370,
		obj_t BgL_oz00_7371, obj_t BgL_vz00_7372)
	{
		{	/* Ast/node.scm 54 */
			{	/* Ast/node.scm 54 */
				long BgL_vz00_8514;

				BgL_vz00_8514 = (long) CINT(BgL_vz00_7372);
				return
					((((BgL_patchz00_bglt) COBJECT(
								((BgL_patchz00_bglt) BgL_oz00_7371)))->BgL_indexz00) =
					((long) BgL_vz00_8514), BUNSPEC);
		}}

	}



/* &lambda1910 */
	obj_t BGl_z62lambda1910z62zzast_nodez00(obj_t BgL_envz00_7373,
		obj_t BgL_oz00_7374)
	{
		{	/* Ast/node.scm 54 */
			return
				BINT(
				(((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_oz00_7374)))->BgL_indexz00));
		}

	}



/* &lambda1905 */
	obj_t BGl_z62lambda1905z62zzast_nodez00(obj_t BgL_envz00_7375,
		obj_t BgL_oz00_7376, obj_t BgL_vz00_7377)
	{
		{	/* Ast/node.scm 54 */
			return
				((((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_oz00_7376)))->BgL_refz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_7377)), BUNSPEC);
		}

	}



/* &lambda1904 */
	BgL_varz00_bglt BGl_z62lambda1904z62zzast_nodez00(obj_t BgL_envz00_7378,
		obj_t BgL_oz00_7379)
	{
		{	/* Ast/node.scm 54 */
			return
				(((BgL_patchz00_bglt) COBJECT(
						((BgL_patchz00_bglt) BgL_oz00_7379)))->BgL_refz00);
		}

	}



/* &<@anonymous:1889> */
	obj_t BGl_z62zc3z04anonymousza31889ze3ze5zzast_nodez00(obj_t BgL_envz00_7380,
		obj_t BgL_new1079z00_7381)
	{
		{	/* Ast/node.scm 51 */
			{
				BgL_literalz00_bglt BgL_auxz00_14885;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_literalz00_bglt) BgL_new1079z00_7381))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14889;

					{	/* Ast/node.scm 51 */
						obj_t BgL_classz00_8520;

						BgL_classz00_8520 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 51 */
							obj_t BgL__ortest_1106z00_8521;

							BgL__ortest_1106z00_8521 = BGL_CLASS_NIL(BgL_classz00_8520);
							if (CBOOL(BgL__ortest_1106z00_8521))
								{	/* Ast/node.scm 51 */
									BgL_auxz00_14889 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8521);
								}
							else
								{	/* Ast/node.scm 51 */
									BgL_auxz00_14889 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8520));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_literalz00_bglt) BgL_new1079z00_7381))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14889), BUNSPEC);
				}
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt)
									((BgL_literalz00_bglt) BgL_new1079z00_7381))))->
						BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14885 = ((BgL_literalz00_bglt) BgL_new1079z00_7381);
				return ((obj_t) BgL_auxz00_14885);
			}
		}

	}



/* &lambda1887 */
	BgL_literalz00_bglt BGl_z62lambda1887z62zzast_nodez00(obj_t BgL_envz00_7382)
	{
		{	/* Ast/node.scm 51 */
			{	/* Ast/node.scm 51 */
				BgL_literalz00_bglt BgL_new1078z00_8522;

				BgL_new1078z00_8522 =
					((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_literalz00_bgl))));
				{	/* Ast/node.scm 51 */
					long BgL_arg1888z00_8523;

					{	/* Ast/node.scm 51 */
						long BgL_res2908z00_8524;

						BgL_res2908z00_8524 = BGL_CLASS_INDEX(BGl_literalz00zzast_nodez00);
						BgL_arg1888z00_8523 = BgL_res2908z00_8524;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1078z00_8522), BgL_arg1888z00_8523);
				}
				{	/* Ast/node.scm 51 */
					BgL_objectz00_bglt BgL_tmpz00_14908;

					BgL_tmpz00_14908 = ((BgL_objectz00_bglt) BgL_new1078z00_8522);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14908, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1078z00_8522);
				return BgL_new1078z00_8522;
			}
		}

	}



/* &lambda1885 */
	BgL_literalz00_bglt BGl_z62lambda1885z62zzast_nodez00(obj_t BgL_envz00_7383,
		obj_t BgL_loc1075z00_7384, obj_t BgL_type1076z00_7385,
		obj_t BgL_value1077z00_7386)
	{
		{	/* Ast/node.scm 51 */
			{	/* Ast/node.scm 51 */
				BgL_literalz00_bglt BgL_new1512z00_8526;

				{	/* Ast/node.scm 51 */
					BgL_literalz00_bglt BgL_new1511z00_8527;

					BgL_new1511z00_8527 =
						((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_literalz00_bgl))));
					{	/* Ast/node.scm 51 */
						long BgL_arg1886z00_8528;

						{	/* Ast/node.scm 51 */
							long BgL_res2907z00_8529;

							BgL_res2907z00_8529 =
								BGL_CLASS_INDEX(BGl_literalz00zzast_nodez00);
							BgL_arg1886z00_8528 = BgL_res2907z00_8529;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1511z00_8527), BgL_arg1886z00_8528);
					}
					{	/* Ast/node.scm 51 */
						BgL_objectz00_bglt BgL_tmpz00_14916;

						BgL_tmpz00_14916 = ((BgL_objectz00_bglt) BgL_new1511z00_8527);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14916, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1511z00_8527);
					BgL_new1512z00_8526 = BgL_new1511z00_8527;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1512z00_8526)))->BgL_locz00) =
					((obj_t) BgL_loc1075z00_7384), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1512z00_8526)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1076z00_7385)),
					BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1512z00_8526)))->BgL_valuez00) =
					((obj_t) BgL_value1077z00_7386), BUNSPEC);
				return BgL_new1512z00_8526;
			}
		}

	}



/* &<@anonymous:1874> */
	obj_t BGl_z62zc3z04anonymousza31874ze3ze5zzast_nodez00(obj_t BgL_envz00_7387,
		obj_t BgL_new1073z00_7388)
	{
		{	/* Ast/node.scm 46 */
			{
				BgL_atomz00_bglt BgL_auxz00_14927;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_atomz00_bglt) BgL_new1073z00_7388))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14931;

					{	/* Ast/node.scm 46 */
						obj_t BgL_classz00_8531;

						BgL_classz00_8531 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 46 */
							obj_t BgL__ortest_1106z00_8532;

							BgL__ortest_1106z00_8532 = BGL_CLASS_NIL(BgL_classz00_8531);
							if (CBOOL(BgL__ortest_1106z00_8532))
								{	/* Ast/node.scm 46 */
									BgL_auxz00_14931 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8532);
								}
							else
								{	/* Ast/node.scm 46 */
									BgL_auxz00_14931 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8531));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_atomz00_bglt) BgL_new1073z00_7388))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14931), BUNSPEC);
				}
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt) BgL_new1073z00_7388)))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14927 = ((BgL_atomz00_bglt) BgL_new1073z00_7388);
				return ((obj_t) BgL_auxz00_14927);
			}
		}

	}



/* &lambda1872 */
	BgL_atomz00_bglt BGl_z62lambda1872z62zzast_nodez00(obj_t BgL_envz00_7389)
	{
		{	/* Ast/node.scm 46 */
			{	/* Ast/node.scm 46 */
				BgL_atomz00_bglt BgL_new1072z00_8533;

				BgL_new1072z00_8533 =
					((BgL_atomz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_atomz00_bgl))));
				{	/* Ast/node.scm 46 */
					long BgL_arg1873z00_8534;

					{	/* Ast/node.scm 46 */
						long BgL_res2906z00_8535;

						BgL_res2906z00_8535 = BGL_CLASS_INDEX(BGl_atomz00zzast_nodez00);
						BgL_arg1873z00_8534 = BgL_res2906z00_8535;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1072z00_8533), BgL_arg1873z00_8534);
				}
				return BgL_new1072z00_8533;
			}
		}

	}



/* &lambda1879 */
	obj_t BGl_z62lambda1879z62zzast_nodez00(obj_t BgL_envz00_7390,
		obj_t BgL_oz00_7391, obj_t BgL_vz00_7392)
	{
		{	/* Ast/node.scm 46 */
			return
				((((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_7391)))->BgL_valuez00) =
				((obj_t) BgL_vz00_7392), BUNSPEC);
		}

	}



/* &lambda1878 */
	obj_t BGl_z62lambda1878z62zzast_nodez00(obj_t BgL_envz00_7393,
		obj_t BgL_oz00_7394)
	{
		{	/* Ast/node.scm 46 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_oz00_7394)))->BgL_valuez00);
		}

	}



/* &<@anonymous:1849> */
	obj_t BGl_z62zc3z04anonymousza31849ze3ze5zzast_nodez00(obj_t BgL_envz00_7395,
		obj_t BgL_new1070z00_7396)
	{
		{	/* Ast/node.scm 37 */
			{
				BgL_nodezf2effectzf2_bglt BgL_auxz00_14953;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_nodezf2effectzf2_bglt) BgL_new1070z00_7396))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14957;

					{	/* Ast/node.scm 37 */
						obj_t BgL_classz00_8539;

						BgL_classz00_8539 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 37 */
							obj_t BgL__ortest_1106z00_8540;

							BgL__ortest_1106z00_8540 = BGL_CLASS_NIL(BgL_classz00_8539);
							if (CBOOL(BgL__ortest_1106z00_8540))
								{	/* Ast/node.scm 37 */
									BgL_auxz00_14957 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8540);
								}
							else
								{	/* Ast/node.scm 37 */
									BgL_auxz00_14957 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8539));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_nodezf2effectzf2_bglt) BgL_new1070z00_7396))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14957), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt) BgL_new1070z00_7396)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1070z00_7396)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14953 = ((BgL_nodezf2effectzf2_bglt) BgL_new1070z00_7396);
				return ((obj_t) BgL_auxz00_14953);
			}
		}

	}



/* &lambda1847 */
	BgL_nodezf2effectzf2_bglt BGl_z62lambda1847z62zzast_nodez00(obj_t
		BgL_envz00_7397)
	{
		{	/* Ast/node.scm 37 */
			{	/* Ast/node.scm 37 */
				BgL_nodezf2effectzf2_bglt BgL_new1069z00_8541;

				BgL_new1069z00_8541 =
					((BgL_nodezf2effectzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_nodezf2effectzf2_bgl))));
				{	/* Ast/node.scm 37 */
					long BgL_arg1848z00_8542;

					{	/* Ast/node.scm 37 */
						long BgL_res2905z00_8543;

						BgL_res2905z00_8543 =
							BGL_CLASS_INDEX(BGl_nodezf2effectzf2zzast_nodez00);
						BgL_arg1848z00_8542 = BgL_res2905z00_8543;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1069z00_8541), BgL_arg1848z00_8542);
				}
				return BgL_new1069z00_8541;
			}
		}

	}



/* &lambda1845 */
	BgL_nodezf2effectzf2_bglt BGl_z62lambda1845z62zzast_nodez00(obj_t
		BgL_envz00_7398, obj_t BgL_loc1065z00_7399, obj_t BgL_type1066z00_7400,
		obj_t BgL_sidezd2effect1067zd2_7401, obj_t BgL_key1068z00_7402)
	{
		{	/* Ast/node.scm 37 */
			{	/* Ast/node.scm 37 */
				BgL_nodezf2effectzf2_bglt BgL_new1510z00_8545;

				{	/* Ast/node.scm 37 */
					BgL_nodezf2effectzf2_bglt BgL_new1509z00_8546;

					BgL_new1509z00_8546 =
						((BgL_nodezf2effectzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_nodezf2effectzf2_bgl))));
					{	/* Ast/node.scm 37 */
						long BgL_arg1846z00_8547;

						{	/* Ast/node.scm 37 */
							long BgL_res2904z00_8548;

							BgL_res2904z00_8548 =
								BGL_CLASS_INDEX(BGl_nodezf2effectzf2zzast_nodez00);
							BgL_arg1846z00_8547 = BgL_res2904z00_8548;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1509z00_8546), BgL_arg1846z00_8547);
					}
					BgL_new1510z00_8545 = BgL_new1509z00_8546;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1510z00_8545)))->BgL_locz00) =
					((obj_t) BgL_loc1065z00_7399), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1510z00_8545)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1066z00_7400)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_new1510z00_8545))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1067zd2_7401), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_new1510z00_8545))->
						BgL_keyz00) = ((obj_t) BgL_key1068z00_7402), BUNSPEC);
				return BgL_new1510z00_8545;
			}
		}

	}



/* &<@anonymous:1865> */
	obj_t BGl_z62zc3z04anonymousza31865ze3ze5zzast_nodez00(obj_t BgL_envz00_7403)
	{
		{	/* Ast/node.scm 37 */
			return BINT(((long) -1));
		}

	}



/* &lambda1864 */
	obj_t BGl_z62lambda1864z62zzast_nodez00(obj_t BgL_envz00_7404,
		obj_t BgL_oz00_7405, obj_t BgL_vz00_7406)
	{
		{	/* Ast/node.scm 37 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_7405)))->BgL_keyz00) =
				((obj_t) BgL_vz00_7406), BUNSPEC);
		}

	}



/* &lambda1863 */
	obj_t BGl_z62lambda1863z62zzast_nodez00(obj_t BgL_envz00_7407,
		obj_t BgL_oz00_7408)
	{
		{	/* Ast/node.scm 37 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_7408)))->BgL_keyz00);
		}

	}



/* &<@anonymous:1857> */
	obj_t BGl_z62zc3z04anonymousza31857ze3ze5zzast_nodez00(obj_t BgL_envz00_7409)
	{
		{	/* Ast/node.scm 37 */
			return BUNSPEC;
		}

	}



/* &lambda1856 */
	obj_t BGl_z62lambda1856z62zzast_nodez00(obj_t BgL_envz00_7410,
		obj_t BgL_oz00_7411, obj_t BgL_vz00_7412)
	{
		{	/* Ast/node.scm 37 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_7411)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_7412), BUNSPEC);
		}

	}



/* &lambda1855 */
	obj_t BGl_z62lambda1855z62zzast_nodez00(obj_t BgL_envz00_7413,
		obj_t BgL_oz00_7414)
	{
		{	/* Ast/node.scm 37 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_7414)))->
				BgL_sidezd2effectzd2);
		}

	}



/* &<@anonymous:1824> */
	obj_t BGl_z62zc3z04anonymousza31824ze3ze5zzast_nodez00(obj_t BgL_envz00_7415,
		obj_t BgL_new1063z00_7416)
	{
		{	/* Ast/node.scm 21 */
			{
				BgL_nodez00_bglt BgL_auxz00_14997;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1063z00_7416)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15000;

					{	/* Ast/node.scm 21 */
						obj_t BgL_classz00_8554;

						BgL_classz00_8554 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 21 */
							obj_t BgL__ortest_1106z00_8555;

							BgL__ortest_1106z00_8555 = BGL_CLASS_NIL(BgL_classz00_8554);
							if (CBOOL(BgL__ortest_1106z00_8555))
								{	/* Ast/node.scm 21 */
									BgL_auxz00_15000 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_8555);
								}
							else
								{	/* Ast/node.scm 21 */
									BgL_auxz00_15000 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8554));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1063z00_7416)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15000), BUNSPEC);
				}
				BgL_auxz00_14997 = ((BgL_nodez00_bglt) BgL_new1063z00_7416);
				return ((obj_t) BgL_auxz00_14997);
			}
		}

	}



/* &lambda1822 */
	BgL_nodez00_bglt BGl_z62lambda1822z62zzast_nodez00(obj_t BgL_envz00_7417)
	{
		{	/* Ast/node.scm 21 */
			{	/* Ast/node.scm 21 */
				BgL_nodez00_bglt BgL_new1062z00_8556;

				BgL_new1062z00_8556 =
					((BgL_nodez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_nodez00_bgl))));
				{	/* Ast/node.scm 21 */
					long BgL_arg1823z00_8557;

					{	/* Ast/node.scm 21 */
						long BgL_res2903z00_8558;

						BgL_res2903z00_8558 = BGL_CLASS_INDEX(BGl_nodez00zzast_nodez00);
						BgL_arg1823z00_8557 = BgL_res2903z00_8558;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1062z00_8556), BgL_arg1823z00_8557);
				}
				return BgL_new1062z00_8556;
			}
		}

	}



/* &lambda1820 */
	BgL_nodez00_bglt BGl_z62lambda1820z62zzast_nodez00(obj_t BgL_envz00_7418,
		obj_t BgL_loc1060z00_7419, obj_t BgL_type1061z00_7420)
	{
		{	/* Ast/node.scm 21 */
			{	/* Ast/node.scm 21 */
				BgL_nodez00_bglt BgL_new1508z00_8560;

				{	/* Ast/node.scm 21 */
					BgL_nodez00_bglt BgL_new1507z00_8561;

					BgL_new1507z00_8561 =
						((BgL_nodez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_nodez00_bgl))));
					{	/* Ast/node.scm 21 */
						long BgL_arg1821z00_8562;

						{	/* Ast/node.scm 21 */
							long BgL_res2902z00_8563;

							BgL_res2902z00_8563 = BGL_CLASS_INDEX(BGl_nodez00zzast_nodez00);
							BgL_arg1821z00_8562 = BgL_res2902z00_8563;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1507z00_8561), BgL_arg1821z00_8562);
					}
					BgL_new1508z00_8560 = BgL_new1507z00_8561;
				}
				((((BgL_nodez00_bglt) COBJECT(BgL_new1508z00_8560))->BgL_locz00) =
					((obj_t) BgL_loc1060z00_7419), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(BgL_new1508z00_8560))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1061z00_7420)),
					BUNSPEC);
				return BgL_new1508z00_8560;
			}
		}

	}



/* &lambda1837 */
	obj_t BGl_z62lambda1837z62zzast_nodez00(obj_t BgL_envz00_7421,
		obj_t BgL_oz00_7422, obj_t BgL_vz00_7423)
	{
		{	/* Ast/node.scm 21 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_7422)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7423)), BUNSPEC);
		}

	}



/* &lambda1836 */
	BgL_typez00_bglt BGl_z62lambda1836z62zzast_nodez00(obj_t BgL_envz00_7424,
		obj_t BgL_oz00_7425)
	{
		{	/* Ast/node.scm 21 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_7425)))->BgL_typez00);
		}

	}



/* &<@anonymous:1831> */
	obj_t BGl_z62zc3z04anonymousza31831ze3ze5zzast_nodez00(obj_t BgL_envz00_7426)
	{
		{	/* Ast/node.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1830 */
	obj_t BGl_z62lambda1830z62zzast_nodez00(obj_t BgL_envz00_7427,
		obj_t BgL_oz00_7428, obj_t BgL_vz00_7429)
	{
		{	/* Ast/node.scm 21 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_7428)))->BgL_locz00) =
				((obj_t) BgL_vz00_7429), BUNSPEC);
		}

	}



/* &lambda1829 */
	obj_t BGl_z62lambda1829z62zzast_nodez00(obj_t BgL_envz00_7430,
		obj_t BgL_oz00_7431)
	{
		{	/* Ast/node.scm 21 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_7431)))->BgL_locz00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_nodez00()
	{
		{	/* Ast/node.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_proc3301z00zzast_nodez00,
				BGl_nodez00zzast_nodez00, BGl_string3302z00zzast_nodez00);
		}

	}



/* &node-walk1709 */
	obj_t BGl_z62nodezd2walk1709zb0zzast_nodez00(obj_t BgL_envz00_7433,
		obj_t BgL_nodez00_7434, obj_t BgL_procz00_7435)
	{
		{	/* Ast/node.scm 305 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 93)),
				BGl_string3303z00zzast_nodez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_7434)));
		}

	}



/* node-walk */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2walkzd2zzast_nodez00(BgL_nodez00_bglt
		BgL_nodez00_1019, obj_t BgL_procz00_1020)
	{
		{	/* Ast/node.scm 305 */
			{	/* Ast/node.scm 305 */
				obj_t BgL_method1710z00_3490;

				{	/* Ast/node.scm 305 */
					obj_t BgL_res2993z00_4813;

					{	/* Ast/node.scm 305 */
						long BgL_objzd2classzd2numz00_4778;

						{	/* Ast/node.scm 305 */
							long BgL_res2983z00_4781;

							BgL_res2983z00_4781 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_1019));
							BgL_objzd2classzd2numz00_4778 = BgL_res2983z00_4781;
						}
						{	/* Ast/node.scm 305 */
							obj_t BgL_arg1742z00_4779;

							BgL_arg1742z00_4779 =
								PROCEDURE_REF(BGl_nodezd2walkzd2envz00zzast_nodez00,
								(int) (((long) 1)));
							{	/* Ast/node.scm 305 */
								int BgL_offsetz00_4783;

								BgL_offsetz00_4783 = (int) (BgL_objzd2classzd2numz00_4778);
								{	/* Ast/node.scm 305 */
									long BgL_offsetz00_4784;

									BgL_offsetz00_4784 =
										((long) (BgL_offsetz00_4783) - OBJECT_TYPE);
									{	/* Ast/node.scm 305 */
										long BgL_modz00_4785;

										BgL_modz00_4785 =
											(BgL_offsetz00_4784 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/node.scm 305 */
											long BgL_restz00_4787;

											BgL_restz00_4787 =
												(BgL_offsetz00_4784 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/node.scm 305 */

												{	/* Ast/node.scm 305 */
													obj_t BgL_bucketz00_4789;

													BgL_bucketz00_4789 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_4779), BgL_modz00_4785);
													BgL_res2993z00_4813 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4789), BgL_restz00_4787);
					}}}}}}}}
					BgL_method1710z00_3490 = BgL_res2993z00_4813;
				}
				return
					PROCEDURE_ENTRY(BgL_method1710z00_3490) (BgL_method1710z00_3490,
					((obj_t) BgL_nodez00_1019), BgL_procz00_1020, BEOA);
			}
		}

	}



/* &node-walk */
	obj_t BGl_z62nodezd2walkzb0zzast_nodez00(obj_t BgL_envz00_7436,
		obj_t BgL_nodez00_7437, obj_t BgL_procz00_7438)
	{
		{	/* Ast/node.scm 305 */
			return
				BGl_nodezd2walkzd2zzast_nodez00(
				((BgL_nodez00_bglt) BgL_nodez00_7437), BgL_procz00_7438);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_nodez00()
	{
		{	/* Ast/node.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_atomz00zzast_nodez00,
				BGl_proc3304z00zzast_nodez00, BGl_string3305z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_varz00zzast_nodez00,
				BGl_proc3306z00zzast_nodez00, BGl_string3305z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_kwotez00zzast_nodez00,
				BGl_proc3307z00zzast_nodez00, BGl_string3305z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_sequencez00zzast_nodez00,
				BGl_proc3308z00zzast_nodez00, BGl_string3305z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_syncz00zzast_nodez00,
				BGl_proc3309z00zzast_nodez00, BGl_string3305z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_appz00zzast_nodez00,
				BGl_proc3310z00zzast_nodez00, BGl_string3305z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3311z00zzast_nodez00, BGl_string3305z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_funcallz00zzast_nodez00,
				BGl_proc3312z00zzast_nodez00, BGl_string3305z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_externz00zzast_nodez00,
				BGl_proc3313z00zzast_nodez00, BGl_string3305z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_castz00zzast_nodez00,
				BGl_proc3314z00zzast_nodez00, BGl_string3305z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_setqz00zzast_nodez00,
				BGl_proc3315z00zzast_nodez00, BGl_string3305z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3316z00zzast_nodez00, BGl_string3305z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_failz00zzast_nodez00,
				BGl_proc3317z00zzast_nodez00, BGl_string3305z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_switchz00zzast_nodez00,
				BGl_proc3318z00zzast_nodez00, BGl_string3305z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc3319z00zzast_nodez00, BGl_string3305z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc3320z00zzast_nodez00, BGl_string3305z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3321z00zzast_nodez00,
				BGl_string3305z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc3322z00zzast_nodez00, BGl_string3305z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc3323z00zzast_nodez00, BGl_string3305z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3324z00zzast_nodez00,
				BGl_string3305z00zzast_nodez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3325z00zzast_nodez00,
				BGl_string3305z00zzast_nodez00);
		}

	}



/* &node-walk-jump-ex-it1753 */
	obj_t BGl_z62nodezd2walkzd2jumpzd2exzd2it1753z62zzast_nodez00(obj_t
		BgL_envz00_7460, obj_t BgL_nodez00_7461, obj_t BgL_procz00_7462)
	{
		{	/* Ast/node.scm 469 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_7461)))->BgL_exitz00),
				((obj_t) BgL_procz00_7462));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_7461)))->BgL_valuez00),
				((obj_t) BgL_procz00_7462));
			{	/* Ast/node.scm 472 */
				obj_t BgL_tmpfunz00_15105;

				BgL_tmpfunz00_15105 = ((obj_t) BgL_procz00_7462);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15105) (
					((obj_t) BgL_procz00_7462),
					((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_7461)), BEOA);
			}
		}

	}



/* &node-walk-set-ex-it1751 */
	obj_t BGl_z62nodezd2walkzd2setzd2exzd2it1751z62zzast_nodez00(obj_t
		BgL_envz00_7463, obj_t BgL_nodez00_7464, obj_t BgL_procz00_7465)
	{
		{	/* Ast/node.scm 462 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_7464)))->BgL_bodyz00),
				((obj_t) BgL_procz00_7465));
			{	/* Ast/node.scm 464 */
				obj_t BgL_tmpfunz00_15117;

				BgL_tmpfunz00_15117 = ((obj_t) BgL_procz00_7465);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15117) (
					((obj_t) BgL_procz00_7465),
					((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_7464)), BEOA);
			}
		}

	}



/* &node-walk-let-var1749 */
	obj_t BGl_z62nodezd2walkzd2letzd2var1749zb0zzast_nodez00(obj_t
		BgL_envz00_7466, obj_t BgL_nodez00_7467, obj_t BgL_procz00_7468)
	{
		{	/* Ast/node.scm 451 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_7467)))->BgL_bodyz00),
				((obj_t) BgL_procz00_7468));
			{	/* Ast/node.scm 454 */
				obj_t BgL_g1622z00_8577;

				BgL_g1622z00_8577 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_7467)))->BgL_bindingsz00);
				{
					obj_t BgL_l1620z00_8579;

					BgL_l1620z00_8579 = BgL_g1622z00_8577;
				BgL_zc3z04anonymousza32822ze3z87_8578:
					if (PAIRP(BgL_l1620z00_8579))
						{	/* Ast/node.scm 454 */
							{	/* Ast/node.scm 455 */
								obj_t BgL_bindingz00_8580;

								BgL_bindingz00_8580 = CAR(BgL_l1620z00_8579);
								{	/* Ast/node.scm 455 */
									obj_t BgL_arg2825z00_8581;

									BgL_arg2825z00_8581 = CDR(((obj_t) BgL_bindingz00_8580));
									BGl_nodezd2walkzd2zzast_nodez00(
										((BgL_nodez00_bglt) BgL_arg2825z00_8581),
										((obj_t) BgL_procz00_7468));
								}
							}
							{
								obj_t BgL_l1620z00_15133;

								BgL_l1620z00_15133 = CDR(BgL_l1620z00_8579);
								BgL_l1620z00_8579 = BgL_l1620z00_15133;
								goto BgL_zc3z04anonymousza32822ze3z87_8578;
							}
						}
					else
						{	/* Ast/node.scm 454 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/node.scm 457 */
				obj_t BgL_tmpfunz00_15141;

				BgL_tmpfunz00_15141 = ((obj_t) BgL_procz00_7468);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15141) (
					((obj_t) BgL_procz00_7468),
					((obj_t) ((BgL_letzd2varzd2_bglt) BgL_nodez00_7467)), BEOA);
			}
		}

	}



/* &node-walk-let-fun1747 */
	obj_t BGl_z62nodezd2walkzd2letzd2fun1747zb0zzast_nodez00(obj_t
		BgL_envz00_7469, obj_t BgL_nodez00_7470, obj_t BgL_procz00_7471)
	{
		{	/* Ast/node.scm 439 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_7470)))->BgL_bodyz00),
				((obj_t) BgL_procz00_7471));
			{	/* Ast/node.scm 442 */
				obj_t BgL_g1619z00_8584;

				BgL_g1619z00_8584 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_7470)))->BgL_localsz00);
				{
					obj_t BgL_l1616z00_8586;

					BgL_l1616z00_8586 = BgL_g1619z00_8584;
				BgL_zc3z04anonymousza32817ze3z87_8585:
					if (PAIRP(BgL_l1616z00_8586))
						{	/* Ast/node.scm 442 */
							{	/* Ast/node.scm 443 */
								obj_t BgL_localz00_8587;

								BgL_localz00_8587 = CAR(BgL_l1616z00_8586);
								{	/* Ast/node.scm 443 */
									BgL_valuez00_bglt BgL_sfunz00_8588;

									BgL_sfunz00_8588 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_8587))))->
										BgL_valuez00);
									{	/* Ast/node.scm 444 */
										obj_t BgL_arg2819z00_8589;

										BgL_arg2819z00_8589 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_8588)))->BgL_bodyz00);
										BGl_nodezd2walkzd2zzast_nodez00(
											((BgL_nodez00_bglt) BgL_arg2819z00_8589),
											((obj_t) BgL_procz00_7471));
									}
								}
							}
							{
								obj_t BgL_l1616z00_15160;

								BgL_l1616z00_15160 = CDR(BgL_l1616z00_8586);
								BgL_l1616z00_8586 = BgL_l1616z00_15160;
								goto BgL_zc3z04anonymousza32817ze3z87_8585;
							}
						}
					else
						{	/* Ast/node.scm 442 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/node.scm 446 */
				obj_t BgL_tmpfunz00_15168;

				BgL_tmpfunz00_15168 = ((obj_t) BgL_procz00_7471);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15168) (
					((obj_t) BgL_procz00_7471),
					((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nodez00_7470)), BEOA);
			}
		}

	}



/* &node-walk-box-set!1745 */
	obj_t BGl_z62nodezd2walkzd2boxzd2setz121745za2zzast_nodez00(obj_t
		BgL_envz00_7472, obj_t BgL_nodez00_7473, obj_t BgL_procz00_7474)
	{
		{	/* Ast/node.scm 431 */
			{	/* Ast/node.scm 432 */
				BgL_varz00_bglt BgL_arg2814z00_8592;

				BgL_arg2814z00_8592 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_7473)))->BgL_varz00);
				BGl_nodezd2walkzd2zzast_nodez00(
					((BgL_nodez00_bglt) BgL_arg2814z00_8592), ((obj_t) BgL_procz00_7474));
			}
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_7473)))->BgL_valuez00),
				((obj_t) BgL_procz00_7474));
			{	/* Ast/node.scm 434 */
				obj_t BgL_tmpfunz00_15185;

				BgL_tmpfunz00_15185 = ((obj_t) BgL_procz00_7474);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15185) (
					((obj_t) BgL_procz00_7474),
					((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_7473)), BEOA);
			}
		}

	}



/* &node-walk-box-ref1743 */
	obj_t BGl_z62nodezd2walkzd2boxzd2ref1743zb0zzast_nodez00(obj_t
		BgL_envz00_7475, obj_t BgL_nodez00_7476, obj_t BgL_procz00_7477)
	{
		{	/* Ast/node.scm 424 */
			{	/* Ast/node.scm 425 */
				BgL_varz00_bglt BgL_arg2813z00_8595;

				BgL_arg2813z00_8595 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_7476)))->BgL_varz00);
				BGl_nodezd2walkzd2zzast_nodez00(
					((BgL_nodez00_bglt) BgL_arg2813z00_8595), ((obj_t) BgL_procz00_7477));
			}
			{	/* Ast/node.scm 426 */
				obj_t BgL_tmpfunz00_15198;

				BgL_tmpfunz00_15198 = ((obj_t) BgL_procz00_7477);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15198) (
					((obj_t) BgL_procz00_7477),
					((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_7476)), BEOA);
			}
		}

	}



/* &node-walk-make-box1741 */
	obj_t BGl_z62nodezd2walkzd2makezd2box1741zb0zzast_nodez00(obj_t
		BgL_envz00_7478, obj_t BgL_nodez00_7479, obj_t BgL_procz00_7480)
	{
		{	/* Ast/node.scm 417 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_7479)))->BgL_valuez00),
				((obj_t) BgL_procz00_7480));
			{	/* Ast/node.scm 419 */
				obj_t BgL_tmpfunz00_15210;

				BgL_tmpfunz00_15210 = ((obj_t) BgL_procz00_7480);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15210) (
					((obj_t) BgL_procz00_7480),
					((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_7479)), BEOA);
			}
		}

	}



/* &node-walk-switch1739 */
	obj_t BGl_z62nodezd2walkzd2switch1739z62zzast_nodez00(obj_t BgL_envz00_7481,
		obj_t BgL_nodez00_7482, obj_t BgL_procz00_7483)
	{
		{	/* Ast/node.scm 407 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_7482)))->BgL_testz00),
				((obj_t) BgL_procz00_7483));
			{	/* Ast/node.scm 409 */
				obj_t BgL_g1615z00_8600;

				BgL_g1615z00_8600 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_7482)))->BgL_clausesz00);
				{
					obj_t BgL_l1613z00_8602;

					BgL_l1613z00_8602 = BgL_g1615z00_8600;
				BgL_zc3z04anonymousza32805ze3z87_8601:
					if (PAIRP(BgL_l1613z00_8602))
						{	/* Ast/node.scm 411 */
							{	/* Ast/node.scm 410 */
								obj_t BgL_clausez00_8603;

								BgL_clausez00_8603 = CAR(BgL_l1613z00_8602);
								{	/* Ast/node.scm 410 */
									obj_t BgL_arg2808z00_8604;

									BgL_arg2808z00_8604 = CDR(((obj_t) BgL_clausez00_8603));
									BGl_nodezd2walkzd2zzast_nodez00(
										((BgL_nodez00_bglt) BgL_arg2808z00_8604),
										((obj_t) BgL_procz00_7483));
								}
							}
							{
								obj_t BgL_l1613z00_15226;

								BgL_l1613z00_15226 = CDR(BgL_l1613z00_8602);
								BgL_l1613z00_8602 = BgL_l1613z00_15226;
								goto BgL_zc3z04anonymousza32805ze3z87_8601;
							}
						}
					else
						{	/* Ast/node.scm 411 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/node.scm 412 */
				obj_t BgL_tmpfunz00_15234;

				BgL_tmpfunz00_15234 = ((obj_t) BgL_procz00_7483);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15234) (
					((obj_t) BgL_procz00_7483),
					((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_7482)), BEOA);
			}
		}

	}



/* &node-walk-fail1737 */
	obj_t BGl_z62nodezd2walkzd2fail1737z62zzast_nodez00(obj_t BgL_envz00_7484,
		obj_t BgL_nodez00_7485, obj_t BgL_procz00_7486)
	{
		{	/* Ast/node.scm 398 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_7485)))->BgL_procz00),
				((obj_t) BgL_procz00_7486));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_7485)))->BgL_msgz00),
				((obj_t) BgL_procz00_7486));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_7485)))->BgL_objz00),
				((obj_t) BgL_procz00_7486));
			{	/* Ast/node.scm 402 */
				obj_t BgL_tmpfunz00_15254;

				BgL_tmpfunz00_15254 = ((obj_t) BgL_procz00_7486);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15254) (
					((obj_t) BgL_procz00_7486),
					((obj_t) ((BgL_failz00_bglt) BgL_nodez00_7485)), BEOA);
			}
		}

	}



/* &node-walk-conditiona1735 */
	obj_t BGl_z62nodezd2walkzd2conditiona1735z62zzast_nodez00(obj_t
		BgL_envz00_7487, obj_t BgL_nodez00_7488, obj_t BgL_procz00_7489)
	{
		{	/* Ast/node.scm 389 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_7488)))->BgL_testz00),
				((obj_t) BgL_procz00_7489));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_7488)))->BgL_truez00),
				((obj_t) BgL_procz00_7489));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_7488)))->BgL_falsez00),
				((obj_t) BgL_procz00_7489));
			{	/* Ast/node.scm 393 */
				obj_t BgL_tmpfunz00_15274;

				BgL_tmpfunz00_15274 = ((obj_t) BgL_procz00_7489);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15274) (
					((obj_t) BgL_procz00_7489),
					((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_7488)), BEOA);
			}
		}

	}



/* &node-walk-setq1733 */
	obj_t BGl_z62nodezd2walkzd2setq1733z62zzast_nodez00(obj_t BgL_envz00_7490,
		obj_t BgL_nodez00_7491, obj_t BgL_procz00_7492)
	{
		{	/* Ast/node.scm 382 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_7491)))->BgL_valuez00),
				((obj_t) BgL_procz00_7492));
			{	/* Ast/node.scm 384 */
				obj_t BgL_tmpfunz00_15286;

				BgL_tmpfunz00_15286 = ((obj_t) BgL_procz00_7492);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15286) (
					((obj_t) BgL_procz00_7492),
					((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_7491)), BEOA);
			}
		}

	}



/* &node-walk-cast1731 */
	obj_t BGl_z62nodezd2walkzd2cast1731z62zzast_nodez00(obj_t BgL_envz00_7493,
		obj_t BgL_nodez00_7494, obj_t BgL_procz00_7495)
	{
		{	/* Ast/node.scm 375 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_7494)))->BgL_argz00),
				((obj_t) BgL_procz00_7495));
			{	/* Ast/node.scm 377 */
				obj_t BgL_tmpfunz00_15298;

				BgL_tmpfunz00_15298 = ((obj_t) BgL_procz00_7495);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15298) (
					((obj_t) BgL_procz00_7495),
					((obj_t) ((BgL_castz00_bglt) BgL_nodez00_7494)), BEOA);
			}
		}

	}



/* &node-walk-extern1729 */
	obj_t BGl_z62nodezd2walkzd2extern1729z62zzast_nodez00(obj_t BgL_envz00_7496,
		obj_t BgL_nodez00_7497, obj_t BgL_procz00_7498)
	{
		{	/* Ast/node.scm 368 */
			BGl_nodezd2walkza2z70zzast_nodez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_7497)))->BgL_exprza2za2),
				((obj_t) BgL_procz00_7498));
			{	/* Ast/node.scm 370 */
				obj_t BgL_tmpfunz00_15310;

				BgL_tmpfunz00_15310 = ((obj_t) BgL_procz00_7498);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15310) (
					((obj_t) BgL_procz00_7498),
					((obj_t) ((BgL_externz00_bglt) BgL_nodez00_7497)), BEOA);
			}
		}

	}



/* &node-walk-funcall1727 */
	obj_t BGl_z62nodezd2walkzd2funcall1727z62zzast_nodez00(obj_t BgL_envz00_7499,
		obj_t BgL_nodez00_7500, obj_t BgL_procz00_7501)
	{
		{	/* Ast/node.scm 360 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_7500)))->BgL_funz00),
				((obj_t) BgL_procz00_7501));
			BGl_nodezd2walkza2z70zzast_nodez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_7500)))->BgL_argsz00),
				((obj_t) BgL_procz00_7501));
			{	/* Ast/node.scm 363 */
				obj_t BgL_tmpfunz00_15326;

				BgL_tmpfunz00_15326 = ((obj_t) BgL_procz00_7501);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15326) (
					((obj_t) BgL_procz00_7501),
					((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_7500)), BEOA);
			}
		}

	}



/* &node-walk-app-ly1724 */
	obj_t BGl_z62nodezd2walkzd2appzd2ly1724zb0zzast_nodez00(obj_t BgL_envz00_7502,
		obj_t BgL_nodez00_7503, obj_t BgL_procz00_7504)
	{
		{	/* Ast/node.scm 352 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_7503)))->BgL_funz00),
				((obj_t) BgL_procz00_7504));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_7503)))->BgL_argz00),
				((obj_t) BgL_procz00_7504));
			{	/* Ast/node.scm 355 */
				obj_t BgL_tmpfunz00_15342;

				BgL_tmpfunz00_15342 = ((obj_t) BgL_procz00_7504);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15342) (
					((obj_t) BgL_procz00_7504),
					((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_7503)), BEOA);
			}
		}

	}



/* &node-walk-app1722 */
	obj_t BGl_z62nodezd2walkzd2app1722z62zzast_nodez00(obj_t BgL_envz00_7505,
		obj_t BgL_nodez00_7506, obj_t BgL_procz00_7507)
	{
		{	/* Ast/node.scm 344 */
			{	/* Ast/node.scm 345 */
				BgL_varz00_bglt BgL_arg2781z00_8621;

				BgL_arg2781z00_8621 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_7506)))->BgL_funz00);
				BGl_nodezd2walkzd2zzast_nodez00(
					((BgL_nodez00_bglt) BgL_arg2781z00_8621), ((obj_t) BgL_procz00_7507));
			}
			BGl_nodezd2walkza2z70zzast_nodez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_7506)))->BgL_argsz00),
				((obj_t) BgL_procz00_7507));
			{	/* Ast/node.scm 347 */
				obj_t BgL_tmpfunz00_15359;

				BgL_tmpfunz00_15359 = ((obj_t) BgL_procz00_7507);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15359) (
					((obj_t) BgL_procz00_7507),
					((obj_t) ((BgL_appz00_bglt) BgL_nodez00_7506)), BEOA);
			}
		}

	}



/* &node-walk-sync1720 */
	obj_t BGl_z62nodezd2walkzd2sync1720z62zzast_nodez00(obj_t BgL_envz00_7508,
		obj_t BgL_nodez00_7509, obj_t BgL_procz00_7510)
	{
		{	/* Ast/node.scm 335 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_7509)))->BgL_mutexz00),
				((obj_t) BgL_procz00_7510));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_7509)))->BgL_prelockz00),
				((obj_t) BgL_procz00_7510));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_7509)))->BgL_bodyz00),
				((obj_t) BgL_procz00_7510));
			{	/* Ast/node.scm 339 */
				obj_t BgL_tmpfunz00_15379;

				BgL_tmpfunz00_15379 = ((obj_t) BgL_procz00_7510);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15379) (
					((obj_t) BgL_procz00_7510),
					((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_7509)), BEOA);
			}
		}

	}



/* &node-walk-sequence1718 */
	obj_t BGl_z62nodezd2walkzd2sequence1718z62zzast_nodez00(obj_t BgL_envz00_7511,
		obj_t BgL_nodez00_7512, obj_t BgL_procz00_7513)
	{
		{	/* Ast/node.scm 328 */
			BGl_nodezd2walkza2z70zzast_nodez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_7512)))->BgL_nodesz00),
				((obj_t) BgL_procz00_7513));
			{	/* Ast/node.scm 330 */
				obj_t BgL_tmpfunz00_15391;

				BgL_tmpfunz00_15391 = ((obj_t) BgL_procz00_7513);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15391) (
					((obj_t) BgL_procz00_7513),
					((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_7512)), BEOA);
			}
		}

	}



/* &node-walk-kwote1716 */
	obj_t BGl_z62nodezd2walkzd2kwote1716z62zzast_nodez00(obj_t BgL_envz00_7514,
		obj_t BgL_nodez00_7515, obj_t BgL_procz00_7516)
	{
		{	/* Ast/node.scm 322 */
			{	/* Ast/node.scm 323 */
				obj_t BgL_tmpfunz00_15399;

				BgL_tmpfunz00_15399 = ((obj_t) BgL_procz00_7516);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15399) (
					((obj_t) BgL_procz00_7516),
					((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_7515)), BEOA);
			}
		}

	}



/* &node-walk-var1714 */
	obj_t BGl_z62nodezd2walkzd2var1714z62zzast_nodez00(obj_t BgL_envz00_7517,
		obj_t BgL_nodez00_7518, obj_t BgL_procz00_7519)
	{
		{	/* Ast/node.scm 316 */
			{	/* Ast/node.scm 317 */
				obj_t BgL_tmpfunz00_15407;

				BgL_tmpfunz00_15407 = ((obj_t) BgL_procz00_7519);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15407) (
					((obj_t) BgL_procz00_7519),
					((obj_t) ((BgL_varz00_bglt) BgL_nodez00_7518)), BEOA);
			}
		}

	}



/* &node-walk-atom1712 */
	obj_t BGl_z62nodezd2walkzd2atom1712z62zzast_nodez00(obj_t BgL_envz00_7520,
		obj_t BgL_nodez00_7521, obj_t BgL_procz00_7522)
	{
		{	/* Ast/node.scm 310 */
			{	/* Ast/node.scm 311 */
				obj_t BgL_tmpfunz00_15415;

				BgL_tmpfunz00_15415 = ((obj_t) BgL_procz00_7522);
				return
					PROCEDURE_ENTRY(BgL_tmpfunz00_15415) (
					((obj_t) BgL_procz00_7522),
					((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_7521)), BEOA);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_nodez00()
	{
		{	/* Ast/node.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3326z00zzast_nodez00));
			return
				BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3326z00zzast_nodez00));
		}

	}

#ifdef __cplusplus
}
#endif
