/*===========================================================================*/
/*   (Ast/walk.scm)                                                          */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 11 May 2020 12:14:39 PM CEST    */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3h -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_zc3z04anonymousza33393ze3ze70z60zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_z62walk3zd2setzd2exzd2it1907zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2retblock1964z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2cast1821za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2app1729za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2boxzd2ref2027z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2zd2letzd2fun2128z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2appzd2ly1743zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0zd2funcall1757zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2funcall1779za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2letzd2fun2140z70zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2retblock1954zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_zc3z04anonymousza32558ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2setq1851za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2boxzd2setz122060zd2zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2switch2120za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2setq1845za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2conditional1863z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2letzd2var2150z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62walk2za2zd2switch2112z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62walk2z12zd2conditional1873za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62walk2zd2sequence1688zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0zd2node1660zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32210ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62walk0za2zd2funcall1765z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1zd2appzd2ly1735z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0zd2conditional1853zb0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzast_walkz00();
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_z62walk1za2zd2boxzd2ref2036zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2zd2fail1881zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_zc3z04anonymousza33252ze3ze70z60zzast_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2sequence1707za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2sync2076zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2extern1799za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2letzd2fun2136zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2sequence1694z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2makezd2box2014zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk3z12zd2jumpzd2exzd2it1949za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2letzd2var2158zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2app1721z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2return1994za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk0z12zd2makezd2box2016z70zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32353ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za21639zc0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2cast1805zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32214ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62walk3zd2jumpzd2exzd2it1932zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2node1674z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_walkz00();
	static BgL_nodez00_bglt BGl_z62walk3z12zd2app1731za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2extern1791z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32231ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62walk1za2zd2return1986z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62walk0za2zd2node1668z12zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2appzd2ly1753z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32345ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2retblock1972za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2sync2090z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2setzd2exzd2it1909z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3za2zd2boxzd2setz122066zd2zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2boxzd2ref2029z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza33416ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32337ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2za2zd2appzd2ly1745zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2setq1829zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk0z12zd2boxzd2setz122068z62zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2sync2084z12zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2funcall1759zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2boxzd2ref2043z70zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32218ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62walk2za2zd2fail1889z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3zd2letzd2fun2130z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2cast1819z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2jumpzd2exzd2it1937z12zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk2z12zd2setzd2exzd2it1921za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2node1662zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2switch2122za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32235ze3ze5zzast_walkz00(obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2letzd2fun2142z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32329ze3ze70z60zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_z62walk1zd2extern1783zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1za21641zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2retblock1956zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3zd2fail1883zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2makezd2box2000z62zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2node1680za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2return1978zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0za2zd2cast1813z12zzast_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza33524ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2zd2letzd2var2152z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2letzd2var2164z70zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2sync2078zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3za2zd2switch2114z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2setzd2exzd2it1905zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2sync2096za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2retblock1962z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2app1723z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32181ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62walk0zd2switch2100zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2setq1843z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2cast1807zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62walk1za2zd2funcall1767z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3zd2sequence1690zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2boxzd2ref2038zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2fail1895za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2setq1837z12zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2cast1825za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk3z12zd2makezd2box2022z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3zd2switch2106zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza33534ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32455ze3ze70z60zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32267ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0zd2boxzd2setz122052z70zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2za21643zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2za2zd2conditional1865z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2letzd2fun2138zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2return1996za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk01629z62zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0z62zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk4z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_walkz00();
	static obj_t BGl_z62zc3z04anonymousza32185ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62walk1zd2conditional1855zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32259ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk3z12zd2conditional1875za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2letzd2var2160zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2extern1793z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2return1988z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza33292ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2appzd2ly1755z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2setq1831zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2setq1849za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_writezd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	static obj_t BGl_z62walk2zd2node1664zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk0z12zd2jumpzd2exzd2it1943za2zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk3z12zd2boxzd2setz122074z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2sequence1705za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za21645zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0zd2app1709zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2appzd2ly1747zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2sequence1692z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3zd2boxzd2ref2031z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk11631z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2makezd2box2012zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32189ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62walk2zd2sync2080zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2zd2funcall1761zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2funcall1773za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2setzd2exzd2it1915z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2jumpzd2exzd2it1930zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2boxzd2ref2045z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2appzd2ly1733z62zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2cast1809zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk2z12zd2letzd2fun2144z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2appzd2ly1739z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2letzd2var2154z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32475ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3zd2retblock1958zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2makezd2box2002z62zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2retblock1970za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2letzd2var2166z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk21633z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2za2zd2jumpzd2exzd2it1939z12zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk4za21647zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk1z12zd2setzd2exzd2it1919za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2za2zd2boxzd2setz122064zd2zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza33501ze3ze70z60zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2node1672z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2funcall1769z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62walk2zd2setq1833zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_returnz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk0z12z70zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2node1666zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zc0zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2return1998za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_walkz00 = BUNSPEC;
	static obj_t BGl_zc3z04anonymousza32252ze3ze70z60zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2boxzd2ref2040zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2boxzd2setz122054z70zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12z70zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2za2zd2sync2088z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1za2zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk31635z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2app1711zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk0z12zd2conditional1869za2zzast_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk2z12z70zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2extern1795z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2za2zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3zd2sync2082zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32567ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2setzd2exzd2it1903zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2retblock1960z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3za2zd2letzd2var2162zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12z70zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_walkz00();
	static obj_t BGl_z62walk3za2zd2sequence1698z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2fail1887z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3za2zd2return1990z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0zd2extern1781zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2cast1817z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0zd2return1976zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk4z12z70zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2node1678za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk4za2zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_walkz00();
	static obj_t BGl_z62walk3zd2extern1787zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2conditional1867z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32202ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62walk3zd2cast1811zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk2z12zd2makezd2box2020z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza33405ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk41637z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0z121649z70zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2conditional1857zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2return1982zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2funcall1763zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_zc3z04anonymousza32577ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2sync2094za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2funcall1775za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2fail1899za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2boxzd2ref2048z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk1z12zd2jumpzd2exzd2it1945za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2za2zd2setq1841z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2zd2switch2104zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0zd2letzd2fun2124z62zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza33513ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2letzd2fun2146z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2setq1835zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2fail1893za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2cast1823za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32206ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62walk2zd2makezd2box2004z62zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2switch2116za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2zd2app1713zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2letzd2var2168z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk2z12zd2boxzd2setz122072z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32223ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62walk1zd2jumpzd2exzd2it1927zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2sequence1703za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2sequence1684zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2setzd2exzd2it1913z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2makezd2box2010zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1z121651z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2extern1801za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2switch2108z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0za2zd2letzd2fun2132zc0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2setq1847za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2retblock1966z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2funcall1771z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk0z12zd2retblock1968za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2app1725za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2zd2boxzd2setz122056z70zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32227ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_zc3z04anonymousza32274ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2jumpzd2exzd2it1941z12zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk0z12zd2setzd2exzd2it1917za2zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2boxzd2setz122062zd2zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2z121653z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2zd2appzd2ly1737z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk0z00zzast_walkz00(BgL_nodez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk1z00zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk2z00zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk3z00zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_walk4z00zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2appzd2ly1749z70zzast_walkz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pp_circlez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62walk0za2zd2conditional1861z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62walk3zd2app1715zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2fail1877zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk1z12zd2conditional1871za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza33427ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza33265ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62walk0zd2boxzd2ref2025z62zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2funcall1777za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62walk0zd2retblock1952zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2letzd2fun2126z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_walkz00();
	static obj_t BGl_z62walk0za2zd2appzd2ly1741zc0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0zd2setzd2exzd2it1901zb0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_walkz00();
	static obj_t BGl_z62walk2za2zd2sequence1696z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2app1717z12zzast_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2boxzd2ref2050z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2node1670z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2switch2118za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32193ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32177ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62walk3z121655z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3zd2conditional1859zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk0za2za2zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62walk3zd2makezd2box2006z62zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk1z12zd2makezd2box2018z70zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_z62walk0zd2letzd2var2148z62zzast_walkz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_walk1z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2app1727za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2sync2086z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk1za2za2zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2extern1803za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk2z12zd2jumpzd2exzd2it1947za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2letzd2var2170z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2sequence1686zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_walk2z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk2za2za2zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2fail1891z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2switch2110z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0za2zd2boxzd2ref2033zc0zzast_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk3z12zd2retblock1974za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_walk3z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk3za2za2zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2node1682za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2fail1885z12zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2cast1815z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2zd2extern1785zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2letzd2fun2134zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_walk4z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2node1676za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk4za2za2zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza32198ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_zc3z04anonymousza32466ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk4z121657z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2extern1797za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2letzd2var2156zc0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2zd2return1980zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2sync2098za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2boxzd2setz122058z70zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2jumpzd2exzd2it1925zb0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk1z12zd2boxzd2setz122070z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1zd2fail1879zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2return1992za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2setzd2exzd2it1911z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2sequence1701za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2makezd2box2008zc0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza32484ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2sync2092za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk3z12zd2setzd2exzd2it1923za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk2z12zd2fail1897za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2switch2102zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0za2zd2extern1789z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1za2zd2setq1839z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2cast1827za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza33277ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32548ze3ze70z60zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2jumpzd2exzd2it1935z12zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2app1719z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0za2zd2return1984z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2appzd2ly1751z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4000z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ap4302za7,
		BGl_z62walk3z12zd2app1731za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4001z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2appza7d4303za7,
		BGl_z62walk0zd2appzd2ly1733z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4002z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2appza7d4304za7,
		BGl_z62walk1zd2appzd2ly1735z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4003z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2appza7d4305za7,
		BGl_z62walk2zd2appzd2ly1737z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4004z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2appza7d4306za7,
		BGl_z62walk3zd2appzd2ly1739z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4005z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ap4307za7,
		BGl_z62walk0za2zd2appzd2ly1741zc0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4006z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ap4308za7,
		BGl_z62walk1za2zd2appzd2ly1743zc0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4007z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ap4309za7,
		BGl_z62walk2za2zd2appzd2ly1745zc0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4008z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ap4310za7,
		BGl_z62walk3za2zd2appzd2ly1747zc0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4009z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ap4311za7,
		BGl_z62walk0z12zd2appzd2ly1749z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4010z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ap4312za7,
		BGl_z62walk1z12zd2appzd2ly1751z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4011z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ap4313za7,
		BGl_z62walk2z12zd2appzd2ly1753z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4012z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ap4314za7,
		BGl_z62walk3z12zd2appzd2ly1755z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4013z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2funca4315z00,
		BGl_z62walk0zd2funcall1757zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4014z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2funca4316z00,
		BGl_z62walk1zd2funcall1759zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4015z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2funca4317z00,
		BGl_z62walk2zd2funcall1761zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4016z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2funca4318z00,
		BGl_z62walk3zd2funcall1763zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4017z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2fu4319za7,
		BGl_z62walk0za2zd2funcall1765z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4018z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2fu4320za7,
		BGl_z62walk1za2zd2funcall1767z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk2za2zd2envz70zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7c0za7za74321za7, BGl_z62walk2za2zc0zzast_walkz00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4019z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2fu4322za7,
		BGl_z62walk2za2zd2funcall1769z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4020z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2fu4323za7,
		BGl_z62walk3za2zd2funcall1771z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4021z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2fu4324za7,
		BGl_z62walk0z12zd2funcall1773za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4022z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2fu4325za7,
		BGl_z62walk1z12zd2funcall1775za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4023z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2fu4326za7,
		BGl_z62walk2z12zd2funcall1777za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4024z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2fu4327za7,
		BGl_z62walk3z12zd2funcall1779za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4025z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2exter4328z00,
		BGl_z62walk0zd2extern1781zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4026z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2exter4329z00,
		BGl_z62walk1zd2extern1783zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4027z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2exter4330z00,
		BGl_z62walk2zd2extern1785zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4028z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2exter4331z00,
		BGl_z62walk3zd2extern1787zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4029z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ex4332za7,
		BGl_z62walk0za2zd2extern1789z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4030z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ex4333za7,
		BGl_z62walk1za2zd2extern1791z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4031z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ex4334za7,
		BGl_z62walk2za2zd2extern1793z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4032z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ex4335za7,
		BGl_z62walk3za2zd2extern1795z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4033z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ex4336za7,
		BGl_z62walk0z12zd2extern1797za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4034z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ex4337za7,
		BGl_z62walk1z12zd2extern1799za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4035z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ex4338za7,
		BGl_z62walk2z12zd2extern1801za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4036z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ex4339za7,
		BGl_z62walk3z12zd2extern1803za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4037z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2cast14340z00,
		BGl_z62walk0zd2cast1805zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4038z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2cast14341z00,
		BGl_z62walk1zd2cast1807zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4039z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2cast14342z00,
		BGl_z62walk2zd2cast1809zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4200z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2le4343za7,
		BGl_z62walk3za2zd2letzd2fun2138zc0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4201z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2le4344za7,
		BGl_z62walk0z12zd2letzd2fun2140z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4202z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2le4345za7,
		BGl_z62walk1z12zd2letzd2fun2142z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4040z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2cast14346z00,
		BGl_z62walk3zd2cast1811zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4203z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2le4347za7,
		BGl_z62walk2z12zd2letzd2fun2144z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4041z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ca4348za7,
		BGl_z62walk0za2zd2cast1813z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4204z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2le4349za7,
		BGl_z62walk3z12zd2letzd2fun2146z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4042z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ca4350za7,
		BGl_z62walk1za2zd2cast1815z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4205z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2letza7d4351za7,
		BGl_z62walk0zd2letzd2var2148z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4043z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ca4352za7,
		BGl_z62walk2za2zd2cast1817z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4206z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2letza7d4353za7,
		BGl_z62walk1zd2letzd2var2150z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4044z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ca4354za7,
		BGl_z62walk3za2zd2cast1819z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4207z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2letza7d4355za7,
		BGl_z62walk2zd2letzd2var2152z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4045z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ca4356za7,
		BGl_z62walk0z12zd2cast1821za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4208z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2letza7d4357za7,
		BGl_z62walk3zd2letzd2var2154z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4046z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ca4358za7,
		BGl_z62walk1z12zd2cast1823za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4209z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2le4359za7,
		BGl_z62walk0za2zd2letzd2var2156zc0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4047z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ca4360za7,
		BGl_z62walk2z12zd2cast1825za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4048z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ca4361za7,
		BGl_z62walk3z12zd2cast1827za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4049z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2setq14362z00,
		BGl_z62walk0zd2setq1829zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4210z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2le4363za7,
		BGl_z62walk1za2zd2letzd2var2158zc0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4211z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2le4364za7,
		BGl_z62walk2za2zd2letzd2var2160zc0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4212z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2le4365za7,
		BGl_z62walk3za2zd2letzd2var2162zc0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4050z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2setq14366z00,
		BGl_z62walk1zd2setq1831zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4213z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2le4367za7,
		BGl_z62walk0z12zd2letzd2var2164z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4051z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2setq14368z00,
		BGl_z62walk2zd2setq1833zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4214z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2le4369za7,
		BGl_z62walk1z12zd2letzd2var2166z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4052z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2setq14370z00,
		BGl_z62walk3zd2setq1835zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4215z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2le4371za7,
		BGl_z62walk2z12zd2letzd2var2168z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4053z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2se4372za7,
		BGl_z62walk0za2zd2setq1837z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4216z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2le4373za7,
		BGl_z62walk3z12zd2letzd2var2170z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4054z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2se4374za7,
		BGl_z62walk1za2zd2setq1839z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4055z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2se4375za7,
		BGl_z62walk2za2zd2setq1841z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4056z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2se4376za7,
		BGl_z62walk3za2zd2setq1843z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4057z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2se4377za7,
		BGl_z62walk0z12zd2setq1845za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4058z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2se4378za7,
		BGl_z62walk1z12zd2setq1847za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4059z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2se4379za7,
		BGl_z62walk2z12zd2setq1849za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4060z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2se4380za7,
		BGl_z62walk3z12zd2setq1851za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4061z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2condi4381z00,
		BGl_z62walk0zd2conditional1853zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4062z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2condi4382z00,
		BGl_z62walk1zd2conditional1855zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4063z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2condi4383z00,
		BGl_z62walk2zd2conditional1857zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4064z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2condi4384z00,
		BGl_z62walk3zd2conditional1859zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk3za2zd2envz70zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7c0za7za74385za7, BGl_z62walk3za2zc0zzast_walkz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4065z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2co4386za7,
		BGl_z62walk0za2zd2conditional1861z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4066z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2co4387za7,
		BGl_z62walk1za2zd2conditional1863z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4067z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2co4388za7,
		BGl_z62walk2za2zd2conditional1865z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4068z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2co4389za7,
		BGl_z62walk3za2zd2conditional1867z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4069z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2co4390za7,
		BGl_z62walk0z12zd2conditional1869za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4070z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2co4391za7,
		BGl_z62walk1z12zd2conditional1871za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4071z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2co4392za7,
		BGl_z62walk2z12zd2conditional1873za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4072z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2co4393za7,
		BGl_z62walk3z12zd2conditional1875za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4073z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2fail14394z00,
		BGl_z62walk0zd2fail1877zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4074z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2fail14395z00,
		BGl_z62walk1zd2fail1879zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4075z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2fail14396z00,
		BGl_z62walk2zd2fail1881zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4076z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2fail14397z00,
		BGl_z62walk3zd2fail1883zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4077z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2fa4398za7,
		BGl_z62walk0za2zd2fail1885z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4078z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2fa4399za7,
		BGl_z62walk1za2zd2fail1887z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4079z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2fa4400za7,
		BGl_z62walk2za2zd2fail1889z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4080z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2fa4401za7,
		BGl_z62walk3za2zd2fail1891z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4081z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2fa4402za7,
		BGl_z62walk0z12zd2fail1893za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4082z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2fa4403za7,
		BGl_z62walk1z12zd2fail1895za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4083z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2fa4404za7,
		BGl_z62walk2z12zd2fail1897za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4084z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2fa4405za7,
		BGl_z62walk3z12zd2fail1899za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4085z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2setza7d4406za7,
		BGl_z62walk0zd2setzd2exzd2it1901zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4086z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2setza7d4407za7,
		BGl_z62walk1zd2setzd2exzd2it1903zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4087z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2setza7d4408za7,
		BGl_z62walk2zd2setzd2exzd2it1905zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4088z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2setza7d4409za7,
		BGl_z62walk3zd2setzd2exzd2it1907zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4089z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2se4410za7,
		BGl_z62walk0za2zd2setzd2exzd2it1909z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4090z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2se4411za7,
		BGl_z62walk1za2zd2setzd2exzd2it1911z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4091z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2se4412za7,
		BGl_z62walk2za2zd2setzd2exzd2it1913z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4092z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2se4413za7,
		BGl_z62walk3za2zd2setzd2exzd2it1915z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4093z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2se4414za7,
		BGl_z62walk0z12zd2setzd2exzd2it1917za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4094z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2se4415za7,
		BGl_z62walk1z12zd2setzd2exzd2it1919za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4095z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2se4416za7,
		BGl_z62walk2z12zd2setzd2exzd2it1921za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4096z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2se4417za7,
		BGl_z62walk3z12zd2setzd2exzd2it1923za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4097z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2jumpza74418za7,
		BGl_z62walk0zd2jumpzd2exzd2it1925zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4098z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2jumpza74419za7,
		BGl_z62walk1zd2jumpzd2exzd2it1927zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4099z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2jumpza74420za7,
		BGl_z62walk2zd2jumpzd2exzd2it1930zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk0zd2envzd2zzast_walkz00,
		BgL_bgl_za762walk0za762za7za7ast4421z00, BGl_z62walk0z62zzast_walkz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk4za2zd2envz70zzast_walkz00,
		BgL_bgl_za762walk4za7a2za7c0za7za74422za7, BGl_z62walk4za2zc0zzast_walkz00,
		0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk1zd2envzd2zzast_walkz00,
		BgL_bgl_za762walk1za762za7za7ast4423z00, BGl_z62walk1z62zzast_walkz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3920z00zzast_walkz00,
		BgL_bgl_za762walk01629za762za74424za7, BGl_z62walk01629z62zzast_walkz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3922z00zzast_walkz00,
		BgL_bgl_za762walk11631za762za74425za7, BGl_z62walk11631z62zzast_walkz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3924z00zzast_walkz00,
		BgL_bgl_za762walk21633za762za74426za7, BGl_z62walk21633z62zzast_walkz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3926z00zzast_walkz00,
		BgL_bgl_za762walk31635za762za74427za7, BGl_z62walk31635z62zzast_walkz00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3928z00zzast_walkz00,
		BgL_bgl_za762walk41637za762za74428za7, BGl_z62walk41637z62zzast_walkz00, 0L,
		BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk2zd2envzd2zzast_walkz00,
		BgL_bgl_za762walk2za762za7za7ast4429z00, BGl_z62walk2z62zzast_walkz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3930z00zzast_walkz00,
		BgL_bgl_za762walk0za7a21639za74430za7, BGl_z62walk0za21639zc0zzast_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3932z00zzast_walkz00,
		BgL_bgl_za762walk1za7a21641za74431za7, BGl_z62walk1za21641zc0zzast_walkz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3934z00zzast_walkz00,
		BgL_bgl_za762walk2za7a21643za74432za7, BGl_z62walk2za21643zc0zzast_walkz00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3936z00zzast_walkz00,
		BgL_bgl_za762walk3za7a21645za74433za7, BGl_z62walk3za21645zc0zzast_walkz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3938z00zzast_walkz00,
		BgL_bgl_za762walk4za7a21647za74434za7, BGl_z62walk4za21647zc0zzast_walkz00,
		0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk0z12zd2envzc0zzast_walkz00,
		BgL_bgl_za762walk0za712za770za7za74435za7, BGl_z62walk0z12z70zzast_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3940z00zzast_walkz00,
		BgL_bgl_za762walk0za7121649za74436za7, BGl_z62walk0z121649z70zzast_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3942z00zzast_walkz00,
		BgL_bgl_za762walk1za7121651za74437za7, BGl_z62walk1z121651z70zzast_walkz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3944z00zzast_walkz00,
		BgL_bgl_za762walk2za7121653za74438za7, BGl_z62walk2z121653z70zzast_walkz00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3946z00zzast_walkz00,
		BgL_bgl_za762walk3za7121655za74439za7, BGl_z62walk3z121655z70zzast_walkz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3948z00zzast_walkz00,
		BgL_bgl_za762walk4za7121657za74440za7, BGl_z62walk4z121657z70zzast_walkz00,
		0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3965z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2node14441z00,
		BGl_z62walk0zd2node1660zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3966z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2node14442z00,
		BGl_z62walk1zd2node1662zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3967z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2node14443z00,
		BGl_z62walk2zd2node1664zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3968z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2node14444z00,
		BGl_z62walk3zd2node1666zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3969z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2no4445za7,
		BGl_z62walk0za2zd2node1668z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk3zd2envzd2zzast_walkz00,
		BgL_bgl_za762walk3za762za7za7ast4446z00, BGl_z62walk3z62zzast_walkz00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3970z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2no4447za7,
		BGl_z62walk1za2zd2node1670z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3971z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2no4448za7,
		BGl_z62walk2za2zd2node1672z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3972z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2no4449za7,
		BGl_z62walk3za2zd2node1674z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3973z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2no4450za7,
		BGl_z62walk0z12zd2node1676za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3974z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2no4451za7,
		BGl_z62walk1z12zd2node1678za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3975z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2no4452za7,
		BGl_z62walk2z12zd2node1680za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3976z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2no4453za7,
		BGl_z62walk3z12zd2node1682za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3977z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2seque4454z00,
		BGl_z62walk0zd2sequence1684zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3978z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2seque4455z00,
		BGl_z62walk1zd2sequence1686zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3979z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2seque4456z00,
		BGl_z62walk2zd2sequence1688zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3980z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2seque4457z00,
		BGl_z62walk3zd2sequence1690zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3981z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2se4458za7,
		BGl_z62walk0za2zd2sequence1692z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3982z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2se4459za7,
		BGl_z62walk1za2zd2sequence1694z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3983z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2se4460za7,
		BGl_z62walk2za2zd2sequence1696z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3984z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2se4461za7,
		BGl_z62walk3za2zd2sequence1698z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3985z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2se4462za7,
		BGl_z62walk0z12zd2sequence1701za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3986z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2se4463za7,
		BGl_z62walk1z12zd2sequence1703za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3987z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2se4464za7,
		BGl_z62walk2z12zd2sequence1705za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3988z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2se4465za7,
		BGl_z62walk3z12zd2sequence1707za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3989z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2app174466z00, BGl_z62walk0zd2app1709zb0zzast_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk1z12zd2envzc0zzast_walkz00,
		BgL_bgl_za762walk1za712za770za7za74467za7, BGl_z62walk1z12z70zzast_walkz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3990z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2app174468z00, BGl_z62walk1zd2app1711zb0zzast_walkz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3991z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2app174469z00, BGl_z62walk2zd2app1713zb0zzast_walkz00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3992z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2app174470z00, BGl_z62walk3zd2app1715zb0zzast_walkz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3993z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ap4471za7,
		BGl_z62walk0za2zd2app1717z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3994z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ap4472za7,
		BGl_z62walk1za2zd2app1719z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3995z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ap4473za7,
		BGl_z62walk2za2zd2app1721z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3996z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ap4474za7,
		BGl_z62walk3za2zd2app1723z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3997z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ap4475za7,
		BGl_z62walk0z12zd2app1725za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3998z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ap4476za7,
		BGl_z62walk1z12zd2app1727za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3999z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ap4477za7,
		BGl_z62walk2z12zd2app1729za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk4zd2envzd2zzast_walkz00,
		BgL_bgl_za762walk4za762za7za7ast4478z00, BGl_z62walk4z62zzast_walkz00, 0L,
		BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk2z12zd2envzc0zzast_walkz00,
		BgL_bgl_za762walk2za712za770za7za74479za7, BGl_z62walk2z12z70zzast_walkz00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4100z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2jumpza74480za7,
		BGl_z62walk3zd2jumpzd2exzd2it1932zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk3z12zd2envzc0zzast_walkz00,
		BgL_bgl_za762walk3za712za770za7za74481za7, BGl_z62walk3z12z70zzast_walkz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4101z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ju4482za7,
		BGl_z62walk0za2zd2jumpzd2exzd2it1935z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4102z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ju4483za7,
		BGl_z62walk1za2zd2jumpzd2exzd2it1937z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4103z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ju4484za7,
		BGl_z62walk2za2zd2jumpzd2exzd2it1939z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4104z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ju4485za7,
		BGl_z62walk3za2zd2jumpzd2exzd2it1941z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4105z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ju4486za7,
		BGl_z62walk0z12zd2jumpzd2exzd2it1943za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4106z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ju4487za7,
		BGl_z62walk1z12zd2jumpzd2exzd2it1945za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4107z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ju4488za7,
		BGl_z62walk2z12zd2jumpzd2exzd2it1947za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4108z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ju4489za7,
		BGl_z62walk3z12zd2jumpzd2exzd2it1949za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4109z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2retbl4490z00,
		BGl_z62walk0zd2retblock1952zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4110z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2retbl4491z00,
		BGl_z62walk1zd2retblock1954zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4111z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2retbl4492z00,
		BGl_z62walk2zd2retblock1956zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4112z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2retbl4493z00,
		BGl_z62walk3zd2retblock1958zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4113z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2re4494za7,
		BGl_z62walk0za2zd2retblock1960z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4114z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2re4495za7,
		BGl_z62walk1za2zd2retblock1962z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4115z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2re4496za7,
		BGl_z62walk2za2zd2retblock1964z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4116z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2re4497za7,
		BGl_z62walk3za2zd2retblock1966z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4117z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2re4498za7,
		BGl_z62walk0z12zd2retblock1968za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4118z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2re4499za7,
		BGl_z62walk1z12zd2retblock1970za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4119z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2re4500za7,
		BGl_z62walk2z12zd2retblock1972za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4120z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2re4501za7,
		BGl_z62walk3z12zd2retblock1974za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4121z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2retur4502z00,
		BGl_z62walk0zd2return1976zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4122z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2retur4503z00,
		BGl_z62walk1zd2return1978zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4123z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2retur4504z00,
		BGl_z62walk2zd2return1980zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4124z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2retur4505z00,
		BGl_z62walk3zd2return1982zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4125z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2re4506za7,
		BGl_z62walk0za2zd2return1984z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4126z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2re4507za7,
		BGl_z62walk1za2zd2return1986z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4127z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2re4508za7,
		BGl_z62walk2za2zd2return1988z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4128z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2re4509za7,
		BGl_z62walk3za2zd2return1990z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4129z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2re4510za7,
		BGl_z62walk0z12zd2return1992za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4217z00zzast_walkz00,
		BgL_bgl_string4217za700za7za7a4511za7, "ast_walk", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4130z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2re4512za7,
		BGl_z62walk1z12zd2return1994za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4131z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2re4513za7,
		BGl_z62walk2z12zd2return1996za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4132z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2re4514za7,
		BGl_z62walk3z12zd2return1998za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4133z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2makeza74515za7,
		BGl_z62walk0zd2makezd2box2000z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4134z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2makeza74516za7,
		BGl_z62walk1zd2makezd2box2002z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4135z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2makeza74517za7,
		BGl_z62walk2zd2makezd2box2004z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4136z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2makeza74518za7,
		BGl_z62walk3zd2makezd2box2006z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4137z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ma4519za7,
		BGl_z62walk0za2zd2makezd2box2008zc0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4138z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ma4520za7,
		BGl_z62walk1za2zd2makezd2box2010zc0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4139z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ma4521za7,
		BGl_z62walk2za2zd2makezd2box2012zc0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4140z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ma4522za7,
		BGl_z62walk3za2zd2makezd2box2014zc0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4141z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ma4523za7,
		BGl_z62walk0z12zd2makezd2box2016z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4142z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ma4524za7,
		BGl_z62walk1z12zd2makezd2box2018z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4143z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ma4525za7,
		BGl_z62walk2z12zd2makezd2box2020z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4144z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ma4526za7,
		BGl_z62walk3z12zd2makezd2box2022z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4145z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2boxza7d4527za7,
		BGl_z62walk0zd2boxzd2ref2025z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4146z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2boxza7d4528za7,
		BGl_z62walk1zd2boxzd2ref2027z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4147z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2boxza7d4529za7,
		BGl_z62walk2zd2boxzd2ref2029z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4148z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2boxza7d4530za7,
		BGl_z62walk3zd2boxzd2ref2031z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4149z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2bo4531za7,
		BGl_z62walk0za2zd2boxzd2ref2033zc0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk4z12zd2envzc0zzast_walkz00,
		BgL_bgl_za762walk4za712za770za7za74532za7, BGl_z62walk4z12z70zzast_walkz00,
		0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4150z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2bo4533za7,
		BGl_z62walk1za2zd2boxzd2ref2036zc0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4151z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2bo4534za7,
		BGl_z62walk2za2zd2boxzd2ref2038zc0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4152z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2bo4535za7,
		BGl_z62walk3za2zd2boxzd2ref2040zc0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4153z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2bo4536za7,
		BGl_z62walk0z12zd2boxzd2ref2043z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4154z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2bo4537za7,
		BGl_z62walk1z12zd2boxzd2ref2045z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4155z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2bo4538za7,
		BGl_z62walk2z12zd2boxzd2ref2048z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4156z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2bo4539za7,
		BGl_z62walk3z12zd2boxzd2ref2050z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4157z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2boxza7d4540za7,
		BGl_z62walk0zd2boxzd2setz122052z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4158z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2boxza7d4541za7,
		BGl_z62walk1zd2boxzd2setz122054z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4159z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2boxza7d4542za7,
		BGl_z62walk2zd2boxzd2setz122056z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4160z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2boxza7d4543za7,
		BGl_z62walk3zd2boxzd2setz122058z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4161z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2bo4544za7,
		BGl_z62walk0za2zd2boxzd2setz122060zd2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4162z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2bo4545za7,
		BGl_z62walk1za2zd2boxzd2setz122062zd2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4163z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2bo4546za7,
		BGl_z62walk2za2zd2boxzd2setz122064zd2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4164z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2bo4547za7,
		BGl_z62walk3za2zd2boxzd2setz122066zd2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4165z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2bo4548za7,
		BGl_z62walk0z12zd2boxzd2setz122068z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4166z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2bo4549za7,
		BGl_z62walk1z12zd2boxzd2setz122070z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4167z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2bo4550za7,
		BGl_z62walk2z12zd2boxzd2setz122072z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4168z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2bo4551za7,
		BGl_z62walk3z12zd2boxzd2setz122074z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4169z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2sync24552z00,
		BGl_z62walk0zd2sync2076zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4170z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2sync24553z00,
		BGl_z62walk1zd2sync2078zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4171z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2sync24554z00,
		BGl_z62walk2zd2sync2080zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4172z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2sync24555z00,
		BGl_z62walk3zd2sync2082zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4173z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2sy4556za7,
		BGl_z62walk0za2zd2sync2084z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4174z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2sy4557za7,
		BGl_z62walk1za2zd2sync2086z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4175z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2sy4558za7,
		BGl_z62walk2za2zd2sync2088z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4176z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2sy4559za7,
		BGl_z62walk3za2zd2sync2090z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4177z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2sy4560za7,
		BGl_z62walk0z12zd2sync2092za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4178z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2sy4561za7,
		BGl_z62walk1z12zd2sync2094za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4179z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2sy4562za7,
		BGl_z62walk2z12zd2sync2096za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4180z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2sy4563za7,
		BGl_z62walk3z12zd2sync2098za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4181z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2switc4564z00,
		BGl_z62walk0zd2switch2100zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4182z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2switc4565z00,
		BGl_z62walk1zd2switch2102zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4183z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2switc4566z00,
		BGl_z62walk2zd2switch2104zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4184z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2switc4567z00,
		BGl_z62walk3zd2switch2106zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4185z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2sw4568za7,
		BGl_z62walk0za2zd2switch2108z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4186z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2sw4569za7,
		BGl_z62walk1za2zd2switch2110z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4187z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2sw4570za7,
		BGl_z62walk2za2zd2switch2112z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4188z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2sw4571za7,
		BGl_z62walk3za2zd2switch2114z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4189z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2sw4572za7,
		BGl_z62walk0z12zd2switch2116za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4190z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2sw4573za7,
		BGl_z62walk1z12zd2switch2118za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4191z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2sw4574za7,
		BGl_z62walk2z12zd2switch2120za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4192z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2sw4575za7,
		BGl_z62walk3z12zd2switch2122za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4193z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2letza7d4576za7,
		BGl_z62walk0zd2letzd2fun2124z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4194z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2letza7d4577za7,
		BGl_z62walk1zd2letzd2fun2126z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4195z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2letza7d4578za7,
		BGl_z62walk2zd2letzd2fun2128z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4196z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2letza7d4579za7,
		BGl_z62walk3zd2letzd2fun2130z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4197z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2le4580za7,
		BGl_z62walk0za2zd2letzd2fun2132zc0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4198z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2le4581za7,
		BGl_z62walk1za2zd2letzd2fun2134zc0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4199z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2le4582za7,
		BGl_z62walk2za2zd2letzd2fun2136zc0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3921z00zzast_walkz00,
		BgL_bgl_string3921za700za7za7a4583za7, "walk01629", 9);
	      DEFINE_STRING(BGl_string3923z00zzast_walkz00,
		BgL_bgl_string3923za700za7za7a4584za7, "walk11631", 9);
	      DEFINE_STRING(BGl_string3925z00zzast_walkz00,
		BgL_bgl_string3925za700za7za7a4585za7, "walk21633", 9);
	      DEFINE_STRING(BGl_string3927z00zzast_walkz00,
		BgL_bgl_string3927za700za7za7a4586za7, "walk31635", 9);
	      DEFINE_STRING(BGl_string3929z00zzast_walkz00,
		BgL_bgl_string3929za700za7za7a4587za7, "walk41637", 9);
	      DEFINE_STRING(BGl_string3931z00zzast_walkz00,
		BgL_bgl_string3931za700za7za7a4588za7, "walk0*1639", 10);
	      DEFINE_STRING(BGl_string3933z00zzast_walkz00,
		BgL_bgl_string3933za700za7za7a4589za7, "walk1*1641", 10);
	      DEFINE_STRING(BGl_string3935z00zzast_walkz00,
		BgL_bgl_string3935za700za7za7a4590za7, "walk2*1643", 10);
	      DEFINE_STRING(BGl_string3937z00zzast_walkz00,
		BgL_bgl_string3937za700za7za7a4591za7, "walk3*1645", 10);
	      DEFINE_STRING(BGl_string3939z00zzast_walkz00,
		BgL_bgl_string3939za700za7za7a4592za7, "walk4*1647", 10);
	      DEFINE_STRING(BGl_string3941z00zzast_walkz00,
		BgL_bgl_string3941za700za7za7a4593za7, "walk0!1649", 10);
	      DEFINE_STRING(BGl_string3943z00zzast_walkz00,
		BgL_bgl_string3943za700za7za7a4594za7, "walk1!1651", 10);
	      DEFINE_STRING(BGl_string3945z00zzast_walkz00,
		BgL_bgl_string3945za700za7za7a4595za7, "walk2!1653", 10);
	      DEFINE_STRING(BGl_string3947z00zzast_walkz00,
		BgL_bgl_string3947za700za7za7a4596za7, "walk3!1655", 10);
	      DEFINE_STRING(BGl_string3949z00zzast_walkz00,
		BgL_bgl_string3949za700za7za7a4597za7, "walk4!1657", 10);
	      DEFINE_STRING(BGl_string3950z00zzast_walkz00,
		BgL_bgl_string3950za700za7za7a4598za7, "walk4!", 6);
	      DEFINE_STRING(BGl_string3951z00zzast_walkz00,
		BgL_bgl_string3951za700za7za7a4599za7, "Internal Error: forgot Node type",
		32);
	      DEFINE_STRING(BGl_string3952z00zzast_walkz00,
		BgL_bgl_string3952za700za7za7a4600za7, "walk3!", 6);
	      DEFINE_STRING(BGl_string3953z00zzast_walkz00,
		BgL_bgl_string3953za700za7za7a4601za7, "walk2!", 6);
	      DEFINE_STRING(BGl_string3954z00zzast_walkz00,
		BgL_bgl_string3954za700za7za7a4602za7, "walk1!", 6);
	      DEFINE_STRING(BGl_string3955z00zzast_walkz00,
		BgL_bgl_string3955za700za7za7a4603za7, "walk0!", 6);
	      DEFINE_STRING(BGl_string3956z00zzast_walkz00,
		BgL_bgl_string3956za700za7za7a4604za7, "walk3*", 6);
	      DEFINE_STRING(BGl_string3957z00zzast_walkz00,
		BgL_bgl_string3957za700za7za7a4605za7, "walk2*", 6);
	      DEFINE_STRING(BGl_string3958z00zzast_walkz00,
		BgL_bgl_string3958za700za7za7a4606za7, "walk1*", 6);
	      DEFINE_STRING(BGl_string3959z00zzast_walkz00,
		BgL_bgl_string3959za700za7za7a4607za7, "walk0*", 6);
	      DEFINE_STRING(BGl_string3960z00zzast_walkz00,
		BgL_bgl_string3960za700za7za7a4608za7, "walk4", 5);
	      DEFINE_STRING(BGl_string3961z00zzast_walkz00,
		BgL_bgl_string3961za700za7za7a4609za7, "walk3", 5);
	      DEFINE_STRING(BGl_string3962z00zzast_walkz00,
		BgL_bgl_string3962za700za7za7a4610za7, "walk2", 5);
	      DEFINE_STRING(BGl_string3963z00zzast_walkz00,
		BgL_bgl_string3963za700za7za7a4611za7, "walk1", 5);
	      DEFINE_STRING(BGl_string3964z00zzast_walkz00,
		BgL_bgl_string3964za700za7za7a4612za7, "walk0", 5);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk0za2zd2envz70zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7c0za7za74613za7, BGl_z62walk0za2zc0zzast_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk1za2zd2envz70zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7c0za7za74614za7, BGl_z62walk1za2zc0zzast_walkz00,
		0L, BUNSPEC, 3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long
		BgL_checksumz00_10055, char *BgL_fromz00_10056)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzast_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_walkz00();
					BGl_libraryzd2moduleszd2initz00zzast_walkz00();
					BGl_importedzd2moduleszd2initz00zzast_walkz00();
					BGl_genericzd2initzd2zzast_walkz00();
					BGl_methodzd2initzd2zzast_walkz00();
					return BGl_toplevelzd2initzd2zzast_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_walkz00()
	{
		{	/* Ast/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_walk");
			BGl_modulezd2initializa7ationz75zz__pp_circlez00(((long) 0), "ast_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "ast_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_walk");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_walkz00()
	{
		{	/* Ast/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_walkz00()
	{
		{	/* Ast/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzast_walkz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_2230;

				BgL_headz00_2230 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2231;
					obj_t BgL_tailz00_2232;

					BgL_prevz00_2231 = BgL_headz00_2230;
					BgL_tailz00_2232 = BgL_l1z00_1;
				BgL_loopz00_2233:
					if (PAIRP(BgL_tailz00_2232))
						{
							obj_t BgL_newzd2prevzd2_2235;

							BgL_newzd2prevzd2_2235 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2232), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2231, BgL_newzd2prevzd2_2235);
							{
								obj_t BgL_tailz00_10083;
								obj_t BgL_prevz00_10082;

								BgL_prevz00_10082 = BgL_newzd2prevzd2_2235;
								BgL_tailz00_10083 = CDR(BgL_tailz00_2232);
								BgL_tailz00_2232 = BgL_tailz00_10083;
								BgL_prevz00_2231 = BgL_prevz00_10082;
								goto BgL_loopz00_2233;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_2230);
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_walkz00()
	{
		{	/* Ast/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_walkz00()
	{
		{	/* Ast/walk.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_walk0zd2envzd2zzast_walkz00,
				BGl_proc3920z00zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string3921z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_walk1zd2envzd2zzast_walkz00,
				BGl_proc3922z00zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string3923z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_walk2zd2envzd2zzast_walkz00,
				BGl_proc3924z00zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string3925z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_walk3zd2envzd2zzast_walkz00,
				BGl_proc3926z00zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string3927z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_walk4zd2envzd2zzast_walkz00,
				BGl_proc3928z00zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string3929z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_proc3930z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3931z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_proc3932z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3933z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_proc3934z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3935z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_proc3936z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3937z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk4za2zd2envz70zzast_walkz00, BGl_proc3938z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3939z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_proc3940z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3941z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_proc3942z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3943z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_proc3944z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3945z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_proc3946z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3947z00zzast_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk4z12zd2envzc0zzast_walkz00, BGl_proc3948z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3949z00zzast_walkz00);
		}

	}



/* &walk4!1657 */
	obj_t BGl_z62walk4z121657z70zzast_walkz00(obj_t BgL_envz00_7161,
		obj_t BgL_nz00_7162, obj_t BgL_pz00_7163, obj_t BgL_arg0z00_7164,
		obj_t BgL_arg1z00_7165, obj_t BgL_arg2z00_7166, obj_t BgL_arg3z00_7167)
	{
		{	/* Ast/walk.scm 160 */
			{	/* Ast/walk.scm 162 */
				obj_t BgL_arg2233z00_8799;

				{	/* Ast/walk.scm 162 */
					obj_t BgL_zc3z04anonymousza32235ze3z87_8800;

					BgL_zc3z04anonymousza32235ze3z87_8800 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32235ze3ze5zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32235ze3z87_8800,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7162)));
					BgL_arg2233z00_8799 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32235ze3z87_8800);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3950z00zzast_walkz00,
					BGl_string3951z00zzast_walkz00, BgL_arg2233z00_8799);
			}
		}

	}



/* &<@anonymous:2235> */
	obj_t BGl_z62zc3z04anonymousza32235ze3ze5zzast_walkz00(obj_t BgL_envz00_7168)
	{
		{	/* Ast/walk.scm 162 */
			{	/* Ast/walk.scm 162 */
				BgL_nodez00_bglt BgL_nz00_7169;

				BgL_nz00_7169 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7168, (int) (((long) 0))));
				{	/* Ast/walk.scm 162 */
					obj_t BgL_portz00_8801;

					{	/* Ast/walk.scm 162 */
						obj_t BgL_res3670z00_8802;

						{	/* Ast/walk.scm 162 */
							obj_t BgL_tmpz00_10113;

							BgL_tmpz00_10113 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3670z00_8802 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10113);
						}
						BgL_portz00_8801 = BgL_res3670z00_8802;
					}
					{	/* Ast/walk.scm 162 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7169), BgL_portz00_8801);
					}
				}
			}
		}

	}



/* &walk3!1655 */
	obj_t BGl_z62walk3z121655z70zzast_walkz00(obj_t BgL_envz00_7170,
		obj_t BgL_nz00_7171, obj_t BgL_pz00_7172, obj_t BgL_arg0z00_7173,
		obj_t BgL_arg1z00_7174, obj_t BgL_arg2z00_7175)
	{
		{	/* Ast/walk.scm 157 */
			{	/* Ast/walk.scm 159 */
				obj_t BgL_arg2229z00_8805;

				{	/* Ast/walk.scm 159 */
					obj_t BgL_zc3z04anonymousza32231ze3z87_8806;

					BgL_zc3z04anonymousza32231ze3z87_8806 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32231ze3ze5zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32231ze3z87_8806,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7171)));
					BgL_arg2229z00_8805 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32231ze3z87_8806);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3952z00zzast_walkz00,
					BGl_string3951z00zzast_walkz00, BgL_arg2229z00_8805);
			}
		}

	}



/* &<@anonymous:2231> */
	obj_t BGl_z62zc3z04anonymousza32231ze3ze5zzast_walkz00(obj_t BgL_envz00_7176)
	{
		{	/* Ast/walk.scm 159 */
			{	/* Ast/walk.scm 159 */
				BgL_nodez00_bglt BgL_nz00_7177;

				BgL_nz00_7177 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7176, (int) (((long) 0))));
				{	/* Ast/walk.scm 159 */
					obj_t BgL_portz00_8807;

					{	/* Ast/walk.scm 159 */
						obj_t BgL_res3669z00_8808;

						{	/* Ast/walk.scm 159 */
							obj_t BgL_tmpz00_10130;

							BgL_tmpz00_10130 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3669z00_8808 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10130);
						}
						BgL_portz00_8807 = BgL_res3669z00_8808;
					}
					{	/* Ast/walk.scm 159 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7177), BgL_portz00_8807);
					}
				}
			}
		}

	}



/* &walk2!1653 */
	obj_t BGl_z62walk2z121653z70zzast_walkz00(obj_t BgL_envz00_7178,
		obj_t BgL_nz00_7179, obj_t BgL_pz00_7180, obj_t BgL_arg0z00_7181,
		obj_t BgL_arg1z00_7182)
	{
		{	/* Ast/walk.scm 154 */
			{	/* Ast/walk.scm 156 */
				obj_t BgL_arg2225z00_8811;

				{	/* Ast/walk.scm 156 */
					obj_t BgL_zc3z04anonymousza32227ze3z87_8812;

					BgL_zc3z04anonymousza32227ze3z87_8812 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32227ze3ze5zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_8812,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7179)));
					BgL_arg2225z00_8811 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32227ze3z87_8812);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3953z00zzast_walkz00,
					BGl_string3951z00zzast_walkz00, BgL_arg2225z00_8811);
			}
		}

	}



/* &<@anonymous:2227> */
	obj_t BGl_z62zc3z04anonymousza32227ze3ze5zzast_walkz00(obj_t BgL_envz00_7183)
	{
		{	/* Ast/walk.scm 156 */
			{	/* Ast/walk.scm 156 */
				BgL_nodez00_bglt BgL_nz00_7184;

				BgL_nz00_7184 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7183, (int) (((long) 0))));
				{	/* Ast/walk.scm 156 */
					obj_t BgL_portz00_8813;

					{	/* Ast/walk.scm 156 */
						obj_t BgL_res3668z00_8814;

						{	/* Ast/walk.scm 156 */
							obj_t BgL_tmpz00_10147;

							BgL_tmpz00_10147 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3668z00_8814 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10147);
						}
						BgL_portz00_8813 = BgL_res3668z00_8814;
					}
					{	/* Ast/walk.scm 156 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7184), BgL_portz00_8813);
					}
				}
			}
		}

	}



/* &walk1!1651 */
	obj_t BGl_z62walk1z121651z70zzast_walkz00(obj_t BgL_envz00_7185,
		obj_t BgL_nz00_7186, obj_t BgL_pz00_7187, obj_t BgL_arg0z00_7188)
	{
		{	/* Ast/walk.scm 151 */
			{	/* Ast/walk.scm 153 */
				obj_t BgL_arg2220z00_8817;

				{	/* Ast/walk.scm 153 */
					obj_t BgL_zc3z04anonymousza32223ze3z87_8818;

					BgL_zc3z04anonymousza32223ze3z87_8818 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32223ze3ze5zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32223ze3z87_8818,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7186)));
					BgL_arg2220z00_8817 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32223ze3z87_8818);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3954z00zzast_walkz00,
					BGl_string3951z00zzast_walkz00, BgL_arg2220z00_8817);
			}
		}

	}



/* &<@anonymous:2223> */
	obj_t BGl_z62zc3z04anonymousza32223ze3ze5zzast_walkz00(obj_t BgL_envz00_7189)
	{
		{	/* Ast/walk.scm 153 */
			{	/* Ast/walk.scm 153 */
				BgL_nodez00_bglt BgL_nz00_7190;

				BgL_nz00_7190 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7189, (int) (((long) 0))));
				{	/* Ast/walk.scm 153 */
					obj_t BgL_portz00_8819;

					{	/* Ast/walk.scm 153 */
						obj_t BgL_res3667z00_8820;

						{	/* Ast/walk.scm 153 */
							obj_t BgL_tmpz00_10164;

							BgL_tmpz00_10164 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3667z00_8820 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10164);
						}
						BgL_portz00_8819 = BgL_res3667z00_8820;
					}
					{	/* Ast/walk.scm 153 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7190), BgL_portz00_8819);
					}
				}
			}
		}

	}



/* &walk0!1649 */
	obj_t BGl_z62walk0z121649z70zzast_walkz00(obj_t BgL_envz00_7191,
		obj_t BgL_nz00_7192, obj_t BgL_pz00_7193)
	{
		{	/* Ast/walk.scm 148 */
			{	/* Ast/walk.scm 150 */
				obj_t BgL_arg2216z00_8823;

				{	/* Ast/walk.scm 150 */
					obj_t BgL_zc3z04anonymousza32218ze3z87_8824;

					BgL_zc3z04anonymousza32218ze3z87_8824 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32218ze3ze5zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32218ze3z87_8824,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7192)));
					BgL_arg2216z00_8823 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32218ze3z87_8824);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3955z00zzast_walkz00,
					BGl_string3951z00zzast_walkz00, BgL_arg2216z00_8823);
			}
		}

	}



/* &<@anonymous:2218> */
	obj_t BGl_z62zc3z04anonymousza32218ze3ze5zzast_walkz00(obj_t BgL_envz00_7194)
	{
		{	/* Ast/walk.scm 150 */
			{	/* Ast/walk.scm 150 */
				BgL_nodez00_bglt BgL_nz00_7195;

				BgL_nz00_7195 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7194, (int) (((long) 0))));
				{	/* Ast/walk.scm 150 */
					obj_t BgL_portz00_8825;

					{	/* Ast/walk.scm 150 */
						obj_t BgL_res3666z00_8826;

						{	/* Ast/walk.scm 150 */
							obj_t BgL_tmpz00_10181;

							BgL_tmpz00_10181 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3666z00_8826 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10181);
						}
						BgL_portz00_8825 = BgL_res3666z00_8826;
					}
					{	/* Ast/walk.scm 150 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7195), BgL_portz00_8825);
					}
				}
			}
		}

	}



/* &walk4*1647 */
	obj_t BGl_z62walk4za21647zc0zzast_walkz00(obj_t BgL_envz00_7196,
		obj_t BgL_nz00_7197, obj_t BgL_pz00_7198, obj_t BgL_arg0z00_7199,
		obj_t BgL_arg1z00_7200, obj_t BgL_arg2z00_7201, obj_t BgL_arg3z00_7202)
	{
		{	/* Ast/walk.scm 144 */
			{	/* Ast/walk.scm 146 */
				obj_t BgL_arg2212z00_8829;

				{	/* Ast/walk.scm 146 */
					obj_t BgL_zc3z04anonymousza32214ze3z87_8830;

					BgL_zc3z04anonymousza32214ze3z87_8830 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32214ze3ze5zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32214ze3z87_8830,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7197)));
					BgL_arg2212z00_8829 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32214ze3z87_8830);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3950z00zzast_walkz00,
					BGl_string3951z00zzast_walkz00, BgL_arg2212z00_8829);
			}
		}

	}



/* &<@anonymous:2214> */
	obj_t BGl_z62zc3z04anonymousza32214ze3ze5zzast_walkz00(obj_t BgL_envz00_7203)
	{
		{	/* Ast/walk.scm 146 */
			{	/* Ast/walk.scm 146 */
				BgL_nodez00_bglt BgL_nz00_7204;

				BgL_nz00_7204 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7203, (int) (((long) 0))));
				{	/* Ast/walk.scm 146 */
					obj_t BgL_portz00_8831;

					{	/* Ast/walk.scm 146 */
						obj_t BgL_res3665z00_8832;

						{	/* Ast/walk.scm 146 */
							obj_t BgL_tmpz00_10198;

							BgL_tmpz00_10198 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3665z00_8832 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10198);
						}
						BgL_portz00_8831 = BgL_res3665z00_8832;
					}
					{	/* Ast/walk.scm 146 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7204), BgL_portz00_8831);
					}
				}
			}
		}

	}



/* &walk3*1645 */
	obj_t BGl_z62walk3za21645zc0zzast_walkz00(obj_t BgL_envz00_7205,
		obj_t BgL_nz00_7206, obj_t BgL_pz00_7207, obj_t BgL_arg0z00_7208,
		obj_t BgL_arg1z00_7209, obj_t BgL_arg2z00_7210)
	{
		{	/* Ast/walk.scm 141 */
			{	/* Ast/walk.scm 143 */
				obj_t BgL_arg2208z00_8835;

				{	/* Ast/walk.scm 143 */
					obj_t BgL_zc3z04anonymousza32210ze3z87_8836;

					BgL_zc3z04anonymousza32210ze3z87_8836 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32210ze3ze5zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32210ze3z87_8836,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7206)));
					BgL_arg2208z00_8835 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32210ze3z87_8836);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3956z00zzast_walkz00,
					BGl_string3951z00zzast_walkz00, BgL_arg2208z00_8835);
			}
		}

	}



/* &<@anonymous:2210> */
	obj_t BGl_z62zc3z04anonymousza32210ze3ze5zzast_walkz00(obj_t BgL_envz00_7211)
	{
		{	/* Ast/walk.scm 143 */
			{	/* Ast/walk.scm 143 */
				BgL_nodez00_bglt BgL_nz00_7212;

				BgL_nz00_7212 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7211, (int) (((long) 0))));
				{	/* Ast/walk.scm 143 */
					obj_t BgL_portz00_8837;

					{	/* Ast/walk.scm 143 */
						obj_t BgL_res3664z00_8838;

						{	/* Ast/walk.scm 143 */
							obj_t BgL_tmpz00_10215;

							BgL_tmpz00_10215 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3664z00_8838 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10215);
						}
						BgL_portz00_8837 = BgL_res3664z00_8838;
					}
					{	/* Ast/walk.scm 143 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7212), BgL_portz00_8837);
					}
				}
			}
		}

	}



/* &walk2*1643 */
	obj_t BGl_z62walk2za21643zc0zzast_walkz00(obj_t BgL_envz00_7213,
		obj_t BgL_nz00_7214, obj_t BgL_pz00_7215, obj_t BgL_arg0z00_7216,
		obj_t BgL_arg1z00_7217)
	{
		{	/* Ast/walk.scm 138 */
			{	/* Ast/walk.scm 140 */
				obj_t BgL_arg2204z00_8841;

				{	/* Ast/walk.scm 140 */
					obj_t BgL_zc3z04anonymousza32206ze3z87_8842;

					BgL_zc3z04anonymousza32206ze3z87_8842 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32206ze3ze5zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_8842,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7214)));
					BgL_arg2204z00_8841 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32206ze3z87_8842);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3957z00zzast_walkz00,
					BGl_string3951z00zzast_walkz00, BgL_arg2204z00_8841);
			}
		}

	}



/* &<@anonymous:2206> */
	obj_t BGl_z62zc3z04anonymousza32206ze3ze5zzast_walkz00(obj_t BgL_envz00_7218)
	{
		{	/* Ast/walk.scm 140 */
			{	/* Ast/walk.scm 140 */
				BgL_nodez00_bglt BgL_nz00_7219;

				BgL_nz00_7219 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7218, (int) (((long) 0))));
				{	/* Ast/walk.scm 140 */
					obj_t BgL_portz00_8843;

					{	/* Ast/walk.scm 140 */
						obj_t BgL_res3663z00_8844;

						{	/* Ast/walk.scm 140 */
							obj_t BgL_tmpz00_10232;

							BgL_tmpz00_10232 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3663z00_8844 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10232);
						}
						BgL_portz00_8843 = BgL_res3663z00_8844;
					}
					{	/* Ast/walk.scm 140 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7219), BgL_portz00_8843);
					}
				}
			}
		}

	}



/* &walk1*1641 */
	obj_t BGl_z62walk1za21641zc0zzast_walkz00(obj_t BgL_envz00_7220,
		obj_t BgL_nz00_7221, obj_t BgL_pz00_7222, obj_t BgL_arg0z00_7223)
	{
		{	/* Ast/walk.scm 135 */
			{	/* Ast/walk.scm 137 */
				obj_t BgL_arg2200z00_8847;

				{	/* Ast/walk.scm 137 */
					obj_t BgL_zc3z04anonymousza32202ze3z87_8848;

					BgL_zc3z04anonymousza32202ze3z87_8848 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32202ze3ze5zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32202ze3z87_8848,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7221)));
					BgL_arg2200z00_8847 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32202ze3z87_8848);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3958z00zzast_walkz00,
					BGl_string3951z00zzast_walkz00, BgL_arg2200z00_8847);
			}
		}

	}



/* &<@anonymous:2202> */
	obj_t BGl_z62zc3z04anonymousza32202ze3ze5zzast_walkz00(obj_t BgL_envz00_7224)
	{
		{	/* Ast/walk.scm 137 */
			{	/* Ast/walk.scm 137 */
				BgL_nodez00_bglt BgL_nz00_7225;

				BgL_nz00_7225 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7224, (int) (((long) 0))));
				{	/* Ast/walk.scm 137 */
					obj_t BgL_portz00_8849;

					{	/* Ast/walk.scm 137 */
						obj_t BgL_res3662z00_8850;

						{	/* Ast/walk.scm 137 */
							obj_t BgL_tmpz00_10249;

							BgL_tmpz00_10249 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3662z00_8850 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10249);
						}
						BgL_portz00_8849 = BgL_res3662z00_8850;
					}
					{	/* Ast/walk.scm 137 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7225), BgL_portz00_8849);
					}
				}
			}
		}

	}



/* &walk0*1639 */
	obj_t BGl_z62walk0za21639zc0zzast_walkz00(obj_t BgL_envz00_7226,
		obj_t BgL_nz00_7227, obj_t BgL_pz00_7228)
	{
		{	/* Ast/walk.scm 132 */
			{	/* Ast/walk.scm 134 */
				obj_t BgL_arg2196z00_8853;

				{	/* Ast/walk.scm 134 */
					obj_t BgL_zc3z04anonymousza32198ze3z87_8854;

					BgL_zc3z04anonymousza32198ze3z87_8854 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32198ze3ze5zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32198ze3z87_8854,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7227)));
					BgL_arg2196z00_8853 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32198ze3z87_8854);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3959z00zzast_walkz00,
					BGl_string3951z00zzast_walkz00, BgL_arg2196z00_8853);
			}
		}

	}



/* &<@anonymous:2198> */
	obj_t BGl_z62zc3z04anonymousza32198ze3ze5zzast_walkz00(obj_t BgL_envz00_7229)
	{
		{	/* Ast/walk.scm 134 */
			{	/* Ast/walk.scm 134 */
				BgL_nodez00_bglt BgL_nz00_7230;

				BgL_nz00_7230 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7229, (int) (((long) 0))));
				{	/* Ast/walk.scm 134 */
					obj_t BgL_portz00_8855;

					{	/* Ast/walk.scm 134 */
						obj_t BgL_res3661z00_8856;

						{	/* Ast/walk.scm 134 */
							obj_t BgL_tmpz00_10266;

							BgL_tmpz00_10266 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3661z00_8856 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10266);
						}
						BgL_portz00_8855 = BgL_res3661z00_8856;
					}
					{	/* Ast/walk.scm 134 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7230), BgL_portz00_8855);
					}
				}
			}
		}

	}



/* &walk41637 */
	obj_t BGl_z62walk41637z62zzast_walkz00(obj_t BgL_envz00_7231,
		obj_t BgL_nz00_7232, obj_t BgL_pz00_7233, obj_t BgL_arg0z00_7234,
		obj_t BgL_arg1z00_7235, obj_t BgL_arg2z00_7236, obj_t BgL_arg3z00_7237)
	{
		{	/* Ast/walk.scm 128 */
			{	/* Ast/walk.scm 130 */
				obj_t BgL_arg2191z00_8859;

				{	/* Ast/walk.scm 130 */
					obj_t BgL_zc3z04anonymousza32193ze3z87_8860;

					BgL_zc3z04anonymousza32193ze3z87_8860 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32193ze3ze5zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32193ze3z87_8860,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7232)));
					BgL_arg2191z00_8859 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32193ze3z87_8860);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3960z00zzast_walkz00,
					BGl_string3951z00zzast_walkz00, BgL_arg2191z00_8859);
			}
		}

	}



/* &<@anonymous:2193> */
	obj_t BGl_z62zc3z04anonymousza32193ze3ze5zzast_walkz00(obj_t BgL_envz00_7238)
	{
		{	/* Ast/walk.scm 130 */
			{	/* Ast/walk.scm 130 */
				BgL_nodez00_bglt BgL_nz00_7239;

				BgL_nz00_7239 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7238, (int) (((long) 0))));
				{	/* Ast/walk.scm 130 */
					obj_t BgL_portz00_8861;

					{	/* Ast/walk.scm 130 */
						obj_t BgL_res3660z00_8862;

						{	/* Ast/walk.scm 130 */
							obj_t BgL_tmpz00_10283;

							BgL_tmpz00_10283 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3660z00_8862 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10283);
						}
						BgL_portz00_8861 = BgL_res3660z00_8862;
					}
					{	/* Ast/walk.scm 130 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7239), BgL_portz00_8861);
					}
				}
			}
		}

	}



/* &walk31635 */
	obj_t BGl_z62walk31635z62zzast_walkz00(obj_t BgL_envz00_7240,
		obj_t BgL_nz00_7241, obj_t BgL_pz00_7242, obj_t BgL_arg0z00_7243,
		obj_t BgL_arg1z00_7244, obj_t BgL_arg2z00_7245)
	{
		{	/* Ast/walk.scm 125 */
			{	/* Ast/walk.scm 127 */
				obj_t BgL_arg2187z00_8865;

				{	/* Ast/walk.scm 127 */
					obj_t BgL_zc3z04anonymousza32189ze3z87_8866;

					BgL_zc3z04anonymousza32189ze3z87_8866 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32189ze3ze5zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32189ze3z87_8866,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7241)));
					BgL_arg2187z00_8865 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32189ze3z87_8866);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3961z00zzast_walkz00,
					BGl_string3951z00zzast_walkz00, BgL_arg2187z00_8865);
			}
		}

	}



/* &<@anonymous:2189> */
	obj_t BGl_z62zc3z04anonymousza32189ze3ze5zzast_walkz00(obj_t BgL_envz00_7246)
	{
		{	/* Ast/walk.scm 127 */
			{	/* Ast/walk.scm 127 */
				BgL_nodez00_bglt BgL_nz00_7247;

				BgL_nz00_7247 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7246, (int) (((long) 0))));
				{	/* Ast/walk.scm 127 */
					obj_t BgL_portz00_8867;

					{	/* Ast/walk.scm 127 */
						obj_t BgL_res3659z00_8868;

						{	/* Ast/walk.scm 127 */
							obj_t BgL_tmpz00_10300;

							BgL_tmpz00_10300 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3659z00_8868 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10300);
						}
						BgL_portz00_8867 = BgL_res3659z00_8868;
					}
					{	/* Ast/walk.scm 127 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7247), BgL_portz00_8867);
					}
				}
			}
		}

	}



/* &walk21633 */
	obj_t BGl_z62walk21633z62zzast_walkz00(obj_t BgL_envz00_7248,
		obj_t BgL_nz00_7249, obj_t BgL_pz00_7250, obj_t BgL_arg0z00_7251,
		obj_t BgL_arg1z00_7252)
	{
		{	/* Ast/walk.scm 122 */
			{	/* Ast/walk.scm 124 */
				obj_t BgL_arg2183z00_8871;

				{	/* Ast/walk.scm 124 */
					obj_t BgL_zc3z04anonymousza32185ze3z87_8872;

					BgL_zc3z04anonymousza32185ze3z87_8872 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32185ze3ze5zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32185ze3z87_8872,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7249)));
					BgL_arg2183z00_8871 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32185ze3z87_8872);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3962z00zzast_walkz00,
					BGl_string3951z00zzast_walkz00, BgL_arg2183z00_8871);
			}
		}

	}



/* &<@anonymous:2185> */
	obj_t BGl_z62zc3z04anonymousza32185ze3ze5zzast_walkz00(obj_t BgL_envz00_7253)
	{
		{	/* Ast/walk.scm 124 */
			{	/* Ast/walk.scm 124 */
				BgL_nodez00_bglt BgL_nz00_7254;

				BgL_nz00_7254 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7253, (int) (((long) 0))));
				{	/* Ast/walk.scm 124 */
					obj_t BgL_portz00_8873;

					{	/* Ast/walk.scm 124 */
						obj_t BgL_res3658z00_8874;

						{	/* Ast/walk.scm 124 */
							obj_t BgL_tmpz00_10317;

							BgL_tmpz00_10317 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3658z00_8874 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10317);
						}
						BgL_portz00_8873 = BgL_res3658z00_8874;
					}
					{	/* Ast/walk.scm 124 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7254), BgL_portz00_8873);
					}
				}
			}
		}

	}



/* &walk11631 */
	obj_t BGl_z62walk11631z62zzast_walkz00(obj_t BgL_envz00_7255,
		obj_t BgL_nz00_7256, obj_t BgL_pz00_7257, obj_t BgL_arg0z00_7258)
	{
		{	/* Ast/walk.scm 119 */
			{	/* Ast/walk.scm 121 */
				obj_t BgL_arg2179z00_8877;

				{	/* Ast/walk.scm 121 */
					obj_t BgL_zc3z04anonymousza32181ze3z87_8878;

					BgL_zc3z04anonymousza32181ze3z87_8878 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32181ze3ze5zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32181ze3z87_8878,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7256)));
					BgL_arg2179z00_8877 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32181ze3z87_8878);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3963z00zzast_walkz00,
					BGl_string3951z00zzast_walkz00, BgL_arg2179z00_8877);
			}
		}

	}



/* &<@anonymous:2181> */
	obj_t BGl_z62zc3z04anonymousza32181ze3ze5zzast_walkz00(obj_t BgL_envz00_7259)
	{
		{	/* Ast/walk.scm 121 */
			{	/* Ast/walk.scm 121 */
				BgL_nodez00_bglt BgL_nz00_7260;

				BgL_nz00_7260 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7259, (int) (((long) 0))));
				{	/* Ast/walk.scm 121 */
					obj_t BgL_portz00_8879;

					{	/* Ast/walk.scm 121 */
						obj_t BgL_res3657z00_8880;

						{	/* Ast/walk.scm 121 */
							obj_t BgL_tmpz00_10334;

							BgL_tmpz00_10334 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3657z00_8880 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10334);
						}
						BgL_portz00_8879 = BgL_res3657z00_8880;
					}
					{	/* Ast/walk.scm 121 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7260), BgL_portz00_8879);
					}
				}
			}
		}

	}



/* &walk01629 */
	obj_t BGl_z62walk01629z62zzast_walkz00(obj_t BgL_envz00_7261,
		obj_t BgL_nz00_7262, obj_t BgL_pz00_7263)
	{
		{	/* Ast/walk.scm 116 */
			{	/* Ast/walk.scm 118 */
				obj_t BgL_arg2175z00_8883;

				{	/* Ast/walk.scm 118 */
					obj_t BgL_zc3z04anonymousza32177ze3z87_8884;

					BgL_zc3z04anonymousza32177ze3z87_8884 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32177ze3ze5zzast_walkz00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_8884,
						(int) (((long) 0)), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7262)));
					BgL_arg2175z00_8883 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32177ze3z87_8884);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3964z00zzast_walkz00,
					BGl_string3951z00zzast_walkz00, BgL_arg2175z00_8883);
			}
		}

	}



/* &<@anonymous:2177> */
	obj_t BGl_z62zc3z04anonymousza32177ze3ze5zzast_walkz00(obj_t BgL_envz00_7264)
	{
		{	/* Ast/walk.scm 118 */
			{	/* Ast/walk.scm 118 */
				BgL_nodez00_bglt BgL_nz00_7265;

				BgL_nz00_7265 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7264, (int) (((long) 0))));
				{	/* Ast/walk.scm 118 */
					obj_t BgL_portz00_8885;

					{	/* Ast/walk.scm 118 */
						obj_t BgL_res3656z00_8886;

						{	/* Ast/walk.scm 118 */
							obj_t BgL_tmpz00_10351;

							BgL_tmpz00_10351 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res3656z00_8886 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10351);
						}
						BgL_portz00_8885 = BgL_res3656z00_8886;
					}
					{	/* Ast/walk.scm 118 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7265), BgL_portz00_8885);
					}
				}
			}
		}

	}



/* walk0 */
	BGL_EXPORTED_DEF obj_t BGl_walk0z00zzast_walkz00(BgL_nodez00_bglt BgL_nz00_3,
		obj_t BgL_pz00_4)
	{
		{	/* Ast/walk.scm 116 */
			{	/* Ast/walk.scm 116 */
				obj_t BgL_method1630z00_2433;

				{	/* Ast/walk.scm 116 */
					obj_t BgL_res3681z00_5976;

					{	/* Ast/walk.scm 116 */
						long BgL_objzd2classzd2numz00_5941;

						{	/* Ast/walk.scm 116 */
							long BgL_res3671z00_5944;

							BgL_res3671z00_5944 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_3));
							BgL_objzd2classzd2numz00_5941 = BgL_res3671z00_5944;
						}
						{	/* Ast/walk.scm 116 */
							obj_t BgL_arg1742z00_5942;

							BgL_arg1742z00_5942 =
								PROCEDURE_REF(BGl_walk0zd2envzd2zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 116 */
								int BgL_offsetz00_5946;

								BgL_offsetz00_5946 = (int) (BgL_objzd2classzd2numz00_5941);
								{	/* Ast/walk.scm 116 */
									long BgL_offsetz00_5947;

									BgL_offsetz00_5947 =
										((long) (BgL_offsetz00_5946) - OBJECT_TYPE);
									{	/* Ast/walk.scm 116 */
										long BgL_modz00_5948;

										BgL_modz00_5948 =
											(BgL_offsetz00_5947 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/walk.scm 116 */
											long BgL_restz00_5950;

											BgL_restz00_5950 =
												(BgL_offsetz00_5947 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/walk.scm 116 */

												{	/* Ast/walk.scm 116 */
													obj_t BgL_bucketz00_5952;

													BgL_bucketz00_5952 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_5942), BgL_modz00_5948);
													BgL_res3681z00_5976 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_5952), BgL_restz00_5950);
					}}}}}}}}
					BgL_method1630z00_2433 = BgL_res3681z00_5976;
				}
				return
					PROCEDURE_ENTRY(BgL_method1630z00_2433) (BgL_method1630z00_2433,
					((obj_t) BgL_nz00_3), BgL_pz00_4, BEOA);
			}
		}

	}



/* &walk0 */
	obj_t BGl_z62walk0z62zzast_walkz00(obj_t BgL_envz00_7266, obj_t BgL_nz00_7267,
		obj_t BgL_pz00_7268)
	{
		{	/* Ast/walk.scm 116 */
			return
				BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7267), BgL_pz00_7268);
		}

	}



/* walk1 */
	BGL_EXPORTED_DEF obj_t BGl_walk1z00zzast_walkz00(BgL_nodez00_bglt BgL_nz00_5,
		obj_t BgL_pz00_6, obj_t BgL_arg0z00_7)
	{
		{	/* Ast/walk.scm 119 */
			{	/* Ast/walk.scm 119 */
				obj_t BgL_method1632z00_2434;

				{	/* Ast/walk.scm 119 */
					obj_t BgL_res3692z00_6013;

					{	/* Ast/walk.scm 119 */
						long BgL_objzd2classzd2numz00_5978;

						{	/* Ast/walk.scm 119 */
							long BgL_res3682z00_5981;

							BgL_res3682z00_5981 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_5));
							BgL_objzd2classzd2numz00_5978 = BgL_res3682z00_5981;
						}
						{	/* Ast/walk.scm 119 */
							obj_t BgL_arg1742z00_5979;

							BgL_arg1742z00_5979 =
								PROCEDURE_REF(BGl_walk1zd2envzd2zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 119 */
								int BgL_offsetz00_5983;

								BgL_offsetz00_5983 = (int) (BgL_objzd2classzd2numz00_5978);
								{	/* Ast/walk.scm 119 */
									long BgL_offsetz00_5984;

									BgL_offsetz00_5984 =
										((long) (BgL_offsetz00_5983) - OBJECT_TYPE);
									{	/* Ast/walk.scm 119 */
										long BgL_modz00_5985;

										BgL_modz00_5985 =
											(BgL_offsetz00_5984 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/walk.scm 119 */
											long BgL_restz00_5987;

											BgL_restz00_5987 =
												(BgL_offsetz00_5984 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/walk.scm 119 */

												{	/* Ast/walk.scm 119 */
													obj_t BgL_bucketz00_5989;

													BgL_bucketz00_5989 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_5979), BgL_modz00_5985);
													BgL_res3692z00_6013 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_5989), BgL_restz00_5987);
					}}}}}}}}
					BgL_method1632z00_2434 = BgL_res3692z00_6013;
				}
				return
					PROCEDURE_ENTRY(BgL_method1632z00_2434) (BgL_method1632z00_2434,
					((obj_t) BgL_nz00_5), BgL_pz00_6, BgL_arg0z00_7, BEOA);
			}
		}

	}



/* &walk1 */
	obj_t BGl_z62walk1z62zzast_walkz00(obj_t BgL_envz00_7269, obj_t BgL_nz00_7270,
		obj_t BgL_pz00_7271, obj_t BgL_arg0z00_7272)
	{
		{	/* Ast/walk.scm 119 */
			return
				BGl_walk1z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7270), BgL_pz00_7271, BgL_arg0z00_7272);
		}

	}



/* walk2 */
	BGL_EXPORTED_DEF obj_t BGl_walk2z00zzast_walkz00(BgL_nodez00_bglt BgL_nz00_8,
		obj_t BgL_pz00_9, obj_t BgL_arg0z00_10, obj_t BgL_arg1z00_11)
	{
		{	/* Ast/walk.scm 122 */
			{	/* Ast/walk.scm 122 */
				obj_t BgL_method1634z00_2435;

				{	/* Ast/walk.scm 122 */
					obj_t BgL_res3703z00_6050;

					{	/* Ast/walk.scm 122 */
						long BgL_objzd2classzd2numz00_6015;

						{	/* Ast/walk.scm 122 */
							long BgL_res3693z00_6018;

							BgL_res3693z00_6018 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_8));
							BgL_objzd2classzd2numz00_6015 = BgL_res3693z00_6018;
						}
						{	/* Ast/walk.scm 122 */
							obj_t BgL_arg1742z00_6016;

							BgL_arg1742z00_6016 =
								PROCEDURE_REF(BGl_walk2zd2envzd2zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 122 */
								int BgL_offsetz00_6020;

								BgL_offsetz00_6020 = (int) (BgL_objzd2classzd2numz00_6015);
								{	/* Ast/walk.scm 122 */
									long BgL_offsetz00_6021;

									BgL_offsetz00_6021 =
										((long) (BgL_offsetz00_6020) - OBJECT_TYPE);
									{	/* Ast/walk.scm 122 */
										long BgL_modz00_6022;

										BgL_modz00_6022 =
											(BgL_offsetz00_6021 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/walk.scm 122 */
											long BgL_restz00_6024;

											BgL_restz00_6024 =
												(BgL_offsetz00_6021 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/walk.scm 122 */

												{	/* Ast/walk.scm 122 */
													obj_t BgL_bucketz00_6026;

													BgL_bucketz00_6026 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_6016), BgL_modz00_6022);
													BgL_res3703z00_6050 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6026), BgL_restz00_6024);
					}}}}}}}}
					BgL_method1634z00_2435 = BgL_res3703z00_6050;
				}
				return
					PROCEDURE_ENTRY(BgL_method1634z00_2435) (BgL_method1634z00_2435,
					((obj_t) BgL_nz00_8), BgL_pz00_9, BgL_arg0z00_10, BgL_arg1z00_11,
					BEOA);
			}
		}

	}



/* &walk2 */
	obj_t BGl_z62walk2z62zzast_walkz00(obj_t BgL_envz00_7273, obj_t BgL_nz00_7274,
		obj_t BgL_pz00_7275, obj_t BgL_arg0z00_7276, obj_t BgL_arg1z00_7277)
	{
		{	/* Ast/walk.scm 122 */
			return
				BGl_walk2z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7274), BgL_pz00_7275, BgL_arg0z00_7276,
				BgL_arg1z00_7277);
		}

	}



/* walk3 */
	BGL_EXPORTED_DEF obj_t BGl_walk3z00zzast_walkz00(BgL_nodez00_bglt BgL_nz00_12,
		obj_t BgL_pz00_13, obj_t BgL_arg0z00_14, obj_t BgL_arg1z00_15,
		obj_t BgL_arg2z00_16)
	{
		{	/* Ast/walk.scm 125 */
			{	/* Ast/walk.scm 125 */
				obj_t BgL_method1636z00_2436;

				{	/* Ast/walk.scm 125 */
					obj_t BgL_res3714z00_6087;

					{	/* Ast/walk.scm 125 */
						long BgL_objzd2classzd2numz00_6052;

						{	/* Ast/walk.scm 125 */
							long BgL_res3704z00_6055;

							BgL_res3704z00_6055 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_12));
							BgL_objzd2classzd2numz00_6052 = BgL_res3704z00_6055;
						}
						{	/* Ast/walk.scm 125 */
							obj_t BgL_arg1742z00_6053;

							BgL_arg1742z00_6053 =
								PROCEDURE_REF(BGl_walk3zd2envzd2zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 125 */
								int BgL_offsetz00_6057;

								BgL_offsetz00_6057 = (int) (BgL_objzd2classzd2numz00_6052);
								{	/* Ast/walk.scm 125 */
									long BgL_offsetz00_6058;

									BgL_offsetz00_6058 =
										((long) (BgL_offsetz00_6057) - OBJECT_TYPE);
									{	/* Ast/walk.scm 125 */
										long BgL_modz00_6059;

										BgL_modz00_6059 =
											(BgL_offsetz00_6058 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/walk.scm 125 */
											long BgL_restz00_6061;

											BgL_restz00_6061 =
												(BgL_offsetz00_6058 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/walk.scm 125 */

												{	/* Ast/walk.scm 125 */
													obj_t BgL_bucketz00_6063;

													BgL_bucketz00_6063 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_6053), BgL_modz00_6059);
													BgL_res3714z00_6087 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6063), BgL_restz00_6061);
					}}}}}}}}
					BgL_method1636z00_2436 = BgL_res3714z00_6087;
				}
				return
					PROCEDURE_ENTRY(BgL_method1636z00_2436) (BgL_method1636z00_2436,
					((obj_t) BgL_nz00_12), BgL_pz00_13, BgL_arg0z00_14, BgL_arg1z00_15,
					BgL_arg2z00_16, BEOA);
			}
		}

	}



/* &walk3 */
	obj_t BGl_z62walk3z62zzast_walkz00(obj_t BgL_envz00_7278, obj_t BgL_nz00_7279,
		obj_t BgL_pz00_7280, obj_t BgL_arg0z00_7281, obj_t BgL_arg1z00_7282,
		obj_t BgL_arg2z00_7283)
	{
		{	/* Ast/walk.scm 125 */
			return
				BGl_walk3z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7279), BgL_pz00_7280, BgL_arg0z00_7281,
				BgL_arg1z00_7282, BgL_arg2z00_7283);
		}

	}



/* walk4 */
	BGL_EXPORTED_DEF obj_t BGl_walk4z00zzast_walkz00(BgL_nodez00_bglt BgL_nz00_17,
		obj_t BgL_pz00_18, obj_t BgL_arg0z00_19, obj_t BgL_arg1z00_20,
		obj_t BgL_arg2z00_21, obj_t BgL_arg3z00_22)
	{
		{	/* Ast/walk.scm 128 */
			{	/* Ast/walk.scm 128 */
				obj_t BgL_method1638z00_2437;

				{	/* Ast/walk.scm 128 */
					obj_t BgL_res3725z00_6124;

					{	/* Ast/walk.scm 128 */
						long BgL_objzd2classzd2numz00_6089;

						{	/* Ast/walk.scm 128 */
							long BgL_res3715z00_6092;

							BgL_res3715z00_6092 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_17));
							BgL_objzd2classzd2numz00_6089 = BgL_res3715z00_6092;
						}
						{	/* Ast/walk.scm 128 */
							obj_t BgL_arg1742z00_6090;

							BgL_arg1742z00_6090 =
								PROCEDURE_REF(BGl_walk4zd2envzd2zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 128 */
								int BgL_offsetz00_6094;

								BgL_offsetz00_6094 = (int) (BgL_objzd2classzd2numz00_6089);
								{	/* Ast/walk.scm 128 */
									long BgL_offsetz00_6095;

									BgL_offsetz00_6095 =
										((long) (BgL_offsetz00_6094) - OBJECT_TYPE);
									{	/* Ast/walk.scm 128 */
										long BgL_modz00_6096;

										BgL_modz00_6096 =
											(BgL_offsetz00_6095 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/walk.scm 128 */
											long BgL_restz00_6098;

											BgL_restz00_6098 =
												(BgL_offsetz00_6095 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/walk.scm 128 */

												{	/* Ast/walk.scm 128 */
													obj_t BgL_bucketz00_6100;

													BgL_bucketz00_6100 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_6090), BgL_modz00_6096);
													BgL_res3725z00_6124 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6100), BgL_restz00_6098);
					}}}}}}}}
					BgL_method1638z00_2437 = BgL_res3725z00_6124;
				}
				return
					PROCEDURE_ENTRY(BgL_method1638z00_2437) (BgL_method1638z00_2437,
					((obj_t) BgL_nz00_17), BgL_pz00_18, BgL_arg0z00_19, BgL_arg1z00_20,
					BgL_arg2z00_21, BgL_arg3z00_22, BEOA);
			}
		}

	}



/* &walk4 */
	obj_t BGl_z62walk4z62zzast_walkz00(obj_t BgL_envz00_7284, obj_t BgL_nz00_7285,
		obj_t BgL_pz00_7286, obj_t BgL_arg0z00_7287, obj_t BgL_arg1z00_7288,
		obj_t BgL_arg2z00_7289, obj_t BgL_arg3z00_7290)
	{
		{	/* Ast/walk.scm 128 */
			return
				BGl_walk4z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7285), BgL_pz00_7286, BgL_arg0z00_7287,
				BgL_arg1z00_7288, BgL_arg2z00_7289, BgL_arg3z00_7290);
		}

	}



/* walk0* */
	BGL_EXPORTED_DEF obj_t BGl_walk0za2za2zzast_walkz00(BgL_nodez00_bglt
		BgL_nz00_23, obj_t BgL_pz00_24)
	{
		{	/* Ast/walk.scm 132 */
			{	/* Ast/walk.scm 132 */
				obj_t BgL_method1640z00_2438;

				{	/* Ast/walk.scm 132 */
					obj_t BgL_res3736z00_6161;

					{	/* Ast/walk.scm 132 */
						long BgL_objzd2classzd2numz00_6126;

						{	/* Ast/walk.scm 132 */
							long BgL_res3726z00_6129;

							BgL_res3726z00_6129 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_23));
							BgL_objzd2classzd2numz00_6126 = BgL_res3726z00_6129;
						}
						{	/* Ast/walk.scm 132 */
							obj_t BgL_arg1742z00_6127;

							BgL_arg1742z00_6127 =
								PROCEDURE_REF(BGl_walk0za2zd2envz70zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 132 */
								int BgL_offsetz00_6131;

								BgL_offsetz00_6131 = (int) (BgL_objzd2classzd2numz00_6126);
								{	/* Ast/walk.scm 132 */
									long BgL_offsetz00_6132;

									BgL_offsetz00_6132 =
										((long) (BgL_offsetz00_6131) - OBJECT_TYPE);
									{	/* Ast/walk.scm 132 */
										long BgL_modz00_6133;

										BgL_modz00_6133 =
											(BgL_offsetz00_6132 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/walk.scm 132 */
											long BgL_restz00_6135;

											BgL_restz00_6135 =
												(BgL_offsetz00_6132 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/walk.scm 132 */

												{	/* Ast/walk.scm 132 */
													obj_t BgL_bucketz00_6137;

													BgL_bucketz00_6137 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_6127), BgL_modz00_6133);
													BgL_res3736z00_6161 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6137), BgL_restz00_6135);
					}}}}}}}}
					BgL_method1640z00_2438 = BgL_res3736z00_6161;
				}
				return
					PROCEDURE_ENTRY(BgL_method1640z00_2438) (BgL_method1640z00_2438,
					((obj_t) BgL_nz00_23), BgL_pz00_24, BEOA);
			}
		}

	}



/* &walk0* */
	obj_t BGl_z62walk0za2zc0zzast_walkz00(obj_t BgL_envz00_7291,
		obj_t BgL_nz00_7292, obj_t BgL_pz00_7293)
	{
		{	/* Ast/walk.scm 132 */
			return
				BGl_walk0za2za2zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7292), BgL_pz00_7293);
		}

	}



/* walk1* */
	BGL_EXPORTED_DEF obj_t BGl_walk1za2za2zzast_walkz00(BgL_nodez00_bglt
		BgL_nz00_25, obj_t BgL_pz00_26, obj_t BgL_arg0z00_27)
	{
		{	/* Ast/walk.scm 135 */
			{	/* Ast/walk.scm 135 */
				obj_t BgL_method1642z00_2439;

				{	/* Ast/walk.scm 135 */
					obj_t BgL_res3747z00_6198;

					{	/* Ast/walk.scm 135 */
						long BgL_objzd2classzd2numz00_6163;

						{	/* Ast/walk.scm 135 */
							long BgL_res3737z00_6166;

							BgL_res3737z00_6166 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_25));
							BgL_objzd2classzd2numz00_6163 = BgL_res3737z00_6166;
						}
						{	/* Ast/walk.scm 135 */
							obj_t BgL_arg1742z00_6164;

							BgL_arg1742z00_6164 =
								PROCEDURE_REF(BGl_walk1za2zd2envz70zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 135 */
								int BgL_offsetz00_6168;

								BgL_offsetz00_6168 = (int) (BgL_objzd2classzd2numz00_6163);
								{	/* Ast/walk.scm 135 */
									long BgL_offsetz00_6169;

									BgL_offsetz00_6169 =
										((long) (BgL_offsetz00_6168) - OBJECT_TYPE);
									{	/* Ast/walk.scm 135 */
										long BgL_modz00_6170;

										BgL_modz00_6170 =
											(BgL_offsetz00_6169 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/walk.scm 135 */
											long BgL_restz00_6172;

											BgL_restz00_6172 =
												(BgL_offsetz00_6169 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/walk.scm 135 */

												{	/* Ast/walk.scm 135 */
													obj_t BgL_bucketz00_6174;

													BgL_bucketz00_6174 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_6164), BgL_modz00_6170);
													BgL_res3747z00_6198 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6174), BgL_restz00_6172);
					}}}}}}}}
					BgL_method1642z00_2439 = BgL_res3747z00_6198;
				}
				return
					PROCEDURE_ENTRY(BgL_method1642z00_2439) (BgL_method1642z00_2439,
					((obj_t) BgL_nz00_25), BgL_pz00_26, BgL_arg0z00_27, BEOA);
			}
		}

	}



/* &walk1* */
	obj_t BGl_z62walk1za2zc0zzast_walkz00(obj_t BgL_envz00_7294,
		obj_t BgL_nz00_7295, obj_t BgL_pz00_7296, obj_t BgL_arg0z00_7297)
	{
		{	/* Ast/walk.scm 135 */
			return
				BGl_walk1za2za2zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7295), BgL_pz00_7296, BgL_arg0z00_7297);
		}

	}



/* walk2* */
	BGL_EXPORTED_DEF obj_t BGl_walk2za2za2zzast_walkz00(BgL_nodez00_bglt
		BgL_nz00_28, obj_t BgL_pz00_29, obj_t BgL_arg0z00_30, obj_t BgL_arg1z00_31)
	{
		{	/* Ast/walk.scm 138 */
			{	/* Ast/walk.scm 138 */
				obj_t BgL_method1644z00_2440;

				{	/* Ast/walk.scm 138 */
					obj_t BgL_res3758z00_6235;

					{	/* Ast/walk.scm 138 */
						long BgL_objzd2classzd2numz00_6200;

						{	/* Ast/walk.scm 138 */
							long BgL_res3748z00_6203;

							BgL_res3748z00_6203 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_28));
							BgL_objzd2classzd2numz00_6200 = BgL_res3748z00_6203;
						}
						{	/* Ast/walk.scm 138 */
							obj_t BgL_arg1742z00_6201;

							BgL_arg1742z00_6201 =
								PROCEDURE_REF(BGl_walk2za2zd2envz70zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 138 */
								int BgL_offsetz00_6205;

								BgL_offsetz00_6205 = (int) (BgL_objzd2classzd2numz00_6200);
								{	/* Ast/walk.scm 138 */
									long BgL_offsetz00_6206;

									BgL_offsetz00_6206 =
										((long) (BgL_offsetz00_6205) - OBJECT_TYPE);
									{	/* Ast/walk.scm 138 */
										long BgL_modz00_6207;

										BgL_modz00_6207 =
											(BgL_offsetz00_6206 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/walk.scm 138 */
											long BgL_restz00_6209;

											BgL_restz00_6209 =
												(BgL_offsetz00_6206 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/walk.scm 138 */

												{	/* Ast/walk.scm 138 */
													obj_t BgL_bucketz00_6211;

													BgL_bucketz00_6211 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_6201), BgL_modz00_6207);
													BgL_res3758z00_6235 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6211), BgL_restz00_6209);
					}}}}}}}}
					BgL_method1644z00_2440 = BgL_res3758z00_6235;
				}
				return
					PROCEDURE_ENTRY(BgL_method1644z00_2440) (BgL_method1644z00_2440,
					((obj_t) BgL_nz00_28), BgL_pz00_29, BgL_arg0z00_30, BgL_arg1z00_31,
					BEOA);
			}
		}

	}



/* &walk2* */
	obj_t BGl_z62walk2za2zc0zzast_walkz00(obj_t BgL_envz00_7298,
		obj_t BgL_nz00_7299, obj_t BgL_pz00_7300, obj_t BgL_arg0z00_7301,
		obj_t BgL_arg1z00_7302)
	{
		{	/* Ast/walk.scm 138 */
			return
				BGl_walk2za2za2zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7299), BgL_pz00_7300, BgL_arg0z00_7301,
				BgL_arg1z00_7302);
		}

	}



/* walk3* */
	BGL_EXPORTED_DEF obj_t BGl_walk3za2za2zzast_walkz00(BgL_nodez00_bglt
		BgL_nz00_32, obj_t BgL_pz00_33, obj_t BgL_arg0z00_34, obj_t BgL_arg1z00_35,
		obj_t BgL_arg2z00_36)
	{
		{	/* Ast/walk.scm 141 */
			{	/* Ast/walk.scm 141 */
				obj_t BgL_method1646z00_2441;

				{	/* Ast/walk.scm 141 */
					obj_t BgL_res3769z00_6272;

					{	/* Ast/walk.scm 141 */
						long BgL_objzd2classzd2numz00_6237;

						{	/* Ast/walk.scm 141 */
							long BgL_res3759z00_6240;

							BgL_res3759z00_6240 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_32));
							BgL_objzd2classzd2numz00_6237 = BgL_res3759z00_6240;
						}
						{	/* Ast/walk.scm 141 */
							obj_t BgL_arg1742z00_6238;

							BgL_arg1742z00_6238 =
								PROCEDURE_REF(BGl_walk3za2zd2envz70zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 141 */
								int BgL_offsetz00_6242;

								BgL_offsetz00_6242 = (int) (BgL_objzd2classzd2numz00_6237);
								{	/* Ast/walk.scm 141 */
									long BgL_offsetz00_6243;

									BgL_offsetz00_6243 =
										((long) (BgL_offsetz00_6242) - OBJECT_TYPE);
									{	/* Ast/walk.scm 141 */
										long BgL_modz00_6244;

										BgL_modz00_6244 =
											(BgL_offsetz00_6243 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/walk.scm 141 */
											long BgL_restz00_6246;

											BgL_restz00_6246 =
												(BgL_offsetz00_6243 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/walk.scm 141 */

												{	/* Ast/walk.scm 141 */
													obj_t BgL_bucketz00_6248;

													BgL_bucketz00_6248 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_6238), BgL_modz00_6244);
													BgL_res3769z00_6272 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6248), BgL_restz00_6246);
					}}}}}}}}
					BgL_method1646z00_2441 = BgL_res3769z00_6272;
				}
				return
					PROCEDURE_ENTRY(BgL_method1646z00_2441) (BgL_method1646z00_2441,
					((obj_t) BgL_nz00_32), BgL_pz00_33, BgL_arg0z00_34, BgL_arg1z00_35,
					BgL_arg2z00_36, BEOA);
			}
		}

	}



/* &walk3* */
	obj_t BGl_z62walk3za2zc0zzast_walkz00(obj_t BgL_envz00_7303,
		obj_t BgL_nz00_7304, obj_t BgL_pz00_7305, obj_t BgL_arg0z00_7306,
		obj_t BgL_arg1z00_7307, obj_t BgL_arg2z00_7308)
	{
		{	/* Ast/walk.scm 141 */
			return
				BGl_walk3za2za2zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7304), BgL_pz00_7305, BgL_arg0z00_7306,
				BgL_arg1z00_7307, BgL_arg2z00_7308);
		}

	}



/* walk4* */
	BGL_EXPORTED_DEF obj_t BGl_walk4za2za2zzast_walkz00(BgL_nodez00_bglt
		BgL_nz00_37, obj_t BgL_pz00_38, obj_t BgL_arg0z00_39, obj_t BgL_arg1z00_40,
		obj_t BgL_arg2z00_41, obj_t BgL_arg3z00_42)
	{
		{	/* Ast/walk.scm 144 */
			{	/* Ast/walk.scm 144 */
				obj_t BgL_method1648z00_2442;

				{	/* Ast/walk.scm 144 */
					obj_t BgL_res3780z00_6309;

					{	/* Ast/walk.scm 144 */
						long BgL_objzd2classzd2numz00_6274;

						{	/* Ast/walk.scm 144 */
							long BgL_res3770z00_6277;

							BgL_res3770z00_6277 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_37));
							BgL_objzd2classzd2numz00_6274 = BgL_res3770z00_6277;
						}
						{	/* Ast/walk.scm 144 */
							obj_t BgL_arg1742z00_6275;

							BgL_arg1742z00_6275 =
								PROCEDURE_REF(BGl_walk4za2zd2envz70zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 144 */
								int BgL_offsetz00_6279;

								BgL_offsetz00_6279 = (int) (BgL_objzd2classzd2numz00_6274);
								{	/* Ast/walk.scm 144 */
									long BgL_offsetz00_6280;

									BgL_offsetz00_6280 =
										((long) (BgL_offsetz00_6279) - OBJECT_TYPE);
									{	/* Ast/walk.scm 144 */
										long BgL_modz00_6281;

										BgL_modz00_6281 =
											(BgL_offsetz00_6280 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/walk.scm 144 */
											long BgL_restz00_6283;

											BgL_restz00_6283 =
												(BgL_offsetz00_6280 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/walk.scm 144 */

												{	/* Ast/walk.scm 144 */
													obj_t BgL_bucketz00_6285;

													BgL_bucketz00_6285 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_6275), BgL_modz00_6281);
													BgL_res3780z00_6309 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6285), BgL_restz00_6283);
					}}}}}}}}
					BgL_method1648z00_2442 = BgL_res3780z00_6309;
				}
				return
					PROCEDURE_ENTRY(BgL_method1648z00_2442) (BgL_method1648z00_2442,
					((obj_t) BgL_nz00_37), BgL_pz00_38, BgL_arg0z00_39, BgL_arg1z00_40,
					BgL_arg2z00_41, BgL_arg3z00_42, BEOA);
			}
		}

	}



/* &walk4* */
	obj_t BGl_z62walk4za2zc0zzast_walkz00(obj_t BgL_envz00_7309,
		obj_t BgL_nz00_7310, obj_t BgL_pz00_7311, obj_t BgL_arg0z00_7312,
		obj_t BgL_arg1z00_7313, obj_t BgL_arg2z00_7314, obj_t BgL_arg3z00_7315)
	{
		{	/* Ast/walk.scm 144 */
			return
				BGl_walk4za2za2zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7310), BgL_pz00_7311, BgL_arg0z00_7312,
				BgL_arg1z00_7313, BgL_arg2z00_7314, BgL_arg3z00_7315);
		}

	}



/* walk0! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt BgL_nz00_43,
		obj_t BgL_pz00_44)
	{
		{	/* Ast/walk.scm 148 */
			{	/* Ast/walk.scm 148 */
				obj_t BgL_method1650z00_2443;

				{	/* Ast/walk.scm 148 */
					obj_t BgL_res3791z00_6346;

					{	/* Ast/walk.scm 148 */
						long BgL_objzd2classzd2numz00_6311;

						{	/* Ast/walk.scm 148 */
							long BgL_res3781z00_6314;

							BgL_res3781z00_6314 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_43));
							BgL_objzd2classzd2numz00_6311 = BgL_res3781z00_6314;
						}
						{	/* Ast/walk.scm 148 */
							obj_t BgL_arg1742z00_6312;

							BgL_arg1742z00_6312 =
								PROCEDURE_REF(BGl_walk0z12zd2envzc0zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 148 */
								int BgL_offsetz00_6316;

								BgL_offsetz00_6316 = (int) (BgL_objzd2classzd2numz00_6311);
								{	/* Ast/walk.scm 148 */
									long BgL_offsetz00_6317;

									BgL_offsetz00_6317 =
										((long) (BgL_offsetz00_6316) - OBJECT_TYPE);
									{	/* Ast/walk.scm 148 */
										long BgL_modz00_6318;

										BgL_modz00_6318 =
											(BgL_offsetz00_6317 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/walk.scm 148 */
											long BgL_restz00_6320;

											BgL_restz00_6320 =
												(BgL_offsetz00_6317 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/walk.scm 148 */

												{	/* Ast/walk.scm 148 */
													obj_t BgL_bucketz00_6322;

													BgL_bucketz00_6322 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_6312), BgL_modz00_6318);
													BgL_res3791z00_6346 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6322), BgL_restz00_6320);
					}}}}}}}}
					BgL_method1650z00_2443 = BgL_res3791z00_6346;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1650z00_2443) (BgL_method1650z00_2443,
						((obj_t) BgL_nz00_43), BgL_pz00_44, BEOA));
			}
		}

	}



/* &walk0! */
	BgL_nodez00_bglt BGl_z62walk0z12z70zzast_walkz00(obj_t BgL_envz00_7316,
		obj_t BgL_nz00_7317, obj_t BgL_pz00_7318)
	{
		{	/* Ast/walk.scm 148 */
			return
				BGl_walk0z12z12zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7317), BgL_pz00_7318);
		}

	}



/* walk1! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_walk1z12z12zzast_walkz00(BgL_nodez00_bglt BgL_nz00_45,
		obj_t BgL_pz00_46, obj_t BgL_arg0z00_47)
	{
		{	/* Ast/walk.scm 151 */
			{	/* Ast/walk.scm 151 */
				obj_t BgL_method1652z00_2444;

				{	/* Ast/walk.scm 151 */
					obj_t BgL_res3802z00_6383;

					{	/* Ast/walk.scm 151 */
						long BgL_objzd2classzd2numz00_6348;

						{	/* Ast/walk.scm 151 */
							long BgL_res3792z00_6351;

							BgL_res3792z00_6351 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_45));
							BgL_objzd2classzd2numz00_6348 = BgL_res3792z00_6351;
						}
						{	/* Ast/walk.scm 151 */
							obj_t BgL_arg1742z00_6349;

							BgL_arg1742z00_6349 =
								PROCEDURE_REF(BGl_walk1z12zd2envzc0zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 151 */
								int BgL_offsetz00_6353;

								BgL_offsetz00_6353 = (int) (BgL_objzd2classzd2numz00_6348);
								{	/* Ast/walk.scm 151 */
									long BgL_offsetz00_6354;

									BgL_offsetz00_6354 =
										((long) (BgL_offsetz00_6353) - OBJECT_TYPE);
									{	/* Ast/walk.scm 151 */
										long BgL_modz00_6355;

										BgL_modz00_6355 =
											(BgL_offsetz00_6354 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/walk.scm 151 */
											long BgL_restz00_6357;

											BgL_restz00_6357 =
												(BgL_offsetz00_6354 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/walk.scm 151 */

												{	/* Ast/walk.scm 151 */
													obj_t BgL_bucketz00_6359;

													BgL_bucketz00_6359 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_6349), BgL_modz00_6355);
													BgL_res3802z00_6383 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6359), BgL_restz00_6357);
					}}}}}}}}
					BgL_method1652z00_2444 = BgL_res3802z00_6383;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1652z00_2444) (BgL_method1652z00_2444,
						((obj_t) BgL_nz00_45), BgL_pz00_46, BgL_arg0z00_47, BEOA));
			}
		}

	}



/* &walk1! */
	BgL_nodez00_bglt BGl_z62walk1z12z70zzast_walkz00(obj_t BgL_envz00_7319,
		obj_t BgL_nz00_7320, obj_t BgL_pz00_7321, obj_t BgL_arg0z00_7322)
	{
		{	/* Ast/walk.scm 151 */
			return
				BGl_walk1z12z12zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7320), BgL_pz00_7321, BgL_arg0z00_7322);
		}

	}



/* walk2! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_walk2z12z12zzast_walkz00(BgL_nodez00_bglt BgL_nz00_48,
		obj_t BgL_pz00_49, obj_t BgL_arg0z00_50, obj_t BgL_arg1z00_51)
	{
		{	/* Ast/walk.scm 154 */
			{	/* Ast/walk.scm 154 */
				obj_t BgL_method1654z00_2445;

				{	/* Ast/walk.scm 154 */
					obj_t BgL_res3813z00_6420;

					{	/* Ast/walk.scm 154 */
						long BgL_objzd2classzd2numz00_6385;

						{	/* Ast/walk.scm 154 */
							long BgL_res3803z00_6388;

							BgL_res3803z00_6388 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_48));
							BgL_objzd2classzd2numz00_6385 = BgL_res3803z00_6388;
						}
						{	/* Ast/walk.scm 154 */
							obj_t BgL_arg1742z00_6386;

							BgL_arg1742z00_6386 =
								PROCEDURE_REF(BGl_walk2z12zd2envzc0zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 154 */
								int BgL_offsetz00_6390;

								BgL_offsetz00_6390 = (int) (BgL_objzd2classzd2numz00_6385);
								{	/* Ast/walk.scm 154 */
									long BgL_offsetz00_6391;

									BgL_offsetz00_6391 =
										((long) (BgL_offsetz00_6390) - OBJECT_TYPE);
									{	/* Ast/walk.scm 154 */
										long BgL_modz00_6392;

										BgL_modz00_6392 =
											(BgL_offsetz00_6391 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/walk.scm 154 */
											long BgL_restz00_6394;

											BgL_restz00_6394 =
												(BgL_offsetz00_6391 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/walk.scm 154 */

												{	/* Ast/walk.scm 154 */
													obj_t BgL_bucketz00_6396;

													BgL_bucketz00_6396 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_6386), BgL_modz00_6392);
													BgL_res3813z00_6420 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6396), BgL_restz00_6394);
					}}}}}}}}
					BgL_method1654z00_2445 = BgL_res3813z00_6420;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1654z00_2445) (BgL_method1654z00_2445,
						((obj_t) BgL_nz00_48), BgL_pz00_49, BgL_arg0z00_50, BgL_arg1z00_51,
						BEOA));
			}
		}

	}



/* &walk2! */
	BgL_nodez00_bglt BGl_z62walk2z12z70zzast_walkz00(obj_t BgL_envz00_7323,
		obj_t BgL_nz00_7324, obj_t BgL_pz00_7325, obj_t BgL_arg0z00_7326,
		obj_t BgL_arg1z00_7327)
	{
		{	/* Ast/walk.scm 154 */
			return
				BGl_walk2z12z12zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7324), BgL_pz00_7325, BgL_arg0z00_7326,
				BgL_arg1z00_7327);
		}

	}



/* walk3! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_walk3z12z12zzast_walkz00(BgL_nodez00_bglt BgL_nz00_52,
		obj_t BgL_pz00_53, obj_t BgL_arg0z00_54, obj_t BgL_arg1z00_55,
		obj_t BgL_arg2z00_56)
	{
		{	/* Ast/walk.scm 157 */
			{	/* Ast/walk.scm 157 */
				obj_t BgL_method1656z00_2446;

				{	/* Ast/walk.scm 157 */
					obj_t BgL_res3824z00_6457;

					{	/* Ast/walk.scm 157 */
						long BgL_objzd2classzd2numz00_6422;

						{	/* Ast/walk.scm 157 */
							long BgL_res3814z00_6425;

							BgL_res3814z00_6425 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_52));
							BgL_objzd2classzd2numz00_6422 = BgL_res3814z00_6425;
						}
						{	/* Ast/walk.scm 157 */
							obj_t BgL_arg1742z00_6423;

							BgL_arg1742z00_6423 =
								PROCEDURE_REF(BGl_walk3z12zd2envzc0zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 157 */
								int BgL_offsetz00_6427;

								BgL_offsetz00_6427 = (int) (BgL_objzd2classzd2numz00_6422);
								{	/* Ast/walk.scm 157 */
									long BgL_offsetz00_6428;

									BgL_offsetz00_6428 =
										((long) (BgL_offsetz00_6427) - OBJECT_TYPE);
									{	/* Ast/walk.scm 157 */
										long BgL_modz00_6429;

										BgL_modz00_6429 =
											(BgL_offsetz00_6428 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/walk.scm 157 */
											long BgL_restz00_6431;

											BgL_restz00_6431 =
												(BgL_offsetz00_6428 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/walk.scm 157 */

												{	/* Ast/walk.scm 157 */
													obj_t BgL_bucketz00_6433;

													BgL_bucketz00_6433 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_6423), BgL_modz00_6429);
													BgL_res3824z00_6457 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6433), BgL_restz00_6431);
					}}}}}}}}
					BgL_method1656z00_2446 = BgL_res3824z00_6457;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1656z00_2446) (BgL_method1656z00_2446,
						((obj_t) BgL_nz00_52), BgL_pz00_53, BgL_arg0z00_54, BgL_arg1z00_55,
						BgL_arg2z00_56, BEOA));
			}
		}

	}



/* &walk3! */
	BgL_nodez00_bglt BGl_z62walk3z12z70zzast_walkz00(obj_t BgL_envz00_7328,
		obj_t BgL_nz00_7329, obj_t BgL_pz00_7330, obj_t BgL_arg0z00_7331,
		obj_t BgL_arg1z00_7332, obj_t BgL_arg2z00_7333)
	{
		{	/* Ast/walk.scm 157 */
			return
				BGl_walk3z12z12zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7329), BgL_pz00_7330, BgL_arg0z00_7331,
				BgL_arg1z00_7332, BgL_arg2z00_7333);
		}

	}



/* walk4! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_walk4z12z12zzast_walkz00(BgL_nodez00_bglt BgL_nz00_57,
		obj_t BgL_pz00_58, obj_t BgL_arg0z00_59, obj_t BgL_arg1z00_60,
		obj_t BgL_arg2z00_61, obj_t BgL_arg3z00_62)
	{
		{	/* Ast/walk.scm 160 */
			{	/* Ast/walk.scm 160 */
				obj_t BgL_method1658z00_2447;

				{	/* Ast/walk.scm 160 */
					obj_t BgL_res3835z00_6494;

					{	/* Ast/walk.scm 160 */
						long BgL_objzd2classzd2numz00_6459;

						{	/* Ast/walk.scm 160 */
							long BgL_res3825z00_6462;

							BgL_res3825z00_6462 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_57));
							BgL_objzd2classzd2numz00_6459 = BgL_res3825z00_6462;
						}
						{	/* Ast/walk.scm 160 */
							obj_t BgL_arg1742z00_6460;

							BgL_arg1742z00_6460 =
								PROCEDURE_REF(BGl_walk4z12zd2envzc0zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 160 */
								int BgL_offsetz00_6464;

								BgL_offsetz00_6464 = (int) (BgL_objzd2classzd2numz00_6459);
								{	/* Ast/walk.scm 160 */
									long BgL_offsetz00_6465;

									BgL_offsetz00_6465 =
										((long) (BgL_offsetz00_6464) - OBJECT_TYPE);
									{	/* Ast/walk.scm 160 */
										long BgL_modz00_6466;

										BgL_modz00_6466 =
											(BgL_offsetz00_6465 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Ast/walk.scm 160 */
											long BgL_restz00_6468;

											BgL_restz00_6468 =
												(BgL_offsetz00_6465 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Ast/walk.scm 160 */

												{	/* Ast/walk.scm 160 */
													obj_t BgL_bucketz00_6470;

													BgL_bucketz00_6470 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_6460), BgL_modz00_6466);
													BgL_res3835z00_6494 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6470), BgL_restz00_6468);
					}}}}}}}}
					BgL_method1658z00_2447 = BgL_res3835z00_6494;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1658z00_2447) (BgL_method1658z00_2447,
						((obj_t) BgL_nz00_57), BgL_pz00_58, BgL_arg0z00_59, BgL_arg1z00_60,
						BgL_arg2z00_61, BgL_arg3z00_62, BEOA));
			}
		}

	}



/* &walk4! */
	BgL_nodez00_bglt BGl_z62walk4z12z70zzast_walkz00(obj_t BgL_envz00_7334,
		obj_t BgL_nz00_7335, obj_t BgL_pz00_7336, obj_t BgL_arg0z00_7337,
		obj_t BgL_arg1z00_7338, obj_t BgL_arg2z00_7339, obj_t BgL_arg3z00_7340)
	{
		{	/* Ast/walk.scm 160 */
			return
				BGl_walk4z12z12zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7335), BgL_pz00_7336, BgL_arg0z00_7337,
				BgL_arg1z00_7338, BgL_arg2z00_7339, BgL_arg3z00_7340);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_walkz00()
	{
		{	/* Ast/walk.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3965z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3966z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3967z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3968z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3969z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3970z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3971z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3972z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3973z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3974z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3975z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3976z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3977z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3978z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3979z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3980z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3981z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3982z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3983z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3984z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3985z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3986z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3987z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3988z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3989z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3990z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3991z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3992z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3993z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3994z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3995z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3996z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3997z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3998z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3999z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc4000z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4001z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4002z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4003z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4004z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4005z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4006z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4007z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4008z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4009z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4010z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4011z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4012z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4013z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4014z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4015z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4016z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4017z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4018z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4019z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4020z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4021z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4022z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4023z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4024z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4025z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4026z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4027z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4028z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4029z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4030z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4031z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4032z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4033z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4034z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4035z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4036z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4037z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4038z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4039z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4040z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4041z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4042z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4043z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4044z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4045z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4046z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4047z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4048z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4049z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4050z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4051z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4052z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4053z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4054z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4055z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4056z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4057z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4058z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4059z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4060z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4061z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4062z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4063z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4064z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4065z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4066z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4067z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4068z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4069z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4070z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4071z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4072z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4073z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4074z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4075z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4076z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4077z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4078z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4079z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4080z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4081z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4082z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4083z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4084z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4085z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4086z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4087z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4088z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4089z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4090z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4091z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4092z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4093z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4094z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4095z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4096z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4097z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4098z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4099z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4100z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4101z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4102z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4103z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4104z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4105z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4106z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4107z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4108z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4109z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4110z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4111z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4112z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4113z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4114z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4115z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4116z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4117z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4118z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4119z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc4120z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4121z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4122z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4123z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4124z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4125z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4126z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4127z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4128z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4129z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4130z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4131z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc4132z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4133z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4134z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4135z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4136z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4137z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4138z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4139z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4140z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4141z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4142z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4143z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4144z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4145z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4146z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4147z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4148z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4149z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4150z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4151z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4152z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4153z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4154z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4155z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4156z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4157z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4158z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4159z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4160z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4161z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4162z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4163z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4164z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4165z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4166z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4167z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4168z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4169z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4170z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4171z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4172z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4173z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4174z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4175z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4176z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4177z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4178z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4179z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4180z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4181z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4182z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4183z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4184z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4185z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4186z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4187z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4188z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4189z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4190z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4191z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4192z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4193z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4194z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4195z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4196z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4197z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4198z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4199z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4200z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4201z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4202z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4203z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4204z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4205z00zzast_walkz00, BGl_string3964z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4206z00zzast_walkz00, BGl_string3963z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4207z00zzast_walkz00, BGl_string3962z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4208z00zzast_walkz00, BGl_string3961z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4209z00zzast_walkz00, BGl_string3959z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4210z00zzast_walkz00, BGl_string3958z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4211z00zzast_walkz00, BGl_string3957z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4212z00zzast_walkz00, BGl_string3956z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4213z00zzast_walkz00, BGl_string3955z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4214z00zzast_walkz00, BGl_string3954z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4215z00zzast_walkz00, BGl_string3953z00zzast_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4216z00zzast_walkz00, BGl_string3952z00zzast_walkz00);
		}

	}



/* &walk3!-let-var2170 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2letzd2var2170z70zzast_walkz00(obj_t
		BgL_envz00_7593, obj_t BgL_nz00_7594, obj_t BgL_pz00_7595,
		obj_t BgL_arg0z00_7596, obj_t BgL_arg1z00_7597, obj_t BgL_arg2z00_7598)
	{
		{	/* Ast/walk.scm 320 */
			{
				obj_t BgL_fieldsz00_8889;

				BgL_fieldsz00_8889 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7594)))->BgL_bindingsz00);
			BgL_loopz00_8888:
				if (NULLP(BgL_fieldsz00_8889))
					{	/* Ast/walk.scm 320 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 320 */
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3578z00_8890;
							obj_t BgL_arg3580z00_8891;

							BgL_arg3578z00_8890 = CAR(((obj_t) BgL_fieldsz00_8889));
							{	/* Ast/walk.scm 320 */
								obj_t BgL_arg3581z00_8892;

								{	/* Ast/walk.scm 320 */
									obj_t BgL_pairz00_8893;

									BgL_pairz00_8893 = CAR(((obj_t) BgL_fieldsz00_8889));
									BgL_arg3581z00_8892 = CDR(BgL_pairz00_8893);
								}
								BgL_arg3580z00_8891 =
									PROCEDURE_ENTRY(BgL_pz00_7595) (BgL_pz00_7595,
									BgL_arg3581z00_8892, BgL_arg0z00_7596, BgL_arg1z00_7597,
									BgL_arg2z00_7598, BEOA);
							}
							{	/* Ast/walk.scm 320 */
								obj_t BgL_tmpz00_11152;

								BgL_tmpz00_11152 = ((obj_t) BgL_arg3578z00_8890);
								SET_CDR(BgL_tmpz00_11152, BgL_arg3580z00_8891);
							}
						}
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3584z00_8894;

							BgL_arg3584z00_8894 = CDR(((obj_t) BgL_fieldsz00_8889));
							{
								obj_t BgL_fieldsz00_11157;

								BgL_fieldsz00_11157 = BgL_arg3584z00_8894;
								BgL_fieldsz00_8889 = BgL_fieldsz00_11157;
								goto BgL_loopz00_8888;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11160;

				{	/* Ast/walk.scm 320 */
					BgL_nodez00_bglt BgL_arg3585z00_8895;

					BgL_arg3585z00_8895 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7594)))->BgL_bodyz00);
					BgL_auxz00_11160 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7595) (BgL_pz00_7595,
							((obj_t) BgL_arg3585z00_8895), BgL_arg0z00_7596, BgL_arg1z00_7597,
							BgL_arg2z00_7598, BEOA));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7594)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11160), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_7594));
		}

	}



/* &walk2!-let-var2168 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2letzd2var2168z70zzast_walkz00(obj_t
		BgL_envz00_7599, obj_t BgL_nz00_7600, obj_t BgL_pz00_7601,
		obj_t BgL_arg0z00_7602, obj_t BgL_arg1z00_7603)
	{
		{	/* Ast/walk.scm 320 */
			{
				obj_t BgL_fieldsz00_8898;

				BgL_fieldsz00_8898 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7600)))->BgL_bindingsz00);
			BgL_loopz00_8897:
				if (NULLP(BgL_fieldsz00_8898))
					{	/* Ast/walk.scm 320 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 320 */
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3567z00_8899;
							obj_t BgL_arg3568z00_8900;

							BgL_arg3567z00_8899 = CAR(((obj_t) BgL_fieldsz00_8898));
							{	/* Ast/walk.scm 320 */
								obj_t BgL_arg3569z00_8901;

								{	/* Ast/walk.scm 320 */
									obj_t BgL_pairz00_8902;

									BgL_pairz00_8902 = CAR(((obj_t) BgL_fieldsz00_8898));
									BgL_arg3569z00_8901 = CDR(BgL_pairz00_8902);
								}
								BgL_arg3568z00_8900 =
									PROCEDURE_ENTRY(BgL_pz00_7601) (BgL_pz00_7601,
									BgL_arg3569z00_8901, BgL_arg0z00_7602, BgL_arg1z00_7603,
									BEOA);
							}
							{	/* Ast/walk.scm 320 */
								obj_t BgL_tmpz00_11189;

								BgL_tmpz00_11189 = ((obj_t) BgL_arg3567z00_8899);
								SET_CDR(BgL_tmpz00_11189, BgL_arg3568z00_8900);
							}
						}
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3572z00_8903;

							BgL_arg3572z00_8903 = CDR(((obj_t) BgL_fieldsz00_8898));
							{
								obj_t BgL_fieldsz00_11194;

								BgL_fieldsz00_11194 = BgL_arg3572z00_8903;
								BgL_fieldsz00_8898 = BgL_fieldsz00_11194;
								goto BgL_loopz00_8897;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11197;

				{	/* Ast/walk.scm 320 */
					BgL_nodez00_bglt BgL_arg3573z00_8904;

					BgL_arg3573z00_8904 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7600)))->BgL_bodyz00);
					BgL_auxz00_11197 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7601) (BgL_pz00_7601,
							((obj_t) BgL_arg3573z00_8904), BgL_arg0z00_7602, BgL_arg1z00_7603,
							BEOA));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7600)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11197), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_7600));
		}

	}



/* &walk1!-let-var2166 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2letzd2var2166z70zzast_walkz00(obj_t
		BgL_envz00_7604, obj_t BgL_nz00_7605, obj_t BgL_pz00_7606,
		obj_t BgL_arg0z00_7607)
	{
		{	/* Ast/walk.scm 320 */
			{
				obj_t BgL_fieldsz00_8907;

				BgL_fieldsz00_8907 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7605)))->BgL_bindingsz00);
			BgL_loopz00_8906:
				if (NULLP(BgL_fieldsz00_8907))
					{	/* Ast/walk.scm 320 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 320 */
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3556z00_8908;
							obj_t BgL_arg3558z00_8909;

							BgL_arg3556z00_8908 = CAR(((obj_t) BgL_fieldsz00_8907));
							{	/* Ast/walk.scm 320 */
								obj_t BgL_arg3559z00_8910;

								{	/* Ast/walk.scm 320 */
									obj_t BgL_pairz00_8911;

									BgL_pairz00_8911 = CAR(((obj_t) BgL_fieldsz00_8907));
									BgL_arg3559z00_8910 = CDR(BgL_pairz00_8911);
								}
								BgL_arg3558z00_8909 =
									PROCEDURE_ENTRY(BgL_pz00_7606) (BgL_pz00_7606,
									BgL_arg3559z00_8910, BgL_arg0z00_7607, BEOA);
							}
							{	/* Ast/walk.scm 320 */
								obj_t BgL_tmpz00_11224;

								BgL_tmpz00_11224 = ((obj_t) BgL_arg3556z00_8908);
								SET_CDR(BgL_tmpz00_11224, BgL_arg3558z00_8909);
							}
						}
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3561z00_8912;

							BgL_arg3561z00_8912 = CDR(((obj_t) BgL_fieldsz00_8907));
							{
								obj_t BgL_fieldsz00_11229;

								BgL_fieldsz00_11229 = BgL_arg3561z00_8912;
								BgL_fieldsz00_8907 = BgL_fieldsz00_11229;
								goto BgL_loopz00_8906;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11232;

				{	/* Ast/walk.scm 320 */
					BgL_nodez00_bglt BgL_arg3563z00_8913;

					BgL_arg3563z00_8913 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7605)))->BgL_bodyz00);
					BgL_auxz00_11232 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7606) (BgL_pz00_7606,
							((obj_t) BgL_arg3563z00_8913), BgL_arg0z00_7607, BEOA));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7605)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11232), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_7605));
		}

	}



/* &walk0!-let-var2164 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2letzd2var2164z70zzast_walkz00(obj_t
		BgL_envz00_7608, obj_t BgL_nz00_7609, obj_t BgL_pz00_7610)
	{
		{	/* Ast/walk.scm 320 */
			{
				obj_t BgL_fieldsz00_8916;

				BgL_fieldsz00_8916 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7609)))->BgL_bindingsz00);
			BgL_loopz00_8915:
				if (NULLP(BgL_fieldsz00_8916))
					{	/* Ast/walk.scm 320 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 320 */
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3545z00_8917;
							obj_t BgL_arg3547z00_8918;

							BgL_arg3545z00_8917 = CAR(((obj_t) BgL_fieldsz00_8916));
							{	/* Ast/walk.scm 320 */
								obj_t BgL_arg3548z00_8919;

								{	/* Ast/walk.scm 320 */
									obj_t BgL_pairz00_8920;

									BgL_pairz00_8920 = CAR(((obj_t) BgL_fieldsz00_8916));
									BgL_arg3548z00_8919 = CDR(BgL_pairz00_8920);
								}
								BgL_arg3547z00_8918 =
									PROCEDURE_ENTRY(BgL_pz00_7610) (BgL_pz00_7610,
									BgL_arg3548z00_8919, BEOA);
							}
							{	/* Ast/walk.scm 320 */
								obj_t BgL_tmpz00_11257;

								BgL_tmpz00_11257 = ((obj_t) BgL_arg3545z00_8917);
								SET_CDR(BgL_tmpz00_11257, BgL_arg3547z00_8918);
							}
						}
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3551z00_8921;

							BgL_arg3551z00_8921 = CDR(((obj_t) BgL_fieldsz00_8916));
							{
								obj_t BgL_fieldsz00_11262;

								BgL_fieldsz00_11262 = BgL_arg3551z00_8921;
								BgL_fieldsz00_8916 = BgL_fieldsz00_11262;
								goto BgL_loopz00_8915;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11265;

				{	/* Ast/walk.scm 320 */
					BgL_nodez00_bglt BgL_arg3552z00_8922;

					BgL_arg3552z00_8922 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7609)))->BgL_bodyz00);
					BgL_auxz00_11265 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7610) (BgL_pz00_7610,
							((obj_t) BgL_arg3552z00_8922), BEOA));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7609)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11265), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_7609));
		}

	}



/* &walk3*-let-var2162 */
	obj_t BGl_z62walk3za2zd2letzd2var2162zc0zzast_walkz00(obj_t BgL_envz00_7611,
		obj_t BgL_nz00_7612, obj_t BgL_pz00_7613, obj_t BgL_arg0z00_7614,
		obj_t BgL_arg1z00_7615, obj_t BgL_arg2z00_7616)
	{
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_res4218z00_8927;

				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3532z00_8924;
					obj_t BgL_arg3533z00_8925;

					BgL_arg3532z00_8924 =
						BGl_zc3z04anonymousza33534ze3ze70z60zzast_walkz00(BgL_arg2z00_7616,
						BgL_arg1z00_7615, BgL_arg0z00_7614, BgL_pz00_7613,
						(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_nz00_7612)))->BgL_bindingsz00));
					{	/* Ast/walk.scm 320 */
						BgL_nodez00_bglt BgL_arg3541z00_8926;

						BgL_arg3541z00_8926 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_7612)))->BgL_bodyz00);
						BgL_arg3533z00_8925 =
							PROCEDURE_ENTRY(BgL_pz00_7613) (BgL_pz00_7613,
							((obj_t) BgL_arg3541z00_8926), BgL_arg0z00_7614, BgL_arg1z00_7615,
							BgL_arg2z00_7616, BEOA);
					}
					BgL_res4218z00_8927 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3532z00_8924,
						BgL_arg3533z00_8925);
				}
				return BgL_res4218z00_8927;
			}
		}

	}



/* <@anonymous:3534>~0 */
	obj_t BGl_zc3z04anonymousza33534ze3ze70z60zzast_walkz00(obj_t
		BgL_arg2z00_8796, obj_t BgL_arg1z00_8795, obj_t BgL_arg0z00_8794,
		obj_t BgL_pz00_8793, obj_t BgL_l1627z00_5609)
	{
		{	/* Ast/walk.scm 320 */
			if (NULLP(BgL_l1627z00_5609))
				{	/* Ast/walk.scm 320 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3536z00_5612;
					obj_t BgL_arg3537z00_5613;

					{	/* Ast/walk.scm 320 */
						obj_t BgL_fz00_5614;

						BgL_fz00_5614 = CAR(((obj_t) BgL_l1627z00_5609));
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3539z00_5615;

							BgL_arg3539z00_5615 = CDR(((obj_t) BgL_fz00_5614));
							BgL_arg3536z00_5612 =
								PROCEDURE_ENTRY(BgL_pz00_8793) (BgL_pz00_8793,
								BgL_arg3539z00_5615, BgL_arg0z00_8794, BgL_arg1z00_8795,
								BgL_arg2z00_8796, BEOA);
						}
					}
					{	/* Ast/walk.scm 320 */
						obj_t BgL_arg3540z00_5616;

						BgL_arg3540z00_5616 = CDR(((obj_t) BgL_l1627z00_5609));
						BgL_arg3537z00_5613 =
							BGl_zc3z04anonymousza33534ze3ze70z60zzast_walkz00
							(BgL_arg2z00_8796, BgL_arg1z00_8795, BgL_arg0z00_8794,
							BgL_pz00_8793, BgL_arg3540z00_5616);
					}
					return bgl_append2(BgL_arg3536z00_5612, BgL_arg3537z00_5613);
				}
		}

	}



/* &walk2*-let-var2160 */
	obj_t BGl_z62walk2za2zd2letzd2var2160zc0zzast_walkz00(obj_t BgL_envz00_7617,
		obj_t BgL_nz00_7618, obj_t BgL_pz00_7619, obj_t BgL_arg0z00_7620,
		obj_t BgL_arg1z00_7621)
	{
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_res4219z00_8932;

				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3522z00_8929;
					obj_t BgL_arg3523z00_8930;

					BgL_arg3522z00_8929 =
						BGl_zc3z04anonymousza33524ze3ze70z60zzast_walkz00(BgL_arg1z00_7621,
						BgL_arg0z00_7620, BgL_pz00_7619,
						(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_nz00_7618)))->BgL_bindingsz00));
					{	/* Ast/walk.scm 320 */
						BgL_nodez00_bglt BgL_arg3531z00_8931;

						BgL_arg3531z00_8931 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_7618)))->BgL_bodyz00);
						BgL_arg3523z00_8930 =
							PROCEDURE_ENTRY(BgL_pz00_7619) (BgL_pz00_7619,
							((obj_t) BgL_arg3531z00_8931), BgL_arg0z00_7620, BgL_arg1z00_7621,
							BEOA);
					}
					BgL_res4219z00_8932 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3522z00_8929,
						BgL_arg3523z00_8930);
				}
				return BgL_res4219z00_8932;
			}
		}

	}



/* <@anonymous:3524>~0 */
	obj_t BGl_zc3z04anonymousza33524ze3ze70z60zzast_walkz00(obj_t
		BgL_arg1z00_8792, obj_t BgL_arg0z00_8791, obj_t BgL_pz00_8790,
		obj_t BgL_l1624z00_5586)
	{
		{	/* Ast/walk.scm 320 */
			if (NULLP(BgL_l1624z00_5586))
				{	/* Ast/walk.scm 320 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3527z00_5589;
					obj_t BgL_arg3528z00_5590;

					{	/* Ast/walk.scm 320 */
						obj_t BgL_fz00_5591;

						BgL_fz00_5591 = CAR(((obj_t) BgL_l1624z00_5586));
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3529z00_5592;

							BgL_arg3529z00_5592 = CDR(((obj_t) BgL_fz00_5591));
							BgL_arg3527z00_5589 =
								PROCEDURE_ENTRY(BgL_pz00_8790) (BgL_pz00_8790,
								BgL_arg3529z00_5592, BgL_arg0z00_8791, BgL_arg1z00_8792, BEOA);
						}
					}
					{	/* Ast/walk.scm 320 */
						obj_t BgL_arg3530z00_5593;

						BgL_arg3530z00_5593 = CDR(((obj_t) BgL_l1624z00_5586));
						BgL_arg3528z00_5590 =
							BGl_zc3z04anonymousza33524ze3ze70z60zzast_walkz00
							(BgL_arg1z00_8792, BgL_arg0z00_8791, BgL_pz00_8790,
							BgL_arg3530z00_5593);
					}
					return bgl_append2(BgL_arg3527z00_5589, BgL_arg3528z00_5590);
				}
		}

	}



/* &walk1*-let-var2158 */
	obj_t BGl_z62walk1za2zd2letzd2var2158zc0zzast_walkz00(obj_t BgL_envz00_7622,
		obj_t BgL_nz00_7623, obj_t BgL_pz00_7624, obj_t BgL_arg0z00_7625)
	{
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_res4220z00_8937;

				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3510z00_8934;
					obj_t BgL_arg3512z00_8935;

					BgL_arg3510z00_8934 =
						BGl_zc3z04anonymousza33513ze3ze70z60zzast_walkz00(BgL_arg0z00_7625,
						BgL_pz00_7624,
						(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_nz00_7623)))->BgL_bindingsz00));
					{	/* Ast/walk.scm 320 */
						BgL_nodez00_bglt BgL_arg3520z00_8936;

						BgL_arg3520z00_8936 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_7623)))->BgL_bodyz00);
						BgL_arg3512z00_8935 =
							PROCEDURE_ENTRY(BgL_pz00_7624) (BgL_pz00_7624,
							((obj_t) BgL_arg3520z00_8936), BgL_arg0z00_7625, BEOA);
					}
					BgL_res4220z00_8937 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3510z00_8934,
						BgL_arg3512z00_8935);
				}
				return BgL_res4220z00_8937;
			}
		}

	}



/* <@anonymous:3513>~0 */
	obj_t BGl_zc3z04anonymousza33513ze3ze70z60zzast_walkz00(obj_t
		BgL_arg0z00_8789, obj_t BgL_pz00_8788, obj_t BgL_l1621z00_5564)
	{
		{	/* Ast/walk.scm 320 */
			if (NULLP(BgL_l1621z00_5564))
				{	/* Ast/walk.scm 320 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3515z00_5567;
					obj_t BgL_arg3516z00_5568;

					{	/* Ast/walk.scm 320 */
						obj_t BgL_fz00_5569;

						BgL_fz00_5569 = CAR(((obj_t) BgL_l1621z00_5564));
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3518z00_5570;

							BgL_arg3518z00_5570 = CDR(((obj_t) BgL_fz00_5569));
							BgL_arg3515z00_5567 =
								PROCEDURE_ENTRY(BgL_pz00_8788) (BgL_pz00_8788,
								BgL_arg3518z00_5570, BgL_arg0z00_8789, BEOA);
						}
					}
					{	/* Ast/walk.scm 320 */
						obj_t BgL_arg3519z00_5571;

						BgL_arg3519z00_5571 = CDR(((obj_t) BgL_l1621z00_5564));
						BgL_arg3516z00_5568 =
							BGl_zc3z04anonymousza33513ze3ze70z60zzast_walkz00
							(BgL_arg0z00_8789, BgL_pz00_8788, BgL_arg3519z00_5571);
					}
					return bgl_append2(BgL_arg3515z00_5567, BgL_arg3516z00_5568);
				}
		}

	}



/* &walk0*-let-var2156 */
	obj_t BGl_z62walk0za2zd2letzd2var2156zc0zzast_walkz00(obj_t BgL_envz00_7626,
		obj_t BgL_nz00_7627, obj_t BgL_pz00_7628)
	{
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_res4221z00_8942;

				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3498z00_8939;
					obj_t BgL_arg3500z00_8940;

					BgL_arg3498z00_8939 =
						BGl_zc3z04anonymousza33501ze3ze70z60zzast_walkz00(BgL_pz00_7628,
						(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_7627)))->BgL_bindingsz00));
					{	/* Ast/walk.scm 320 */
						BgL_nodez00_bglt BgL_arg3509z00_8941;

						BgL_arg3509z00_8941 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_7627)))->BgL_bodyz00);
						BgL_arg3500z00_8940 =
							PROCEDURE_ENTRY(BgL_pz00_7628) (BgL_pz00_7628,
							((obj_t) BgL_arg3509z00_8941), BEOA);
					}
					BgL_res4221z00_8942 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3498z00_8939,
						BgL_arg3500z00_8940);
				}
				return BgL_res4221z00_8942;
			}
		}

	}



/* <@anonymous:3501>~0 */
	obj_t BGl_zc3z04anonymousza33501ze3ze70z60zzast_walkz00(obj_t BgL_pz00_8787,
		obj_t BgL_l1617z00_5543)
	{
		{	/* Ast/walk.scm 320 */
			if (NULLP(BgL_l1617z00_5543))
				{	/* Ast/walk.scm 320 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3504z00_5546;
					obj_t BgL_arg3505z00_5547;

					{	/* Ast/walk.scm 320 */
						obj_t BgL_fz00_5548;

						BgL_fz00_5548 = CAR(((obj_t) BgL_l1617z00_5543));
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3506z00_5549;

							BgL_arg3506z00_5549 = CDR(((obj_t) BgL_fz00_5548));
							BgL_arg3504z00_5546 =
								PROCEDURE_ENTRY(BgL_pz00_8787) (BgL_pz00_8787,
								BgL_arg3506z00_5549, BEOA);
						}
					}
					{	/* Ast/walk.scm 320 */
						obj_t BgL_arg3507z00_5550;

						BgL_arg3507z00_5550 = CDR(((obj_t) BgL_l1617z00_5543));
						BgL_arg3505z00_5547 =
							BGl_zc3z04anonymousza33501ze3ze70z60zzast_walkz00(BgL_pz00_8787,
							BgL_arg3507z00_5550);
					}
					return bgl_append2(BgL_arg3504z00_5546, BgL_arg3505z00_5547);
				}
		}

	}



/* &walk3-let-var2154 */
	obj_t BGl_z62walk3zd2letzd2var2154z62zzast_walkz00(obj_t BgL_envz00_7629,
		obj_t BgL_nz00_7630, obj_t BgL_pz00_7631, obj_t BgL_arg0z00_7632,
		obj_t BgL_arg1z00_7633, obj_t BgL_arg2z00_7634)
	{
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_g1615z00_8944;

				BgL_g1615z00_8944 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7630)))->BgL_bindingsz00);
				{
					obj_t BgL_l1613z00_8946;

					BgL_l1613z00_8946 = BgL_g1615z00_8944;
				BgL_zc3z04anonymousza33492ze3z87_8945:
					if (PAIRP(BgL_l1613z00_8946))
						{	/* Ast/walk.scm 320 */
							{	/* Ast/walk.scm 320 */
								obj_t BgL_fz00_8947;

								BgL_fz00_8947 = CAR(BgL_l1613z00_8946);
								{	/* Ast/walk.scm 320 */
									obj_t BgL_arg3495z00_8948;

									BgL_arg3495z00_8948 = CDR(((obj_t) BgL_fz00_8947));
									PROCEDURE_ENTRY(BgL_pz00_7631) (BgL_pz00_7631,
										BgL_arg3495z00_8948, BgL_arg0z00_7632, BgL_arg1z00_7633,
										BgL_arg2z00_7634, BEOA);
								}
							}
							{
								obj_t BgL_l1613z00_11404;

								BgL_l1613z00_11404 = CDR(BgL_l1613z00_8946);
								BgL_l1613z00_8946 = BgL_l1613z00_11404;
								goto BgL_zc3z04anonymousza33492ze3z87_8945;
							}
						}
					else
						{	/* Ast/walk.scm 320 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 320 */
				BgL_nodez00_bglt BgL_arg3497z00_8949;

				BgL_arg3497z00_8949 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7630)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7631) (BgL_pz00_7631,
					((obj_t) BgL_arg3497z00_8949), BgL_arg0z00_7632, BgL_arg1z00_7633,
					BgL_arg2z00_7634, BEOA);
			}
		}

	}



/* &walk2-let-var2152 */
	obj_t BGl_z62walk2zd2letzd2var2152z62zzast_walkz00(obj_t BgL_envz00_7635,
		obj_t BgL_nz00_7636, obj_t BgL_pz00_7637, obj_t BgL_arg0z00_7638,
		obj_t BgL_arg1z00_7639)
	{
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_g1612z00_8951;

				BgL_g1612z00_8951 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7636)))->BgL_bindingsz00);
				{
					obj_t BgL_l1610z00_8953;

					BgL_l1610z00_8953 = BgL_g1612z00_8951;
				BgL_zc3z04anonymousza33486ze3z87_8952:
					if (PAIRP(BgL_l1610z00_8953))
						{	/* Ast/walk.scm 320 */
							{	/* Ast/walk.scm 320 */
								obj_t BgL_fz00_8954;

								BgL_fz00_8954 = CAR(BgL_l1610z00_8953);
								{	/* Ast/walk.scm 320 */
									obj_t BgL_arg3488z00_8955;

									BgL_arg3488z00_8955 = CDR(((obj_t) BgL_fz00_8954));
									PROCEDURE_ENTRY(BgL_pz00_7637) (BgL_pz00_7637,
										BgL_arg3488z00_8955, BgL_arg0z00_7638, BgL_arg1z00_7639,
										BEOA);
								}
							}
							{
								obj_t BgL_l1610z00_11429;

								BgL_l1610z00_11429 = CDR(BgL_l1610z00_8953);
								BgL_l1610z00_8953 = BgL_l1610z00_11429;
								goto BgL_zc3z04anonymousza33486ze3z87_8952;
							}
						}
					else
						{	/* Ast/walk.scm 320 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 320 */
				BgL_nodez00_bglt BgL_arg3491z00_8956;

				BgL_arg3491z00_8956 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7636)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7637) (BgL_pz00_7637,
					((obj_t) BgL_arg3491z00_8956), BgL_arg0z00_7638, BgL_arg1z00_7639,
					BEOA);
			}
		}

	}



/* &walk1-let-var2150 */
	obj_t BGl_z62walk1zd2letzd2var2150z62zzast_walkz00(obj_t BgL_envz00_7640,
		obj_t BgL_nz00_7641, obj_t BgL_pz00_7642, obj_t BgL_arg0z00_7643)
	{
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_g1609z00_8958;

				BgL_g1609z00_8958 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7641)))->BgL_bindingsz00);
				{
					obj_t BgL_l1607z00_8960;

					BgL_l1607z00_8960 = BgL_g1609z00_8958;
				BgL_zc3z04anonymousza33481ze3z87_8959:
					if (PAIRP(BgL_l1607z00_8960))
						{	/* Ast/walk.scm 320 */
							{	/* Ast/walk.scm 320 */
								obj_t BgL_fz00_8961;

								BgL_fz00_8961 = CAR(BgL_l1607z00_8960);
								{	/* Ast/walk.scm 320 */
									obj_t BgL_arg3483z00_8962;

									BgL_arg3483z00_8962 = CDR(((obj_t) BgL_fz00_8961));
									PROCEDURE_ENTRY(BgL_pz00_7642) (BgL_pz00_7642,
										BgL_arg3483z00_8962, BgL_arg0z00_7643, BEOA);
								}
							}
							{
								obj_t BgL_l1607z00_11452;

								BgL_l1607z00_11452 = CDR(BgL_l1607z00_8960);
								BgL_l1607z00_8960 = BgL_l1607z00_11452;
								goto BgL_zc3z04anonymousza33481ze3z87_8959;
							}
						}
					else
						{	/* Ast/walk.scm 320 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 320 */
				BgL_nodez00_bglt BgL_arg3485z00_8963;

				BgL_arg3485z00_8963 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7641)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7642) (BgL_pz00_7642,
					((obj_t) BgL_arg3485z00_8963), BgL_arg0z00_7643, BEOA);
			}
		}

	}



/* &walk0-let-var2148 */
	obj_t BGl_z62walk0zd2letzd2var2148z62zzast_walkz00(obj_t BgL_envz00_7644,
		obj_t BgL_nz00_7645, obj_t BgL_pz00_7646)
	{
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_g1606z00_8965;

				BgL_g1606z00_8965 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7645)))->BgL_bindingsz00);
				{
					obj_t BgL_l1604z00_8967;

					BgL_l1604z00_8967 = BgL_g1606z00_8965;
				BgL_zc3z04anonymousza33475ze3z87_8966:
					if (PAIRP(BgL_l1604z00_8967))
						{	/* Ast/walk.scm 320 */
							{	/* Ast/walk.scm 320 */
								obj_t BgL_fz00_8968;

								BgL_fz00_8968 = CAR(BgL_l1604z00_8967);
								{	/* Ast/walk.scm 320 */
									obj_t BgL_arg3477z00_8969;

									BgL_arg3477z00_8969 = CDR(((obj_t) BgL_fz00_8968));
									PROCEDURE_ENTRY(BgL_pz00_7646) (BgL_pz00_7646,
										BgL_arg3477z00_8969, BEOA);
								}
							}
							{
								obj_t BgL_l1604z00_11473;

								BgL_l1604z00_11473 = CDR(BgL_l1604z00_8967);
								BgL_l1604z00_8967 = BgL_l1604z00_11473;
								goto BgL_zc3z04anonymousza33475ze3z87_8966;
							}
						}
					else
						{	/* Ast/walk.scm 320 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 320 */
				BgL_nodez00_bglt BgL_arg3480z00_8970;

				BgL_arg3480z00_8970 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7645)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7646) (BgL_pz00_7646,
					((obj_t) BgL_arg3480z00_8970), BEOA);
			}
		}

	}



/* &walk3!-let-fun2146 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2letzd2fun2146z70zzast_walkz00(obj_t
		BgL_envz00_7647, obj_t BgL_nz00_7648, obj_t BgL_pz00_7649,
		obj_t BgL_arg0z00_7650, obj_t BgL_arg1z00_7651, obj_t BgL_arg2z00_7652)
	{
		{	/* Ast/walk.scm 315 */
			{
				obj_t BgL_fieldsz00_8973;

				BgL_fieldsz00_8973 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7648)))->BgL_localsz00);
			BgL_loopz00_8972:
				if (NULLP(BgL_fieldsz00_8973))
					{	/* Ast/walk.scm 315 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 315 */
						{	/* Ast/walk.scm 315 */
							obj_t BgL_vz00_8974;
							obj_t BgL_bz00_8975;

							BgL_vz00_8974 = CAR(((obj_t) BgL_fieldsz00_8973));
							{	/* Ast/walk.scm 315 */
								obj_t BgL_arg3470z00_8976;

								BgL_arg3470z00_8976 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																CAR(
																	((obj_t) BgL_fieldsz00_8973)))))->
													BgL_valuez00))))->BgL_bodyz00);
								BgL_bz00_8975 =
									PROCEDURE_ENTRY(BgL_pz00_7649) (BgL_pz00_7649,
									BgL_arg3470z00_8976, BgL_arg0z00_7650, BgL_arg1z00_7651,
									BgL_arg2z00_7652, BEOA);
							}
							{	/* Ast/walk.scm 317 */
								BgL_valuez00_bglt BgL_arg3468z00_8977;

								BgL_arg3468z00_8977 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_vz00_8974)))->BgL_valuez00);
								((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_arg3468z00_8977)))->
										BgL_bodyz00) = ((obj_t) BgL_bz00_8975), BUNSPEC);
							}
						}
						{	/* Ast/walk.scm 315 */
							obj_t BgL_arg3472z00_8978;

							BgL_arg3472z00_8978 = CDR(((obj_t) BgL_fieldsz00_8973));
							{
								obj_t BgL_fieldsz00_11505;

								BgL_fieldsz00_11505 = BgL_arg3472z00_8978;
								BgL_fieldsz00_8973 = BgL_fieldsz00_11505;
								goto BgL_loopz00_8972;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11508;

				{	/* Ast/walk.scm 315 */
					BgL_nodez00_bglt BgL_arg3474z00_8979;

					BgL_arg3474z00_8979 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7648)))->BgL_bodyz00);
					BgL_auxz00_11508 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7649) (BgL_pz00_7649,
							((obj_t) BgL_arg3474z00_8979), BgL_arg0z00_7650, BgL_arg1z00_7651,
							BgL_arg2z00_7652, BEOA));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7648)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11508), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_7648));
		}

	}



/* &walk2!-let-fun2144 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2letzd2fun2144z70zzast_walkz00(obj_t
		BgL_envz00_7653, obj_t BgL_nz00_7654, obj_t BgL_pz00_7655,
		obj_t BgL_arg0z00_7656, obj_t BgL_arg1z00_7657)
	{
		{	/* Ast/walk.scm 315 */
			{
				obj_t BgL_fieldsz00_8982;

				BgL_fieldsz00_8982 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7654)))->BgL_localsz00);
			BgL_loopz00_8981:
				if (NULLP(BgL_fieldsz00_8982))
					{	/* Ast/walk.scm 315 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 315 */
						{	/* Ast/walk.scm 315 */
							obj_t BgL_vz00_8983;
							obj_t BgL_bz00_8984;

							BgL_vz00_8983 = CAR(((obj_t) BgL_fieldsz00_8982));
							{	/* Ast/walk.scm 315 */
								obj_t BgL_arg3460z00_8985;

								BgL_arg3460z00_8985 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																CAR(
																	((obj_t) BgL_fieldsz00_8982)))))->
													BgL_valuez00))))->BgL_bodyz00);
								BgL_bz00_8984 =
									PROCEDURE_ENTRY(BgL_pz00_7655) (BgL_pz00_7655,
									BgL_arg3460z00_8985, BgL_arg0z00_7656, BgL_arg1z00_7657,
									BEOA);
							}
							{	/* Ast/walk.scm 317 */
								BgL_valuez00_bglt BgL_arg3458z00_8986;

								BgL_arg3458z00_8986 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_vz00_8983)))->BgL_valuez00);
								((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_arg3458z00_8986)))->
										BgL_bodyz00) = ((obj_t) BgL_bz00_8984), BUNSPEC);
							}
						}
						{	/* Ast/walk.scm 315 */
							obj_t BgL_arg3463z00_8987;

							BgL_arg3463z00_8987 = CDR(((obj_t) BgL_fieldsz00_8982));
							{
								obj_t BgL_fieldsz00_11546;

								BgL_fieldsz00_11546 = BgL_arg3463z00_8987;
								BgL_fieldsz00_8982 = BgL_fieldsz00_11546;
								goto BgL_loopz00_8981;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11549;

				{	/* Ast/walk.scm 315 */
					BgL_nodez00_bglt BgL_arg3464z00_8988;

					BgL_arg3464z00_8988 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7654)))->BgL_bodyz00);
					BgL_auxz00_11549 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7655) (BgL_pz00_7655,
							((obj_t) BgL_arg3464z00_8988), BgL_arg0z00_7656, BgL_arg1z00_7657,
							BEOA));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7654)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11549), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_7654));
		}

	}



/* &walk1!-let-fun2142 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2letzd2fun2142z70zzast_walkz00(obj_t
		BgL_envz00_7658, obj_t BgL_nz00_7659, obj_t BgL_pz00_7660,
		obj_t BgL_arg0z00_7661)
	{
		{	/* Ast/walk.scm 315 */
			{
				obj_t BgL_fieldsz00_8991;

				BgL_fieldsz00_8991 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7659)))->BgL_localsz00);
			BgL_loopz00_8990:
				if (NULLP(BgL_fieldsz00_8991))
					{	/* Ast/walk.scm 315 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 315 */
						{	/* Ast/walk.scm 315 */
							obj_t BgL_vz00_8992;
							obj_t BgL_bz00_8993;

							BgL_vz00_8992 = CAR(((obj_t) BgL_fieldsz00_8991));
							{	/* Ast/walk.scm 315 */
								obj_t BgL_arg3450z00_8994;

								BgL_arg3450z00_8994 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																CAR(
																	((obj_t) BgL_fieldsz00_8991)))))->
													BgL_valuez00))))->BgL_bodyz00);
								BgL_bz00_8993 =
									PROCEDURE_ENTRY(BgL_pz00_7660) (BgL_pz00_7660,
									BgL_arg3450z00_8994, BgL_arg0z00_7661, BEOA);
							}
							{	/* Ast/walk.scm 317 */
								BgL_valuez00_bglt BgL_arg3448z00_8995;

								BgL_arg3448z00_8995 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_vz00_8992)))->BgL_valuez00);
								((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_arg3448z00_8995)))->
										BgL_bodyz00) = ((obj_t) BgL_bz00_8993), BUNSPEC);
							}
						}
						{	/* Ast/walk.scm 315 */
							obj_t BgL_arg3453z00_8996;

							BgL_arg3453z00_8996 = CDR(((obj_t) BgL_fieldsz00_8991));
							{
								obj_t BgL_fieldsz00_11585;

								BgL_fieldsz00_11585 = BgL_arg3453z00_8996;
								BgL_fieldsz00_8991 = BgL_fieldsz00_11585;
								goto BgL_loopz00_8990;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11588;

				{	/* Ast/walk.scm 315 */
					BgL_nodez00_bglt BgL_arg3454z00_8997;

					BgL_arg3454z00_8997 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7659)))->BgL_bodyz00);
					BgL_auxz00_11588 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7660) (BgL_pz00_7660,
							((obj_t) BgL_arg3454z00_8997), BgL_arg0z00_7661, BEOA));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7659)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11588), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_7659));
		}

	}



/* &walk0!-let-fun2140 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2letzd2fun2140z70zzast_walkz00(obj_t
		BgL_envz00_7662, obj_t BgL_nz00_7663, obj_t BgL_pz00_7664)
	{
		{	/* Ast/walk.scm 315 */
			{
				obj_t BgL_fieldsz00_9000;

				BgL_fieldsz00_9000 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7663)))->BgL_localsz00);
			BgL_loopz00_8999:
				if (NULLP(BgL_fieldsz00_9000))
					{	/* Ast/walk.scm 315 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 315 */
						{	/* Ast/walk.scm 315 */
							obj_t BgL_vz00_9001;
							obj_t BgL_bz00_9002;

							BgL_vz00_9001 = CAR(((obj_t) BgL_fieldsz00_9000));
							{	/* Ast/walk.scm 315 */
								obj_t BgL_arg3440z00_9003;

								BgL_arg3440z00_9003 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																CAR(
																	((obj_t) BgL_fieldsz00_9000)))))->
													BgL_valuez00))))->BgL_bodyz00);
								BgL_bz00_9002 =
									PROCEDURE_ENTRY(BgL_pz00_7664) (BgL_pz00_7664,
									BgL_arg3440z00_9003, BEOA);
							}
							{	/* Ast/walk.scm 317 */
								BgL_valuez00_bglt BgL_arg3439z00_9004;

								BgL_arg3439z00_9004 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_vz00_9001)))->BgL_valuez00);
								((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_arg3439z00_9004)))->
										BgL_bodyz00) = ((obj_t) BgL_bz00_9002), BUNSPEC);
							}
						}
						{	/* Ast/walk.scm 315 */
							obj_t BgL_arg3442z00_9005;

							BgL_arg3442z00_9005 = CDR(((obj_t) BgL_fieldsz00_9000));
							{
								obj_t BgL_fieldsz00_11622;

								BgL_fieldsz00_11622 = BgL_arg3442z00_9005;
								BgL_fieldsz00_9000 = BgL_fieldsz00_11622;
								goto BgL_loopz00_8999;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11625;

				{	/* Ast/walk.scm 315 */
					BgL_nodez00_bglt BgL_arg3444z00_9006;

					BgL_arg3444z00_9006 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7663)))->BgL_bodyz00);
					BgL_auxz00_11625 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7664) (BgL_pz00_7664,
							((obj_t) BgL_arg3444z00_9006), BEOA));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7663)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11625), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_7663));
		}

	}



/* &walk3*-let-fun2138 */
	obj_t BGl_z62walk3za2zd2letzd2fun2138zc0zzast_walkz00(obj_t BgL_envz00_7665,
		obj_t BgL_nz00_7666, obj_t BgL_pz00_7667, obj_t BgL_arg0z00_7668,
		obj_t BgL_arg1z00_7669, obj_t BgL_arg2z00_7670)
	{
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_res4222z00_9011;

				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3425z00_9008;
					obj_t BgL_arg3426z00_9009;

					BgL_arg3425z00_9008 =
						BGl_zc3z04anonymousza33427ze3ze70z60zzast_walkz00(BgL_arg2z00_7670,
						BgL_arg1z00_7669, BgL_arg0z00_7668, BgL_pz00_7667,
						(((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
										BgL_nz00_7666)))->BgL_localsz00));
					{	/* Ast/walk.scm 315 */
						BgL_nodez00_bglt BgL_arg3435z00_9010;

						BgL_arg3435z00_9010 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_7666)))->BgL_bodyz00);
						BgL_arg3426z00_9009 =
							PROCEDURE_ENTRY(BgL_pz00_7667) (BgL_pz00_7667,
							((obj_t) BgL_arg3435z00_9010), BgL_arg0z00_7668, BgL_arg1z00_7669,
							BgL_arg2z00_7670, BEOA);
					}
					BgL_res4222z00_9011 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3425z00_9008,
						BgL_arg3426z00_9009);
				}
				return BgL_res4222z00_9011;
			}
		}

	}



/* <@anonymous:3427>~0 */
	obj_t BGl_zc3z04anonymousza33427ze3ze70z60zzast_walkz00(obj_t
		BgL_arg2z00_8786, obj_t BgL_arg1z00_8785, obj_t BgL_arg0z00_8784,
		obj_t BgL_pz00_8783, obj_t BgL_l1602z00_5365)
	{
		{	/* Ast/walk.scm 315 */
			if (NULLP(BgL_l1602z00_5365))
				{	/* Ast/walk.scm 315 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3429z00_5368;
					obj_t BgL_arg3430z00_5369;

					{	/* Ast/walk.scm 315 */
						obj_t BgL_fz00_5370;

						BgL_fz00_5370 = CAR(((obj_t) BgL_l1602z00_5365));
						{	/* Ast/walk.scm 316 */
							obj_t BgL_arg3431z00_5371;

							BgL_arg3431z00_5371 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_fz00_5370)))->
												BgL_valuez00))))->BgL_bodyz00);
							BgL_arg3429z00_5368 =
								PROCEDURE_ENTRY(BgL_pz00_8783) (BgL_pz00_8783,
								BgL_arg3431z00_5371, BgL_arg0z00_8784, BgL_arg1z00_8785,
								BgL_arg2z00_8786, BEOA);
						}
					}
					{	/* Ast/walk.scm 315 */
						obj_t BgL_arg3434z00_5374;

						BgL_arg3434z00_5374 = CDR(((obj_t) BgL_l1602z00_5365));
						BgL_arg3430z00_5369 =
							BGl_zc3z04anonymousza33427ze3ze70z60zzast_walkz00
							(BgL_arg2z00_8786, BgL_arg1z00_8785, BgL_arg0z00_8784,
							BgL_pz00_8783, BgL_arg3434z00_5374);
					}
					return bgl_append2(BgL_arg3429z00_5368, BgL_arg3430z00_5369);
				}
		}

	}



/* &walk2*-let-fun2136 */
	obj_t BGl_z62walk2za2zd2letzd2fun2136zc0zzast_walkz00(obj_t BgL_envz00_7671,
		obj_t BgL_nz00_7672, obj_t BgL_pz00_7673, obj_t BgL_arg0z00_7674,
		obj_t BgL_arg1z00_7675)
	{
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_res4223z00_9016;

				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3414z00_9013;
					obj_t BgL_arg3415z00_9014;

					BgL_arg3414z00_9013 =
						BGl_zc3z04anonymousza33416ze3ze70z60zzast_walkz00(BgL_arg1z00_7675,
						BgL_arg0z00_7674, BgL_pz00_7673,
						(((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
										BgL_nz00_7672)))->BgL_localsz00));
					{	/* Ast/walk.scm 315 */
						BgL_nodez00_bglt BgL_arg3424z00_9015;

						BgL_arg3424z00_9015 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_7672)))->BgL_bodyz00);
						BgL_arg3415z00_9014 =
							PROCEDURE_ENTRY(BgL_pz00_7673) (BgL_pz00_7673,
							((obj_t) BgL_arg3424z00_9015), BgL_arg0z00_7674, BgL_arg1z00_7675,
							BEOA);
					}
					BgL_res4223z00_9016 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3414z00_9013,
						BgL_arg3415z00_9014);
				}
				return BgL_res4223z00_9016;
			}
		}

	}



/* <@anonymous:3416>~0 */
	obj_t BGl_zc3z04anonymousza33416ze3ze70z60zzast_walkz00(obj_t
		BgL_arg1z00_8782, obj_t BgL_arg0z00_8781, obj_t BgL_pz00_8780,
		obj_t BgL_l1599z00_5340)
	{
		{	/* Ast/walk.scm 315 */
			if (NULLP(BgL_l1599z00_5340))
				{	/* Ast/walk.scm 315 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3418z00_5343;
					obj_t BgL_arg3419z00_5344;

					{	/* Ast/walk.scm 315 */
						obj_t BgL_fz00_5345;

						BgL_fz00_5345 = CAR(((obj_t) BgL_l1599z00_5340));
						{	/* Ast/walk.scm 316 */
							obj_t BgL_arg3420z00_5346;

							BgL_arg3420z00_5346 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_fz00_5345)))->
												BgL_valuez00))))->BgL_bodyz00);
							BgL_arg3418z00_5343 =
								PROCEDURE_ENTRY(BgL_pz00_8780) (BgL_pz00_8780,
								BgL_arg3420z00_5346, BgL_arg0z00_8781, BgL_arg1z00_8782, BEOA);
						}
					}
					{	/* Ast/walk.scm 315 */
						obj_t BgL_arg3422z00_5349;

						BgL_arg3422z00_5349 = CDR(((obj_t) BgL_l1599z00_5340));
						BgL_arg3419z00_5344 =
							BGl_zc3z04anonymousza33416ze3ze70z60zzast_walkz00
							(BgL_arg1z00_8782, BgL_arg0z00_8781, BgL_pz00_8780,
							BgL_arg3422z00_5349);
					}
					return bgl_append2(BgL_arg3418z00_5343, BgL_arg3419z00_5344);
				}
		}

	}



/* &walk1*-let-fun2134 */
	obj_t BGl_z62walk1za2zd2letzd2fun2134zc0zzast_walkz00(obj_t BgL_envz00_7676,
		obj_t BgL_nz00_7677, obj_t BgL_pz00_7678, obj_t BgL_arg0z00_7679)
	{
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_res4224z00_9021;

				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3402z00_9018;
					obj_t BgL_arg3404z00_9019;

					BgL_arg3402z00_9018 =
						BGl_zc3z04anonymousza33405ze3ze70z60zzast_walkz00(BgL_arg0z00_7679,
						BgL_pz00_7678,
						(((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
										BgL_nz00_7677)))->BgL_localsz00));
					{	/* Ast/walk.scm 315 */
						BgL_nodez00_bglt BgL_arg3413z00_9020;

						BgL_arg3413z00_9020 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_7677)))->BgL_bodyz00);
						BgL_arg3404z00_9019 =
							PROCEDURE_ENTRY(BgL_pz00_7678) (BgL_pz00_7678,
							((obj_t) BgL_arg3413z00_9020), BgL_arg0z00_7679, BEOA);
					}
					BgL_res4224z00_9021 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3402z00_9018,
						BgL_arg3404z00_9019);
				}
				return BgL_res4224z00_9021;
			}
		}

	}



/* <@anonymous:3405>~0 */
	obj_t BGl_zc3z04anonymousza33405ze3ze70z60zzast_walkz00(obj_t
		BgL_arg0z00_8779, obj_t BgL_pz00_8778, obj_t BgL_l1596z00_5316)
	{
		{	/* Ast/walk.scm 315 */
			if (NULLP(BgL_l1596z00_5316))
				{	/* Ast/walk.scm 315 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3407z00_5319;
					obj_t BgL_arg3408z00_5320;

					{	/* Ast/walk.scm 315 */
						obj_t BgL_fz00_5321;

						BgL_fz00_5321 = CAR(((obj_t) BgL_l1596z00_5316));
						{	/* Ast/walk.scm 316 */
							obj_t BgL_arg3409z00_5322;

							BgL_arg3409z00_5322 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_fz00_5321)))->
												BgL_valuez00))))->BgL_bodyz00);
							BgL_arg3407z00_5319 =
								PROCEDURE_ENTRY(BgL_pz00_8778) (BgL_pz00_8778,
								BgL_arg3409z00_5322, BgL_arg0z00_8779, BEOA);
						}
					}
					{	/* Ast/walk.scm 315 */
						obj_t BgL_arg3412z00_5325;

						BgL_arg3412z00_5325 = CDR(((obj_t) BgL_l1596z00_5316));
						BgL_arg3408z00_5320 =
							BGl_zc3z04anonymousza33405ze3ze70z60zzast_walkz00
							(BgL_arg0z00_8779, BgL_pz00_8778, BgL_arg3412z00_5325);
					}
					return bgl_append2(BgL_arg3407z00_5319, BgL_arg3408z00_5320);
				}
		}

	}



/* &walk0*-let-fun2132 */
	obj_t BGl_z62walk0za2zd2letzd2fun2132zc0zzast_walkz00(obj_t BgL_envz00_7680,
		obj_t BgL_nz00_7681, obj_t BgL_pz00_7682)
	{
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_res4225z00_9026;

				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3390z00_9023;
					obj_t BgL_arg3392z00_9024;

					BgL_arg3390z00_9023 =
						BGl_zc3z04anonymousza33393ze3ze70z60zzast_walkz00(BgL_pz00_7682,
						(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_7681)))->BgL_localsz00));
					{	/* Ast/walk.scm 315 */
						BgL_nodez00_bglt BgL_arg3401z00_9025;

						BgL_arg3401z00_9025 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_7681)))->BgL_bodyz00);
						BgL_arg3392z00_9024 =
							PROCEDURE_ENTRY(BgL_pz00_7682) (BgL_pz00_7682,
							((obj_t) BgL_arg3401z00_9025), BEOA);
					}
					BgL_res4225z00_9026 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3390z00_9023,
						BgL_arg3392z00_9024);
				}
				return BgL_res4225z00_9026;
			}
		}

	}



/* <@anonymous:3393>~0 */
	obj_t BGl_zc3z04anonymousza33393ze3ze70z60zzast_walkz00(obj_t BgL_pz00_8777,
		obj_t BgL_l1593z00_5293)
	{
		{	/* Ast/walk.scm 315 */
			if (NULLP(BgL_l1593z00_5293))
				{	/* Ast/walk.scm 315 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3395z00_5296;
					obj_t BgL_arg3396z00_5297;

					{	/* Ast/walk.scm 315 */
						obj_t BgL_fz00_5298;

						BgL_fz00_5298 = CAR(((obj_t) BgL_l1593z00_5293));
						{	/* Ast/walk.scm 316 */
							obj_t BgL_arg3397z00_5299;

							BgL_arg3397z00_5299 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_fz00_5298)))->
												BgL_valuez00))))->BgL_bodyz00);
							BgL_arg3395z00_5296 =
								PROCEDURE_ENTRY(BgL_pz00_8777) (BgL_pz00_8777,
								BgL_arg3397z00_5299, BEOA);
						}
					}
					{	/* Ast/walk.scm 315 */
						obj_t BgL_arg3399z00_5302;

						BgL_arg3399z00_5302 = CDR(((obj_t) BgL_l1593z00_5293));
						BgL_arg3396z00_5297 =
							BGl_zc3z04anonymousza33393ze3ze70z60zzast_walkz00(BgL_pz00_8777,
							BgL_arg3399z00_5302);
					}
					return bgl_append2(BgL_arg3395z00_5296, BgL_arg3396z00_5297);
				}
		}

	}



/* &walk3-let-fun2130 */
	obj_t BGl_z62walk3zd2letzd2fun2130z62zzast_walkz00(obj_t BgL_envz00_7683,
		obj_t BgL_nz00_7684, obj_t BgL_pz00_7685, obj_t BgL_arg0z00_7686,
		obj_t BgL_arg1z00_7687, obj_t BgL_arg2z00_7688)
	{
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_g1591z00_9028;

				BgL_g1591z00_9028 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7684)))->BgL_localsz00);
				{
					obj_t BgL_l1589z00_9030;

					BgL_l1589z00_9030 = BgL_g1591z00_9028;
				BgL_zc3z04anonymousza33382ze3z87_9029:
					if (PAIRP(BgL_l1589z00_9030))
						{	/* Ast/walk.scm 315 */
							{	/* Ast/walk.scm 315 */
								obj_t BgL_fz00_9031;

								BgL_fz00_9031 = CAR(BgL_l1589z00_9030);
								{	/* Ast/walk.scm 316 */
									obj_t BgL_arg3384z00_9032;

									BgL_arg3384z00_9032 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_fz00_9031)))->
														BgL_valuez00))))->BgL_bodyz00);
									PROCEDURE_ENTRY(BgL_pz00_7685) (BgL_pz00_7685,
										BgL_arg3384z00_9032, BgL_arg0z00_7686, BgL_arg1z00_7687,
										BgL_arg2z00_7688, BEOA);
								}
							}
							{
								obj_t BgL_l1589z00_11774;

								BgL_l1589z00_11774 = CDR(BgL_l1589z00_9030);
								BgL_l1589z00_9030 = BgL_l1589z00_11774;
								goto BgL_zc3z04anonymousza33382ze3z87_9029;
							}
						}
					else
						{	/* Ast/walk.scm 315 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 315 */
				BgL_nodez00_bglt BgL_arg3389z00_9033;

				BgL_arg3389z00_9033 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7684)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7685) (BgL_pz00_7685,
					((obj_t) BgL_arg3389z00_9033), BgL_arg0z00_7686, BgL_arg1z00_7687,
					BgL_arg2z00_7688, BEOA);
			}
		}

	}



/* &walk2-let-fun2128 */
	obj_t BGl_z62walk2zd2letzd2fun2128z62zzast_walkz00(obj_t BgL_envz00_7689,
		obj_t BgL_nz00_7690, obj_t BgL_pz00_7691, obj_t BgL_arg0z00_7692,
		obj_t BgL_arg1z00_7693)
	{
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_g1588z00_9035;

				BgL_g1588z00_9035 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7690)))->BgL_localsz00);
				{
					obj_t BgL_l1586z00_9037;

					BgL_l1586z00_9037 = BgL_g1588z00_9035;
				BgL_zc3z04anonymousza33373ze3z87_9036:
					if (PAIRP(BgL_l1586z00_9037))
						{	/* Ast/walk.scm 315 */
							{	/* Ast/walk.scm 315 */
								obj_t BgL_fz00_9038;

								BgL_fz00_9038 = CAR(BgL_l1586z00_9037);
								{	/* Ast/walk.scm 316 */
									obj_t BgL_arg3375z00_9039;

									BgL_arg3375z00_9039 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_fz00_9038)))->
														BgL_valuez00))))->BgL_bodyz00);
									PROCEDURE_ENTRY(BgL_pz00_7691) (BgL_pz00_7691,
										BgL_arg3375z00_9039, BgL_arg0z00_7692, BgL_arg1z00_7693,
										BEOA);
								}
							}
							{
								obj_t BgL_l1586z00_11801;

								BgL_l1586z00_11801 = CDR(BgL_l1586z00_9037);
								BgL_l1586z00_9037 = BgL_l1586z00_11801;
								goto BgL_zc3z04anonymousza33373ze3z87_9036;
							}
						}
					else
						{	/* Ast/walk.scm 315 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 315 */
				BgL_nodez00_bglt BgL_arg3381z00_9040;

				BgL_arg3381z00_9040 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7690)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7691) (BgL_pz00_7691,
					((obj_t) BgL_arg3381z00_9040), BgL_arg0z00_7692, BgL_arg1z00_7693,
					BEOA);
			}
		}

	}



/* &walk1-let-fun2126 */
	obj_t BGl_z62walk1zd2letzd2fun2126z62zzast_walkz00(obj_t BgL_envz00_7694,
		obj_t BgL_nz00_7695, obj_t BgL_pz00_7696, obj_t BgL_arg0z00_7697)
	{
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_g1585z00_9042;

				BgL_g1585z00_9042 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7695)))->BgL_localsz00);
				{
					obj_t BgL_l1583z00_9044;

					BgL_l1583z00_9044 = BgL_g1585z00_9042;
				BgL_zc3z04anonymousza33365ze3z87_9043:
					if (PAIRP(BgL_l1583z00_9044))
						{	/* Ast/walk.scm 315 */
							{	/* Ast/walk.scm 315 */
								obj_t BgL_fz00_9045;

								BgL_fz00_9045 = CAR(BgL_l1583z00_9044);
								{	/* Ast/walk.scm 316 */
									obj_t BgL_arg3368z00_9046;

									BgL_arg3368z00_9046 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_fz00_9045)))->
														BgL_valuez00))))->BgL_bodyz00);
									PROCEDURE_ENTRY(BgL_pz00_7696) (BgL_pz00_7696,
										BgL_arg3368z00_9046, BgL_arg0z00_7697, BEOA);
								}
							}
							{
								obj_t BgL_l1583z00_11826;

								BgL_l1583z00_11826 = CDR(BgL_l1583z00_9044);
								BgL_l1583z00_9044 = BgL_l1583z00_11826;
								goto BgL_zc3z04anonymousza33365ze3z87_9043;
							}
						}
					else
						{	/* Ast/walk.scm 315 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 315 */
				BgL_nodez00_bglt BgL_arg3372z00_9047;

				BgL_arg3372z00_9047 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7695)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7696) (BgL_pz00_7696,
					((obj_t) BgL_arg3372z00_9047), BgL_arg0z00_7697, BEOA);
			}
		}

	}



/* &walk0-let-fun2124 */
	obj_t BGl_z62walk0zd2letzd2fun2124z62zzast_walkz00(obj_t BgL_envz00_7698,
		obj_t BgL_nz00_7699, obj_t BgL_pz00_7700)
	{
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_g1582z00_9049;

				BgL_g1582z00_9049 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7699)))->BgL_localsz00);
				{
					obj_t BgL_l1580z00_9051;

					BgL_l1580z00_9051 = BgL_g1582z00_9049;
				BgL_zc3z04anonymousza33355ze3z87_9050:
					if (PAIRP(BgL_l1580z00_9051))
						{	/* Ast/walk.scm 315 */
							{	/* Ast/walk.scm 315 */
								obj_t BgL_fz00_9052;

								BgL_fz00_9052 = CAR(BgL_l1580z00_9051);
								{	/* Ast/walk.scm 316 */
									obj_t BgL_arg3361z00_9053;

									BgL_arg3361z00_9053 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_fz00_9052)))->
														BgL_valuez00))))->BgL_bodyz00);
									PROCEDURE_ENTRY(BgL_pz00_7700) (BgL_pz00_7700,
										BgL_arg3361z00_9053, BEOA);
								}
							}
							{
								obj_t BgL_l1580z00_11849;

								BgL_l1580z00_11849 = CDR(BgL_l1580z00_9051);
								BgL_l1580z00_9051 = BgL_l1580z00_11849;
								goto BgL_zc3z04anonymousza33355ze3z87_9050;
							}
						}
					else
						{	/* Ast/walk.scm 315 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 315 */
				BgL_nodez00_bglt BgL_arg3364z00_9054;

				BgL_arg3364z00_9054 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7699)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7700) (BgL_pz00_7700,
					((obj_t) BgL_arg3364z00_9054), BEOA);
			}
		}

	}



/* &walk3!-switch2122 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2switch2122za2zzast_walkz00(obj_t
		BgL_envz00_7701, obj_t BgL_nz00_7702, obj_t BgL_pz00_7703,
		obj_t BgL_arg0z00_7704, obj_t BgL_arg1z00_7705, obj_t BgL_arg2z00_7706)
	{
		{	/* Ast/walk.scm 312 */
			{
				BgL_nodez00_bglt BgL_auxz00_11858;

				{	/* Ast/walk.scm 312 */
					BgL_nodez00_bglt BgL_arg3342z00_9056;

					BgL_arg3342z00_9056 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7702)))->BgL_testz00);
					BgL_auxz00_11858 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7703) (BgL_pz00_7703,
							((obj_t) BgL_arg3342z00_9056), BgL_arg0z00_7704, BgL_arg1z00_7705,
							BgL_arg2z00_7706, BEOA));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7702)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11858), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9058;

				BgL_fieldsz00_9058 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7702)))->BgL_clausesz00);
			BgL_loopz00_9057:
				if (NULLP(BgL_fieldsz00_9058))
					{	/* Ast/walk.scm 312 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 312 */
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3346z00_9059;
							obj_t BgL_arg3347z00_9060;

							BgL_arg3346z00_9059 = CAR(((obj_t) BgL_fieldsz00_9058));
							{	/* Ast/walk.scm 312 */
								obj_t BgL_arg3352z00_9061;

								{	/* Ast/walk.scm 312 */
									obj_t BgL_pairz00_9062;

									BgL_pairz00_9062 = CAR(((obj_t) BgL_fieldsz00_9058));
									BgL_arg3352z00_9061 = CDR(BgL_pairz00_9062);
								}
								BgL_arg3347z00_9060 =
									PROCEDURE_ENTRY(BgL_pz00_7703) (BgL_pz00_7703,
									BgL_arg3352z00_9061, BgL_arg0z00_7704, BgL_arg1z00_7705,
									BgL_arg2z00_7706, BEOA);
							}
							{	/* Ast/walk.scm 312 */
								obj_t BgL_tmpz00_11886;

								BgL_tmpz00_11886 = ((obj_t) BgL_arg3346z00_9059);
								SET_CDR(BgL_tmpz00_11886, BgL_arg3347z00_9060);
							}
						}
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3354z00_9063;

							BgL_arg3354z00_9063 = CDR(((obj_t) BgL_fieldsz00_9058));
							{
								obj_t BgL_fieldsz00_11891;

								BgL_fieldsz00_11891 = BgL_arg3354z00_9063;
								BgL_fieldsz00_9058 = BgL_fieldsz00_11891;
								goto BgL_loopz00_9057;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nz00_7702));
		}

	}



/* &walk2!-switch2120 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2switch2120za2zzast_walkz00(obj_t
		BgL_envz00_7707, obj_t BgL_nz00_7708, obj_t BgL_pz00_7709,
		obj_t BgL_arg0z00_7710, obj_t BgL_arg1z00_7711)
	{
		{	/* Ast/walk.scm 312 */
			{
				BgL_nodez00_bglt BgL_auxz00_11896;

				{	/* Ast/walk.scm 312 */
					BgL_nodez00_bglt BgL_arg3329z00_9065;

					BgL_arg3329z00_9065 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7708)))->BgL_testz00);
					BgL_auxz00_11896 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7709) (BgL_pz00_7709,
							((obj_t) BgL_arg3329z00_9065), BgL_arg0z00_7710, BgL_arg1z00_7711,
							BEOA));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7708)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11896), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9067;

				BgL_fieldsz00_9067 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7708)))->BgL_clausesz00);
			BgL_loopz00_9066:
				if (NULLP(BgL_fieldsz00_9067))
					{	/* Ast/walk.scm 312 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 312 */
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3333z00_9068;
							obj_t BgL_arg3335z00_9069;

							BgL_arg3333z00_9068 = CAR(((obj_t) BgL_fieldsz00_9067));
							{	/* Ast/walk.scm 312 */
								obj_t BgL_arg3339z00_9070;

								{	/* Ast/walk.scm 312 */
									obj_t BgL_pairz00_9071;

									BgL_pairz00_9071 = CAR(((obj_t) BgL_fieldsz00_9067));
									BgL_arg3339z00_9070 = CDR(BgL_pairz00_9071);
								}
								BgL_arg3335z00_9069 =
									PROCEDURE_ENTRY(BgL_pz00_7709) (BgL_pz00_7709,
									BgL_arg3339z00_9070, BgL_arg0z00_7710, BgL_arg1z00_7711,
									BEOA);
							}
							{	/* Ast/walk.scm 312 */
								obj_t BgL_tmpz00_11922;

								BgL_tmpz00_11922 = ((obj_t) BgL_arg3333z00_9068);
								SET_CDR(BgL_tmpz00_11922, BgL_arg3335z00_9069);
							}
						}
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3341z00_9072;

							BgL_arg3341z00_9072 = CDR(((obj_t) BgL_fieldsz00_9067));
							{
								obj_t BgL_fieldsz00_11927;

								BgL_fieldsz00_11927 = BgL_arg3341z00_9072;
								BgL_fieldsz00_9067 = BgL_fieldsz00_11927;
								goto BgL_loopz00_9066;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nz00_7708));
		}

	}



/* &walk1!-switch2118 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2switch2118za2zzast_walkz00(obj_t
		BgL_envz00_7712, obj_t BgL_nz00_7713, obj_t BgL_pz00_7714,
		obj_t BgL_arg0z00_7715)
	{
		{	/* Ast/walk.scm 312 */
			{
				BgL_nodez00_bglt BgL_auxz00_11932;

				{	/* Ast/walk.scm 312 */
					BgL_nodez00_bglt BgL_arg3317z00_9074;

					BgL_arg3317z00_9074 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7713)))->BgL_testz00);
					BgL_auxz00_11932 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7714) (BgL_pz00_7714,
							((obj_t) BgL_arg3317z00_9074), BgL_arg0z00_7715, BEOA));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7713)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11932), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9076;

				BgL_fieldsz00_9076 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7713)))->BgL_clausesz00);
			BgL_loopz00_9075:
				if (NULLP(BgL_fieldsz00_9076))
					{	/* Ast/walk.scm 312 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 312 */
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3321z00_9077;
							obj_t BgL_arg3322z00_9078;

							BgL_arg3321z00_9077 = CAR(((obj_t) BgL_fieldsz00_9076));
							{	/* Ast/walk.scm 312 */
								obj_t BgL_arg3323z00_9079;

								{	/* Ast/walk.scm 312 */
									obj_t BgL_pairz00_9080;

									BgL_pairz00_9080 = CAR(((obj_t) BgL_fieldsz00_9076));
									BgL_arg3323z00_9079 = CDR(BgL_pairz00_9080);
								}
								BgL_arg3322z00_9078 =
									PROCEDURE_ENTRY(BgL_pz00_7714) (BgL_pz00_7714,
									BgL_arg3323z00_9079, BgL_arg0z00_7715, BEOA);
							}
							{	/* Ast/walk.scm 312 */
								obj_t BgL_tmpz00_11956;

								BgL_tmpz00_11956 = ((obj_t) BgL_arg3321z00_9077);
								SET_CDR(BgL_tmpz00_11956, BgL_arg3322z00_9078);
							}
						}
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3328z00_9081;

							BgL_arg3328z00_9081 = CDR(((obj_t) BgL_fieldsz00_9076));
							{
								obj_t BgL_fieldsz00_11961;

								BgL_fieldsz00_11961 = BgL_arg3328z00_9081;
								BgL_fieldsz00_9076 = BgL_fieldsz00_11961;
								goto BgL_loopz00_9075;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nz00_7713));
		}

	}



/* &walk0!-switch2116 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2switch2116za2zzast_walkz00(obj_t
		BgL_envz00_7716, obj_t BgL_nz00_7717, obj_t BgL_pz00_7718)
	{
		{	/* Ast/walk.scm 312 */
			{
				BgL_nodez00_bglt BgL_auxz00_11966;

				{	/* Ast/walk.scm 312 */
					BgL_nodez00_bglt BgL_arg3306z00_9083;

					BgL_arg3306z00_9083 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7717)))->BgL_testz00);
					BgL_auxz00_11966 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7718) (BgL_pz00_7718,
							((obj_t) BgL_arg3306z00_9083), BEOA));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7717)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11966), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9085;

				BgL_fieldsz00_9085 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7717)))->BgL_clausesz00);
			BgL_loopz00_9084:
				if (NULLP(BgL_fieldsz00_9085))
					{	/* Ast/walk.scm 312 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 312 */
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3312z00_9086;
							obj_t BgL_arg3313z00_9087;

							BgL_arg3312z00_9086 = CAR(((obj_t) BgL_fieldsz00_9085));
							{	/* Ast/walk.scm 312 */
								obj_t BgL_arg3314z00_9088;

								{	/* Ast/walk.scm 312 */
									obj_t BgL_pairz00_9089;

									BgL_pairz00_9089 = CAR(((obj_t) BgL_fieldsz00_9085));
									BgL_arg3314z00_9088 = CDR(BgL_pairz00_9089);
								}
								BgL_arg3313z00_9087 =
									PROCEDURE_ENTRY(BgL_pz00_7718) (BgL_pz00_7718,
									BgL_arg3314z00_9088, BEOA);
							}
							{	/* Ast/walk.scm 312 */
								obj_t BgL_tmpz00_11988;

								BgL_tmpz00_11988 = ((obj_t) BgL_arg3312z00_9086);
								SET_CDR(BgL_tmpz00_11988, BgL_arg3313z00_9087);
							}
						}
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3316z00_9090;

							BgL_arg3316z00_9090 = CDR(((obj_t) BgL_fieldsz00_9085));
							{
								obj_t BgL_fieldsz00_11993;

								BgL_fieldsz00_11993 = BgL_arg3316z00_9090;
								BgL_fieldsz00_9085 = BgL_fieldsz00_11993;
								goto BgL_loopz00_9084;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nz00_7717));
		}

	}



/* &walk3*-switch2114 */
	obj_t BGl_z62walk3za2zd2switch2114z12zzast_walkz00(obj_t BgL_envz00_7719,
		obj_t BgL_nz00_7720, obj_t BgL_pz00_7721, obj_t BgL_arg0z00_7722,
		obj_t BgL_arg1z00_7723, obj_t BgL_arg2z00_7724)
	{
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				obj_t BgL_res4226z00_9095;

				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3289z00_9092;
					obj_t BgL_arg3290z00_9093;

					{	/* Ast/walk.scm 312 */
						BgL_nodez00_bglt BgL_arg3291z00_9094;

						BgL_arg3291z00_9094 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_7720)))->BgL_testz00);
						BgL_arg3289z00_9092 =
							PROCEDURE_ENTRY(BgL_pz00_7721) (BgL_pz00_7721,
							((obj_t) BgL_arg3291z00_9094), BgL_arg0z00_7722, BgL_arg1z00_7723,
							BgL_arg2z00_7724, BEOA);
					}
					BgL_arg3290z00_9093 =
						BGl_zc3z04anonymousza33292ze3ze70z60zzast_walkz00(BgL_arg2z00_7724,
						BgL_arg1z00_7723, BgL_arg0z00_7722, BgL_pz00_7721,
						(((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
										BgL_nz00_7720)))->BgL_clausesz00));
					BgL_res4226z00_9095 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3289z00_9092,
						BgL_arg3290z00_9093);
				}
				return BgL_res4226z00_9095;
			}
		}

	}



/* <@anonymous:3292>~0 */
	obj_t BGl_zc3z04anonymousza33292ze3ze70z60zzast_walkz00(obj_t
		BgL_arg2z00_8776, obj_t BgL_arg1z00_8775, obj_t BgL_arg0z00_8774,
		obj_t BgL_pz00_8773, obj_t BgL_l1578z00_5118)
	{
		{	/* Ast/walk.scm 312 */
			if (NULLP(BgL_l1578z00_5118))
				{	/* Ast/walk.scm 312 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3294z00_5121;
					obj_t BgL_arg3303z00_5122;

					{	/* Ast/walk.scm 312 */
						obj_t BgL_fz00_5123;

						BgL_fz00_5123 = CAR(((obj_t) BgL_l1578z00_5118));
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3304z00_5124;

							BgL_arg3304z00_5124 = CDR(((obj_t) BgL_fz00_5123));
							BgL_arg3294z00_5121 =
								PROCEDURE_ENTRY(BgL_pz00_8773) (BgL_pz00_8773,
								BgL_arg3304z00_5124, BgL_arg0z00_8774, BgL_arg1z00_8775,
								BgL_arg2z00_8776, BEOA);
						}
					}
					{	/* Ast/walk.scm 312 */
						obj_t BgL_arg3305z00_5125;

						BgL_arg3305z00_5125 = CDR(((obj_t) BgL_l1578z00_5118));
						BgL_arg3303z00_5122 =
							BGl_zc3z04anonymousza33292ze3ze70z60zzast_walkz00
							(BgL_arg2z00_8776, BgL_arg1z00_8775, BgL_arg0z00_8774,
							BgL_pz00_8773, BgL_arg3305z00_5125);
					}
					return bgl_append2(BgL_arg3294z00_5121, BgL_arg3303z00_5122);
				}
		}

	}



/* &walk2*-switch2112 */
	obj_t BGl_z62walk2za2zd2switch2112z12zzast_walkz00(obj_t BgL_envz00_7725,
		obj_t BgL_nz00_7726, obj_t BgL_pz00_7727, obj_t BgL_arg0z00_7728,
		obj_t BgL_arg1z00_7729)
	{
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				obj_t BgL_res4227z00_9100;

				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3274z00_9097;
					obj_t BgL_arg3275z00_9098;

					{	/* Ast/walk.scm 312 */
						BgL_nodez00_bglt BgL_arg3276z00_9099;

						BgL_arg3276z00_9099 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_7726)))->BgL_testz00);
						BgL_arg3274z00_9097 =
							PROCEDURE_ENTRY(BgL_pz00_7727) (BgL_pz00_7727,
							((obj_t) BgL_arg3276z00_9099), BgL_arg0z00_7728, BgL_arg1z00_7729,
							BEOA);
					}
					BgL_arg3275z00_9098 =
						BGl_zc3z04anonymousza33277ze3ze70z60zzast_walkz00(BgL_arg1z00_7729,
						BgL_arg0z00_7728, BgL_pz00_7727,
						(((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
										BgL_nz00_7726)))->BgL_clausesz00));
					BgL_res4227z00_9100 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3274z00_9097,
						BgL_arg3275z00_9098);
				}
				return BgL_res4227z00_9100;
			}
		}

	}



/* <@anonymous:3277>~0 */
	obj_t BGl_zc3z04anonymousza33277ze3ze70z60zzast_walkz00(obj_t
		BgL_arg1z00_8772, obj_t BgL_arg0z00_8771, obj_t BgL_pz00_8770,
		obj_t BgL_l1575z00_5095)
	{
		{	/* Ast/walk.scm 312 */
			if (NULLP(BgL_l1575z00_5095))
				{	/* Ast/walk.scm 312 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3281z00_5098;
					obj_t BgL_arg3282z00_5099;

					{	/* Ast/walk.scm 312 */
						obj_t BgL_fz00_5100;

						BgL_fz00_5100 = CAR(((obj_t) BgL_l1575z00_5095));
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3285z00_5101;

							BgL_arg3285z00_5101 = CDR(((obj_t) BgL_fz00_5100));
							BgL_arg3281z00_5098 =
								PROCEDURE_ENTRY(BgL_pz00_8770) (BgL_pz00_8770,
								BgL_arg3285z00_5101, BgL_arg0z00_8771, BgL_arg1z00_8772, BEOA);
						}
					}
					{	/* Ast/walk.scm 312 */
						obj_t BgL_arg3286z00_5102;

						BgL_arg3286z00_5102 = CDR(((obj_t) BgL_l1575z00_5095));
						BgL_arg3282z00_5099 =
							BGl_zc3z04anonymousza33277ze3ze70z60zzast_walkz00
							(BgL_arg1z00_8772, BgL_arg0z00_8771, BgL_pz00_8770,
							BgL_arg3286z00_5102);
					}
					return bgl_append2(BgL_arg3281z00_5098, BgL_arg3282z00_5099);
				}
		}

	}



/* &walk1*-switch2110 */
	obj_t BGl_z62walk1za2zd2switch2110z12zzast_walkz00(obj_t BgL_envz00_7730,
		obj_t BgL_nz00_7731, obj_t BgL_pz00_7732, obj_t BgL_arg0z00_7733)
	{
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				obj_t BgL_res4228z00_9105;

				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3260z00_9102;
					obj_t BgL_arg3261z00_9103;

					{	/* Ast/walk.scm 312 */
						BgL_nodez00_bglt BgL_arg3264z00_9104;

						BgL_arg3264z00_9104 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_7731)))->BgL_testz00);
						BgL_arg3260z00_9102 =
							PROCEDURE_ENTRY(BgL_pz00_7732) (BgL_pz00_7732,
							((obj_t) BgL_arg3264z00_9104), BgL_arg0z00_7733, BEOA);
					}
					BgL_arg3261z00_9103 =
						BGl_zc3z04anonymousza33265ze3ze70z60zzast_walkz00(BgL_arg0z00_7733,
						BgL_pz00_7732,
						(((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
										BgL_nz00_7731)))->BgL_clausesz00));
					BgL_res4228z00_9105 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3260z00_9102,
						BgL_arg3261z00_9103);
				}
				return BgL_res4228z00_9105;
			}
		}

	}



/* <@anonymous:3265>~0 */
	obj_t BGl_zc3z04anonymousza33265ze3ze70z60zzast_walkz00(obj_t
		BgL_arg0z00_8769, obj_t BgL_pz00_8768, obj_t BgL_l1572z00_5073)
	{
		{	/* Ast/walk.scm 312 */
			if (NULLP(BgL_l1572z00_5073))
				{	/* Ast/walk.scm 312 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3268z00_5076;
					obj_t BgL_arg3269z00_5077;

					{	/* Ast/walk.scm 312 */
						obj_t BgL_fz00_5078;

						BgL_fz00_5078 = CAR(((obj_t) BgL_l1572z00_5073));
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3272z00_5079;

							BgL_arg3272z00_5079 = CDR(((obj_t) BgL_fz00_5078));
							BgL_arg3268z00_5076 =
								PROCEDURE_ENTRY(BgL_pz00_8768) (BgL_pz00_8768,
								BgL_arg3272z00_5079, BgL_arg0z00_8769, BEOA);
						}
					}
					{	/* Ast/walk.scm 312 */
						obj_t BgL_arg3273z00_5080;

						BgL_arg3273z00_5080 = CDR(((obj_t) BgL_l1572z00_5073));
						BgL_arg3269z00_5077 =
							BGl_zc3z04anonymousza33265ze3ze70z60zzast_walkz00
							(BgL_arg0z00_8769, BgL_pz00_8768, BgL_arg3273z00_5080);
					}
					return bgl_append2(BgL_arg3268z00_5076, BgL_arg3269z00_5077);
				}
		}

	}



/* &walk0*-switch2108 */
	obj_t BGl_z62walk0za2zd2switch2108z12zzast_walkz00(obj_t BgL_envz00_7734,
		obj_t BgL_nz00_7735, obj_t BgL_pz00_7736)
	{
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				obj_t BgL_res4229z00_9110;

				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3247z00_9107;
					obj_t BgL_arg3250z00_9108;

					{	/* Ast/walk.scm 312 */
						BgL_nodez00_bglt BgL_arg3251z00_9109;

						BgL_arg3251z00_9109 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_7735)))->BgL_testz00);
						BgL_arg3247z00_9107 =
							PROCEDURE_ENTRY(BgL_pz00_7736) (BgL_pz00_7736,
							((obj_t) BgL_arg3251z00_9109), BEOA);
					}
					BgL_arg3250z00_9108 =
						BGl_zc3z04anonymousza33252ze3ze70z60zzast_walkz00(BgL_pz00_7736,
						(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_7735)))->BgL_clausesz00));
					BgL_res4229z00_9110 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3247z00_9107,
						BgL_arg3250z00_9108);
				}
				return BgL_res4229z00_9110;
			}
		}

	}



/* <@anonymous:3252>~0 */
	obj_t BGl_zc3z04anonymousza33252ze3ze70z60zzast_walkz00(obj_t BgL_pz00_8767,
		obj_t BgL_l1569z00_5052)
	{
		{	/* Ast/walk.scm 312 */
			if (NULLP(BgL_l1569z00_5052))
				{	/* Ast/walk.scm 312 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3255z00_5055;
					obj_t BgL_arg3256z00_5056;

					{	/* Ast/walk.scm 312 */
						obj_t BgL_fz00_5057;

						BgL_fz00_5057 = CAR(((obj_t) BgL_l1569z00_5052));
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3257z00_5058;

							BgL_arg3257z00_5058 = CDR(((obj_t) BgL_fz00_5057));
							BgL_arg3255z00_5055 =
								PROCEDURE_ENTRY(BgL_pz00_8767) (BgL_pz00_8767,
								BgL_arg3257z00_5058, BEOA);
						}
					}
					{	/* Ast/walk.scm 312 */
						obj_t BgL_arg3258z00_5059;

						BgL_arg3258z00_5059 = CDR(((obj_t) BgL_l1569z00_5052));
						BgL_arg3256z00_5056 =
							BGl_zc3z04anonymousza33252ze3ze70z60zzast_walkz00(BgL_pz00_8767,
							BgL_arg3258z00_5059);
					}
					return bgl_append2(BgL_arg3255z00_5055, BgL_arg3256z00_5056);
				}
		}

	}



/* &walk3-switch2106 */
	obj_t BGl_z62walk3zd2switch2106zb0zzast_walkz00(obj_t BgL_envz00_7737,
		obj_t BgL_nz00_7738, obj_t BgL_pz00_7739, obj_t BgL_arg0z00_7740,
		obj_t BgL_arg1z00_7741, obj_t BgL_arg2z00_7742)
	{
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				BgL_nodez00_bglt BgL_arg3239z00_9112;

				BgL_arg3239z00_9112 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7738)))->BgL_testz00);
				PROCEDURE_ENTRY(BgL_pz00_7739) (BgL_pz00_7739,
					((obj_t) BgL_arg3239z00_9112), BgL_arg0z00_7740, BgL_arg1z00_7741,
					BgL_arg2z00_7742, BEOA);
			}
			{	/* Ast/walk.scm 312 */
				obj_t BgL_g1567z00_9113;

				BgL_g1567z00_9113 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7738)))->BgL_clausesz00);
				{
					obj_t BgL_l1565z00_9115;

					{	/* Ast/walk.scm 312 */
						bool_t BgL_tmpz00_12122;

						BgL_l1565z00_9115 = BgL_g1567z00_9113;
					BgL_zc3z04anonymousza33240ze3z87_9114:
						if (PAIRP(BgL_l1565z00_9115))
							{	/* Ast/walk.scm 312 */
								{	/* Ast/walk.scm 312 */
									obj_t BgL_fz00_9116;

									BgL_fz00_9116 = CAR(BgL_l1565z00_9115);
									{	/* Ast/walk.scm 312 */
										obj_t BgL_arg3245z00_9117;

										BgL_arg3245z00_9117 = CDR(((obj_t) BgL_fz00_9116));
										PROCEDURE_ENTRY(BgL_pz00_7739) (BgL_pz00_7739,
											BgL_arg3245z00_9117, BgL_arg0z00_7740, BgL_arg1z00_7741,
											BgL_arg2z00_7742, BEOA);
									}
								}
								{
									obj_t BgL_l1565z00_12135;

									BgL_l1565z00_12135 = CDR(BgL_l1565z00_9115);
									BgL_l1565z00_9115 = BgL_l1565z00_12135;
									goto BgL_zc3z04anonymousza33240ze3z87_9114;
								}
							}
						else
							{	/* Ast/walk.scm 312 */
								BgL_tmpz00_12122 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_12122);
					}
				}
			}
		}

	}



/* &walk2-switch2104 */
	obj_t BGl_z62walk2zd2switch2104zb0zzast_walkz00(obj_t BgL_envz00_7743,
		obj_t BgL_nz00_7744, obj_t BgL_pz00_7745, obj_t BgL_arg0z00_7746,
		obj_t BgL_arg1z00_7747)
	{
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				BgL_nodez00_bglt BgL_arg3233z00_9119;

				BgL_arg3233z00_9119 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7744)))->BgL_testz00);
				PROCEDURE_ENTRY(BgL_pz00_7745) (BgL_pz00_7745,
					((obj_t) BgL_arg3233z00_9119), BgL_arg0z00_7746, BgL_arg1z00_7747,
					BEOA);
			}
			{	/* Ast/walk.scm 312 */
				obj_t BgL_g1564z00_9120;

				BgL_g1564z00_9120 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7744)))->BgL_clausesz00);
				{
					obj_t BgL_l1562z00_9122;

					{	/* Ast/walk.scm 312 */
						bool_t BgL_tmpz00_12149;

						BgL_l1562z00_9122 = BgL_g1564z00_9120;
					BgL_zc3z04anonymousza33234ze3z87_9121:
						if (PAIRP(BgL_l1562z00_9122))
							{	/* Ast/walk.scm 312 */
								{	/* Ast/walk.scm 312 */
									obj_t BgL_fz00_9123;

									BgL_fz00_9123 = CAR(BgL_l1562z00_9122);
									{	/* Ast/walk.scm 312 */
										obj_t BgL_arg3236z00_9124;

										BgL_arg3236z00_9124 = CDR(((obj_t) BgL_fz00_9123));
										PROCEDURE_ENTRY(BgL_pz00_7745) (BgL_pz00_7745,
											BgL_arg3236z00_9124, BgL_arg0z00_7746, BgL_arg1z00_7747,
											BEOA);
									}
								}
								{
									obj_t BgL_l1562z00_12161;

									BgL_l1562z00_12161 = CDR(BgL_l1562z00_9122);
									BgL_l1562z00_9122 = BgL_l1562z00_12161;
									goto BgL_zc3z04anonymousza33234ze3z87_9121;
								}
							}
						else
							{	/* Ast/walk.scm 312 */
								BgL_tmpz00_12149 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_12149);
					}
				}
			}
		}

	}



/* &walk1-switch2102 */
	obj_t BGl_z62walk1zd2switch2102zb0zzast_walkz00(obj_t BgL_envz00_7748,
		obj_t BgL_nz00_7749, obj_t BgL_pz00_7750, obj_t BgL_arg0z00_7751)
	{
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				BgL_nodez00_bglt BgL_arg3227z00_9126;

				BgL_arg3227z00_9126 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7749)))->BgL_testz00);
				PROCEDURE_ENTRY(BgL_pz00_7750) (BgL_pz00_7750,
					((obj_t) BgL_arg3227z00_9126), BgL_arg0z00_7751, BEOA);
			}
			{	/* Ast/walk.scm 312 */
				obj_t BgL_g1561z00_9127;

				BgL_g1561z00_9127 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7749)))->BgL_clausesz00);
				{
					obj_t BgL_l1559z00_9129;

					{	/* Ast/walk.scm 312 */
						bool_t BgL_tmpz00_12174;

						BgL_l1559z00_9129 = BgL_g1561z00_9127;
					BgL_zc3z04anonymousza33228ze3z87_9128:
						if (PAIRP(BgL_l1559z00_9129))
							{	/* Ast/walk.scm 312 */
								{	/* Ast/walk.scm 312 */
									obj_t BgL_fz00_9130;

									BgL_fz00_9130 = CAR(BgL_l1559z00_9129);
									{	/* Ast/walk.scm 312 */
										obj_t BgL_arg3230z00_9131;

										BgL_arg3230z00_9131 = CDR(((obj_t) BgL_fz00_9130));
										PROCEDURE_ENTRY(BgL_pz00_7750) (BgL_pz00_7750,
											BgL_arg3230z00_9131, BgL_arg0z00_7751, BEOA);
									}
								}
								{
									obj_t BgL_l1559z00_12185;

									BgL_l1559z00_12185 = CDR(BgL_l1559z00_9129);
									BgL_l1559z00_9129 = BgL_l1559z00_12185;
									goto BgL_zc3z04anonymousza33228ze3z87_9128;
								}
							}
						else
							{	/* Ast/walk.scm 312 */
								BgL_tmpz00_12174 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_12174);
					}
				}
			}
		}

	}



/* &walk0-switch2100 */
	obj_t BGl_z62walk0zd2switch2100zb0zzast_walkz00(obj_t BgL_envz00_7752,
		obj_t BgL_nz00_7753, obj_t BgL_pz00_7754)
	{
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				BgL_nodez00_bglt BgL_arg3213z00_9133;

				BgL_arg3213z00_9133 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7753)))->BgL_testz00);
				PROCEDURE_ENTRY(BgL_pz00_7754) (BgL_pz00_7754,
					((obj_t) BgL_arg3213z00_9133), BEOA);
			}
			{	/* Ast/walk.scm 312 */
				obj_t BgL_g1558z00_9134;

				BgL_g1558z00_9134 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7753)))->BgL_clausesz00);
				{
					obj_t BgL_l1556z00_9136;

					{	/* Ast/walk.scm 312 */
						bool_t BgL_tmpz00_12197;

						BgL_l1556z00_9136 = BgL_g1558z00_9134;
					BgL_zc3z04anonymousza33214ze3z87_9135:
						if (PAIRP(BgL_l1556z00_9136))
							{	/* Ast/walk.scm 312 */
								{	/* Ast/walk.scm 312 */
									obj_t BgL_fz00_9137;

									BgL_fz00_9137 = CAR(BgL_l1556z00_9136);
									{	/* Ast/walk.scm 312 */
										obj_t BgL_arg3219z00_9138;

										BgL_arg3219z00_9138 = CDR(((obj_t) BgL_fz00_9137));
										PROCEDURE_ENTRY(BgL_pz00_7754) (BgL_pz00_7754,
											BgL_arg3219z00_9138, BEOA);
									}
								}
								{
									obj_t BgL_l1556z00_12207;

									BgL_l1556z00_12207 = CDR(BgL_l1556z00_9136);
									BgL_l1556z00_9136 = BgL_l1556z00_12207;
									goto BgL_zc3z04anonymousza33214ze3z87_9135;
								}
							}
						else
							{	/* Ast/walk.scm 312 */
								BgL_tmpz00_12197 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_12197);
					}
				}
			}
		}

	}



/* &walk3!-sync2098 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2sync2098za2zzast_walkz00(obj_t
		BgL_envz00_7755, obj_t BgL_nz00_7756, obj_t BgL_pz00_7757,
		obj_t BgL_arg0z00_7758, obj_t BgL_arg1z00_7759, obj_t BgL_arg2z00_7760)
	{
		{	/* Ast/walk.scm 311 */
			{
				BgL_nodez00_bglt BgL_auxz00_12210;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3210z00_9140;

					BgL_arg3210z00_9140 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7756)))->BgL_mutexz00);
					BgL_auxz00_12210 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7757) (BgL_pz00_7757,
							((obj_t) BgL_arg3210z00_9140), BgL_arg0z00_7758, BgL_arg1z00_7759,
							BgL_arg2z00_7760, BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7756)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12210), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12224;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3211z00_9141;

					BgL_arg3211z00_9141 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7756)))->BgL_prelockz00);
					BgL_auxz00_12224 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7757) (BgL_pz00_7757,
							((obj_t) BgL_arg3211z00_9141), BgL_arg0z00_7758, BgL_arg1z00_7759,
							BgL_arg2z00_7760, BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7756)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12224), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12238;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3212z00_9142;

					BgL_arg3212z00_9142 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7756)))->BgL_bodyz00);
					BgL_auxz00_12238 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7757) (BgL_pz00_7757,
							((obj_t) BgL_arg3212z00_9142), BgL_arg0z00_7758, BgL_arg1z00_7759,
							BgL_arg2z00_7760, BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7756)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12238), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nz00_7756));
		}

	}



/* &walk2!-sync2096 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2sync2096za2zzast_walkz00(obj_t
		BgL_envz00_7761, obj_t BgL_nz00_7762, obj_t BgL_pz00_7763,
		obj_t BgL_arg0z00_7764, obj_t BgL_arg1z00_7765)
	{
		{	/* Ast/walk.scm 311 */
			{
				BgL_nodez00_bglt BgL_auxz00_12254;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3206z00_9144;

					BgL_arg3206z00_9144 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7762)))->BgL_mutexz00);
					BgL_auxz00_12254 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7763) (BgL_pz00_7763,
							((obj_t) BgL_arg3206z00_9144), BgL_arg0z00_7764, BgL_arg1z00_7765,
							BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7762)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12254), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12267;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3207z00_9145;

					BgL_arg3207z00_9145 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7762)))->BgL_prelockz00);
					BgL_auxz00_12267 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7763) (BgL_pz00_7763,
							((obj_t) BgL_arg3207z00_9145), BgL_arg0z00_7764, BgL_arg1z00_7765,
							BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7762)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12267), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12280;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3208z00_9146;

					BgL_arg3208z00_9146 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7762)))->BgL_bodyz00);
					BgL_auxz00_12280 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7763) (BgL_pz00_7763,
							((obj_t) BgL_arg3208z00_9146), BgL_arg0z00_7764, BgL_arg1z00_7765,
							BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7762)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12280), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nz00_7762));
		}

	}



/* &walk1!-sync2094 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2sync2094za2zzast_walkz00(obj_t
		BgL_envz00_7766, obj_t BgL_nz00_7767, obj_t BgL_pz00_7768,
		obj_t BgL_arg0z00_7769)
	{
		{	/* Ast/walk.scm 311 */
			{
				BgL_nodez00_bglt BgL_auxz00_12295;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3202z00_9148;

					BgL_arg3202z00_9148 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7767)))->BgL_mutexz00);
					BgL_auxz00_12295 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7768) (BgL_pz00_7768,
							((obj_t) BgL_arg3202z00_9148), BgL_arg0z00_7769, BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7767)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12295), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12307;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3203z00_9149;

					BgL_arg3203z00_9149 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7767)))->BgL_prelockz00);
					BgL_auxz00_12307 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7768) (BgL_pz00_7768,
							((obj_t) BgL_arg3203z00_9149), BgL_arg0z00_7769, BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7767)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12307), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12319;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3205z00_9150;

					BgL_arg3205z00_9150 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7767)))->BgL_bodyz00);
					BgL_auxz00_12319 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7768) (BgL_pz00_7768,
							((obj_t) BgL_arg3205z00_9150), BgL_arg0z00_7769, BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7767)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12319), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nz00_7767));
		}

	}



/* &walk0!-sync2092 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2sync2092za2zzast_walkz00(obj_t
		BgL_envz00_7770, obj_t BgL_nz00_7771, obj_t BgL_pz00_7772)
	{
		{	/* Ast/walk.scm 311 */
			{
				BgL_nodez00_bglt BgL_auxz00_12333;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3198z00_9152;

					BgL_arg3198z00_9152 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7771)))->BgL_mutexz00);
					BgL_auxz00_12333 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7772) (BgL_pz00_7772,
							((obj_t) BgL_arg3198z00_9152), BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7771)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12333), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12344;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3199z00_9153;

					BgL_arg3199z00_9153 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7771)))->BgL_prelockz00);
					BgL_auxz00_12344 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7772) (BgL_pz00_7772,
							((obj_t) BgL_arg3199z00_9153), BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7771)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12344), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12355;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3200z00_9154;

					BgL_arg3200z00_9154 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7771)))->BgL_bodyz00);
					BgL_auxz00_12355 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7772) (BgL_pz00_7772,
							((obj_t) BgL_arg3200z00_9154), BEOA));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7771)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12355), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nz00_7771));
		}

	}



/* &walk3*-sync2090 */
	obj_t BGl_z62walk3za2zd2sync2090z12zzast_walkz00(obj_t BgL_envz00_7773,
		obj_t BgL_nz00_7774, obj_t BgL_pz00_7775, obj_t BgL_arg0z00_7776,
		obj_t BgL_arg1z00_7777, obj_t BgL_arg2z00_7778)
	{
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				obj_t BgL_res4230z00_9165;

				{	/* Ast/walk.scm 311 */
					obj_t BgL_arg3180z00_9156;
					obj_t BgL_arg3182z00_9157;
					obj_t BgL_arg3183z00_9158;

					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3188z00_9159;

						BgL_arg3188z00_9159 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7774)))->BgL_mutexz00);
						BgL_arg3180z00_9156 =
							PROCEDURE_ENTRY(BgL_pz00_7775) (BgL_pz00_7775,
							((obj_t) BgL_arg3188z00_9159), BgL_arg0z00_7776, BgL_arg1z00_7777,
							BgL_arg2z00_7778, BEOA);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3191z00_9160;

						BgL_arg3191z00_9160 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7774)))->BgL_prelockz00);
						BgL_arg3182z00_9157 =
							PROCEDURE_ENTRY(BgL_pz00_7775) (BgL_pz00_7775,
							((obj_t) BgL_arg3191z00_9160), BgL_arg0z00_7776, BgL_arg1z00_7777,
							BgL_arg2z00_7778, BEOA);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3194z00_9161;

						BgL_arg3194z00_9161 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7774)))->BgL_bodyz00);
						BgL_arg3183z00_9158 =
							PROCEDURE_ENTRY(BgL_pz00_7775) (BgL_pz00_7775,
							((obj_t) BgL_arg3194z00_9161), BgL_arg0z00_7776, BgL_arg1z00_7777,
							BgL_arg2z00_7778, BEOA);
					}
					{	/* Ast/walk.scm 311 */
						obj_t BgL_list3184z00_9162;

						{	/* Ast/walk.scm 311 */
							obj_t BgL_arg3185z00_9163;

							{	/* Ast/walk.scm 311 */
								obj_t BgL_arg3186z00_9164;

								BgL_arg3186z00_9164 =
									MAKE_YOUNG_PAIR(BgL_arg3183z00_9158, BNIL);
								BgL_arg3185z00_9163 =
									MAKE_YOUNG_PAIR(BgL_arg3182z00_9157, BgL_arg3186z00_9164);
							}
							BgL_list3184z00_9162 =
								MAKE_YOUNG_PAIR(BgL_arg3180z00_9156, BgL_arg3185z00_9163);
						}
						BgL_res4230z00_9165 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3184z00_9162);
					}
				}
				return BgL_res4230z00_9165;
			}
		}

	}



/* &walk2*-sync2088 */
	obj_t BGl_z62walk2za2zd2sync2088z12zzast_walkz00(obj_t BgL_envz00_7779,
		obj_t BgL_nz00_7780, obj_t BgL_pz00_7781, obj_t BgL_arg0z00_7782,
		obj_t BgL_arg1z00_7783)
	{
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				obj_t BgL_res4231z00_9176;

				{	/* Ast/walk.scm 311 */
					obj_t BgL_arg3168z00_9167;
					obj_t BgL_arg3169z00_9168;
					obj_t BgL_arg3171z00_9169;

					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3177z00_9170;

						BgL_arg3177z00_9170 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7780)))->BgL_mutexz00);
						BgL_arg3168z00_9167 =
							PROCEDURE_ENTRY(BgL_pz00_7781) (BgL_pz00_7781,
							((obj_t) BgL_arg3177z00_9170), BgL_arg0z00_7782, BgL_arg1z00_7783,
							BEOA);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3178z00_9171;

						BgL_arg3178z00_9171 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7780)))->BgL_prelockz00);
						BgL_arg3169z00_9168 =
							PROCEDURE_ENTRY(BgL_pz00_7781) (BgL_pz00_7781,
							((obj_t) BgL_arg3178z00_9171), BgL_arg0z00_7782, BgL_arg1z00_7783,
							BEOA);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3179z00_9172;

						BgL_arg3179z00_9172 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7780)))->BgL_bodyz00);
						BgL_arg3171z00_9169 =
							PROCEDURE_ENTRY(BgL_pz00_7781) (BgL_pz00_7781,
							((obj_t) BgL_arg3179z00_9172), BgL_arg0z00_7782, BgL_arg1z00_7783,
							BEOA);
					}
					{	/* Ast/walk.scm 311 */
						obj_t BgL_list3172z00_9173;

						{	/* Ast/walk.scm 311 */
							obj_t BgL_arg3174z00_9174;

							{	/* Ast/walk.scm 311 */
								obj_t BgL_arg3175z00_9175;

								BgL_arg3175z00_9175 =
									MAKE_YOUNG_PAIR(BgL_arg3171z00_9169, BNIL);
								BgL_arg3174z00_9174 =
									MAKE_YOUNG_PAIR(BgL_arg3169z00_9168, BgL_arg3175z00_9175);
							}
							BgL_list3172z00_9173 =
								MAKE_YOUNG_PAIR(BgL_arg3168z00_9167, BgL_arg3174z00_9174);
						}
						BgL_res4231z00_9176 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3172z00_9173);
					}
				}
				return BgL_res4231z00_9176;
			}
		}

	}



/* &walk1*-sync2086 */
	obj_t BGl_z62walk1za2zd2sync2086z12zzast_walkz00(obj_t BgL_envz00_7784,
		obj_t BgL_nz00_7785, obj_t BgL_pz00_7786, obj_t BgL_arg0z00_7787)
	{
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				obj_t BgL_res4232z00_9187;

				{	/* Ast/walk.scm 311 */
					obj_t BgL_arg3150z00_9178;
					obj_t BgL_arg3151z00_9179;
					obj_t BgL_arg3152z00_9180;

					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3156z00_9181;

						BgL_arg3156z00_9181 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7785)))->BgL_mutexz00);
						BgL_arg3150z00_9178 =
							PROCEDURE_ENTRY(BgL_pz00_7786) (BgL_pz00_7786,
							((obj_t) BgL_arg3156z00_9181), BgL_arg0z00_7787, BEOA);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3160z00_9182;

						BgL_arg3160z00_9182 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7785)))->BgL_prelockz00);
						BgL_arg3151z00_9179 =
							PROCEDURE_ENTRY(BgL_pz00_7786) (BgL_pz00_7786,
							((obj_t) BgL_arg3160z00_9182), BgL_arg0z00_7787, BEOA);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3165z00_9183;

						BgL_arg3165z00_9183 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7785)))->BgL_bodyz00);
						BgL_arg3152z00_9180 =
							PROCEDURE_ENTRY(BgL_pz00_7786) (BgL_pz00_7786,
							((obj_t) BgL_arg3165z00_9183), BgL_arg0z00_7787, BEOA);
					}
					{	/* Ast/walk.scm 311 */
						obj_t BgL_list3153z00_9184;

						{	/* Ast/walk.scm 311 */
							obj_t BgL_arg3154z00_9185;

							{	/* Ast/walk.scm 311 */
								obj_t BgL_arg3155z00_9186;

								BgL_arg3155z00_9186 =
									MAKE_YOUNG_PAIR(BgL_arg3152z00_9180, BNIL);
								BgL_arg3154z00_9185 =
									MAKE_YOUNG_PAIR(BgL_arg3151z00_9179, BgL_arg3155z00_9186);
							}
							BgL_list3153z00_9184 =
								MAKE_YOUNG_PAIR(BgL_arg3150z00_9178, BgL_arg3154z00_9185);
						}
						BgL_res4232z00_9187 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3153z00_9184);
					}
				}
				return BgL_res4232z00_9187;
			}
		}

	}



/* &walk0*-sync2084 */
	obj_t BGl_z62walk0za2zd2sync2084z12zzast_walkz00(obj_t BgL_envz00_7788,
		obj_t BgL_nz00_7789, obj_t BgL_pz00_7790)
	{
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				obj_t BgL_res4233z00_9198;

				{	/* Ast/walk.scm 311 */
					obj_t BgL_arg3138z00_9189;
					obj_t BgL_arg3139z00_9190;
					obj_t BgL_arg3141z00_9191;

					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3147z00_9192;

						BgL_arg3147z00_9192 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7789)))->BgL_mutexz00);
						BgL_arg3138z00_9189 =
							PROCEDURE_ENTRY(BgL_pz00_7790) (BgL_pz00_7790,
							((obj_t) BgL_arg3147z00_9192), BEOA);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3148z00_9193;

						BgL_arg3148z00_9193 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7789)))->BgL_prelockz00);
						BgL_arg3139z00_9190 =
							PROCEDURE_ENTRY(BgL_pz00_7790) (BgL_pz00_7790,
							((obj_t) BgL_arg3148z00_9193), BEOA);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3149z00_9194;

						BgL_arg3149z00_9194 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7789)))->BgL_bodyz00);
						BgL_arg3141z00_9191 =
							PROCEDURE_ENTRY(BgL_pz00_7790) (BgL_pz00_7790,
							((obj_t) BgL_arg3149z00_9194), BEOA);
					}
					{	/* Ast/walk.scm 311 */
						obj_t BgL_list3142z00_9195;

						{	/* Ast/walk.scm 311 */
							obj_t BgL_arg3144z00_9196;

							{	/* Ast/walk.scm 311 */
								obj_t BgL_arg3145z00_9197;

								BgL_arg3145z00_9197 =
									MAKE_YOUNG_PAIR(BgL_arg3141z00_9191, BNIL);
								BgL_arg3144z00_9196 =
									MAKE_YOUNG_PAIR(BgL_arg3139z00_9190, BgL_arg3145z00_9197);
							}
							BgL_list3142z00_9195 =
								MAKE_YOUNG_PAIR(BgL_arg3138z00_9189, BgL_arg3144z00_9196);
						}
						BgL_res4233z00_9198 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3142z00_9195);
					}
				}
				return BgL_res4233z00_9198;
			}
		}

	}



/* &walk3-sync2082 */
	obj_t BGl_z62walk3zd2sync2082zb0zzast_walkz00(obj_t BgL_envz00_7791,
		obj_t BgL_nz00_7792, obj_t BgL_pz00_7793, obj_t BgL_arg0z00_7794,
		obj_t BgL_arg1z00_7795, obj_t BgL_arg2z00_7796)
	{
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3131z00_9200;

				BgL_arg3131z00_9200 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7792)))->BgL_mutexz00);
				PROCEDURE_ENTRY(BgL_pz00_7793) (BgL_pz00_7793,
					((obj_t) BgL_arg3131z00_9200), BgL_arg0z00_7794, BgL_arg1z00_7795,
					BgL_arg2z00_7796, BEOA);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3134z00_9201;

				BgL_arg3134z00_9201 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7792)))->BgL_prelockz00);
				PROCEDURE_ENTRY(BgL_pz00_7793) (BgL_pz00_7793,
					((obj_t) BgL_arg3134z00_9201), BgL_arg0z00_7794, BgL_arg1z00_7795,
					BgL_arg2z00_7796, BEOA);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3137z00_9202;

				BgL_arg3137z00_9202 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7792)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7793) (BgL_pz00_7793,
					((obj_t) BgL_arg3137z00_9202), BgL_arg0z00_7794, BgL_arg1z00_7795,
					BgL_arg2z00_7796, BEOA);
			}
		}

	}



/* &walk2-sync2080 */
	obj_t BGl_z62walk2zd2sync2080zb0zzast_walkz00(obj_t BgL_envz00_7797,
		obj_t BgL_nz00_7798, obj_t BgL_pz00_7799, obj_t BgL_arg0z00_7800,
		obj_t BgL_arg1z00_7801)
	{
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3125z00_9204;

				BgL_arg3125z00_9204 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7798)))->BgL_mutexz00);
				PROCEDURE_ENTRY(BgL_pz00_7799) (BgL_pz00_7799,
					((obj_t) BgL_arg3125z00_9204), BgL_arg0z00_7800, BgL_arg1z00_7801,
					BEOA);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3126z00_9205;

				BgL_arg3126z00_9205 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7798)))->BgL_prelockz00);
				PROCEDURE_ENTRY(BgL_pz00_7799) (BgL_pz00_7799,
					((obj_t) BgL_arg3126z00_9205), BgL_arg0z00_7800, BgL_arg1z00_7801,
					BEOA);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3127z00_9206;

				BgL_arg3127z00_9206 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7798)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7799) (BgL_pz00_7799,
					((obj_t) BgL_arg3127z00_9206), BgL_arg0z00_7800, BgL_arg1z00_7801,
					BEOA);
			}
		}

	}



/* &walk1-sync2078 */
	obj_t BGl_z62walk1zd2sync2078zb0zzast_walkz00(obj_t BgL_envz00_7802,
		obj_t BgL_nz00_7803, obj_t BgL_pz00_7804, obj_t BgL_arg0z00_7805)
	{
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3122z00_9208;

				BgL_arg3122z00_9208 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7803)))->BgL_mutexz00);
				PROCEDURE_ENTRY(BgL_pz00_7804) (BgL_pz00_7804,
					((obj_t) BgL_arg3122z00_9208), BgL_arg0z00_7805, BEOA);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3123z00_9209;

				BgL_arg3123z00_9209 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7803)))->BgL_prelockz00);
				PROCEDURE_ENTRY(BgL_pz00_7804) (BgL_pz00_7804,
					((obj_t) BgL_arg3123z00_9209), BgL_arg0z00_7805, BEOA);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3124z00_9210;

				BgL_arg3124z00_9210 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7803)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7804) (BgL_pz00_7804,
					((obj_t) BgL_arg3124z00_9210), BgL_arg0z00_7805, BEOA);
			}
		}

	}



/* &walk0-sync2076 */
	obj_t BGl_z62walk0zd2sync2076zb0zzast_walkz00(obj_t BgL_envz00_7806,
		obj_t BgL_nz00_7807, obj_t BgL_pz00_7808)
	{
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3118z00_9212;

				BgL_arg3118z00_9212 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7807)))->BgL_mutexz00);
				PROCEDURE_ENTRY(BgL_pz00_7808) (BgL_pz00_7808,
					((obj_t) BgL_arg3118z00_9212), BEOA);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3119z00_9213;

				BgL_arg3119z00_9213 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7807)))->BgL_prelockz00);
				PROCEDURE_ENTRY(BgL_pz00_7808) (BgL_pz00_7808,
					((obj_t) BgL_arg3119z00_9213), BEOA);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3120z00_9214;

				BgL_arg3120z00_9214 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7807)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7808) (BgL_pz00_7808,
					((obj_t) BgL_arg3120z00_9214), BEOA);
			}
		}

	}



/* &walk3!-box-set!2074 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2boxzd2setz122074z62zzast_walkz00(obj_t
		BgL_envz00_7809, obj_t BgL_nz00_7810, obj_t BgL_pz00_7811,
		obj_t BgL_arg0z00_7812, obj_t BgL_arg1z00_7813, obj_t BgL_arg2z00_7814)
	{
		{	/* Ast/walk.scm 310 */
			{
				BgL_varz00_bglt BgL_auxz00_12588;

				{	/* Ast/walk.scm 310 */
					BgL_varz00_bglt BgL_arg3115z00_9216;

					BgL_arg3115z00_9216 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7810)))->BgL_varz00);
					BgL_auxz00_12588 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7811) (BgL_pz00_7811,
							((obj_t) BgL_arg3115z00_9216), BgL_arg0z00_7812, BgL_arg1z00_7813,
							BgL_arg2z00_7814, BEOA));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7810)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12588), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12602;

				{	/* Ast/walk.scm 310 */
					BgL_nodez00_bglt BgL_arg3117z00_9217;

					BgL_arg3117z00_9217 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7810)))->BgL_valuez00);
					BgL_auxz00_12602 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7811) (BgL_pz00_7811,
							((obj_t) BgL_arg3117z00_9217), BgL_arg0z00_7812, BgL_arg1z00_7813,
							BgL_arg2z00_7814, BEOA));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7810)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12602), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7810));
		}

	}



/* &walk2!-box-set!2072 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2boxzd2setz122072z62zzast_walkz00(obj_t
		BgL_envz00_7815, obj_t BgL_nz00_7816, obj_t BgL_pz00_7817,
		obj_t BgL_arg0z00_7818, obj_t BgL_arg1z00_7819)
	{
		{	/* Ast/walk.scm 310 */
			{
				BgL_varz00_bglt BgL_auxz00_12618;

				{	/* Ast/walk.scm 310 */
					BgL_varz00_bglt BgL_arg3112z00_9219;

					BgL_arg3112z00_9219 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7816)))->BgL_varz00);
					BgL_auxz00_12618 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7817) (BgL_pz00_7817,
							((obj_t) BgL_arg3112z00_9219), BgL_arg0z00_7818, BgL_arg1z00_7819,
							BEOA));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7816)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12618), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12631;

				{	/* Ast/walk.scm 310 */
					BgL_nodez00_bglt BgL_arg3114z00_9220;

					BgL_arg3114z00_9220 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7816)))->BgL_valuez00);
					BgL_auxz00_12631 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7817) (BgL_pz00_7817,
							((obj_t) BgL_arg3114z00_9220), BgL_arg0z00_7818, BgL_arg1z00_7819,
							BEOA));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7816)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12631), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7816));
		}

	}



/* &walk1!-box-set!2070 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2boxzd2setz122070z62zzast_walkz00(obj_t
		BgL_envz00_7820, obj_t BgL_nz00_7821, obj_t BgL_pz00_7822,
		obj_t BgL_arg0z00_7823)
	{
		{	/* Ast/walk.scm 310 */
			{
				BgL_varz00_bglt BgL_auxz00_12646;

				{	/* Ast/walk.scm 310 */
					BgL_varz00_bglt BgL_arg3109z00_9222;

					BgL_arg3109z00_9222 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7821)))->BgL_varz00);
					BgL_auxz00_12646 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7822) (BgL_pz00_7822,
							((obj_t) BgL_arg3109z00_9222), BgL_arg0z00_7823, BEOA));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7821)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12646), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12658;

				{	/* Ast/walk.scm 310 */
					BgL_nodez00_bglt BgL_arg3111z00_9223;

					BgL_arg3111z00_9223 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7821)))->BgL_valuez00);
					BgL_auxz00_12658 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7822) (BgL_pz00_7822,
							((obj_t) BgL_arg3111z00_9223), BgL_arg0z00_7823, BEOA));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7821)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12658), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7821));
		}

	}



/* &walk0!-box-set!2068 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2boxzd2setz122068z62zzast_walkz00(obj_t
		BgL_envz00_7824, obj_t BgL_nz00_7825, obj_t BgL_pz00_7826)
	{
		{	/* Ast/walk.scm 310 */
			{
				BgL_varz00_bglt BgL_auxz00_12672;

				{	/* Ast/walk.scm 310 */
					BgL_varz00_bglt BgL_arg3107z00_9225;

					BgL_arg3107z00_9225 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7825)))->BgL_varz00);
					BgL_auxz00_12672 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7826) (BgL_pz00_7826,
							((obj_t) BgL_arg3107z00_9225), BEOA));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7825)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12672), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12683;

				{	/* Ast/walk.scm 310 */
					BgL_nodez00_bglt BgL_arg3108z00_9226;

					BgL_arg3108z00_9226 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7825)))->BgL_valuez00);
					BgL_auxz00_12683 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7826) (BgL_pz00_7826,
							((obj_t) BgL_arg3108z00_9226), BEOA));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7825)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12683), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7825));
		}

	}



/* &walk3*-box-set!2066 */
	obj_t BGl_z62walk3za2zd2boxzd2setz122066zd2zzast_walkz00(obj_t
		BgL_envz00_7827, obj_t BgL_nz00_7828, obj_t BgL_pz00_7829,
		obj_t BgL_arg0z00_7830, obj_t BgL_arg1z00_7831, obj_t BgL_arg2z00_7832)
	{
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				obj_t BgL_res4234z00_9232;

				{	/* Ast/walk.scm 310 */
					obj_t BgL_arg3099z00_9228;
					obj_t BgL_arg3103z00_9229;

					{	/* Ast/walk.scm 310 */
						BgL_varz00_bglt BgL_arg3104z00_9230;

						BgL_arg3104z00_9230 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7828)))->BgL_varz00);
						BgL_arg3099z00_9228 =
							PROCEDURE_ENTRY(BgL_pz00_7829) (BgL_pz00_7829,
							((obj_t) BgL_arg3104z00_9230), BgL_arg0z00_7830, BgL_arg1z00_7831,
							BgL_arg2z00_7832, BEOA);
					}
					{	/* Ast/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg3105z00_9231;

						BgL_arg3105z00_9231 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7828)))->BgL_valuez00);
						BgL_arg3103z00_9229 =
							PROCEDURE_ENTRY(BgL_pz00_7829) (BgL_pz00_7829,
							((obj_t) BgL_arg3105z00_9231), BgL_arg0z00_7830, BgL_arg1z00_7831,
							BgL_arg2z00_7832, BEOA);
					}
					BgL_res4234z00_9232 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3099z00_9228,
						BgL_arg3103z00_9229);
				}
				return BgL_res4234z00_9232;
			}
		}

	}



/* &walk2*-box-set!2064 */
	obj_t BGl_z62walk2za2zd2boxzd2setz122064zd2zzast_walkz00(obj_t
		BgL_envz00_7833, obj_t BgL_nz00_7834, obj_t BgL_pz00_7835,
		obj_t BgL_arg0z00_7836, obj_t BgL_arg1z00_7837)
	{
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				obj_t BgL_res4235z00_9238;

				{	/* Ast/walk.scm 310 */
					obj_t BgL_arg3089z00_9234;
					obj_t BgL_arg3092z00_9235;

					{	/* Ast/walk.scm 310 */
						BgL_varz00_bglt BgL_arg3093z00_9236;

						BgL_arg3093z00_9236 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7834)))->BgL_varz00);
						BgL_arg3089z00_9234 =
							PROCEDURE_ENTRY(BgL_pz00_7835) (BgL_pz00_7835,
							((obj_t) BgL_arg3093z00_9236), BgL_arg0z00_7836, BgL_arg1z00_7837,
							BEOA);
					}
					{	/* Ast/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg3094z00_9237;

						BgL_arg3094z00_9237 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7834)))->BgL_valuez00);
						BgL_arg3092z00_9235 =
							PROCEDURE_ENTRY(BgL_pz00_7835) (BgL_pz00_7835,
							((obj_t) BgL_arg3094z00_9237), BgL_arg0z00_7836, BgL_arg1z00_7837,
							BEOA);
					}
					BgL_res4235z00_9238 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3089z00_9234,
						BgL_arg3092z00_9235);
				}
				return BgL_res4235z00_9238;
			}
		}

	}



/* &walk1*-box-set!2062 */
	obj_t BGl_z62walk1za2zd2boxzd2setz122062zd2zzast_walkz00(obj_t
		BgL_envz00_7838, obj_t BgL_nz00_7839, obj_t BgL_pz00_7840,
		obj_t BgL_arg0z00_7841)
	{
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				obj_t BgL_res4236z00_9244;

				{	/* Ast/walk.scm 310 */
					obj_t BgL_arg3081z00_9240;
					obj_t BgL_arg3084z00_9241;

					{	/* Ast/walk.scm 310 */
						BgL_varz00_bglt BgL_arg3085z00_9242;

						BgL_arg3085z00_9242 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7839)))->BgL_varz00);
						BgL_arg3081z00_9240 =
							PROCEDURE_ENTRY(BgL_pz00_7840) (BgL_pz00_7840,
							((obj_t) BgL_arg3085z00_9242), BgL_arg0z00_7841, BEOA);
					}
					{	/* Ast/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg3088z00_9243;

						BgL_arg3088z00_9243 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7839)))->BgL_valuez00);
						BgL_arg3084z00_9241 =
							PROCEDURE_ENTRY(BgL_pz00_7840) (BgL_pz00_7840,
							((obj_t) BgL_arg3088z00_9243), BgL_arg0z00_7841, BEOA);
					}
					BgL_res4236z00_9244 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3081z00_9240,
						BgL_arg3084z00_9241);
				}
				return BgL_res4236z00_9244;
			}
		}

	}



/* &walk0*-box-set!2060 */
	obj_t BGl_z62walk0za2zd2boxzd2setz122060zd2zzast_walkz00(obj_t
		BgL_envz00_7842, obj_t BgL_nz00_7843, obj_t BgL_pz00_7844)
	{
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				obj_t BgL_res4237z00_9250;

				{	/* Ast/walk.scm 310 */
					obj_t BgL_arg3076z00_9246;
					obj_t BgL_arg3077z00_9247;

					{	/* Ast/walk.scm 310 */
						BgL_varz00_bglt BgL_arg3079z00_9248;

						BgL_arg3079z00_9248 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7843)))->BgL_varz00);
						BgL_arg3076z00_9246 =
							PROCEDURE_ENTRY(BgL_pz00_7844) (BgL_pz00_7844,
							((obj_t) BgL_arg3079z00_9248), BEOA);
					}
					{	/* Ast/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg3080z00_9249;

						BgL_arg3080z00_9249 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7843)))->BgL_valuez00);
						BgL_arg3077z00_9247 =
							PROCEDURE_ENTRY(BgL_pz00_7844) (BgL_pz00_7844,
							((obj_t) BgL_arg3080z00_9249), BEOA);
					}
					BgL_res4237z00_9250 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3076z00_9246,
						BgL_arg3077z00_9247);
				}
				return BgL_res4237z00_9250;
			}
		}

	}



/* &walk3-box-set!2058 */
	obj_t BGl_z62walk3zd2boxzd2setz122058z70zzast_walkz00(obj_t BgL_envz00_7845,
		obj_t BgL_nz00_7846, obj_t BgL_pz00_7847, obj_t BgL_arg0z00_7848,
		obj_t BgL_arg1z00_7849, obj_t BgL_arg2z00_7850)
	{
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				BgL_varz00_bglt BgL_arg3074z00_9252;

				BgL_arg3074z00_9252 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7846)))->BgL_varz00);
				PROCEDURE_ENTRY(BgL_pz00_7847) (BgL_pz00_7847,
					((obj_t) BgL_arg3074z00_9252), BgL_arg0z00_7848, BgL_arg1z00_7849,
					BgL_arg2z00_7850, BEOA);
			}
			{	/* Ast/walk.scm 310 */
				BgL_nodez00_bglt BgL_arg3075z00_9253;

				BgL_arg3075z00_9253 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7846)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7847) (BgL_pz00_7847,
					((obj_t) BgL_arg3075z00_9253), BgL_arg0z00_7848, BgL_arg1z00_7849,
					BgL_arg2z00_7850, BEOA);
			}
		}

	}



/* &walk2-box-set!2056 */
	obj_t BGl_z62walk2zd2boxzd2setz122056z70zzast_walkz00(obj_t BgL_envz00_7851,
		obj_t BgL_nz00_7852, obj_t BgL_pz00_7853, obj_t BgL_arg0z00_7854,
		obj_t BgL_arg1z00_7855)
	{
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				BgL_varz00_bglt BgL_arg3072z00_9255;

				BgL_arg3072z00_9255 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7852)))->BgL_varz00);
				PROCEDURE_ENTRY(BgL_pz00_7853) (BgL_pz00_7853,
					((obj_t) BgL_arg3072z00_9255), BgL_arg0z00_7854, BgL_arg1z00_7855,
					BEOA);
			}
			{	/* Ast/walk.scm 310 */
				BgL_nodez00_bglt BgL_arg3073z00_9256;

				BgL_arg3073z00_9256 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7852)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7853) (BgL_pz00_7853,
					((obj_t) BgL_arg3073z00_9256), BgL_arg0z00_7854, BgL_arg1z00_7855,
					BEOA);
			}
		}

	}



/* &walk1-box-set!2054 */
	obj_t BGl_z62walk1zd2boxzd2setz122054z70zzast_walkz00(obj_t BgL_envz00_7856,
		obj_t BgL_nz00_7857, obj_t BgL_pz00_7858, obj_t BgL_arg0z00_7859)
	{
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				BgL_varz00_bglt BgL_arg3069z00_9258;

				BgL_arg3069z00_9258 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7857)))->BgL_varz00);
				PROCEDURE_ENTRY(BgL_pz00_7858) (BgL_pz00_7858,
					((obj_t) BgL_arg3069z00_9258), BgL_arg0z00_7859, BEOA);
			}
			{	/* Ast/walk.scm 310 */
				BgL_nodez00_bglt BgL_arg3070z00_9259;

				BgL_arg3070z00_9259 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7857)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7858) (BgL_pz00_7858,
					((obj_t) BgL_arg3070z00_9259), BgL_arg0z00_7859, BEOA);
			}
		}

	}



/* &walk0-box-set!2052 */
	obj_t BGl_z62walk0zd2boxzd2setz122052z70zzast_walkz00(obj_t BgL_envz00_7860,
		obj_t BgL_nz00_7861, obj_t BgL_pz00_7862)
	{
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				BgL_varz00_bglt BgL_arg3066z00_9261;

				BgL_arg3066z00_9261 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7861)))->BgL_varz00);
				PROCEDURE_ENTRY(BgL_pz00_7862) (BgL_pz00_7862,
					((obj_t) BgL_arg3066z00_9261), BEOA);
			}
			{	/* Ast/walk.scm 310 */
				BgL_nodez00_bglt BgL_arg3067z00_9262;

				BgL_arg3067z00_9262 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7861)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7862) (BgL_pz00_7862,
					((obj_t) BgL_arg3067z00_9262), BEOA);
			}
		}

	}



/* &walk3!-box-ref2050 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2boxzd2ref2050z70zzast_walkz00(obj_t
		BgL_envz00_7863, obj_t BgL_nz00_7864, obj_t BgL_pz00_7865,
		obj_t BgL_arg0z00_7866, obj_t BgL_arg1z00_7867, obj_t BgL_arg2z00_7868)
	{
		{	/* Ast/walk.scm 309 */
			{
				BgL_varz00_bglt BgL_auxz00_12836;

				{	/* Ast/walk.scm 309 */
					BgL_varz00_bglt BgL_arg3064z00_9264;

					BgL_arg3064z00_9264 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7864)))->BgL_varz00);
					BgL_auxz00_12836 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7865) (BgL_pz00_7865,
							((obj_t) BgL_arg3064z00_9264), BgL_arg0z00_7866, BgL_arg1z00_7867,
							BgL_arg2z00_7868, BEOA));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7864)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12836), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_7864));
		}

	}



/* &walk2!-box-ref2048 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2boxzd2ref2048z70zzast_walkz00(obj_t
		BgL_envz00_7869, obj_t BgL_nz00_7870, obj_t BgL_pz00_7871,
		obj_t BgL_arg0z00_7872, obj_t BgL_arg1z00_7873)
	{
		{	/* Ast/walk.scm 309 */
			{
				BgL_varz00_bglt BgL_auxz00_12852;

				{	/* Ast/walk.scm 309 */
					BgL_varz00_bglt BgL_arg3063z00_9266;

					BgL_arg3063z00_9266 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7870)))->BgL_varz00);
					BgL_auxz00_12852 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7871) (BgL_pz00_7871,
							((obj_t) BgL_arg3063z00_9266), BgL_arg0z00_7872, BgL_arg1z00_7873,
							BEOA));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7870)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12852), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_7870));
		}

	}



/* &walk1!-box-ref2045 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2boxzd2ref2045z70zzast_walkz00(obj_t
		BgL_envz00_7874, obj_t BgL_nz00_7875, obj_t BgL_pz00_7876,
		obj_t BgL_arg0z00_7877)
	{
		{	/* Ast/walk.scm 309 */
			{
				BgL_varz00_bglt BgL_auxz00_12867;

				{	/* Ast/walk.scm 309 */
					BgL_varz00_bglt BgL_arg3061z00_9268;

					BgL_arg3061z00_9268 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7875)))->BgL_varz00);
					BgL_auxz00_12867 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7876) (BgL_pz00_7876,
							((obj_t) BgL_arg3061z00_9268), BgL_arg0z00_7877, BEOA));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7875)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12867), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_7875));
		}

	}



/* &walk0!-box-ref2043 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2boxzd2ref2043z70zzast_walkz00(obj_t
		BgL_envz00_7878, obj_t BgL_nz00_7879, obj_t BgL_pz00_7880)
	{
		{	/* Ast/walk.scm 309 */
			{
				BgL_varz00_bglt BgL_auxz00_12881;

				{	/* Ast/walk.scm 309 */
					BgL_varz00_bglt BgL_arg3057z00_9270;

					BgL_arg3057z00_9270 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7879)))->BgL_varz00);
					BgL_auxz00_12881 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7880) (BgL_pz00_7880,
							((obj_t) BgL_arg3057z00_9270), BEOA));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7879)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12881), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_7879));
		}

	}



/* &walk3*-box-ref2040 */
	obj_t BGl_z62walk3za2zd2boxzd2ref2040zc0zzast_walkz00(obj_t BgL_envz00_7881,
		obj_t BgL_nz00_7882, obj_t BgL_pz00_7883, obj_t BgL_arg0z00_7884,
		obj_t BgL_arg1z00_7885, obj_t BgL_arg2z00_7886)
	{
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				obj_t BgL_res4238z00_9275;

				{	/* Ast/walk.scm 309 */
					obj_t BgL_arg3053z00_9272;

					{	/* Ast/walk.scm 309 */
						BgL_varz00_bglt BgL_arg3056z00_9273;

						BgL_arg3056z00_9273 =
							(((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nz00_7882)))->BgL_varz00);
						BgL_arg3053z00_9272 =
							PROCEDURE_ENTRY(BgL_pz00_7883) (BgL_pz00_7883,
							((obj_t) BgL_arg3056z00_9273), BgL_arg0z00_7884, BgL_arg1z00_7885,
							BgL_arg2z00_7886, BEOA);
					}
					{	/* Ast/walk.scm 309 */
						obj_t BgL_list3054z00_9274;

						BgL_list3054z00_9274 = MAKE_YOUNG_PAIR(BgL_arg3053z00_9272, BNIL);
						BgL_res4238z00_9275 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3054z00_9274);
					}
				}
				return BgL_res4238z00_9275;
			}
		}

	}



/* &walk2*-box-ref2038 */
	obj_t BGl_z62walk2za2zd2boxzd2ref2038zc0zzast_walkz00(obj_t BgL_envz00_7887,
		obj_t BgL_nz00_7888, obj_t BgL_pz00_7889, obj_t BgL_arg0z00_7890,
		obj_t BgL_arg1z00_7891)
	{
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				obj_t BgL_res4239z00_9280;

				{	/* Ast/walk.scm 309 */
					obj_t BgL_arg3045z00_9277;

					{	/* Ast/walk.scm 309 */
						BgL_varz00_bglt BgL_arg3049z00_9278;

						BgL_arg3049z00_9278 =
							(((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nz00_7888)))->BgL_varz00);
						BgL_arg3045z00_9277 =
							PROCEDURE_ENTRY(BgL_pz00_7889) (BgL_pz00_7889,
							((obj_t) BgL_arg3049z00_9278), BgL_arg0z00_7890, BgL_arg1z00_7891,
							BEOA);
					}
					{	/* Ast/walk.scm 309 */
						obj_t BgL_list3046z00_9279;

						BgL_list3046z00_9279 = MAKE_YOUNG_PAIR(BgL_arg3045z00_9277, BNIL);
						BgL_res4239z00_9280 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3046z00_9279);
					}
				}
				return BgL_res4239z00_9280;
			}
		}

	}



/* &walk1*-box-ref2036 */
	obj_t BGl_z62walk1za2zd2boxzd2ref2036zc0zzast_walkz00(obj_t BgL_envz00_7892,
		obj_t BgL_nz00_7893, obj_t BgL_pz00_7894, obj_t BgL_arg0z00_7895)
	{
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				obj_t BgL_res4240z00_9285;

				{	/* Ast/walk.scm 309 */
					obj_t BgL_arg3038z00_9282;

					{	/* Ast/walk.scm 309 */
						BgL_varz00_bglt BgL_arg3042z00_9283;

						BgL_arg3042z00_9283 =
							(((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nz00_7893)))->BgL_varz00);
						BgL_arg3038z00_9282 =
							PROCEDURE_ENTRY(BgL_pz00_7894) (BgL_pz00_7894,
							((obj_t) BgL_arg3042z00_9283), BgL_arg0z00_7895, BEOA);
					}
					{	/* Ast/walk.scm 309 */
						obj_t BgL_list3039z00_9284;

						BgL_list3039z00_9284 = MAKE_YOUNG_PAIR(BgL_arg3038z00_9282, BNIL);
						BgL_res4240z00_9285 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3039z00_9284);
					}
				}
				return BgL_res4240z00_9285;
			}
		}

	}



/* &walk0*-box-ref2033 */
	obj_t BGl_z62walk0za2zd2boxzd2ref2033zc0zzast_walkz00(obj_t BgL_envz00_7896,
		obj_t BgL_nz00_7897, obj_t BgL_pz00_7898)
	{
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				obj_t BgL_res4241z00_9290;

				{	/* Ast/walk.scm 309 */
					obj_t BgL_arg3035z00_9287;

					{	/* Ast/walk.scm 309 */
						BgL_varz00_bglt BgL_arg3037z00_9288;

						BgL_arg3037z00_9288 =
							(((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nz00_7897)))->BgL_varz00);
						BgL_arg3035z00_9287 =
							PROCEDURE_ENTRY(BgL_pz00_7898) (BgL_pz00_7898,
							((obj_t) BgL_arg3037z00_9288), BEOA);
					}
					{	/* Ast/walk.scm 309 */
						obj_t BgL_list3036z00_9289;

						BgL_list3036z00_9289 = MAKE_YOUNG_PAIR(BgL_arg3035z00_9287, BNIL);
						BgL_res4241z00_9290 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3036z00_9289);
					}
				}
				return BgL_res4241z00_9290;
			}
		}

	}



/* &walk3-box-ref2031 */
	obj_t BGl_z62walk3zd2boxzd2ref2031z62zzast_walkz00(obj_t BgL_envz00_7899,
		obj_t BgL_nz00_7900, obj_t BgL_pz00_7901, obj_t BgL_arg0z00_7902,
		obj_t BgL_arg1z00_7903, obj_t BgL_arg2z00_7904)
	{
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				BgL_varz00_bglt BgL_arg3034z00_9292;

				BgL_arg3034z00_9292 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nz00_7900)))->BgL_varz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7901) (BgL_pz00_7901,
					((obj_t) BgL_arg3034z00_9292), BgL_arg0z00_7902, BgL_arg1z00_7903,
					BgL_arg2z00_7904, BEOA);
			}
		}

	}



/* &walk2-box-ref2029 */
	obj_t BGl_z62walk2zd2boxzd2ref2029z62zzast_walkz00(obj_t BgL_envz00_7905,
		obj_t BgL_nz00_7906, obj_t BgL_pz00_7907, obj_t BgL_arg0z00_7908,
		obj_t BgL_arg1z00_7909)
	{
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				BgL_varz00_bglt BgL_arg3033z00_9294;

				BgL_arg3033z00_9294 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nz00_7906)))->BgL_varz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7907) (BgL_pz00_7907,
					((obj_t) BgL_arg3033z00_9294), BgL_arg0z00_7908, BgL_arg1z00_7909,
					BEOA);
			}
		}

	}



/* &walk1-box-ref2027 */
	obj_t BGl_z62walk1zd2boxzd2ref2027z62zzast_walkz00(obj_t BgL_envz00_7910,
		obj_t BgL_nz00_7911, obj_t BgL_pz00_7912, obj_t BgL_arg0z00_7913)
	{
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				BgL_varz00_bglt BgL_arg3032z00_9296;

				BgL_arg3032z00_9296 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nz00_7911)))->BgL_varz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7912) (BgL_pz00_7912,
					((obj_t) BgL_arg3032z00_9296), BgL_arg0z00_7913, BEOA);
			}
		}

	}



/* &walk0-box-ref2025 */
	obj_t BGl_z62walk0zd2boxzd2ref2025z62zzast_walkz00(obj_t BgL_envz00_7914,
		obj_t BgL_nz00_7915, obj_t BgL_pz00_7916)
	{
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				BgL_varz00_bglt BgL_arg3031z00_9298;

				BgL_arg3031z00_9298 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nz00_7915)))->BgL_varz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7916) (BgL_pz00_7916,
					((obj_t) BgL_arg3031z00_9298), BEOA);
			}
		}

	}



/* &walk3!-make-box2022 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2makezd2box2022z70zzast_walkz00(obj_t
		BgL_envz00_7917, obj_t BgL_nz00_7918, obj_t BgL_pz00_7919,
		obj_t BgL_arg0z00_7920, obj_t BgL_arg1z00_7921, obj_t BgL_arg2z00_7922)
	{
		{	/* Ast/walk.scm 308 */
			{
				BgL_nodez00_bglt BgL_auxz00_12970;

				{	/* Ast/walk.scm 308 */
					BgL_nodez00_bglt BgL_arg3030z00_9300;

					BgL_arg3030z00_9300 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7918)))->BgL_valuez00);
					BgL_auxz00_12970 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7919) (BgL_pz00_7919,
							((obj_t) BgL_arg3030z00_9300), BgL_arg0z00_7920, BgL_arg1z00_7921,
							BgL_arg2z00_7922, BEOA));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7918)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12970), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_7918));
		}

	}



/* &walk2!-make-box2020 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2makezd2box2020z70zzast_walkz00(obj_t
		BgL_envz00_7923, obj_t BgL_nz00_7924, obj_t BgL_pz00_7925,
		obj_t BgL_arg0z00_7926, obj_t BgL_arg1z00_7927)
	{
		{	/* Ast/walk.scm 308 */
			{
				BgL_nodez00_bglt BgL_auxz00_12986;

				{	/* Ast/walk.scm 308 */
					BgL_nodez00_bglt BgL_arg3028z00_9302;

					BgL_arg3028z00_9302 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7924)))->BgL_valuez00);
					BgL_auxz00_12986 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7925) (BgL_pz00_7925,
							((obj_t) BgL_arg3028z00_9302), BgL_arg0z00_7926, BgL_arg1z00_7927,
							BEOA));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7924)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12986), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_7924));
		}

	}



/* &walk1!-make-box2018 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2makezd2box2018z70zzast_walkz00(obj_t
		BgL_envz00_7928, obj_t BgL_nz00_7929, obj_t BgL_pz00_7930,
		obj_t BgL_arg0z00_7931)
	{
		{	/* Ast/walk.scm 308 */
			{
				BgL_nodez00_bglt BgL_auxz00_13001;

				{	/* Ast/walk.scm 308 */
					BgL_nodez00_bglt BgL_arg3027z00_9304;

					BgL_arg3027z00_9304 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7929)))->BgL_valuez00);
					BgL_auxz00_13001 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7930) (BgL_pz00_7930,
							((obj_t) BgL_arg3027z00_9304), BgL_arg0z00_7931, BEOA));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7929)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13001), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_7929));
		}

	}



/* &walk0!-make-box2016 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2makezd2box2016z70zzast_walkz00(obj_t
		BgL_envz00_7932, obj_t BgL_nz00_7933, obj_t BgL_pz00_7934)
	{
		{	/* Ast/walk.scm 308 */
			{
				BgL_nodez00_bglt BgL_auxz00_13015;

				{	/* Ast/walk.scm 308 */
					BgL_nodez00_bglt BgL_arg3026z00_9306;

					BgL_arg3026z00_9306 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7933)))->BgL_valuez00);
					BgL_auxz00_13015 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7934) (BgL_pz00_7934,
							((obj_t) BgL_arg3026z00_9306), BEOA));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7933)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13015), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_7933));
		}

	}



/* &walk3*-make-box2014 */
	obj_t BGl_z62walk3za2zd2makezd2box2014zc0zzast_walkz00(obj_t BgL_envz00_7935,
		obj_t BgL_nz00_7936, obj_t BgL_pz00_7937, obj_t BgL_arg0z00_7938,
		obj_t BgL_arg1z00_7939, obj_t BgL_arg2z00_7940)
	{
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				obj_t BgL_res4242z00_9311;

				{	/* Ast/walk.scm 308 */
					obj_t BgL_arg3023z00_9308;

					{	/* Ast/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg3025z00_9309;

						BgL_arg3025z00_9309 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nz00_7936)))->BgL_valuez00);
						BgL_arg3023z00_9308 =
							PROCEDURE_ENTRY(BgL_pz00_7937) (BgL_pz00_7937,
							((obj_t) BgL_arg3025z00_9309), BgL_arg0z00_7938, BgL_arg1z00_7939,
							BgL_arg2z00_7940, BEOA);
					}
					{	/* Ast/walk.scm 308 */
						obj_t BgL_list3024z00_9310;

						BgL_list3024z00_9310 = MAKE_YOUNG_PAIR(BgL_arg3023z00_9308, BNIL);
						BgL_res4242z00_9311 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3024z00_9310);
					}
				}
				return BgL_res4242z00_9311;
			}
		}

	}



/* &walk2*-make-box2012 */
	obj_t BGl_z62walk2za2zd2makezd2box2012zc0zzast_walkz00(obj_t BgL_envz00_7941,
		obj_t BgL_nz00_7942, obj_t BgL_pz00_7943, obj_t BgL_arg0z00_7944,
		obj_t BgL_arg1z00_7945)
	{
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				obj_t BgL_res4243z00_9316;

				{	/* Ast/walk.scm 308 */
					obj_t BgL_arg3019z00_9313;

					{	/* Ast/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg3022z00_9314;

						BgL_arg3022z00_9314 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nz00_7942)))->BgL_valuez00);
						BgL_arg3019z00_9313 =
							PROCEDURE_ENTRY(BgL_pz00_7943) (BgL_pz00_7943,
							((obj_t) BgL_arg3022z00_9314), BgL_arg0z00_7944, BgL_arg1z00_7945,
							BEOA);
					}
					{	/* Ast/walk.scm 308 */
						obj_t BgL_list3020z00_9315;

						BgL_list3020z00_9315 = MAKE_YOUNG_PAIR(BgL_arg3019z00_9313, BNIL);
						BgL_res4243z00_9316 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3020z00_9315);
					}
				}
				return BgL_res4243z00_9316;
			}
		}

	}



/* &walk1*-make-box2010 */
	obj_t BGl_z62walk1za2zd2makezd2box2010zc0zzast_walkz00(obj_t BgL_envz00_7946,
		obj_t BgL_nz00_7947, obj_t BgL_pz00_7948, obj_t BgL_arg0z00_7949)
	{
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				obj_t BgL_res4244z00_9321;

				{	/* Ast/walk.scm 308 */
					obj_t BgL_arg3015z00_9318;

					{	/* Ast/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg3017z00_9319;

						BgL_arg3017z00_9319 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nz00_7947)))->BgL_valuez00);
						BgL_arg3015z00_9318 =
							PROCEDURE_ENTRY(BgL_pz00_7948) (BgL_pz00_7948,
							((obj_t) BgL_arg3017z00_9319), BgL_arg0z00_7949, BEOA);
					}
					{	/* Ast/walk.scm 308 */
						obj_t BgL_list3016z00_9320;

						BgL_list3016z00_9320 = MAKE_YOUNG_PAIR(BgL_arg3015z00_9318, BNIL);
						BgL_res4244z00_9321 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3016z00_9320);
					}
				}
				return BgL_res4244z00_9321;
			}
		}

	}



/* &walk0*-make-box2008 */
	obj_t BGl_z62walk0za2zd2makezd2box2008zc0zzast_walkz00(obj_t BgL_envz00_7950,
		obj_t BgL_nz00_7951, obj_t BgL_pz00_7952)
	{
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				obj_t BgL_res4245z00_9326;

				{	/* Ast/walk.scm 308 */
					obj_t BgL_arg3005z00_9323;

					{	/* Ast/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg3009z00_9324;

						BgL_arg3009z00_9324 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nz00_7951)))->BgL_valuez00);
						BgL_arg3005z00_9323 =
							PROCEDURE_ENTRY(BgL_pz00_7952) (BgL_pz00_7952,
							((obj_t) BgL_arg3009z00_9324), BEOA);
					}
					{	/* Ast/walk.scm 308 */
						obj_t BgL_list3006z00_9325;

						BgL_list3006z00_9325 = MAKE_YOUNG_PAIR(BgL_arg3005z00_9323, BNIL);
						BgL_res4245z00_9326 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3006z00_9325);
					}
				}
				return BgL_res4245z00_9326;
			}
		}

	}



/* &walk3-make-box2006 */
	obj_t BGl_z62walk3zd2makezd2box2006z62zzast_walkz00(obj_t BgL_envz00_7953,
		obj_t BgL_nz00_7954, obj_t BgL_pz00_7955, obj_t BgL_arg0z00_7956,
		obj_t BgL_arg1z00_7957, obj_t BgL_arg2z00_7958)
	{
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				BgL_nodez00_bglt BgL_arg3003z00_9328;

				BgL_arg3003z00_9328 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nz00_7954)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7955) (BgL_pz00_7955,
					((obj_t) BgL_arg3003z00_9328), BgL_arg0z00_7956, BgL_arg1z00_7957,
					BgL_arg2z00_7958, BEOA);
			}
		}

	}



/* &walk2-make-box2004 */
	obj_t BGl_z62walk2zd2makezd2box2004z62zzast_walkz00(obj_t BgL_envz00_7959,
		obj_t BgL_nz00_7960, obj_t BgL_pz00_7961, obj_t BgL_arg0z00_7962,
		obj_t BgL_arg1z00_7963)
	{
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				BgL_nodez00_bglt BgL_arg3002z00_9330;

				BgL_arg3002z00_9330 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nz00_7960)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7961) (BgL_pz00_7961,
					((obj_t) BgL_arg3002z00_9330), BgL_arg0z00_7962, BgL_arg1z00_7963,
					BEOA);
			}
		}

	}



/* &walk1-make-box2002 */
	obj_t BGl_z62walk1zd2makezd2box2002z62zzast_walkz00(obj_t BgL_envz00_7964,
		obj_t BgL_nz00_7965, obj_t BgL_pz00_7966, obj_t BgL_arg0z00_7967)
	{
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				BgL_nodez00_bglt BgL_arg3001z00_9332;

				BgL_arg3001z00_9332 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nz00_7965)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7966) (BgL_pz00_7966,
					((obj_t) BgL_arg3001z00_9332), BgL_arg0z00_7967, BEOA);
			}
		}

	}



/* &walk0-make-box2000 */
	obj_t BGl_z62walk0zd2makezd2box2000z62zzast_walkz00(obj_t BgL_envz00_7968,
		obj_t BgL_nz00_7969, obj_t BgL_pz00_7970)
	{
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				BgL_nodez00_bglt BgL_arg3000z00_9334;

				BgL_arg3000z00_9334 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nz00_7969)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_7970) (BgL_pz00_7970,
					((obj_t) BgL_arg3000z00_9334), BEOA);
			}
		}

	}



/* &walk3!-return1998 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2return1998za2zzast_walkz00(obj_t
		BgL_envz00_7971, obj_t BgL_nz00_7972, obj_t BgL_pz00_7973,
		obj_t BgL_arg0z00_7974, obj_t BgL_arg1z00_7975, obj_t BgL_arg2z00_7976)
	{
		{	/* Ast/walk.scm 307 */
			{
				BgL_nodez00_bglt BgL_auxz00_13104;

				{	/* Ast/walk.scm 307 */
					BgL_nodez00_bglt BgL_arg2995z00_9336;

					BgL_arg2995z00_9336 =
						(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7972)))->BgL_valuez00);
					BgL_auxz00_13104 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7973) (BgL_pz00_7973,
							((obj_t) BgL_arg2995z00_9336), BgL_arg0z00_7974, BgL_arg1z00_7975,
							BgL_arg2z00_7976, BEOA));
				}
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7972)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13104), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nz00_7972));
		}

	}



/* &walk2!-return1996 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2return1996za2zzast_walkz00(obj_t
		BgL_envz00_7977, obj_t BgL_nz00_7978, obj_t BgL_pz00_7979,
		obj_t BgL_arg0z00_7980, obj_t BgL_arg1z00_7981)
	{
		{	/* Ast/walk.scm 307 */
			{
				BgL_nodez00_bglt BgL_auxz00_13120;

				{	/* Ast/walk.scm 307 */
					BgL_nodez00_bglt BgL_arg2993z00_9338;

					BgL_arg2993z00_9338 =
						(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7978)))->BgL_valuez00);
					BgL_auxz00_13120 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7979) (BgL_pz00_7979,
							((obj_t) BgL_arg2993z00_9338), BgL_arg0z00_7980, BgL_arg1z00_7981,
							BEOA));
				}
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7978)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13120), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nz00_7978));
		}

	}



/* &walk1!-return1994 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2return1994za2zzast_walkz00(obj_t
		BgL_envz00_7982, obj_t BgL_nz00_7983, obj_t BgL_pz00_7984,
		obj_t BgL_arg0z00_7985)
	{
		{	/* Ast/walk.scm 307 */
			{
				BgL_nodez00_bglt BgL_auxz00_13135;

				{	/* Ast/walk.scm 307 */
					BgL_nodez00_bglt BgL_arg2992z00_9340;

					BgL_arg2992z00_9340 =
						(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7983)))->BgL_valuez00);
					BgL_auxz00_13135 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7984) (BgL_pz00_7984,
							((obj_t) BgL_arg2992z00_9340), BgL_arg0z00_7985, BEOA));
				}
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7983)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13135), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nz00_7983));
		}

	}



/* &walk0!-return1992 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2return1992za2zzast_walkz00(obj_t
		BgL_envz00_7986, obj_t BgL_nz00_7987, obj_t BgL_pz00_7988)
	{
		{	/* Ast/walk.scm 307 */
			{
				BgL_nodez00_bglt BgL_auxz00_13149;

				{	/* Ast/walk.scm 307 */
					BgL_nodez00_bglt BgL_arg2991z00_9342;

					BgL_arg2991z00_9342 =
						(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7987)))->BgL_valuez00);
					BgL_auxz00_13149 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_7988) (BgL_pz00_7988,
							((obj_t) BgL_arg2991z00_9342), BEOA));
				}
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7987)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13149), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nz00_7987));
		}

	}



/* &walk3*-return1990 */
	obj_t BGl_z62walk3za2zd2return1990z12zzast_walkz00(obj_t BgL_envz00_7989,
		obj_t BgL_nz00_7990, obj_t BgL_pz00_7991, obj_t BgL_arg0z00_7992,
		obj_t BgL_arg1z00_7993, obj_t BgL_arg2z00_7994)
	{
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				obj_t BgL_res4246z00_9347;

				{	/* Ast/walk.scm 307 */
					obj_t BgL_arg2982z00_9344;

					{	/* Ast/walk.scm 307 */
						BgL_nodez00_bglt BgL_arg2984z00_9345;

						BgL_arg2984z00_9345 =
							(((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_nz00_7990)))->BgL_valuez00);
						BgL_arg2982z00_9344 =
							PROCEDURE_ENTRY(BgL_pz00_7991) (BgL_pz00_7991,
							((obj_t) BgL_arg2984z00_9345), BgL_arg0z00_7992, BgL_arg1z00_7993,
							BgL_arg2z00_7994, BEOA);
					}
					{	/* Ast/walk.scm 307 */
						obj_t BgL_list2983z00_9346;

						BgL_list2983z00_9346 = MAKE_YOUNG_PAIR(BgL_arg2982z00_9344, BNIL);
						BgL_res4246z00_9347 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2983z00_9346);
					}
				}
				return BgL_res4246z00_9347;
			}
		}

	}



/* &walk2*-return1988 */
	obj_t BGl_z62walk2za2zd2return1988z12zzast_walkz00(obj_t BgL_envz00_7995,
		obj_t BgL_nz00_7996, obj_t BgL_pz00_7997, obj_t BgL_arg0z00_7998,
		obj_t BgL_arg1z00_7999)
	{
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				obj_t BgL_res4247z00_9352;

				{	/* Ast/walk.scm 307 */
					obj_t BgL_arg2979z00_9349;

					{	/* Ast/walk.scm 307 */
						BgL_nodez00_bglt BgL_arg2981z00_9350;

						BgL_arg2981z00_9350 =
							(((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_nz00_7996)))->BgL_valuez00);
						BgL_arg2979z00_9349 =
							PROCEDURE_ENTRY(BgL_pz00_7997) (BgL_pz00_7997,
							((obj_t) BgL_arg2981z00_9350), BgL_arg0z00_7998, BgL_arg1z00_7999,
							BEOA);
					}
					{	/* Ast/walk.scm 307 */
						obj_t BgL_list2980z00_9351;

						BgL_list2980z00_9351 = MAKE_YOUNG_PAIR(BgL_arg2979z00_9349, BNIL);
						BgL_res4247z00_9352 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2980z00_9351);
					}
				}
				return BgL_res4247z00_9352;
			}
		}

	}



/* &walk1*-return1986 */
	obj_t BGl_z62walk1za2zd2return1986z12zzast_walkz00(obj_t BgL_envz00_8000,
		obj_t BgL_nz00_8001, obj_t BgL_pz00_8002, obj_t BgL_arg0z00_8003)
	{
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				obj_t BgL_res4248z00_9357;

				{	/* Ast/walk.scm 307 */
					obj_t BgL_arg2976z00_9354;

					{	/* Ast/walk.scm 307 */
						BgL_nodez00_bglt BgL_arg2978z00_9355;

						BgL_arg2978z00_9355 =
							(((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_nz00_8001)))->BgL_valuez00);
						BgL_arg2976z00_9354 =
							PROCEDURE_ENTRY(BgL_pz00_8002) (BgL_pz00_8002,
							((obj_t) BgL_arg2978z00_9355), BgL_arg0z00_8003, BEOA);
					}
					{	/* Ast/walk.scm 307 */
						obj_t BgL_list2977z00_9356;

						BgL_list2977z00_9356 = MAKE_YOUNG_PAIR(BgL_arg2976z00_9354, BNIL);
						BgL_res4248z00_9357 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2977z00_9356);
					}
				}
				return BgL_res4248z00_9357;
			}
		}

	}



/* &walk0*-return1984 */
	obj_t BGl_z62walk0za2zd2return1984z12zzast_walkz00(obj_t BgL_envz00_8004,
		obj_t BgL_nz00_8005, obj_t BgL_pz00_8006)
	{
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				obj_t BgL_res4249z00_9362;

				{	/* Ast/walk.scm 307 */
					obj_t BgL_arg2970z00_9359;

					{	/* Ast/walk.scm 307 */
						BgL_nodez00_bglt BgL_arg2972z00_9360;

						BgL_arg2972z00_9360 =
							(((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_nz00_8005)))->BgL_valuez00);
						BgL_arg2970z00_9359 =
							PROCEDURE_ENTRY(BgL_pz00_8006) (BgL_pz00_8006,
							((obj_t) BgL_arg2972z00_9360), BEOA);
					}
					{	/* Ast/walk.scm 307 */
						obj_t BgL_list2971z00_9361;

						BgL_list2971z00_9361 = MAKE_YOUNG_PAIR(BgL_arg2970z00_9359, BNIL);
						BgL_res4249z00_9362 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2971z00_9361);
					}
				}
				return BgL_res4249z00_9362;
			}
		}

	}



/* &walk3-return1982 */
	obj_t BGl_z62walk3zd2return1982zb0zzast_walkz00(obj_t BgL_envz00_8007,
		obj_t BgL_nz00_8008, obj_t BgL_pz00_8009, obj_t BgL_arg0z00_8010,
		obj_t BgL_arg1z00_8011, obj_t BgL_arg2z00_8012)
	{
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				BgL_nodez00_bglt BgL_arg2969z00_9364;

				BgL_arg2969z00_9364 =
					(((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_nz00_8008)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8009) (BgL_pz00_8009,
					((obj_t) BgL_arg2969z00_9364), BgL_arg0z00_8010, BgL_arg1z00_8011,
					BgL_arg2z00_8012, BEOA);
			}
		}

	}



/* &walk2-return1980 */
	obj_t BGl_z62walk2zd2return1980zb0zzast_walkz00(obj_t BgL_envz00_8013,
		obj_t BgL_nz00_8014, obj_t BgL_pz00_8015, obj_t BgL_arg0z00_8016,
		obj_t BgL_arg1z00_8017)
	{
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				BgL_nodez00_bglt BgL_arg2967z00_9366;

				BgL_arg2967z00_9366 =
					(((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_nz00_8014)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8015) (BgL_pz00_8015,
					((obj_t) BgL_arg2967z00_9366), BgL_arg0z00_8016, BgL_arg1z00_8017,
					BEOA);
			}
		}

	}



/* &walk1-return1978 */
	obj_t BGl_z62walk1zd2return1978zb0zzast_walkz00(obj_t BgL_envz00_8018,
		obj_t BgL_nz00_8019, obj_t BgL_pz00_8020, obj_t BgL_arg0z00_8021)
	{
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				BgL_nodez00_bglt BgL_arg2966z00_9368;

				BgL_arg2966z00_9368 =
					(((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_nz00_8019)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8020) (BgL_pz00_8020,
					((obj_t) BgL_arg2966z00_9368), BgL_arg0z00_8021, BEOA);
			}
		}

	}



/* &walk0-return1976 */
	obj_t BGl_z62walk0zd2return1976zb0zzast_walkz00(obj_t BgL_envz00_8022,
		obj_t BgL_nz00_8023, obj_t BgL_pz00_8024)
	{
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				BgL_nodez00_bglt BgL_arg2965z00_9370;

				BgL_arg2965z00_9370 =
					(((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_nz00_8023)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8024) (BgL_pz00_8024,
					((obj_t) BgL_arg2965z00_9370), BEOA);
			}
		}

	}



/* &walk3!-retblock1974 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2retblock1974za2zzast_walkz00(obj_t
		BgL_envz00_8025, obj_t BgL_nz00_8026, obj_t BgL_pz00_8027,
		obj_t BgL_arg0z00_8028, obj_t BgL_arg1z00_8029, obj_t BgL_arg2z00_8030)
	{
		{	/* Ast/walk.scm 306 */
			{
				BgL_nodez00_bglt BgL_auxz00_13238;

				{	/* Ast/walk.scm 306 */
					BgL_nodez00_bglt BgL_arg2964z00_9372;

					BgL_arg2964z00_9372 =
						(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_8026)))->BgL_bodyz00);
					BgL_auxz00_13238 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8027) (BgL_pz00_8027,
							((obj_t) BgL_arg2964z00_9372), BgL_arg0z00_8028, BgL_arg1z00_8029,
							BgL_arg2z00_8030, BEOA));
				}
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_8026)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13238), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_8026));
		}

	}



/* &walk2!-retblock1972 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2retblock1972za2zzast_walkz00(obj_t
		BgL_envz00_8031, obj_t BgL_nz00_8032, obj_t BgL_pz00_8033,
		obj_t BgL_arg0z00_8034, obj_t BgL_arg1z00_8035)
	{
		{	/* Ast/walk.scm 306 */
			{
				BgL_nodez00_bglt BgL_auxz00_13254;

				{	/* Ast/walk.scm 306 */
					BgL_nodez00_bglt BgL_arg2960z00_9374;

					BgL_arg2960z00_9374 =
						(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_8032)))->BgL_bodyz00);
					BgL_auxz00_13254 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8033) (BgL_pz00_8033,
							((obj_t) BgL_arg2960z00_9374), BgL_arg0z00_8034, BgL_arg1z00_8035,
							BEOA));
				}
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_8032)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13254), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_8032));
		}

	}



/* &walk1!-retblock1970 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2retblock1970za2zzast_walkz00(obj_t
		BgL_envz00_8036, obj_t BgL_nz00_8037, obj_t BgL_pz00_8038,
		obj_t BgL_arg0z00_8039)
	{
		{	/* Ast/walk.scm 306 */
			{
				BgL_nodez00_bglt BgL_auxz00_13269;

				{	/* Ast/walk.scm 306 */
					BgL_nodez00_bglt BgL_arg2959z00_9376;

					BgL_arg2959z00_9376 =
						(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_8037)))->BgL_bodyz00);
					BgL_auxz00_13269 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8038) (BgL_pz00_8038,
							((obj_t) BgL_arg2959z00_9376), BgL_arg0z00_8039, BEOA));
				}
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_8037)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13269), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_8037));
		}

	}



/* &walk0!-retblock1968 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2retblock1968za2zzast_walkz00(obj_t
		BgL_envz00_8040, obj_t BgL_nz00_8041, obj_t BgL_pz00_8042)
	{
		{	/* Ast/walk.scm 306 */
			{
				BgL_nodez00_bglt BgL_auxz00_13283;

				{	/* Ast/walk.scm 306 */
					BgL_nodez00_bglt BgL_arg2958z00_9378;

					BgL_arg2958z00_9378 =
						(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_8041)))->BgL_bodyz00);
					BgL_auxz00_13283 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8042) (BgL_pz00_8042,
							((obj_t) BgL_arg2958z00_9378), BEOA));
				}
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_8041)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13283), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_8041));
		}

	}



/* &walk3*-retblock1966 */
	obj_t BGl_z62walk3za2zd2retblock1966z12zzast_walkz00(obj_t BgL_envz00_8043,
		obj_t BgL_nz00_8044, obj_t BgL_pz00_8045, obj_t BgL_arg0z00_8046,
		obj_t BgL_arg1z00_8047, obj_t BgL_arg2z00_8048)
	{
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				obj_t BgL_res4250z00_9383;

				{	/* Ast/walk.scm 306 */
					obj_t BgL_arg2955z00_9380;

					{	/* Ast/walk.scm 306 */
						BgL_nodez00_bglt BgL_arg2957z00_9381;

						BgL_arg2957z00_9381 =
							(((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_nz00_8044)))->BgL_bodyz00);
						BgL_arg2955z00_9380 =
							PROCEDURE_ENTRY(BgL_pz00_8045) (BgL_pz00_8045,
							((obj_t) BgL_arg2957z00_9381), BgL_arg0z00_8046, BgL_arg1z00_8047,
							BgL_arg2z00_8048, BEOA);
					}
					{	/* Ast/walk.scm 306 */
						obj_t BgL_list2956z00_9382;

						BgL_list2956z00_9382 = MAKE_YOUNG_PAIR(BgL_arg2955z00_9380, BNIL);
						BgL_res4250z00_9383 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2956z00_9382);
					}
				}
				return BgL_res4250z00_9383;
			}
		}

	}



/* &walk2*-retblock1964 */
	obj_t BGl_z62walk2za2zd2retblock1964z12zzast_walkz00(obj_t BgL_envz00_8049,
		obj_t BgL_nz00_8050, obj_t BgL_pz00_8051, obj_t BgL_arg0z00_8052,
		obj_t BgL_arg1z00_8053)
	{
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				obj_t BgL_res4251z00_9388;

				{	/* Ast/walk.scm 306 */
					obj_t BgL_arg2952z00_9385;

					{	/* Ast/walk.scm 306 */
						BgL_nodez00_bglt BgL_arg2954z00_9386;

						BgL_arg2954z00_9386 =
							(((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_nz00_8050)))->BgL_bodyz00);
						BgL_arg2952z00_9385 =
							PROCEDURE_ENTRY(BgL_pz00_8051) (BgL_pz00_8051,
							((obj_t) BgL_arg2954z00_9386), BgL_arg0z00_8052, BgL_arg1z00_8053,
							BEOA);
					}
					{	/* Ast/walk.scm 306 */
						obj_t BgL_list2953z00_9387;

						BgL_list2953z00_9387 = MAKE_YOUNG_PAIR(BgL_arg2952z00_9385, BNIL);
						BgL_res4251z00_9388 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2953z00_9387);
					}
				}
				return BgL_res4251z00_9388;
			}
		}

	}



/* &walk1*-retblock1962 */
	obj_t BGl_z62walk1za2zd2retblock1962z12zzast_walkz00(obj_t BgL_envz00_8054,
		obj_t BgL_nz00_8055, obj_t BgL_pz00_8056, obj_t BgL_arg0z00_8057)
	{
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				obj_t BgL_res4252z00_9393;

				{	/* Ast/walk.scm 306 */
					obj_t BgL_arg2949z00_9390;

					{	/* Ast/walk.scm 306 */
						BgL_nodez00_bglt BgL_arg2951z00_9391;

						BgL_arg2951z00_9391 =
							(((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_nz00_8055)))->BgL_bodyz00);
						BgL_arg2949z00_9390 =
							PROCEDURE_ENTRY(BgL_pz00_8056) (BgL_pz00_8056,
							((obj_t) BgL_arg2951z00_9391), BgL_arg0z00_8057, BEOA);
					}
					{	/* Ast/walk.scm 306 */
						obj_t BgL_list2950z00_9392;

						BgL_list2950z00_9392 = MAKE_YOUNG_PAIR(BgL_arg2949z00_9390, BNIL);
						BgL_res4252z00_9393 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2950z00_9392);
					}
				}
				return BgL_res4252z00_9393;
			}
		}

	}



/* &walk0*-retblock1960 */
	obj_t BGl_z62walk0za2zd2retblock1960z12zzast_walkz00(obj_t BgL_envz00_8058,
		obj_t BgL_nz00_8059, obj_t BgL_pz00_8060)
	{
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				obj_t BgL_res4253z00_9398;

				{	/* Ast/walk.scm 306 */
					obj_t BgL_arg2946z00_9395;

					{	/* Ast/walk.scm 306 */
						BgL_nodez00_bglt BgL_arg2948z00_9396;

						BgL_arg2948z00_9396 =
							(((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_nz00_8059)))->BgL_bodyz00);
						BgL_arg2946z00_9395 =
							PROCEDURE_ENTRY(BgL_pz00_8060) (BgL_pz00_8060,
							((obj_t) BgL_arg2948z00_9396), BEOA);
					}
					{	/* Ast/walk.scm 306 */
						obj_t BgL_list2947z00_9397;

						BgL_list2947z00_9397 = MAKE_YOUNG_PAIR(BgL_arg2946z00_9395, BNIL);
						BgL_res4253z00_9398 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2947z00_9397);
					}
				}
				return BgL_res4253z00_9398;
			}
		}

	}



/* &walk3-retblock1958 */
	obj_t BGl_z62walk3zd2retblock1958zb0zzast_walkz00(obj_t BgL_envz00_8061,
		obj_t BgL_nz00_8062, obj_t BgL_pz00_8063, obj_t BgL_arg0z00_8064,
		obj_t BgL_arg1z00_8065, obj_t BgL_arg2z00_8066)
	{
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				BgL_nodez00_bglt BgL_arg2945z00_9400;

				BgL_arg2945z00_9400 =
					(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_nz00_8062)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8063) (BgL_pz00_8063,
					((obj_t) BgL_arg2945z00_9400), BgL_arg0z00_8064, BgL_arg1z00_8065,
					BgL_arg2z00_8066, BEOA);
			}
		}

	}



/* &walk2-retblock1956 */
	obj_t BGl_z62walk2zd2retblock1956zb0zzast_walkz00(obj_t BgL_envz00_8067,
		obj_t BgL_nz00_8068, obj_t BgL_pz00_8069, obj_t BgL_arg0z00_8070,
		obj_t BgL_arg1z00_8071)
	{
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				BgL_nodez00_bglt BgL_arg2941z00_9402;

				BgL_arg2941z00_9402 =
					(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_nz00_8068)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8069) (BgL_pz00_8069,
					((obj_t) BgL_arg2941z00_9402), BgL_arg0z00_8070, BgL_arg1z00_8071,
					BEOA);
			}
		}

	}



/* &walk1-retblock1954 */
	obj_t BGl_z62walk1zd2retblock1954zb0zzast_walkz00(obj_t BgL_envz00_8072,
		obj_t BgL_nz00_8073, obj_t BgL_pz00_8074, obj_t BgL_arg0z00_8075)
	{
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				BgL_nodez00_bglt BgL_arg2940z00_9404;

				BgL_arg2940z00_9404 =
					(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_nz00_8073)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8074) (BgL_pz00_8074,
					((obj_t) BgL_arg2940z00_9404), BgL_arg0z00_8075, BEOA);
			}
		}

	}



/* &walk0-retblock1952 */
	obj_t BGl_z62walk0zd2retblock1952zb0zzast_walkz00(obj_t BgL_envz00_8076,
		obj_t BgL_nz00_8077, obj_t BgL_pz00_8078)
	{
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				BgL_nodez00_bglt BgL_arg2939z00_9406;

				BgL_arg2939z00_9406 =
					(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_nz00_8077)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8078) (BgL_pz00_8078,
					((obj_t) BgL_arg2939z00_9406), BEOA);
			}
		}

	}



/* &walk3!-jump-ex-it1949 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2jumpzd2exzd2it1949za2zzast_walkz00(obj_t
		BgL_envz00_8079, obj_t BgL_nz00_8080, obj_t BgL_pz00_8081,
		obj_t BgL_arg0z00_8082, obj_t BgL_arg1z00_8083, obj_t BgL_arg2z00_8084)
	{
		{	/* Ast/walk.scm 305 */
			{
				BgL_nodez00_bglt BgL_auxz00_13372;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg2937z00_9408;

					BgL_arg2937z00_9408 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8080)))->BgL_exitz00);
					BgL_auxz00_13372 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8081) (BgL_pz00_8081,
							((obj_t) BgL_arg2937z00_9408), BgL_arg0z00_8082, BgL_arg1z00_8083,
							BgL_arg2z00_8084, BEOA));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8080)))->BgL_exitz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13372), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13386;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg2938z00_9409;

					BgL_arg2938z00_9409 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8080)))->BgL_valuez00);
					BgL_auxz00_13386 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8081) (BgL_pz00_8081,
							((obj_t) BgL_arg2938z00_9409), BgL_arg0z00_8082, BgL_arg1z00_8083,
							BgL_arg2z00_8084, BEOA));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8080)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13386), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8080));
		}

	}



/* &walk2!-jump-ex-it1947 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2jumpzd2exzd2it1947za2zzast_walkz00(obj_t
		BgL_envz00_8085, obj_t BgL_nz00_8086, obj_t BgL_pz00_8087,
		obj_t BgL_arg0z00_8088, obj_t BgL_arg1z00_8089)
	{
		{	/* Ast/walk.scm 305 */
			{
				BgL_nodez00_bglt BgL_auxz00_13402;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg2918z00_9411;

					BgL_arg2918z00_9411 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8086)))->BgL_exitz00);
					BgL_auxz00_13402 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8087) (BgL_pz00_8087,
							((obj_t) BgL_arg2918z00_9411), BgL_arg0z00_8088, BgL_arg1z00_8089,
							BEOA));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8086)))->BgL_exitz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13402), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13415;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg2936z00_9412;

					BgL_arg2936z00_9412 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8086)))->BgL_valuez00);
					BgL_auxz00_13415 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8087) (BgL_pz00_8087,
							((obj_t) BgL_arg2936z00_9412), BgL_arg0z00_8088, BgL_arg1z00_8089,
							BEOA));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8086)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13415), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8086));
		}

	}



/* &walk1!-jump-ex-it1945 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2jumpzd2exzd2it1945za2zzast_walkz00(obj_t
		BgL_envz00_8090, obj_t BgL_nz00_8091, obj_t BgL_pz00_8092,
		obj_t BgL_arg0z00_8093)
	{
		{	/* Ast/walk.scm 305 */
			{
				BgL_nodez00_bglt BgL_auxz00_13430;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg2915z00_9414;

					BgL_arg2915z00_9414 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8091)))->BgL_exitz00);
					BgL_auxz00_13430 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8092) (BgL_pz00_8092,
							((obj_t) BgL_arg2915z00_9414), BgL_arg0z00_8093, BEOA));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8091)))->BgL_exitz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13430), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13442;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg2916z00_9415;

					BgL_arg2916z00_9415 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8091)))->BgL_valuez00);
					BgL_auxz00_13442 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8092) (BgL_pz00_8092,
							((obj_t) BgL_arg2916z00_9415), BgL_arg0z00_8093, BEOA));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8091)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13442), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8091));
		}

	}



/* &walk0!-jump-ex-it1943 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2jumpzd2exzd2it1943za2zzast_walkz00(obj_t
		BgL_envz00_8094, obj_t BgL_nz00_8095, obj_t BgL_pz00_8096)
	{
		{	/* Ast/walk.scm 305 */
			{
				BgL_nodez00_bglt BgL_auxz00_13456;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg2913z00_9417;

					BgL_arg2913z00_9417 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8095)))->BgL_exitz00);
					BgL_auxz00_13456 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8096) (BgL_pz00_8096,
							((obj_t) BgL_arg2913z00_9417), BEOA));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8095)))->BgL_exitz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13456), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13467;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg2914z00_9418;

					BgL_arg2914z00_9418 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8095)))->BgL_valuez00);
					BgL_auxz00_13467 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8096) (BgL_pz00_8096,
							((obj_t) BgL_arg2914z00_9418), BEOA));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8095)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13467), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8095));
		}

	}



/* &walk3*-jump-ex-it1941 */
	obj_t BGl_z62walk3za2zd2jumpzd2exzd2it1941z12zzast_walkz00(obj_t
		BgL_envz00_8097, obj_t BgL_nz00_8098, obj_t BgL_pz00_8099,
		obj_t BgL_arg0z00_8100, obj_t BgL_arg1z00_8101, obj_t BgL_arg2z00_8102)
	{
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				obj_t BgL_res4254z00_9424;

				{	/* Ast/walk.scm 305 */
					obj_t BgL_arg2909z00_9420;
					obj_t BgL_arg2910z00_9421;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2911z00_9422;

						BgL_arg2911z00_9422 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8098)))->BgL_exitz00);
						BgL_arg2909z00_9420 =
							PROCEDURE_ENTRY(BgL_pz00_8099) (BgL_pz00_8099,
							((obj_t) BgL_arg2911z00_9422), BgL_arg0z00_8100, BgL_arg1z00_8101,
							BgL_arg2z00_8102, BEOA);
					}
					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2912z00_9423;

						BgL_arg2912z00_9423 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8098)))->BgL_valuez00);
						BgL_arg2910z00_9421 =
							PROCEDURE_ENTRY(BgL_pz00_8099) (BgL_pz00_8099,
							((obj_t) BgL_arg2912z00_9423), BgL_arg0z00_8100, BgL_arg1z00_8101,
							BgL_arg2z00_8102, BEOA);
					}
					BgL_res4254z00_9424 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2909z00_9420,
						BgL_arg2910z00_9421);
				}
				return BgL_res4254z00_9424;
			}
		}

	}



/* &walk2*-jump-ex-it1939 */
	obj_t BGl_z62walk2za2zd2jumpzd2exzd2it1939z12zzast_walkz00(obj_t
		BgL_envz00_8103, obj_t BgL_nz00_8104, obj_t BgL_pz00_8105,
		obj_t BgL_arg0z00_8106, obj_t BgL_arg1z00_8107)
	{
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				obj_t BgL_res4255z00_9430;

				{	/* Ast/walk.scm 305 */
					obj_t BgL_arg2905z00_9426;
					obj_t BgL_arg2906z00_9427;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2907z00_9428;

						BgL_arg2907z00_9428 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8104)))->BgL_exitz00);
						BgL_arg2905z00_9426 =
							PROCEDURE_ENTRY(BgL_pz00_8105) (BgL_pz00_8105,
							((obj_t) BgL_arg2907z00_9428), BgL_arg0z00_8106, BgL_arg1z00_8107,
							BEOA);
					}
					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2908z00_9429;

						BgL_arg2908z00_9429 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8104)))->BgL_valuez00);
						BgL_arg2906z00_9427 =
							PROCEDURE_ENTRY(BgL_pz00_8105) (BgL_pz00_8105,
							((obj_t) BgL_arg2908z00_9429), BgL_arg0z00_8106, BgL_arg1z00_8107,
							BEOA);
					}
					BgL_res4255z00_9430 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2905z00_9426,
						BgL_arg2906z00_9427);
				}
				return BgL_res4255z00_9430;
			}
		}

	}



/* &walk1*-jump-ex-it1937 */
	obj_t BGl_z62walk1za2zd2jumpzd2exzd2it1937z12zzast_walkz00(obj_t
		BgL_envz00_8108, obj_t BgL_nz00_8109, obj_t BgL_pz00_8110,
		obj_t BgL_arg0z00_8111)
	{
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				obj_t BgL_res4256z00_9436;

				{	/* Ast/walk.scm 305 */
					obj_t BgL_arg2901z00_9432;
					obj_t BgL_arg2902z00_9433;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2903z00_9434;

						BgL_arg2903z00_9434 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8109)))->BgL_exitz00);
						BgL_arg2901z00_9432 =
							PROCEDURE_ENTRY(BgL_pz00_8110) (BgL_pz00_8110,
							((obj_t) BgL_arg2903z00_9434), BgL_arg0z00_8111, BEOA);
					}
					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2904z00_9435;

						BgL_arg2904z00_9435 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8109)))->BgL_valuez00);
						BgL_arg2902z00_9433 =
							PROCEDURE_ENTRY(BgL_pz00_8110) (BgL_pz00_8110,
							((obj_t) BgL_arg2904z00_9435), BgL_arg0z00_8111, BEOA);
					}
					BgL_res4256z00_9436 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2901z00_9432,
						BgL_arg2902z00_9433);
				}
				return BgL_res4256z00_9436;
			}
		}

	}



/* &walk0*-jump-ex-it1935 */
	obj_t BGl_z62walk0za2zd2jumpzd2exzd2it1935z12zzast_walkz00(obj_t
		BgL_envz00_8112, obj_t BgL_nz00_8113, obj_t BgL_pz00_8114)
	{
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				obj_t BgL_res4257z00_9442;

				{	/* Ast/walk.scm 305 */
					obj_t BgL_arg2887z00_9438;
					obj_t BgL_arg2892z00_9439;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2893z00_9440;

						BgL_arg2893z00_9440 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8113)))->BgL_exitz00);
						BgL_arg2887z00_9438 =
							PROCEDURE_ENTRY(BgL_pz00_8114) (BgL_pz00_8114,
							((obj_t) BgL_arg2893z00_9440), BEOA);
					}
					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2894z00_9441;

						BgL_arg2894z00_9441 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8113)))->BgL_valuez00);
						BgL_arg2892z00_9439 =
							PROCEDURE_ENTRY(BgL_pz00_8114) (BgL_pz00_8114,
							((obj_t) BgL_arg2894z00_9441), BEOA);
					}
					BgL_res4257z00_9442 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2887z00_9438,
						BgL_arg2892z00_9439);
				}
				return BgL_res4257z00_9442;
			}
		}

	}



/* &walk3-jump-ex-it1932 */
	obj_t BGl_z62walk3zd2jumpzd2exzd2it1932zb0zzast_walkz00(obj_t BgL_envz00_8115,
		obj_t BgL_nz00_8116, obj_t BgL_pz00_8117, obj_t BgL_arg0z00_8118,
		obj_t BgL_arg1z00_8119, obj_t BgL_arg2z00_8120)
	{
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2885z00_9444;

				BgL_arg2885z00_9444 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8116)))->BgL_exitz00);
				PROCEDURE_ENTRY(BgL_pz00_8117) (BgL_pz00_8117,
					((obj_t) BgL_arg2885z00_9444), BgL_arg0z00_8118, BgL_arg1z00_8119,
					BgL_arg2z00_8120, BEOA);
			}
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2886z00_9445;

				BgL_arg2886z00_9445 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8116)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8117) (BgL_pz00_8117,
					((obj_t) BgL_arg2886z00_9445), BgL_arg0z00_8118, BgL_arg1z00_8119,
					BgL_arg2z00_8120, BEOA);
			}
		}

	}



/* &walk2-jump-ex-it1930 */
	obj_t BGl_z62walk2zd2jumpzd2exzd2it1930zb0zzast_walkz00(obj_t BgL_envz00_8121,
		obj_t BgL_nz00_8122, obj_t BgL_pz00_8123, obj_t BgL_arg0z00_8124,
		obj_t BgL_arg1z00_8125)
	{
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2883z00_9447;

				BgL_arg2883z00_9447 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8122)))->BgL_exitz00);
				PROCEDURE_ENTRY(BgL_pz00_8123) (BgL_pz00_8123,
					((obj_t) BgL_arg2883z00_9447), BgL_arg0z00_8124, BgL_arg1z00_8125,
					BEOA);
			}
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2884z00_9448;

				BgL_arg2884z00_9448 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8122)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8123) (BgL_pz00_8123,
					((obj_t) BgL_arg2884z00_9448), BgL_arg0z00_8124, BgL_arg1z00_8125,
					BEOA);
			}
		}

	}



/* &walk1-jump-ex-it1927 */
	obj_t BGl_z62walk1zd2jumpzd2exzd2it1927zb0zzast_walkz00(obj_t BgL_envz00_8126,
		obj_t BgL_nz00_8127, obj_t BgL_pz00_8128, obj_t BgL_arg0z00_8129)
	{
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2881z00_9450;

				BgL_arg2881z00_9450 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8127)))->BgL_exitz00);
				PROCEDURE_ENTRY(BgL_pz00_8128) (BgL_pz00_8128,
					((obj_t) BgL_arg2881z00_9450), BgL_arg0z00_8129, BEOA);
			}
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2882z00_9451;

				BgL_arg2882z00_9451 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8127)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8128) (BgL_pz00_8128,
					((obj_t) BgL_arg2882z00_9451), BgL_arg0z00_8129, BEOA);
			}
		}

	}



/* &walk0-jump-ex-it1925 */
	obj_t BGl_z62walk0zd2jumpzd2exzd2it1925zb0zzast_walkz00(obj_t BgL_envz00_8130,
		obj_t BgL_nz00_8131, obj_t BgL_pz00_8132)
	{
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2876z00_9453;

				BgL_arg2876z00_9453 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8131)))->BgL_exitz00);
				PROCEDURE_ENTRY(BgL_pz00_8132) (BgL_pz00_8132,
					((obj_t) BgL_arg2876z00_9453), BEOA);
			}
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2880z00_9454;

				BgL_arg2880z00_9454 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8131)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8132) (BgL_pz00_8132,
					((obj_t) BgL_arg2880z00_9454), BEOA);
			}
		}

	}



/* &walk3!-set-ex-it1923 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2setzd2exzd2it1923za2zzast_walkz00(obj_t
		BgL_envz00_8133, obj_t BgL_nz00_8134, obj_t BgL_pz00_8135,
		obj_t BgL_arg0z00_8136, obj_t BgL_arg1z00_8137, obj_t BgL_arg2z00_8138)
	{
		{	/* Ast/walk.scm 304 */
			{
				BgL_nodez00_bglt BgL_auxz00_13620;

				{	/* Ast/walk.scm 304 */
					BgL_nodez00_bglt BgL_arg2875z00_9456;

					BgL_arg2875z00_9456 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8134)))->BgL_bodyz00);
					BgL_auxz00_13620 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8135) (BgL_pz00_8135,
							((obj_t) BgL_arg2875z00_9456), BgL_arg0z00_8136, BgL_arg1z00_8137,
							BgL_arg2z00_8138, BEOA));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8134)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13620), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8134));
		}

	}



/* &walk2!-set-ex-it1921 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2setzd2exzd2it1921za2zzast_walkz00(obj_t
		BgL_envz00_8139, obj_t BgL_nz00_8140, obj_t BgL_pz00_8141,
		obj_t BgL_arg0z00_8142, obj_t BgL_arg1z00_8143)
	{
		{	/* Ast/walk.scm 304 */
			{
				BgL_nodez00_bglt BgL_auxz00_13636;

				{	/* Ast/walk.scm 304 */
					BgL_nodez00_bglt BgL_arg2874z00_9458;

					BgL_arg2874z00_9458 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8140)))->BgL_bodyz00);
					BgL_auxz00_13636 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8141) (BgL_pz00_8141,
							((obj_t) BgL_arg2874z00_9458), BgL_arg0z00_8142, BgL_arg1z00_8143,
							BEOA));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8140)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13636), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8140));
		}

	}



/* &walk1!-set-ex-it1919 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2setzd2exzd2it1919za2zzast_walkz00(obj_t
		BgL_envz00_8144, obj_t BgL_nz00_8145, obj_t BgL_pz00_8146,
		obj_t BgL_arg0z00_8147)
	{
		{	/* Ast/walk.scm 304 */
			{
				BgL_nodez00_bglt BgL_auxz00_13651;

				{	/* Ast/walk.scm 304 */
					BgL_nodez00_bglt BgL_arg2873z00_9460;

					BgL_arg2873z00_9460 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8145)))->BgL_bodyz00);
					BgL_auxz00_13651 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8146) (BgL_pz00_8146,
							((obj_t) BgL_arg2873z00_9460), BgL_arg0z00_8147, BEOA));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8145)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13651), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8145));
		}

	}



/* &walk0!-set-ex-it1917 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2setzd2exzd2it1917za2zzast_walkz00(obj_t
		BgL_envz00_8148, obj_t BgL_nz00_8149, obj_t BgL_pz00_8150)
	{
		{	/* Ast/walk.scm 304 */
			{
				BgL_nodez00_bglt BgL_auxz00_13665;

				{	/* Ast/walk.scm 304 */
					BgL_nodez00_bglt BgL_arg2872z00_9462;

					BgL_arg2872z00_9462 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8149)))->BgL_bodyz00);
					BgL_auxz00_13665 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8150) (BgL_pz00_8150,
							((obj_t) BgL_arg2872z00_9462), BEOA));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8149)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13665), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8149));
		}

	}



/* &walk3*-set-ex-it1915 */
	obj_t BGl_z62walk3za2zd2setzd2exzd2it1915z12zzast_walkz00(obj_t
		BgL_envz00_8151, obj_t BgL_nz00_8152, obj_t BgL_pz00_8153,
		obj_t BgL_arg0z00_8154, obj_t BgL_arg1z00_8155, obj_t BgL_arg2z00_8156)
	{
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				obj_t BgL_res4258z00_9467;

				{	/* Ast/walk.scm 304 */
					obj_t BgL_arg2869z00_9464;

					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg2871z00_9465;

						BgL_arg2871z00_9465 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8152)))->BgL_bodyz00);
						BgL_arg2869z00_9464 =
							PROCEDURE_ENTRY(BgL_pz00_8153) (BgL_pz00_8153,
							((obj_t) BgL_arg2871z00_9465), BgL_arg0z00_8154, BgL_arg1z00_8155,
							BgL_arg2z00_8156, BEOA);
					}
					{	/* Ast/walk.scm 304 */
						obj_t BgL_list2870z00_9466;

						BgL_list2870z00_9466 = MAKE_YOUNG_PAIR(BgL_arg2869z00_9464, BNIL);
						BgL_res4258z00_9467 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2870z00_9466);
					}
				}
				return BgL_res4258z00_9467;
			}
		}

	}



/* &walk2*-set-ex-it1913 */
	obj_t BGl_z62walk2za2zd2setzd2exzd2it1913z12zzast_walkz00(obj_t
		BgL_envz00_8157, obj_t BgL_nz00_8158, obj_t BgL_pz00_8159,
		obj_t BgL_arg0z00_8160, obj_t BgL_arg1z00_8161)
	{
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				obj_t BgL_res4259z00_9472;

				{	/* Ast/walk.scm 304 */
					obj_t BgL_arg2863z00_9469;

					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg2867z00_9470;

						BgL_arg2867z00_9470 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8158)))->BgL_bodyz00);
						BgL_arg2863z00_9469 =
							PROCEDURE_ENTRY(BgL_pz00_8159) (BgL_pz00_8159,
							((obj_t) BgL_arg2867z00_9470), BgL_arg0z00_8160, BgL_arg1z00_8161,
							BEOA);
					}
					{	/* Ast/walk.scm 304 */
						obj_t BgL_list2864z00_9471;

						BgL_list2864z00_9471 = MAKE_YOUNG_PAIR(BgL_arg2863z00_9469, BNIL);
						BgL_res4259z00_9472 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2864z00_9471);
					}
				}
				return BgL_res4259z00_9472;
			}
		}

	}



/* &walk1*-set-ex-it1911 */
	obj_t BGl_z62walk1za2zd2setzd2exzd2it1911z12zzast_walkz00(obj_t
		BgL_envz00_8162, obj_t BgL_nz00_8163, obj_t BgL_pz00_8164,
		obj_t BgL_arg0z00_8165)
	{
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				obj_t BgL_res4260z00_9477;

				{	/* Ast/walk.scm 304 */
					obj_t BgL_arg2860z00_9474;

					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg2862z00_9475;

						BgL_arg2862z00_9475 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8163)))->BgL_bodyz00);
						BgL_arg2860z00_9474 =
							PROCEDURE_ENTRY(BgL_pz00_8164) (BgL_pz00_8164,
							((obj_t) BgL_arg2862z00_9475), BgL_arg0z00_8165, BEOA);
					}
					{	/* Ast/walk.scm 304 */
						obj_t BgL_list2861z00_9476;

						BgL_list2861z00_9476 = MAKE_YOUNG_PAIR(BgL_arg2860z00_9474, BNIL);
						BgL_res4260z00_9477 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2861z00_9476);
					}
				}
				return BgL_res4260z00_9477;
			}
		}

	}



/* &walk0*-set-ex-it1909 */
	obj_t BGl_z62walk0za2zd2setzd2exzd2it1909z12zzast_walkz00(obj_t
		BgL_envz00_8166, obj_t BgL_nz00_8167, obj_t BgL_pz00_8168)
	{
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				obj_t BgL_res4261z00_9482;

				{	/* Ast/walk.scm 304 */
					obj_t BgL_arg2856z00_9479;

					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg2859z00_9480;

						BgL_arg2859z00_9480 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8167)))->BgL_bodyz00);
						BgL_arg2856z00_9479 =
							PROCEDURE_ENTRY(BgL_pz00_8168) (BgL_pz00_8168,
							((obj_t) BgL_arg2859z00_9480), BEOA);
					}
					{	/* Ast/walk.scm 304 */
						obj_t BgL_list2857z00_9481;

						BgL_list2857z00_9481 = MAKE_YOUNG_PAIR(BgL_arg2856z00_9479, BNIL);
						BgL_res4261z00_9482 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2857z00_9481);
					}
				}
				return BgL_res4261z00_9482;
			}
		}

	}



/* &walk3-set-ex-it1907 */
	obj_t BGl_z62walk3zd2setzd2exzd2it1907zb0zzast_walkz00(obj_t BgL_envz00_8169,
		obj_t BgL_nz00_8170, obj_t BgL_pz00_8171, obj_t BgL_arg0z00_8172,
		obj_t BgL_arg1z00_8173, obj_t BgL_arg2z00_8174)
	{
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				BgL_nodez00_bglt BgL_arg2855z00_9484;

				BgL_arg2855z00_9484 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8170)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8171) (BgL_pz00_8171,
					((obj_t) BgL_arg2855z00_9484), BgL_arg0z00_8172, BgL_arg1z00_8173,
					BgL_arg2z00_8174, BEOA);
			}
		}

	}



/* &walk2-set-ex-it1905 */
	obj_t BGl_z62walk2zd2setzd2exzd2it1905zb0zzast_walkz00(obj_t BgL_envz00_8175,
		obj_t BgL_nz00_8176, obj_t BgL_pz00_8177, obj_t BgL_arg0z00_8178,
		obj_t BgL_arg1z00_8179)
	{
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				BgL_nodez00_bglt BgL_arg2854z00_9486;

				BgL_arg2854z00_9486 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8176)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8177) (BgL_pz00_8177,
					((obj_t) BgL_arg2854z00_9486), BgL_arg0z00_8178, BgL_arg1z00_8179,
					BEOA);
			}
		}

	}



/* &walk1-set-ex-it1903 */
	obj_t BGl_z62walk1zd2setzd2exzd2it1903zb0zzast_walkz00(obj_t BgL_envz00_8180,
		obj_t BgL_nz00_8181, obj_t BgL_pz00_8182, obj_t BgL_arg0z00_8183)
	{
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				BgL_nodez00_bglt BgL_arg2853z00_9488;

				BgL_arg2853z00_9488 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8181)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8182) (BgL_pz00_8182,
					((obj_t) BgL_arg2853z00_9488), BgL_arg0z00_8183, BEOA);
			}
		}

	}



/* &walk0-set-ex-it1901 */
	obj_t BGl_z62walk0zd2setzd2exzd2it1901zb0zzast_walkz00(obj_t BgL_envz00_8184,
		obj_t BgL_nz00_8185, obj_t BgL_pz00_8186)
	{
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				BgL_nodez00_bglt BgL_arg2851z00_9490;

				BgL_arg2851z00_9490 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8185)))->BgL_bodyz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8186) (BgL_pz00_8186,
					((obj_t) BgL_arg2851z00_9490), BEOA);
			}
		}

	}



/* &walk3!-fail1899 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2fail1899za2zzast_walkz00(obj_t
		BgL_envz00_8187, obj_t BgL_nz00_8188, obj_t BgL_pz00_8189,
		obj_t BgL_arg0z00_8190, obj_t BgL_arg1z00_8191, obj_t BgL_arg2z00_8192)
	{
		{	/* Ast/walk.scm 303 */
			{
				BgL_nodez00_bglt BgL_auxz00_13754;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2847z00_9492;

					BgL_arg2847z00_9492 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8188)))->BgL_procz00);
					BgL_auxz00_13754 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8189) (BgL_pz00_8189,
							((obj_t) BgL_arg2847z00_9492), BgL_arg0z00_8190, BgL_arg1z00_8191,
							BgL_arg2z00_8192, BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8188)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13754), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13768;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2849z00_9493;

					BgL_arg2849z00_9493 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8188)))->BgL_msgz00);
					BgL_auxz00_13768 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8189) (BgL_pz00_8189,
							((obj_t) BgL_arg2849z00_9493), BgL_arg0z00_8190, BgL_arg1z00_8191,
							BgL_arg2z00_8192, BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8188)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13768), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13782;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2850z00_9494;

					BgL_arg2850z00_9494 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8188)))->BgL_objz00);
					BgL_auxz00_13782 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8189) (BgL_pz00_8189,
							((obj_t) BgL_arg2850z00_9494), BgL_arg0z00_8190, BgL_arg1z00_8191,
							BgL_arg2z00_8192, BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8188)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13782), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nz00_8188));
		}

	}



/* &walk2!-fail1897 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2fail1897za2zzast_walkz00(obj_t
		BgL_envz00_8193, obj_t BgL_nz00_8194, obj_t BgL_pz00_8195,
		obj_t BgL_arg0z00_8196, obj_t BgL_arg1z00_8197)
	{
		{	/* Ast/walk.scm 303 */
			{
				BgL_nodez00_bglt BgL_auxz00_13798;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2844z00_9496;

					BgL_arg2844z00_9496 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8194)))->BgL_procz00);
					BgL_auxz00_13798 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8195) (BgL_pz00_8195,
							((obj_t) BgL_arg2844z00_9496), BgL_arg0z00_8196, BgL_arg1z00_8197,
							BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8194)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13798), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13811;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2845z00_9497;

					BgL_arg2845z00_9497 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8194)))->BgL_msgz00);
					BgL_auxz00_13811 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8195) (BgL_pz00_8195,
							((obj_t) BgL_arg2845z00_9497), BgL_arg0z00_8196, BgL_arg1z00_8197,
							BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8194)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13811), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13824;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2846z00_9498;

					BgL_arg2846z00_9498 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8194)))->BgL_objz00);
					BgL_auxz00_13824 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8195) (BgL_pz00_8195,
							((obj_t) BgL_arg2846z00_9498), BgL_arg0z00_8196, BgL_arg1z00_8197,
							BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8194)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13824), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nz00_8194));
		}

	}



/* &walk1!-fail1895 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2fail1895za2zzast_walkz00(obj_t
		BgL_envz00_8198, obj_t BgL_nz00_8199, obj_t BgL_pz00_8200,
		obj_t BgL_arg0z00_8201)
	{
		{	/* Ast/walk.scm 303 */
			{
				BgL_nodez00_bglt BgL_auxz00_13839;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2826z00_9500;

					BgL_arg2826z00_9500 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8199)))->BgL_procz00);
					BgL_auxz00_13839 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8200) (BgL_pz00_8200,
							((obj_t) BgL_arg2826z00_9500), BgL_arg0z00_8201, BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8199)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13839), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13851;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2831z00_9501;

					BgL_arg2831z00_9501 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8199)))->BgL_msgz00);
					BgL_auxz00_13851 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8200) (BgL_pz00_8200,
							((obj_t) BgL_arg2831z00_9501), BgL_arg0z00_8201, BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8199)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13851), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13863;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2842z00_9502;

					BgL_arg2842z00_9502 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8199)))->BgL_objz00);
					BgL_auxz00_13863 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8200) (BgL_pz00_8200,
							((obj_t) BgL_arg2842z00_9502), BgL_arg0z00_8201, BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8199)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13863), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nz00_8199));
		}

	}



/* &walk0!-fail1893 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2fail1893za2zzast_walkz00(obj_t
		BgL_envz00_8202, obj_t BgL_nz00_8203, obj_t BgL_pz00_8204)
	{
		{	/* Ast/walk.scm 303 */
			{
				BgL_nodez00_bglt BgL_auxz00_13877;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2821z00_9504;

					BgL_arg2821z00_9504 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8203)))->BgL_procz00);
					BgL_auxz00_13877 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8204) (BgL_pz00_8204,
							((obj_t) BgL_arg2821z00_9504), BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8203)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13877), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13888;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2822z00_9505;

					BgL_arg2822z00_9505 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8203)))->BgL_msgz00);
					BgL_auxz00_13888 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8204) (BgL_pz00_8204,
							((obj_t) BgL_arg2822z00_9505), BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8203)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13888), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13899;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2825z00_9506;

					BgL_arg2825z00_9506 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8203)))->BgL_objz00);
					BgL_auxz00_13899 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8204) (BgL_pz00_8204,
							((obj_t) BgL_arg2825z00_9506), BEOA));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8203)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13899), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nz00_8203));
		}

	}



/* &walk3*-fail1891 */
	obj_t BGl_z62walk3za2zd2fail1891z12zzast_walkz00(obj_t BgL_envz00_8205,
		obj_t BgL_nz00_8206, obj_t BgL_pz00_8207, obj_t BgL_arg0z00_8208,
		obj_t BgL_arg1z00_8209, obj_t BgL_arg2z00_8210)
	{
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				obj_t BgL_res4262z00_9517;

				{	/* Ast/walk.scm 303 */
					obj_t BgL_arg2812z00_9508;
					obj_t BgL_arg2813z00_9509;
					obj_t BgL_arg2814z00_9510;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2818z00_9511;

						BgL_arg2818z00_9511 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8206)))->BgL_procz00);
						BgL_arg2812z00_9508 =
							PROCEDURE_ENTRY(BgL_pz00_8207) (BgL_pz00_8207,
							((obj_t) BgL_arg2818z00_9511), BgL_arg0z00_8208, BgL_arg1z00_8209,
							BgL_arg2z00_8210, BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2819z00_9512;

						BgL_arg2819z00_9512 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8206)))->BgL_msgz00);
						BgL_arg2813z00_9509 =
							PROCEDURE_ENTRY(BgL_pz00_8207) (BgL_pz00_8207,
							((obj_t) BgL_arg2819z00_9512), BgL_arg0z00_8208, BgL_arg1z00_8209,
							BgL_arg2z00_8210, BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2820z00_9513;

						BgL_arg2820z00_9513 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8206)))->BgL_objz00);
						BgL_arg2814z00_9510 =
							PROCEDURE_ENTRY(BgL_pz00_8207) (BgL_pz00_8207,
							((obj_t) BgL_arg2820z00_9513), BgL_arg0z00_8208, BgL_arg1z00_8209,
							BgL_arg2z00_8210, BEOA);
					}
					{	/* Ast/walk.scm 303 */
						obj_t BgL_list2815z00_9514;

						{	/* Ast/walk.scm 303 */
							obj_t BgL_arg2816z00_9515;

							{	/* Ast/walk.scm 303 */
								obj_t BgL_arg2817z00_9516;

								BgL_arg2817z00_9516 =
									MAKE_YOUNG_PAIR(BgL_arg2814z00_9510, BNIL);
								BgL_arg2816z00_9515 =
									MAKE_YOUNG_PAIR(BgL_arg2813z00_9509, BgL_arg2817z00_9516);
							}
							BgL_list2815z00_9514 =
								MAKE_YOUNG_PAIR(BgL_arg2812z00_9508, BgL_arg2816z00_9515);
						}
						BgL_res4262z00_9517 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2815z00_9514);
					}
				}
				return BgL_res4262z00_9517;
			}
		}

	}



/* &walk2*-fail1889 */
	obj_t BGl_z62walk2za2zd2fail1889z12zzast_walkz00(obj_t BgL_envz00_8211,
		obj_t BgL_nz00_8212, obj_t BgL_pz00_8213, obj_t BgL_arg0z00_8214,
		obj_t BgL_arg1z00_8215)
	{
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				obj_t BgL_res4263z00_9528;

				{	/* Ast/walk.scm 303 */
					obj_t BgL_arg2797z00_9519;
					obj_t BgL_arg2798z00_9520;
					obj_t BgL_arg2799z00_9521;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2805z00_9522;

						BgL_arg2805z00_9522 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8212)))->BgL_procz00);
						BgL_arg2797z00_9519 =
							PROCEDURE_ENTRY(BgL_pz00_8213) (BgL_pz00_8213,
							((obj_t) BgL_arg2805z00_9522), BgL_arg0z00_8214, BgL_arg1z00_8215,
							BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2808z00_9523;

						BgL_arg2808z00_9523 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8212)))->BgL_msgz00);
						BgL_arg2798z00_9520 =
							PROCEDURE_ENTRY(BgL_pz00_8213) (BgL_pz00_8213,
							((obj_t) BgL_arg2808z00_9523), BgL_arg0z00_8214, BgL_arg1z00_8215,
							BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2809z00_9524;

						BgL_arg2809z00_9524 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8212)))->BgL_objz00);
						BgL_arg2799z00_9521 =
							PROCEDURE_ENTRY(BgL_pz00_8213) (BgL_pz00_8213,
							((obj_t) BgL_arg2809z00_9524), BgL_arg0z00_8214, BgL_arg1z00_8215,
							BEOA);
					}
					{	/* Ast/walk.scm 303 */
						obj_t BgL_list2800z00_9525;

						{	/* Ast/walk.scm 303 */
							obj_t BgL_arg2801z00_9526;

							{	/* Ast/walk.scm 303 */
								obj_t BgL_arg2804z00_9527;

								BgL_arg2804z00_9527 =
									MAKE_YOUNG_PAIR(BgL_arg2799z00_9521, BNIL);
								BgL_arg2801z00_9526 =
									MAKE_YOUNG_PAIR(BgL_arg2798z00_9520, BgL_arg2804z00_9527);
							}
							BgL_list2800z00_9525 =
								MAKE_YOUNG_PAIR(BgL_arg2797z00_9519, BgL_arg2801z00_9526);
						}
						BgL_res4263z00_9528 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2800z00_9525);
					}
				}
				return BgL_res4263z00_9528;
			}
		}

	}



/* &walk1*-fail1887 */
	obj_t BGl_z62walk1za2zd2fail1887z12zzast_walkz00(obj_t BgL_envz00_8216,
		obj_t BgL_nz00_8217, obj_t BgL_pz00_8218, obj_t BgL_arg0z00_8219)
	{
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				obj_t BgL_res4264z00_9539;

				{	/* Ast/walk.scm 303 */
					obj_t BgL_arg2784z00_9530;
					obj_t BgL_arg2785z00_9531;
					obj_t BgL_arg2788z00_9532;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2793z00_9533;

						BgL_arg2793z00_9533 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8217)))->BgL_procz00);
						BgL_arg2784z00_9530 =
							PROCEDURE_ENTRY(BgL_pz00_8218) (BgL_pz00_8218,
							((obj_t) BgL_arg2793z00_9533), BgL_arg0z00_8219, BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2794z00_9534;

						BgL_arg2794z00_9534 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8217)))->BgL_msgz00);
						BgL_arg2785z00_9531 =
							PROCEDURE_ENTRY(BgL_pz00_8218) (BgL_pz00_8218,
							((obj_t) BgL_arg2794z00_9534), BgL_arg0z00_8219, BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2795z00_9535;

						BgL_arg2795z00_9535 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8217)))->BgL_objz00);
						BgL_arg2788z00_9532 =
							PROCEDURE_ENTRY(BgL_pz00_8218) (BgL_pz00_8218,
							((obj_t) BgL_arg2795z00_9535), BgL_arg0z00_8219, BEOA);
					}
					{	/* Ast/walk.scm 303 */
						obj_t BgL_list2789z00_9536;

						{	/* Ast/walk.scm 303 */
							obj_t BgL_arg2790z00_9537;

							{	/* Ast/walk.scm 303 */
								obj_t BgL_arg2791z00_9538;

								BgL_arg2791z00_9538 =
									MAKE_YOUNG_PAIR(BgL_arg2788z00_9532, BNIL);
								BgL_arg2790z00_9537 =
									MAKE_YOUNG_PAIR(BgL_arg2785z00_9531, BgL_arg2791z00_9538);
							}
							BgL_list2789z00_9536 =
								MAKE_YOUNG_PAIR(BgL_arg2784z00_9530, BgL_arg2790z00_9537);
						}
						BgL_res4264z00_9539 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2789z00_9536);
					}
				}
				return BgL_res4264z00_9539;
			}
		}

	}



/* &walk0*-fail1885 */
	obj_t BGl_z62walk0za2zd2fail1885z12zzast_walkz00(obj_t BgL_envz00_8220,
		obj_t BgL_nz00_8221, obj_t BgL_pz00_8222)
	{
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				obj_t BgL_res4265z00_9550;

				{	/* Ast/walk.scm 303 */
					obj_t BgL_arg2768z00_9541;
					obj_t BgL_arg2769z00_9542;
					obj_t BgL_arg2771z00_9543;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2778z00_9544;

						BgL_arg2778z00_9544 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8221)))->BgL_procz00);
						BgL_arg2768z00_9541 =
							PROCEDURE_ENTRY(BgL_pz00_8222) (BgL_pz00_8222,
							((obj_t) BgL_arg2778z00_9544), BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2780z00_9545;

						BgL_arg2780z00_9545 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8221)))->BgL_msgz00);
						BgL_arg2769z00_9542 =
							PROCEDURE_ENTRY(BgL_pz00_8222) (BgL_pz00_8222,
							((obj_t) BgL_arg2780z00_9545), BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2781z00_9546;

						BgL_arg2781z00_9546 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8221)))->BgL_objz00);
						BgL_arg2771z00_9543 =
							PROCEDURE_ENTRY(BgL_pz00_8222) (BgL_pz00_8222,
							((obj_t) BgL_arg2781z00_9546), BEOA);
					}
					{	/* Ast/walk.scm 303 */
						obj_t BgL_list2772z00_9547;

						{	/* Ast/walk.scm 303 */
							obj_t BgL_arg2773z00_9548;

							{	/* Ast/walk.scm 303 */
								obj_t BgL_arg2777z00_9549;

								BgL_arg2777z00_9549 =
									MAKE_YOUNG_PAIR(BgL_arg2771z00_9543, BNIL);
								BgL_arg2773z00_9548 =
									MAKE_YOUNG_PAIR(BgL_arg2769z00_9542, BgL_arg2777z00_9549);
							}
							BgL_list2772z00_9547 =
								MAKE_YOUNG_PAIR(BgL_arg2768z00_9541, BgL_arg2773z00_9548);
						}
						BgL_res4265z00_9550 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2772z00_9547);
					}
				}
				return BgL_res4265z00_9550;
			}
		}

	}



/* &walk3-fail1883 */
	obj_t BGl_z62walk3zd2fail1883zb0zzast_walkz00(obj_t BgL_envz00_8223,
		obj_t BgL_nz00_8224, obj_t BgL_pz00_8225, obj_t BgL_arg0z00_8226,
		obj_t BgL_arg1z00_8227, obj_t BgL_arg2z00_8228)
	{
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2761z00_9552;

				BgL_arg2761z00_9552 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8224)))->BgL_procz00);
				PROCEDURE_ENTRY(BgL_pz00_8225) (BgL_pz00_8225,
					((obj_t) BgL_arg2761z00_9552), BgL_arg0z00_8226, BgL_arg1z00_8227,
					BgL_arg2z00_8228, BEOA);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2764z00_9553;

				BgL_arg2764z00_9553 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8224)))->BgL_msgz00);
				PROCEDURE_ENTRY(BgL_pz00_8225) (BgL_pz00_8225,
					((obj_t) BgL_arg2764z00_9553), BgL_arg0z00_8226, BgL_arg1z00_8227,
					BgL_arg2z00_8228, BEOA);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2767z00_9554;

				BgL_arg2767z00_9554 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8224)))->BgL_objz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8225) (BgL_pz00_8225,
					((obj_t) BgL_arg2767z00_9554), BgL_arg0z00_8226, BgL_arg1z00_8227,
					BgL_arg2z00_8228, BEOA);
			}
		}

	}



/* &walk2-fail1881 */
	obj_t BGl_z62walk2zd2fail1881zb0zzast_walkz00(obj_t BgL_envz00_8229,
		obj_t BgL_nz00_8230, obj_t BgL_pz00_8231, obj_t BgL_arg0z00_8232,
		obj_t BgL_arg1z00_8233)
	{
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2754z00_9556;

				BgL_arg2754z00_9556 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8230)))->BgL_procz00);
				PROCEDURE_ENTRY(BgL_pz00_8231) (BgL_pz00_8231,
					((obj_t) BgL_arg2754z00_9556), BgL_arg0z00_8232, BgL_arg1z00_8233,
					BEOA);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2755z00_9557;

				BgL_arg2755z00_9557 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8230)))->BgL_msgz00);
				PROCEDURE_ENTRY(BgL_pz00_8231) (BgL_pz00_8231,
					((obj_t) BgL_arg2755z00_9557), BgL_arg0z00_8232, BgL_arg1z00_8233,
					BEOA);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2758z00_9558;

				BgL_arg2758z00_9558 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8230)))->BgL_objz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8231) (BgL_pz00_8231,
					((obj_t) BgL_arg2758z00_9558), BgL_arg0z00_8232, BgL_arg1z00_8233,
					BEOA);
			}
		}

	}



/* &walk1-fail1879 */
	obj_t BGl_z62walk1zd2fail1879zb0zzast_walkz00(obj_t BgL_envz00_8234,
		obj_t BgL_nz00_8235, obj_t BgL_pz00_8236, obj_t BgL_arg0z00_8237)
	{
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2751z00_9560;

				BgL_arg2751z00_9560 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8235)))->BgL_procz00);
				PROCEDURE_ENTRY(BgL_pz00_8236) (BgL_pz00_8236,
					((obj_t) BgL_arg2751z00_9560), BgL_arg0z00_8237, BEOA);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2752z00_9561;

				BgL_arg2752z00_9561 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8235)))->BgL_msgz00);
				PROCEDURE_ENTRY(BgL_pz00_8236) (BgL_pz00_8236,
					((obj_t) BgL_arg2752z00_9561), BgL_arg0z00_8237, BEOA);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2753z00_9562;

				BgL_arg2753z00_9562 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8235)))->BgL_objz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8236) (BgL_pz00_8236,
					((obj_t) BgL_arg2753z00_9562), BgL_arg0z00_8237, BEOA);
			}
		}

	}



/* &walk0-fail1877 */
	obj_t BGl_z62walk0zd2fail1877zb0zzast_walkz00(obj_t BgL_envz00_8238,
		obj_t BgL_nz00_8239, obj_t BgL_pz00_8240)
	{
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2747z00_9564;

				BgL_arg2747z00_9564 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8239)))->BgL_procz00);
				PROCEDURE_ENTRY(BgL_pz00_8240) (BgL_pz00_8240,
					((obj_t) BgL_arg2747z00_9564), BEOA);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2748z00_9565;

				BgL_arg2748z00_9565 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8239)))->BgL_msgz00);
				PROCEDURE_ENTRY(BgL_pz00_8240) (BgL_pz00_8240,
					((obj_t) BgL_arg2748z00_9565), BEOA);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2749z00_9566;

				BgL_arg2749z00_9566 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8239)))->BgL_objz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8240) (BgL_pz00_8240,
					((obj_t) BgL_arg2749z00_9566), BEOA);
			}
		}

	}



/* &walk3!-conditional1875 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2conditional1875za2zzast_walkz00(obj_t
		BgL_envz00_8241, obj_t BgL_nz00_8242, obj_t BgL_pz00_8243,
		obj_t BgL_arg0z00_8244, obj_t BgL_arg1z00_8245, obj_t BgL_arg2z00_8246)
	{
		{	/* Ast/walk.scm 302 */
			{
				BgL_nodez00_bglt BgL_auxz00_14132;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2742z00_9568;

					BgL_arg2742z00_9568 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8242)))->BgL_testz00);
					BgL_auxz00_14132 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8243) (BgL_pz00_8243,
							((obj_t) BgL_arg2742z00_9568), BgL_arg0z00_8244, BgL_arg1z00_8245,
							BgL_arg2z00_8246, BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8242)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14132), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14146;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2744z00_9569;

					BgL_arg2744z00_9569 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8242)))->BgL_truez00);
					BgL_auxz00_14146 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8243) (BgL_pz00_8243,
							((obj_t) BgL_arg2744z00_9569), BgL_arg0z00_8244, BgL_arg1z00_8245,
							BgL_arg2z00_8246, BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8242)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14146), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14160;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2745z00_9570;

					BgL_arg2745z00_9570 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8242)))->BgL_falsez00);
					BgL_auxz00_14160 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8243) (BgL_pz00_8243,
							((obj_t) BgL_arg2745z00_9570), BgL_arg0z00_8244, BgL_arg1z00_8245,
							BgL_arg2z00_8246, BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8242)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14160), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nz00_8242));
		}

	}



/* &walk2!-conditional1873 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2conditional1873za2zzast_walkz00(obj_t
		BgL_envz00_8247, obj_t BgL_nz00_8248, obj_t BgL_pz00_8249,
		obj_t BgL_arg0z00_8250, obj_t BgL_arg1z00_8251)
	{
		{	/* Ast/walk.scm 302 */
			{
				BgL_nodez00_bglt BgL_auxz00_14176;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2738z00_9572;

					BgL_arg2738z00_9572 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8248)))->BgL_testz00);
					BgL_auxz00_14176 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8249) (BgL_pz00_8249,
							((obj_t) BgL_arg2738z00_9572), BgL_arg0z00_8250, BgL_arg1z00_8251,
							BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8248)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14176), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14189;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2739z00_9573;

					BgL_arg2739z00_9573 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8248)))->BgL_truez00);
					BgL_auxz00_14189 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8249) (BgL_pz00_8249,
							((obj_t) BgL_arg2739z00_9573), BgL_arg0z00_8250, BgL_arg1z00_8251,
							BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8248)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14189), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14202;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2741z00_9574;

					BgL_arg2741z00_9574 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8248)))->BgL_falsez00);
					BgL_auxz00_14202 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8249) (BgL_pz00_8249,
							((obj_t) BgL_arg2741z00_9574), BgL_arg0z00_8250, BgL_arg1z00_8251,
							BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8248)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14202), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nz00_8248));
		}

	}



/* &walk1!-conditional1871 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2conditional1871za2zzast_walkz00(obj_t
		BgL_envz00_8252, obj_t BgL_nz00_8253, obj_t BgL_pz00_8254,
		obj_t BgL_arg0z00_8255)
	{
		{	/* Ast/walk.scm 302 */
			{
				BgL_nodez00_bglt BgL_auxz00_14217;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2731z00_9576;

					BgL_arg2731z00_9576 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8253)))->BgL_testz00);
					BgL_auxz00_14217 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8254) (BgL_pz00_8254,
							((obj_t) BgL_arg2731z00_9576), BgL_arg0z00_8255, BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8253)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14217), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14229;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2733z00_9577;

					BgL_arg2733z00_9577 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8253)))->BgL_truez00);
					BgL_auxz00_14229 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8254) (BgL_pz00_8254,
							((obj_t) BgL_arg2733z00_9577), BgL_arg0z00_8255, BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8253)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14229), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14241;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2734z00_9578;

					BgL_arg2734z00_9578 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8253)))->BgL_falsez00);
					BgL_auxz00_14241 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8254) (BgL_pz00_8254,
							((obj_t) BgL_arg2734z00_9578), BgL_arg0z00_8255, BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8253)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14241), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nz00_8253));
		}

	}



/* &walk0!-conditional1869 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2conditional1869za2zzast_walkz00(obj_t
		BgL_envz00_8256, obj_t BgL_nz00_8257, obj_t BgL_pz00_8258)
	{
		{	/* Ast/walk.scm 302 */
			{
				BgL_nodez00_bglt BgL_auxz00_14255;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2727z00_9580;

					BgL_arg2727z00_9580 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8257)))->BgL_testz00);
					BgL_auxz00_14255 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8258) (BgL_pz00_8258,
							((obj_t) BgL_arg2727z00_9580), BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8257)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14255), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14266;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2729z00_9581;

					BgL_arg2729z00_9581 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8257)))->BgL_truez00);
					BgL_auxz00_14266 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8258) (BgL_pz00_8258,
							((obj_t) BgL_arg2729z00_9581), BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8257)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14266), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14277;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2730z00_9582;

					BgL_arg2730z00_9582 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8257)))->BgL_falsez00);
					BgL_auxz00_14277 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8258) (BgL_pz00_8258,
							((obj_t) BgL_arg2730z00_9582), BEOA));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8257)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14277), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nz00_8257));
		}

	}



/* &walk3*-conditional1867 */
	obj_t BGl_z62walk3za2zd2conditional1867z12zzast_walkz00(obj_t BgL_envz00_8259,
		obj_t BgL_nz00_8260, obj_t BgL_pz00_8261, obj_t BgL_arg0z00_8262,
		obj_t BgL_arg1z00_8263, obj_t BgL_arg2z00_8264)
	{
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				obj_t BgL_res4266z00_9593;

				{	/* Ast/walk.scm 302 */
					obj_t BgL_arg2716z00_9584;
					obj_t BgL_arg2717z00_9585;
					obj_t BgL_arg2718z00_9586;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2723z00_9587;

						BgL_arg2723z00_9587 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8260)))->BgL_testz00);
						BgL_arg2716z00_9584 =
							PROCEDURE_ENTRY(BgL_pz00_8261) (BgL_pz00_8261,
							((obj_t) BgL_arg2723z00_9587), BgL_arg0z00_8262, BgL_arg1z00_8263,
							BgL_arg2z00_8264, BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2724z00_9588;

						BgL_arg2724z00_9588 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8260)))->BgL_truez00);
						BgL_arg2717z00_9585 =
							PROCEDURE_ENTRY(BgL_pz00_8261) (BgL_pz00_8261,
							((obj_t) BgL_arg2724z00_9588), BgL_arg0z00_8262, BgL_arg1z00_8263,
							BgL_arg2z00_8264, BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2726z00_9589;

						BgL_arg2726z00_9589 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8260)))->BgL_falsez00);
						BgL_arg2718z00_9586 =
							PROCEDURE_ENTRY(BgL_pz00_8261) (BgL_pz00_8261,
							((obj_t) BgL_arg2726z00_9589), BgL_arg0z00_8262, BgL_arg1z00_8263,
							BgL_arg2z00_8264, BEOA);
					}
					{	/* Ast/walk.scm 302 */
						obj_t BgL_list2719z00_9590;

						{	/* Ast/walk.scm 302 */
							obj_t BgL_arg2720z00_9591;

							{	/* Ast/walk.scm 302 */
								obj_t BgL_arg2722z00_9592;

								BgL_arg2722z00_9592 =
									MAKE_YOUNG_PAIR(BgL_arg2718z00_9586, BNIL);
								BgL_arg2720z00_9591 =
									MAKE_YOUNG_PAIR(BgL_arg2717z00_9585, BgL_arg2722z00_9592);
							}
							BgL_list2719z00_9590 =
								MAKE_YOUNG_PAIR(BgL_arg2716z00_9584, BgL_arg2720z00_9591);
						}
						BgL_res4266z00_9593 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2719z00_9590);
					}
				}
				return BgL_res4266z00_9593;
			}
		}

	}



/* &walk2*-conditional1865 */
	obj_t BGl_z62walk2za2zd2conditional1865z12zzast_walkz00(obj_t BgL_envz00_8265,
		obj_t BgL_nz00_8266, obj_t BgL_pz00_8267, obj_t BgL_arg0z00_8268,
		obj_t BgL_arg1z00_8269)
	{
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				obj_t BgL_res4267z00_9604;

				{	/* Ast/walk.scm 302 */
					obj_t BgL_arg2706z00_9595;
					obj_t BgL_arg2707z00_9596;
					obj_t BgL_arg2708z00_9597;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2712z00_9598;

						BgL_arg2712z00_9598 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8266)))->BgL_testz00);
						BgL_arg2706z00_9595 =
							PROCEDURE_ENTRY(BgL_pz00_8267) (BgL_pz00_8267,
							((obj_t) BgL_arg2712z00_9598), BgL_arg0z00_8268, BgL_arg1z00_8269,
							BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2714z00_9599;

						BgL_arg2714z00_9599 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8266)))->BgL_truez00);
						BgL_arg2707z00_9596 =
							PROCEDURE_ENTRY(BgL_pz00_8267) (BgL_pz00_8267,
							((obj_t) BgL_arg2714z00_9599), BgL_arg0z00_8268, BgL_arg1z00_8269,
							BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2715z00_9600;

						BgL_arg2715z00_9600 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8266)))->BgL_falsez00);
						BgL_arg2708z00_9597 =
							PROCEDURE_ENTRY(BgL_pz00_8267) (BgL_pz00_8267,
							((obj_t) BgL_arg2715z00_9600), BgL_arg0z00_8268, BgL_arg1z00_8269,
							BEOA);
					}
					{	/* Ast/walk.scm 302 */
						obj_t BgL_list2709z00_9601;

						{	/* Ast/walk.scm 302 */
							obj_t BgL_arg2710z00_9602;

							{	/* Ast/walk.scm 302 */
								obj_t BgL_arg2711z00_9603;

								BgL_arg2711z00_9603 =
									MAKE_YOUNG_PAIR(BgL_arg2708z00_9597, BNIL);
								BgL_arg2710z00_9602 =
									MAKE_YOUNG_PAIR(BgL_arg2707z00_9596, BgL_arg2711z00_9603);
							}
							BgL_list2709z00_9601 =
								MAKE_YOUNG_PAIR(BgL_arg2706z00_9595, BgL_arg2710z00_9602);
						}
						BgL_res4267z00_9604 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2709z00_9601);
					}
				}
				return BgL_res4267z00_9604;
			}
		}

	}



/* &walk1*-conditional1863 */
	obj_t BGl_z62walk1za2zd2conditional1863z12zzast_walkz00(obj_t BgL_envz00_8270,
		obj_t BgL_nz00_8271, obj_t BgL_pz00_8272, obj_t BgL_arg0z00_8273)
	{
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				obj_t BgL_res4268z00_9615;

				{	/* Ast/walk.scm 302 */
					obj_t BgL_arg2697z00_9606;
					obj_t BgL_arg2698z00_9607;
					obj_t BgL_arg2699z00_9608;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2703z00_9609;

						BgL_arg2703z00_9609 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8271)))->BgL_testz00);
						BgL_arg2697z00_9606 =
							PROCEDURE_ENTRY(BgL_pz00_8272) (BgL_pz00_8272,
							((obj_t) BgL_arg2703z00_9609), BgL_arg0z00_8273, BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2704z00_9610;

						BgL_arg2704z00_9610 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8271)))->BgL_truez00);
						BgL_arg2698z00_9607 =
							PROCEDURE_ENTRY(BgL_pz00_8272) (BgL_pz00_8272,
							((obj_t) BgL_arg2704z00_9610), BgL_arg0z00_8273, BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2705z00_9611;

						BgL_arg2705z00_9611 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8271)))->BgL_falsez00);
						BgL_arg2699z00_9608 =
							PROCEDURE_ENTRY(BgL_pz00_8272) (BgL_pz00_8272,
							((obj_t) BgL_arg2705z00_9611), BgL_arg0z00_8273, BEOA);
					}
					{	/* Ast/walk.scm 302 */
						obj_t BgL_list2700z00_9612;

						{	/* Ast/walk.scm 302 */
							obj_t BgL_arg2701z00_9613;

							{	/* Ast/walk.scm 302 */
								obj_t BgL_arg2702z00_9614;

								BgL_arg2702z00_9614 =
									MAKE_YOUNG_PAIR(BgL_arg2699z00_9608, BNIL);
								BgL_arg2701z00_9613 =
									MAKE_YOUNG_PAIR(BgL_arg2698z00_9607, BgL_arg2702z00_9614);
							}
							BgL_list2700z00_9612 =
								MAKE_YOUNG_PAIR(BgL_arg2697z00_9606, BgL_arg2701z00_9613);
						}
						BgL_res4268z00_9615 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2700z00_9612);
					}
				}
				return BgL_res4268z00_9615;
			}
		}

	}



/* &walk0*-conditional1861 */
	obj_t BGl_z62walk0za2zd2conditional1861z12zzast_walkz00(obj_t BgL_envz00_8274,
		obj_t BgL_nz00_8275, obj_t BgL_pz00_8276)
	{
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				obj_t BgL_res4269z00_9626;

				{	/* Ast/walk.scm 302 */
					obj_t BgL_arg2688z00_9617;
					obj_t BgL_arg2689z00_9618;
					obj_t BgL_arg2690z00_9619;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2694z00_9620;

						BgL_arg2694z00_9620 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8275)))->BgL_testz00);
						BgL_arg2688z00_9617 =
							PROCEDURE_ENTRY(BgL_pz00_8276) (BgL_pz00_8276,
							((obj_t) BgL_arg2694z00_9620), BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2695z00_9621;

						BgL_arg2695z00_9621 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8275)))->BgL_truez00);
						BgL_arg2689z00_9618 =
							PROCEDURE_ENTRY(BgL_pz00_8276) (BgL_pz00_8276,
							((obj_t) BgL_arg2695z00_9621), BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2696z00_9622;

						BgL_arg2696z00_9622 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8275)))->BgL_falsez00);
						BgL_arg2690z00_9619 =
							PROCEDURE_ENTRY(BgL_pz00_8276) (BgL_pz00_8276,
							((obj_t) BgL_arg2696z00_9622), BEOA);
					}
					{	/* Ast/walk.scm 302 */
						obj_t BgL_list2691z00_9623;

						{	/* Ast/walk.scm 302 */
							obj_t BgL_arg2692z00_9624;

							{	/* Ast/walk.scm 302 */
								obj_t BgL_arg2693z00_9625;

								BgL_arg2693z00_9625 =
									MAKE_YOUNG_PAIR(BgL_arg2690z00_9619, BNIL);
								BgL_arg2692z00_9624 =
									MAKE_YOUNG_PAIR(BgL_arg2689z00_9618, BgL_arg2693z00_9625);
							}
							BgL_list2691z00_9623 =
								MAKE_YOUNG_PAIR(BgL_arg2688z00_9617, BgL_arg2692z00_9624);
						}
						BgL_res4269z00_9626 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2691z00_9623);
					}
				}
				return BgL_res4269z00_9626;
			}
		}

	}



/* &walk3-conditional1859 */
	obj_t BGl_z62walk3zd2conditional1859zb0zzast_walkz00(obj_t BgL_envz00_8277,
		obj_t BgL_nz00_8278, obj_t BgL_pz00_8279, obj_t BgL_arg0z00_8280,
		obj_t BgL_arg1z00_8281, obj_t BgL_arg2z00_8282)
	{
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2684z00_9628;

				BgL_arg2684z00_9628 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8278)))->BgL_testz00);
				PROCEDURE_ENTRY(BgL_pz00_8279) (BgL_pz00_8279,
					((obj_t) BgL_arg2684z00_9628), BgL_arg0z00_8280, BgL_arg1z00_8281,
					BgL_arg2z00_8282, BEOA);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2685z00_9629;

				BgL_arg2685z00_9629 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8278)))->BgL_truez00);
				PROCEDURE_ENTRY(BgL_pz00_8279) (BgL_pz00_8279,
					((obj_t) BgL_arg2685z00_9629), BgL_arg0z00_8280, BgL_arg1z00_8281,
					BgL_arg2z00_8282, BEOA);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2686z00_9630;

				BgL_arg2686z00_9630 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8278)))->BgL_falsez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8279) (BgL_pz00_8279,
					((obj_t) BgL_arg2686z00_9630), BgL_arg0z00_8280, BgL_arg1z00_8281,
					BgL_arg2z00_8282, BEOA);
			}
		}

	}



/* &walk2-conditional1857 */
	obj_t BGl_z62walk2zd2conditional1857zb0zzast_walkz00(obj_t BgL_envz00_8283,
		obj_t BgL_nz00_8284, obj_t BgL_pz00_8285, obj_t BgL_arg0z00_8286,
		obj_t BgL_arg1z00_8287)
	{
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2681z00_9632;

				BgL_arg2681z00_9632 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8284)))->BgL_testz00);
				PROCEDURE_ENTRY(BgL_pz00_8285) (BgL_pz00_8285,
					((obj_t) BgL_arg2681z00_9632), BgL_arg0z00_8286, BgL_arg1z00_8287,
					BEOA);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2682z00_9633;

				BgL_arg2682z00_9633 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8284)))->BgL_truez00);
				PROCEDURE_ENTRY(BgL_pz00_8285) (BgL_pz00_8285,
					((obj_t) BgL_arg2682z00_9633), BgL_arg0z00_8286, BgL_arg1z00_8287,
					BEOA);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2683z00_9634;

				BgL_arg2683z00_9634 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8284)))->BgL_falsez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8285) (BgL_pz00_8285,
					((obj_t) BgL_arg2683z00_9634), BgL_arg0z00_8286, BgL_arg1z00_8287,
					BEOA);
			}
		}

	}



/* &walk1-conditional1855 */
	obj_t BGl_z62walk1zd2conditional1855zb0zzast_walkz00(obj_t BgL_envz00_8288,
		obj_t BgL_nz00_8289, obj_t BgL_pz00_8290, obj_t BgL_arg0z00_8291)
	{
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2677z00_9636;

				BgL_arg2677z00_9636 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8289)))->BgL_testz00);
				PROCEDURE_ENTRY(BgL_pz00_8290) (BgL_pz00_8290,
					((obj_t) BgL_arg2677z00_9636), BgL_arg0z00_8291, BEOA);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2679z00_9637;

				BgL_arg2679z00_9637 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8289)))->BgL_truez00);
				PROCEDURE_ENTRY(BgL_pz00_8290) (BgL_pz00_8290,
					((obj_t) BgL_arg2679z00_9637), BgL_arg0z00_8291, BEOA);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2680z00_9638;

				BgL_arg2680z00_9638 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8289)))->BgL_falsez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8290) (BgL_pz00_8290,
					((obj_t) BgL_arg2680z00_9638), BgL_arg0z00_8291, BEOA);
			}
		}

	}



/* &walk0-conditional1853 */
	obj_t BGl_z62walk0zd2conditional1853zb0zzast_walkz00(obj_t BgL_envz00_8292,
		obj_t BgL_nz00_8293, obj_t BgL_pz00_8294)
	{
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2674z00_9640;

				BgL_arg2674z00_9640 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8293)))->BgL_testz00);
				PROCEDURE_ENTRY(BgL_pz00_8294) (BgL_pz00_8294,
					((obj_t) BgL_arg2674z00_9640), BEOA);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2675z00_9641;

				BgL_arg2675z00_9641 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8293)))->BgL_truez00);
				PROCEDURE_ENTRY(BgL_pz00_8294) (BgL_pz00_8294,
					((obj_t) BgL_arg2675z00_9641), BEOA);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2676z00_9642;

				BgL_arg2676z00_9642 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8293)))->BgL_falsez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8294) (BgL_pz00_8294,
					((obj_t) BgL_arg2676z00_9642), BEOA);
			}
		}

	}



/* &walk3!-setq1851 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2setq1851za2zzast_walkz00(obj_t
		BgL_envz00_8295, obj_t BgL_nz00_8296, obj_t BgL_pz00_8297,
		obj_t BgL_arg0z00_8298, obj_t BgL_arg1z00_8299, obj_t BgL_arg2z00_8300)
	{
		{	/* Ast/walk.scm 301 */
			{
				BgL_varz00_bglt BgL_auxz00_14510;

				{	/* Ast/walk.scm 301 */
					BgL_varz00_bglt BgL_arg2672z00_9644;

					BgL_arg2672z00_9644 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8296)))->BgL_varz00);
					BgL_auxz00_14510 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8297) (BgL_pz00_8297,
							((obj_t) BgL_arg2672z00_9644), BgL_arg0z00_8298, BgL_arg1z00_8299,
							BgL_arg2z00_8300, BEOA));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8296)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_14510), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14524;

				{	/* Ast/walk.scm 301 */
					BgL_nodez00_bglt BgL_arg2673z00_9645;

					BgL_arg2673z00_9645 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8296)))->BgL_valuez00);
					BgL_auxz00_14524 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8297) (BgL_pz00_8297,
							((obj_t) BgL_arg2673z00_9645), BgL_arg0z00_8298, BgL_arg1z00_8299,
							BgL_arg2z00_8300, BEOA));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8296)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14524), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nz00_8296));
		}

	}



/* &walk2!-setq1849 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2setq1849za2zzast_walkz00(obj_t
		BgL_envz00_8301, obj_t BgL_nz00_8302, obj_t BgL_pz00_8303,
		obj_t BgL_arg0z00_8304, obj_t BgL_arg1z00_8305)
	{
		{	/* Ast/walk.scm 301 */
			{
				BgL_varz00_bglt BgL_auxz00_14540;

				{	/* Ast/walk.scm 301 */
					BgL_varz00_bglt BgL_arg2670z00_9647;

					BgL_arg2670z00_9647 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8302)))->BgL_varz00);
					BgL_auxz00_14540 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8303) (BgL_pz00_8303,
							((obj_t) BgL_arg2670z00_9647), BgL_arg0z00_8304, BgL_arg1z00_8305,
							BEOA));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8302)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_14540), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14553;

				{	/* Ast/walk.scm 301 */
					BgL_nodez00_bglt BgL_arg2671z00_9648;

					BgL_arg2671z00_9648 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8302)))->BgL_valuez00);
					BgL_auxz00_14553 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8303) (BgL_pz00_8303,
							((obj_t) BgL_arg2671z00_9648), BgL_arg0z00_8304, BgL_arg1z00_8305,
							BEOA));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8302)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14553), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nz00_8302));
		}

	}



/* &walk1!-setq1847 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2setq1847za2zzast_walkz00(obj_t
		BgL_envz00_8306, obj_t BgL_nz00_8307, obj_t BgL_pz00_8308,
		obj_t BgL_arg0z00_8309)
	{
		{	/* Ast/walk.scm 301 */
			{
				BgL_varz00_bglt BgL_auxz00_14568;

				{	/* Ast/walk.scm 301 */
					BgL_varz00_bglt BgL_arg2668z00_9650;

					BgL_arg2668z00_9650 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8307)))->BgL_varz00);
					BgL_auxz00_14568 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8308) (BgL_pz00_8308,
							((obj_t) BgL_arg2668z00_9650), BgL_arg0z00_8309, BEOA));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8307)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_14568), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14580;

				{	/* Ast/walk.scm 301 */
					BgL_nodez00_bglt BgL_arg2669z00_9651;

					BgL_arg2669z00_9651 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8307)))->BgL_valuez00);
					BgL_auxz00_14580 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8308) (BgL_pz00_8308,
							((obj_t) BgL_arg2669z00_9651), BgL_arg0z00_8309, BEOA));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8307)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14580), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nz00_8307));
		}

	}



/* &walk0!-setq1845 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2setq1845za2zzast_walkz00(obj_t
		BgL_envz00_8310, obj_t BgL_nz00_8311, obj_t BgL_pz00_8312)
	{
		{	/* Ast/walk.scm 301 */
			{
				BgL_varz00_bglt BgL_auxz00_14594;

				{	/* Ast/walk.scm 301 */
					BgL_varz00_bglt BgL_arg2666z00_9653;

					BgL_arg2666z00_9653 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8311)))->BgL_varz00);
					BgL_auxz00_14594 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8312) (BgL_pz00_8312,
							((obj_t) BgL_arg2666z00_9653), BEOA));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8311)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_14594), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14605;

				{	/* Ast/walk.scm 301 */
					BgL_nodez00_bglt BgL_arg2667z00_9654;

					BgL_arg2667z00_9654 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8311)))->BgL_valuez00);
					BgL_auxz00_14605 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8312) (BgL_pz00_8312,
							((obj_t) BgL_arg2667z00_9654), BEOA));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8311)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14605), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nz00_8311));
		}

	}



/* &walk3*-setq1843 */
	obj_t BGl_z62walk3za2zd2setq1843z12zzast_walkz00(obj_t BgL_envz00_8313,
		obj_t BgL_nz00_8314, obj_t BgL_pz00_8315, obj_t BgL_arg0z00_8316,
		obj_t BgL_arg1z00_8317, obj_t BgL_arg2z00_8318)
	{
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				obj_t BgL_res4270z00_9660;

				{	/* Ast/walk.scm 301 */
					obj_t BgL_arg2661z00_9656;
					obj_t BgL_arg2663z00_9657;

					{	/* Ast/walk.scm 301 */
						BgL_varz00_bglt BgL_arg2664z00_9658;

						BgL_arg2664z00_9658 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8314)))->BgL_varz00);
						BgL_arg2661z00_9656 =
							PROCEDURE_ENTRY(BgL_pz00_8315) (BgL_pz00_8315,
							((obj_t) BgL_arg2664z00_9658), BgL_arg0z00_8316, BgL_arg1z00_8317,
							BgL_arg2z00_8318, BEOA);
					}
					{	/* Ast/walk.scm 301 */
						BgL_nodez00_bglt BgL_arg2665z00_9659;

						BgL_arg2665z00_9659 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8314)))->BgL_valuez00);
						BgL_arg2663z00_9657 =
							PROCEDURE_ENTRY(BgL_pz00_8315) (BgL_pz00_8315,
							((obj_t) BgL_arg2665z00_9659), BgL_arg0z00_8316, BgL_arg1z00_8317,
							BgL_arg2z00_8318, BEOA);
					}
					BgL_res4270z00_9660 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2661z00_9656,
						BgL_arg2663z00_9657);
				}
				return BgL_res4270z00_9660;
			}
		}

	}



/* &walk2*-setq1841 */
	obj_t BGl_z62walk2za2zd2setq1841z12zzast_walkz00(obj_t BgL_envz00_8319,
		obj_t BgL_nz00_8320, obj_t BgL_pz00_8321, obj_t BgL_arg0z00_8322,
		obj_t BgL_arg1z00_8323)
	{
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				obj_t BgL_res4271z00_9666;

				{	/* Ast/walk.scm 301 */
					obj_t BgL_arg2655z00_9662;
					obj_t BgL_arg2656z00_9663;

					{	/* Ast/walk.scm 301 */
						BgL_varz00_bglt BgL_arg2659z00_9664;

						BgL_arg2659z00_9664 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8320)))->BgL_varz00);
						BgL_arg2655z00_9662 =
							PROCEDURE_ENTRY(BgL_pz00_8321) (BgL_pz00_8321,
							((obj_t) BgL_arg2659z00_9664), BgL_arg0z00_8322, BgL_arg1z00_8323,
							BEOA);
					}
					{	/* Ast/walk.scm 301 */
						BgL_nodez00_bglt BgL_arg2660z00_9665;

						BgL_arg2660z00_9665 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8320)))->BgL_valuez00);
						BgL_arg2656z00_9663 =
							PROCEDURE_ENTRY(BgL_pz00_8321) (BgL_pz00_8321,
							((obj_t) BgL_arg2660z00_9665), BgL_arg0z00_8322, BgL_arg1z00_8323,
							BEOA);
					}
					BgL_res4271z00_9666 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2655z00_9662,
						BgL_arg2656z00_9663);
				}
				return BgL_res4271z00_9666;
			}
		}

	}



/* &walk1*-setq1839 */
	obj_t BGl_z62walk1za2zd2setq1839z12zzast_walkz00(obj_t BgL_envz00_8324,
		obj_t BgL_nz00_8325, obj_t BgL_pz00_8326, obj_t BgL_arg0z00_8327)
	{
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				obj_t BgL_res4272z00_9672;

				{	/* Ast/walk.scm 301 */
					obj_t BgL_arg2649z00_9668;
					obj_t BgL_arg2650z00_9669;

					{	/* Ast/walk.scm 301 */
						BgL_varz00_bglt BgL_arg2651z00_9670;

						BgL_arg2651z00_9670 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8325)))->BgL_varz00);
						BgL_arg2649z00_9668 =
							PROCEDURE_ENTRY(BgL_pz00_8326) (BgL_pz00_8326,
							((obj_t) BgL_arg2651z00_9670), BgL_arg0z00_8327, BEOA);
					}
					{	/* Ast/walk.scm 301 */
						BgL_nodez00_bglt BgL_arg2654z00_9671;

						BgL_arg2654z00_9671 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8325)))->BgL_valuez00);
						BgL_arg2650z00_9669 =
							PROCEDURE_ENTRY(BgL_pz00_8326) (BgL_pz00_8326,
							((obj_t) BgL_arg2654z00_9671), BgL_arg0z00_8327, BEOA);
					}
					BgL_res4272z00_9672 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2649z00_9668,
						BgL_arg2650z00_9669);
				}
				return BgL_res4272z00_9672;
			}
		}

	}



/* &walk0*-setq1837 */
	obj_t BGl_z62walk0za2zd2setq1837z12zzast_walkz00(obj_t BgL_envz00_8328,
		obj_t BgL_nz00_8329, obj_t BgL_pz00_8330)
	{
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				obj_t BgL_res4273z00_9678;

				{	/* Ast/walk.scm 301 */
					obj_t BgL_arg2643z00_9674;
					obj_t BgL_arg2645z00_9675;

					{	/* Ast/walk.scm 301 */
						BgL_varz00_bglt BgL_arg2646z00_9676;

						BgL_arg2646z00_9676 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8329)))->BgL_varz00);
						BgL_arg2643z00_9674 =
							PROCEDURE_ENTRY(BgL_pz00_8330) (BgL_pz00_8330,
							((obj_t) BgL_arg2646z00_9676), BEOA);
					}
					{	/* Ast/walk.scm 301 */
						BgL_nodez00_bglt BgL_arg2648z00_9677;

						BgL_arg2648z00_9677 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8329)))->BgL_valuez00);
						BgL_arg2645z00_9675 =
							PROCEDURE_ENTRY(BgL_pz00_8330) (BgL_pz00_8330,
							((obj_t) BgL_arg2648z00_9677), BEOA);
					}
					BgL_res4273z00_9678 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2643z00_9674,
						BgL_arg2645z00_9675);
				}
				return BgL_res4273z00_9678;
			}
		}

	}



/* &walk3-setq1835 */
	obj_t BGl_z62walk3zd2setq1835zb0zzast_walkz00(obj_t BgL_envz00_8331,
		obj_t BgL_nz00_8332, obj_t BgL_pz00_8333, obj_t BgL_arg0z00_8334,
		obj_t BgL_arg1z00_8335, obj_t BgL_arg2z00_8336)
	{
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				BgL_varz00_bglt BgL_arg2641z00_9680;

				BgL_arg2641z00_9680 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8332)))->BgL_varz00);
				PROCEDURE_ENTRY(BgL_pz00_8333) (BgL_pz00_8333,
					((obj_t) BgL_arg2641z00_9680), BgL_arg0z00_8334, BgL_arg1z00_8335,
					BgL_arg2z00_8336, BEOA);
			}
			{	/* Ast/walk.scm 301 */
				BgL_nodez00_bglt BgL_arg2642z00_9681;

				BgL_arg2642z00_9681 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8332)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8333) (BgL_pz00_8333,
					((obj_t) BgL_arg2642z00_9681), BgL_arg0z00_8334, BgL_arg1z00_8335,
					BgL_arg2z00_8336, BEOA);
			}
		}

	}



/* &walk2-setq1833 */
	obj_t BGl_z62walk2zd2setq1833zb0zzast_walkz00(obj_t BgL_envz00_8337,
		obj_t BgL_nz00_8338, obj_t BgL_pz00_8339, obj_t BgL_arg0z00_8340,
		obj_t BgL_arg1z00_8341)
	{
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				BgL_varz00_bglt BgL_arg2639z00_9683;

				BgL_arg2639z00_9683 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8338)))->BgL_varz00);
				PROCEDURE_ENTRY(BgL_pz00_8339) (BgL_pz00_8339,
					((obj_t) BgL_arg2639z00_9683), BgL_arg0z00_8340, BgL_arg1z00_8341,
					BEOA);
			}
			{	/* Ast/walk.scm 301 */
				BgL_nodez00_bglt BgL_arg2640z00_9684;

				BgL_arg2640z00_9684 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8338)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8339) (BgL_pz00_8339,
					((obj_t) BgL_arg2640z00_9684), BgL_arg0z00_8340, BgL_arg1z00_8341,
					BEOA);
			}
		}

	}



/* &walk1-setq1831 */
	obj_t BGl_z62walk1zd2setq1831zb0zzast_walkz00(obj_t BgL_envz00_8342,
		obj_t BgL_nz00_8343, obj_t BgL_pz00_8344, obj_t BgL_arg0z00_8345)
	{
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				BgL_varz00_bglt BgL_arg2636z00_9686;

				BgL_arg2636z00_9686 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8343)))->BgL_varz00);
				PROCEDURE_ENTRY(BgL_pz00_8344) (BgL_pz00_8344,
					((obj_t) BgL_arg2636z00_9686), BgL_arg0z00_8345, BEOA);
			}
			{	/* Ast/walk.scm 301 */
				BgL_nodez00_bglt BgL_arg2637z00_9687;

				BgL_arg2637z00_9687 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8343)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8344) (BgL_pz00_8344,
					((obj_t) BgL_arg2637z00_9687), BgL_arg0z00_8345, BEOA);
			}
		}

	}



/* &walk0-setq1829 */
	obj_t BGl_z62walk0zd2setq1829zb0zzast_walkz00(obj_t BgL_envz00_8346,
		obj_t BgL_nz00_8347, obj_t BgL_pz00_8348)
	{
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				BgL_varz00_bglt BgL_arg2632z00_9689;

				BgL_arg2632z00_9689 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8347)))->BgL_varz00);
				PROCEDURE_ENTRY(BgL_pz00_8348) (BgL_pz00_8348,
					((obj_t) BgL_arg2632z00_9689), BEOA);
			}
			{	/* Ast/walk.scm 301 */
				BgL_nodez00_bglt BgL_arg2633z00_9690;

				BgL_arg2633z00_9690 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8347)))->BgL_valuez00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8348) (BgL_pz00_8348,
					((obj_t) BgL_arg2633z00_9690), BEOA);
			}
		}

	}



/* &walk3!-cast1827 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2cast1827za2zzast_walkz00(obj_t
		BgL_envz00_8349, obj_t BgL_nz00_8350, obj_t BgL_pz00_8351,
		obj_t BgL_arg0z00_8352, obj_t BgL_arg1z00_8353, obj_t BgL_arg2z00_8354)
	{
		{	/* Ast/walk.scm 300 */
			{
				BgL_nodez00_bglt BgL_auxz00_14758;

				{	/* Ast/walk.scm 300 */
					BgL_nodez00_bglt BgL_arg2631z00_9692;

					BgL_arg2631z00_9692 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8350)))->BgL_argz00);
					BgL_auxz00_14758 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8351) (BgL_pz00_8351,
							((obj_t) BgL_arg2631z00_9692), BgL_arg0z00_8352, BgL_arg1z00_8353,
							BgL_arg2z00_8354, BEOA));
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8350)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14758), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nz00_8350));
		}

	}



/* &walk2!-cast1825 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2cast1825za2zzast_walkz00(obj_t
		BgL_envz00_8355, obj_t BgL_nz00_8356, obj_t BgL_pz00_8357,
		obj_t BgL_arg0z00_8358, obj_t BgL_arg1z00_8359)
	{
		{	/* Ast/walk.scm 300 */
			{
				BgL_nodez00_bglt BgL_auxz00_14774;

				{	/* Ast/walk.scm 300 */
					BgL_nodez00_bglt BgL_arg2630z00_9694;

					BgL_arg2630z00_9694 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8356)))->BgL_argz00);
					BgL_auxz00_14774 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8357) (BgL_pz00_8357,
							((obj_t) BgL_arg2630z00_9694), BgL_arg0z00_8358, BgL_arg1z00_8359,
							BEOA));
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8356)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14774), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nz00_8356));
		}

	}



/* &walk1!-cast1823 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2cast1823za2zzast_walkz00(obj_t
		BgL_envz00_8360, obj_t BgL_nz00_8361, obj_t BgL_pz00_8362,
		obj_t BgL_arg0z00_8363)
	{
		{	/* Ast/walk.scm 300 */
			{
				BgL_nodez00_bglt BgL_auxz00_14789;

				{	/* Ast/walk.scm 300 */
					BgL_nodez00_bglt BgL_arg2628z00_9696;

					BgL_arg2628z00_9696 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8361)))->BgL_argz00);
					BgL_auxz00_14789 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8362) (BgL_pz00_8362,
							((obj_t) BgL_arg2628z00_9696), BgL_arg0z00_8363, BEOA));
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8361)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14789), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nz00_8361));
		}

	}



/* &walk0!-cast1821 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2cast1821za2zzast_walkz00(obj_t
		BgL_envz00_8364, obj_t BgL_nz00_8365, obj_t BgL_pz00_8366)
	{
		{	/* Ast/walk.scm 300 */
			{
				BgL_nodez00_bglt BgL_auxz00_14803;

				{	/* Ast/walk.scm 300 */
					BgL_nodez00_bglt BgL_arg2627z00_9698;

					BgL_arg2627z00_9698 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8365)))->BgL_argz00);
					BgL_auxz00_14803 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8366) (BgL_pz00_8366,
							((obj_t) BgL_arg2627z00_9698), BEOA));
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8365)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14803), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nz00_8365));
		}

	}



/* &walk3*-cast1819 */
	obj_t BGl_z62walk3za2zd2cast1819z12zzast_walkz00(obj_t BgL_envz00_8367,
		obj_t BgL_nz00_8368, obj_t BgL_pz00_8369, obj_t BgL_arg0z00_8370,
		obj_t BgL_arg1z00_8371, obj_t BgL_arg2z00_8372)
	{
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				obj_t BgL_res4274z00_9703;

				{	/* Ast/walk.scm 300 */
					obj_t BgL_arg2624z00_9700;

					{	/* Ast/walk.scm 300 */
						BgL_nodez00_bglt BgL_arg2626z00_9701;

						BgL_arg2626z00_9701 =
							(((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nz00_8368)))->BgL_argz00);
						BgL_arg2624z00_9700 =
							PROCEDURE_ENTRY(BgL_pz00_8369) (BgL_pz00_8369,
							((obj_t) BgL_arg2626z00_9701), BgL_arg0z00_8370, BgL_arg1z00_8371,
							BgL_arg2z00_8372, BEOA);
					}
					{	/* Ast/walk.scm 300 */
						obj_t BgL_list2625z00_9702;

						BgL_list2625z00_9702 = MAKE_YOUNG_PAIR(BgL_arg2624z00_9700, BNIL);
						BgL_res4274z00_9703 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2625z00_9702);
					}
				}
				return BgL_res4274z00_9703;
			}
		}

	}



/* &walk2*-cast1817 */
	obj_t BGl_z62walk2za2zd2cast1817z12zzast_walkz00(obj_t BgL_envz00_8373,
		obj_t BgL_nz00_8374, obj_t BgL_pz00_8375, obj_t BgL_arg0z00_8376,
		obj_t BgL_arg1z00_8377)
	{
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				obj_t BgL_res4275z00_9708;

				{	/* Ast/walk.scm 300 */
					obj_t BgL_arg2620z00_9705;

					{	/* Ast/walk.scm 300 */
						BgL_nodez00_bglt BgL_arg2622z00_9706;

						BgL_arg2622z00_9706 =
							(((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nz00_8374)))->BgL_argz00);
						BgL_arg2620z00_9705 =
							PROCEDURE_ENTRY(BgL_pz00_8375) (BgL_pz00_8375,
							((obj_t) BgL_arg2622z00_9706), BgL_arg0z00_8376, BgL_arg1z00_8377,
							BEOA);
					}
					{	/* Ast/walk.scm 300 */
						obj_t BgL_list2621z00_9707;

						BgL_list2621z00_9707 = MAKE_YOUNG_PAIR(BgL_arg2620z00_9705, BNIL);
						BgL_res4275z00_9708 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2621z00_9707);
					}
				}
				return BgL_res4275z00_9708;
			}
		}

	}



/* &walk1*-cast1815 */
	obj_t BGl_z62walk1za2zd2cast1815z12zzast_walkz00(obj_t BgL_envz00_8378,
		obj_t BgL_nz00_8379, obj_t BgL_pz00_8380, obj_t BgL_arg0z00_8381)
	{
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				obj_t BgL_res4276z00_9713;

				{	/* Ast/walk.scm 300 */
					obj_t BgL_arg2617z00_9710;

					{	/* Ast/walk.scm 300 */
						BgL_nodez00_bglt BgL_arg2619z00_9711;

						BgL_arg2619z00_9711 =
							(((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nz00_8379)))->BgL_argz00);
						BgL_arg2617z00_9710 =
							PROCEDURE_ENTRY(BgL_pz00_8380) (BgL_pz00_8380,
							((obj_t) BgL_arg2619z00_9711), BgL_arg0z00_8381, BEOA);
					}
					{	/* Ast/walk.scm 300 */
						obj_t BgL_list2618z00_9712;

						BgL_list2618z00_9712 = MAKE_YOUNG_PAIR(BgL_arg2617z00_9710, BNIL);
						BgL_res4276z00_9713 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2618z00_9712);
					}
				}
				return BgL_res4276z00_9713;
			}
		}

	}



/* &walk0*-cast1813 */
	obj_t BGl_z62walk0za2zd2cast1813z12zzast_walkz00(obj_t BgL_envz00_8382,
		obj_t BgL_nz00_8383, obj_t BgL_pz00_8384)
	{
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				obj_t BgL_res4277z00_9718;

				{	/* Ast/walk.scm 300 */
					obj_t BgL_arg2614z00_9715;

					{	/* Ast/walk.scm 300 */
						BgL_nodez00_bglt BgL_arg2616z00_9716;

						BgL_arg2616z00_9716 =
							(((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nz00_8383)))->BgL_argz00);
						BgL_arg2614z00_9715 =
							PROCEDURE_ENTRY(BgL_pz00_8384) (BgL_pz00_8384,
							((obj_t) BgL_arg2616z00_9716), BEOA);
					}
					{	/* Ast/walk.scm 300 */
						obj_t BgL_list2615z00_9717;

						BgL_list2615z00_9717 = MAKE_YOUNG_PAIR(BgL_arg2614z00_9715, BNIL);
						BgL_res4277z00_9718 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2615z00_9717);
					}
				}
				return BgL_res4277z00_9718;
			}
		}

	}



/* &walk3-cast1811 */
	obj_t BGl_z62walk3zd2cast1811zb0zzast_walkz00(obj_t BgL_envz00_8385,
		obj_t BgL_nz00_8386, obj_t BgL_pz00_8387, obj_t BgL_arg0z00_8388,
		obj_t BgL_arg1z00_8389, obj_t BgL_arg2z00_8390)
	{
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				BgL_nodez00_bglt BgL_arg2613z00_9720;

				BgL_arg2613z00_9720 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nz00_8386)))->BgL_argz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8387) (BgL_pz00_8387,
					((obj_t) BgL_arg2613z00_9720), BgL_arg0z00_8388, BgL_arg1z00_8389,
					BgL_arg2z00_8390, BEOA);
			}
		}

	}



/* &walk2-cast1809 */
	obj_t BGl_z62walk2zd2cast1809zb0zzast_walkz00(obj_t BgL_envz00_8391,
		obj_t BgL_nz00_8392, obj_t BgL_pz00_8393, obj_t BgL_arg0z00_8394,
		obj_t BgL_arg1z00_8395)
	{
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				BgL_nodez00_bglt BgL_arg2611z00_9722;

				BgL_arg2611z00_9722 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nz00_8392)))->BgL_argz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8393) (BgL_pz00_8393,
					((obj_t) BgL_arg2611z00_9722), BgL_arg0z00_8394, BgL_arg1z00_8395,
					BEOA);
			}
		}

	}



/* &walk1-cast1807 */
	obj_t BGl_z62walk1zd2cast1807zb0zzast_walkz00(obj_t BgL_envz00_8396,
		obj_t BgL_nz00_8397, obj_t BgL_pz00_8398, obj_t BgL_arg0z00_8399)
	{
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				BgL_nodez00_bglt BgL_arg2610z00_9724;

				BgL_arg2610z00_9724 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nz00_8397)))->BgL_argz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8398) (BgL_pz00_8398,
					((obj_t) BgL_arg2610z00_9724), BgL_arg0z00_8399, BEOA);
			}
		}

	}



/* &walk0-cast1805 */
	obj_t BGl_z62walk0zd2cast1805zb0zzast_walkz00(obj_t BgL_envz00_8400,
		obj_t BgL_nz00_8401, obj_t BgL_pz00_8402)
	{
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				BgL_nodez00_bglt BgL_arg2609z00_9726;

				BgL_arg2609z00_9726 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nz00_8401)))->BgL_argz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8402) (BgL_pz00_8402,
					((obj_t) BgL_arg2609z00_9726), BEOA);
			}
		}

	}



/* &walk3!-extern1803 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2extern1803za2zzast_walkz00(obj_t
		BgL_envz00_8403, obj_t BgL_nz00_8404, obj_t BgL_pz00_8405,
		obj_t BgL_arg0z00_8406, obj_t BgL_arg1z00_8407, obj_t BgL_arg2z00_8408)
	{
		{	/* Ast/walk.scm 299 */
			{
				obj_t BgL_fieldsz00_9729;

				BgL_fieldsz00_9729 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8404)))->BgL_exprza2za2);
			BgL_loopz00_9728:
				if (NULLP(BgL_fieldsz00_9729))
					{	/* Ast/walk.scm 299 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 299 */
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2606z00_9730;

							{	/* Ast/walk.scm 299 */
								obj_t BgL_arg2607z00_9731;

								BgL_arg2607z00_9731 = CAR(((obj_t) BgL_fieldsz00_9729));
								BgL_arg2606z00_9730 =
									PROCEDURE_ENTRY(BgL_pz00_8405) (BgL_pz00_8405,
									BgL_arg2607z00_9731, BgL_arg0z00_8406, BgL_arg1z00_8407,
									BgL_arg2z00_8408, BEOA);
							}
							{	/* Ast/walk.scm 299 */
								obj_t BgL_tmpz00_14903;

								BgL_tmpz00_14903 = ((obj_t) BgL_fieldsz00_9729);
								SET_CAR(BgL_tmpz00_14903, BgL_arg2606z00_9730);
							}
						}
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2608z00_9732;

							BgL_arg2608z00_9732 = CDR(((obj_t) BgL_fieldsz00_9729));
							{
								obj_t BgL_fieldsz00_14908;

								BgL_fieldsz00_14908 = BgL_arg2608z00_9732;
								BgL_fieldsz00_9729 = BgL_fieldsz00_14908;
								goto BgL_loopz00_9728;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nz00_8404));
		}

	}



/* &walk2!-extern1801 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2extern1801za2zzast_walkz00(obj_t
		BgL_envz00_8409, obj_t BgL_nz00_8410, obj_t BgL_pz00_8411,
		obj_t BgL_arg0z00_8412, obj_t BgL_arg1z00_8413)
	{
		{	/* Ast/walk.scm 299 */
			{
				obj_t BgL_fieldsz00_9735;

				BgL_fieldsz00_9735 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8410)))->BgL_exprza2za2);
			BgL_loopz00_9734:
				if (NULLP(BgL_fieldsz00_9735))
					{	/* Ast/walk.scm 299 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 299 */
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2600z00_9736;

							{	/* Ast/walk.scm 299 */
								obj_t BgL_arg2601z00_9737;

								BgL_arg2601z00_9737 = CAR(((obj_t) BgL_fieldsz00_9735));
								BgL_arg2600z00_9736 =
									PROCEDURE_ENTRY(BgL_pz00_8411) (BgL_pz00_8411,
									BgL_arg2601z00_9737, BgL_arg0z00_8412, BgL_arg1z00_8413,
									BEOA);
							}
							{	/* Ast/walk.scm 299 */
								obj_t BgL_tmpz00_14923;

								BgL_tmpz00_14923 = ((obj_t) BgL_fieldsz00_9735);
								SET_CAR(BgL_tmpz00_14923, BgL_arg2600z00_9736);
							}
						}
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2602z00_9738;

							BgL_arg2602z00_9738 = CDR(((obj_t) BgL_fieldsz00_9735));
							{
								obj_t BgL_fieldsz00_14928;

								BgL_fieldsz00_14928 = BgL_arg2602z00_9738;
								BgL_fieldsz00_9735 = BgL_fieldsz00_14928;
								goto BgL_loopz00_9734;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nz00_8410));
		}

	}



/* &walk1!-extern1799 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2extern1799za2zzast_walkz00(obj_t
		BgL_envz00_8414, obj_t BgL_nz00_8415, obj_t BgL_pz00_8416,
		obj_t BgL_arg0z00_8417)
	{
		{	/* Ast/walk.scm 299 */
			{
				obj_t BgL_fieldsz00_9741;

				BgL_fieldsz00_9741 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8415)))->BgL_exprza2za2);
			BgL_loopz00_9740:
				if (NULLP(BgL_fieldsz00_9741))
					{	/* Ast/walk.scm 299 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 299 */
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2593z00_9742;

							{	/* Ast/walk.scm 299 */
								obj_t BgL_arg2594z00_9743;

								BgL_arg2594z00_9743 = CAR(((obj_t) BgL_fieldsz00_9741));
								BgL_arg2593z00_9742 =
									PROCEDURE_ENTRY(BgL_pz00_8416) (BgL_pz00_8416,
									BgL_arg2594z00_9743, BgL_arg0z00_8417, BEOA);
							}
							{	/* Ast/walk.scm 299 */
								obj_t BgL_tmpz00_14942;

								BgL_tmpz00_14942 = ((obj_t) BgL_fieldsz00_9741);
								SET_CAR(BgL_tmpz00_14942, BgL_arg2593z00_9742);
							}
						}
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2596z00_9744;

							BgL_arg2596z00_9744 = CDR(((obj_t) BgL_fieldsz00_9741));
							{
								obj_t BgL_fieldsz00_14947;

								BgL_fieldsz00_14947 = BgL_arg2596z00_9744;
								BgL_fieldsz00_9741 = BgL_fieldsz00_14947;
								goto BgL_loopz00_9740;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nz00_8415));
		}

	}



/* &walk0!-extern1797 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2extern1797za2zzast_walkz00(obj_t
		BgL_envz00_8418, obj_t BgL_nz00_8419, obj_t BgL_pz00_8420)
	{
		{	/* Ast/walk.scm 299 */
			{
				obj_t BgL_fieldsz00_9747;

				BgL_fieldsz00_9747 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8419)))->BgL_exprza2za2);
			BgL_loopz00_9746:
				if (NULLP(BgL_fieldsz00_9747))
					{	/* Ast/walk.scm 299 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 299 */
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2586z00_9748;

							{	/* Ast/walk.scm 299 */
								obj_t BgL_arg2587z00_9749;

								BgL_arg2587z00_9749 = CAR(((obj_t) BgL_fieldsz00_9747));
								BgL_arg2586z00_9748 =
									PROCEDURE_ENTRY(BgL_pz00_8420) (BgL_pz00_8420,
									BgL_arg2587z00_9749, BEOA);
							}
							{	/* Ast/walk.scm 299 */
								obj_t BgL_tmpz00_14960;

								BgL_tmpz00_14960 = ((obj_t) BgL_fieldsz00_9747);
								SET_CAR(BgL_tmpz00_14960, BgL_arg2586z00_9748);
							}
						}
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2589z00_9750;

							BgL_arg2589z00_9750 = CDR(((obj_t) BgL_fieldsz00_9747));
							{
								obj_t BgL_fieldsz00_14965;

								BgL_fieldsz00_14965 = BgL_arg2589z00_9750;
								BgL_fieldsz00_9747 = BgL_fieldsz00_14965;
								goto BgL_loopz00_9746;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nz00_8419));
		}

	}



/* &walk3*-extern1795 */
	obj_t BGl_z62walk3za2zd2extern1795z12zzast_walkz00(obj_t BgL_envz00_8421,
		obj_t BgL_nz00_8422, obj_t BgL_pz00_8423, obj_t BgL_arg0z00_8424,
		obj_t BgL_arg1z00_8425, obj_t BgL_arg2z00_8426)
	{
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_res4278z00_9754;

				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2575z00_9752;

					BgL_arg2575z00_9752 =
						BGl_zc3z04anonymousza32577ze3ze70z60zzast_walkz00(BgL_arg2z00_8426,
						BgL_arg1z00_8425, BgL_arg0z00_8424, BgL_pz00_8423,
						(((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_nz00_8422)))->BgL_exprza2za2));
					{	/* Ast/walk.scm 299 */
						obj_t BgL_list2576z00_9753;

						BgL_list2576z00_9753 = MAKE_YOUNG_PAIR(BgL_arg2575z00_9752, BNIL);
						BgL_res4278z00_9754 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2576z00_9753);
					}
				}
				return BgL_res4278z00_9754;
			}
		}

	}



/* <@anonymous:2577>~0 */
	obj_t BGl_zc3z04anonymousza32577ze3ze70z60zzast_walkz00(obj_t
		BgL_arg2z00_8766, obj_t BgL_arg1z00_8765, obj_t BgL_arg0z00_8764,
		obj_t BgL_pz00_8763, obj_t BgL_l1554z00_3421)
	{
		{	/* Ast/walk.scm 299 */
			if (NULLP(BgL_l1554z00_3421))
				{	/* Ast/walk.scm 299 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2579z00_3424;
					obj_t BgL_arg2580z00_3425;

					{	/* Ast/walk.scm 299 */
						obj_t BgL_fz00_3426;

						BgL_fz00_3426 = CAR(((obj_t) BgL_l1554z00_3421));
						BgL_arg2579z00_3424 =
							PROCEDURE_ENTRY(BgL_pz00_8763) (BgL_pz00_8763, BgL_fz00_3426,
							BgL_arg0z00_8764, BgL_arg1z00_8765, BgL_arg2z00_8766, BEOA);
					}
					{	/* Ast/walk.scm 299 */
						obj_t BgL_arg2581z00_3427;

						BgL_arg2581z00_3427 = CDR(((obj_t) BgL_l1554z00_3421));
						BgL_arg2580z00_3425 =
							BGl_zc3z04anonymousza32577ze3ze70z60zzast_walkz00
							(BgL_arg2z00_8766, BgL_arg1z00_8765, BgL_arg0z00_8764,
							BgL_pz00_8763, BgL_arg2581z00_3427);
					}
					return bgl_append2(BgL_arg2579z00_3424, BgL_arg2580z00_3425);
				}
		}

	}



/* &walk2*-extern1793 */
	obj_t BGl_z62walk2za2zd2extern1793z12zzast_walkz00(obj_t BgL_envz00_8427,
		obj_t BgL_nz00_8428, obj_t BgL_pz00_8429, obj_t BgL_arg0z00_8430,
		obj_t BgL_arg1z00_8431)
	{
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_res4279z00_9758;

				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2565z00_9756;

					BgL_arg2565z00_9756 =
						BGl_zc3z04anonymousza32567ze3ze70z60zzast_walkz00(BgL_arg1z00_8431,
						BgL_arg0z00_8430, BgL_pz00_8429,
						(((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_nz00_8428)))->BgL_exprza2za2));
					{	/* Ast/walk.scm 299 */
						obj_t BgL_list2566z00_9757;

						BgL_list2566z00_9757 = MAKE_YOUNG_PAIR(BgL_arg2565z00_9756, BNIL);
						BgL_res4279z00_9758 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2566z00_9757);
					}
				}
				return BgL_res4279z00_9758;
			}
		}

	}



/* <@anonymous:2567>~0 */
	obj_t BGl_zc3z04anonymousza32567ze3ze70z60zzast_walkz00(obj_t
		BgL_arg1z00_8762, obj_t BgL_arg0z00_8761, obj_t BgL_pz00_8760,
		obj_t BgL_l1551z00_3400)
	{
		{	/* Ast/walk.scm 299 */
			if (NULLP(BgL_l1551z00_3400))
				{	/* Ast/walk.scm 299 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2572z00_3403;
					obj_t BgL_arg2573z00_3404;

					{	/* Ast/walk.scm 299 */
						obj_t BgL_fz00_3405;

						BgL_fz00_3405 = CAR(((obj_t) BgL_l1551z00_3400));
						BgL_arg2572z00_3403 =
							PROCEDURE_ENTRY(BgL_pz00_8760) (BgL_pz00_8760, BgL_fz00_3405,
							BgL_arg0z00_8761, BgL_arg1z00_8762, BEOA);
					}
					{	/* Ast/walk.scm 299 */
						obj_t BgL_arg2574z00_3406;

						BgL_arg2574z00_3406 = CDR(((obj_t) BgL_l1551z00_3400));
						BgL_arg2573z00_3404 =
							BGl_zc3z04anonymousza32567ze3ze70z60zzast_walkz00
							(BgL_arg1z00_8762, BgL_arg0z00_8761, BgL_pz00_8760,
							BgL_arg2574z00_3406);
					}
					return bgl_append2(BgL_arg2572z00_3403, BgL_arg2573z00_3404);
				}
		}

	}



/* &walk1*-extern1791 */
	obj_t BGl_z62walk1za2zd2extern1791z12zzast_walkz00(obj_t BgL_envz00_8432,
		obj_t BgL_nz00_8433, obj_t BgL_pz00_8434, obj_t BgL_arg0z00_8435)
	{
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_res4280z00_9762;

				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2556z00_9760;

					BgL_arg2556z00_9760 =
						BGl_zc3z04anonymousza32558ze3ze70z60zzast_walkz00(BgL_arg0z00_8435,
						BgL_pz00_8434,
						(((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_nz00_8433)))->BgL_exprza2za2));
					{	/* Ast/walk.scm 299 */
						obj_t BgL_list2557z00_9761;

						BgL_list2557z00_9761 = MAKE_YOUNG_PAIR(BgL_arg2556z00_9760, BNIL);
						BgL_res4280z00_9762 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2557z00_9761);
					}
				}
				return BgL_res4280z00_9762;
			}
		}

	}



/* <@anonymous:2558>~0 */
	obj_t BGl_zc3z04anonymousza32558ze3ze70z60zzast_walkz00(obj_t
		BgL_arg0z00_8759, obj_t BgL_pz00_8758, obj_t BgL_l1548z00_3380)
	{
		{	/* Ast/walk.scm 299 */
			if (NULLP(BgL_l1548z00_3380))
				{	/* Ast/walk.scm 299 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2560z00_3383;
					obj_t BgL_arg2561z00_3384;

					{	/* Ast/walk.scm 299 */
						obj_t BgL_fz00_3385;

						BgL_fz00_3385 = CAR(((obj_t) BgL_l1548z00_3380));
						BgL_arg2560z00_3383 =
							PROCEDURE_ENTRY(BgL_pz00_8758) (BgL_pz00_8758, BgL_fz00_3385,
							BgL_arg0z00_8759, BEOA);
					}
					{	/* Ast/walk.scm 299 */
						obj_t BgL_arg2564z00_3386;

						BgL_arg2564z00_3386 = CDR(((obj_t) BgL_l1548z00_3380));
						BgL_arg2561z00_3384 =
							BGl_zc3z04anonymousza32558ze3ze70z60zzast_walkz00
							(BgL_arg0z00_8759, BgL_pz00_8758, BgL_arg2564z00_3386);
					}
					return bgl_append2(BgL_arg2560z00_3383, BgL_arg2561z00_3384);
				}
		}

	}



/* &walk0*-extern1789 */
	obj_t BGl_z62walk0za2zd2extern1789z12zzast_walkz00(obj_t BgL_envz00_8436,
		obj_t BgL_nz00_8437, obj_t BgL_pz00_8438)
	{
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_res4281z00_9766;

				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2546z00_9764;

					BgL_arg2546z00_9764 =
						BGl_zc3z04anonymousza32548ze3ze70z60zzast_walkz00(BgL_pz00_8438,
						(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt) BgL_nz00_8437)))->BgL_exprza2za2));
					{	/* Ast/walk.scm 299 */
						obj_t BgL_list2547z00_9765;

						BgL_list2547z00_9765 = MAKE_YOUNG_PAIR(BgL_arg2546z00_9764, BNIL);
						BgL_res4281z00_9766 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2547z00_9765);
					}
				}
				return BgL_res4281z00_9766;
			}
		}

	}



/* <@anonymous:2548>~0 */
	obj_t BGl_zc3z04anonymousza32548ze3ze70z60zzast_walkz00(obj_t BgL_pz00_8757,
		obj_t BgL_l1545z00_3361)
	{
		{	/* Ast/walk.scm 299 */
			if (NULLP(BgL_l1545z00_3361))
				{	/* Ast/walk.scm 299 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2551z00_3364;
					obj_t BgL_arg2552z00_3365;

					{	/* Ast/walk.scm 299 */
						obj_t BgL_fz00_3366;

						BgL_fz00_3366 = CAR(((obj_t) BgL_l1545z00_3361));
						BgL_arg2551z00_3364 =
							PROCEDURE_ENTRY(BgL_pz00_8757) (BgL_pz00_8757, BgL_fz00_3366,
							BEOA);
					}
					{	/* Ast/walk.scm 299 */
						obj_t BgL_arg2555z00_3367;

						BgL_arg2555z00_3367 = CDR(((obj_t) BgL_l1545z00_3361));
						BgL_arg2552z00_3365 =
							BGl_zc3z04anonymousza32548ze3ze70z60zzast_walkz00(BgL_pz00_8757,
							BgL_arg2555z00_3367);
					}
					return bgl_append2(BgL_arg2551z00_3364, BgL_arg2552z00_3365);
				}
		}

	}



/* &walk3-extern1787 */
	obj_t BGl_z62walk3zd2extern1787zb0zzast_walkz00(obj_t BgL_envz00_8439,
		obj_t BgL_nz00_8440, obj_t BgL_pz00_8441, obj_t BgL_arg0z00_8442,
		obj_t BgL_arg1z00_8443, obj_t BgL_arg2z00_8444)
	{
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_g1543z00_9768;

				BgL_g1543z00_9768 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8440)))->BgL_exprza2za2);
				{
					obj_t BgL_l1541z00_9770;

					{	/* Ast/walk.scm 299 */
						bool_t BgL_tmpz00_15046;

						BgL_l1541z00_9770 = BgL_g1543z00_9768;
					BgL_zc3z04anonymousza32543ze3z87_9769:
						if (PAIRP(BgL_l1541z00_9770))
							{	/* Ast/walk.scm 299 */
								{	/* Ast/walk.scm 299 */
									obj_t BgL_fz00_9771;

									BgL_fz00_9771 = CAR(BgL_l1541z00_9770);
									PROCEDURE_ENTRY(BgL_pz00_8441) (BgL_pz00_8441, BgL_fz00_9771,
										BgL_arg0z00_8442, BgL_arg1z00_8443, BgL_arg2z00_8444, BEOA);
								}
								{
									obj_t BgL_l1541z00_15057;

									BgL_l1541z00_15057 = CDR(BgL_l1541z00_9770);
									BgL_l1541z00_9770 = BgL_l1541z00_15057;
									goto BgL_zc3z04anonymousza32543ze3z87_9769;
								}
							}
						else
							{	/* Ast/walk.scm 299 */
								BgL_tmpz00_15046 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15046);
					}
				}
			}
		}

	}



/* &walk2-extern1785 */
	obj_t BGl_z62walk2zd2extern1785zb0zzast_walkz00(obj_t BgL_envz00_8445,
		obj_t BgL_nz00_8446, obj_t BgL_pz00_8447, obj_t BgL_arg0z00_8448,
		obj_t BgL_arg1z00_8449)
	{
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_g1540z00_9773;

				BgL_g1540z00_9773 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8446)))->BgL_exprza2za2);
				{
					obj_t BgL_l1538z00_9775;

					{	/* Ast/walk.scm 299 */
						bool_t BgL_tmpz00_15062;

						BgL_l1538z00_9775 = BgL_g1540z00_9773;
					BgL_zc3z04anonymousza32539ze3z87_9774:
						if (PAIRP(BgL_l1538z00_9775))
							{	/* Ast/walk.scm 299 */
								{	/* Ast/walk.scm 299 */
									obj_t BgL_fz00_9776;

									BgL_fz00_9776 = CAR(BgL_l1538z00_9775);
									PROCEDURE_ENTRY(BgL_pz00_8447) (BgL_pz00_8447, BgL_fz00_9776,
										BgL_arg0z00_8448, BgL_arg1z00_8449, BEOA);
								}
								{
									obj_t BgL_l1538z00_15072;

									BgL_l1538z00_15072 = CDR(BgL_l1538z00_9775);
									BgL_l1538z00_9775 = BgL_l1538z00_15072;
									goto BgL_zc3z04anonymousza32539ze3z87_9774;
								}
							}
						else
							{	/* Ast/walk.scm 299 */
								BgL_tmpz00_15062 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15062);
					}
				}
			}
		}

	}



/* &walk1-extern1783 */
	obj_t BGl_z62walk1zd2extern1783zb0zzast_walkz00(obj_t BgL_envz00_8450,
		obj_t BgL_nz00_8451, obj_t BgL_pz00_8452, obj_t BgL_arg0z00_8453)
	{
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_g1537z00_9778;

				BgL_g1537z00_9778 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8451)))->BgL_exprza2za2);
				{
					obj_t BgL_l1535z00_9780;

					{	/* Ast/walk.scm 299 */
						bool_t BgL_tmpz00_15077;

						BgL_l1535z00_9780 = BgL_g1537z00_9778;
					BgL_zc3z04anonymousza32534ze3z87_9779:
						if (PAIRP(BgL_l1535z00_9780))
							{	/* Ast/walk.scm 299 */
								{	/* Ast/walk.scm 299 */
									obj_t BgL_fz00_9781;

									BgL_fz00_9781 = CAR(BgL_l1535z00_9780);
									PROCEDURE_ENTRY(BgL_pz00_8452) (BgL_pz00_8452, BgL_fz00_9781,
										BgL_arg0z00_8453, BEOA);
								}
								{
									obj_t BgL_l1535z00_15086;

									BgL_l1535z00_15086 = CDR(BgL_l1535z00_9780);
									BgL_l1535z00_9780 = BgL_l1535z00_15086;
									goto BgL_zc3z04anonymousza32534ze3z87_9779;
								}
							}
						else
							{	/* Ast/walk.scm 299 */
								BgL_tmpz00_15077 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15077);
					}
				}
			}
		}

	}



/* &walk0-extern1781 */
	obj_t BGl_z62walk0zd2extern1781zb0zzast_walkz00(obj_t BgL_envz00_8454,
		obj_t BgL_nz00_8455, obj_t BgL_pz00_8456)
	{
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_g1534z00_9783;

				BgL_g1534z00_9783 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8455)))->BgL_exprza2za2);
				{
					obj_t BgL_l1532z00_9785;

					{	/* Ast/walk.scm 299 */
						bool_t BgL_tmpz00_15091;

						BgL_l1532z00_9785 = BgL_g1534z00_9783;
					BgL_zc3z04anonymousza32529ze3z87_9784:
						if (PAIRP(BgL_l1532z00_9785))
							{	/* Ast/walk.scm 299 */
								{	/* Ast/walk.scm 299 */
									obj_t BgL_fz00_9786;

									BgL_fz00_9786 = CAR(BgL_l1532z00_9785);
									PROCEDURE_ENTRY(BgL_pz00_8456) (BgL_pz00_8456, BgL_fz00_9786,
										BEOA);
								}
								{
									obj_t BgL_l1532z00_15099;

									BgL_l1532z00_15099 = CDR(BgL_l1532z00_9785);
									BgL_l1532z00_9785 = BgL_l1532z00_15099;
									goto BgL_zc3z04anonymousza32529ze3z87_9784;
								}
							}
						else
							{	/* Ast/walk.scm 299 */
								BgL_tmpz00_15091 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15091);
					}
				}
			}
		}

	}



/* &walk3!-funcall1779 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2funcall1779za2zzast_walkz00(obj_t
		BgL_envz00_8457, obj_t BgL_nz00_8458, obj_t BgL_pz00_8459,
		obj_t BgL_arg0z00_8460, obj_t BgL_arg1z00_8461, obj_t BgL_arg2z00_8462)
	{
		{	/* Ast/walk.scm 298 */
			{
				BgL_nodez00_bglt BgL_auxz00_15102;

				{	/* Ast/walk.scm 298 */
					BgL_nodez00_bglt BgL_arg2518z00_9788;

					BgL_arg2518z00_9788 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8458)))->BgL_funz00);
					BgL_auxz00_15102 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8459) (BgL_pz00_8459,
							((obj_t) BgL_arg2518z00_9788), BgL_arg0z00_8460, BgL_arg1z00_8461,
							BgL_arg2z00_8462, BEOA));
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8458)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15102), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9790;

				BgL_fieldsz00_9790 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8458)))->BgL_argsz00);
			BgL_loopz00_9789:
				if (NULLP(BgL_fieldsz00_9790))
					{	/* Ast/walk.scm 298 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 298 */
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2522z00_9791;

							{	/* Ast/walk.scm 298 */
								obj_t BgL_arg2524z00_9792;

								BgL_arg2524z00_9792 = CAR(((obj_t) BgL_fieldsz00_9790));
								BgL_arg2522z00_9791 =
									PROCEDURE_ENTRY(BgL_pz00_8459) (BgL_pz00_8459,
									BgL_arg2524z00_9792, BgL_arg0z00_8460, BgL_arg1z00_8461,
									BgL_arg2z00_8462, BEOA);
							}
							{	/* Ast/walk.scm 298 */
								obj_t BgL_tmpz00_15127;

								BgL_tmpz00_15127 = ((obj_t) BgL_fieldsz00_9790);
								SET_CAR(BgL_tmpz00_15127, BgL_arg2522z00_9791);
							}
						}
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2528z00_9793;

							BgL_arg2528z00_9793 = CDR(((obj_t) BgL_fieldsz00_9790));
							{
								obj_t BgL_fieldsz00_15132;

								BgL_fieldsz00_15132 = BgL_arg2528z00_9793;
								BgL_fieldsz00_9790 = BgL_fieldsz00_15132;
								goto BgL_loopz00_9789;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_8458));
		}

	}



/* &walk2!-funcall1777 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2funcall1777za2zzast_walkz00(obj_t
		BgL_envz00_8463, obj_t BgL_nz00_8464, obj_t BgL_pz00_8465,
		obj_t BgL_arg0z00_8466, obj_t BgL_arg1z00_8467)
	{
		{	/* Ast/walk.scm 298 */
			{
				BgL_nodez00_bglt BgL_auxz00_15137;

				{	/* Ast/walk.scm 298 */
					BgL_nodez00_bglt BgL_arg2507z00_9795;

					BgL_arg2507z00_9795 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8464)))->BgL_funz00);
					BgL_auxz00_15137 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8465) (BgL_pz00_8465,
							((obj_t) BgL_arg2507z00_9795), BgL_arg0z00_8466, BgL_arg1z00_8467,
							BEOA));
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8464)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15137), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9797;

				BgL_fieldsz00_9797 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8464)))->BgL_argsz00);
			BgL_loopz00_9796:
				if (NULLP(BgL_fieldsz00_9797))
					{	/* Ast/walk.scm 298 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 298 */
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2511z00_9798;

							{	/* Ast/walk.scm 298 */
								obj_t BgL_arg2515z00_9799;

								BgL_arg2515z00_9799 = CAR(((obj_t) BgL_fieldsz00_9797));
								BgL_arg2511z00_9798 =
									PROCEDURE_ENTRY(BgL_pz00_8465) (BgL_pz00_8465,
									BgL_arg2515z00_9799, BgL_arg0z00_8466, BgL_arg1z00_8467,
									BEOA);
							}
							{	/* Ast/walk.scm 298 */
								obj_t BgL_tmpz00_15160;

								BgL_tmpz00_15160 = ((obj_t) BgL_fieldsz00_9797);
								SET_CAR(BgL_tmpz00_15160, BgL_arg2511z00_9798);
							}
						}
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2516z00_9800;

							BgL_arg2516z00_9800 = CDR(((obj_t) BgL_fieldsz00_9797));
							{
								obj_t BgL_fieldsz00_15165;

								BgL_fieldsz00_15165 = BgL_arg2516z00_9800;
								BgL_fieldsz00_9797 = BgL_fieldsz00_15165;
								goto BgL_loopz00_9796;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_8464));
		}

	}



/* &walk1!-funcall1775 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2funcall1775za2zzast_walkz00(obj_t
		BgL_envz00_8468, obj_t BgL_nz00_8469, obj_t BgL_pz00_8470,
		obj_t BgL_arg0z00_8471)
	{
		{	/* Ast/walk.scm 298 */
			{
				BgL_nodez00_bglt BgL_auxz00_15170;

				{	/* Ast/walk.scm 298 */
					BgL_nodez00_bglt BgL_arg2500z00_9802;

					BgL_arg2500z00_9802 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8469)))->BgL_funz00);
					BgL_auxz00_15170 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8470) (BgL_pz00_8470,
							((obj_t) BgL_arg2500z00_9802), BgL_arg0z00_8471, BEOA));
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8469)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15170), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9804;

				BgL_fieldsz00_9804 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8469)))->BgL_argsz00);
			BgL_loopz00_9803:
				if (NULLP(BgL_fieldsz00_9804))
					{	/* Ast/walk.scm 298 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 298 */
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2504z00_9805;

							{	/* Ast/walk.scm 298 */
								obj_t BgL_arg2505z00_9806;

								BgL_arg2505z00_9806 = CAR(((obj_t) BgL_fieldsz00_9804));
								BgL_arg2504z00_9805 =
									PROCEDURE_ENTRY(BgL_pz00_8470) (BgL_pz00_8470,
									BgL_arg2505z00_9806, BgL_arg0z00_8471, BEOA);
							}
							{	/* Ast/walk.scm 298 */
								obj_t BgL_tmpz00_15191;

								BgL_tmpz00_15191 = ((obj_t) BgL_fieldsz00_9804);
								SET_CAR(BgL_tmpz00_15191, BgL_arg2504z00_9805);
							}
						}
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2506z00_9807;

							BgL_arg2506z00_9807 = CDR(((obj_t) BgL_fieldsz00_9804));
							{
								obj_t BgL_fieldsz00_15196;

								BgL_fieldsz00_15196 = BgL_arg2506z00_9807;
								BgL_fieldsz00_9804 = BgL_fieldsz00_15196;
								goto BgL_loopz00_9803;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_8469));
		}

	}



/* &walk0!-funcall1773 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2funcall1773za2zzast_walkz00(obj_t
		BgL_envz00_8472, obj_t BgL_nz00_8473, obj_t BgL_pz00_8474)
	{
		{	/* Ast/walk.scm 298 */
			{
				BgL_nodez00_bglt BgL_auxz00_15201;

				{	/* Ast/walk.scm 298 */
					BgL_nodez00_bglt BgL_arg2490z00_9809;

					BgL_arg2490z00_9809 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8473)))->BgL_funz00);
					BgL_auxz00_15201 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8474) (BgL_pz00_8474,
							((obj_t) BgL_arg2490z00_9809), BEOA));
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8473)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15201), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9811;

				BgL_fieldsz00_9811 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8473)))->BgL_argsz00);
			BgL_loopz00_9810:
				if (NULLP(BgL_fieldsz00_9811))
					{	/* Ast/walk.scm 298 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 298 */
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2496z00_9812;

							{	/* Ast/walk.scm 298 */
								obj_t BgL_arg2497z00_9813;

								BgL_arg2497z00_9813 = CAR(((obj_t) BgL_fieldsz00_9811));
								BgL_arg2496z00_9812 =
									PROCEDURE_ENTRY(BgL_pz00_8474) (BgL_pz00_8474,
									BgL_arg2497z00_9813, BEOA);
							}
							{	/* Ast/walk.scm 298 */
								obj_t BgL_tmpz00_15220;

								BgL_tmpz00_15220 = ((obj_t) BgL_fieldsz00_9811);
								SET_CAR(BgL_tmpz00_15220, BgL_arg2496z00_9812);
							}
						}
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2498z00_9814;

							BgL_arg2498z00_9814 = CDR(((obj_t) BgL_fieldsz00_9811));
							{
								obj_t BgL_fieldsz00_15225;

								BgL_fieldsz00_15225 = BgL_arg2498z00_9814;
								BgL_fieldsz00_9811 = BgL_fieldsz00_15225;
								goto BgL_loopz00_9810;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_8473));
		}

	}



/* &walk3*-funcall1771 */
	obj_t BGl_z62walk3za2zd2funcall1771z12zzast_walkz00(obj_t BgL_envz00_8475,
		obj_t BgL_nz00_8476, obj_t BgL_pz00_8477, obj_t BgL_arg0z00_8478,
		obj_t BgL_arg1z00_8479, obj_t BgL_arg2z00_8480)
	{
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				obj_t BgL_res4282z00_9819;

				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2481z00_9816;
					obj_t BgL_arg2482z00_9817;

					{	/* Ast/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg2483z00_9818;

						BgL_arg2483z00_9818 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nz00_8476)))->BgL_funz00);
						BgL_arg2481z00_9816 =
							PROCEDURE_ENTRY(BgL_pz00_8477) (BgL_pz00_8477,
							((obj_t) BgL_arg2483z00_9818), BgL_arg0z00_8478, BgL_arg1z00_8479,
							BgL_arg2z00_8480, BEOA);
					}
					BgL_arg2482z00_9817 =
						BGl_zc3z04anonymousza32484ze3ze70z60zzast_walkz00(BgL_arg2z00_8480,
						BgL_arg1z00_8479, BgL_arg0z00_8478, BgL_pz00_8477,
						(((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
										BgL_nz00_8476)))->BgL_argsz00));
					BgL_res4282z00_9819 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2481z00_9816,
						BgL_arg2482z00_9817);
				}
				return BgL_res4282z00_9819;
			}
		}

	}



/* <@anonymous:2484>~0 */
	obj_t BGl_zc3z04anonymousza32484ze3ze70z60zzast_walkz00(obj_t
		BgL_arg2z00_8756, obj_t BgL_arg1z00_8755, obj_t BgL_arg0z00_8754,
		obj_t BgL_pz00_8753, obj_t BgL_l1530z00_3211)
	{
		{	/* Ast/walk.scm 298 */
			if (NULLP(BgL_l1530z00_3211))
				{	/* Ast/walk.scm 298 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2486z00_3214;
					obj_t BgL_arg2488z00_3215;

					{	/* Ast/walk.scm 298 */
						obj_t BgL_fz00_3216;

						BgL_fz00_3216 = CAR(((obj_t) BgL_l1530z00_3211));
						BgL_arg2486z00_3214 =
							PROCEDURE_ENTRY(BgL_pz00_8753) (BgL_pz00_8753, BgL_fz00_3216,
							BgL_arg0z00_8754, BgL_arg1z00_8755, BgL_arg2z00_8756, BEOA);
					}
					{	/* Ast/walk.scm 298 */
						obj_t BgL_arg2489z00_3217;

						BgL_arg2489z00_3217 = CDR(((obj_t) BgL_l1530z00_3211));
						BgL_arg2488z00_3215 =
							BGl_zc3z04anonymousza32484ze3ze70z60zzast_walkz00
							(BgL_arg2z00_8756, BgL_arg1z00_8755, BgL_arg0z00_8754,
							BgL_pz00_8753, BgL_arg2489z00_3217);
					}
					return bgl_append2(BgL_arg2486z00_3214, BgL_arg2488z00_3215);
				}
		}

	}



/* &walk2*-funcall1769 */
	obj_t BGl_z62walk2za2zd2funcall1769z12zzast_walkz00(obj_t BgL_envz00_8481,
		obj_t BgL_nz00_8482, obj_t BgL_pz00_8483, obj_t BgL_arg0z00_8484,
		obj_t BgL_arg1z00_8485)
	{
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				obj_t BgL_res4283z00_9824;

				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2472z00_9821;
					obj_t BgL_arg2473z00_9822;

					{	/* Ast/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg2474z00_9823;

						BgL_arg2474z00_9823 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nz00_8482)))->BgL_funz00);
						BgL_arg2472z00_9821 =
							PROCEDURE_ENTRY(BgL_pz00_8483) (BgL_pz00_8483,
							((obj_t) BgL_arg2474z00_9823), BgL_arg0z00_8484, BgL_arg1z00_8485,
							BEOA);
					}
					BgL_arg2473z00_9822 =
						BGl_zc3z04anonymousza32475ze3ze70z60zzast_walkz00(BgL_arg1z00_8485,
						BgL_arg0z00_8484, BgL_pz00_8483,
						(((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
										BgL_nz00_8482)))->BgL_argsz00));
					BgL_res4283z00_9824 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2472z00_9821,
						BgL_arg2473z00_9822);
				}
				return BgL_res4283z00_9824;
			}
		}

	}



/* <@anonymous:2475>~0 */
	obj_t BGl_zc3z04anonymousza32475ze3ze70z60zzast_walkz00(obj_t
		BgL_arg1z00_8752, obj_t BgL_arg0z00_8751, obj_t BgL_pz00_8750,
		obj_t BgL_l1527z00_3189)
	{
		{	/* Ast/walk.scm 298 */
			if (NULLP(BgL_l1527z00_3189))
				{	/* Ast/walk.scm 298 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2478z00_3192;
					obj_t BgL_arg2479z00_3193;

					{	/* Ast/walk.scm 298 */
						obj_t BgL_fz00_3194;

						BgL_fz00_3194 = CAR(((obj_t) BgL_l1527z00_3189));
						BgL_arg2478z00_3192 =
							PROCEDURE_ENTRY(BgL_pz00_8750) (BgL_pz00_8750, BgL_fz00_3194,
							BgL_arg0z00_8751, BgL_arg1z00_8752, BEOA);
					}
					{	/* Ast/walk.scm 298 */
						obj_t BgL_arg2480z00_3195;

						BgL_arg2480z00_3195 = CDR(((obj_t) BgL_l1527z00_3189));
						BgL_arg2479z00_3193 =
							BGl_zc3z04anonymousza32475ze3ze70z60zzast_walkz00
							(BgL_arg1z00_8752, BgL_arg0z00_8751, BgL_pz00_8750,
							BgL_arg2480z00_3195);
					}
					return bgl_append2(BgL_arg2478z00_3192, BgL_arg2479z00_3193);
				}
		}

	}



/* &walk1*-funcall1767 */
	obj_t BGl_z62walk1za2zd2funcall1767z12zzast_walkz00(obj_t BgL_envz00_8486,
		obj_t BgL_nz00_8487, obj_t BgL_pz00_8488, obj_t BgL_arg0z00_8489)
	{
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				obj_t BgL_res4284z00_9829;

				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2463z00_9826;
					obj_t BgL_arg2464z00_9827;

					{	/* Ast/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg2465z00_9828;

						BgL_arg2465z00_9828 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nz00_8487)))->BgL_funz00);
						BgL_arg2463z00_9826 =
							PROCEDURE_ENTRY(BgL_pz00_8488) (BgL_pz00_8488,
							((obj_t) BgL_arg2465z00_9828), BgL_arg0z00_8489, BEOA);
					}
					BgL_arg2464z00_9827 =
						BGl_zc3z04anonymousza32466ze3ze70z60zzast_walkz00(BgL_arg0z00_8489,
						BgL_pz00_8488,
						(((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
										BgL_nz00_8487)))->BgL_argsz00));
					BgL_res4284z00_9829 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2463z00_9826,
						BgL_arg2464z00_9827);
				}
				return BgL_res4284z00_9829;
			}
		}

	}



/* <@anonymous:2466>~0 */
	obj_t BGl_zc3z04anonymousza32466ze3ze70z60zzast_walkz00(obj_t
		BgL_arg0z00_8749, obj_t BgL_pz00_8748, obj_t BgL_l1524z00_3168)
	{
		{	/* Ast/walk.scm 298 */
			if (NULLP(BgL_l1524z00_3168))
				{	/* Ast/walk.scm 298 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2468z00_3171;
					obj_t BgL_arg2470z00_3172;

					{	/* Ast/walk.scm 298 */
						obj_t BgL_fz00_3173;

						BgL_fz00_3173 = CAR(((obj_t) BgL_l1524z00_3168));
						BgL_arg2468z00_3171 =
							PROCEDURE_ENTRY(BgL_pz00_8748) (BgL_pz00_8748, BgL_fz00_3173,
							BgL_arg0z00_8749, BEOA);
					}
					{	/* Ast/walk.scm 298 */
						obj_t BgL_arg2471z00_3174;

						BgL_arg2471z00_3174 = CDR(((obj_t) BgL_l1524z00_3168));
						BgL_arg2470z00_3172 =
							BGl_zc3z04anonymousza32466ze3ze70z60zzast_walkz00
							(BgL_arg0z00_8749, BgL_pz00_8748, BgL_arg2471z00_3174);
					}
					return bgl_append2(BgL_arg2468z00_3171, BgL_arg2470z00_3172);
				}
		}

	}



/* &walk0*-funcall1765 */
	obj_t BGl_z62walk0za2zd2funcall1765z12zzast_walkz00(obj_t BgL_envz00_8490,
		obj_t BgL_nz00_8491, obj_t BgL_pz00_8492)
	{
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				obj_t BgL_res4285z00_9834;

				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2452z00_9831;
					obj_t BgL_arg2453z00_9832;

					{	/* Ast/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg2454z00_9833;

						BgL_arg2454z00_9833 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nz00_8491)))->BgL_funz00);
						BgL_arg2452z00_9831 =
							PROCEDURE_ENTRY(BgL_pz00_8492) (BgL_pz00_8492,
							((obj_t) BgL_arg2454z00_9833), BEOA);
					}
					BgL_arg2453z00_9832 =
						BGl_zc3z04anonymousza32455ze3ze70z60zzast_walkz00(BgL_pz00_8492,
						(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nz00_8491)))->BgL_argsz00));
					BgL_res4285z00_9834 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2452z00_9831,
						BgL_arg2453z00_9832);
				}
				return BgL_res4285z00_9834;
			}
		}

	}



/* <@anonymous:2455>~0 */
	obj_t BGl_zc3z04anonymousza32455ze3ze70z60zzast_walkz00(obj_t BgL_pz00_8747,
		obj_t BgL_l1521z00_3148)
	{
		{	/* Ast/walk.scm 298 */
			if (NULLP(BgL_l1521z00_3148))
				{	/* Ast/walk.scm 298 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2457z00_3151;
					obj_t BgL_arg2458z00_3152;

					{	/* Ast/walk.scm 298 */
						obj_t BgL_fz00_3153;

						BgL_fz00_3153 = CAR(((obj_t) BgL_l1521z00_3148));
						BgL_arg2457z00_3151 =
							PROCEDURE_ENTRY(BgL_pz00_8747) (BgL_pz00_8747, BgL_fz00_3153,
							BEOA);
					}
					{	/* Ast/walk.scm 298 */
						obj_t BgL_arg2461z00_3154;

						BgL_arg2461z00_3154 = CDR(((obj_t) BgL_l1521z00_3148));
						BgL_arg2458z00_3152 =
							BGl_zc3z04anonymousza32455ze3ze70z60zzast_walkz00(BgL_pz00_8747,
							BgL_arg2461z00_3154);
					}
					return bgl_append2(BgL_arg2457z00_3151, BgL_arg2458z00_3152);
				}
		}

	}



/* &walk3-funcall1763 */
	obj_t BGl_z62walk3zd2funcall1763zb0zzast_walkz00(obj_t BgL_envz00_8493,
		obj_t BgL_nz00_8494, obj_t BgL_pz00_8495, obj_t BgL_arg0z00_8496,
		obj_t BgL_arg1z00_8497, obj_t BgL_arg2z00_8498)
	{
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				BgL_nodez00_bglt BgL_arg2447z00_9836;

				BgL_arg2447z00_9836 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8494)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8495) (BgL_pz00_8495,
					((obj_t) BgL_arg2447z00_9836), BgL_arg0z00_8496, BgL_arg1z00_8497,
					BgL_arg2z00_8498, BEOA);
			}
			{	/* Ast/walk.scm 298 */
				obj_t BgL_g1519z00_9837;

				BgL_g1519z00_9837 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8494)))->BgL_argsz00);
				{
					obj_t BgL_l1517z00_9839;

					{	/* Ast/walk.scm 298 */
						bool_t BgL_tmpz00_15346;

						BgL_l1517z00_9839 = BgL_g1519z00_9837;
					BgL_zc3z04anonymousza32448ze3z87_9838:
						if (PAIRP(BgL_l1517z00_9839))
							{	/* Ast/walk.scm 298 */
								{	/* Ast/walk.scm 298 */
									obj_t BgL_fz00_9840;

									BgL_fz00_9840 = CAR(BgL_l1517z00_9839);
									PROCEDURE_ENTRY(BgL_pz00_8495) (BgL_pz00_8495, BgL_fz00_9840,
										BgL_arg0z00_8496, BgL_arg1z00_8497, BgL_arg2z00_8498, BEOA);
								}
								{
									obj_t BgL_l1517z00_15357;

									BgL_l1517z00_15357 = CDR(BgL_l1517z00_9839);
									BgL_l1517z00_9839 = BgL_l1517z00_15357;
									goto BgL_zc3z04anonymousza32448ze3z87_9838;
								}
							}
						else
							{	/* Ast/walk.scm 298 */
								BgL_tmpz00_15346 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15346);
					}
				}
			}
		}

	}



/* &walk2-funcall1761 */
	obj_t BGl_z62walk2zd2funcall1761zb0zzast_walkz00(obj_t BgL_envz00_8499,
		obj_t BgL_nz00_8500, obj_t BgL_pz00_8501, obj_t BgL_arg0z00_8502,
		obj_t BgL_arg1z00_8503)
	{
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				BgL_nodez00_bglt BgL_arg2443z00_9842;

				BgL_arg2443z00_9842 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8500)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8501) (BgL_pz00_8501,
					((obj_t) BgL_arg2443z00_9842), BgL_arg0z00_8502, BgL_arg1z00_8503,
					BEOA);
			}
			{	/* Ast/walk.scm 298 */
				obj_t BgL_g1516z00_9843;

				BgL_g1516z00_9843 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8500)))->BgL_argsz00);
				{
					obj_t BgL_l1514z00_9845;

					{	/* Ast/walk.scm 298 */
						bool_t BgL_tmpz00_15371;

						BgL_l1514z00_9845 = BgL_g1516z00_9843;
					BgL_zc3z04anonymousza32444ze3z87_9844:
						if (PAIRP(BgL_l1514z00_9845))
							{	/* Ast/walk.scm 298 */
								{	/* Ast/walk.scm 298 */
									obj_t BgL_fz00_9846;

									BgL_fz00_9846 = CAR(BgL_l1514z00_9845);
									PROCEDURE_ENTRY(BgL_pz00_8501) (BgL_pz00_8501, BgL_fz00_9846,
										BgL_arg0z00_8502, BgL_arg1z00_8503, BEOA);
								}
								{
									obj_t BgL_l1514z00_15381;

									BgL_l1514z00_15381 = CDR(BgL_l1514z00_9845);
									BgL_l1514z00_9845 = BgL_l1514z00_15381;
									goto BgL_zc3z04anonymousza32444ze3z87_9844;
								}
							}
						else
							{	/* Ast/walk.scm 298 */
								BgL_tmpz00_15371 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15371);
					}
				}
			}
		}

	}



/* &walk1-funcall1759 */
	obj_t BGl_z62walk1zd2funcall1759zb0zzast_walkz00(obj_t BgL_envz00_8504,
		obj_t BgL_nz00_8505, obj_t BgL_pz00_8506, obj_t BgL_arg0z00_8507)
	{
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				BgL_nodez00_bglt BgL_arg2438z00_9848;

				BgL_arg2438z00_9848 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8505)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8506) (BgL_pz00_8506,
					((obj_t) BgL_arg2438z00_9848), BgL_arg0z00_8507, BEOA);
			}
			{	/* Ast/walk.scm 298 */
				obj_t BgL_g1513z00_9849;

				BgL_g1513z00_9849 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8505)))->BgL_argsz00);
				{
					obj_t BgL_l1511z00_9851;

					{	/* Ast/walk.scm 298 */
						bool_t BgL_tmpz00_15394;

						BgL_l1511z00_9851 = BgL_g1513z00_9849;
					BgL_zc3z04anonymousza32439ze3z87_9850:
						if (PAIRP(BgL_l1511z00_9851))
							{	/* Ast/walk.scm 298 */
								{	/* Ast/walk.scm 298 */
									obj_t BgL_fz00_9852;

									BgL_fz00_9852 = CAR(BgL_l1511z00_9851);
									PROCEDURE_ENTRY(BgL_pz00_8506) (BgL_pz00_8506, BgL_fz00_9852,
										BgL_arg0z00_8507, BEOA);
								}
								{
									obj_t BgL_l1511z00_15403;

									BgL_l1511z00_15403 = CDR(BgL_l1511z00_9851);
									BgL_l1511z00_9851 = BgL_l1511z00_15403;
									goto BgL_zc3z04anonymousza32439ze3z87_9850;
								}
							}
						else
							{	/* Ast/walk.scm 298 */
								BgL_tmpz00_15394 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15394);
					}
				}
			}
		}

	}



/* &walk0-funcall1757 */
	obj_t BGl_z62walk0zd2funcall1757zb0zzast_walkz00(obj_t BgL_envz00_8508,
		obj_t BgL_nz00_8509, obj_t BgL_pz00_8510)
	{
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				BgL_nodez00_bglt BgL_arg2434z00_9854;

				BgL_arg2434z00_9854 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8509)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8510) (BgL_pz00_8510,
					((obj_t) BgL_arg2434z00_9854), BEOA);
			}
			{	/* Ast/walk.scm 298 */
				obj_t BgL_g1510z00_9855;

				BgL_g1510z00_9855 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8509)))->BgL_argsz00);
				{
					obj_t BgL_l1508z00_9857;

					{	/* Ast/walk.scm 298 */
						bool_t BgL_tmpz00_15415;

						BgL_l1508z00_9857 = BgL_g1510z00_9855;
					BgL_zc3z04anonymousza32435ze3z87_9856:
						if (PAIRP(BgL_l1508z00_9857))
							{	/* Ast/walk.scm 298 */
								{	/* Ast/walk.scm 298 */
									obj_t BgL_fz00_9858;

									BgL_fz00_9858 = CAR(BgL_l1508z00_9857);
									PROCEDURE_ENTRY(BgL_pz00_8510) (BgL_pz00_8510, BgL_fz00_9858,
										BEOA);
								}
								{
									obj_t BgL_l1508z00_15423;

									BgL_l1508z00_15423 = CDR(BgL_l1508z00_9857);
									BgL_l1508z00_9857 = BgL_l1508z00_15423;
									goto BgL_zc3z04anonymousza32435ze3z87_9856;
								}
							}
						else
							{	/* Ast/walk.scm 298 */
								BgL_tmpz00_15415 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15415);
					}
				}
			}
		}

	}



/* &walk3!-app-ly1755 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2appzd2ly1755z70zzast_walkz00(obj_t
		BgL_envz00_8511, obj_t BgL_nz00_8512, obj_t BgL_pz00_8513,
		obj_t BgL_arg0z00_8514, obj_t BgL_arg1z00_8515, obj_t BgL_arg2z00_8516)
	{
		{	/* Ast/walk.scm 297 */
			{
				BgL_nodez00_bglt BgL_auxz00_15426;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2431z00_9860;

					BgL_arg2431z00_9860 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8512)))->BgL_funz00);
					BgL_auxz00_15426 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8513) (BgL_pz00_8513,
							((obj_t) BgL_arg2431z00_9860), BgL_arg0z00_8514, BgL_arg1z00_8515,
							BgL_arg2z00_8516, BEOA));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8512)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15426), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_15440;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2433z00_9861;

					BgL_arg2433z00_9861 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8512)))->BgL_argz00);
					BgL_auxz00_15440 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8513) (BgL_pz00_8513,
							((obj_t) BgL_arg2433z00_9861), BgL_arg0z00_8514, BgL_arg1z00_8515,
							BgL_arg2z00_8516, BEOA));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8512)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15440), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_8512));
		}

	}



/* &walk2!-app-ly1753 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2appzd2ly1753z70zzast_walkz00(obj_t
		BgL_envz00_8517, obj_t BgL_nz00_8518, obj_t BgL_pz00_8519,
		obj_t BgL_arg0z00_8520, obj_t BgL_arg1z00_8521)
	{
		{	/* Ast/walk.scm 297 */
			{
				BgL_nodez00_bglt BgL_auxz00_15456;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2428z00_9863;

					BgL_arg2428z00_9863 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8518)))->BgL_funz00);
					BgL_auxz00_15456 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8519) (BgL_pz00_8519,
							((obj_t) BgL_arg2428z00_9863), BgL_arg0z00_8520, BgL_arg1z00_8521,
							BEOA));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8518)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15456), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_15469;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2430z00_9864;

					BgL_arg2430z00_9864 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8518)))->BgL_argz00);
					BgL_auxz00_15469 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8519) (BgL_pz00_8519,
							((obj_t) BgL_arg2430z00_9864), BgL_arg0z00_8520, BgL_arg1z00_8521,
							BEOA));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8518)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15469), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_8518));
		}

	}



/* &walk1!-app-ly1751 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2appzd2ly1751z70zzast_walkz00(obj_t
		BgL_envz00_8522, obj_t BgL_nz00_8523, obj_t BgL_pz00_8524,
		obj_t BgL_arg0z00_8525)
	{
		{	/* Ast/walk.scm 297 */
			{
				BgL_nodez00_bglt BgL_auxz00_15484;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2426z00_9866;

					BgL_arg2426z00_9866 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8523)))->BgL_funz00);
					BgL_auxz00_15484 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8524) (BgL_pz00_8524,
							((obj_t) BgL_arg2426z00_9866), BgL_arg0z00_8525, BEOA));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8523)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15484), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_15496;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2427z00_9867;

					BgL_arg2427z00_9867 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8523)))->BgL_argz00);
					BgL_auxz00_15496 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8524) (BgL_pz00_8524,
							((obj_t) BgL_arg2427z00_9867), BgL_arg0z00_8525, BEOA));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8523)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15496), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_8523));
		}

	}



/* &walk0!-app-ly1749 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2appzd2ly1749z70zzast_walkz00(obj_t
		BgL_envz00_8526, obj_t BgL_nz00_8527, obj_t BgL_pz00_8528)
	{
		{	/* Ast/walk.scm 297 */
			{
				BgL_nodez00_bglt BgL_auxz00_15510;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2423z00_9869;

					BgL_arg2423z00_9869 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8527)))->BgL_funz00);
					BgL_auxz00_15510 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8528) (BgL_pz00_8528,
							((obj_t) BgL_arg2423z00_9869), BEOA));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8527)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15510), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_15521;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2425z00_9870;

					BgL_arg2425z00_9870 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8527)))->BgL_argz00);
					BgL_auxz00_15521 =
						((BgL_nodez00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8528) (BgL_pz00_8528,
							((obj_t) BgL_arg2425z00_9870), BEOA));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8527)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15521), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_8527));
		}

	}



/* &walk3*-app-ly1747 */
	obj_t BGl_z62walk3za2zd2appzd2ly1747zc0zzast_walkz00(obj_t BgL_envz00_8529,
		obj_t BgL_nz00_8530, obj_t BgL_pz00_8531, obj_t BgL_arg0z00_8532,
		obj_t BgL_arg1z00_8533, obj_t BgL_arg2z00_8534)
	{
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				obj_t BgL_res4286z00_9876;

				{	/* Ast/walk.scm 297 */
					obj_t BgL_arg2419z00_9872;
					obj_t BgL_arg2420z00_9873;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2421z00_9874;

						BgL_arg2421z00_9874 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8530)))->BgL_funz00);
						BgL_arg2419z00_9872 =
							PROCEDURE_ENTRY(BgL_pz00_8531) (BgL_pz00_8531,
							((obj_t) BgL_arg2421z00_9874), BgL_arg0z00_8532, BgL_arg1z00_8533,
							BgL_arg2z00_8534, BEOA);
					}
					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2422z00_9875;

						BgL_arg2422z00_9875 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8530)))->BgL_argz00);
						BgL_arg2420z00_9873 =
							PROCEDURE_ENTRY(BgL_pz00_8531) (BgL_pz00_8531,
							((obj_t) BgL_arg2422z00_9875), BgL_arg0z00_8532, BgL_arg1z00_8533,
							BgL_arg2z00_8534, BEOA);
					}
					BgL_res4286z00_9876 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2419z00_9872,
						BgL_arg2420z00_9873);
				}
				return BgL_res4286z00_9876;
			}
		}

	}



/* &walk2*-app-ly1745 */
	obj_t BGl_z62walk2za2zd2appzd2ly1745zc0zzast_walkz00(obj_t BgL_envz00_8535,
		obj_t BgL_nz00_8536, obj_t BgL_pz00_8537, obj_t BgL_arg0z00_8538,
		obj_t BgL_arg1z00_8539)
	{
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				obj_t BgL_res4287z00_9882;

				{	/* Ast/walk.scm 297 */
					obj_t BgL_arg2413z00_9878;
					obj_t BgL_arg2415z00_9879;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2416z00_9880;

						BgL_arg2416z00_9880 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8536)))->BgL_funz00);
						BgL_arg2413z00_9878 =
							PROCEDURE_ENTRY(BgL_pz00_8537) (BgL_pz00_8537,
							((obj_t) BgL_arg2416z00_9880), BgL_arg0z00_8538, BgL_arg1z00_8539,
							BEOA);
					}
					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2417z00_9881;

						BgL_arg2417z00_9881 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8536)))->BgL_argz00);
						BgL_arg2415z00_9879 =
							PROCEDURE_ENTRY(BgL_pz00_8537) (BgL_pz00_8537,
							((obj_t) BgL_arg2417z00_9881), BgL_arg0z00_8538, BgL_arg1z00_8539,
							BEOA);
					}
					BgL_res4287z00_9882 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2413z00_9878,
						BgL_arg2415z00_9879);
				}
				return BgL_res4287z00_9882;
			}
		}

	}



/* &walk1*-app-ly1743 */
	obj_t BGl_z62walk1za2zd2appzd2ly1743zc0zzast_walkz00(obj_t BgL_envz00_8540,
		obj_t BgL_nz00_8541, obj_t BgL_pz00_8542, obj_t BgL_arg0z00_8543)
	{
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				obj_t BgL_res4288z00_9888;

				{	/* Ast/walk.scm 297 */
					obj_t BgL_arg2408z00_9884;
					obj_t BgL_arg2410z00_9885;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2411z00_9886;

						BgL_arg2411z00_9886 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8541)))->BgL_funz00);
						BgL_arg2408z00_9884 =
							PROCEDURE_ENTRY(BgL_pz00_8542) (BgL_pz00_8542,
							((obj_t) BgL_arg2411z00_9886), BgL_arg0z00_8543, BEOA);
					}
					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2412z00_9887;

						BgL_arg2412z00_9887 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8541)))->BgL_argz00);
						BgL_arg2410z00_9885 =
							PROCEDURE_ENTRY(BgL_pz00_8542) (BgL_pz00_8542,
							((obj_t) BgL_arg2412z00_9887), BgL_arg0z00_8543, BEOA);
					}
					BgL_res4288z00_9888 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2408z00_9884,
						BgL_arg2410z00_9885);
				}
				return BgL_res4288z00_9888;
			}
		}

	}



/* &walk0*-app-ly1741 */
	obj_t BGl_z62walk0za2zd2appzd2ly1741zc0zzast_walkz00(obj_t BgL_envz00_8544,
		obj_t BgL_nz00_8545, obj_t BgL_pz00_8546)
	{
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				obj_t BgL_res4289z00_9894;

				{	/* Ast/walk.scm 297 */
					obj_t BgL_arg2403z00_9890;
					obj_t BgL_arg2404z00_9891;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2405z00_9892;

						BgL_arg2405z00_9892 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8545)))->BgL_funz00);
						BgL_arg2403z00_9890 =
							PROCEDURE_ENTRY(BgL_pz00_8546) (BgL_pz00_8546,
							((obj_t) BgL_arg2405z00_9892), BEOA);
					}
					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2407z00_9893;

						BgL_arg2407z00_9893 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8545)))->BgL_argz00);
						BgL_arg2404z00_9891 =
							PROCEDURE_ENTRY(BgL_pz00_8546) (BgL_pz00_8546,
							((obj_t) BgL_arg2407z00_9893), BEOA);
					}
					BgL_res4289z00_9894 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2403z00_9890,
						BgL_arg2404z00_9891);
				}
				return BgL_res4289z00_9894;
			}
		}

	}



/* &walk3-app-ly1739 */
	obj_t BGl_z62walk3zd2appzd2ly1739z62zzast_walkz00(obj_t BgL_envz00_8547,
		obj_t BgL_nz00_8548, obj_t BgL_pz00_8549, obj_t BgL_arg0z00_8550,
		obj_t BgL_arg1z00_8551, obj_t BgL_arg2z00_8552)
	{
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2400z00_9896;

				BgL_arg2400z00_9896 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8548)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8549) (BgL_pz00_8549,
					((obj_t) BgL_arg2400z00_9896), BgL_arg0z00_8550, BgL_arg1z00_8551,
					BgL_arg2z00_8552, BEOA);
			}
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2401z00_9897;

				BgL_arg2401z00_9897 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8548)))->BgL_argz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8549) (BgL_pz00_8549,
					((obj_t) BgL_arg2401z00_9897), BgL_arg0z00_8550, BgL_arg1z00_8551,
					BgL_arg2z00_8552, BEOA);
			}
		}

	}



/* &walk2-app-ly1737 */
	obj_t BGl_z62walk2zd2appzd2ly1737z62zzast_walkz00(obj_t BgL_envz00_8553,
		obj_t BgL_nz00_8554, obj_t BgL_pz00_8555, obj_t BgL_arg0z00_8556,
		obj_t BgL_arg1z00_8557)
	{
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2397z00_9899;

				BgL_arg2397z00_9899 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8554)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8555) (BgL_pz00_8555,
					((obj_t) BgL_arg2397z00_9899), BgL_arg0z00_8556, BgL_arg1z00_8557,
					BEOA);
			}
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2398z00_9900;

				BgL_arg2398z00_9900 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8554)))->BgL_argz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8555) (BgL_pz00_8555,
					((obj_t) BgL_arg2398z00_9900), BgL_arg0z00_8556, BgL_arg1z00_8557,
					BEOA);
			}
		}

	}



/* &walk1-app-ly1735 */
	obj_t BGl_z62walk1zd2appzd2ly1735z62zzast_walkz00(obj_t BgL_envz00_8558,
		obj_t BgL_nz00_8559, obj_t BgL_pz00_8560, obj_t BgL_arg0z00_8561)
	{
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2394z00_9902;

				BgL_arg2394z00_9902 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8559)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8560) (BgL_pz00_8560,
					((obj_t) BgL_arg2394z00_9902), BgL_arg0z00_8561, BEOA);
			}
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2395z00_9903;

				BgL_arg2395z00_9903 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8559)))->BgL_argz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8560) (BgL_pz00_8560,
					((obj_t) BgL_arg2395z00_9903), BgL_arg0z00_8561, BEOA);
			}
		}

	}



/* &walk0-app-ly1733 */
	obj_t BGl_z62walk0zd2appzd2ly1733z62zzast_walkz00(obj_t BgL_envz00_8562,
		obj_t BgL_nz00_8563, obj_t BgL_pz00_8564)
	{
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2391z00_9905;

				BgL_arg2391z00_9905 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8563)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8564) (BgL_pz00_8564,
					((obj_t) BgL_arg2391z00_9905), BEOA);
			}
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2393z00_9906;

				BgL_arg2393z00_9906 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8563)))->BgL_argz00);
				return
					PROCEDURE_ENTRY(BgL_pz00_8564) (BgL_pz00_8564,
					((obj_t) BgL_arg2393z00_9906), BEOA);
			}
		}

	}



/* &walk3!-app1731 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2app1731za2zzast_walkz00(obj_t
		BgL_envz00_8565, obj_t BgL_nz00_8566, obj_t BgL_pz00_8567,
		obj_t BgL_arg0z00_8568, obj_t BgL_arg1z00_8569, obj_t BgL_arg2z00_8570)
	{
		{	/* Ast/walk.scm 296 */
			{
				BgL_varz00_bglt BgL_auxz00_15674;

				{	/* Ast/walk.scm 296 */
					BgL_varz00_bglt BgL_arg2382z00_9908;

					BgL_arg2382z00_9908 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8566)))->BgL_funz00);
					BgL_auxz00_15674 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8567) (BgL_pz00_8567,
							((obj_t) BgL_arg2382z00_9908), BgL_arg0z00_8568, BgL_arg1z00_8569,
							BgL_arg2z00_8570, BEOA));
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8566)))->BgL_funz00) =
					((BgL_varz00_bglt) BgL_auxz00_15674), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9910;

				BgL_fieldsz00_9910 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8566)))->BgL_argsz00);
			BgL_loopz00_9909:
				if (NULLP(BgL_fieldsz00_9910))
					{	/* Ast/walk.scm 296 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 296 */
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2387z00_9911;

							{	/* Ast/walk.scm 296 */
								obj_t BgL_arg2388z00_9912;

								BgL_arg2388z00_9912 = CAR(((obj_t) BgL_fieldsz00_9910));
								BgL_arg2387z00_9911 =
									PROCEDURE_ENTRY(BgL_pz00_8567) (BgL_pz00_8567,
									BgL_arg2388z00_9912, BgL_arg0z00_8568, BgL_arg1z00_8569,
									BgL_arg2z00_8570, BEOA);
							}
							{	/* Ast/walk.scm 296 */
								obj_t BgL_tmpz00_15699;

								BgL_tmpz00_15699 = ((obj_t) BgL_fieldsz00_9910);
								SET_CAR(BgL_tmpz00_15699, BgL_arg2387z00_9911);
							}
						}
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2389z00_9913;

							BgL_arg2389z00_9913 = CDR(((obj_t) BgL_fieldsz00_9910));
							{
								obj_t BgL_fieldsz00_15704;

								BgL_fieldsz00_15704 = BgL_arg2389z00_9913;
								BgL_fieldsz00_9910 = BgL_fieldsz00_15704;
								goto BgL_loopz00_9909;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nz00_8566));
		}

	}



/* &walk2!-app1729 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2app1729za2zzast_walkz00(obj_t
		BgL_envz00_8571, obj_t BgL_nz00_8572, obj_t BgL_pz00_8573,
		obj_t BgL_arg0z00_8574, obj_t BgL_arg1z00_8575)
	{
		{	/* Ast/walk.scm 296 */
			{
				BgL_varz00_bglt BgL_auxz00_15709;

				{	/* Ast/walk.scm 296 */
					BgL_varz00_bglt BgL_arg2375z00_9915;

					BgL_arg2375z00_9915 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8572)))->BgL_funz00);
					BgL_auxz00_15709 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8573) (BgL_pz00_8573,
							((obj_t) BgL_arg2375z00_9915), BgL_arg0z00_8574, BgL_arg1z00_8575,
							BEOA));
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8572)))->BgL_funz00) =
					((BgL_varz00_bglt) BgL_auxz00_15709), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9917;

				BgL_fieldsz00_9917 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8572)))->BgL_argsz00);
			BgL_loopz00_9916:
				if (NULLP(BgL_fieldsz00_9917))
					{	/* Ast/walk.scm 296 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 296 */
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2379z00_9918;

							{	/* Ast/walk.scm 296 */
								obj_t BgL_arg2380z00_9919;

								BgL_arg2380z00_9919 = CAR(((obj_t) BgL_fieldsz00_9917));
								BgL_arg2379z00_9918 =
									PROCEDURE_ENTRY(BgL_pz00_8573) (BgL_pz00_8573,
									BgL_arg2380z00_9919, BgL_arg0z00_8574, BgL_arg1z00_8575,
									BEOA);
							}
							{	/* Ast/walk.scm 296 */
								obj_t BgL_tmpz00_15732;

								BgL_tmpz00_15732 = ((obj_t) BgL_fieldsz00_9917);
								SET_CAR(BgL_tmpz00_15732, BgL_arg2379z00_9918);
							}
						}
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2381z00_9920;

							BgL_arg2381z00_9920 = CDR(((obj_t) BgL_fieldsz00_9917));
							{
								obj_t BgL_fieldsz00_15737;

								BgL_fieldsz00_15737 = BgL_arg2381z00_9920;
								BgL_fieldsz00_9917 = BgL_fieldsz00_15737;
								goto BgL_loopz00_9916;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nz00_8572));
		}

	}



/* &walk1!-app1727 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2app1727za2zzast_walkz00(obj_t
		BgL_envz00_8576, obj_t BgL_nz00_8577, obj_t BgL_pz00_8578,
		obj_t BgL_arg0z00_8579)
	{
		{	/* Ast/walk.scm 296 */
			{
				BgL_varz00_bglt BgL_auxz00_15742;

				{	/* Ast/walk.scm 296 */
					BgL_varz00_bglt BgL_arg2366z00_9922;

					BgL_arg2366z00_9922 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8577)))->BgL_funz00);
					BgL_auxz00_15742 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8578) (BgL_pz00_8578,
							((obj_t) BgL_arg2366z00_9922), BgL_arg0z00_8579, BEOA));
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8577)))->BgL_funz00) =
					((BgL_varz00_bglt) BgL_auxz00_15742), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9924;

				BgL_fieldsz00_9924 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8577)))->BgL_argsz00);
			BgL_loopz00_9923:
				if (NULLP(BgL_fieldsz00_9924))
					{	/* Ast/walk.scm 296 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 296 */
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2371z00_9925;

							{	/* Ast/walk.scm 296 */
								obj_t BgL_arg2372z00_9926;

								BgL_arg2372z00_9926 = CAR(((obj_t) BgL_fieldsz00_9924));
								BgL_arg2371z00_9925 =
									PROCEDURE_ENTRY(BgL_pz00_8578) (BgL_pz00_8578,
									BgL_arg2372z00_9926, BgL_arg0z00_8579, BEOA);
							}
							{	/* Ast/walk.scm 296 */
								obj_t BgL_tmpz00_15763;

								BgL_tmpz00_15763 = ((obj_t) BgL_fieldsz00_9924);
								SET_CAR(BgL_tmpz00_15763, BgL_arg2371z00_9925);
							}
						}
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2373z00_9927;

							BgL_arg2373z00_9927 = CDR(((obj_t) BgL_fieldsz00_9924));
							{
								obj_t BgL_fieldsz00_15768;

								BgL_fieldsz00_15768 = BgL_arg2373z00_9927;
								BgL_fieldsz00_9924 = BgL_fieldsz00_15768;
								goto BgL_loopz00_9923;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nz00_8577));
		}

	}



/* &walk0!-app1725 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2app1725za2zzast_walkz00(obj_t
		BgL_envz00_8580, obj_t BgL_nz00_8581, obj_t BgL_pz00_8582)
	{
		{	/* Ast/walk.scm 296 */
			{
				BgL_varz00_bglt BgL_auxz00_15773;

				{	/* Ast/walk.scm 296 */
					BgL_varz00_bglt BgL_arg2359z00_9929;

					BgL_arg2359z00_9929 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8581)))->BgL_funz00);
					BgL_auxz00_15773 =
						((BgL_varz00_bglt)
						PROCEDURE_ENTRY(BgL_pz00_8582) (BgL_pz00_8582,
							((obj_t) BgL_arg2359z00_9929), BEOA));
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8581)))->BgL_funz00) =
					((BgL_varz00_bglt) BgL_auxz00_15773), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9931;

				BgL_fieldsz00_9931 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8581)))->BgL_argsz00);
			BgL_loopz00_9930:
				if (NULLP(BgL_fieldsz00_9931))
					{	/* Ast/walk.scm 296 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 296 */
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2363z00_9932;

							{	/* Ast/walk.scm 296 */
								obj_t BgL_arg2364z00_9933;

								BgL_arg2364z00_9933 = CAR(((obj_t) BgL_fieldsz00_9931));
								BgL_arg2363z00_9932 =
									PROCEDURE_ENTRY(BgL_pz00_8582) (BgL_pz00_8582,
									BgL_arg2364z00_9933, BEOA);
							}
							{	/* Ast/walk.scm 296 */
								obj_t BgL_tmpz00_15792;

								BgL_tmpz00_15792 = ((obj_t) BgL_fieldsz00_9931);
								SET_CAR(BgL_tmpz00_15792, BgL_arg2363z00_9932);
							}
						}
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2365z00_9934;

							BgL_arg2365z00_9934 = CDR(((obj_t) BgL_fieldsz00_9931));
							{
								obj_t BgL_fieldsz00_15797;

								BgL_fieldsz00_15797 = BgL_arg2365z00_9934;
								BgL_fieldsz00_9931 = BgL_fieldsz00_15797;
								goto BgL_loopz00_9930;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nz00_8581));
		}

	}



/* &walk3*-app1723 */
	obj_t BGl_z62walk3za2zd2app1723z12zzast_walkz00(obj_t BgL_envz00_8583,
		obj_t BgL_nz00_8584, obj_t BgL_pz00_8585, obj_t BgL_arg0z00_8586,
		obj_t BgL_arg1z00_8587, obj_t BgL_arg2z00_8588)
	{
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				obj_t BgL_res4290z00_9939;

				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2350z00_9936;
					obj_t BgL_arg2351z00_9937;

					{	/* Ast/walk.scm 296 */
						BgL_varz00_bglt BgL_arg2352z00_9938;

						BgL_arg2352z00_9938 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nz00_8584)))->BgL_funz00);
						BgL_arg2350z00_9936 =
							PROCEDURE_ENTRY(BgL_pz00_8585) (BgL_pz00_8585,
							((obj_t) BgL_arg2352z00_9938), BgL_arg0z00_8586, BgL_arg1z00_8587,
							BgL_arg2z00_8588, BEOA);
					}
					BgL_arg2351z00_9937 =
						BGl_zc3z04anonymousza32353ze3ze70z60zzast_walkz00(BgL_arg2z00_8588,
						BgL_arg1z00_8587, BgL_arg0z00_8586, BgL_pz00_8585,
						(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nz00_8584)))->
							BgL_argsz00));
					BgL_res4290z00_9939 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2350z00_9936,
						BgL_arg2351z00_9937);
				}
				return BgL_res4290z00_9939;
			}
		}

	}



/* <@anonymous:2353>~0 */
	obj_t BGl_zc3z04anonymousza32353ze3ze70z60zzast_walkz00(obj_t
		BgL_arg2z00_8746, obj_t BgL_arg1z00_8745, obj_t BgL_arg0z00_8744,
		obj_t BgL_pz00_8743, obj_t BgL_l1506z00_2871)
	{
		{	/* Ast/walk.scm 296 */
			if (NULLP(BgL_l1506z00_2871))
				{	/* Ast/walk.scm 296 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2356z00_2874;
					obj_t BgL_arg2357z00_2875;

					{	/* Ast/walk.scm 296 */
						obj_t BgL_fz00_2876;

						BgL_fz00_2876 = CAR(((obj_t) BgL_l1506z00_2871));
						BgL_arg2356z00_2874 =
							PROCEDURE_ENTRY(BgL_pz00_8743) (BgL_pz00_8743, BgL_fz00_2876,
							BgL_arg0z00_8744, BgL_arg1z00_8745, BgL_arg2z00_8746, BEOA);
					}
					{	/* Ast/walk.scm 296 */
						obj_t BgL_arg2358z00_2877;

						BgL_arg2358z00_2877 = CDR(((obj_t) BgL_l1506z00_2871));
						BgL_arg2357z00_2875 =
							BGl_zc3z04anonymousza32353ze3ze70z60zzast_walkz00
							(BgL_arg2z00_8746, BgL_arg1z00_8745, BgL_arg0z00_8744,
							BgL_pz00_8743, BgL_arg2358z00_2877);
					}
					return bgl_append2(BgL_arg2356z00_2874, BgL_arg2357z00_2875);
				}
		}

	}



/* &walk2*-app1721 */
	obj_t BGl_z62walk2za2zd2app1721z12zzast_walkz00(obj_t BgL_envz00_8589,
		obj_t BgL_nz00_8590, obj_t BgL_pz00_8591, obj_t BgL_arg0z00_8592,
		obj_t BgL_arg1z00_8593)
	{
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				obj_t BgL_res4291z00_9944;

				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2342z00_9941;
					obj_t BgL_arg2343z00_9942;

					{	/* Ast/walk.scm 296 */
						BgL_varz00_bglt BgL_arg2344z00_9943;

						BgL_arg2344z00_9943 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nz00_8590)))->BgL_funz00);
						BgL_arg2342z00_9941 =
							PROCEDURE_ENTRY(BgL_pz00_8591) (BgL_pz00_8591,
							((obj_t) BgL_arg2344z00_9943), BgL_arg0z00_8592, BgL_arg1z00_8593,
							BEOA);
					}
					BgL_arg2343z00_9942 =
						BGl_zc3z04anonymousza32345ze3ze70z60zzast_walkz00(BgL_arg1z00_8593,
						BgL_arg0z00_8592, BgL_pz00_8591,
						(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nz00_8590)))->
							BgL_argsz00));
					BgL_res4291z00_9944 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2342z00_9941,
						BgL_arg2343z00_9942);
				}
				return BgL_res4291z00_9944;
			}
		}

	}



/* <@anonymous:2345>~0 */
	obj_t BGl_zc3z04anonymousza32345ze3ze70z60zzast_walkz00(obj_t
		BgL_arg1z00_8742, obj_t BgL_arg0z00_8741, obj_t BgL_pz00_8740,
		obj_t BgL_l1503z00_2849)
	{
		{	/* Ast/walk.scm 296 */
			if (NULLP(BgL_l1503z00_2849))
				{	/* Ast/walk.scm 296 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2347z00_2852;
					obj_t BgL_arg2348z00_2853;

					{	/* Ast/walk.scm 296 */
						obj_t BgL_fz00_2854;

						BgL_fz00_2854 = CAR(((obj_t) BgL_l1503z00_2849));
						BgL_arg2347z00_2852 =
							PROCEDURE_ENTRY(BgL_pz00_8740) (BgL_pz00_8740, BgL_fz00_2854,
							BgL_arg0z00_8741, BgL_arg1z00_8742, BEOA);
					}
					{	/* Ast/walk.scm 296 */
						obj_t BgL_arg2349z00_2855;

						BgL_arg2349z00_2855 = CDR(((obj_t) BgL_l1503z00_2849));
						BgL_arg2348z00_2853 =
							BGl_zc3z04anonymousza32345ze3ze70z60zzast_walkz00
							(BgL_arg1z00_8742, BgL_arg0z00_8741, BgL_pz00_8740,
							BgL_arg2349z00_2855);
					}
					return bgl_append2(BgL_arg2347z00_2852, BgL_arg2348z00_2853);
				}
		}

	}



/* &walk1*-app1719 */
	obj_t BGl_z62walk1za2zd2app1719z12zzast_walkz00(obj_t BgL_envz00_8594,
		obj_t BgL_nz00_8595, obj_t BgL_pz00_8596, obj_t BgL_arg0z00_8597)
	{
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				obj_t BgL_res4292z00_9949;

				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2334z00_9946;
					obj_t BgL_arg2335z00_9947;

					{	/* Ast/walk.scm 296 */
						BgL_varz00_bglt BgL_arg2336z00_9948;

						BgL_arg2336z00_9948 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nz00_8595)))->BgL_funz00);
						BgL_arg2334z00_9946 =
							PROCEDURE_ENTRY(BgL_pz00_8596) (BgL_pz00_8596,
							((obj_t) BgL_arg2336z00_9948), BgL_arg0z00_8597, BEOA);
					}
					BgL_arg2335z00_9947 =
						BGl_zc3z04anonymousza32337ze3ze70z60zzast_walkz00(BgL_arg0z00_8597,
						BgL_pz00_8596,
						(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nz00_8595)))->
							BgL_argsz00));
					BgL_res4292z00_9949 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2334z00_9946,
						BgL_arg2335z00_9947);
				}
				return BgL_res4292z00_9949;
			}
		}

	}



/* <@anonymous:2337>~0 */
	obj_t BGl_zc3z04anonymousza32337ze3ze70z60zzast_walkz00(obj_t
		BgL_arg0z00_8739, obj_t BgL_pz00_8738, obj_t BgL_l1500z00_2828)
	{
		{	/* Ast/walk.scm 296 */
			if (NULLP(BgL_l1500z00_2828))
				{	/* Ast/walk.scm 296 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2339z00_2831;
					obj_t BgL_arg2340z00_2832;

					{	/* Ast/walk.scm 296 */
						obj_t BgL_fz00_2833;

						BgL_fz00_2833 = CAR(((obj_t) BgL_l1500z00_2828));
						BgL_arg2339z00_2831 =
							PROCEDURE_ENTRY(BgL_pz00_8738) (BgL_pz00_8738, BgL_fz00_2833,
							BgL_arg0z00_8739, BEOA);
					}
					{	/* Ast/walk.scm 296 */
						obj_t BgL_arg2341z00_2834;

						BgL_arg2341z00_2834 = CDR(((obj_t) BgL_l1500z00_2828));
						BgL_arg2340z00_2832 =
							BGl_zc3z04anonymousza32337ze3ze70z60zzast_walkz00
							(BgL_arg0z00_8739, BgL_pz00_8738, BgL_arg2341z00_2834);
					}
					return bgl_append2(BgL_arg2339z00_2831, BgL_arg2340z00_2832);
				}
		}

	}



/* &walk0*-app1717 */
	obj_t BGl_z62walk0za2zd2app1717z12zzast_walkz00(obj_t BgL_envz00_8598,
		obj_t BgL_nz00_8599, obj_t BgL_pz00_8600)
	{
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				obj_t BgL_res4293z00_9954;

				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2325z00_9951;
					obj_t BgL_arg2326z00_9952;

					{	/* Ast/walk.scm 296 */
						BgL_varz00_bglt BgL_arg2328z00_9953;

						BgL_arg2328z00_9953 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nz00_8599)))->BgL_funz00);
						BgL_arg2325z00_9951 =
							PROCEDURE_ENTRY(BgL_pz00_8600) (BgL_pz00_8600,
							((obj_t) BgL_arg2328z00_9953), BEOA);
					}
					BgL_arg2326z00_9952 =
						BGl_zc3z04anonymousza32329ze3ze70z60zzast_walkz00(BgL_pz00_8600,
						(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nz00_8599)))->BgL_argsz00));
					BgL_res4293z00_9954 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2325z00_9951,
						BgL_arg2326z00_9952);
				}
				return BgL_res4293z00_9954;
			}
		}

	}



/* <@anonymous:2329>~0 */
	obj_t BGl_zc3z04anonymousza32329ze3ze70z60zzast_walkz00(obj_t BgL_pz00_8737,
		obj_t BgL_l1497z00_2808)
	{
		{	/* Ast/walk.scm 296 */
			if (NULLP(BgL_l1497z00_2808))
				{	/* Ast/walk.scm 296 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2331z00_2811;
					obj_t BgL_arg2332z00_2812;

					{	/* Ast/walk.scm 296 */
						obj_t BgL_fz00_2813;

						BgL_fz00_2813 = CAR(((obj_t) BgL_l1497z00_2808));
						BgL_arg2331z00_2811 =
							PROCEDURE_ENTRY(BgL_pz00_8737) (BgL_pz00_8737, BgL_fz00_2813,
							BEOA);
					}
					{	/* Ast/walk.scm 296 */
						obj_t BgL_arg2333z00_2814;

						BgL_arg2333z00_2814 = CDR(((obj_t) BgL_l1497z00_2808));
						BgL_arg2332z00_2812 =
							BGl_zc3z04anonymousza32329ze3ze70z60zzast_walkz00(BgL_pz00_8737,
							BgL_arg2333z00_2814);
					}
					return bgl_append2(BgL_arg2331z00_2811, BgL_arg2332z00_2812);
				}
		}

	}



/* &walk3-app1715 */
	obj_t BGl_z62walk3zd2app1715zb0zzast_walkz00(obj_t BgL_envz00_8601,
		obj_t BgL_nz00_8602, obj_t BgL_pz00_8603, obj_t BgL_arg0z00_8604,
		obj_t BgL_arg1z00_8605, obj_t BgL_arg2z00_8606)
	{
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				BgL_varz00_bglt BgL_arg2320z00_9956;

				BgL_arg2320z00_9956 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8602)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8603) (BgL_pz00_8603,
					((obj_t) BgL_arg2320z00_9956), BgL_arg0z00_8604, BgL_arg1z00_8605,
					BgL_arg2z00_8606, BEOA);
			}
			{	/* Ast/walk.scm 296 */
				obj_t BgL_g1495z00_9957;

				BgL_g1495z00_9957 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8602)))->BgL_argsz00);
				{
					obj_t BgL_l1493z00_9959;

					{	/* Ast/walk.scm 296 */
						bool_t BgL_tmpz00_15918;

						BgL_l1493z00_9959 = BgL_g1495z00_9957;
					BgL_zc3z04anonymousza32321ze3z87_9958:
						if (PAIRP(BgL_l1493z00_9959))
							{	/* Ast/walk.scm 296 */
								{	/* Ast/walk.scm 296 */
									obj_t BgL_fz00_9960;

									BgL_fz00_9960 = CAR(BgL_l1493z00_9959);
									PROCEDURE_ENTRY(BgL_pz00_8603) (BgL_pz00_8603, BgL_fz00_9960,
										BgL_arg0z00_8604, BgL_arg1z00_8605, BgL_arg2z00_8606, BEOA);
								}
								{
									obj_t BgL_l1493z00_15929;

									BgL_l1493z00_15929 = CDR(BgL_l1493z00_9959);
									BgL_l1493z00_9959 = BgL_l1493z00_15929;
									goto BgL_zc3z04anonymousza32321ze3z87_9958;
								}
							}
						else
							{	/* Ast/walk.scm 296 */
								BgL_tmpz00_15918 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15918);
					}
				}
			}
		}

	}



/* &walk2-app1713 */
	obj_t BGl_z62walk2zd2app1713zb0zzast_walkz00(obj_t BgL_envz00_8607,
		obj_t BgL_nz00_8608, obj_t BgL_pz00_8609, obj_t BgL_arg0z00_8610,
		obj_t BgL_arg1z00_8611)
	{
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				BgL_varz00_bglt BgL_arg2316z00_9962;

				BgL_arg2316z00_9962 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8608)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8609) (BgL_pz00_8609,
					((obj_t) BgL_arg2316z00_9962), BgL_arg0z00_8610, BgL_arg1z00_8611,
					BEOA);
			}
			{	/* Ast/walk.scm 296 */
				obj_t BgL_g1492z00_9963;

				BgL_g1492z00_9963 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8608)))->BgL_argsz00);
				{
					obj_t BgL_l1490z00_9965;

					{	/* Ast/walk.scm 296 */
						bool_t BgL_tmpz00_15943;

						BgL_l1490z00_9965 = BgL_g1492z00_9963;
					BgL_zc3z04anonymousza32317ze3z87_9964:
						if (PAIRP(BgL_l1490z00_9965))
							{	/* Ast/walk.scm 296 */
								{	/* Ast/walk.scm 296 */
									obj_t BgL_fz00_9966;

									BgL_fz00_9966 = CAR(BgL_l1490z00_9965);
									PROCEDURE_ENTRY(BgL_pz00_8609) (BgL_pz00_8609, BgL_fz00_9966,
										BgL_arg0z00_8610, BgL_arg1z00_8611, BEOA);
								}
								{
									obj_t BgL_l1490z00_15953;

									BgL_l1490z00_15953 = CDR(BgL_l1490z00_9965);
									BgL_l1490z00_9965 = BgL_l1490z00_15953;
									goto BgL_zc3z04anonymousza32317ze3z87_9964;
								}
							}
						else
							{	/* Ast/walk.scm 296 */
								BgL_tmpz00_15943 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15943);
					}
				}
			}
		}

	}



/* &walk1-app1711 */
	obj_t BGl_z62walk1zd2app1711zb0zzast_walkz00(obj_t BgL_envz00_8612,
		obj_t BgL_nz00_8613, obj_t BgL_pz00_8614, obj_t BgL_arg0z00_8615)
	{
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				BgL_varz00_bglt BgL_arg2310z00_9968;

				BgL_arg2310z00_9968 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8613)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8614) (BgL_pz00_8614,
					((obj_t) BgL_arg2310z00_9968), BgL_arg0z00_8615, BEOA);
			}
			{	/* Ast/walk.scm 296 */
				obj_t BgL_g1489z00_9969;

				BgL_g1489z00_9969 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8613)))->BgL_argsz00);
				{
					obj_t BgL_l1487z00_9971;

					{	/* Ast/walk.scm 296 */
						bool_t BgL_tmpz00_15966;

						BgL_l1487z00_9971 = BgL_g1489z00_9969;
					BgL_zc3z04anonymousza32311ze3z87_9970:
						if (PAIRP(BgL_l1487z00_9971))
							{	/* Ast/walk.scm 296 */
								{	/* Ast/walk.scm 296 */
									obj_t BgL_fz00_9972;

									BgL_fz00_9972 = CAR(BgL_l1487z00_9971);
									PROCEDURE_ENTRY(BgL_pz00_8614) (BgL_pz00_8614, BgL_fz00_9972,
										BgL_arg0z00_8615, BEOA);
								}
								{
									obj_t BgL_l1487z00_15975;

									BgL_l1487z00_15975 = CDR(BgL_l1487z00_9971);
									BgL_l1487z00_9971 = BgL_l1487z00_15975;
									goto BgL_zc3z04anonymousza32311ze3z87_9970;
								}
							}
						else
							{	/* Ast/walk.scm 296 */
								BgL_tmpz00_15966 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15966);
					}
				}
			}
		}

	}



/* &walk0-app1709 */
	obj_t BGl_z62walk0zd2app1709zb0zzast_walkz00(obj_t BgL_envz00_8616,
		obj_t BgL_nz00_8617, obj_t BgL_pz00_8618)
	{
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				BgL_varz00_bglt BgL_arg2304z00_9974;

				BgL_arg2304z00_9974 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8617)))->BgL_funz00);
				PROCEDURE_ENTRY(BgL_pz00_8618) (BgL_pz00_8618,
					((obj_t) BgL_arg2304z00_9974), BEOA);
			}
			{	/* Ast/walk.scm 296 */
				obj_t BgL_g1486z00_9975;

				BgL_g1486z00_9975 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8617)))->BgL_argsz00);
				{
					obj_t BgL_l1484z00_9977;

					{	/* Ast/walk.scm 296 */
						bool_t BgL_tmpz00_15987;

						BgL_l1484z00_9977 = BgL_g1486z00_9975;
					BgL_zc3z04anonymousza32305ze3z87_9976:
						if (PAIRP(BgL_l1484z00_9977))
							{	/* Ast/walk.scm 296 */
								{	/* Ast/walk.scm 296 */
									obj_t BgL_fz00_9978;

									BgL_fz00_9978 = CAR(BgL_l1484z00_9977);
									PROCEDURE_ENTRY(BgL_pz00_8618) (BgL_pz00_8618, BgL_fz00_9978,
										BEOA);
								}
								{
									obj_t BgL_l1484z00_15995;

									BgL_l1484z00_15995 = CDR(BgL_l1484z00_9977);
									BgL_l1484z00_9977 = BgL_l1484z00_15995;
									goto BgL_zc3z04anonymousza32305ze3z87_9976;
								}
							}
						else
							{	/* Ast/walk.scm 296 */
								BgL_tmpz00_15987 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15987);
					}
				}
			}
		}

	}



/* &walk3!-sequence1707 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2sequence1707za2zzast_walkz00(obj_t
		BgL_envz00_8619, obj_t BgL_nz00_8620, obj_t BgL_pz00_8621,
		obj_t BgL_arg0z00_8622, obj_t BgL_arg1z00_8623, obj_t BgL_arg2z00_8624)
	{
		{	/* Ast/walk.scm 295 */
			{
				obj_t BgL_fieldsz00_9981;

				BgL_fieldsz00_9981 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8620)))->BgL_nodesz00);
			BgL_loopz00_9980:
				if (NULLP(BgL_fieldsz00_9981))
					{	/* Ast/walk.scm 295 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 295 */
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2301z00_9982;

							{	/* Ast/walk.scm 295 */
								obj_t BgL_arg2302z00_9983;

								BgL_arg2302z00_9983 = CAR(((obj_t) BgL_fieldsz00_9981));
								BgL_arg2301z00_9982 =
									PROCEDURE_ENTRY(BgL_pz00_8621) (BgL_pz00_8621,
									BgL_arg2302z00_9983, BgL_arg0z00_8622, BgL_arg1z00_8623,
									BgL_arg2z00_8624, BEOA);
							}
							{	/* Ast/walk.scm 295 */
								obj_t BgL_tmpz00_16009;

								BgL_tmpz00_16009 = ((obj_t) BgL_fieldsz00_9981);
								SET_CAR(BgL_tmpz00_16009, BgL_arg2301z00_9982);
							}
						}
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2303z00_9984;

							BgL_arg2303z00_9984 = CDR(((obj_t) BgL_fieldsz00_9981));
							{
								obj_t BgL_fieldsz00_16014;

								BgL_fieldsz00_16014 = BgL_arg2303z00_9984;
								BgL_fieldsz00_9981 = BgL_fieldsz00_16014;
								goto BgL_loopz00_9980;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_8620));
		}

	}



/* &walk2!-sequence1705 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2sequence1705za2zzast_walkz00(obj_t
		BgL_envz00_8625, obj_t BgL_nz00_8626, obj_t BgL_pz00_8627,
		obj_t BgL_arg0z00_8628, obj_t BgL_arg1z00_8629)
	{
		{	/* Ast/walk.scm 295 */
			{
				obj_t BgL_fieldsz00_9987;

				BgL_fieldsz00_9987 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8626)))->BgL_nodesz00);
			BgL_loopz00_9986:
				if (NULLP(BgL_fieldsz00_9987))
					{	/* Ast/walk.scm 295 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 295 */
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2294z00_9988;

							{	/* Ast/walk.scm 295 */
								obj_t BgL_arg2295z00_9989;

								BgL_arg2295z00_9989 = CAR(((obj_t) BgL_fieldsz00_9987));
								BgL_arg2294z00_9988 =
									PROCEDURE_ENTRY(BgL_pz00_8627) (BgL_pz00_8627,
									BgL_arg2295z00_9989, BgL_arg0z00_8628, BgL_arg1z00_8629,
									BEOA);
							}
							{	/* Ast/walk.scm 295 */
								obj_t BgL_tmpz00_16029;

								BgL_tmpz00_16029 = ((obj_t) BgL_fieldsz00_9987);
								SET_CAR(BgL_tmpz00_16029, BgL_arg2294z00_9988);
							}
						}
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2297z00_9990;

							BgL_arg2297z00_9990 = CDR(((obj_t) BgL_fieldsz00_9987));
							{
								obj_t BgL_fieldsz00_16034;

								BgL_fieldsz00_16034 = BgL_arg2297z00_9990;
								BgL_fieldsz00_9987 = BgL_fieldsz00_16034;
								goto BgL_loopz00_9986;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_8626));
		}

	}



/* &walk1!-sequence1703 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2sequence1703za2zzast_walkz00(obj_t
		BgL_envz00_8630, obj_t BgL_nz00_8631, obj_t BgL_pz00_8632,
		obj_t BgL_arg0z00_8633)
	{
		{	/* Ast/walk.scm 295 */
			{
				obj_t BgL_fieldsz00_9993;

				BgL_fieldsz00_9993 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8631)))->BgL_nodesz00);
			BgL_loopz00_9992:
				if (NULLP(BgL_fieldsz00_9993))
					{	/* Ast/walk.scm 295 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 295 */
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2288z00_9994;

							{	/* Ast/walk.scm 295 */
								obj_t BgL_arg2289z00_9995;

								BgL_arg2289z00_9995 = CAR(((obj_t) BgL_fieldsz00_9993));
								BgL_arg2288z00_9994 =
									PROCEDURE_ENTRY(BgL_pz00_8632) (BgL_pz00_8632,
									BgL_arg2289z00_9995, BgL_arg0z00_8633, BEOA);
							}
							{	/* Ast/walk.scm 295 */
								obj_t BgL_tmpz00_16048;

								BgL_tmpz00_16048 = ((obj_t) BgL_fieldsz00_9993);
								SET_CAR(BgL_tmpz00_16048, BgL_arg2288z00_9994);
							}
						}
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2290z00_9996;

							BgL_arg2290z00_9996 = CDR(((obj_t) BgL_fieldsz00_9993));
							{
								obj_t BgL_fieldsz00_16053;

								BgL_fieldsz00_16053 = BgL_arg2290z00_9996;
								BgL_fieldsz00_9993 = BgL_fieldsz00_16053;
								goto BgL_loopz00_9992;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_8631));
		}

	}



/* &walk0!-sequence1701 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2sequence1701za2zzast_walkz00(obj_t
		BgL_envz00_8634, obj_t BgL_nz00_8635, obj_t BgL_pz00_8636)
	{
		{	/* Ast/walk.scm 295 */
			{
				obj_t BgL_fieldsz00_9999;

				BgL_fieldsz00_9999 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8635)))->BgL_nodesz00);
			BgL_loopz00_9998:
				if (NULLP(BgL_fieldsz00_9999))
					{	/* Ast/walk.scm 295 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 295 */
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2282z00_10000;

							{	/* Ast/walk.scm 295 */
								obj_t BgL_arg2283z00_10001;

								BgL_arg2283z00_10001 = CAR(((obj_t) BgL_fieldsz00_9999));
								BgL_arg2282z00_10000 =
									PROCEDURE_ENTRY(BgL_pz00_8636) (BgL_pz00_8636,
									BgL_arg2283z00_10001, BEOA);
							}
							{	/* Ast/walk.scm 295 */
								obj_t BgL_tmpz00_16066;

								BgL_tmpz00_16066 = ((obj_t) BgL_fieldsz00_9999);
								SET_CAR(BgL_tmpz00_16066, BgL_arg2282z00_10000);
							}
						}
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2284z00_10002;

							BgL_arg2284z00_10002 = CDR(((obj_t) BgL_fieldsz00_9999));
							{
								obj_t BgL_fieldsz00_16071;

								BgL_fieldsz00_16071 = BgL_arg2284z00_10002;
								BgL_fieldsz00_9999 = BgL_fieldsz00_16071;
								goto BgL_loopz00_9998;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_8635));
		}

	}



/* &walk3*-sequence1698 */
	obj_t BGl_z62walk3za2zd2sequence1698z12zzast_walkz00(obj_t BgL_envz00_8637,
		obj_t BgL_nz00_8638, obj_t BgL_pz00_8639, obj_t BgL_arg0z00_8640,
		obj_t BgL_arg1z00_8641, obj_t BgL_arg2z00_8642)
	{
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_res4294z00_10006;

				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2272z00_10004;

					BgL_arg2272z00_10004 =
						BGl_zc3z04anonymousza32274ze3ze70z60zzast_walkz00(BgL_arg2z00_8642,
						BgL_arg1z00_8641, BgL_arg0z00_8640, BgL_pz00_8639,
						(((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_nz00_8638)))->BgL_nodesz00));
					{	/* Ast/walk.scm 295 */
						obj_t BgL_list2273z00_10005;

						BgL_list2273z00_10005 = MAKE_YOUNG_PAIR(BgL_arg2272z00_10004, BNIL);
						BgL_res4294z00_10006 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2273z00_10005);
					}
				}
				return BgL_res4294z00_10006;
			}
		}

	}



/* <@anonymous:2274>~0 */
	obj_t BGl_zc3z04anonymousza32274ze3ze70z60zzast_walkz00(obj_t
		BgL_arg2z00_8736, obj_t BgL_arg1z00_8735, obj_t BgL_arg0z00_8734,
		obj_t BgL_pz00_8733, obj_t BgL_l1482z00_2657)
	{
		{	/* Ast/walk.scm 295 */
			if (NULLP(BgL_l1482z00_2657))
				{	/* Ast/walk.scm 295 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2276z00_2660;
					obj_t BgL_arg2277z00_2661;

					{	/* Ast/walk.scm 295 */
						obj_t BgL_fz00_2662;

						BgL_fz00_2662 = CAR(((obj_t) BgL_l1482z00_2657));
						BgL_arg2276z00_2660 =
							PROCEDURE_ENTRY(BgL_pz00_8733) (BgL_pz00_8733, BgL_fz00_2662,
							BgL_arg0z00_8734, BgL_arg1z00_8735, BgL_arg2z00_8736, BEOA);
					}
					{	/* Ast/walk.scm 295 */
						obj_t BgL_arg2278z00_2663;

						BgL_arg2278z00_2663 = CDR(((obj_t) BgL_l1482z00_2657));
						BgL_arg2277z00_2661 =
							BGl_zc3z04anonymousza32274ze3ze70z60zzast_walkz00
							(BgL_arg2z00_8736, BgL_arg1z00_8735, BgL_arg0z00_8734,
							BgL_pz00_8733, BgL_arg2278z00_2663);
					}
					return bgl_append2(BgL_arg2276z00_2660, BgL_arg2277z00_2661);
				}
		}

	}



/* &walk2*-sequence1696 */
	obj_t BGl_z62walk2za2zd2sequence1696z12zzast_walkz00(obj_t BgL_envz00_8643,
		obj_t BgL_nz00_8644, obj_t BgL_pz00_8645, obj_t BgL_arg0z00_8646,
		obj_t BgL_arg1z00_8647)
	{
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_res4295z00_10010;

				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2265z00_10008;

					BgL_arg2265z00_10008 =
						BGl_zc3z04anonymousza32267ze3ze70z60zzast_walkz00(BgL_arg1z00_8647,
						BgL_arg0z00_8646, BgL_pz00_8645,
						(((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_nz00_8644)))->BgL_nodesz00));
					{	/* Ast/walk.scm 295 */
						obj_t BgL_list2266z00_10009;

						BgL_list2266z00_10009 = MAKE_YOUNG_PAIR(BgL_arg2265z00_10008, BNIL);
						BgL_res4295z00_10010 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2266z00_10009);
					}
				}
				return BgL_res4295z00_10010;
			}
		}

	}



/* <@anonymous:2267>~0 */
	obj_t BGl_zc3z04anonymousza32267ze3ze70z60zzast_walkz00(obj_t
		BgL_arg1z00_8732, obj_t BgL_arg0z00_8731, obj_t BgL_pz00_8730,
		obj_t BgL_l1479z00_2636)
	{
		{	/* Ast/walk.scm 295 */
			if (NULLP(BgL_l1479z00_2636))
				{	/* Ast/walk.scm 295 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2269z00_2639;
					obj_t BgL_arg2270z00_2640;

					{	/* Ast/walk.scm 295 */
						obj_t BgL_fz00_2641;

						BgL_fz00_2641 = CAR(((obj_t) BgL_l1479z00_2636));
						BgL_arg2269z00_2639 =
							PROCEDURE_ENTRY(BgL_pz00_8730) (BgL_pz00_8730, BgL_fz00_2641,
							BgL_arg0z00_8731, BgL_arg1z00_8732, BEOA);
					}
					{	/* Ast/walk.scm 295 */
						obj_t BgL_arg2271z00_2642;

						BgL_arg2271z00_2642 = CDR(((obj_t) BgL_l1479z00_2636));
						BgL_arg2270z00_2640 =
							BGl_zc3z04anonymousza32267ze3ze70z60zzast_walkz00
							(BgL_arg1z00_8732, BgL_arg0z00_8731, BgL_pz00_8730,
							BgL_arg2271z00_2642);
					}
					return bgl_append2(BgL_arg2269z00_2639, BgL_arg2270z00_2640);
				}
		}

	}



/* &walk1*-sequence1694 */
	obj_t BGl_z62walk1za2zd2sequence1694z12zzast_walkz00(obj_t BgL_envz00_8648,
		obj_t BgL_nz00_8649, obj_t BgL_pz00_8650, obj_t BgL_arg0z00_8651)
	{
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_res4296z00_10014;

				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2257z00_10012;

					BgL_arg2257z00_10012 =
						BGl_zc3z04anonymousza32259ze3ze70z60zzast_walkz00(BgL_arg0z00_8651,
						BgL_pz00_8650,
						(((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_nz00_8649)))->BgL_nodesz00));
					{	/* Ast/walk.scm 295 */
						obj_t BgL_list2258z00_10013;

						BgL_list2258z00_10013 = MAKE_YOUNG_PAIR(BgL_arg2257z00_10012, BNIL);
						BgL_res4296z00_10014 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2258z00_10013);
					}
				}
				return BgL_res4296z00_10014;
			}
		}

	}



/* <@anonymous:2259>~0 */
	obj_t BGl_zc3z04anonymousza32259ze3ze70z60zzast_walkz00(obj_t
		BgL_arg0z00_8729, obj_t BgL_pz00_8728, obj_t BgL_l1476z00_2616)
	{
		{	/* Ast/walk.scm 295 */
			if (NULLP(BgL_l1476z00_2616))
				{	/* Ast/walk.scm 295 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2261z00_2619;
					obj_t BgL_arg2262z00_2620;

					{	/* Ast/walk.scm 295 */
						obj_t BgL_fz00_2621;

						BgL_fz00_2621 = CAR(((obj_t) BgL_l1476z00_2616));
						BgL_arg2261z00_2619 =
							PROCEDURE_ENTRY(BgL_pz00_8728) (BgL_pz00_8728, BgL_fz00_2621,
							BgL_arg0z00_8729, BEOA);
					}
					{	/* Ast/walk.scm 295 */
						obj_t BgL_arg2263z00_2622;

						BgL_arg2263z00_2622 = CDR(((obj_t) BgL_l1476z00_2616));
						BgL_arg2262z00_2620 =
							BGl_zc3z04anonymousza32259ze3ze70z60zzast_walkz00
							(BgL_arg0z00_8729, BgL_pz00_8728, BgL_arg2263z00_2622);
					}
					return bgl_append2(BgL_arg2261z00_2619, BgL_arg2262z00_2620);
				}
		}

	}



/* &walk0*-sequence1692 */
	obj_t BGl_z62walk0za2zd2sequence1692z12zzast_walkz00(obj_t BgL_envz00_8652,
		obj_t BgL_nz00_8653, obj_t BgL_pz00_8654)
	{
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_res4297z00_10018;

				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2250z00_10016;

					BgL_arg2250z00_10016 =
						BGl_zc3z04anonymousza32252ze3ze70z60zzast_walkz00(BgL_pz00_8654,
						(((BgL_sequencez00_bglt) COBJECT(
									((BgL_sequencez00_bglt) BgL_nz00_8653)))->BgL_nodesz00));
					{	/* Ast/walk.scm 295 */
						obj_t BgL_list2251z00_10017;

						BgL_list2251z00_10017 = MAKE_YOUNG_PAIR(BgL_arg2250z00_10016, BNIL);
						BgL_res4297z00_10018 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2251z00_10017);
					}
				}
				return BgL_res4297z00_10018;
			}
		}

	}



/* <@anonymous:2252>~0 */
	obj_t BGl_zc3z04anonymousza32252ze3ze70z60zzast_walkz00(obj_t BgL_pz00_8727,
		obj_t BgL_l1473z00_2597)
	{
		{	/* Ast/walk.scm 295 */
			if (NULLP(BgL_l1473z00_2597))
				{	/* Ast/walk.scm 295 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2254z00_2600;
					obj_t BgL_arg2255z00_2601;

					{	/* Ast/walk.scm 295 */
						obj_t BgL_fz00_2602;

						BgL_fz00_2602 = CAR(((obj_t) BgL_l1473z00_2597));
						BgL_arg2254z00_2600 =
							PROCEDURE_ENTRY(BgL_pz00_8727) (BgL_pz00_8727, BgL_fz00_2602,
							BEOA);
					}
					{	/* Ast/walk.scm 295 */
						obj_t BgL_arg2256z00_2603;

						BgL_arg2256z00_2603 = CDR(((obj_t) BgL_l1473z00_2597));
						BgL_arg2255z00_2601 =
							BGl_zc3z04anonymousza32252ze3ze70z60zzast_walkz00(BgL_pz00_8727,
							BgL_arg2256z00_2603);
					}
					return bgl_append2(BgL_arg2254z00_2600, BgL_arg2255z00_2601);
				}
		}

	}



/* &walk3-sequence1690 */
	obj_t BGl_z62walk3zd2sequence1690zb0zzast_walkz00(obj_t BgL_envz00_8655,
		obj_t BgL_nz00_8656, obj_t BgL_pz00_8657, obj_t BgL_arg0z00_8658,
		obj_t BgL_arg1z00_8659, obj_t BgL_arg2z00_8660)
	{
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_g1471z00_10020;

				BgL_g1471z00_10020 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8656)))->BgL_nodesz00);
				{
					obj_t BgL_l1469z00_10022;

					{	/* Ast/walk.scm 295 */
						bool_t BgL_tmpz00_16152;

						BgL_l1469z00_10022 = BgL_g1471z00_10020;
					BgL_zc3z04anonymousza32246ze3z87_10021:
						if (PAIRP(BgL_l1469z00_10022))
							{	/* Ast/walk.scm 295 */
								{	/* Ast/walk.scm 295 */
									obj_t BgL_fz00_10023;

									BgL_fz00_10023 = CAR(BgL_l1469z00_10022);
									PROCEDURE_ENTRY(BgL_pz00_8657) (BgL_pz00_8657, BgL_fz00_10023,
										BgL_arg0z00_8658, BgL_arg1z00_8659, BgL_arg2z00_8660, BEOA);
								}
								{
									obj_t BgL_l1469z00_16163;

									BgL_l1469z00_16163 = CDR(BgL_l1469z00_10022);
									BgL_l1469z00_10022 = BgL_l1469z00_16163;
									goto BgL_zc3z04anonymousza32246ze3z87_10021;
								}
							}
						else
							{	/* Ast/walk.scm 295 */
								BgL_tmpz00_16152 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_16152);
					}
				}
			}
		}

	}



/* &walk2-sequence1688 */
	obj_t BGl_z62walk2zd2sequence1688zb0zzast_walkz00(obj_t BgL_envz00_8661,
		obj_t BgL_nz00_8662, obj_t BgL_pz00_8663, obj_t BgL_arg0z00_8664,
		obj_t BgL_arg1z00_8665)
	{
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_g1468z00_10025;

				BgL_g1468z00_10025 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8662)))->BgL_nodesz00);
				{
					obj_t BgL_l1466z00_10027;

					{	/* Ast/walk.scm 295 */
						bool_t BgL_tmpz00_16168;

						BgL_l1466z00_10027 = BgL_g1468z00_10025;
					BgL_zc3z04anonymousza32242ze3z87_10026:
						if (PAIRP(BgL_l1466z00_10027))
							{	/* Ast/walk.scm 295 */
								{	/* Ast/walk.scm 295 */
									obj_t BgL_fz00_10028;

									BgL_fz00_10028 = CAR(BgL_l1466z00_10027);
									PROCEDURE_ENTRY(BgL_pz00_8663) (BgL_pz00_8663, BgL_fz00_10028,
										BgL_arg0z00_8664, BgL_arg1z00_8665, BEOA);
								}
								{
									obj_t BgL_l1466z00_16178;

									BgL_l1466z00_16178 = CDR(BgL_l1466z00_10027);
									BgL_l1466z00_10027 = BgL_l1466z00_16178;
									goto BgL_zc3z04anonymousza32242ze3z87_10026;
								}
							}
						else
							{	/* Ast/walk.scm 295 */
								BgL_tmpz00_16168 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_16168);
					}
				}
			}
		}

	}



/* &walk1-sequence1686 */
	obj_t BGl_z62walk1zd2sequence1686zb0zzast_walkz00(obj_t BgL_envz00_8666,
		obj_t BgL_nz00_8667, obj_t BgL_pz00_8668, obj_t BgL_arg0z00_8669)
	{
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_g1465z00_10030;

				BgL_g1465z00_10030 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8667)))->BgL_nodesz00);
				{
					obj_t BgL_l1463z00_10032;

					{	/* Ast/walk.scm 295 */
						bool_t BgL_tmpz00_16183;

						BgL_l1463z00_10032 = BgL_g1465z00_10030;
					BgL_zc3z04anonymousza32239ze3z87_10031:
						if (PAIRP(BgL_l1463z00_10032))
							{	/* Ast/walk.scm 295 */
								{	/* Ast/walk.scm 295 */
									obj_t BgL_fz00_10033;

									BgL_fz00_10033 = CAR(BgL_l1463z00_10032);
									PROCEDURE_ENTRY(BgL_pz00_8668) (BgL_pz00_8668, BgL_fz00_10033,
										BgL_arg0z00_8669, BEOA);
								}
								{
									obj_t BgL_l1463z00_16192;

									BgL_l1463z00_16192 = CDR(BgL_l1463z00_10032);
									BgL_l1463z00_10032 = BgL_l1463z00_16192;
									goto BgL_zc3z04anonymousza32239ze3z87_10031;
								}
							}
						else
							{	/* Ast/walk.scm 295 */
								BgL_tmpz00_16183 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_16183);
					}
				}
			}
		}

	}



/* &walk0-sequence1684 */
	obj_t BGl_z62walk0zd2sequence1684zb0zzast_walkz00(obj_t BgL_envz00_8670,
		obj_t BgL_nz00_8671, obj_t BgL_pz00_8672)
	{
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_g1462z00_10035;

				BgL_g1462z00_10035 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8671)))->BgL_nodesz00);
				{
					obj_t BgL_l1460z00_10037;

					{	/* Ast/walk.scm 295 */
						bool_t BgL_tmpz00_16197;

						BgL_l1460z00_10037 = BgL_g1462z00_10035;
					BgL_zc3z04anonymousza32236ze3z87_10036:
						if (PAIRP(BgL_l1460z00_10037))
							{	/* Ast/walk.scm 295 */
								{	/* Ast/walk.scm 295 */
									obj_t BgL_fz00_10038;

									BgL_fz00_10038 = CAR(BgL_l1460z00_10037);
									PROCEDURE_ENTRY(BgL_pz00_8672) (BgL_pz00_8672, BgL_fz00_10038,
										BEOA);
								}
								{
									obj_t BgL_l1460z00_16205;

									BgL_l1460z00_16205 = CDR(BgL_l1460z00_10037);
									BgL_l1460z00_10037 = BgL_l1460z00_16205;
									goto BgL_zc3z04anonymousza32236ze3z87_10036;
								}
							}
						else
							{	/* Ast/walk.scm 295 */
								BgL_tmpz00_16197 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_16197);
					}
				}
			}
		}

	}



/* &walk3!-node1682 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2node1682za2zzast_walkz00(obj_t
		BgL_envz00_8673, obj_t BgL_nz00_8674, obj_t BgL_pz00_8675,
		obj_t BgL_arg0z00_8676, obj_t BgL_arg1z00_8677, obj_t BgL_arg2z00_8678)
	{
		{	/* Ast/walk.scm 294 */
			return ((BgL_nodez00_bglt) BgL_nz00_8674);
		}

	}



/* &walk2!-node1680 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2node1680za2zzast_walkz00(obj_t
		BgL_envz00_8679, obj_t BgL_nz00_8680, obj_t BgL_pz00_8681,
		obj_t BgL_arg0z00_8682, obj_t BgL_arg1z00_8683)
	{
		{	/* Ast/walk.scm 294 */
			return ((BgL_nodez00_bglt) BgL_nz00_8680);
		}

	}



/* &walk1!-node1678 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2node1678za2zzast_walkz00(obj_t
		BgL_envz00_8684, obj_t BgL_nz00_8685, obj_t BgL_pz00_8686,
		obj_t BgL_arg0z00_8687)
	{
		{	/* Ast/walk.scm 294 */
			return ((BgL_nodez00_bglt) BgL_nz00_8685);
		}

	}



/* &walk0!-node1676 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2node1676za2zzast_walkz00(obj_t
		BgL_envz00_8688, obj_t BgL_nz00_8689, obj_t BgL_pz00_8690)
	{
		{	/* Ast/walk.scm 294 */
			return ((BgL_nodez00_bglt) BgL_nz00_8689);
		}

	}



/* &walk3*-node1674 */
	obj_t BGl_z62walk3za2zd2node1674z12zzast_walkz00(obj_t BgL_envz00_8691,
		obj_t BgL_nz00_8692, obj_t BgL_pz00_8693, obj_t BgL_arg0z00_8694,
		obj_t BgL_arg1z00_8695, obj_t BgL_arg2z00_8696)
	{
		{	/* Ast/walk.scm 294 */
			return BNIL;
		}

	}



/* &walk2*-node1672 */
	obj_t BGl_z62walk2za2zd2node1672z12zzast_walkz00(obj_t BgL_envz00_8697,
		obj_t BgL_nz00_8698, obj_t BgL_pz00_8699, obj_t BgL_arg0z00_8700,
		obj_t BgL_arg1z00_8701)
	{
		{	/* Ast/walk.scm 294 */
			return BNIL;
		}

	}



/* &walk1*-node1670 */
	obj_t BGl_z62walk1za2zd2node1670z12zzast_walkz00(obj_t BgL_envz00_8702,
		obj_t BgL_nz00_8703, obj_t BgL_pz00_8704, obj_t BgL_arg0z00_8705)
	{
		{	/* Ast/walk.scm 294 */
			return BNIL;
		}

	}



/* &walk0*-node1668 */
	obj_t BGl_z62walk0za2zd2node1668z12zzast_walkz00(obj_t BgL_envz00_8706,
		obj_t BgL_nz00_8707, obj_t BgL_pz00_8708)
	{
		{	/* Ast/walk.scm 294 */
			return BNIL;
		}

	}



/* &walk3-node1666 */
	obj_t BGl_z62walk3zd2node1666zb0zzast_walkz00(obj_t BgL_envz00_8709,
		obj_t BgL_nz00_8710, obj_t BgL_pz00_8711, obj_t BgL_arg0z00_8712,
		obj_t BgL_arg1z00_8713, obj_t BgL_arg2z00_8714)
	{
		{	/* Ast/walk.scm 294 */
			return BFALSE;
		}

	}



/* &walk2-node1664 */
	obj_t BGl_z62walk2zd2node1664zb0zzast_walkz00(obj_t BgL_envz00_8715,
		obj_t BgL_nz00_8716, obj_t BgL_pz00_8717, obj_t BgL_arg0z00_8718,
		obj_t BgL_arg1z00_8719)
	{
		{	/* Ast/walk.scm 294 */
			return BFALSE;
		}

	}



/* &walk1-node1662 */
	obj_t BGl_z62walk1zd2node1662zb0zzast_walkz00(obj_t BgL_envz00_8720,
		obj_t BgL_nz00_8721, obj_t BgL_pz00_8722, obj_t BgL_arg0z00_8723)
	{
		{	/* Ast/walk.scm 294 */
			return BFALSE;
		}

	}



/* &walk0-node1660 */
	obj_t BGl_z62walk0zd2node1660zb0zzast_walkz00(obj_t BgL_envz00_8724,
		obj_t BgL_nz00_8725, obj_t BgL_pz00_8726)
	{
		{	/* Ast/walk.scm 294 */
			return BFALSE;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_walkz00()
	{
		{	/* Ast/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string4217z00zzast_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string4217z00zzast_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string4217z00zzast_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
