/*===========================================================================*/
/*   (Cfa/specialize.scm)                                                    */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 11 May 2020 12:14:39 PM CEST    */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3h -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/specialize.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_specializa7edzd2globalz75_bgl
	{
		obj_t BgL_fixz00;
	}                                *BgL_specializa7edzd2globalz75_bglt;


	static obj_t BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BUNSPEC;
	static BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62patchz12zd2kwote1380za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62patchz12zd2conditional1403za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t
		BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_za2brealza2z00zztype_cachez00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
	static obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t
		BGl_za2specializa7ationszd2sanszd2overflowza2za7zzcfa_specializa7eza7 =
		BUNSPEC;
	static obj_t BGl_z62patchz12zd2fail1405za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62specializa7ez12zd7zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62patchz12zd2cast1397za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = BUNSPEC;
	static obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt);
	static BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt);
	static obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_specializa7eza7();
	static obj_t BGl_z62patchz12zd2setq1399za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_za2arithmeticzd2overflowza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2boxzd2ref1421z70zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1838z62zzcfa_specializa7eza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1843z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1846z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1854z62zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1855z62zzcfa_specializa7eza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 = BUNSPEC;
	static obj_t BGl_z62patchz12zd2closure1385za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_normaliza7ezd2getzd2typeze70z40zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_z62patchz12zd2switch1407za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62patchz121375z70zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2atom1378za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t
		BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00;
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t
		BGl_z62patchz12zd2jumpzd2exzd2it1415za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2appzd2ly1391z70zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62patchz12zd2boxzd2setz121419z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	static bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
	static obj_t BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2makezd2box1417z70zzcfa_specializa7eza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2letzd2fun1409z70zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 =
		BUNSPEC;
	static obj_t BGl_z62patchz12zd2extern1395za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	static obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62patchz12zd2var1383za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2app1423za2zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7();
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t
		BGl_z62patchz12zd2setzd2exzd2it1413za2zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2sync1389za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t
		BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_z62patchz12zd2letzd2var1411z70zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62patchz12zd2sequence1387za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
		BUNSPEC;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza31845ze3ze5zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t
		BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_z62patchz12z70zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2funcall1393za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2059z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda1855za7622098z00,
		BGl_z62lambda1855z62zzcfa_specializa7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2060z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda1854za7622099z00,
		BGl_z62lambda1854z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2061z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda1846za7622100z00,
		BGl_z62lambda1846z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2062z00zzcfa_specializa7eza7,
		BgL_bgl_za762za7c3za704anonymo2101za7,
		BGl_z62zc3z04anonymousza31845ze3ze5zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2063z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda1843za7622102z00,
		BGl_z62lambda1843z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2064z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda1838za7622103z00,
		BGl_z62lambda1838z62zzcfa_specializa7eza7, 0L, BUNSPEC, 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2066z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza7121375za72104za7,
		BGl_z62patchz121375z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2069z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2at2105za7,
		BGl_z62patchz12zd2atom1378za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2071z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2kw2106za7,
		BGl_z62patchz12zd2kwote1380za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2072z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2va2107za7,
		BGl_z62patchz12zd2var1383za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2073z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2cl2108za7,
		BGl_z62patchz12zd2closure1385za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2074z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2109za7,
		BGl_z62patchz12zd2sequence1387za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2075z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2sy2110za7,
		BGl_z62patchz12zd2sync1389za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2076z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ap2111za7,
		BGl_z62patchz12zd2appzd2ly1391z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2077z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2fu2112za7,
		BGl_z62patchz12zd2funcall1393za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2078z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ex2113za7,
		BGl_z62patchz12zd2extern1395za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2079z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ca2114za7,
		BGl_z62patchz12zd2cast1397za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2080z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2115za7,
		BGl_z62patchz12zd2setq1399za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2081z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2co2116za7,
		BGl_z62patchz12zd2conditional1403za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2082z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2fa2117za7,
		BGl_z62patchz12zd2fail1405za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2083z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2sw2118za7,
		BGl_z62patchz12zd2switch1407za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2084z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2le2119za7,
		BGl_z62patchz12zd2letzd2fun1409z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2085z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2le2120za7,
		BGl_z62patchz12zd2letzd2var1411z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2086z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2121za7,
		BGl_z62patchz12zd2setzd2exzd2it1413za2zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2087z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ju2122za7,
		BGl_z62patchz12zd2jumpzd2exzd2it1415za2zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2088z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ma2123za7,
		BGl_z62patchz12zd2makezd2box1417z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2089z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2bo2124za7,
		BGl_z62patchz12zd2boxzd2setz121419z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2090z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2bo2125za7,
		BGl_z62patchz12zd2boxzd2ref1421z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2091z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ap2126za7,
		BGl_z62patchz12zd2app1423za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2operatorzf3zd2envzf3zzcfa_specializa7eza7,
		BgL_bgl_za762arithmeticza7d22127z00,
		BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_specializa7ez12zd2envz67zzcfa_specializa7eza7,
		BgL_bgl_za762specializa7a7eza72128za7,
		BGl_z62specializa7ez12zd7zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2speczd2typeszd2envzd2zzcfa_specializa7eza7,
		BgL_bgl_za762arithmeticza7d22129z00,
		BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2047z00zzcfa_specializa7eza7,
		BgL_bgl_string2047za700za7za7c2130za7, "   . Specializing", 17);
	      DEFINE_STRING(BGl_string2048z00zzcfa_specializa7eza7,
		BgL_bgl_string2048za700za7za7c2131za7, ")\n", 2);
	      DEFINE_STRING(BGl_string2049z00zzcfa_specializa7eza7,
		BgL_bgl_string2049za700za7za7c2132za7, ": ", 2);
	      DEFINE_STRING(BGl_string2050z00zzcfa_specializa7eza7,
		BgL_bgl_string2050za700za7za7c2133za7, "        (-> ", 12);
	      DEFINE_STRING(BGl_string2051z00zzcfa_specializa7eza7,
		BgL_bgl_string2051za700za7za7c2134za7, "        (eq? ", 13);
	      DEFINE_STRING(BGl_string2052z00zzcfa_specializa7eza7,
		BgL_bgl_string2052za700za7za7c2135za7, "add-specialized-type!", 21);
	      DEFINE_STRING(BGl_string2053z00zzcfa_specializa7eza7,
		BgL_bgl_string2053za700za7za7c2136za7, "Unspecialized type", 18);
	      DEFINE_STRING(BGl_string2054z00zzcfa_specializa7eza7,
		BgL_bgl_string2054za700za7za7c2137za7, "install-specialize", 18);
	      DEFINE_STRING(BGl_string2055z00zzcfa_specializa7eza7,
		BgL_bgl_string2055za700za7za7c2138za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2056z00zzcfa_specializa7eza7,
		BgL_bgl_string2056za700za7za7c2139za7, " -- ", 4);
	      DEFINE_STRING(BGl_string2057z00zzcfa_specializa7eza7,
		BgL_bgl_string2057za700za7za7c2140za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string2058z00zzcfa_specializa7eza7,
		BgL_bgl_string2058za700za7za7c2141za7, "install-specialize!", 19);
	      DEFINE_STRING(BGl_string2065z00zzcfa_specializa7eza7,
		BgL_bgl_string2065za700za7za7c2142za7, "", 0);
	      DEFINE_STRING(BGl_string2067z00zzcfa_specializa7eza7,
		BgL_bgl_string2067za700za7za7c2143za7, "patch!1375", 10);
	      DEFINE_STRING(BGl_string2068z00zzcfa_specializa7eza7,
		BgL_bgl_string2068za700za7za7c2144za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2070z00zzcfa_specializa7eza7,
		BgL_bgl_string2070za700za7za7c2145za7, "patch!", 6);
	      DEFINE_STRING(BGl_string2092z00zzcfa_specializa7eza7,
		BgL_bgl_string2092za700za7za7c2146za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2093z00zzcfa_specializa7eza7,
		BgL_bgl_string2093za700za7za7c2147za7, "cfa_specialize", 14);
	      DEFINE_STRING(BGl_string2094z00zzcfa_specializa7eza7,
		BgL_bgl_string2094za700za7za7c2148za7,
		"patch!1375 _ cfa_specialize specialized-global obj fix done c-eq? c-boxed-eq? foreign __r4_numbers_6_5_flonum __r4_numbers_6_5_fixnum ((|2+| (|2+| __r4_numbers_6_5) (+fl __r4_numbers_6_5_flonum) (+fx __r4_numbers_6_5_fixnum)) (|2-| (|2-| __r4_numbers_6_5) (-fl __r4_numbers_6_5_flonum) (-fx __r4_numbers_6_5_fixnum)) (2* (2* __r4_numbers_6_5) (*fl __r4_numbers_6_5_flonum) (*fx __r4_numbers_6_5_fixnum)) (abs (abs __r4_numbers_6_5) (absfl __r4_numbers_6_5_flonum) (absfx __r4_numbers_6_5_fixnum))) ((|2+| (|2+| __r4_numbers_6_5) (+fl __r4_numbers_6_5_flonum)) (|2-| (|2-| __r4_numbers_6_5) (-fl __r4_numbers_6_5_flonum)) (2* (2* __r4_numbers_6_5) (*fl __r4_numbers_6_5_flonum)) (2/ (2/ __r4_numbers_6_5) (/fl __r4_numbers_6_5_flonum)) (abs (abs __r4_numbers_6_5) (absfl __r4_numbers_6_5_flonum)) (c-eq? (c-eq? foreign) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2= (2= __r4_numbers_6_5) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2< (2< __r4_numbers_6_5) (<fx __r4_numbers_6_5_fixnum) ("
		"<fl __r4_numbers_6_5_flonum)) (2> (2> __r4_numbers_6_5) (>fx __r4_numbers_6_5_fixnum) (>fl __r4_numbers_6_5_flonum)) (2<= (2<= __r4_numbers_6_5) (<=fx __r4_numbers_6_5_fixnum) (<=fl __r4_numbers_6_5_flonum)) (2>= (2>= __r4_numbers_6_5) (>=fx __r4_numbers_6_5_fixnum) (>=fl __r4_numbers_6_5_flonum)) (zero? (zero? __r4_numbers_6_5) (zerofx? __r4_numbers_6_5_fixnum) (zerofl? __r4_numbers_6_5_flonum)) (positive? (positive? __r4_numbers_6_5) (positivefx? __r4_numbers_6_5_fixnum) (positivefl? __r4_numbers_6_5_flonum)) (negative? (negative? __r4_numbers_6_5) (negativefx? __r4_numbers_6_5_fixnum) (negativefl? __r4_numbers_6_5_flonum)) (log (log __r4_numbers_6_5) (logfl __r4_numbers_6_5_flonum)) (exp (exp __r4_numbers_6_5) (expfl __r4_numbers_6_5_flonum)) (sin (sin __r4_numbers_6_5) (sinfl __r4_numbers_6_5_flonum)) (cos (cos __r4_numbers_6_5) (cosfl __r4_numbers_6_5_flonum)) (tan (tan __r4_numbers_6_5) (tanfl __r4_numbers_6_5_flonum)) (atan (atan __r4_numbers_6_5) (atanfl __r4_numbers_6_5_flonum)) (asin (asin __r4_numb"
		"ers_6_5) (asinfl __r4_numbers_6_5_flonum)) (acos (acos __r4_numbers_6_5) (acosfl __r4_numbers_6_5_flonum)) (sqrt (sqrt __r4_numbers_6_5) (sqrtfl __r4_numbers_6_5_flonum))) ",
		2220);
	      DEFINE_STATIC_BGL_GENERIC(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za770za7za72149za7,
		BGl_z62patchz12z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2specializa7eza2za7zzcfa_specializa7eza7));
		   
			 ADD_ROOT((void
				*) (&BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7));
		     ADD_ROOT((void
				*)
			(&BGl_za2specializa7ationszd2sanszd2overflowza2za7zzcfa_specializa7eza7));
		     ADD_ROOT((void
				*) (&BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7));
		     ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7));
		     ADD_ROOT((void *) (&BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7));
		     ADD_ROOT((void *) (&BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7));
		   
			 ADD_ROOT((void
				*) (&BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7));
		     ADD_ROOT((void
				*) (&BGl_specializa7edzd2globalz75zzcfa_specializa7eza7));
		     ADD_ROOT((void
				*) (&BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long
		BgL_checksumz00_2853, char *BgL_fromz00_2854)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7))
				{
					BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_specializa7eza7();
					BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_cnstzd2initzd2zzcfa_specializa7eza7();
					BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_objectzd2initzd2zzcfa_specializa7eza7();
					BGl_genericzd2initzd2zzcfa_specializa7eza7();
					BGl_methodzd2initzd2zzcfa_specializa7eza7();
					return BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_specialize");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 19 */
				obj_t BgL_cportz00_2731;

				{	/* Cfa/specialize.scm 19 */
					obj_t BgL_stringz00_2739;

					BgL_stringz00_2739 = BGl_string2094z00zzcfa_specializa7eza7;
					{	/* Cfa/specialize.scm 19 */
						obj_t BgL_startz00_2740;

						BgL_startz00_2740 = BINT(((long) 0));
						{	/* Cfa/specialize.scm 19 */
							obj_t BgL_endz00_2741;

							BgL_endz00_2741 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2739)));
							{	/* Cfa/specialize.scm 19 */

								BgL_cportz00_2731 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2739, BgL_startz00_2740, BgL_endz00_2741);
				}}}}
				{
					long BgL_iz00_2732;

					BgL_iz00_2732 = ((long) 13);
				BgL_loopz00_2733:
					if ((BgL_iz00_2732 == ((long) -1)))
						{	/* Cfa/specialize.scm 19 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/specialize.scm 19 */
							{	/* Cfa/specialize.scm 19 */
								obj_t BgL_arg2096z00_2735;

								{	/* Cfa/specialize.scm 19 */

									{	/* Cfa/specialize.scm 19 */
										obj_t BgL_locationz00_2737;

										BgL_locationz00_2737 = BBOOL(((bool_t) 0));
										{	/* Cfa/specialize.scm 19 */

											BgL_arg2096z00_2735 =
												BGl_readz00zz__readerz00(BgL_cportz00_2731,
												BgL_locationz00_2737);
										}
									}
								}
								{	/* Cfa/specialize.scm 19 */
									int BgL_tmpz00_2885;

									BgL_tmpz00_2885 = (int) (BgL_iz00_2732);
									CNST_TABLE_SET(BgL_tmpz00_2885, BgL_arg2096z00_2735);
							}}
							{	/* Cfa/specialize.scm 19 */
								int BgL_auxz00_2738;

								BgL_auxz00_2738 = (int) ((BgL_iz00_2732 - ((long) 1)));
								{
									long BgL_iz00_2890;

									BgL_iz00_2890 = (long) (BgL_auxz00_2738);
									BgL_iz00_2732 = BgL_iz00_2890;
									goto BgL_loopz00_2733;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 19 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 19 */
			BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = BFALSE;
			BGl_za2specializa7ationszd2sanszd2overflowza2za7zzcfa_specializa7eza7 =
				CNST_TABLE_REF(((long) 0));
			BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7 =
				CNST_TABLE_REF(((long) 1));
			BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			return BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzcfa_specializa7eza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1575;

				BgL_headz00_1575 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1576;
					obj_t BgL_tailz00_1577;

					BgL_prevz00_1576 = BgL_headz00_1575;
					BgL_tailz00_1577 = BgL_l1z00_1;
				BgL_loopz00_1578:
					if (PAIRP(BgL_tailz00_1577))
						{
							obj_t BgL_newzd2prevzd2_1580;

							BgL_newzd2prevzd2_1580 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1577), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1576, BgL_newzd2prevzd2_1580);
							{
								obj_t BgL_tailz00_2902;
								obj_t BgL_prevz00_2901;

								BgL_prevz00_2901 = BgL_newzd2prevzd2_1580;
								BgL_tailz00_2902 = CDR(BgL_tailz00_1577);
								BgL_tailz00_1577 = BgL_tailz00_2902;
								BgL_prevz00_1576 = BgL_prevz00_2901;
								goto BgL_loopz00_1578;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1575);
				}
			}
		}

	}



/* specialize! */
	BGL_EXPORTED_DEF obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t
		BgL_globalsz00_88)
	{
		{	/* Cfa/specialize.scm 44 */
			if (BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7())
				{	/* Cfa/specialize.scm 45 */
					{	/* Cfa/specialize.scm 47 */
						obj_t BgL_g1355z00_1590;

						BgL_g1355z00_1590 =
							BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
						{
							obj_t BgL_l1353z00_1592;

							BgL_l1353z00_1592 = BgL_g1355z00_1590;
						BgL_zc3z04anonymousza31459ze3z87_1593:
							if (PAIRP(BgL_l1353z00_1592))
								{	/* Cfa/specialize.scm 47 */
									BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(CAR
										(BgL_l1353z00_1592));
									{
										obj_t BgL_l1353z00_2912;

										BgL_l1353z00_2912 = CDR(BgL_l1353z00_1592);
										BgL_l1353z00_1592 = BgL_l1353z00_2912;
										goto BgL_zc3z04anonymousza31459ze3z87_1593;
									}
								}
							else
								{	/* Cfa/specialize.scm 47 */
									((bool_t) 1);
								}
						}
					}
					BGl_patchzd2treez12zc0zzcfa_specializa7eza7(BgL_globalsz00_88);
					BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
					BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
				}
			else
				{	/* Cfa/specialize.scm 45 */
					BFALSE;
				}
			return BgL_globalsz00_88;
		}

	}



/* &specialize! */
	obj_t BGl_z62specializa7ez12zd7zzcfa_specializa7eza7(obj_t BgL_envz00_2615,
		obj_t BgL_globalsz00_2616)
	{
		{	/* Cfa/specialize.scm 44 */
			return BGl_specializa7ez12zb5zzcfa_specializa7eza7(BgL_globalsz00_2616);
		}

	}



/* arithmetic-operator? */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_89)
	{
		{	/* Cfa/specialize.scm 56 */
			{	/* Cfa/specialize.scm 58 */
				obj_t BgL_cellz00_1599;

				{	/* Cfa/specialize.scm 58 */
					obj_t BgL_arg1493z00_1604;
					obj_t BgL_arg1502z00_1605;

					BgL_arg1493z00_1604 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_89)))->BgL_idz00);
					BgL_arg1502z00_1605 =
						BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
					BgL_cellz00_1599 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1493z00_1604,
						BgL_arg1502z00_1605);
				}
				if (PAIRP(BgL_cellz00_1599))
					{	/* Cfa/specialize.scm 59 */
						bool_t BgL_tmpz00_2924;

						{	/* Cfa/specialize.scm 59 */
							obj_t BgL_tmpz00_2925;

							{	/* Cfa/specialize.scm 59 */
								obj_t BgL_pairz00_2349;

								BgL_pairz00_2349 = CAR(CDR(BgL_cellz00_1599));
								BgL_tmpz00_2925 = CAR(CDR(BgL_pairz00_2349));
							}
							BgL_tmpz00_2924 =
								(BgL_tmpz00_2925 ==
								(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_89))->
									BgL_modulez00));
						}
						return BBOOL(BgL_tmpz00_2924);
					}
				else
					{	/* Cfa/specialize.scm 59 */
						return BFALSE;
					}
			}
		}

	}



/* &arithmetic-operator? */
	obj_t BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7(obj_t
		BgL_envz00_2617, obj_t BgL_globalz00_2618)
	{
		{	/* Cfa/specialize.scm 56 */
			return
				BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(
				((BgL_globalz00_bglt) BgL_globalz00_2618));
		}

	}



/* arithmetic-spec-types */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_90)
	{
		{	/* Cfa/specialize.scm 67 */
			{	/* Cfa/specialize.scm 69 */
				obj_t BgL_cellz00_1607;

				{	/* Cfa/specialize.scm 69 */
					obj_t BgL_arg1548z00_1632;
					obj_t BgL_arg1551z00_1633;

					BgL_arg1548z00_1632 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_90)))->BgL_idz00);
					BgL_arg1551z00_1633 =
						BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
					BgL_cellz00_1607 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1548z00_1632,
						BgL_arg1551z00_1633);
				}
				if (PAIRP(BgL_cellz00_1607))
					{	/* Cfa/specialize.scm 72 */
						obj_t BgL_g1147z00_1609;

						BgL_g1147z00_1609 = CDR(CDR(BgL_cellz00_1607));
						{
							obj_t BgL_specz00_1612;
							obj_t BgL_typesz00_1613;

							BgL_specz00_1612 = BgL_g1147z00_1609;
							BgL_typesz00_1613 = BNIL;
						BgL_zc3z04anonymousza31505ze3z87_1614:
							if (NULLP(BgL_specz00_1612))
								{	/* Cfa/specialize.scm 75 */
									return BgL_typesz00_1613;
								}
							else
								{	/* Cfa/specialize.scm 77 */
									bool_t BgL_test2158z00_2945;

									if (CBOOL
										(BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00))
										{	/* Cfa/specialize.scm 78 */
											obj_t BgL_tmpz00_2948;

											{	/* Cfa/specialize.scm 78 */
												obj_t BgL_pairz00_2360;

												BgL_pairz00_2360 = CAR(((obj_t) BgL_specz00_1612));
												BgL_tmpz00_2948 = CAR(CDR(BgL_pairz00_2360));
											}
											BgL_test2158z00_2945 =
												(BgL_tmpz00_2948 == CNST_TABLE_REF(((long) 2)));
										}
									else
										{	/* Cfa/specialize.scm 77 */
											BgL_test2158z00_2945 = ((bool_t) 0);
										}
									if (BgL_test2158z00_2945)
										{	/* Cfa/specialize.scm 79 */
											obj_t BgL_arg1514z00_1619;
											obj_t BgL_arg1518z00_1620;

											BgL_arg1514z00_1619 = CDR(((obj_t) BgL_specz00_1612));
											BgL_arg1518z00_1620 =
												MAKE_YOUNG_PAIR(BGl_za2longza2z00zztype_cachez00,
												BgL_typesz00_1613);
											{
												obj_t BgL_typesz00_2959;
												obj_t BgL_specz00_2958;

												BgL_specz00_2958 = BgL_arg1514z00_1619;
												BgL_typesz00_2959 = BgL_arg1518z00_1620;
												BgL_typesz00_1613 = BgL_typesz00_2959;
												BgL_specz00_1612 = BgL_specz00_2958;
												goto BgL_zc3z04anonymousza31505ze3z87_1614;
											}
										}
									else
										{	/* Cfa/specialize.scm 80 */
											bool_t BgL_test2160z00_2960;

											if (CBOOL
												(BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00))
												{	/* Cfa/specialize.scm 81 */
													obj_t BgL_tmpz00_2963;

													{	/* Cfa/specialize.scm 81 */
														obj_t BgL_pairz00_2366;

														BgL_pairz00_2366 = CAR(((obj_t) BgL_specz00_1612));
														BgL_tmpz00_2963 = CAR(CDR(BgL_pairz00_2366));
													}
													BgL_test2160z00_2960 =
														(BgL_tmpz00_2963 == CNST_TABLE_REF(((long) 3)));
												}
											else
												{	/* Cfa/specialize.scm 80 */
													BgL_test2160z00_2960 = ((bool_t) 0);
												}
											if (BgL_test2160z00_2960)
												{	/* Cfa/specialize.scm 82 */
													obj_t BgL_arg1527z00_1624;
													obj_t BgL_arg1528z00_1625;

													BgL_arg1527z00_1624 = CDR(((obj_t) BgL_specz00_1612));
													BgL_arg1528z00_1625 =
														MAKE_YOUNG_PAIR(BGl_za2realza2z00zztype_cachez00,
														BgL_typesz00_1613);
													{
														obj_t BgL_typesz00_2974;
														obj_t BgL_specz00_2973;

														BgL_specz00_2973 = BgL_arg1527z00_1624;
														BgL_typesz00_2974 = BgL_arg1528z00_1625;
														BgL_typesz00_1613 = BgL_typesz00_2974;
														BgL_specz00_1612 = BgL_specz00_2973;
														goto BgL_zc3z04anonymousza31505ze3z87_1614;
													}
												}
											else
												{	/* Cfa/specialize.scm 84 */
													obj_t BgL_arg1531z00_1626;

													BgL_arg1531z00_1626 = CDR(((obj_t) BgL_specz00_1612));
													{
														obj_t BgL_specz00_2977;

														BgL_specz00_2977 = BgL_arg1531z00_1626;
														BgL_specz00_1612 = BgL_specz00_2977;
														goto BgL_zc3z04anonymousza31505ze3z87_1614;
													}
												}
										}
								}
						}
					}
				else
					{	/* Cfa/specialize.scm 70 */
						return BNIL;
					}
			}
		}

	}



/* &arithmetic-spec-types */
	obj_t BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7(obj_t
		BgL_envz00_2619, obj_t BgL_globalz00_2620)
	{
		{	/* Cfa/specialize.scm 67 */
			return
				BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(
				((BgL_globalz00_bglt) BgL_globalz00_2620));
		}

	}



/* get-specializations */
	obj_t BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 89 */
			if (CBOOL(BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7))
				{	/* Cfa/specialize.scm 91 */
					return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
				}
			else
				{	/* Cfa/specialize.scm 91 */
					if (CBOOL(BGl_za2arithmeticzd2overflowza2zd2zzengine_paramz00))
						{	/* Cfa/specialize.scm 94 */
							BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 =
								CNST_TABLE_REF(((long) 0));
							return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
						}
					else
						{	/* Cfa/specialize.scm 94 */
							BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 =
								BGl_appendzd221011zd2zzcfa_specializa7eza7(CNST_TABLE_REF((
										(long) 1)), CNST_TABLE_REF(((long) 0)));
							return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
						}
				}
		}

	}



/* specialize-optimization? */
	bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 188 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 1)))
				{	/* Cfa/specialize.scm 189 */
					if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
						{	/* Cfa/specialize.scm 189 */
							return ((bool_t) 0);
						}
					else
						{	/* Cfa/specialize.scm 189 */
							return ((bool_t) 1);
						}
				}
			else
				{	/* Cfa/specialize.scm 189 */
					return ((bool_t) 0);
				}
		}

	}



/* show-specialize */
	bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 194 */
			{	/* Cfa/specialize.scm 195 */
				obj_t BgL_list1552z00_1635;

				{	/* Cfa/specialize.scm 195 */
					obj_t BgL_arg1562z00_1636;

					BgL_arg1562z00_1636 =
						MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
					BgL_list1552z00_1635 =
						MAKE_YOUNG_PAIR(BGl_string2047z00zzcfa_specializa7eza7,
						BgL_arg1562z00_1636);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1552z00_1635);
			}
			{
				obj_t BgL_l1356z00_1638;

				BgL_l1356z00_1638 =
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7;
			BgL_zc3z04anonymousza31563ze3z87_1639:
				if (PAIRP(BgL_l1356z00_1638))
					{	/* Cfa/specialize.scm 196 */
						{	/* Cfa/specialize.scm 197 */
							obj_t BgL_typezd2numzd2_1641;

							BgL_typezd2numzd2_1641 = CAR(BgL_l1356z00_1638);
							if (
								((long) CINT(CDR(
											((obj_t) BgL_typezd2numzd2_1641))) > ((long) 0)))
								{	/* Cfa/specialize.scm 198 */
									obj_t BgL_arg1567z00_1644;
									obj_t BgL_arg1572z00_1645;

									{	/* Cfa/specialize.scm 198 */
										obj_t BgL_arg1594z00_1651;

										BgL_arg1594z00_1651 = CAR(((obj_t) BgL_typezd2numzd2_1641));
										BgL_arg1567z00_1644 =
											BGl_shapez00zztools_shapez00(BgL_arg1594z00_1651);
									}
									BgL_arg1572z00_1645 = CDR(((obj_t) BgL_typezd2numzd2_1641));
									{	/* Cfa/specialize.scm 198 */
										obj_t BgL_list1573z00_1646;

										{	/* Cfa/specialize.scm 198 */
											obj_t BgL_arg1578z00_1647;

											{	/* Cfa/specialize.scm 198 */
												obj_t BgL_arg1579z00_1648;

												{	/* Cfa/specialize.scm 198 */
													obj_t BgL_arg1582z00_1649;

													{	/* Cfa/specialize.scm 198 */
														obj_t BgL_arg1588z00_1650;

														BgL_arg1588z00_1650 =
															MAKE_YOUNG_PAIR
															(BGl_string2048z00zzcfa_specializa7eza7, BNIL);
														BgL_arg1582z00_1649 =
															MAKE_YOUNG_PAIR(BgL_arg1572z00_1645,
															BgL_arg1588z00_1650);
													}
													BgL_arg1579z00_1648 =
														MAKE_YOUNG_PAIR
														(BGl_string2049z00zzcfa_specializa7eza7,
														BgL_arg1582z00_1649);
												}
												BgL_arg1578z00_1647 =
													MAKE_YOUNG_PAIR(BgL_arg1567z00_1644,
													BgL_arg1579z00_1648);
											}
											BgL_list1573z00_1646 =
												MAKE_YOUNG_PAIR(BGl_string2050z00zzcfa_specializa7eza7,
												BgL_arg1578z00_1647);
										}
										BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
											BgL_list1573z00_1646);
								}}
							else
								{	/* Cfa/specialize.scm 197 */
									BFALSE;
								}
						}
						{
							obj_t BgL_l1356z00_3018;

							BgL_l1356z00_3018 = CDR(BgL_l1356z00_1638);
							BgL_l1356z00_1638 = BgL_l1356z00_3018;
							goto BgL_zc3z04anonymousza31563ze3z87_1639;
						}
					}
				else
					{	/* Cfa/specialize.scm 196 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1358z00_1656;

				BgL_l1358z00_1656 =
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7;
			BgL_zc3z04anonymousza31601ze3z87_1657:
				if (PAIRP(BgL_l1358z00_1656))
					{	/* Cfa/specialize.scm 201 */
						{	/* Cfa/specialize.scm 202 */
							obj_t BgL_typezd2numzd2_1659;

							BgL_typezd2numzd2_1659 = CAR(BgL_l1358z00_1656);
							if (
								((long) CINT(CDR(
											((obj_t) BgL_typezd2numzd2_1659))) > ((long) 0)))
								{	/* Cfa/specialize.scm 203 */
									obj_t BgL_arg1610z00_1662;
									obj_t BgL_arg1614z00_1663;

									{	/* Cfa/specialize.scm 203 */
										obj_t BgL_arg1633z00_1669;

										BgL_arg1633z00_1669 = CAR(((obj_t) BgL_typezd2numzd2_1659));
										BgL_arg1610z00_1662 =
											BGl_shapez00zztools_shapez00(BgL_arg1633z00_1669);
									}
									BgL_arg1614z00_1663 = CDR(((obj_t) BgL_typezd2numzd2_1659));
									{	/* Cfa/specialize.scm 203 */
										obj_t BgL_list1615z00_1664;

										{	/* Cfa/specialize.scm 203 */
											obj_t BgL_arg1622z00_1665;

											{	/* Cfa/specialize.scm 203 */
												obj_t BgL_arg1626z00_1666;

												{	/* Cfa/specialize.scm 203 */
													obj_t BgL_arg1628z00_1667;

													{	/* Cfa/specialize.scm 203 */
														obj_t BgL_arg1631z00_1668;

														BgL_arg1631z00_1668 =
															MAKE_YOUNG_PAIR
															(BGl_string2048z00zzcfa_specializa7eza7, BNIL);
														BgL_arg1628z00_1667 =
															MAKE_YOUNG_PAIR(BgL_arg1614z00_1663,
															BgL_arg1631z00_1668);
													}
													BgL_arg1626z00_1666 =
														MAKE_YOUNG_PAIR
														(BGl_string2049z00zzcfa_specializa7eza7,
														BgL_arg1628z00_1667);
												}
												BgL_arg1622z00_1665 =
													MAKE_YOUNG_PAIR(BgL_arg1610z00_1662,
													BgL_arg1626z00_1666);
											}
											BgL_list1615z00_1664 =
												MAKE_YOUNG_PAIR(BGl_string2051z00zzcfa_specializa7eza7,
												BgL_arg1622z00_1665);
										}
										BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
											BgL_list1615z00_1664);
								}}
							else
								{	/* Cfa/specialize.scm 202 */
									BFALSE;
								}
						}
						{
							obj_t BgL_l1358z00_3040;

							BgL_l1358z00_3040 = CDR(BgL_l1358z00_1656);
							BgL_l1358z00_1656 = BgL_l1358z00_3040;
							goto BgL_zc3z04anonymousza31601ze3z87_1657;
						}
					}
				else
					{	/* Cfa/specialize.scm 201 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* install-specialized-type! */
	obj_t BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_91)
	{
		{	/* Cfa/specialize.scm 218 */
			{	/* Cfa/specialize.scm 219 */
				bool_t BgL_test2170z00_3042;

				{	/* Cfa/specialize.scm 219 */
					obj_t BgL_tmpz00_3043;

					BgL_tmpz00_3043 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_91,
						BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
					BgL_test2170z00_3042 = PAIRP(BgL_tmpz00_3043);
				}
				if (BgL_test2170z00_3042)
					{	/* Cfa/specialize.scm 219 */
						return BFALSE;
					}
				else
					{	/* Cfa/specialize.scm 219 */
						{	/* Cfa/specialize.scm 220 */
							obj_t BgL_arg1645z00_1675;

							BgL_arg1645z00_1675 =
								MAKE_YOUNG_PAIR(BgL_typez00_91, BINT(((long) 0)));
							BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
								MAKE_YOUNG_PAIR(BgL_arg1645z00_1675,
								BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
						}
						{	/* Cfa/specialize.scm 221 */
							obj_t BgL_list1646z00_1676;

							BgL_list1646z00_1676 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)), BNIL);
							BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 5)),
								BgL_list1646z00_1676);
						}
						{	/* Cfa/specialize.scm 222 */
							obj_t BgL_list1647z00_1677;

							BgL_list1647z00_1677 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)), BNIL);
							return (BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 6)),
									BgL_list1647z00_1677), BUNSPEC);
		}}}}

	}



/* add-specialized-type! */
	obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_92)
	{
		{	/* Cfa/specialize.scm 227 */
			{	/* Cfa/specialize.scm 228 */
				obj_t BgL_cellz00_1679;

				BgL_cellz00_1679 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_92,
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_1679))
					{	/* Cfa/specialize.scm 232 */
						long BgL_arg1651z00_1681;

						BgL_arg1651z00_1681 =
							(((long) 1) + (long) CINT(CDR(BgL_cellz00_1679)));
						{	/* Cfa/specialize.scm 232 */
							obj_t BgL_tmpz00_3063;

							BgL_tmpz00_3063 = BINT(BgL_arg1651z00_1681);
							return SET_CDR(BgL_cellz00_1679, BgL_tmpz00_3063);
						}
					}
				else
					{	/* Cfa/specialize.scm 229 */
						return
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string2052z00zzcfa_specializa7eza7,
							BGl_string2053z00zzcfa_specializa7eza7,
							BGl_shapez00zztools_shapez00(BgL_typez00_92));
					}
			}
		}

	}



/* add-specialized-eq-type! */
	obj_t BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t
		BgL_typez00_93)
	{
		{	/* Cfa/specialize.scm 237 */
			{	/* Cfa/specialize.scm 238 */
				obj_t BgL_cellz00_1684;

				BgL_cellz00_1684 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_93,
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_1684))
					{	/* Cfa/specialize.scm 242 */
						long BgL_arg1658z00_1686;

						BgL_arg1658z00_1686 =
							(((long) 1) + (long) CINT(CDR(BgL_cellz00_1684)));
						{	/* Cfa/specialize.scm 242 */
							obj_t BgL_tmpz00_3074;

							BgL_tmpz00_3074 = BINT(BgL_arg1658z00_1686);
							return SET_CDR(BgL_cellz00_1684, BgL_tmpz00_3074);
						}
					}
				else
					{	/* Cfa/specialize.scm 241 */
						obj_t BgL_arg1660z00_1688;

						BgL_arg1660z00_1688 =
							MAKE_YOUNG_PAIR(BgL_typez00_93, BINT(((long) 1)));
						return (BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7
							=
							MAKE_YOUNG_PAIR(BgL_arg1660z00_1688,
								BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7),
							BUNSPEC);
					}
			}
		}

	}



/* install-specialize! */
	obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t
		BgL_specz00_94)
	{
		{	/* Cfa/specialize.scm 247 */
			{	/* Cfa/specialize.scm 248 */
				obj_t BgL_genz00_1689;

				{	/* Cfa/specialize.scm 248 */
					obj_t BgL_pairz00_2404;

					BgL_pairz00_2404 = CDR(((obj_t) BgL_specz00_94));
					BgL_genz00_1689 = CAR(BgL_pairz00_2404);
				}
				{	/* Cfa/specialize.scm 248 */
					obj_t BgL_fixesz00_1690;

					{	/* Cfa/specialize.scm 249 */
						obj_t BgL_pairz00_2408;

						BgL_pairz00_2408 = CDR(((obj_t) BgL_specz00_94));
						BgL_fixesz00_1690 = CDR(BgL_pairz00_2408);
					}
					{	/* Cfa/specialize.scm 249 */
						obj_t BgL_genzd2idzd2_1691;

						BgL_genzd2idzd2_1691 = CAR(((obj_t) BgL_genz00_1689));
						{	/* Cfa/specialize.scm 250 */
							obj_t BgL_genzd2modzd2_1692;

							{	/* Cfa/specialize.scm 251 */
								obj_t BgL_pairz00_2413;

								BgL_pairz00_2413 = CDR(((obj_t) BgL_genz00_1689));
								BgL_genzd2modzd2_1692 = CAR(BgL_pairz00_2413);
							}
							{	/* Cfa/specialize.scm 251 */
								obj_t BgL_genericz00_1693;

								BgL_genericz00_1693 =
									BGl_findzd2globalzf2modulez20zzast_envz00
									(BgL_genzd2idzd2_1691, BgL_genzd2modzd2_1692);
								{	/* Cfa/specialize.scm 252 */

									if (BGl_isazf3zf3zz__objectz00(BgL_genericz00_1693,
											BGl_globalz00zzast_varz00))
										{
											obj_t BgL_fixesz00_1697;
											obj_t BgL_resz00_1698;

											BgL_fixesz00_1697 = BgL_fixesz00_1690;
											BgL_resz00_1698 = BNIL;
										BgL_zc3z04anonymousza31662ze3z87_1699:
											if (NULLP(BgL_fixesz00_1697))
												{	/* Cfa/specialize.scm 256 */
													if (BGl_isazf3zf3zz__objectz00(BgL_genericz00_1693,
															BGl_specializa7edzd2globalz75zzcfa_specializa7eza7))
														{
															obj_t BgL_auxz00_3105;
															BgL_specializa7edzd2globalz75_bglt
																BgL_auxz00_3098;
															{	/* Cfa/specialize.scm 259 */
																obj_t BgL_arg1665z00_1703;

																{
																	BgL_specializa7edzd2globalz75_bglt
																		BgL_auxz00_3106;
																	{
																		obj_t BgL_auxz00_3107;

																		{	/* Cfa/specialize.scm 259 */
																			BgL_objectz00_bglt BgL_tmpz00_3108;

																			BgL_tmpz00_3108 =
																				((BgL_objectz00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_genericz00_1693));
																			BgL_auxz00_3107 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_3108);
																		}
																		BgL_auxz00_3106 =
																			((BgL_specializa7edzd2globalz75_bglt)
																			BgL_auxz00_3107);
																	}
																	BgL_arg1665z00_1703 =
																		(((BgL_specializa7edzd2globalz75_bglt)
																			COBJECT(BgL_auxz00_3106))->BgL_fixz00);
																}
																BgL_auxz00_3105 =
																	BGl_appendzd221011zd2zzcfa_specializa7eza7
																	(BgL_arg1665z00_1703, BgL_resz00_1698);
															}
															{
																obj_t BgL_auxz00_3099;

																{	/* Cfa/specialize.scm 259 */
																	BgL_objectz00_bglt BgL_tmpz00_3100;

																	BgL_tmpz00_3100 =
																		((BgL_objectz00_bglt)
																		((BgL_globalz00_bglt) BgL_genericz00_1693));
																	BgL_auxz00_3099 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_3100);
																}
																BgL_auxz00_3098 =
																	((BgL_specializa7edzd2globalz75_bglt)
																	BgL_auxz00_3099);
															}
															return
																((((BgL_specializa7edzd2globalz75_bglt)
																		COBJECT(BgL_auxz00_3098))->BgL_fixz00) =
																((obj_t) BgL_auxz00_3105), BUNSPEC);
														}
													else
														{	/* Cfa/specialize.scm 257 */
															{	/* Cfa/specialize.scm 261 */
																BgL_specializa7edzd2globalz75_bglt
																	BgL_wide1154z00_1706;
																BgL_wide1154z00_1706 =
																	((BgL_specializa7edzd2globalz75_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_specializa7edzd2globalz75_bgl))));
																{	/* Cfa/specialize.scm 261 */
																	obj_t BgL_auxz00_3121;
																	BgL_objectz00_bglt BgL_tmpz00_3117;

																	BgL_auxz00_3121 =
																		((obj_t) BgL_wide1154z00_1706);
																	BgL_tmpz00_3117 =
																		((BgL_objectz00_bglt)
																		((BgL_globalz00_bglt)
																			((BgL_globalz00_bglt)
																				BgL_genericz00_1693)));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3117,
																		BgL_auxz00_3121);
																}
																((BgL_objectz00_bglt)
																	((BgL_globalz00_bglt)
																		((BgL_globalz00_bglt)
																			BgL_genericz00_1693)));
																{	/* Cfa/specialize.scm 261 */
																	long BgL_arg1666z00_1707;

																	{	/* Cfa/specialize.scm 261 */
																		long BgL_res2004z00_2421;

																		BgL_res2004z00_2421 =
																			BGL_CLASS_INDEX
																			(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
																		BgL_arg1666z00_1707 = BgL_res2004z00_2421;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt)
																			((BgL_globalz00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_genericz00_1693))),
																		BgL_arg1666z00_1707);
																}
																((BgL_globalz00_bglt)
																	((BgL_globalz00_bglt)
																		((BgL_globalz00_bglt)
																			BgL_genericz00_1693)));
															}
															{
																BgL_specializa7edzd2globalz75_bglt
																	BgL_auxz00_3135;
																{
																	obj_t BgL_auxz00_3136;

																	{	/* Cfa/specialize.scm 262 */
																		BgL_objectz00_bglt BgL_tmpz00_3137;

																		BgL_tmpz00_3137 =
																			((BgL_objectz00_bglt)
																			((BgL_globalz00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_genericz00_1693)));
																		BgL_auxz00_3136 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3137);
																	}
																	BgL_auxz00_3135 =
																		((BgL_specializa7edzd2globalz75_bglt)
																		BgL_auxz00_3136);
																}
																((((BgL_specializa7edzd2globalz75_bglt)
																			COBJECT(BgL_auxz00_3135))->BgL_fixz00) =
																	((obj_t) BgL_resz00_1698), BUNSPEC);
															}
															((BgL_globalz00_bglt)
																((BgL_globalz00_bglt) BgL_genericz00_1693));
															return
																(BGl_za2specializa7eza2za7zzcfa_specializa7eza7
																=
																MAKE_YOUNG_PAIR(BgL_genericz00_1693,
																	BGl_za2specializa7eza2za7zzcfa_specializa7eza7),
																BUNSPEC);
														}
												}
											else
												{	/* Cfa/specialize.scm 264 */
													obj_t BgL_fixz00_1709;

													BgL_fixz00_1709 = CAR(((obj_t) BgL_fixesz00_1697));
													{	/* Cfa/specialize.scm 264 */
														obj_t BgL_idz00_1710;

														BgL_idz00_1710 = CAR(((obj_t) BgL_fixz00_1709));
														{	/* Cfa/specialize.scm 265 */
															obj_t BgL_modz00_1711;

															{	/* Cfa/specialize.scm 266 */
																obj_t BgL_pairz00_2430;

																BgL_pairz00_2430 =
																	CDR(((obj_t) BgL_fixz00_1709));
																BgL_modz00_1711 = CAR(BgL_pairz00_2430);
															}
															{	/* Cfa/specialize.scm 266 */
																obj_t BgL_globalz00_1712;

																BgL_globalz00_1712 =
																	BGl_findzd2globalzf2modulez20zzast_envz00
																	(BgL_idz00_1710, BgL_modz00_1711);
																{	/* Cfa/specialize.scm 267 */

																	if (BGl_isazf3zf3zz__objectz00
																		(BgL_globalz00_1712,
																			BGl_globalz00zzast_varz00))
																		{	/* Cfa/specialize.scm 269 */
																			BgL_valuez00_bglt BgL_valz00_1714;

																			BgL_valz00_1714 =
																				(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_globalz00_1712))))->
																				BgL_valuez00);
																			{	/* Cfa/specialize.scm 271 */
																				bool_t BgL_test2177z00_3160;

																				{	/* Cfa/specialize.scm 271 */
																					bool_t BgL_test2178z00_3161;

																					{	/* Cfa/specialize.scm 271 */
																						bool_t BgL_res2006z00_2433;

																						BgL_res2006z00_2433 =
																							BGl_isazf3zf3zz__objectz00(
																							((obj_t) BgL_valz00_1714),
																							BGl_sfunz00zzast_varz00);
																						BgL_test2178z00_3161 =
																							BgL_res2006z00_2433;
																					}
																					if (BgL_test2178z00_3161)
																						{	/* Cfa/specialize.scm 271 */
																							obj_t BgL_tmpz00_3164;

																							BgL_tmpz00_3164 =
																								(((BgL_sfunz00_bglt) COBJECT(
																										((BgL_sfunz00_bglt)
																											BgL_valz00_1714)))->
																								BgL_argsz00);
																							BgL_test2177z00_3160 =
																								PAIRP(BgL_tmpz00_3164);
																						}
																					else
																						{	/* Cfa/specialize.scm 271 */
																							BgL_test2177z00_3160 =
																								((bool_t) 0);
																						}
																				}
																				if (BgL_test2177z00_3160)
																					{	/* Cfa/specialize.scm 272 */
																						obj_t BgL_typez00_1718;

																						{	/* Cfa/specialize.scm 272 */
																							obj_t BgL_vz00_1722;

																							{	/* Cfa/specialize.scm 272 */
																								obj_t BgL_pairz00_2437;

																								BgL_pairz00_2437 =
																									(((BgL_sfunz00_bglt) COBJECT(
																											((BgL_sfunz00_bglt)
																												BgL_valz00_1714)))->
																									BgL_argsz00);
																								BgL_vz00_1722 =
																									CAR(BgL_pairz00_2437);
																							}
																							if (BGl_isazf3zf3zz__objectz00
																								(BgL_vz00_1722,
																									BGl_typez00zztype_typez00))
																								{	/* Cfa/specialize.scm 274 */
																									BgL_typez00_1718 =
																										BgL_vz00_1722;
																								}
																							else
																								{	/* Cfa/specialize.scm 274 */
																									if (BGl_isazf3zf3zz__objectz00
																										(BgL_vz00_1722,
																											BGl_localz00zzast_varz00))
																										{	/* Cfa/specialize.scm 276 */
																											BgL_typez00_1718 =
																												((obj_t)
																												(((BgL_variablez00_bglt)
																														COBJECT((
																																(BgL_variablez00_bglt)
																																((BgL_localz00_bglt) BgL_vz00_1722))))->BgL_typez00));
																										}
																									else
																										{	/* Cfa/specialize.scm 282 */
																											obj_t BgL_arg1680z00_1725;

																											BgL_arg1680z00_1725 =
																												(((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															((BgL_globalz00_bglt) BgL_globalz00_1712))))->BgL_idz00);
																											BgL_typez00_1718 =
																												BGl_internalzd2errorzd2zztools_errorz00
																												(BGl_string2054z00zzcfa_specializa7eza7,
																												BGl_string2055z00zzcfa_specializa7eza7,
																												BgL_arg1680z00_1725);
																										}
																								}
																						}
																						BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																							(BgL_typez00_1718);
																						{	/* Cfa/specialize.scm 284 */
																							obj_t BgL_arg1671z00_1719;
																							obj_t BgL_arg1674z00_1720;

																							BgL_arg1671z00_1719 =
																								CDR(
																								((obj_t) BgL_fixesz00_1697));
																							{	/* Cfa/specialize.scm 285 */
																								obj_t BgL_arg1675z00_1721;

																								BgL_arg1675z00_1721 =
																									MAKE_YOUNG_PAIR
																									(BgL_typez00_1718,
																									BgL_globalz00_1712);
																								BgL_arg1674z00_1720 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1675z00_1721,
																									BgL_resz00_1698);
																							}
																							{
																								obj_t BgL_resz00_3189;
																								obj_t BgL_fixesz00_3188;

																								BgL_fixesz00_3188 =
																									BgL_arg1671z00_1719;
																								BgL_resz00_3189 =
																									BgL_arg1674z00_1720;
																								BgL_resz00_1698 =
																									BgL_resz00_3189;
																								BgL_fixesz00_1697 =
																									BgL_fixesz00_3188;
																								goto
																									BgL_zc3z04anonymousza31662ze3z87_1699;
																							}
																						}
																					}
																				else
																					{	/* Cfa/specialize.scm 286 */
																						bool_t BgL_test2181z00_3190;

																						{	/* Cfa/specialize.scm 286 */
																							bool_t BgL_test2182z00_3191;

																							{	/* Cfa/specialize.scm 286 */
																								bool_t BgL_res2010z00_2443;

																								BgL_res2010z00_2443 =
																									BGl_isazf3zf3zz__objectz00(
																									((obj_t) BgL_valz00_1714),
																									BGl_cfunz00zzast_varz00);
																								BgL_test2182z00_3191 =
																									BgL_res2010z00_2443;
																							}
																							if (BgL_test2182z00_3191)
																								{	/* Cfa/specialize.scm 286 */
																									obj_t BgL_tmpz00_3194;

																									BgL_tmpz00_3194 =
																										(((BgL_cfunz00_bglt)
																											COBJECT((
																													(BgL_cfunz00_bglt)
																													BgL_valz00_1714)))->
																										BgL_argszd2typezd2);
																									BgL_test2181z00_3190 =
																										PAIRP(BgL_tmpz00_3194);
																								}
																							else
																								{	/* Cfa/specialize.scm 286 */
																									BgL_test2181z00_3190 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_test2181z00_3190)
																							{	/* Cfa/specialize.scm 287 */
																								obj_t BgL_typez00_1730;

																								{	/* Cfa/specialize.scm 287 */
																									obj_t BgL_pairz00_2447;

																									BgL_pairz00_2447 =
																										(((BgL_cfunz00_bglt)
																											COBJECT((
																													(BgL_cfunz00_bglt)
																													BgL_valz00_1714)))->
																										BgL_argszd2typezd2);
																									BgL_typez00_1730 =
																										CAR(BgL_pairz00_2447);
																								}
																								BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																									(BgL_typez00_1730);
																								{	/* Cfa/specialize.scm 289 */
																									obj_t BgL_arg1692z00_1731;
																									obj_t BgL_arg1693z00_1732;

																									BgL_arg1692z00_1731 =
																										CDR(
																										((obj_t)
																											BgL_fixesz00_1697));
																									{	/* Cfa/specialize.scm 290 */
																										obj_t BgL_arg1694z00_1733;

																										BgL_arg1694z00_1733 =
																											MAKE_YOUNG_PAIR
																											(BgL_typez00_1730,
																											BgL_globalz00_1712);
																										BgL_arg1693z00_1732 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1694z00_1733,
																											BgL_resz00_1698);
																									}
																									{
																										obj_t BgL_resz00_3207;
																										obj_t BgL_fixesz00_3206;

																										BgL_fixesz00_3206 =
																											BgL_arg1692z00_1731;
																										BgL_resz00_3207 =
																											BgL_arg1693z00_1732;
																										BgL_resz00_1698 =
																											BgL_resz00_3207;
																										BgL_fixesz00_1697 =
																											BgL_fixesz00_3206;
																										goto
																											BgL_zc3z04anonymousza31662ze3z87_1699;
																									}
																								}
																							}
																						else
																							{	/* Cfa/specialize.scm 286 */
																								return BFALSE;
																							}
																					}
																			}
																		}
																	else
																		{	/* Cfa/specialize.scm 268 */
																			{	/* Cfa/specialize.scm 295 */
																				obj_t BgL_arg1703z00_1739;

																				BgL_arg1703z00_1739 =
																					MAKE_YOUNG_PAIR(BgL_idz00_1710,
																					BgL_modz00_1711);
																				{	/* Cfa/specialize.scm 292 */
																					obj_t BgL_list1704z00_1740;

																					{	/* Cfa/specialize.scm 292 */
																						obj_t BgL_arg1705z00_1741;

																						{	/* Cfa/specialize.scm 292 */
																							obj_t BgL_arg1706z00_1742;

																							{	/* Cfa/specialize.scm 292 */
																								obj_t BgL_arg1708z00_1743;

																								BgL_arg1708z00_1743 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1703z00_1739, BNIL);
																								BgL_arg1706z00_1742 =
																									MAKE_YOUNG_PAIR
																									(BGl_string2056z00zzcfa_specializa7eza7,
																									BgL_arg1708z00_1743);
																							}
																							BgL_arg1705z00_1741 =
																								MAKE_YOUNG_PAIR
																								(BGl_string2057z00zzcfa_specializa7eza7,
																								BgL_arg1706z00_1742);
																						}
																						BgL_list1704z00_1740 =
																							MAKE_YOUNG_PAIR
																							(BGl_string2058z00zzcfa_specializa7eza7,
																							BgL_arg1705z00_1741);
																					}
																					BGl_warningz00zz__errorz00
																						(BgL_list1704z00_1740);
																				}
																			}
																			{	/* Cfa/specialize.scm 296 */
																				obj_t BgL_arg1712z00_1744;

																				BgL_arg1712z00_1744 =
																					CDR(((obj_t) BgL_fixesz00_1697));
																				{
																					obj_t BgL_fixesz00_3216;

																					BgL_fixesz00_3216 =
																						BgL_arg1712z00_1744;
																					BgL_fixesz00_1697 = BgL_fixesz00_3216;
																					goto
																						BgL_zc3z04anonymousza31662ze3z87_1699;
																				}
																			}
																		}
																}
															}
														}
													}
												}
										}
									else
										{	/* Cfa/specialize.scm 300 */
											obj_t BgL_arg1715z00_1746;

											BgL_arg1715z00_1746 =
												MAKE_YOUNG_PAIR(BgL_genzd2idzd2_1691,
												BgL_genzd2modzd2_1692);
											{	/* Cfa/specialize.scm 297 */
												obj_t BgL_list1716z00_1747;

												{	/* Cfa/specialize.scm 297 */
													obj_t BgL_arg1719z00_1748;

													{	/* Cfa/specialize.scm 297 */
														obj_t BgL_arg1725z00_1749;

														{	/* Cfa/specialize.scm 297 */
															obj_t BgL_arg1737z00_1750;

															BgL_arg1737z00_1750 =
																MAKE_YOUNG_PAIR(BgL_arg1715z00_1746, BNIL);
															BgL_arg1725z00_1749 =
																MAKE_YOUNG_PAIR
																(BGl_string2056z00zzcfa_specializa7eza7,
																BgL_arg1737z00_1750);
														}
														BgL_arg1719z00_1748 =
															MAKE_YOUNG_PAIR
															(BGl_string2057z00zzcfa_specializa7eza7,
															BgL_arg1725z00_1749);
													}
													BgL_list1716z00_1747 =
														MAKE_YOUNG_PAIR
														(BGl_string2058z00zzcfa_specializa7eza7,
														BgL_arg1719z00_1748);
												}
												return BGl_warningz00zz__errorz00(BgL_list1716z00_1747);
											}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* uninstall-specializes! */
	obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 305 */
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			{
				obj_t BgL_l1360z00_1752;

				BgL_l1360z00_1752 = BGl_za2specializa7eza2za7zzcfa_specializa7eza7;
			BgL_zc3z04anonymousza31738ze3z87_1753:
				if (PAIRP(BgL_l1360z00_1752))
					{	/* Cfa/specialize.scm 307 */
						{	/* Cfa/specialize.scm 307 */
							obj_t BgL_oz00_1755;

							BgL_oz00_1755 = CAR(BgL_l1360z00_1752);
							{	/* Cfa/specialize.scm 307 */
								long BgL_arg1749z00_1757;

								{	/* Cfa/specialize.scm 307 */
									obj_t BgL_arg1750z00_1758;

									{	/* Cfa/specialize.scm 307 */
										obj_t BgL_arg1751z00_1759;

										{	/* Cfa/specialize.scm 307 */
											long BgL_arg1745z00_2453;

											{	/* Cfa/specialize.scm 307 */
												long BgL_arg1746z00_2454;

												{	/* Cfa/specialize.scm 307 */
													long BgL_res2013z00_2456;

													BgL_res2013z00_2456 =
														BGL_OBJECT_CLASS_NUM(
														((BgL_objectz00_bglt) BgL_oz00_1755));
													BgL_arg1746z00_2454 = BgL_res2013z00_2456;
												}
												BgL_arg1745z00_2453 =
													(BgL_arg1746z00_2454 - OBJECT_TYPE);
											}
											BgL_arg1751z00_1759 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1745z00_2453);
										}
										BgL_arg1750z00_1758 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1751z00_1759);
									}
									{	/* Cfa/specialize.scm 307 */
										long BgL_res2015z00_2463;

										{	/* Cfa/specialize.scm 307 */
											obj_t BgL_tmpz00_3231;

											BgL_tmpz00_3231 = ((obj_t) BgL_arg1750z00_1758);
											BgL_res2015z00_2463 = BGL_CLASS_INDEX(BgL_tmpz00_3231);
										}
										BgL_arg1749z00_1757 = BgL_res2015z00_2463;
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_oz00_1755), BgL_arg1749z00_1757);
							}
							{	/* Cfa/specialize.scm 307 */
								BgL_objectz00_bglt BgL_tmpz00_3236;

								BgL_tmpz00_3236 = ((BgL_objectz00_bglt) BgL_oz00_1755);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3236, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_oz00_1755);
							BgL_oz00_1755;
						}
						{
							obj_t BgL_l1360z00_3240;

							BgL_l1360z00_3240 = CDR(BgL_l1360z00_1752);
							BgL_l1360z00_1752 = BgL_l1360z00_3240;
							goto BgL_zc3z04anonymousza31738ze3z87_1753;
						}
					}
				else
					{	/* Cfa/specialize.scm 307 */
						((bool_t) 1);
					}
			}
			return (BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL, BUNSPEC);
		}

	}



/* patch-tree! */
	bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t BgL_globalsz00_95)
	{
		{	/* Cfa/specialize.scm 313 */
			{
				obj_t BgL_l1362z00_1763;

				BgL_l1362z00_1763 = BgL_globalsz00_95;
			BgL_zc3z04anonymousza31753ze3z87_1764:
				if (PAIRP(BgL_l1362z00_1763))
					{	/* Cfa/specialize.scm 314 */
						BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR(BgL_l1362z00_1763));
						{
							obj_t BgL_l1362z00_3246;

							BgL_l1362z00_3246 = CDR(BgL_l1362z00_1763);
							BgL_l1362z00_1763 = BgL_l1362z00_3246;
							goto BgL_zc3z04anonymousza31753ze3z87_1764;
						}
					}
				else
					{	/* Cfa/specialize.scm 314 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* patch-fun! */
	obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t BgL_variablez00_96)
	{
		{	/* Cfa/specialize.scm 319 */
			{	/* Cfa/specialize.scm 320 */
				BgL_valuez00_bglt BgL_funz00_1769;

				BgL_funz00_1769 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_variablez00_96)))->BgL_valuez00);
				{	/* Cfa/specialize.scm 321 */
					obj_t BgL_arg1758z00_1770;

					{	/* Cfa/specialize.scm 321 */
						obj_t BgL_arg1759z00_1771;

						BgL_arg1759z00_1771 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1769)))->BgL_bodyz00);
						BgL_arg1758z00_1770 =
							BGl_patchz12z12zzcfa_specializa7eza7(
							((BgL_nodez00_bglt) BgL_arg1759z00_1771));
					}
					return
						((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1769)))->BgL_bodyz00) =
						((obj_t) BgL_arg1758z00_1770), BUNSPEC);
				}
			}
		}

	}



/* patch*! */
	obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t BgL_nodeza2za2_119)
	{
		{	/* Cfa/specialize.scm 526 */
			{
				obj_t BgL_nodeza2za2_1773;

				BgL_nodeza2za2_1773 = BgL_nodeza2za2_119;
			BgL_zc3z04anonymousza31760ze3z87_1774:
				if (NULLP(BgL_nodeza2za2_1773))
					{	/* Cfa/specialize.scm 528 */
						return CNST_TABLE_REF(((long) 7));
					}
				else
					{	/* Cfa/specialize.scm 528 */
						{	/* Cfa/specialize.scm 531 */
							obj_t BgL_arg1762z00_1776;

							{	/* Cfa/specialize.scm 531 */
								obj_t BgL_arg1763z00_1777;

								BgL_arg1763z00_1777 = CAR(((obj_t) BgL_nodeza2za2_1773));
								BgL_arg1762z00_1776 =
									BGl_patchz12z12zzcfa_specializa7eza7(
									((BgL_nodez00_bglt) BgL_arg1763z00_1777));
							}
							{	/* Cfa/specialize.scm 531 */
								obj_t BgL_tmpz00_3263;

								BgL_tmpz00_3263 = ((obj_t) BgL_nodeza2za2_1773);
								SET_CAR(BgL_tmpz00_3263, BgL_arg1762z00_1776);
							}
						}
						{	/* Cfa/specialize.scm 532 */
							obj_t BgL_arg1764z00_1778;

							BgL_arg1764z00_1778 = CDR(((obj_t) BgL_nodeza2za2_1773));
							{
								obj_t BgL_nodeza2za2_3268;

								BgL_nodeza2za2_3268 = BgL_arg1764z00_1778;
								BgL_nodeza2za2_1773 = BgL_nodeza2za2_3268;
								goto BgL_zc3z04anonymousza31760ze3z87_1774;
							}
						}
					}
			}
		}

	}



/* specialize-app! */
	BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_121)
	{
		{	/* Cfa/specialize.scm 551 */
			if (NULLP((((BgL_appz00_bglt) COBJECT(BgL_nodez00_121))->BgL_argsz00)))
				{	/* Cfa/specialize.scm 560 */
					return BgL_nodez00_121;
				}
			else
				{	/* Cfa/specialize.scm 564 */
					obj_t BgL_typez00_1784;

					BgL_typez00_1784 =
						BGl_normaliza7ezd2getzd2typeze70z40zzcfa_specializa7eza7(CAR(
							(((BgL_appz00_bglt) COBJECT(BgL_nodez00_121))->BgL_argsz00)));
					{	/* Cfa/specialize.scm 564 */
						BgL_variablez00_bglt BgL_gloz00_1785;

						BgL_gloz00_1785 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_121))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Cfa/specialize.scm 565 */
							obj_t BgL_specz00_1786;

							{	/* Cfa/specialize.scm 566 */
								obj_t BgL_arg1787z00_1807;

								{
									BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3277;

									{
										obj_t BgL_auxz00_3278;

										{	/* Cfa/specialize.scm 566 */
											BgL_objectz00_bglt BgL_tmpz00_3279;

											BgL_tmpz00_3279 =
												((BgL_objectz00_bglt)
												((BgL_globalz00_bglt) BgL_gloz00_1785));
											BgL_auxz00_3278 = BGL_OBJECT_WIDENING(BgL_tmpz00_3279);
										}
										BgL_auxz00_3277 =
											((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3278);
									}
									BgL_arg1787z00_1807 =
										(((BgL_specializa7edzd2globalz75_bglt)
											COBJECT(BgL_auxz00_3277))->BgL_fixz00);
								}
								BgL_specz00_1786 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_1784,
									BgL_arg1787z00_1807);
							}
							{	/* Cfa/specialize.scm 566 */

								if (PAIRP(BgL_specz00_1786))
									{	/* Cfa/specialize.scm 568 */
										obj_t BgL_g1176z00_1788;

										BgL_g1176z00_1788 =
											CDR(
											(((BgL_appz00_bglt) COBJECT(BgL_nodez00_121))->
												BgL_argsz00));
										{
											obj_t BgL_argsz00_1790;

											BgL_argsz00_1790 = BgL_g1176z00_1788;
										BgL_zc3z04anonymousza31768ze3z87_1791:
											if (NULLP(BgL_argsz00_1790))
												{	/* Cfa/specialize.scm 570 */
													BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
														(BgL_typez00_1784);
													{	/* Cfa/specialize.scm 572 */
														BgL_varz00_bglt BgL_arg1770z00_1793;
														obj_t BgL_arg1771z00_1794;

														BgL_arg1770z00_1793 =
															(((BgL_appz00_bglt) COBJECT(BgL_nodez00_121))->
															BgL_funz00);
														BgL_arg1771z00_1794 =
															CDR(((obj_t) BgL_specz00_1786));
														((((BgL_varz00_bglt) COBJECT(BgL_arg1770z00_1793))->
																BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_arg1771z00_1794)), BUNSPEC);
													}
													{	/* Cfa/specialize.scm 573 */
														BgL_typez00_bglt BgL_ntz00_1795;

														BgL_ntz00_1795 =
															(((BgL_variablez00_bglt) COBJECT(
																	(((BgL_varz00_bglt) COBJECT(
																				(((BgL_appz00_bglt)
																						COBJECT(BgL_nodez00_121))->
																					BgL_funz00)))->BgL_variablez00)))->
															BgL_typez00);
														{	/* Cfa/specialize.scm 574 */
															BgL_typez00_bglt BgL_arg1773z00_1796;

															BgL_arg1773z00_1796 =
																BGl_strictzd2nodezd2typez00zzast_nodez00
																(BgL_ntz00_1795,
																((BgL_typez00_bglt) BgL_typez00_1784));
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_nodez00_121)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_arg1773z00_1796),
																BUNSPEC);
														}
													}
													return BgL_nodez00_121;
												}
											else
												{	/* Cfa/specialize.scm 576 */
													bool_t BgL_test2189z00_3305;

													{	/* Cfa/specialize.scm 576 */
														obj_t BgL_arg1783z00_1803;

														{	/* Cfa/specialize.scm 576 */
															obj_t BgL_arg1784z00_1804;

															BgL_arg1784z00_1804 =
																CAR(((obj_t) BgL_argsz00_1790));
															BgL_arg1783z00_1803 =
																BGl_normaliza7ezd2getzd2typeze70z40zzcfa_specializa7eza7
																(BgL_arg1784z00_1804);
														}
														BgL_test2189z00_3305 =
															(BgL_arg1783z00_1803 == BgL_typez00_1784);
													}
													if (BgL_test2189z00_3305)
														{	/* Cfa/specialize.scm 577 */
															obj_t BgL_arg1782z00_1802;

															BgL_arg1782z00_1802 =
																CDR(((obj_t) BgL_argsz00_1790));
															{
																obj_t BgL_argsz00_3312;

																BgL_argsz00_3312 = BgL_arg1782z00_1802;
																BgL_argsz00_1790 = BgL_argsz00_3312;
																goto BgL_zc3z04anonymousza31768ze3z87_1791;
															}
														}
													else
														{	/* Cfa/specialize.scm 576 */
															return
																BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
																(BgL_nodez00_121);
														}
												}
										}
									}
								else
									{	/* Cfa/specialize.scm 567 */
										return
											BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
											(BgL_nodez00_121);
									}
							}
						}
					}
				}
		}

	}



/* normalize-get-type~0 */
	obj_t BGl_normaliza7ezd2getzd2typeze70z40zzcfa_specializa7eza7(obj_t
		BgL_valz00_1812)
	{
		{	/* Cfa/specialize.scm 557 */
			{	/* Cfa/specialize.scm 554 */
				BgL_typez00_bglt BgL_tyz00_1814;

				BgL_tyz00_1814 =
					BGl_getzd2typezd2zztype_typeofz00(
					((BgL_nodez00_bglt) BgL_valz00_1812), ((bool_t) 0));
				if ((((obj_t) BgL_tyz00_1814) == BGl_za2intza2z00zztype_cachez00))
					{	/* Cfa/specialize.scm 555 */
						return BGl_za2longza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/specialize.scm 555 */
						return ((obj_t) BgL_tyz00_1814);
					}
			}
		}

	}



/* specialize-eq? */
	BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_122)
	{
		{	/* Cfa/specialize.scm 590 */
			{
				BgL_appz00_bglt BgL_nodez00_1854;
				obj_t BgL_typez00_1855;

				{	/* Cfa/specialize.scm 597 */
					bool_t BgL_test2191z00_3321;

					{	/* Cfa/specialize.scm 597 */
						bool_t BgL_test2192z00_3322;

						{	/* Cfa/specialize.scm 597 */
							BgL_variablez00_bglt BgL_arg1825z00_1852;

							BgL_arg1825z00_1852 =
								(((BgL_varz00_bglt) COBJECT(
										(((BgL_appz00_bglt) COBJECT(BgL_nodez00_122))->
											BgL_funz00)))->BgL_variablez00);
							BgL_test2192z00_3322 =
								(((obj_t) BgL_arg1825z00_1852) ==
								BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7);
						}
						if (BgL_test2192z00_3322)
							{	/* Cfa/specialize.scm 598 */
								obj_t BgL_arg1823z00_1851;

								BgL_arg1823z00_1851 =
									BGl_thezd2backendzd2zzbackend_backendz00();
								BgL_test2191z00_3321 =
									(((BgL_backendz00_bglt) COBJECT(
											((BgL_backendz00_bglt) BgL_arg1823z00_1851)))->
									BgL_typedzd2eqzd2);
							}
						else
							{	/* Cfa/specialize.scm 597 */
								BgL_test2191z00_3321 = ((bool_t) 0);
							}
					}
					if (BgL_test2191z00_3321)
						{	/* Cfa/specialize.scm 600 */
							BgL_typez00_bglt BgL_t1z00_1826;
							BgL_typez00_bglt BgL_t2z00_1827;

							{	/* Cfa/specialize.scm 600 */
								obj_t BgL_arg1819z00_1846;

								BgL_arg1819z00_1846 =
									CAR(
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_122))->BgL_argsz00));
								BgL_t1z00_1826 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_arg1819z00_1846), ((bool_t) 0));
							}
							{	/* Cfa/specialize.scm 601 */
								obj_t BgL_arg1821z00_1848;

								{	/* Cfa/specialize.scm 601 */
									obj_t BgL_pairz00_2504;

									BgL_pairz00_2504 =
										(((BgL_appz00_bglt) COBJECT(BgL_nodez00_122))->BgL_argsz00);
									BgL_arg1821z00_1848 = CAR(CDR(BgL_pairz00_2504));
								}
								BgL_t2z00_1827 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_arg1821z00_1848), ((bool_t) 0));
							}
							{	/* Cfa/specialize.scm 603 */
								bool_t BgL_test2193z00_3339;

								if (
									(((obj_t) BgL_t1z00_1826) == BGl_za2objza2z00zztype_cachez00))
									{	/* Cfa/specialize.scm 603 */
										BgL_test2193z00_3339 =
											(
											((obj_t) BgL_t2z00_1827) ==
											BGl_za2objza2z00zztype_cachez00);
									}
								else
									{	/* Cfa/specialize.scm 603 */
										BgL_test2193z00_3339 = ((bool_t) 0);
									}
								if (BgL_test2193z00_3339)
									{	/* Cfa/specialize.scm 603 */
										BUNSPEC;
									}
								else
									{	/* Cfa/specialize.scm 603 */
										if (
											(((obj_t) BgL_t1z00_1826) ==
												BGl_za2bintza2z00zztype_cachez00))
											{	/* Cfa/specialize.scm 605 */
												if (
													(((obj_t) BgL_t2z00_1827) ==
														BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 606 */
														BgL_nodez00_1854 = BgL_nodez00_122;
														BgL_typez00_1855 = BGl_za2bintza2z00zztype_cachez00;
													BgL_zc3z04anonymousza31827ze3z87_1856:
														{	/* Cfa/specialize.scm 593 */
															bool_t BgL_test2197z00_3351;

															{	/* Cfa/specialize.scm 593 */
																bool_t BgL_res2021z00_2496;

																{	/* Cfa/specialize.scm 593 */
																	obj_t BgL_objz00_2495;

																	BgL_objz00_2495 =
																		BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7;
																	BgL_res2021z00_2496 =
																		BGl_isazf3zf3zz__objectz00(BgL_objz00_2495,
																		BGl_globalz00zzast_varz00);
																}
																BgL_test2197z00_3351 = BgL_res2021z00_2496;
															}
															if (BgL_test2197z00_3351)
																{	/* Cfa/specialize.scm 593 */
																	{	/* Cfa/specialize.scm 594 */
																		BgL_varz00_bglt BgL_arg1829z00_1858;

																		BgL_arg1829z00_1858 =
																			(((BgL_appz00_bglt)
																				COBJECT(BgL_nodez00_122))->BgL_funz00);
																		{	/* Cfa/specialize.scm 594 */
																			BgL_variablez00_bglt BgL_vz00_2498;

																			BgL_vz00_2498 =
																				((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7));
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_arg1829z00_1858))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_2498),
																				BUNSPEC);
																		}
																	}
																	BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7
																		(BgL_typez00_1855);
																}
															else
																{	/* Cfa/specialize.scm 593 */
																	BFALSE;
																}
														}
													}
												else
													{	/* Cfa/specialize.scm 606 */
														BFALSE;
													}
											}
										else
											{	/* Cfa/specialize.scm 605 */
												if (
													(((obj_t) BgL_t2z00_1827) ==
														BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 609 */
														BUNSPEC;
													}
												else
													{	/* Cfa/specialize.scm 609 */
														if (
															(((obj_t) BgL_t1z00_1826) ==
																BGl_za2brealza2z00zztype_cachez00))
															{	/* Cfa/specialize.scm 611 */
																if (
																	(((obj_t) BgL_t2z00_1827) ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{
																		obj_t BgL_typez00_3368;
																		BgL_appz00_bglt BgL_nodez00_3367;

																		BgL_nodez00_3367 = BgL_nodez00_122;
																		BgL_typez00_3368 =
																			BGl_za2brealza2z00zztype_cachez00;
																		BgL_typez00_1855 = BgL_typez00_3368;
																		BgL_nodez00_1854 = BgL_nodez00_3367;
																		goto BgL_zc3z04anonymousza31827ze3z87_1856;
																	}
																else
																	{	/* Cfa/specialize.scm 612 */
																		BFALSE;
																	}
															}
														else
															{	/* Cfa/specialize.scm 611 */
																if (
																	(((obj_t) BgL_t2z00_1827) ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{	/* Cfa/specialize.scm 615 */
																		BUNSPEC;
																	}
																else
																	{	/* Cfa/specialize.scm 615 */
																		if (
																			(((obj_t) BgL_t2z00_1827) ==
																				BGl_za2bintza2z00zztype_cachez00))
																			{	/* Cfa/specialize.scm 617 */
																				BUNSPEC;
																			}
																		else
																			{	/* Cfa/specialize.scm 617 */
																				if (
																					(((obj_t) BgL_t1z00_1826) ==
																						BGl_za2bcharza2z00zztype_cachez00))
																					{	/* Cfa/specialize.scm 619 */
																						if (
																							(((obj_t) BgL_t2z00_1827) ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{
																								obj_t BgL_typez00_3382;
																								BgL_appz00_bglt
																									BgL_nodez00_3381;
																								BgL_nodez00_3381 =
																									BgL_nodez00_122;
																								BgL_typez00_3382 =
																									BGl_za2bcharza2z00zztype_cachez00;
																								BgL_typez00_1855 =
																									BgL_typez00_3382;
																								BgL_nodez00_1854 =
																									BgL_nodez00_3381;
																								goto
																									BgL_zc3z04anonymousza31827ze3z87_1856;
																							}
																						else
																							{	/* Cfa/specialize.scm 620 */
																								BFALSE;
																							}
																					}
																				else
																					{	/* Cfa/specialize.scm 619 */
																						if (
																							(((obj_t) BgL_t2z00_1827) ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{	/* Cfa/specialize.scm 623 */
																								BUNSPEC;
																							}
																						else
																							{	/* Cfa/specialize.scm 625 */
																								bool_t BgL_test2206z00_3386;

																								if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_1826))
																									{	/* Cfa/specialize.scm 625 */
																										BgL_test2206z00_3386 =
																											BGl_bigloozd2typezf3z21zztype_typez00
																											(BgL_t2z00_1827);
																									}
																								else
																									{	/* Cfa/specialize.scm 625 */
																										BgL_test2206z00_3386 =
																											((bool_t) 0);
																									}
																								if (BgL_test2206z00_3386)
																									{	/* Cfa/specialize.scm 627 */
																										BgL_typez00_bglt
																											BgL_arg1816z00_1842;
																										if ((((obj_t)
																													BgL_t1z00_1826) ==
																												BGl_za2objza2z00zztype_cachez00))
																											{	/* Cfa/specialize.scm 627 */
																												BgL_arg1816z00_1842 =
																													BgL_t2z00_1827;
																											}
																										else
																											{	/* Cfa/specialize.scm 627 */
																												BgL_arg1816z00_1842 =
																													BgL_t1z00_1826;
																											}
																										{
																											obj_t BgL_typez00_3394;
																											BgL_appz00_bglt
																												BgL_nodez00_3393;
																											BgL_nodez00_3393 =
																												BgL_nodez00_122;
																											BgL_typez00_3394 =
																												((obj_t)
																												BgL_arg1816z00_1842);
																											BgL_typez00_1855 =
																												BgL_typez00_3394;
																											BgL_nodez00_1854 =
																												BgL_nodez00_3393;
																											goto
																												BgL_zc3z04anonymousza31827ze3z87_1856;
																										}
																									}
																								else
																									{	/* Cfa/specialize.scm 625 */
																										BUNSPEC;
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
							return BgL_nodez00_122;
						}
					else
						{	/* Cfa/specialize.scm 597 */
							return BgL_nodez00_122;
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 35 */
				obj_t BgL_arg1836z00_1864;
				obj_t BgL_arg1837z00_1865;

				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_v1373z00_1907;

					BgL_v1373z00_1907 = create_vector(((long) 1));
					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_arg1850z00_1908;

						BgL_arg1850z00_1908 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc2060z00zzcfa_specializa7eza7,
							BGl_proc2059z00zzcfa_specializa7eza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 9)));
						VECTOR_SET(BgL_v1373z00_1907, ((long) 0), BgL_arg1850z00_1908);
					}
					BgL_arg1836z00_1864 = BgL_v1373z00_1907;
				}
				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_v1374z00_1918;

					BgL_v1374z00_1918 = create_vector(((long) 0));
					BgL_arg1837z00_1865 = BgL_v1374z00_1918;
				}
				return (BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 10)),
						CNST_TABLE_REF(((long) 11)), BGl_globalz00zzast_varz00,
						((long) 16878), BGl_proc2064z00zzcfa_specializa7eza7,
						BGl_proc2063z00zzcfa_specializa7eza7, BFALSE,
						BGl_proc2062z00zzcfa_specializa7eza7,
						BGl_proc2061z00zzcfa_specializa7eza7, BgL_arg1836z00_1864,
						BgL_arg1837z00_1865), BUNSPEC);
		}}

	}



/* &lambda1846 */
	BgL_globalz00_bglt BGl_z62lambda1846z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_2627, obj_t BgL_o1130z00_2628)
	{
		{	/* Cfa/specialize.scm 35 */
			{	/* Cfa/specialize.scm 35 */
				long BgL_arg1847z00_2745;

				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_arg1848z00_2746;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_arg1849z00_2747;

						{	/* Cfa/specialize.scm 35 */
							long BgL_arg1745z00_2748;

							{	/* Cfa/specialize.scm 35 */
								long BgL_arg1746z00_2749;

								{	/* Cfa/specialize.scm 35 */
									long BgL_res2026z00_2750;

									BgL_res2026z00_2750 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt)
											((BgL_globalz00_bglt) BgL_o1130z00_2628)));
									BgL_arg1746z00_2749 = BgL_res2026z00_2750;
								}
								BgL_arg1745z00_2748 = (BgL_arg1746z00_2749 - OBJECT_TYPE);
							}
							BgL_arg1849z00_2747 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1745z00_2748);
						}
						BgL_arg1848z00_2746 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1849z00_2747);
					}
					{	/* Cfa/specialize.scm 35 */
						long BgL_res2028z00_2751;

						{	/* Cfa/specialize.scm 35 */
							obj_t BgL_tmpz00_3411;

							BgL_tmpz00_3411 = ((obj_t) BgL_arg1848z00_2746);
							BgL_res2028z00_2751 = BGL_CLASS_INDEX(BgL_tmpz00_3411);
						}
						BgL_arg1847z00_2745 = BgL_res2028z00_2751;
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) BgL_o1130z00_2628)), BgL_arg1847z00_2745);
			}
			{	/* Cfa/specialize.scm 35 */
				BgL_objectz00_bglt BgL_tmpz00_3417;

				BgL_tmpz00_3417 =
					((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1130z00_2628));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3417, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1130z00_2628));
			return ((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1130z00_2628));
		}

	}



/* &<@anonymous:1845> */
	obj_t BGl_z62zc3z04anonymousza31845ze3ze5zzcfa_specializa7eza7(obj_t
		BgL_envz00_2629, obj_t BgL_new1129z00_2630)
	{
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_auxz00_3425;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1129z00_2630))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_2630))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3433;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_classz00_2753;

						BgL_classz00_2753 = BGl_typez00zztype_typez00;
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL__ortest_1106z00_2754;

							BgL__ortest_1106z00_2754 = BGL_CLASS_NIL(BgL_classz00_2753);
							if (CBOOL(BgL__ortest_1106z00_2754))
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3433 =
										((BgL_typez00_bglt) BgL__ortest_1106z00_2754);
								}
							else
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3433 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2753));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1129z00_2630))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3433), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_3443;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_classz00_2755;

						BgL_classz00_2755 = BGl_valuez00zzast_varz00;
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL__ortest_1106z00_2756;

							BgL__ortest_1106z00_2756 = BGL_CLASS_NIL(BgL_classz00_2755);
							if (CBOOL(BgL__ortest_1106z00_2756))
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3443 =
										((BgL_valuez00_bglt) BgL__ortest_1106z00_2756);
								}
							else
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3443 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2755));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1129z00_2630))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_3443), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1129z00_2630))))->
						BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_2630))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_2630))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_2630))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_2630))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_2630))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_2630))))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_2630))))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_2630))))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_2630))))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_2630))))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_2630))))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_2630))))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_2630))))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string2065z00zzcfa_specializa7eza7), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_2630))))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_2630))))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3502;

					{
						obj_t BgL_auxz00_3503;

						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_3504;

							BgL_tmpz00_3504 =
								((BgL_objectz00_bglt)
								((BgL_globalz00_bglt) BgL_new1129z00_2630));
							BgL_auxz00_3503 = BGL_OBJECT_WIDENING(BgL_tmpz00_3504);
						}
						BgL_auxz00_3502 =
							((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3503);
					}
					((((BgL_specializa7edzd2globalz75_bglt) COBJECT(BgL_auxz00_3502))->
							BgL_fixz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_3425 = ((BgL_globalz00_bglt) BgL_new1129z00_2630);
				return ((obj_t) BgL_auxz00_3425);
			}
		}

	}



/* &lambda1843 */
	BgL_globalz00_bglt BGl_z62lambda1843z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_2631, obj_t BgL_o1124z00_2632)
	{
		{	/* Cfa/specialize.scm 35 */
			{	/* Cfa/specialize.scm 35 */
				BgL_specializa7edzd2globalz75_bglt BgL_wide1126z00_2758;

				BgL_wide1126z00_2758 =
					((BgL_specializa7edzd2globalz75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_specializa7edzd2globalz75_bgl))));
				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_auxz00_3517;
					BgL_objectz00_bglt BgL_tmpz00_3513;

					BgL_auxz00_3517 = ((obj_t) BgL_wide1126z00_2758);
					BgL_tmpz00_3513 =
						((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1124z00_2632)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3513, BgL_auxz00_3517);
				}
				((BgL_objectz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1124z00_2632)));
				{	/* Cfa/specialize.scm 35 */
					long BgL_arg1844z00_2759;

					{	/* Cfa/specialize.scm 35 */
						long BgL_res2025z00_2760;

						BgL_res2025z00_2760 =
							BGL_CLASS_INDEX
							(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
						BgL_arg1844z00_2759 = BgL_res2025z00_2760;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_o1124z00_2632))),
						BgL_arg1844z00_2759);
				}
				return
					((BgL_globalz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1124z00_2632)));
			}
		}

	}



/* &lambda1838 */
	BgL_globalz00_bglt BGl_z62lambda1838z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_2633, obj_t BgL_id1103z00_2634, obj_t BgL_name1104z00_2635,
		obj_t BgL_type1105z00_2636, obj_t BgL_value1106z00_2637,
		obj_t BgL_access1107z00_2638, obj_t BgL_fastzd2alpha1108zd2_2639,
		obj_t BgL_removable1109z00_2640, obj_t BgL_occurrence1110z00_2641,
		obj_t BgL_occurrencew1111z00_2642, obj_t BgL_userzf31112zf3_2643,
		obj_t BgL_module1113z00_2644, obj_t BgL_import1114z00_2645,
		obj_t BgL_evaluablezf31115zf3_2646, obj_t BgL_evalzf31116zf3_2647,
		obj_t BgL_library1117z00_2648, obj_t BgL_pragma1118z00_2649,
		obj_t BgL_src1119z00_2650, obj_t BgL_jvmzd2typezd2name1120z00_2651,
		obj_t BgL_init1121z00_2652, obj_t BgL_alias1122z00_2653,
		obj_t BgL_fix1123z00_2654)
	{
		{	/* Cfa/specialize.scm 35 */
			{	/* Cfa/specialize.scm 35 */
				long BgL_occurrence1110z00_2764;
				long BgL_occurrencew1111z00_2765;
				bool_t BgL_userzf31112zf3_2766;
				bool_t BgL_evaluablezf31115zf3_2768;
				bool_t BgL_evalzf31116zf3_2769;

				BgL_occurrence1110z00_2764 = (long) CINT(BgL_occurrence1110z00_2641);
				BgL_occurrencew1111z00_2765 = (long) CINT(BgL_occurrencew1111z00_2642);
				BgL_userzf31112zf3_2766 = CBOOL(BgL_userzf31112zf3_2643);
				BgL_evaluablezf31115zf3_2768 = CBOOL(BgL_evaluablezf31115zf3_2646);
				BgL_evalzf31116zf3_2769 = CBOOL(BgL_evalzf31116zf3_2647);
				{	/* Cfa/specialize.scm 35 */
					BgL_globalz00_bglt BgL_new1181z00_2771;

					{	/* Cfa/specialize.scm 35 */
						BgL_globalz00_bglt BgL_tmp1179z00_2772;
						BgL_specializa7edzd2globalz75_bglt BgL_wide1180z00_2773;

						{
							BgL_globalz00_bglt BgL_auxz00_3536;

							{	/* Cfa/specialize.scm 35 */
								BgL_globalz00_bglt BgL_new1178z00_2774;

								BgL_new1178z00_2774 =
									((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Cfa/specialize.scm 35 */
									long BgL_arg1842z00_2775;

									{	/* Cfa/specialize.scm 35 */
										long BgL_res2023z00_2776;

										BgL_res2023z00_2776 =
											BGL_CLASS_INDEX(BGl_globalz00zzast_varz00);
										BgL_arg1842z00_2775 = BgL_res2023z00_2776;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1178z00_2774),
										BgL_arg1842z00_2775);
								}
								{	/* Cfa/specialize.scm 35 */
									BgL_objectz00_bglt BgL_tmpz00_3541;

									BgL_tmpz00_3541 = ((BgL_objectz00_bglt) BgL_new1178z00_2774);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3541, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1178z00_2774);
								BgL_auxz00_3536 = BgL_new1178z00_2774;
							}
							BgL_tmp1179z00_2772 = ((BgL_globalz00_bglt) BgL_auxz00_3536);
						}
						BgL_wide1180z00_2773 =
							((BgL_specializa7edzd2globalz75_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_specializa7edzd2globalz75_bgl))));
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL_auxz00_3549;
							BgL_objectz00_bglt BgL_tmpz00_3547;

							BgL_auxz00_3549 = ((obj_t) BgL_wide1180z00_2773);
							BgL_tmpz00_3547 = ((BgL_objectz00_bglt) BgL_tmp1179z00_2772);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3547, BgL_auxz00_3549);
						}
						((BgL_objectz00_bglt) BgL_tmp1179z00_2772);
						{	/* Cfa/specialize.scm 35 */
							long BgL_arg1841z00_2777;

							{	/* Cfa/specialize.scm 35 */
								long BgL_res2024z00_2778;

								BgL_res2024z00_2778 =
									BGL_CLASS_INDEX
									(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
								BgL_arg1841z00_2777 = BgL_res2024z00_2778;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1179z00_2772),
								BgL_arg1841z00_2777);
						}
						BgL_new1181z00_2771 = ((BgL_globalz00_bglt) BgL_tmp1179z00_2772);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1181z00_2771)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1103z00_2634)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1181z00_2771)))->BgL_namez00) =
						((obj_t) BgL_name1104z00_2635), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1181z00_2771)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1105z00_2636)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1181z00_2771)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1106z00_2637)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1181z00_2771)))->BgL_accessz00) =
						((obj_t) BgL_access1107z00_2638), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1181z00_2771)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1108zd2_2639), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1181z00_2771)))->BgL_removablez00) =
						((obj_t) BgL_removable1109z00_2640), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1181z00_2771)))->BgL_occurrencez00) =
						((long) BgL_occurrence1110z00_2764), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1181z00_2771)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1111z00_2765), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1181z00_2771)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31112zf3_2766), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1181z00_2771)))->BgL_modulez00) =
						((obj_t) ((obj_t) BgL_module1113z00_2644)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1181z00_2771)))->BgL_importz00) =
						((obj_t) BgL_import1114z00_2645), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1181z00_2771)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31115zf3_2768), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1181z00_2771)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31116zf3_2769), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1181z00_2771)))->BgL_libraryz00) =
						((obj_t) BgL_library1117z00_2648), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1181z00_2771)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1118z00_2649), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1181z00_2771)))->BgL_srcz00) =
						((obj_t) BgL_src1119z00_2650), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1181z00_2771)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) ((obj_t) BgL_jvmzd2typezd2name1120z00_2651)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1181z00_2771)))->BgL_initz00) =
						((obj_t) BgL_init1121z00_2652), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1181z00_2771)))->BgL_aliasz00) =
						((obj_t) BgL_alias1122z00_2653), BUNSPEC);
					{
						BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3602;

						{
							obj_t BgL_auxz00_3603;

							{	/* Cfa/specialize.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_3604;

								BgL_tmpz00_3604 = ((BgL_objectz00_bglt) BgL_new1181z00_2771);
								BgL_auxz00_3603 = BGL_OBJECT_WIDENING(BgL_tmpz00_3604);
							}
							BgL_auxz00_3602 =
								((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3603);
						}
						((((BgL_specializa7edzd2globalz75_bglt) COBJECT(BgL_auxz00_3602))->
								BgL_fixz00) = ((obj_t) BgL_fix1123z00_2654), BUNSPEC);
					}
					return BgL_new1181z00_2771;
				}
			}
		}

	}



/* &lambda1855 */
	obj_t BGl_z62lambda1855z62zzcfa_specializa7eza7(obj_t BgL_envz00_2655,
		obj_t BgL_oz00_2656, obj_t BgL_vz00_2657)
	{
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3609;

				{
					obj_t BgL_auxz00_3610;

					{	/* Cfa/specialize.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_3611;

						BgL_tmpz00_3611 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_2656));
						BgL_auxz00_3610 = BGL_OBJECT_WIDENING(BgL_tmpz00_3611);
					}
					BgL_auxz00_3609 =
						((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3610);
				}
				return
					((((BgL_specializa7edzd2globalz75_bglt) COBJECT(BgL_auxz00_3609))->
						BgL_fixz00) = ((obj_t) BgL_vz00_2657), BUNSPEC);
			}
		}

	}



/* &lambda1854 */
	obj_t BGl_z62lambda1854z62zzcfa_specializa7eza7(obj_t BgL_envz00_2658,
		obj_t BgL_oz00_2659)
	{
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3617;

				{
					obj_t BgL_auxz00_3618;

					{	/* Cfa/specialize.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_3619;

						BgL_tmpz00_3619 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_2659));
						BgL_auxz00_3618 = BGL_OBJECT_WIDENING(BgL_tmpz00_3619);
					}
					BgL_auxz00_3617 =
						((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3618);
				}
				return
					(((BgL_specializa7edzd2globalz75_bglt) COBJECT(BgL_auxz00_3617))->
					BgL_fixz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 19 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_proc2066z00zzcfa_specializa7eza7, BGl_nodez00zzast_nodez00,
				BGl_string2067z00zzcfa_specializa7eza7);
		}

	}



/* &patch!1375 */
	obj_t BGl_z62patchz121375z70zzcfa_specializa7eza7(obj_t BgL_envz00_2661,
		obj_t BgL_nodez00_2662)
	{
		{	/* Cfa/specialize.scm 326 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 13)),
				BGl_string2068z00zzcfa_specializa7eza7,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2662)));
		}

	}



/* patch! */
	obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt BgL_nodez00_97)
	{
		{	/* Cfa/specialize.scm 326 */
			{	/* Cfa/specialize.scm 326 */
				obj_t BgL_method1376z00_1927;

				{	/* Cfa/specialize.scm 326 */
					obj_t BgL_res2039z00_2589;

					{	/* Cfa/specialize.scm 326 */
						long BgL_objzd2classzd2numz00_2554;

						{	/* Cfa/specialize.scm 326 */
							long BgL_res2029z00_2557;

							BgL_res2029z00_2557 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_97));
							BgL_objzd2classzd2numz00_2554 = BgL_res2029z00_2557;
						}
						{	/* Cfa/specialize.scm 326 */
							obj_t BgL_arg1742z00_2555;

							BgL_arg1742z00_2555 =
								PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
								(int) (((long) 1)));
							{	/* Cfa/specialize.scm 326 */
								int BgL_offsetz00_2559;

								BgL_offsetz00_2559 = (int) (BgL_objzd2classzd2numz00_2554);
								{	/* Cfa/specialize.scm 326 */
									long BgL_offsetz00_2560;

									BgL_offsetz00_2560 =
										((long) (BgL_offsetz00_2559) - OBJECT_TYPE);
									{	/* Cfa/specialize.scm 326 */
										long BgL_modz00_2561;

										BgL_modz00_2561 =
											(BgL_offsetz00_2560 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/specialize.scm 326 */
											long BgL_restz00_2563;

											BgL_restz00_2563 =
												(BgL_offsetz00_2560 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/specialize.scm 326 */

												{	/* Cfa/specialize.scm 326 */
													obj_t BgL_bucketz00_2565;

													BgL_bucketz00_2565 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_2555), BgL_modz00_2561);
													BgL_res2039z00_2589 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2565), BgL_restz00_2563);
					}}}}}}}}
					BgL_method1376z00_1927 = BgL_res2039z00_2589;
				}
				return
					PROCEDURE_ENTRY(BgL_method1376z00_1927) (BgL_method1376z00_1927,
					((obj_t) BgL_nodez00_97), BEOA);
			}
		}

	}



/* &patch! */
	obj_t BGl_z62patchz12z70zzcfa_specializa7eza7(obj_t BgL_envz00_2663,
		obj_t BgL_nodez00_2664)
	{
		{	/* Cfa/specialize.scm 326 */
			return
				BGl_patchz12z12zzcfa_specializa7eza7(
				((BgL_nodez00_bglt) BgL_nodez00_2664));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 19 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_atomz00zzast_nodez00,
				BGl_proc2069z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_kwotez00zzast_nodez00,
				BGl_proc2071z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_varz00zzast_nodez00,
				BGl_proc2072z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_closurez00zzast_nodez00, BGl_proc2073z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_sequencez00zzast_nodez00, BGl_proc2074z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_syncz00zzast_nodez00,
				BGl_proc2075z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2076z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_funcallz00zzast_nodez00, BGl_proc2077z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_externz00zzast_nodez00,
				BGl_proc2078z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_castz00zzast_nodez00,
				BGl_proc2079z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_setqz00zzast_nodez00,
				BGl_proc2080z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc2081z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_failz00zzast_nodez00,
				BGl_proc2082z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_switchz00zzast_nodez00,
				BGl_proc2083z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2084z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2085z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2086z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2087z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2088z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2089z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2090z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_appz00zzast_nodez00,
				BGl_proc2091z00zzcfa_specializa7eza7,
				BGl_string2070z00zzcfa_specializa7eza7);
		}

	}



/* &patch!-app1423 */
	obj_t BGl_z62patchz12zd2app1423za2zzcfa_specializa7eza7(obj_t BgL_envz00_2687,
		obj_t BgL_nodez00_2688)
	{
		{	/* Cfa/specialize.scm 537 */
			{
				BgL_appz00_bglt BgL_auxz00_3684;

				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2688)))->BgL_argsz00));
				{
					BgL_varz00_bglt BgL_auxz00_3688;

					{	/* Cfa/specialize.scm 540 */
						BgL_varz00_bglt BgL_arg1924z00_2783;

						BgL_arg1924z00_2783 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_2688)))->BgL_funz00);
						BgL_auxz00_3688 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg1924z00_2783)));
					}
					((((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_2688)))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_3688), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 541 */
					BgL_variablez00_bglt BgL_vz00_2784;

					BgL_vz00_2784 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2688)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Cfa/specialize.scm 543 */
						bool_t BgL_test2211z00_3699;

						{	/* Cfa/specialize.scm 543 */
							bool_t BgL_res2043z00_2785;

							BgL_res2043z00_2785 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_vz00_2784),
								BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
							BgL_test2211z00_3699 = BgL_res2043z00_2785;
						}
						if (BgL_test2211z00_3699)
							{	/* Cfa/specialize.scm 543 */
								BgL_auxz00_3684 =
									BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(
									((BgL_appz00_bglt) BgL_nodez00_2688));
							}
						else
							{	/* Cfa/specialize.scm 543 */
								BgL_auxz00_3684 = ((BgL_appz00_bglt) BgL_nodez00_2688);
							}
					}
				}
				return ((obj_t) BgL_auxz00_3684);
			}
		}

	}



/* &patch!-box-ref1421 */
	obj_t BGl_z62patchz12zd2boxzd2ref1421z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_2689, obj_t BgL_nodez00_2690)
	{
		{	/* Cfa/specialize.scm 518 */
			{
				BgL_boxzd2refzd2_bglt BgL_auxz00_3706;

				{
					BgL_varz00_bglt BgL_auxz00_3707;

					{	/* Cfa/specialize.scm 520 */
						BgL_varz00_bglt BgL_arg1922z00_2787;

						BgL_arg1922z00_2787 =
							(((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_2690)))->BgL_varz00);
						BgL_auxz00_3707 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg1922z00_2787)));
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_2690)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3707), BUNSPEC);
				}
				BgL_auxz00_3706 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2690);
				return ((obj_t) BgL_auxz00_3706);
			}
		}

	}



/* &patch!-box-set!1419 */
	obj_t BGl_z62patchz12zd2boxzd2setz121419z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_2691, obj_t BgL_nodez00_2692)
	{
		{	/* Cfa/specialize.scm 509 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_auxz00_3717;

				{
					BgL_varz00_bglt BgL_auxz00_3718;

					{	/* Cfa/specialize.scm 511 */
						BgL_varz00_bglt BgL_arg1920z00_2789;

						BgL_arg1920z00_2789 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2692)))->BgL_varz00);
						BgL_auxz00_3718 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg1920z00_2789)));
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2692)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3718), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3726;

					{	/* Cfa/specialize.scm 512 */
						BgL_nodez00_bglt BgL_arg1921z00_2790;

						BgL_arg1921z00_2790 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2692)))->
							BgL_valuez00);
						BgL_auxz00_3726 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1921z00_2790));
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2692)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3726), BUNSPEC);
				}
				BgL_auxz00_3717 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2692);
				return ((obj_t) BgL_auxz00_3717);
			}
		}

	}



/* &patch!-make-box1417 */
	obj_t BGl_z62patchz12zd2makezd2box1417z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_2693, obj_t BgL_nodez00_2694)
	{
		{	/* Cfa/specialize.scm 501 */
			{
				BgL_makezd2boxzd2_bglt BgL_auxz00_3735;

				{
					BgL_nodez00_bglt BgL_auxz00_3736;

					{	/* Cfa/specialize.scm 503 */
						BgL_nodez00_bglt BgL_arg1919z00_2792;

						BgL_arg1919z00_2792 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_2694)))->BgL_valuez00);
						BgL_auxz00_3736 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1919z00_2792));
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_2694)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3736), BUNSPEC);
				}
				BgL_auxz00_3735 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2694);
				return ((obj_t) BgL_auxz00_3735);
			}
		}

	}



/* &patch!-jump-ex-it1415 */
	obj_t BGl_z62patchz12zd2jumpzd2exzd2it1415za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2695, obj_t BgL_nodez00_2696)
	{
		{	/* Cfa/specialize.scm 492 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_3745;

				{
					BgL_nodez00_bglt BgL_auxz00_3746;

					{	/* Cfa/specialize.scm 494 */
						BgL_nodez00_bglt BgL_arg1916z00_2794;

						BgL_arg1916z00_2794 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2696)))->
							BgL_exitz00);
						BgL_auxz00_3746 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1916z00_2794));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2696)))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3746), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3753;

					{	/* Cfa/specialize.scm 495 */
						BgL_nodez00_bglt BgL_arg1917z00_2795;

						BgL_arg1917z00_2795 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2696)))->
							BgL_valuez00);
						BgL_auxz00_3753 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1917z00_2795));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2696)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3753), BUNSPEC);
				}
				BgL_auxz00_3745 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2696);
				return ((obj_t) BgL_auxz00_3745);
			}
		}

	}



/* &patch!-set-ex-it1413 */
	obj_t BGl_z62patchz12zd2setzd2exzd2it1413za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2697, obj_t BgL_nodez00_2698)
	{
		{	/* Cfa/specialize.scm 483 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_auxz00_3762;

				{
					BgL_nodez00_bglt BgL_auxz00_3763;

					{	/* Cfa/specialize.scm 485 */
						BgL_nodez00_bglt BgL_arg1914z00_2797;

						BgL_arg1914z00_2797 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2698)))->
							BgL_bodyz00);
						BgL_auxz00_3763 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1914z00_2797));
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2698)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3763), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 486 */
					BgL_varz00_bglt BgL_arg1915z00_2798;

					BgL_arg1915z00_2798 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2698)))->BgL_varz00);
					BGl_patchz12z12zzcfa_specializa7eza7(
						((BgL_nodez00_bglt) BgL_arg1915z00_2798));
				}
				BgL_auxz00_3762 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2698);
				return ((obj_t) BgL_auxz00_3762);
			}
		}

	}



/* &patch!-let-var1411 */
	obj_t BGl_z62patchz12zd2letzd2var1411z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_2699, obj_t BgL_nodez00_2700)
	{
		{	/* Cfa/specialize.scm 468 */
			{
				BgL_letzd2varzd2_bglt BgL_auxz00_3776;

				{	/* Cfa/specialize.scm 470 */
					obj_t BgL_g1372z00_2800;

					BgL_g1372z00_2800 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2700)))->BgL_bindingsz00);
					{
						obj_t BgL_l1370z00_2802;

						BgL_l1370z00_2802 = BgL_g1372z00_2800;
					BgL_zc3z04anonymousza31906ze3z87_2801:
						if (PAIRP(BgL_l1370z00_2802))
							{	/* Cfa/specialize.scm 470 */
								{	/* Cfa/specialize.scm 471 */
									obj_t BgL_bindingz00_2803;

									BgL_bindingz00_2803 = CAR(BgL_l1370z00_2802);
									{	/* Cfa/specialize.scm 471 */
										obj_t BgL_valz00_2804;

										BgL_valz00_2804 = CDR(((obj_t) BgL_bindingz00_2803));
										{	/* Cfa/specialize.scm 472 */
											obj_t BgL_arg1908z00_2805;

											BgL_arg1908z00_2805 =
												BGl_patchz12z12zzcfa_specializa7eza7(
												((BgL_nodez00_bglt) BgL_valz00_2804));
											{	/* Cfa/specialize.scm 472 */
												obj_t BgL_tmpz00_3786;

												BgL_tmpz00_3786 = ((obj_t) BgL_bindingz00_2803);
												SET_CDR(BgL_tmpz00_3786, BgL_arg1908z00_2805);
											}
										}
									}
								}
								{
									obj_t BgL_l1370z00_3789;

									BgL_l1370z00_3789 = CDR(BgL_l1370z00_2802);
									BgL_l1370z00_2802 = BgL_l1370z00_3789;
									goto BgL_zc3z04anonymousza31906ze3z87_2801;
								}
							}
						else
							{	/* Cfa/specialize.scm 470 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3791;

					{	/* Cfa/specialize.scm 474 */
						BgL_nodez00_bglt BgL_arg1910z00_2806;

						BgL_arg1910z00_2806 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2700)))->BgL_bodyz00);
						BgL_auxz00_3791 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1910z00_2806));
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2700)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3791), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 475 */
					bool_t BgL_test2213z00_3798;

					{	/* Cfa/specialize.scm 475 */
						BgL_typez00_bglt BgL_arg1913z00_2807;

						BgL_arg1913z00_2807 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2700))))->BgL_typez00);
						BgL_test2213z00_3798 =
							(
							((obj_t) BgL_arg1913z00_2807) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_test2213z00_3798)
						{	/* Cfa/specialize.scm 475 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2700))))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt)
													BgL_nodez00_2700))))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
												(BgL_letzd2varzd2_bglt) BgL_nodez00_2700)),
										((bool_t) 0))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 475 */
							BFALSE;
						}
				}
				BgL_auxz00_3776 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2700);
				return ((obj_t) BgL_auxz00_3776);
			}
		}

	}



/* &patch!-let-fun1409 */
	obj_t BGl_z62patchz12zd2letzd2fun1409z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_2701, obj_t BgL_nodez00_2702)
	{
		{	/* Cfa/specialize.scm 456 */
			{
				BgL_letzd2funzd2_bglt BgL_auxz00_3816;

				{	/* Cfa/specialize.scm 458 */
					obj_t BgL_g1369z00_2809;

					BgL_g1369z00_2809 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2702)))->BgL_localsz00);
					{
						obj_t BgL_l1367z00_2811;

						BgL_l1367z00_2811 = BgL_g1369z00_2809;
					BgL_zc3z04anonymousza31898ze3z87_2810:
						if (PAIRP(BgL_l1367z00_2811))
							{	/* Cfa/specialize.scm 458 */
								BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR
									(BgL_l1367z00_2811));
								{
									obj_t BgL_l1367z00_3823;

									BgL_l1367z00_3823 = CDR(BgL_l1367z00_2811);
									BgL_l1367z00_2811 = BgL_l1367z00_3823;
									goto BgL_zc3z04anonymousza31898ze3z87_2810;
								}
							}
						else
							{	/* Cfa/specialize.scm 458 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3825;

					{	/* Cfa/specialize.scm 459 */
						BgL_nodez00_bglt BgL_arg1902z00_2812;

						BgL_arg1902z00_2812 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2702)))->BgL_bodyz00);
						BgL_auxz00_3825 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1902z00_2812));
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2702)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3825), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 460 */
					bool_t BgL_test2215z00_3832;

					{	/* Cfa/specialize.scm 460 */
						BgL_typez00_bglt BgL_arg1905z00_2813;

						BgL_arg1905z00_2813 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_nodez00_2702))))->BgL_typez00);
						BgL_test2215z00_3832 =
							(
							((obj_t) BgL_arg1905z00_2813) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_test2215z00_3832)
						{	/* Cfa/specialize.scm 460 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_letzd2funzd2_bglt) BgL_nodez00_2702))))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt)
													BgL_nodez00_2702))))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
												(BgL_letzd2funzd2_bglt) BgL_nodez00_2702)),
										((bool_t) 0))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 460 */
							BFALSE;
						}
				}
				BgL_auxz00_3816 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2702);
				return ((obj_t) BgL_auxz00_3816);
			}
		}

	}



/* &patch!-switch1407 */
	obj_t BGl_z62patchz12zd2switch1407za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2703, obj_t BgL_nodez00_2704)
	{
		{	/* Cfa/specialize.scm 445 */
			{
				BgL_switchz00_bglt BgL_auxz00_3850;

				{
					BgL_nodez00_bglt BgL_auxz00_3851;

					{	/* Cfa/specialize.scm 447 */
						BgL_nodez00_bglt BgL_arg1892z00_2815;

						BgL_arg1892z00_2815 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2704)))->BgL_testz00);
						BgL_auxz00_3851 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1892z00_2815));
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2704)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3851), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 448 */
					obj_t BgL_g1366z00_2816;

					BgL_g1366z00_2816 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2704)))->BgL_clausesz00);
					{
						obj_t BgL_l1364z00_2818;

						BgL_l1364z00_2818 = BgL_g1366z00_2816;
					BgL_zc3z04anonymousza31893ze3z87_2817:
						if (PAIRP(BgL_l1364z00_2818))
							{	/* Cfa/specialize.scm 448 */
								{	/* Cfa/specialize.scm 449 */
									obj_t BgL_clausez00_2819;

									BgL_clausez00_2819 = CAR(BgL_l1364z00_2818);
									{	/* Cfa/specialize.scm 449 */
										obj_t BgL_arg1895z00_2820;

										{	/* Cfa/specialize.scm 449 */
											obj_t BgL_arg1896z00_2821;

											BgL_arg1896z00_2821 = CDR(((obj_t) BgL_clausez00_2819));
											BgL_arg1895z00_2820 =
												BGl_patchz12z12zzcfa_specializa7eza7(
												((BgL_nodez00_bglt) BgL_arg1896z00_2821));
										}
										{	/* Cfa/specialize.scm 449 */
											obj_t BgL_tmpz00_3867;

											BgL_tmpz00_3867 = ((obj_t) BgL_clausez00_2819);
											SET_CDR(BgL_tmpz00_3867, BgL_arg1895z00_2820);
										}
									}
								}
								{
									obj_t BgL_l1364z00_3870;

									BgL_l1364z00_3870 = CDR(BgL_l1364z00_2818);
									BgL_l1364z00_2818 = BgL_l1364z00_3870;
									goto BgL_zc3z04anonymousza31893ze3z87_2817;
								}
							}
						else
							{	/* Cfa/specialize.scm 448 */
								((bool_t) 1);
							}
					}
				}
				BgL_auxz00_3850 = ((BgL_switchz00_bglt) BgL_nodez00_2704);
				return ((obj_t) BgL_auxz00_3850);
			}
		}

	}



/* &patch!-fail1405 */
	obj_t BGl_z62patchz12zd2fail1405za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2705, obj_t BgL_nodez00_2706)
	{
		{	/* Cfa/specialize.scm 435 */
			{
				BgL_failz00_bglt BgL_auxz00_3874;

				{
					BgL_nodez00_bglt BgL_auxz00_3875;

					{	/* Cfa/specialize.scm 437 */
						BgL_nodez00_bglt BgL_arg1888z00_2823;

						BgL_arg1888z00_2823 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2706)))->BgL_procz00);
						BgL_auxz00_3875 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1888z00_2823));
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2706)))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3875), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3882;

					{	/* Cfa/specialize.scm 438 */
						BgL_nodez00_bglt BgL_arg1889z00_2824;

						BgL_arg1889z00_2824 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2706)))->BgL_msgz00);
						BgL_auxz00_3882 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1889z00_2824));
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2706)))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3882), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3889;

					{	/* Cfa/specialize.scm 439 */
						BgL_nodez00_bglt BgL_arg1891z00_2825;

						BgL_arg1891z00_2825 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2706)))->BgL_objz00);
						BgL_auxz00_3889 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1891z00_2825));
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2706)))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3889), BUNSPEC);
				}
				BgL_auxz00_3874 = ((BgL_failz00_bglt) BgL_nodez00_2706);
				return ((obj_t) BgL_auxz00_3874);
			}
		}

	}



/* &patch!-conditional1403 */
	obj_t BGl_z62patchz12zd2conditional1403za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2707, obj_t BgL_nodez00_2708)
	{
		{	/* Cfa/specialize.scm 422 */
			{
				BgL_conditionalz00_bglt BgL_auxz00_3898;

				{
					BgL_nodez00_bglt BgL_auxz00_3899;

					{	/* Cfa/specialize.scm 424 */
						BgL_nodez00_bglt BgL_arg1881z00_2827;

						BgL_arg1881z00_2827 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2708)))->BgL_testz00);
						BgL_auxz00_3899 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1881z00_2827));
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2708)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3899), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3906;

					{	/* Cfa/specialize.scm 425 */
						BgL_nodez00_bglt BgL_arg1882z00_2828;

						BgL_arg1882z00_2828 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2708)))->BgL_truez00);
						BgL_auxz00_3906 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1882z00_2828));
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2708)))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3906), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3913;

					{	/* Cfa/specialize.scm 426 */
						BgL_nodez00_bglt BgL_arg1883z00_2829;

						BgL_arg1883z00_2829 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2708)))->BgL_falsez00);
						BgL_auxz00_3913 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1883z00_2829));
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2708)))->
							BgL_falsez00) = ((BgL_nodez00_bglt) BgL_auxz00_3913), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 427 */
					bool_t BgL_test2217z00_3920;

					{	/* Cfa/specialize.scm 427 */
						BgL_typez00_bglt BgL_arg1886z00_2830;

						BgL_arg1886z00_2830 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_conditionalz00_bglt) BgL_nodez00_2708))))->
							BgL_typez00);
						BgL_test2217z00_3920 =
							(((obj_t) BgL_arg1886z00_2830) ==
							BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_test2217z00_3920)
						{	/* Cfa/specialize.scm 427 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_conditionalz00_bglt) BgL_nodez00_2708))))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt)
													BgL_nodez00_2708))))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
												(BgL_conditionalz00_bglt) BgL_nodez00_2708)),
										((bool_t) 0))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 427 */
							BFALSE;
						}
				}
				BgL_auxz00_3898 = ((BgL_conditionalz00_bglt) BgL_nodez00_2708);
				return ((obj_t) BgL_auxz00_3898);
			}
		}

	}



/* &patch!-setq1399 */
	obj_t BGl_z62patchz12zd2setq1399za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2709, obj_t BgL_nodez00_2710)
	{
		{	/* Cfa/specialize.scm 413 */
			{
				BgL_setqz00_bglt BgL_auxz00_3938;

				{
					BgL_nodez00_bglt BgL_auxz00_3939;

					{	/* Cfa/specialize.scm 415 */
						BgL_nodez00_bglt BgL_arg1879z00_2832;

						BgL_arg1879z00_2832 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_2710)))->BgL_valuez00);
						BgL_auxz00_3939 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1879z00_2832));
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_2710)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3939), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_3946;

					{	/* Cfa/specialize.scm 416 */
						BgL_varz00_bglt BgL_arg1880z00_2833;

						BgL_arg1880z00_2833 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_2710)))->BgL_varz00);
						BgL_auxz00_3946 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg1880z00_2833)));
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_2710)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3946), BUNSPEC);
				}
				BgL_auxz00_3938 = ((BgL_setqz00_bglt) BgL_nodez00_2710);
				return ((obj_t) BgL_auxz00_3938);
			}
		}

	}



/* &patch!-cast1397 */
	obj_t BGl_z62patchz12zd2cast1397za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2711, obj_t BgL_nodez00_2712)
	{
		{	/* Cfa/specialize.scm 405 */
			{
				BgL_castz00_bglt BgL_auxz00_3956;

				BGl_patchz12z12zzcfa_specializa7eza7(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2712)))->BgL_argz00));
				BgL_auxz00_3956 = ((BgL_castz00_bglt) BgL_nodez00_2712);
				return ((obj_t) BgL_auxz00_3956);
			}
		}

	}



/* &patch!-extern1395 */
	obj_t BGl_z62patchz12zd2extern1395za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2713, obj_t BgL_nodez00_2714)
	{
		{	/* Cfa/specialize.scm 397 */
			{
				BgL_externz00_bglt BgL_auxz00_3962;

				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2714)))->BgL_exprza2za2));
				BgL_auxz00_3962 = ((BgL_externz00_bglt) BgL_nodez00_2714);
				return ((obj_t) BgL_auxz00_3962);
			}
		}

	}



/* &patch!-funcall1393 */
	obj_t BGl_z62patchz12zd2funcall1393za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2715, obj_t BgL_nodez00_2716)
	{
		{	/* Cfa/specialize.scm 388 */
			{
				BgL_funcallz00_bglt BgL_auxz00_3968;

				{
					BgL_nodez00_bglt BgL_auxz00_3969;

					{	/* Cfa/specialize.scm 390 */
						BgL_nodez00_bglt BgL_arg1875z00_2837;

						BgL_arg1875z00_2837 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2716)))->BgL_funz00);
						BgL_auxz00_3969 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1875z00_2837));
					}
					((((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2716)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3969), BUNSPEC);
				}
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2716)))->BgL_argsz00));
				BgL_auxz00_3968 = ((BgL_funcallz00_bglt) BgL_nodez00_2716);
				return ((obj_t) BgL_auxz00_3968);
			}
		}

	}



/* &patch!-app-ly1391 */
	obj_t BGl_z62patchz12zd2appzd2ly1391z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_2717, obj_t BgL_nodez00_2718)
	{
		{	/* Cfa/specialize.scm 379 */
			{
				BgL_appzd2lyzd2_bglt BgL_auxz00_3981;

				{
					BgL_nodez00_bglt BgL_auxz00_3982;

					{	/* Cfa/specialize.scm 381 */
						BgL_nodez00_bglt BgL_arg1873z00_2839;

						BgL_arg1873z00_2839 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2718)))->BgL_funz00);
						BgL_auxz00_3982 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1873z00_2839));
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2718)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3982), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3989;

					{	/* Cfa/specialize.scm 382 */
						BgL_nodez00_bglt BgL_arg1874z00_2840;

						BgL_arg1874z00_2840 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2718)))->BgL_argz00);
						BgL_auxz00_3989 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1874z00_2840));
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2718)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3989), BUNSPEC);
				}
				BgL_auxz00_3981 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2718);
				return ((obj_t) BgL_auxz00_3981);
			}
		}

	}



/* &patch!-sync1389 */
	obj_t BGl_z62patchz12zd2sync1389za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2719, obj_t BgL_nodez00_2720)
	{
		{	/* Cfa/specialize.scm 366 */
			{
				BgL_syncz00_bglt BgL_auxz00_3998;

				{
					BgL_nodez00_bglt BgL_auxz00_3999;

					{	/* Cfa/specialize.scm 368 */
						BgL_nodez00_bglt BgL_arg1865z00_2842;

						BgL_arg1865z00_2842 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_2720)))->BgL_mutexz00);
						BgL_auxz00_3999 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1865z00_2842));
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_2720)))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3999), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4006;

					{	/* Cfa/specialize.scm 369 */
						BgL_nodez00_bglt BgL_arg1866z00_2843;

						BgL_arg1866z00_2843 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_2720)))->BgL_prelockz00);
						BgL_auxz00_4006 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1866z00_2843));
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_2720)))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4006), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4013;

					{	/* Cfa/specialize.scm 370 */
						BgL_nodez00_bglt BgL_arg1868z00_2844;

						BgL_arg1868z00_2844 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_2720)))->BgL_bodyz00);
						BgL_auxz00_4013 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1868z00_2844));
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_2720)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4013), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 371 */
					bool_t BgL_test2218z00_4020;

					{	/* Cfa/specialize.scm 371 */
						BgL_typez00_bglt BgL_arg1872z00_2845;

						BgL_arg1872z00_2845 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_syncz00_bglt) BgL_nodez00_2720))))->BgL_typez00);
						BgL_test2218z00_4020 =
							(
							((obj_t) BgL_arg1872z00_2845) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_test2218z00_4020)
						{	/* Cfa/specialize.scm 371 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_syncz00_bglt) BgL_nodez00_2720))))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_syncz00_bglt)
													BgL_nodez00_2720))))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
												(BgL_syncz00_bglt) BgL_nodez00_2720)), ((bool_t) 0))),
								BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 371 */
							BFALSE;
						}
				}
				BgL_auxz00_3998 = ((BgL_syncz00_bglt) BgL_nodez00_2720);
				return ((obj_t) BgL_auxz00_3998);
			}
		}

	}



/* &patch!-sequence1387 */
	obj_t BGl_z62patchz12zd2sequence1387za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2721, obj_t BgL_nodez00_2722)
	{
		{	/* Cfa/specialize.scm 355 */
			{
				BgL_sequencez00_bglt BgL_auxz00_4038;

				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2722)))->BgL_nodesz00));
				{	/* Cfa/specialize.scm 358 */
					bool_t BgL_test2219z00_4042;

					{	/* Cfa/specialize.scm 358 */
						BgL_typez00_bglt BgL_arg1863z00_2847;

						BgL_arg1863z00_2847 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_sequencez00_bglt) BgL_nodez00_2722))))->BgL_typez00);
						BgL_test2219z00_4042 =
							(
							((obj_t) BgL_arg1863z00_2847) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_test2219z00_4042)
						{	/* Cfa/specialize.scm 358 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_sequencez00_bglt) BgL_nodez00_2722))))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_sequencez00_bglt)
													BgL_nodez00_2722))))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
												(BgL_sequencez00_bglt) BgL_nodez00_2722)),
										((bool_t) 0))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 358 */
							BFALSE;
						}
				}
				BgL_auxz00_4038 = ((BgL_sequencez00_bglt) BgL_nodez00_2722);
				return ((obj_t) BgL_auxz00_4038);
			}
		}

	}



/* &patch!-closure1385 */
	obj_t BGl_z62patchz12zd2closure1385za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2723, obj_t BgL_nodez00_2724)
	{
		{	/* Cfa/specialize.scm 349 */
			{	/* Cfa/specialize.scm 350 */
				obj_t BgL_arg1858z00_2849;

				BgL_arg1858z00_2849 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2724)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2070z00zzcfa_specializa7eza7,
					BGl_string2092z00zzcfa_specializa7eza7, BgL_arg1858z00_2849);
			}
		}

	}



/* &patch!-var1383 */
	obj_t BGl_z62patchz12zd2var1383za2zzcfa_specializa7eza7(obj_t BgL_envz00_2725,
		obj_t BgL_nodez00_2726)
	{
		{	/* Cfa/specialize.scm 343 */
			return ((obj_t) ((BgL_varz00_bglt) BgL_nodez00_2726));
		}

	}



/* &patch!-kwote1380 */
	obj_t BGl_z62patchz12zd2kwote1380za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2727, obj_t BgL_nodez00_2728)
	{
		{	/* Cfa/specialize.scm 337 */
			return ((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_2728));
		}

	}



/* &patch!-atom1378 */
	obj_t BGl_z62patchz12zd2atom1378za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2729, obj_t BgL_nodez00_2730)
	{
		{	/* Cfa/specialize.scm 331 */
			return ((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_2730));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7()
	{
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2093z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 476633989),
				BSTRING_TO_STRING(BGl_string2093z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2093z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2093z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2093z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2093z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2093z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2093z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2093z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2093z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string2093z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2093z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string2093z00zzcfa_specializa7eza7));
			return
				BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string2093z00zzcfa_specializa7eza7));
		}

	}

#ifdef __cplusplus
}
#endif
