/*===========================================================================*/
/*   (Integrate/node.scm)                                                    */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 11 May 2020 12:14:39 PM CEST    */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3h -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/node.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
		obj_t BgL_xhdlz00;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	static obj_t BGl_z62integratezd2celledzf3z43zzintegrate_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12z70zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t
		BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2conditional1336za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzintegrate_nodez00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_localz00_bglt
		BGl_cellzd2variablezd2zzintegrate_nodez00(BgL_localz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2appzd2ly1325z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzintegrate_nodez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_nodez00();
	static obj_t BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2extern1329za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_cellzd2formalszd2zzintegrate_nodez00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2setzd2exzd2it1346za2zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2funcall1327za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2cast1331za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2setq1334za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt);
	static obj_t BGl_gloza2z12zb0zzintegrate_nodez00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_nodez00();
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2ref1352z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2setz121354z62zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2makezd2box1350z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2app1323za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_nodez00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_gloz12z12zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzintegrate_nodez00();
	static BgL_nodez00_bglt BGl_z62gloz12zd2atom1311za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_nodez00();
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	extern obj_t BGl_sfunzf2Iinfozf2zzintegrate_infoz00;
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2fun1342z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62gloz121308z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2switch1340za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2kwote1313za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00;
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2var1344z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2sync1321za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2closure1317za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2fail1338za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzintegrate_nodez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_nodez00();
	static obj_t BGl_celledzd2bindingszd2zzintegrate_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2var1315za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it1348za2zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static obj_t
		BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_localz00_bglt,
		BgL_variablez00_bglt);
	static BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2sequence1319za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[5];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_gloz12zd2envzc0zzintegrate_nodez00,
		BgL_bgl_za762gloza712za770za7za7in1981za7,
		BGl_z62gloz12z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1941z00zzintegrate_nodez00,
		BgL_bgl_za762gloza7121308za7701982za7,
		BGl_z62gloz121308z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1944z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2atom1983za7,
		BGl_z62gloz12zd2atom1311za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1946z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2kwot1984za7,
		BGl_z62gloz12zd2kwote1313za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1947z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2var11985za7,
		BGl_z62gloz12zd2var1315za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1948z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2clos1986za7,
		BGl_z62gloz12zd2closure1317za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1949z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2sequ1987za7,
		BGl_z62gloz12zd2sequence1319za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1950z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2sync1988za7,
		BGl_z62gloz12zd2sync1321za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1951z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2app11989za7,
		BGl_z62gloz12zd2app1323za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1952z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2appza71990z00,
		BGl_z62gloz12zd2appzd2ly1325z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1953z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2func1991za7,
		BGl_z62gloz12zd2funcall1327za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1954z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2exte1992za7,
		BGl_z62gloz12zd2extern1329za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1955z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2cast1993za7,
		BGl_z62gloz12zd2cast1331za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1956z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2setq1994za7,
		BGl_z62gloz12zd2setq1334za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1957z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2cond1995za7,
		BGl_z62gloz12zd2conditional1336za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1958z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2fail1996za7,
		BGl_z62gloz12zd2fail1338za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1959z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2swit1997za7,
		BGl_z62gloz12zd2switch1340za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1960z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2letza71998z00,
		BGl_z62gloz12zd2letzd2fun1342z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1961z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2letza71999z00,
		BGl_z62gloz12zd2letzd2var1344z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1962z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2setza72000z00,
		BGl_z62gloz12zd2setzd2exzd2it1346za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1963z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2jump2001za7,
		BGl_z62gloz12zd2jumpzd2exzd2it1348za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1964z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2make2002za7,
		BGl_z62gloz12zd2makezd2box1350z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1965z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2boxza72003z00,
		BGl_z62gloz12zd2boxzd2ref1352z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1966z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2boxza72004z00,
		BGl_z62gloz12zd2boxzd2setz121354z62zzintegrate_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2celledzf3zd2envzf3zzintegrate_nodez00,
		BgL_bgl_za762integrateza7d2c2005z00,
		BGl_z62integratezd2celledzf3z43zzintegrate_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2globaliza7ez12zd2envzb5zzintegrate_nodez00,
		BgL_bgl_za762integrateza7d2g2006z00,
		BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1942z00zzintegrate_nodez00,
		BgL_bgl_string1942za700za7za7i2007za7, "glo!1308", 8);
	      DEFINE_STRING(BGl_string1943z00zzintegrate_nodez00,
		BgL_bgl_string1943za700za7za7i2008za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1945z00zzintegrate_nodez00,
		BgL_bgl_string1945za700za7za7i2009za7, "glo!", 4);
	      DEFINE_STRING(BGl_string1967z00zzintegrate_nodez00,
		BgL_bgl_string1967za700za7za7i2010za7, "box-ref=", 8);
	      DEFINE_STRING(BGl_string1968z00zzintegrate_nodez00,
		BgL_bgl_string1968za700za7za7i2011za7, ":", 1);
	      DEFINE_STRING(BGl_string1969z00zzintegrate_nodez00,
		BgL_bgl_string1969za700za7za7i2012za7, ",", 1);
	      DEFINE_STRING(BGl_string1970z00zzintegrate_nodez00,
		BgL_bgl_string1970za700za7za7i2013za7, "Integrate/node.scm", 18);
	      DEFINE_STRING(BGl_string1971z00zzintegrate_nodez00,
		BgL_bgl_string1971za700za7za7i2014za7, "access=", 7);
	      DEFINE_STRING(BGl_string1972z00zzintegrate_nodez00,
		BgL_bgl_string1972za700za7za7i2015za7, "integration", 11);
	      DEFINE_STRING(BGl_string1973z00zzintegrate_nodez00,
		BgL_bgl_string1973za700za7za7i2016za7, "box-ref", 7);
	      DEFINE_STRING(BGl_string1974z00zzintegrate_nodez00,
		BgL_bgl_string1974za700za7za7i2017za7, "node-free", 9);
	      DEFINE_STRING(BGl_string1975z00zzintegrate_nodez00,
		BgL_bgl_string1975za700za7za7i2018za7, "Unexepected `closure' node", 26);
	      DEFINE_STRING(BGl_string1976z00zzintegrate_nodez00,
		BgL_bgl_string1976za700za7za7i2019za7, "integrate_node", 14);
	      DEFINE_STRING(BGl_string1977z00zzintegrate_nodez00,
		BgL_bgl_string1977za700za7za7i2020za7,
		"aux glo!1308 done (write cell-integrate) cell-integrate ", 56);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_nodez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long
		BgL_checksumz00_2746, char *BgL_fromz00_2747)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_nodez00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_nodez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_nodez00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00();
					BGl_cnstzd2initzd2zzintegrate_nodez00();
					BGl_importedzd2moduleszd2initz00zzintegrate_nodez00();
					BGl_genericzd2initzd2zzintegrate_nodez00();
					BGl_methodzd2initzd2zzintegrate_nodez00();
					return BGl_toplevelzd2initzd2zzintegrate_nodez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00()
	{
		{	/* Integrate/node.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_node");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_nodez00()
	{
		{	/* Integrate/node.scm 15 */
			{	/* Integrate/node.scm 15 */
				obj_t BgL_cportz00_2558;

				{	/* Integrate/node.scm 15 */
					obj_t BgL_stringz00_2566;

					BgL_stringz00_2566 = BGl_string1977z00zzintegrate_nodez00;
					{	/* Integrate/node.scm 15 */
						obj_t BgL_startz00_2567;

						BgL_startz00_2567 = BINT(((long) 0));
						{	/* Integrate/node.scm 15 */
							obj_t BgL_endz00_2568;

							BgL_endz00_2568 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2566)));
							{	/* Integrate/node.scm 15 */

								BgL_cportz00_2558 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2566, BgL_startz00_2567, BgL_endz00_2568);
				}}}}
				{
					long BgL_iz00_2559;

					BgL_iz00_2559 = ((long) 4);
				BgL_loopz00_2560:
					if ((BgL_iz00_2559 == ((long) -1)))
						{	/* Integrate/node.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/node.scm 15 */
							{	/* Integrate/node.scm 15 */
								obj_t BgL_arg1979z00_2562;

								{	/* Integrate/node.scm 15 */

									{	/* Integrate/node.scm 15 */
										obj_t BgL_locationz00_2564;

										BgL_locationz00_2564 = BBOOL(((bool_t) 0));
										{	/* Integrate/node.scm 15 */

											BgL_arg1979z00_2562 =
												BGl_readz00zz__readerz00(BgL_cportz00_2558,
												BgL_locationz00_2564);
										}
									}
								}
								{	/* Integrate/node.scm 15 */
									int BgL_tmpz00_2777;

									BgL_tmpz00_2777 = (int) (BgL_iz00_2559);
									CNST_TABLE_SET(BgL_tmpz00_2777, BgL_arg1979z00_2562);
							}}
							{	/* Integrate/node.scm 15 */
								int BgL_auxz00_2565;

								BgL_auxz00_2565 = (int) ((BgL_iz00_2559 - ((long) 1)));
								{
									long BgL_iz00_2782;

									BgL_iz00_2782 = (long) (BgL_auxz00_2565);
									BgL_iz00_2559 = BgL_iz00_2782;
									goto BgL_loopz00_2560;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_nodez00()
	{
		{	/* Integrate/node.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_nodez00()
	{
		{	/* Integrate/node.scm 15 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzintegrate_nodez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1539;

				BgL_headz00_1539 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1540;
					obj_t BgL_tailz00_1541;

					BgL_prevz00_1540 = BgL_headz00_1539;
					BgL_tailz00_1541 = BgL_l1z00_1;
				BgL_loopz00_1542:
					if (PAIRP(BgL_tailz00_1541))
						{
							obj_t BgL_newzd2prevzd2_1544;

							BgL_newzd2prevzd2_1544 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1541), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1540, BgL_newzd2prevzd2_1544);
							{
								obj_t BgL_tailz00_2792;
								obj_t BgL_prevz00_2791;

								BgL_prevz00_2791 = BgL_newzd2prevzd2_1544;
								BgL_tailz00_2792 = CDR(BgL_tailz00_1541);
								BgL_tailz00_1541 = BgL_tailz00_2792;
								BgL_prevz00_1540 = BgL_prevz00_2791;
								goto BgL_loopz00_1542;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1539);
				}
			}
		}

	}



/* integrate-globalize! */
	BGL_EXPORTED_DEF obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt
		BgL_astz00_3, BgL_variablez00_bglt BgL_integratorz00_4,
		obj_t BgL_whatzf2byza2z50_5)
	{
		{	/* Integrate/node.scm 36 */
			{	/* Integrate/node.scm 42 */
				BgL_valuez00_bglt BgL_funz00_1547;

				BgL_funz00_1547 =
					(((BgL_variablez00_bglt) COBJECT(BgL_integratorz00_4))->BgL_valuez00);
				{	/* Integrate/node.scm 42 */
					obj_t BgL_celledz00_1548;

					{	/* Integrate/node.scm 43 */
						obj_t BgL_arg1422z00_1569;

						BgL_arg1422z00_1569 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1547)))->BgL_argsz00);
						BgL_celledz00_1548 =
							BGl_celledzd2bindingszd2zzintegrate_nodez00(BgL_arg1422z00_1569);
					}
					{	/* Integrate/node.scm 43 */
						obj_t BgL_whatzf2byza2z50_1549;

						BgL_whatzf2byza2z50_1549 =
							BGl_appendzd221011zd2zzintegrate_nodez00(BgL_celledz00_1548,
							BgL_whatzf2byza2z50_5);
						{	/* Integrate/node.scm 44 */

							{
								obj_t BgL_l1283z00_1551;

								BgL_l1283z00_1551 = BgL_whatzf2byza2z50_1549;
							BgL_zc3z04anonymousza31368ze3z87_1552:
								if (PAIRP(BgL_l1283z00_1551))
									{	/* Integrate/node.scm 46 */
										{	/* Integrate/node.scm 47 */
											obj_t BgL_wzd2bzd2_1554;

											BgL_wzd2bzd2_1554 = CAR(BgL_l1283z00_1551);
											{	/* Integrate/node.scm 47 */
												obj_t BgL_arg1379z00_1555;
												obj_t BgL_arg1406z00_1556;

												BgL_arg1379z00_1555 = CAR(((obj_t) BgL_wzd2bzd2_1554));
												BgL_arg1406z00_1556 = CDR(((obj_t) BgL_wzd2bzd2_1554));
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_arg1379z00_1555))))->
														BgL_fastzd2alphazd2) =
													((obj_t) BgL_arg1406z00_1556), BUNSPEC);
											}
										}
										{
											obj_t BgL_l1283z00_2810;

											BgL_l1283z00_2810 = CDR(BgL_l1283z00_1551);
											BgL_l1283z00_1551 = BgL_l1283z00_2810;
											goto BgL_zc3z04anonymousza31368ze3z87_1552;
										}
									}
								else
									{	/* Integrate/node.scm 46 */
										((bool_t) 1);
									}
							}
							{	/* Integrate/node.scm 49 */
								BgL_nodez00_bglt BgL_resz00_1559;

								BgL_resz00_1559 =
									BGl_cellzd2formalszd2zzintegrate_nodez00(BgL_celledz00_1548,
									BGl_gloz12z12zzintegrate_nodez00(BgL_astz00_3,
										BgL_integratorz00_4));
								{
									obj_t BgL_l1285z00_1561;

									BgL_l1285z00_1561 = BgL_whatzf2byza2z50_1549;
								BgL_zc3z04anonymousza31408ze3z87_1562:
									if (PAIRP(BgL_l1285z00_1561))
										{	/* Integrate/node.scm 51 */
											{	/* Integrate/node.scm 52 */
												obj_t BgL_wzd2bzd2_1564;

												BgL_wzd2bzd2_1564 = CAR(BgL_l1285z00_1561);
												{	/* Integrate/node.scm 52 */
													obj_t BgL_arg1410z00_1565;

													BgL_arg1410z00_1565 =
														CAR(((obj_t) BgL_wzd2bzd2_1564));
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			BgL_arg1410z00_1565))))->
															BgL_fastzd2alphazd2) =
														((obj_t) BUNSPEC), BUNSPEC);
												}
											}
											{
												obj_t BgL_l1285z00_2822;

												BgL_l1285z00_2822 = CDR(BgL_l1285z00_1561);
												BgL_l1285z00_1561 = BgL_l1285z00_2822;
												goto BgL_zc3z04anonymousza31408ze3z87_1562;
											}
										}
									else
										{	/* Integrate/node.scm 51 */
											((bool_t) 1);
										}
								}
								return ((obj_t) BgL_resz00_1559);
							}
						}
					}
				}
			}
		}

	}



/* &integrate-globalize! */
	obj_t BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00(obj_t
		BgL_envz00_2457, obj_t BgL_astz00_2458, obj_t BgL_integratorz00_2459,
		obj_t BgL_whatzf2byza2z50_2460)
	{
		{	/* Integrate/node.scm 36 */
			return
				BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(
				((BgL_nodez00_bglt) BgL_astz00_2458),
				((BgL_variablez00_bglt) BgL_integratorz00_2459),
				BgL_whatzf2byza2z50_2460);
		}

	}



/* celled-bindings */
	obj_t BGl_celledzd2bindingszd2zzintegrate_nodez00(obj_t BgL_formalsz00_6)
	{
		{	/* Integrate/node.scm 59 */
			{
				obj_t BgL_celledz00_1572;
				obj_t BgL_formalsz00_1573;

				BgL_celledz00_1572 = BNIL;
				BgL_formalsz00_1573 = BgL_formalsz00_6;
			BgL_zc3z04anonymousza31423ze3z87_1574:
				if (NULLP(BgL_formalsz00_1573))
					{	/* Integrate/node.scm 63 */
						return BgL_celledz00_1572;
					}
				else
					{	/* Integrate/node.scm 65 */
						bool_t BgL_test2027z00_2830;

						{	/* Integrate/node.scm 65 */
							obj_t BgL_arg1488z00_1584;

							BgL_arg1488z00_1584 = CAR(((obj_t) BgL_formalsz00_1573));
							BgL_test2027z00_2830 =
								BGl_integratezd2celledzf3z21zzintegrate_nodez00(
								((BgL_localz00_bglt) BgL_arg1488z00_1584));
						}
						if (BgL_test2027z00_2830)
							{	/* Integrate/node.scm 68 */
								obj_t BgL_ovarz00_1578;

								BgL_ovarz00_1578 = CAR(((obj_t) BgL_formalsz00_1573));
								{	/* Integrate/node.scm 68 */
									BgL_localz00_bglt BgL_nvarz00_1579;

									BgL_nvarz00_1579 =
										BGl_cellzd2variablezd2zzintegrate_nodez00(
										((BgL_localz00_bglt) BgL_ovarz00_1578));
									{	/* Integrate/node.scm 69 */

										{	/* Integrate/node.scm 70 */
											obj_t BgL_arg1442z00_1580;
											obj_t BgL_arg1457z00_1581;

											{	/* Integrate/node.scm 70 */
												obj_t BgL_arg1466z00_1582;

												BgL_arg1466z00_1582 =
													MAKE_YOUNG_PAIR(BgL_ovarz00_1578,
													((obj_t) BgL_nvarz00_1579));
												BgL_arg1442z00_1580 =
													MAKE_YOUNG_PAIR(BgL_arg1466z00_1582,
													BgL_celledz00_1572);
											}
											BgL_arg1457z00_1581 = CDR(((obj_t) BgL_formalsz00_1573));
											{
												obj_t BgL_formalsz00_2845;
												obj_t BgL_celledz00_2844;

												BgL_celledz00_2844 = BgL_arg1442z00_1580;
												BgL_formalsz00_2845 = BgL_arg1457z00_1581;
												BgL_formalsz00_1573 = BgL_formalsz00_2845;
												BgL_celledz00_1572 = BgL_celledz00_2844;
												goto BgL_zc3z04anonymousza31423ze3z87_1574;
											}
										}
									}
								}
							}
						else
							{	/* Integrate/node.scm 66 */
								obj_t BgL_arg1473z00_1583;

								BgL_arg1473z00_1583 = CDR(((obj_t) BgL_formalsz00_1573));
								{
									obj_t BgL_formalsz00_2848;

									BgL_formalsz00_2848 = BgL_arg1473z00_1583;
									BgL_formalsz00_1573 = BgL_formalsz00_2848;
									goto BgL_zc3z04anonymousza31423ze3z87_1574;
								}
							}
					}
			}
		}

	}



/* cell-variable */
	BgL_localz00_bglt BGl_cellzd2variablezd2zzintegrate_nodez00(BgL_localz00_bglt
		BgL_localz00_7)
	{
		{	/* Integrate/node.scm 75 */
			{	/* Integrate/node.scm 76 */
				BgL_localz00_bglt BgL_varz00_1586;

				{	/* Integrate/node.scm 76 */
					obj_t BgL_arg1492z00_1592;

					BgL_arg1492z00_1592 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_localz00_7)))->BgL_idz00);
					BgL_varz00_1586 =
						BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg1492z00_1592,
						((BgL_typez00_bglt) BGl_za2cellza2z00zztype_cachez00));
				}
				{	/* Integrate/node.scm 77 */
					obj_t BgL_vz00_2196;

					BgL_vz00_2196 = CNST_TABLE_REF(((long) 0));
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_1586)))->BgL_accessz00) =
						((obj_t) BgL_vz00_2196), BUNSPEC);
				}
				{	/* Integrate/node.scm 78 */
					BgL_svarz00_bglt BgL_tmp1108z00_1587;

					BgL_tmp1108z00_1587 =
						((BgL_svarz00_bglt)
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_1586)))->BgL_valuez00));
					{	/* Integrate/node.scm 78 */
						BgL_svarzf2iinfozf2_bglt BgL_wide1110z00_1589;

						BgL_wide1110z00_1589 =
							((BgL_svarzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_svarzf2iinfozf2_bgl))));
						{	/* Integrate/node.scm 78 */
							obj_t BgL_auxz00_2863;
							BgL_objectz00_bglt BgL_tmpz00_2860;

							BgL_auxz00_2863 = ((obj_t) BgL_wide1110z00_1589);
							BgL_tmpz00_2860 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1108z00_1587));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2860, BgL_auxz00_2863);
						}
						((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1108z00_1587));
						{	/* Integrate/node.scm 78 */
							long BgL_arg1490z00_1590;

							{	/* Integrate/node.scm 78 */
								long BgL_res1889z00_2200;

								BgL_res1889z00_2200 =
									BGL_CLASS_INDEX(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
								BgL_arg1490z00_1590 = BgL_res1889z00_2200;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1108z00_1587)),
								BgL_arg1490z00_1590);
						}
						((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1108z00_1587));
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_2874;

						{
							obj_t BgL_auxz00_2875;

							{	/* Integrate/node.scm 79 */
								BgL_objectz00_bglt BgL_tmpz00_2876;

								BgL_tmpz00_2876 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1108z00_1587));
								BgL_auxz00_2875 = BGL_OBJECT_WIDENING(BgL_tmpz00_2876);
							}
							BgL_auxz00_2874 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_2875);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2874))->
								BgL_fzd2markzd2) = ((obj_t) BUNSPEC), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_2882;

						{
							obj_t BgL_auxz00_2883;

							{	/* Integrate/node.scm 79 */
								BgL_objectz00_bglt BgL_tmpz00_2884;

								BgL_tmpz00_2884 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1108z00_1587));
								BgL_auxz00_2883 = BGL_OBJECT_WIDENING(BgL_tmpz00_2884);
							}
							BgL_auxz00_2882 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_2883);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2882))->
								BgL_uzd2markzd2) = ((obj_t) BUNSPEC), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_2890;

						{
							obj_t BgL_auxz00_2891;

							{	/* Integrate/node.scm 80 */
								BgL_objectz00_bglt BgL_tmpz00_2892;

								BgL_tmpz00_2892 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1108z00_1587));
								BgL_auxz00_2891 = BGL_OBJECT_WIDENING(BgL_tmpz00_2892);
							}
							BgL_auxz00_2890 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_2891);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2890))->
								BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_2898;

						{
							obj_t BgL_auxz00_2899;

							{	/* Integrate/node.scm 79 */
								BgL_objectz00_bglt BgL_tmpz00_2900;

								BgL_tmpz00_2900 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1108z00_1587));
								BgL_auxz00_2899 = BGL_OBJECT_WIDENING(BgL_tmpz00_2900);
							}
							BgL_auxz00_2898 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_2899);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2898))->
								BgL_celledzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_2906;

						{
							obj_t BgL_auxz00_2907;

							{	/* Integrate/node.scm 79 */
								BgL_objectz00_bglt BgL_tmpz00_2908;

								BgL_tmpz00_2908 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1108z00_1587));
								BgL_auxz00_2907 = BGL_OBJECT_WIDENING(BgL_tmpz00_2908);
							}
							BgL_auxz00_2906 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_2907);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2906))->
								BgL_xhdlz00) = ((obj_t) BFALSE), BUNSPEC);
					}
					((BgL_svarz00_bglt) BgL_tmp1108z00_1587);
				}
				return BgL_varz00_1586;
			}
		}

	}



/* cell-formals */
	BgL_nodez00_bglt BGl_cellzd2formalszd2zzintegrate_nodez00(obj_t
		BgL_celledz00_8, BgL_nodez00_bglt BgL_bodyz00_9)
	{
		{	/* Integrate/node.scm 86 */
			if (NULLP(BgL_celledz00_8))
				{	/* Integrate/node.scm 87 */
					return BgL_bodyz00_9;
				}
			else
				{	/* Integrate/node.scm 89 */
					obj_t BgL_locz00_1594;

					BgL_locz00_1594 =
						(((BgL_nodez00_bglt) COBJECT(BgL_bodyz00_9))->BgL_locz00);
					{	/* Integrate/node.scm 90 */
						BgL_letzd2varzd2_bglt BgL_new1113z00_1595;

						{	/* Integrate/node.scm 91 */
							BgL_letzd2varzd2_bglt BgL_new1112z00_1617;

							BgL_new1112z00_1617 =
								((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_letzd2varzd2_bgl))));
							{	/* Integrate/node.scm 91 */
								long BgL_arg1527z00_1618;

								{	/* Integrate/node.scm 91 */
									long BgL_res1891z00_2211;

									BgL_res1891z00_2211 =
										BGL_CLASS_INDEX(BGl_letzd2varzd2zzast_nodez00);
									BgL_arg1527z00_1618 = BgL_res1891z00_2211;
								}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1112z00_1617),
									BgL_arg1527z00_1618);
							}
							{	/* Integrate/node.scm 91 */
								BgL_objectz00_bglt BgL_tmpz00_2922;

								BgL_tmpz00_2922 = ((BgL_objectz00_bglt) BgL_new1112z00_1617);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2922, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1112z00_1617);
							BgL_new1113z00_1595 = BgL_new1112z00_1617;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1113z00_1595)))->BgL_locz00) =
							((obj_t) BgL_locz00_1594), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1113z00_1595)))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(BgL_bodyz00_9))->
									BgL_typez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1113z00_1595)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1113z00_1595)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							obj_t BgL_auxz00_2936;

							{	/* Integrate/node.scm 94 */
								obj_t BgL_l1287z00_1596;

								BgL_l1287z00_1596 = BgL_celledz00_8;
								if (NULLP(BgL_l1287z00_1596))
									{	/* Integrate/node.scm 94 */
										BgL_auxz00_2936 = BNIL;
									}
								else
									{	/* Integrate/node.scm 94 */
										obj_t BgL_head1289z00_1598;

										{	/* Integrate/node.scm 94 */
											obj_t BgL_res1893z00_2217;

											BgL_res1893z00_2217 = MAKE_YOUNG_PAIR(BNIL, BNIL);
											BgL_head1289z00_1598 = BgL_res1893z00_2217;
										}
										{
											obj_t BgL_l1287z00_1600;
											obj_t BgL_tail1290z00_1601;

											BgL_l1287z00_1600 = BgL_l1287z00_1596;
											BgL_tail1290z00_1601 = BgL_head1289z00_1598;
										BgL_zc3z04anonymousza31495ze3z87_1602:
											if (NULLP(BgL_l1287z00_1600))
												{	/* Integrate/node.scm 94 */
													BgL_auxz00_2936 = CDR(BgL_head1289z00_1598);
												}
											else
												{	/* Integrate/node.scm 94 */
													obj_t BgL_newtail1291z00_1604;

													{	/* Integrate/node.scm 94 */
														obj_t BgL_arg1503z00_1606;

														{	/* Integrate/node.scm 94 */
															obj_t BgL_ozd2nzd2_1607;

															BgL_ozd2nzd2_1607 =
																CAR(((obj_t) BgL_l1287z00_1600));
															{	/* Integrate/node.scm 95 */
																obj_t BgL_arg1510z00_1608;
																BgL_makezd2boxzd2_bglt BgL_arg1512z00_1609;

																BgL_arg1510z00_1608 =
																	CDR(((obj_t) BgL_ozd2nzd2_1607));
																{	/* Integrate/node.scm 96 */
																	BgL_varz00_bglt BgL_arg1514z00_1610;
																	obj_t BgL_arg1518z00_1611;

																	{	/* Integrate/node.scm 96 */
																		BgL_varz00_bglt BgL_new1115z00_1612;

																		{	/* Integrate/node.scm 99 */
																			BgL_varz00_bglt BgL_new1114z00_1614;

																			BgL_new1114z00_1614 =
																				((BgL_varz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_varz00_bgl))));
																			{	/* Integrate/node.scm 99 */
																				long BgL_arg1524z00_1615;

																				{	/* Integrate/node.scm 99 */
																					long BgL_res1895z00_2223;

																					{	/* Integrate/node.scm 99 */
																						obj_t BgL_classz00_2222;

																						BgL_classz00_2222 =
																							BGl_varz00zzast_nodez00;
																						BgL_res1895z00_2223 =
																							BGL_CLASS_INDEX
																							(BgL_classz00_2222);
																					}
																					BgL_arg1524z00_1615 =
																						BgL_res1895z00_2223;
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1114z00_1614),
																					BgL_arg1524z00_1615);
																			}
																			BgL_new1115z00_1612 = BgL_new1114z00_1614;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1115z00_1612)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_1594), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1115z00_1612)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((
																						(BgL_variablez00_bglt)
																						COBJECT(((BgL_variablez00_bglt)
																								CAR(((obj_t)
																										BgL_ozd2nzd2_1607)))))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_varz00_bglt)
																					COBJECT(BgL_new1115z00_1612))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt) CAR(((obj_t)
																							BgL_ozd2nzd2_1607)))), BUNSPEC);
																		BgL_arg1514z00_1610 = BgL_new1115z00_1612;
																	}
																	BgL_arg1518z00_1611 =
																		CAR(((obj_t) BgL_ozd2nzd2_1607));
																	BgL_arg1512z00_1609 =
																		BGl_azd2makezd2cellz00zzintegrate_nodez00(
																		((BgL_nodez00_bglt) BgL_arg1514z00_1610),
																		((BgL_variablez00_bglt)
																			BgL_arg1518z00_1611));
																}
																BgL_arg1503z00_1606 =
																	MAKE_YOUNG_PAIR(BgL_arg1510z00_1608,
																	((obj_t) BgL_arg1512z00_1609));
														}}
														{	/* Integrate/node.scm 94 */
															obj_t BgL_res1896z00_2230;

															BgL_res1896z00_2230 =
																MAKE_YOUNG_PAIR(BgL_arg1503z00_1606, BNIL);
															BgL_newtail1291z00_1604 = BgL_res1896z00_2230;
													}}
													SET_CDR(BgL_tail1290z00_1601,
														BgL_newtail1291z00_1604);
													{	/* Integrate/node.scm 94 */
														obj_t BgL_arg1502z00_1605;

														BgL_arg1502z00_1605 =
															CDR(((obj_t) BgL_l1287z00_1600));
														{
															obj_t BgL_tail1290z00_2975;
															obj_t BgL_l1287z00_2974;

															BgL_l1287z00_2974 = BgL_arg1502z00_1605;
															BgL_tail1290z00_2975 = BgL_newtail1291z00_1604;
															BgL_tail1290z00_1601 = BgL_tail1290z00_2975;
															BgL_l1287z00_1600 = BgL_l1287z00_2974;
															goto BgL_zc3z04anonymousza31495ze3z87_1602;
														}
													}
												}
										}
									}
							}
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1113z00_1595))->
									BgL_bindingsz00) = ((obj_t) BgL_auxz00_2936), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1113z00_1595))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_bodyz00_9), BUNSPEC);
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1113z00_1595))->
								BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1113z00_1595);
					}
				}
		}

	}



/* a-make-cell */
	BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_nodez00_bglt BgL_nodez00_10,
		BgL_variablez00_bglt BgL_variablez00_11)
	{
		{	/* Integrate/node.scm 106 */
			{	/* Integrate/node.scm 110 */
				obj_t BgL_vz00_2234;

				BgL_vz00_2234 = CNST_TABLE_REF(((long) 0));
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_variablez00_11))))->BgL_accessz00) =
					((obj_t) BgL_vz00_2234), BUNSPEC);
			}
			{	/* Integrate/node.scm 111 */
				BgL_valuez00_bglt BgL_arg1528z00_1620;

				BgL_arg1528z00_1620 =
					(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_11))->BgL_valuez00);
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_2985;

					{
						obj_t BgL_auxz00_2986;

						{	/* Integrate/node.scm 111 */
							BgL_objectz00_bglt BgL_tmpz00_2987;

							BgL_tmpz00_2987 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_arg1528z00_1620));
							BgL_auxz00_2986 = BGL_OBJECT_WIDENING(BgL_tmpz00_2987);
						}
						BgL_auxz00_2985 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_2986);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2985))->
							BgL_celledzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
			}}
			{	/* Integrate/node.scm 112 */
				BgL_makezd2boxzd2_bglt BgL_new1119z00_1621;

				{	/* Integrate/node.scm 115 */
					BgL_makezd2boxzd2_bglt BgL_new1117z00_1623;

					BgL_new1117z00_1623 =
						((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Integrate/node.scm 115 */
						long BgL_arg1540z00_1624;

						{	/* Integrate/node.scm 115 */
							long BgL_res1897z00_2240;

							BgL_res1897z00_2240 =
								BGL_CLASS_INDEX(BGl_makezd2boxzd2zzast_nodez00);
							BgL_arg1540z00_1624 = BgL_res1897z00_2240;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1117z00_1623), BgL_arg1540z00_1624);
					}
					{	/* Integrate/node.scm 115 */
						BgL_objectz00_bglt BgL_tmpz00_2997;

						BgL_tmpz00_2997 = ((BgL_objectz00_bglt) BgL_new1117z00_1623);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2997, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1117z00_1623);
					BgL_new1119z00_1621 = BgL_new1117z00_1623;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1119z00_1621)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_10))->BgL_locz00)),
					BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1119z00_1621)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt)
							BGl_za2cellza2z00zztype_cachez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1119z00_1621)))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1119z00_1621)))->BgL_keyz00) =
					((obj_t) BINT(((long) -1))), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1119z00_1621))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_nodez00_10), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3013;

					{	/* Integrate/node.scm 114 */
						BgL_typez00_bglt BgL_arg1531z00_1622;

						BgL_arg1531z00_1622 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_11))->
							BgL_typez00);
						BgL_auxz00_3013 =
							BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_arg1531z00_1622);
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1119z00_1621))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_3013), BUNSPEC);
				}
				return BgL_new1119z00_1621;
			}
		}

	}



/* integrate-celled? */
	BGL_EXPORTED_DEF bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt
		BgL_variablez00_12)
	{
		{	/* Integrate/node.scm 121 */
			{	/* Integrate/node.scm 132 */
				bool_t BgL_test2031z00_3017;

				{	/* Integrate/node.scm 132 */
					BgL_valuez00_bglt BgL_arg1548z00_1631;

					BgL_arg1548z00_1631 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_variablez00_12)))->BgL_valuez00);
					{	/* Integrate/node.scm 132 */
						bool_t BgL_res1898z00_2246;

						BgL_res1898z00_2246 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_arg1548z00_1631),
							BGl_svarzf2Iinfozf2zzintegrate_infoz00);
						BgL_test2031z00_3017 = BgL_res1898z00_2246;
					}
				}
				if (BgL_test2031z00_3017)
					{	/* Integrate/node.scm 133 */
						bool_t BgL__ortest_1121z00_1626;

						{	/* Integrate/node.scm 133 */
							BgL_svarz00_bglt BgL_oz00_2248;

							BgL_oz00_2248 =
								((BgL_svarz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_variablez00_12)))->
									BgL_valuez00));
							{
								BgL_svarzf2iinfozf2_bglt BgL_auxz00_3025;

								{
									obj_t BgL_auxz00_3026;

									{	/* Integrate/node.scm 133 */
										BgL_objectz00_bglt BgL_tmpz00_3027;

										BgL_tmpz00_3027 = ((BgL_objectz00_bglt) BgL_oz00_2248);
										BgL_auxz00_3026 = BGL_OBJECT_WIDENING(BgL_tmpz00_3027);
									}
									BgL_auxz00_3025 =
										((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3026);
								}
								BgL__ortest_1121z00_1626 =
									(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3025))->
									BgL_celledzf3zf3);
							}
						}
						if (BgL__ortest_1121z00_1626)
							{	/* Integrate/node.scm 133 */
								return BgL__ortest_1121z00_1626;
							}
						else
							{	/* Integrate/node.scm 133 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_variablez00_12)))->
												BgL_accessz00), CNST_TABLE_REF(((long) 1)))))
									{	/* Integrate/node.scm 135 */
										BgL_svarz00_bglt BgL_oz00_2252;

										BgL_oz00_2252 =
											((BgL_svarz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_variablez00_12)))->
												BgL_valuez00));
										{
											BgL_svarzf2iinfozf2_bglt BgL_auxz00_3042;

											{
												obj_t BgL_auxz00_3043;

												{	/* Integrate/node.scm 135 */
													BgL_objectz00_bglt BgL_tmpz00_3044;

													BgL_tmpz00_3044 =
														((BgL_objectz00_bglt) BgL_oz00_2252);
													BgL_auxz00_3043 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3044);
												}
												BgL_auxz00_3042 =
													((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3043);
											}
											return
												(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3042))->
												BgL_kapturedzf3zf3);
										}
									}
								else
									{	/* Integrate/node.scm 134 */
										return ((bool_t) 0);
									}
							}
					}
				else
					{	/* Integrate/node.scm 132 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &integrate-celled? */
	obj_t BGl_z62integratezd2celledzf3z43zzintegrate_nodez00(obj_t
		BgL_envz00_2461, obj_t BgL_variablez00_2462)
	{
		{	/* Integrate/node.scm 121 */
			return
				BBOOL(BGl_integratezd2celledzf3z21zzintegrate_nodez00(
					((BgL_localz00_bglt) BgL_variablez00_2462)));
		}

	}



/* glo*! */
	obj_t BGl_gloza2z12zb0zzintegrate_nodez00(obj_t BgL_nodeza2za2_59,
		obj_t BgL_integratorz00_60)
	{
		{	/* Integrate/node.scm 437 */
			{
				obj_t BgL_nodeza2za2_1633;

				BgL_nodeza2za2_1633 = BgL_nodeza2za2_59;
			BgL_zc3z04anonymousza31549ze3z87_1634:
				if (NULLP(BgL_nodeza2za2_1633))
					{	/* Integrate/node.scm 439 */
						return CNST_TABLE_REF(((long) 2));
					}
				else
					{	/* Integrate/node.scm 439 */
						{	/* Integrate/node.scm 442 */
							BgL_nodez00_bglt BgL_arg1551z00_1636;

							{	/* Integrate/node.scm 442 */
								obj_t BgL_arg1562z00_1637;

								BgL_arg1562z00_1637 = CAR(((obj_t) BgL_nodeza2za2_1633));
								BgL_arg1551z00_1636 =
									BGl_gloz12z12zzintegrate_nodez00(
									((BgL_nodez00_bglt) BgL_arg1562z00_1637),
									((BgL_variablez00_bglt) BgL_integratorz00_60));
							}
							{	/* Integrate/node.scm 442 */
								obj_t BgL_auxz00_3062;
								obj_t BgL_tmpz00_3060;

								BgL_auxz00_3062 = ((obj_t) BgL_arg1551z00_1636);
								BgL_tmpz00_3060 = ((obj_t) BgL_nodeza2za2_1633);
								SET_CAR(BgL_tmpz00_3060, BgL_auxz00_3062);
							}
						}
						{	/* Integrate/node.scm 443 */
							obj_t BgL_arg1564z00_1638;

							BgL_arg1564z00_1638 = CDR(((obj_t) BgL_nodeza2za2_1633));
							{
								obj_t BgL_nodeza2za2_3067;

								BgL_nodeza2za2_3067 = BgL_arg1564z00_1638;
								BgL_nodeza2za2_1633 = BgL_nodeza2za2_3067;
								goto BgL_zc3z04anonymousza31549ze3z87_1634;
							}
						}
					}
			}
		}

	}



/* globalize-local-fun! */
	obj_t BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_localz00_bglt
		BgL_localz00_61, BgL_variablez00_bglt BgL_integratorz00_62)
	{
		{	/* Integrate/node.scm 448 */
			{	/* Integrate/node.scm 451 */
				BgL_valuez00_bglt BgL_funz00_1640;

				BgL_funz00_1640 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_61)))->BgL_valuez00);
				{	/* Integrate/node.scm 451 */
					obj_t BgL_obodyz00_1641;

					BgL_obodyz00_1641 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1640)))->BgL_bodyz00);
					{	/* Integrate/node.scm 452 */

						if ((((obj_t) BgL_localz00_61) == ((obj_t) BgL_integratorz00_62)))
							{	/* Integrate/node.scm 455 */
								BgL_nodez00_bglt BgL_arg1567z00_1643;

								BgL_arg1567z00_1643 =
									BGl_gloz12z12zzintegrate_nodez00(
									((BgL_nodez00_bglt) BgL_obodyz00_1641), BgL_integratorz00_62);
								return
									((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1640)))->BgL_bodyz00) =
									((obj_t) ((obj_t) BgL_arg1567z00_1643)), BUNSPEC);
							}
						else
							{	/* Integrate/node.scm 456 */
								bool_t BgL_test2036z00_3081;

								{	/* Integrate/node.scm 456 */
									bool_t BgL_test2037z00_3082;

									{	/* Integrate/node.scm 456 */
										bool_t BgL_res1900z00_2261;

										BgL_res1900z00_2261 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_funz00_1640),
											BGl_sfunzf2Iinfozf2zzintegrate_infoz00);
										BgL_test2037z00_3082 = BgL_res1900z00_2261;
									}
									if (BgL_test2037z00_3082)
										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3085;

											{
												obj_t BgL_auxz00_3086;

												{	/* Integrate/node.scm 456 */
													BgL_objectz00_bglt BgL_tmpz00_3087;

													BgL_tmpz00_3087 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_1640));
													BgL_auxz00_3086 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3087);
												}
												BgL_auxz00_3085 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_3086);
											}
											BgL_test2036z00_3081 =
												(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3085))->
												BgL_gzf3zf3);
										}
									else
										{	/* Integrate/node.scm 456 */
											BgL_test2036z00_3081 = ((bool_t) 0);
										}
								}
								if (BgL_test2036z00_3081)
									{	/* Integrate/node.scm 456 */
										return BUNSPEC;
									}
								else
									{	/* Integrate/node.scm 459 */
										obj_t BgL_celledz00_1646;

										{	/* Integrate/node.scm 459 */
											obj_t BgL_arg1594z00_1666;

											BgL_arg1594z00_1666 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_1640)))->
												BgL_argsz00);
											BgL_celledz00_1646 =
												BGl_celledzd2bindingszd2zzintegrate_nodez00
												(BgL_arg1594z00_1666);
										}
										{
											obj_t BgL_l1304z00_1648;

											BgL_l1304z00_1648 = BgL_celledz00_1646;
										BgL_zc3z04anonymousza31570ze3z87_1649:
											if (PAIRP(BgL_l1304z00_1648))
												{	/* Integrate/node.scm 460 */
													{	/* Integrate/node.scm 461 */
														obj_t BgL_wzd2bzd2_1651;

														BgL_wzd2bzd2_1651 = CAR(BgL_l1304z00_1648);
														{	/* Integrate/node.scm 461 */
															obj_t BgL_arg1572z00_1652;
															obj_t BgL_arg1578z00_1653;

															BgL_arg1572z00_1652 =
																CAR(((obj_t) BgL_wzd2bzd2_1651));
															BgL_arg1578z00_1653 =
																CDR(((obj_t) BgL_wzd2bzd2_1651));
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_arg1572z00_1652)))->
																	BgL_fastzd2alphazd2) =
																((obj_t) BgL_arg1578z00_1653), BUNSPEC);
														}
													}
													{
														obj_t BgL_l1304z00_3105;

														BgL_l1304z00_3105 = CDR(BgL_l1304z00_1648);
														BgL_l1304z00_1648 = BgL_l1304z00_3105;
														goto BgL_zc3z04anonymousza31570ze3z87_1649;
													}
												}
											else
												{	/* Integrate/node.scm 460 */
													((bool_t) 1);
												}
										}
										{	/* Integrate/node.scm 463 */
											BgL_nodez00_bglt BgL_nbody1z00_1656;

											BgL_nbody1z00_1656 =
												BGl_gloz12z12zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_obodyz00_1641),
												BgL_integratorz00_62);
											{	/* Integrate/node.scm 463 */
												BgL_nodez00_bglt BgL_nbody2z00_1657;

												BgL_nbody2z00_1657 =
													BGl_cellzd2formalszd2zzintegrate_nodez00
													(BgL_celledz00_1646, BgL_nbody1z00_1656);
												{	/* Integrate/node.scm 464 */

													{
														obj_t BgL_l1306z00_1659;

														BgL_l1306z00_1659 = BgL_celledz00_1646;
													BgL_zc3z04anonymousza31580ze3z87_1660:
														if (PAIRP(BgL_l1306z00_1659))
															{	/* Integrate/node.scm 465 */
																{	/* Integrate/node.scm 466 */
																	obj_t BgL_wzd2bzd2_1662;

																	BgL_wzd2bzd2_1662 = CAR(BgL_l1306z00_1659);
																	{	/* Integrate/node.scm 466 */
																		obj_t BgL_arg1582z00_1663;

																		BgL_arg1582z00_1663 =
																			CAR(((obj_t) BgL_wzd2bzd2_1662));
																		((((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							BgL_arg1582z00_1663)))->
																				BgL_fastzd2alphazd2) =
																			((obj_t) BUNSPEC), BUNSPEC);
																	}
																}
																{
																	obj_t BgL_l1306z00_3117;

																	BgL_l1306z00_3117 = CDR(BgL_l1306z00_1659);
																	BgL_l1306z00_1659 = BgL_l1306z00_3117;
																	goto BgL_zc3z04anonymousza31580ze3z87_1660;
																}
															}
														else
															{	/* Integrate/node.scm 465 */
																((bool_t) 1);
															}
													}
													return
														((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_funz00_1640)))->
															BgL_bodyz00) =
														((obj_t) ((obj_t) BgL_nbody2z00_1657)), BUNSPEC);
												}
											}
										}
									}
							}
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_nodez00()
	{
		{	/* Integrate/node.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_nodez00()
	{
		{	/* Integrate/node.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_proc1941z00zzintegrate_nodez00, BGl_nodez00zzast_nodez00,
				BGl_string1942z00zzintegrate_nodez00);
		}

	}



/* &glo!1308 */
	obj_t BGl_z62gloz121308z70zzintegrate_nodez00(obj_t BgL_envz00_2464,
		obj_t BgL_nodez00_2465, obj_t BgL_integratorz00_2466)
	{
		{	/* Integrate/node.scm 140 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 3)),
				BGl_string1943z00zzintegrate_nodez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2465)));
		}

	}



/* glo! */
	BgL_nodez00_bglt BGl_gloz12z12zzintegrate_nodez00(BgL_nodez00_bglt
		BgL_nodez00_13, BgL_variablez00_bglt BgL_integratorz00_14)
	{
		{	/* Integrate/node.scm 140 */
			{	/* Integrate/node.scm 140 */
				obj_t BgL_method1309z00_1673;

				{	/* Integrate/node.scm 140 */
					obj_t BgL_res1915z00_2313;

					{	/* Integrate/node.scm 140 */
						long BgL_objzd2classzd2numz00_2278;

						{	/* Integrate/node.scm 140 */
							long BgL_res1903z00_2281;

							BgL_res1903z00_2281 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_13));
							BgL_objzd2classzd2numz00_2278 = BgL_res1903z00_2281;
						}
						{	/* Integrate/node.scm 140 */
							obj_t BgL_arg1742z00_2279;

							BgL_arg1742z00_2279 =
								PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00,
								(int) (((long) 1)));
							{	/* Integrate/node.scm 140 */
								int BgL_offsetz00_2283;

								BgL_offsetz00_2283 = (int) (BgL_objzd2classzd2numz00_2278);
								{	/* Integrate/node.scm 140 */
									long BgL_offsetz00_2284;

									BgL_offsetz00_2284 =
										((long) (BgL_offsetz00_2283) - OBJECT_TYPE);
									{	/* Integrate/node.scm 140 */
										long BgL_modz00_2285;

										BgL_modz00_2285 =
											(BgL_offsetz00_2284 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Integrate/node.scm 140 */
											long BgL_restz00_2287;

											BgL_restz00_2287 =
												(BgL_offsetz00_2284 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Integrate/node.scm 140 */

												{	/* Integrate/node.scm 140 */
													obj_t BgL_bucketz00_2289;

													BgL_bucketz00_2289 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_2279), BgL_modz00_2285);
													BgL_res1915z00_2313 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2289), BgL_restz00_2287);
					}}}}}}}}
					BgL_method1309z00_1673 = BgL_res1915z00_2313;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1309z00_1673) (BgL_method1309z00_1673,
						((obj_t) BgL_nodez00_13), ((obj_t) BgL_integratorz00_14), BEOA));
			}
		}

	}



/* &glo! */
	BgL_nodez00_bglt BGl_z62gloz12z70zzintegrate_nodez00(obj_t BgL_envz00_2467,
		obj_t BgL_nodez00_2468, obj_t BgL_integratorz00_2469)
	{
		{	/* Integrate/node.scm 140 */
			return
				BGl_gloz12z12zzintegrate_nodez00(
				((BgL_nodez00_bglt) BgL_nodez00_2468),
				((BgL_variablez00_bglt) BgL_integratorz00_2469));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_nodez00()
	{
		{	/* Integrate/node.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_atomz00zzast_nodez00,
				BGl_proc1944z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_kwotez00zzast_nodez00,
				BGl_proc1946z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_varz00zzast_nodez00,
				BGl_proc1947z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_closurez00zzast_nodez00,
				BGl_proc1948z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_sequencez00zzast_nodez00,
				BGl_proc1949z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_syncz00zzast_nodez00,
				BGl_proc1950z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_appz00zzast_nodez00,
				BGl_proc1951z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc1952z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_funcallz00zzast_nodez00,
				BGl_proc1953z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_externz00zzast_nodez00,
				BGl_proc1954z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_castz00zzast_nodez00,
				BGl_proc1955z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_setqz00zzast_nodez00,
				BGl_proc1956z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1957z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_failz00zzast_nodez00,
				BGl_proc1958z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_switchz00zzast_nodez00,
				BGl_proc1959z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc1960z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1961z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1962z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1963z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc1964z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc1965z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1966z00zzintegrate_nodez00,
				BGl_string1945z00zzintegrate_nodez00);
		}

	}



/* &glo!-box-set!1354 */
	BgL_nodez00_bglt BGl_z62gloz12zd2boxzd2setz121354z62zzintegrate_nodez00(obj_t
		BgL_envz00_2492, obj_t BgL_nodez00_2493, obj_t BgL_integratorz00_2494)
	{
		{	/* Integrate/node.scm 427 */
			{
				BgL_varz00_bglt BgL_auxz00_3185;

				{	/* Tools/trace.sch 53 */
					BgL_varz00_bglt BgL_arg1810z00_2574;

					BgL_arg1810z00_2574 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2493)))->BgL_varz00);
					BgL_auxz00_3185 =
						((BgL_varz00_bglt)
						BGl_gloz12z12zzintegrate_nodez00(
							((BgL_nodez00_bglt) BgL_arg1810z00_2574),
							((BgL_variablez00_bglt) BgL_integratorz00_2494)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2493)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3185), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3194;

				{	/* Tools/trace.sch 53 */
					BgL_nodez00_bglt BgL_arg1811z00_2575;

					BgL_arg1811z00_2575 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2493)))->BgL_valuez00);
					BgL_auxz00_3194 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1811z00_2575,
						((BgL_variablez00_bglt) BgL_integratorz00_2494));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2493)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3194), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2493));
		}

	}



/* &glo!-box-ref1352 */
	BgL_nodez00_bglt BGl_z62gloz12zd2boxzd2ref1352z70zzintegrate_nodez00(obj_t
		BgL_envz00_2495, obj_t BgL_nodez00_2496, obj_t BgL_integratorz00_2497)
	{
		{	/* Integrate/node.scm 413 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_test2040z00_3203;

				{	/* Tools/trace.sch 53 */
					BgL_variablez00_bglt BgL_arg1803z00_2577;

					BgL_arg1803z00_2577 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_boxzd2refzd2_bglt) COBJECT(
											((BgL_boxzd2refzd2_bglt) BgL_nodez00_2496)))->
									BgL_varz00)))->BgL_variablez00);
					BgL_test2040z00_3203 =
						BGl_integratezd2celledzf3z21zzintegrate_nodez00(((BgL_localz00_bglt)
							BgL_arg1803z00_2577));
				}
				if (BgL_test2040z00_3203)
					{	/* Tools/trace.sch 53 */
						BgL_variablez00_bglt BgL_vz00_2578;

						BgL_vz00_2578 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_boxzd2refzd2_bglt) COBJECT(
												((BgL_boxzd2refzd2_bglt) BgL_nodez00_2496)))->
										BgL_varz00)))->BgL_variablez00);
						{	/* Tools/trace.sch 53 */
							obj_t BgL_arg1782z00_2579;
							obj_t BgL_arg1783z00_2580;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_res1939z00_2581;

								{	/* Tools/trace.sch 53 */
									obj_t BgL_tmpz00_3212;

									BgL_tmpz00_3212 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res1939z00_2581 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3212);
								}
								BgL_arg1782z00_2579 = BgL_res1939z00_2581;
							}
							BgL_arg1783z00_2580 =
								BGl_shapez00zztools_shapez00(
								((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2496)));
							{	/* Tools/trace.sch 53 */
								obj_t BgL_list1784z00_2582;

								{	/* Tools/trace.sch 53 */
									obj_t BgL_arg1786z00_2583;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1787z00_2584;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1788z00_2585;

											{	/* Tools/trace.sch 53 */
												obj_t BgL_arg1789z00_2586;

												{	/* Tools/trace.sch 53 */
													obj_t BgL_arg1790z00_2587;

													BgL_arg1790z00_2587 =
														MAKE_YOUNG_PAIR(BgL_arg1783z00_2580, BNIL);
													BgL_arg1789z00_2586 =
														MAKE_YOUNG_PAIR
														(BGl_string1967z00zzintegrate_nodez00,
														BgL_arg1790z00_2587);
												}
												BgL_arg1788z00_2585 =
													MAKE_YOUNG_PAIR(BGl_string1968z00zzintegrate_nodez00,
													BgL_arg1789z00_2586);
											}
											BgL_arg1787z00_2584 =
												MAKE_YOUNG_PAIR(BINT(((long) 418)),
												BgL_arg1788z00_2585);
										}
										BgL_arg1786z00_2583 =
											MAKE_YOUNG_PAIR(BGl_string1969z00zzintegrate_nodez00,
											BgL_arg1787z00_2584);
									}
									BgL_list1784z00_2582 =
										MAKE_YOUNG_PAIR(BGl_string1970z00zzintegrate_nodez00,
										BgL_arg1786z00_2583);
								}
								BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1782z00_2579,
									BgL_list1784z00_2582);
						}}
						{	/* Tools/trace.sch 53 */
							obj_t BgL_arg1791z00_2588;
							obj_t BgL_arg1792z00_2589;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_res1940z00_2590;

								{	/* Tools/trace.sch 53 */
									obj_t BgL_tmpz00_3226;

									BgL_tmpz00_3226 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res1940z00_2590 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3226);
								}
								BgL_arg1791z00_2588 = BgL_res1940z00_2590;
							}
							BgL_arg1792z00_2589 =
								(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2578))->
								BgL_accessz00);
							{	/* Tools/trace.sch 53 */
								obj_t BgL_list1793z00_2591;

								{	/* Tools/trace.sch 53 */
									obj_t BgL_arg1794z00_2592;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1795z00_2593;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1796z00_2594;

											{	/* Tools/trace.sch 53 */
												obj_t BgL_arg1798z00_2595;

												{	/* Tools/trace.sch 53 */
													obj_t BgL_arg1799z00_2596;

													BgL_arg1799z00_2596 =
														MAKE_YOUNG_PAIR(BgL_arg1792z00_2589, BNIL);
													BgL_arg1798z00_2595 =
														MAKE_YOUNG_PAIR
														(BGl_string1971z00zzintegrate_nodez00,
														BgL_arg1799z00_2596);
												}
												BgL_arg1796z00_2594 =
													MAKE_YOUNG_PAIR(BGl_string1968z00zzintegrate_nodez00,
													BgL_arg1798z00_2595);
											}
											BgL_arg1795z00_2593 =
												MAKE_YOUNG_PAIR(BINT(((long) 419)),
												BgL_arg1796z00_2594);
										}
										BgL_arg1794z00_2592 =
											MAKE_YOUNG_PAIR(BGl_string1969z00zzintegrate_nodez00,
											BgL_arg1795z00_2593);
									}
									BgL_list1793z00_2591 =
										MAKE_YOUNG_PAIR(BGl_string1970z00zzintegrate_nodez00,
										BgL_arg1794z00_2592);
								}
								BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1791z00_2588,
									BgL_list1793z00_2591);
						}}
						{	/* Tools/trace.sch 53 */
							obj_t BgL_arg1800z00_2597;

							BgL_arg1800z00_2597 =
								BGl_shapez00zztools_shapez00(
								((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2496)));
							BGl_errorz00zz__errorz00(BGl_string1972z00zzintegrate_nodez00,
								BGl_string1973z00zzintegrate_nodez00, BgL_arg1800z00_2597);
					}}
				else
					{	/* Tools/trace.sch 53 */
						BFALSE;
					}
			}
			{
				BgL_varz00_bglt BgL_auxz00_3242;

				{	/* Tools/trace.sch 53 */
					BgL_varz00_bglt BgL_arg1808z00_2598;

					BgL_arg1808z00_2598 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2496)))->BgL_varz00);
					BgL_auxz00_3242 =
						((BgL_varz00_bglt)
						BGl_gloz12z12zzintegrate_nodez00(
							((BgL_nodez00_bglt) BgL_arg1808z00_2598),
							((BgL_variablez00_bglt) BgL_integratorz00_2497)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2496)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3242), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2496));
		}

	}



/* &glo!-make-box1350 */
	BgL_nodez00_bglt BGl_z62gloz12zd2makezd2box1350z70zzintegrate_nodez00(obj_t
		BgL_envz00_2498, obj_t BgL_nodez00_2499, obj_t BgL_integratorz00_2500)
	{
		{	/* Integrate/node.scm 405 */
			{
				BgL_nodez00_bglt BgL_auxz00_3253;

				{	/* Integrate/node.scm 407 */
					BgL_nodez00_bglt BgL_arg1776z00_2600;

					BgL_arg1776z00_2600 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2499)))->BgL_valuez00);
					BgL_auxz00_3253 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1776z00_2600,
						((BgL_variablez00_bglt) BgL_integratorz00_2500));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2499)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3253), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2499));
		}

	}



/* &glo!-jump-ex-it1348 */
	BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it1348za2zzintegrate_nodez00(obj_t
		BgL_envz00_2501, obj_t BgL_nodez00_2502, obj_t BgL_integratorz00_2503)
	{
		{	/* Integrate/node.scm 396 */
			{
				BgL_nodez00_bglt BgL_auxz00_3262;

				{	/* Integrate/node.scm 398 */
					BgL_nodez00_bglt BgL_arg1773z00_2602;

					BgL_arg1773z00_2602 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2502)))->BgL_exitz00);
					BgL_auxz00_3262 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1773z00_2602,
						((BgL_variablez00_bglt) BgL_integratorz00_2503));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2502)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3262), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3269;

				{	/* Integrate/node.scm 399 */
					BgL_nodez00_bglt BgL_arg1775z00_2603;

					BgL_arg1775z00_2603 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2502)))->
						BgL_valuez00);
					BgL_auxz00_3269 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1775z00_2603,
						((BgL_variablez00_bglt) BgL_integratorz00_2503));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2502)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3269), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2502));
		}

	}



/* &glo!-set-ex-it1346 */
	BgL_nodez00_bglt BGl_z62gloz12zd2setzd2exzd2it1346za2zzintegrate_nodez00(obj_t
		BgL_envz00_2504, obj_t BgL_nodez00_2505, obj_t BgL_integratorz00_2506)
	{
		{	/* Integrate/node.scm 388 */
			{
				BgL_nodez00_bglt BgL_auxz00_3278;

				{	/* Integrate/node.scm 390 */
					BgL_nodez00_bglt BgL_arg1771z00_2605;

					BgL_arg1771z00_2605 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2505)))->BgL_bodyz00);
					BgL_auxz00_3278 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1771z00_2605,
						((BgL_variablez00_bglt) BgL_integratorz00_2506));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2505)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3278), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2505));
		}

	}



/* &glo!-let-var1344 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2var1344z70zzintegrate_nodez00(obj_t
		BgL_envz00_2507, obj_t BgL_nodez00_2508, obj_t BgL_integratorz00_2509)
	{
		{	/* Integrate/node.scm 363 */
			{	/* Integrate/node.scm 365 */
				obj_t BgL_g1300z00_2607;

				BgL_g1300z00_2607 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2508)))->BgL_bindingsz00);
				{
					obj_t BgL_l1298z00_2609;

					BgL_l1298z00_2609 = BgL_g1300z00_2607;
				BgL_zc3z04anonymousza31756ze3z87_2608:
					if (PAIRP(BgL_l1298z00_2609))
						{	/* Integrate/node.scm 365 */
							{	/* Integrate/node.scm 366 */
								obj_t BgL_bindingz00_2610;

								BgL_bindingz00_2610 = CAR(BgL_l1298z00_2609);
								{	/* Integrate/node.scm 366 */
									obj_t BgL_varz00_2611;
									obj_t BgL_valz00_2612;

									BgL_varz00_2611 = CAR(((obj_t) BgL_bindingz00_2610));
									BgL_valz00_2612 = CDR(((obj_t) BgL_bindingz00_2610));
									{	/* Integrate/node.scm 368 */
										BgL_nodez00_bglt BgL_arg1758z00_2613;

										BgL_arg1758z00_2613 =
											BGl_gloz12z12zzintegrate_nodez00(
											((BgL_nodez00_bglt) BgL_valz00_2612),
											((BgL_variablez00_bglt) BgL_integratorz00_2509));
										{	/* Integrate/node.scm 368 */
											obj_t BgL_auxz00_3301;
											obj_t BgL_tmpz00_3299;

											BgL_auxz00_3301 = ((obj_t) BgL_arg1758z00_2613);
											BgL_tmpz00_3299 = ((obj_t) BgL_bindingz00_2610);
											SET_CDR(BgL_tmpz00_3299, BgL_auxz00_3301);
										}
									}
									if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
											((BgL_localz00_bglt) BgL_varz00_2611)))
										{	/* Integrate/node.scm 370 */
											BgL_localz00_bglt BgL_nvarz00_2614;

											BgL_nvarz00_2614 =
												BGl_cellzd2variablezd2zzintegrate_nodez00(
												((BgL_localz00_bglt) BgL_varz00_2611));
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_2611))))->
													BgL_fastzd2alphazd2) =
												((obj_t) ((obj_t) BgL_nvarz00_2614)), BUNSPEC);
											{	/* Integrate/node.scm 373 */
												BgL_makezd2boxzd2_bglt BgL_arg1760z00_2615;

												{	/* Integrate/node.scm 373 */
													obj_t BgL_arg1761z00_2616;

													BgL_arg1761z00_2616 =
														CDR(((obj_t) BgL_bindingz00_2610));
													BgL_arg1760z00_2615 =
														BGl_azd2makezd2cellz00zzintegrate_nodez00(
														((BgL_nodez00_bglt) BgL_arg1761z00_2616),
														((BgL_variablez00_bglt) BgL_varz00_2611));
												}
												{	/* Integrate/node.scm 372 */
													obj_t BgL_auxz00_3320;
													obj_t BgL_tmpz00_3318;

													BgL_auxz00_3320 = ((obj_t) BgL_arg1760z00_2615);
													BgL_tmpz00_3318 = ((obj_t) BgL_bindingz00_2610);
													SET_CDR(BgL_tmpz00_3318, BgL_auxz00_3320);
												}
											}
										}
									else
										{	/* Integrate/node.scm 369 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1298z00_3323;

								BgL_l1298z00_3323 = CDR(BgL_l1298z00_2609);
								BgL_l1298z00_2609 = BgL_l1298z00_3323;
								goto BgL_zc3z04anonymousza31756ze3z87_2608;
							}
						}
					else
						{	/* Integrate/node.scm 365 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3325;

				{	/* Integrate/node.scm 375 */
					BgL_nodez00_bglt BgL_arg1763z00_2617;

					BgL_arg1763z00_2617 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2508)))->BgL_bodyz00);
					BgL_auxz00_3325 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1763z00_2617,
						((BgL_variablez00_bglt) BgL_integratorz00_2509));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2508)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3325), BUNSPEC);
			}
			{	/* Integrate/node.scm 376 */
				obj_t BgL_g1303z00_2618;

				BgL_g1303z00_2618 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2508)))->BgL_bindingsz00);
				{
					obj_t BgL_l1301z00_2620;

					BgL_l1301z00_2620 = BgL_g1303z00_2618;
				BgL_zc3z04anonymousza31764ze3z87_2619:
					if (PAIRP(BgL_l1301z00_2620))
						{	/* Integrate/node.scm 376 */
							{	/* Integrate/node.scm 377 */
								obj_t BgL_bindingz00_2621;

								BgL_bindingz00_2621 = CAR(BgL_l1301z00_2620);
								{	/* Integrate/node.scm 377 */
									obj_t BgL_varz00_2622;

									BgL_varz00_2622 = CAR(((obj_t) BgL_bindingz00_2621));
									if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
											((BgL_localz00_bglt) BgL_varz00_2622)))
										{	/* Integrate/node.scm 379 */
											BgL_localz00_bglt BgL_nvarz00_2623;

											BgL_nvarz00_2623 =
												BGl_cellzd2variablezd2zzintegrate_nodez00(
												((BgL_localz00_bglt) BgL_varz00_2622));
											{	/* Integrate/node.scm 380 */
												obj_t BgL_arg1768z00_2624;

												BgL_arg1768z00_2624 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_2622)))->
													BgL_fastzd2alphazd2);
												{	/* Integrate/node.scm 380 */
													obj_t BgL_tmpz00_3346;

													BgL_tmpz00_3346 = ((obj_t) BgL_bindingz00_2621);
													SET_CAR(BgL_tmpz00_3346, BgL_arg1768z00_2624);
												}
											}
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_2622))))->
													BgL_fastzd2alphazd2) = ((obj_t) BUNSPEC), BUNSPEC);
										}
									else
										{	/* Integrate/node.scm 378 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1301z00_3352;

								BgL_l1301z00_3352 = CDR(BgL_l1301z00_2620);
								BgL_l1301z00_2620 = BgL_l1301z00_3352;
								goto BgL_zc3z04anonymousza31764ze3z87_2619;
							}
						}
					else
						{	/* Integrate/node.scm 376 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2508));
		}

	}



/* &glo!-let-fun1342 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2fun1342z70zzintegrate_nodez00(obj_t
		BgL_envz00_2510, obj_t BgL_nodez00_2511, obj_t BgL_integratorz00_2512)
	{
		{	/* Integrate/node.scm 352 */
			{
				BgL_nodez00_bglt BgL_auxz00_3356;

				{	/* Integrate/node.scm 354 */
					BgL_nodez00_bglt BgL_arg1752z00_2626;

					BgL_arg1752z00_2626 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2511)))->BgL_bodyz00);
					BgL_auxz00_3356 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1752z00_2626,
						((BgL_variablez00_bglt) BgL_integratorz00_2512));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2511)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3356), BUNSPEC);
			}
			{	/* Integrate/node.scm 355 */
				obj_t BgL_g1297z00_2627;

				BgL_g1297z00_2627 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2511)))->BgL_localsz00);
				{
					obj_t BgL_l1295z00_2629;

					BgL_l1295z00_2629 = BgL_g1297z00_2627;
				BgL_zc3z04anonymousza31753ze3z87_2628:
					if (PAIRP(BgL_l1295z00_2629))
						{	/* Integrate/node.scm 355 */
							{	/* Integrate/node.scm 356 */
								obj_t BgL_localz00_2630;

								BgL_localz00_2630 = CAR(BgL_l1295z00_2629);
								BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(
									((BgL_localz00_bglt) BgL_localz00_2630),
									((BgL_variablez00_bglt) BgL_integratorz00_2512));
							}
							{
								obj_t BgL_l1295z00_3371;

								BgL_l1295z00_3371 = CDR(BgL_l1295z00_2629);
								BgL_l1295z00_2629 = BgL_l1295z00_3371;
								goto BgL_zc3z04anonymousza31753ze3z87_2628;
							}
						}
					else
						{	/* Integrate/node.scm 355 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2511));
		}

	}



/* &glo!-switch1340 */
	BgL_nodez00_bglt BGl_z62gloz12zd2switch1340za2zzintegrate_nodez00(obj_t
		BgL_envz00_2513, obj_t BgL_nodez00_2514, obj_t BgL_integratorz00_2515)
	{
		{	/* Integrate/node.scm 341 */
			{
				BgL_nodez00_bglt BgL_auxz00_3375;

				{	/* Integrate/node.scm 343 */
					BgL_nodez00_bglt BgL_arg1737z00_2632;

					BgL_arg1737z00_2632 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2514)))->BgL_testz00);
					BgL_auxz00_3375 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1737z00_2632,
						((BgL_variablez00_bglt) BgL_integratorz00_2515));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2514)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3375), BUNSPEC);
			}
			{	/* Integrate/node.scm 344 */
				obj_t BgL_g1294z00_2633;

				BgL_g1294z00_2633 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2514)))->BgL_clausesz00);
				{
					obj_t BgL_l1292z00_2635;

					BgL_l1292z00_2635 = BgL_g1294z00_2633;
				BgL_zc3z04anonymousza31738ze3z87_2634:
					if (PAIRP(BgL_l1292z00_2635))
						{	/* Integrate/node.scm 344 */
							{	/* Integrate/node.scm 345 */
								obj_t BgL_clausez00_2636;

								BgL_clausez00_2636 = CAR(BgL_l1292z00_2635);
								{	/* Integrate/node.scm 345 */
									BgL_nodez00_bglt BgL_arg1749z00_2637;

									{	/* Integrate/node.scm 345 */
										obj_t BgL_arg1750z00_2638;

										BgL_arg1750z00_2638 = CDR(((obj_t) BgL_clausez00_2636));
										BgL_arg1749z00_2637 =
											BGl_gloz12z12zzintegrate_nodez00(
											((BgL_nodez00_bglt) BgL_arg1750z00_2638),
											((BgL_variablez00_bglt) BgL_integratorz00_2515));
									}
									{	/* Integrate/node.scm 345 */
										obj_t BgL_auxz00_3394;
										obj_t BgL_tmpz00_3392;

										BgL_auxz00_3394 = ((obj_t) BgL_arg1749z00_2637);
										BgL_tmpz00_3392 = ((obj_t) BgL_clausez00_2636);
										SET_CDR(BgL_tmpz00_3392, BgL_auxz00_3394);
									}
								}
							}
							{
								obj_t BgL_l1292z00_3397;

								BgL_l1292z00_3397 = CDR(BgL_l1292z00_2635);
								BgL_l1292z00_2635 = BgL_l1292z00_3397;
								goto BgL_zc3z04anonymousza31738ze3z87_2634;
							}
						}
					else
						{	/* Integrate/node.scm 344 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2514));
		}

	}



/* &glo!-fail1338 */
	BgL_nodez00_bglt BGl_z62gloz12zd2fail1338za2zzintegrate_nodez00(obj_t
		BgL_envz00_2516, obj_t BgL_nodez00_2517, obj_t BgL_integratorz00_2518)
	{
		{	/* Integrate/node.scm 331 */
			{
				BgL_nodez00_bglt BgL_auxz00_3401;

				{	/* Integrate/node.scm 333 */
					BgL_nodez00_bglt BgL_arg1716z00_2640;

					BgL_arg1716z00_2640 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2517)))->BgL_procz00);
					BgL_auxz00_3401 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1716z00_2640,
						((BgL_variablez00_bglt) BgL_integratorz00_2518));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2517)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3401), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3408;

				{	/* Integrate/node.scm 334 */
					BgL_nodez00_bglt BgL_arg1719z00_2641;

					BgL_arg1719z00_2641 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2517)))->BgL_msgz00);
					BgL_auxz00_3408 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1719z00_2641,
						((BgL_variablez00_bglt) BgL_integratorz00_2518));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2517)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3408), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3415;

				{	/* Integrate/node.scm 335 */
					BgL_nodez00_bglt BgL_arg1725z00_2642;

					BgL_arg1725z00_2642 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2517)))->BgL_objz00);
					BgL_auxz00_3415 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1725z00_2642,
						((BgL_variablez00_bglt) BgL_integratorz00_2518));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2517)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3415), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2517));
		}

	}



/* &glo!-conditional1336 */
	BgL_nodez00_bglt BGl_z62gloz12zd2conditional1336za2zzintegrate_nodez00(obj_t
		BgL_envz00_2519, obj_t BgL_nodez00_2520, obj_t BgL_integratorz00_2521)
	{
		{	/* Integrate/node.scm 321 */
			{
				BgL_nodez00_bglt BgL_auxz00_3424;

				{	/* Integrate/node.scm 323 */
					BgL_nodez00_bglt BgL_arg1708z00_2644;

					BgL_arg1708z00_2644 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2520)))->BgL_testz00);
					BgL_auxz00_3424 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1708z00_2644,
						((BgL_variablez00_bglt) BgL_integratorz00_2521));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2520)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3424), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3431;

				{	/* Integrate/node.scm 324 */
					BgL_nodez00_bglt BgL_arg1712z00_2645;

					BgL_arg1712z00_2645 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2520)))->BgL_truez00);
					BgL_auxz00_3431 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1712z00_2645,
						((BgL_variablez00_bglt) BgL_integratorz00_2521));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2520)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3431), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3438;

				{	/* Integrate/node.scm 325 */
					BgL_nodez00_bglt BgL_arg1715z00_2646;

					BgL_arg1715z00_2646 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2520)))->BgL_falsez00);
					BgL_auxz00_3438 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1715z00_2646,
						((BgL_variablez00_bglt) BgL_integratorz00_2521));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2520)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3438), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2520));
		}

	}



/* &glo!-setq1334 */
	BgL_nodez00_bglt BGl_z62gloz12zd2setq1334za2zzintegrate_nodez00(obj_t
		BgL_envz00_2522, obj_t BgL_nodez00_2523, obj_t BgL_integratorz00_2524)
	{
		{	/* Integrate/node.scm 284 */
			{
				BgL_nodez00_bglt BgL_auxz00_3447;

				{	/* Integrate/node.scm 286 */
					BgL_nodez00_bglt BgL_arg1675z00_2648;

					BgL_arg1675z00_2648 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2523)))->BgL_valuez00);
					BgL_auxz00_3447 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1675z00_2648,
						((BgL_variablez00_bglt) BgL_integratorz00_2524));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2523)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3447), BUNSPEC);
			}
			{	/* Integrate/node.scm 287 */
				BgL_variablez00_bglt BgL_varz00_2649;

				BgL_varz00_2649 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setqz00_bglt) COBJECT(
										((BgL_setqz00_bglt) BgL_nodez00_2523)))->BgL_varz00)))->
					BgL_variablez00);
				{	/* Integrate/node.scm 287 */
					BgL_typez00_bglt BgL_vtypez00_2650;

					BgL_vtypez00_2650 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_2649))->BgL_typez00);
					{	/* Integrate/node.scm 288 */

						{	/* Integrate/node.scm 289 */
							obj_t BgL_g1141z00_2651;

							BgL_g1141z00_2651 =
								(((BgL_variablez00_bglt) COBJECT(BgL_varz00_2649))->
								BgL_fastzd2alphazd2);
							{
								BgL_variablez00_bglt BgL_varz00_2653;
								obj_t BgL_alphaz00_2654;

								BgL_varz00_2653 = BgL_varz00_2649;
								BgL_alphaz00_2654 = BgL_g1141z00_2651;
							BgL_loopz00_2652:
								if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_2654,
										BGl_localz00zzast_varz00))
									{	/* Integrate/node.scm 291 */
										{	/* Integrate/node.scm 293 */
											BgL_varz00_bglt BgL_arg1680z00_2655;

											BgL_arg1680z00_2655 =
												(((BgL_setqz00_bglt) COBJECT(
														((BgL_setqz00_bglt) BgL_nodez00_2523)))->
												BgL_varz00);
											((((BgL_varz00_bglt) COBJECT(BgL_arg1680z00_2655))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt) (
															(BgL_localz00_bglt) BgL_alphaz00_2654))),
												BUNSPEC);
										}
										{	/* Integrate/node.scm 294 */
											obj_t BgL_arg1681z00_2656;

											BgL_arg1681z00_2656 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_alphaz00_2654))))->
												BgL_fastzd2alphazd2);
											{
												obj_t BgL_alphaz00_3472;
												BgL_variablez00_bglt BgL_varz00_3469;

												BgL_varz00_3469 =
													((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_alphaz00_2654));
												BgL_alphaz00_3472 = BgL_arg1681z00_2656;
												BgL_alphaz00_2654 = BgL_alphaz00_3472;
												BgL_varz00_2653 = BgL_varz00_3469;
												goto BgL_loopz00_2652;
											}
										}
									}
								else
									{	/* Integrate/node.scm 295 */
										BgL_variablez00_bglt BgL_varz00_2657;

										BgL_varz00_2657 =
											(((BgL_varz00_bglt) COBJECT(
													(((BgL_setqz00_bglt) COBJECT(
																((BgL_setqz00_bglt) BgL_nodez00_2523)))->
														BgL_varz00)))->BgL_variablez00);
										{	/* Integrate/node.scm 296 */
											bool_t BgL_test2048z00_3476;

											{	/* Integrate/node.scm 296 */
												bool_t BgL_test2049z00_3477;

												{	/* Integrate/node.scm 296 */
													bool_t BgL_res1929z00_2658;

													BgL_res1929z00_2658 =
														BGl_isazf3zf3zz__objectz00(
														((obj_t) BgL_varz00_2657),
														BGl_localz00zzast_varz00);
													BgL_test2049z00_3477 = BgL_res1929z00_2658;
												}
												if (BgL_test2049z00_3477)
													{	/* Integrate/node.scm 296 */
														BgL_test2048z00_3476 =
															BGl_integratezd2celledzf3z21zzintegrate_nodez00(
															((BgL_localz00_bglt) BgL_varz00_2657));
													}
												else
													{	/* Integrate/node.scm 296 */
														BgL_test2048z00_3476 = ((bool_t) 0);
													}
											}
											if (BgL_test2048z00_3476)
												{	/* Integrate/node.scm 297 */
													BgL_localz00_bglt BgL_azd2varzd2_2659;
													obj_t BgL_locz00_2660;

													BgL_azd2varzd2_2659 =
														BGl_makezd2localzd2svarz00zzast_localz00
														(CNST_TABLE_REF(((long) 4)),
														((BgL_typez00_bglt)
															BGl_za2objza2z00zztype_cachez00));
													BgL_locz00_2660 =
														(((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) ((BgL_setqz00_bglt)
																		BgL_nodez00_2523))))->BgL_locz00);
													{	/* Integrate/node.scm 299 */
														obj_t BgL_vz00_2661;

														BgL_vz00_2661 = CNST_TABLE_REF(((long) 0));
														((((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_varz00_2657))))->
																BgL_accessz00) =
															((obj_t) BgL_vz00_2661), BUNSPEC);
													}
													{	/* Integrate/node.scm 300 */
														BgL_varz00_bglt BgL_arg1689z00_2662;

														BgL_arg1689z00_2662 =
															(((BgL_setqz00_bglt) COBJECT(
																	((BgL_setqz00_bglt) BgL_nodez00_2523)))->
															BgL_varz00);
														{	/* Integrate/node.scm 300 */
															BgL_typez00_bglt BgL_vz00_2663;

															BgL_vz00_2663 =
																((BgL_typez00_bglt)
																BGl_za2objza2z00zztype_cachez00);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_arg1689z00_2662)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_vz00_2663), BUNSPEC);
													}}
													{	/* Integrate/node.scm 301 */
														BgL_svarz00_bglt BgL_tmp1142z00_2664;

														BgL_tmp1142z00_2664 =
															((BgL_svarz00_bglt)
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			BgL_azd2varzd2_2659)))->BgL_valuez00));
														{	/* Integrate/node.scm 301 */
															BgL_svarzf2iinfozf2_bglt BgL_wide1144z00_2665;

															BgL_wide1144z00_2665 =
																((BgL_svarzf2iinfozf2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_svarzf2iinfozf2_bgl))));
															{	/* Integrate/node.scm 301 */
																obj_t BgL_auxz00_3504;
																BgL_objectz00_bglt BgL_tmpz00_3501;

																BgL_auxz00_3504 =
																	((obj_t) BgL_wide1144z00_2665);
																BgL_tmpz00_3501 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1142z00_2664));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3501,
																	BgL_auxz00_3504);
															}
															((BgL_objectz00_bglt)
																((BgL_svarz00_bglt) BgL_tmp1142z00_2664));
															{	/* Integrate/node.scm 301 */
																long BgL_arg1692z00_2666;

																{	/* Integrate/node.scm 301 */
																	long BgL_res1930z00_2667;

																	BgL_res1930z00_2667 =
																		BGL_CLASS_INDEX
																		(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
																	BgL_arg1692z00_2666 = BgL_res1930z00_2667;
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1142z00_2664)),
																	BgL_arg1692z00_2666);
															}
															((BgL_svarz00_bglt)
																((BgL_svarz00_bglt) BgL_tmp1142z00_2664));
														}
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3515;

															{
																obj_t BgL_auxz00_3516;

																{	/* Integrate/node.scm 302 */
																	BgL_objectz00_bglt BgL_tmpz00_3517;

																	BgL_tmpz00_3517 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1142z00_2664));
																	BgL_auxz00_3516 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_3517);
																}
																BgL_auxz00_3515 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3516);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		COBJECT(BgL_auxz00_3515))->
																	BgL_fzd2markzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
														}
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3523;

															{
																obj_t BgL_auxz00_3524;

																{	/* Integrate/node.scm 302 */
																	BgL_objectz00_bglt BgL_tmpz00_3525;

																	BgL_tmpz00_3525 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1142z00_2664));
																	BgL_auxz00_3524 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_3525);
																}
																BgL_auxz00_3523 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3524);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		COBJECT(BgL_auxz00_3523))->
																	BgL_uzd2markzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
														}
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3531;

															{
																obj_t BgL_auxz00_3532;

																{	/* Integrate/node.scm 302 */
																	BgL_objectz00_bglt BgL_tmpz00_3533;

																	BgL_tmpz00_3533 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1142z00_2664));
																	BgL_auxz00_3532 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_3533);
																}
																BgL_auxz00_3531 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3532);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		COBJECT(BgL_auxz00_3531))->
																	BgL_kapturedzf3zf3) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
														}
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3539;

															{
																obj_t BgL_auxz00_3540;

																{	/* Integrate/node.scm 302 */
																	BgL_objectz00_bglt BgL_tmpz00_3541;

																	BgL_tmpz00_3541 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1142z00_2664));
																	BgL_auxz00_3540 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_3541);
																}
																BgL_auxz00_3539 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3540);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		COBJECT(BgL_auxz00_3539))->
																	BgL_celledzf3zf3) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
														}
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3547;

															{
																obj_t BgL_auxz00_3548;

																{	/* Integrate/node.scm 302 */
																	BgL_objectz00_bglt BgL_tmpz00_3549;

																	BgL_tmpz00_3549 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1142z00_2664));
																	BgL_auxz00_3548 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_3549);
																}
																BgL_auxz00_3547 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3548);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		COBJECT(BgL_auxz00_3547))->BgL_xhdlz00) =
																((obj_t) BFALSE), BUNSPEC);
														}
														((BgL_svarz00_bglt) BgL_tmp1142z00_2664);
													}
													{	/* Integrate/node.scm 303 */
														BgL_letzd2varzd2_bglt BgL_new1147z00_2668;

														{	/* Integrate/node.scm 304 */
															BgL_letzd2varzd2_bglt BgL_new1146z00_2669;

															BgL_new1146z00_2669 =
																((BgL_letzd2varzd2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_letzd2varzd2_bgl))));
															{	/* Integrate/node.scm 304 */
																long BgL_arg1703z00_2670;

																{	/* Integrate/node.scm 304 */
																	long BgL_res1931z00_2671;

																	BgL_res1931z00_2671 =
																		BGL_CLASS_INDEX
																		(BGl_letzd2varzd2zzast_nodez00);
																	BgL_arg1703z00_2670 = BgL_res1931z00_2671;
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1146z00_2669),
																	BgL_arg1703z00_2670);
															}
															{	/* Integrate/node.scm 304 */
																BgL_objectz00_bglt BgL_tmpz00_3560;

																BgL_tmpz00_3560 =
																	((BgL_objectz00_bglt) BgL_new1146z00_2669);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3560,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1146z00_2669);
															BgL_new1147z00_2668 = BgL_new1146z00_2669;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1147z00_2668)))->
																BgL_locz00) =
															((obj_t) BgL_locz00_2660), BUNSPEC);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_new1147z00_2668)))->BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BGl_za2unspecza2z00zztype_cachez00)),
															BUNSPEC);
														((((BgL_nodezf2effectzf2_bglt)
																	COBJECT(((BgL_nodezf2effectzf2_bglt)
																			BgL_new1147z00_2668)))->
																BgL_sidezd2effectzd2) =
															((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_nodezf2effectzf2_bglt)
																	COBJECT(((BgL_nodezf2effectzf2_bglt)
																			BgL_new1147z00_2668)))->BgL_keyz00) =
															((obj_t) BINT(((long) -1))), BUNSPEC);
														{
															obj_t BgL_auxz00_3574;

															{	/* Integrate/node.scm 306 */
																obj_t BgL_arg1693z00_2672;

																{	/* Integrate/node.scm 306 */
																	BgL_nodez00_bglt BgL_arg1695z00_2673;

																	BgL_arg1695z00_2673 =
																		(((BgL_setqz00_bglt) COBJECT(
																				((BgL_setqz00_bglt)
																					BgL_nodez00_2523)))->BgL_valuez00);
																	BgL_arg1693z00_2672 =
																		MAKE_YOUNG_PAIR(((obj_t)
																			BgL_azd2varzd2_2659),
																		((obj_t) BgL_arg1695z00_2673));
																}
																{	/* Integrate/node.scm 306 */
																	obj_t BgL_list1694z00_2674;

																	BgL_list1694z00_2674 =
																		MAKE_YOUNG_PAIR(BgL_arg1693z00_2672, BNIL);
																	BgL_auxz00_3574 = BgL_list1694z00_2674;
															}}
															((((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_new1147z00_2668))->
																	BgL_bindingsz00) =
																((obj_t) BgL_auxz00_3574), BUNSPEC);
														}
														{
															BgL_nodez00_bglt BgL_auxz00_3582;

															{	/* Integrate/node.scm 307 */
																BgL_boxzd2setz12zc0_bglt BgL_new1149z00_2675;

																{	/* Integrate/node.scm 308 */
																	BgL_boxzd2setz12zc0_bglt BgL_new1148z00_2676;

																	BgL_new1148z00_2676 =
																		((BgL_boxzd2setz12zc0_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_boxzd2setz12zc0_bgl))));
																	{	/* Integrate/node.scm 308 */
																		long BgL_arg1702z00_2677;

																		{	/* Integrate/node.scm 308 */
																			long BgL_res1933z00_2678;

																			{	/* Integrate/node.scm 308 */
																				obj_t BgL_classz00_2679;

																				BgL_classz00_2679 =
																					BGl_boxzd2setz12zc0zzast_nodez00;
																				BgL_res1933z00_2678 =
																					BGL_CLASS_INDEX(BgL_classz00_2679);
																			}
																			BgL_arg1702z00_2677 = BgL_res1933z00_2678;
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1148z00_2676),
																			BgL_arg1702z00_2677);
																	}
																	{	/* Integrate/node.scm 308 */
																		BgL_objectz00_bglt BgL_tmpz00_3587;

																		BgL_tmpz00_3587 =
																			((BgL_objectz00_bglt)
																			BgL_new1148z00_2676);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3587,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1148z00_2676);
																	BgL_new1149z00_2675 = BgL_new1148z00_2676;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1149z00_2675)))->BgL_locz00) =
																	((obj_t) BgL_locz00_2660), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1149z00_2675)))->BgL_typez00) =
																	((BgL_typez00_bglt) ((BgL_typez00_bglt)
																			BGl_za2unspecza2z00zztype_cachez00)),
																	BUNSPEC);
																((((BgL_boxzd2setz12zc0_bglt)
																			COBJECT(BgL_new1149z00_2675))->
																		BgL_varz00) =
																	((BgL_varz00_bglt) (((BgL_setqz00_bglt)
																				COBJECT(((BgL_setqz00_bglt)
																						BgL_nodez00_2523)))->BgL_varz00)),
																	BUNSPEC);
																{
																	BgL_nodez00_bglt BgL_auxz00_3599;

																	{	/* Integrate/node.scm 312 */
																		BgL_varz00_bglt BgL_new1151z00_2680;

																		{	/* Integrate/node.scm 313 */
																			BgL_varz00_bglt BgL_new1150z00_2681;

																			BgL_new1150z00_2681 =
																				((BgL_varz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_varz00_bgl))));
																			{	/* Integrate/node.scm 313 */
																				long BgL_arg1696z00_2682;

																				{	/* Integrate/node.scm 313 */
																					long BgL_res1934z00_2683;

																					{	/* Integrate/node.scm 313 */
																						obj_t BgL_classz00_2684;

																						BgL_classz00_2684 =
																							BGl_varz00zzast_nodez00;
																						BgL_res1934z00_2683 =
																							BGL_CLASS_INDEX
																							(BgL_classz00_2684);
																					}
																					BgL_arg1696z00_2682 =
																						BgL_res1934z00_2683;
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1150z00_2681),
																					BgL_arg1696z00_2682);
																			}
																			BgL_new1151z00_2680 = BgL_new1150z00_2681;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1151z00_2680)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_2660), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1151z00_2680)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((
																						(BgL_variablez00_bglt)
																						COBJECT(((BgL_variablez00_bglt)
																								BgL_azd2varzd2_2659)))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_varz00_bglt)
																					COBJECT(BgL_new1151z00_2680))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_azd2varzd2_2659)), BUNSPEC);
																		BgL_auxz00_3599 =
																			((BgL_nodez00_bglt) BgL_new1151z00_2680);
																	}
																	((((BgL_boxzd2setz12zc0_bglt)
																				COBJECT(BgL_new1149z00_2675))->
																			BgL_valuez00) =
																		((BgL_nodez00_bglt) BgL_auxz00_3599),
																		BUNSPEC);
																}
																((((BgL_boxzd2setz12zc0_bglt)
																			COBJECT(BgL_new1149z00_2675))->
																		BgL_vtypez00) =
																	((BgL_typez00_bglt)
																		BGl_getzd2bigloozd2typez00zztype_cachez00
																		(BgL_vtypez00_2650)), BUNSPEC);
																BgL_auxz00_3582 =
																	((BgL_nodez00_bglt) BgL_new1149z00_2675);
															}
															((((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_new1147z00_2668))->
																	BgL_bodyz00) =
																((BgL_nodez00_bglt) BgL_auxz00_3582), BUNSPEC);
														}
														((((BgL_letzd2varzd2_bglt)
																	COBJECT(BgL_new1147z00_2668))->
																BgL_removablezf3zf3) =
															((bool_t) ((bool_t) 1)), BUNSPEC);
														return ((BgL_nodez00_bglt) BgL_new1147z00_2668);
													}
												}
											else
												{	/* Integrate/node.scm 296 */
													return
														((BgL_nodez00_bglt)
														((BgL_setqz00_bglt) BgL_nodez00_2523));
												}
										}
									}
							}
						}
					}
				}
			}
		}

	}



/* &glo!-cast1331 */
	BgL_nodez00_bglt BGl_z62gloz12zd2cast1331za2zzintegrate_nodez00(obj_t
		BgL_envz00_2525, obj_t BgL_nodez00_2526, obj_t BgL_integratorz00_2527)
	{
		{	/* Integrate/node.scm 276 */
			{	/* Integrate/node.scm 278 */
				BgL_nodez00_bglt BgL_arg1674z00_2686;

				BgL_arg1674z00_2686 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2526)))->BgL_argz00);
				BGl_gloz12z12zzintegrate_nodez00(BgL_arg1674z00_2686,
					((BgL_variablez00_bglt) BgL_integratorz00_2527));
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2526));
		}

	}



/* &glo!-extern1329 */
	BgL_nodez00_bglt BGl_z62gloz12zd2extern1329za2zzintegrate_nodez00(obj_t
		BgL_envz00_2528, obj_t BgL_nodez00_2529, obj_t BgL_integratorz00_2530)
	{
		{	/* Integrate/node.scm 268 */
			BGl_gloza2z12zb0zzintegrate_nodez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2529)))->BgL_exprza2za2),
				BgL_integratorz00_2530);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2529));
		}

	}



/* &glo!-funcall1327 */
	BgL_nodez00_bglt BGl_z62gloz12zd2funcall1327za2zzintegrate_nodez00(obj_t
		BgL_envz00_2531, obj_t BgL_nodez00_2532, obj_t BgL_integratorz00_2533)
	{
		{	/* Integrate/node.scm 259 */
			{
				BgL_nodez00_bglt BgL_auxz00_3633;

				{	/* Integrate/node.scm 261 */
					BgL_nodez00_bglt BgL_arg1668z00_2689;

					BgL_arg1668z00_2689 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2532)))->BgL_funz00);
					BgL_auxz00_3633 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1668z00_2689,
						((BgL_variablez00_bglt) BgL_integratorz00_2533));
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2532)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3633), BUNSPEC);
			}
			BGl_gloza2z12zb0zzintegrate_nodez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2532)))->BgL_argsz00),
				BgL_integratorz00_2533);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2532));
		}

	}



/* &glo!-app-ly1325 */
	BgL_nodez00_bglt BGl_z62gloz12zd2appzd2ly1325z70zzintegrate_nodez00(obj_t
		BgL_envz00_2534, obj_t BgL_nodez00_2535, obj_t BgL_integratorz00_2536)
	{
		{	/* Integrate/node.scm 250 */
			{
				BgL_nodez00_bglt BgL_auxz00_3645;

				{	/* Integrate/node.scm 252 */
					BgL_nodez00_bglt BgL_arg1665z00_2691;

					BgL_arg1665z00_2691 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2535)))->BgL_funz00);
					BgL_auxz00_3645 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1665z00_2691,
						((BgL_variablez00_bglt) BgL_integratorz00_2536));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2535)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3645), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3652;

				{	/* Integrate/node.scm 253 */
					BgL_nodez00_bglt BgL_arg1666z00_2692;

					BgL_arg1666z00_2692 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2535)))->BgL_argz00);
					BgL_auxz00_3652 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1666z00_2692,
						((BgL_variablez00_bglt) BgL_integratorz00_2536));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2535)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3652), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2535));
		}

	}



/* &glo!-app1323 */
	BgL_nodez00_bglt BGl_z62gloz12zd2app1323za2zzintegrate_nodez00(obj_t
		BgL_envz00_2537, obj_t BgL_nodez00_2538, obj_t BgL_integratorz00_2539)
	{
		{	/* Integrate/node.scm 210 */
			{	/* Integrate/node.scm 212 */
				BgL_variablez00_bglt BgL_funz00_2694;

				BgL_funz00_2694 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2538)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Integrate/node.scm 212 */
					BgL_valuez00_bglt BgL_infoz00_2695;

					BgL_infoz00_2695 =
						(((BgL_variablez00_bglt) COBJECT(BgL_funz00_2694))->BgL_valuez00);
					{	/* Integrate/node.scm 213 */

						{	/* Integrate/node.scm 215 */
							bool_t BgL_test2050z00_3665;

							{	/* Integrate/node.scm 215 */
								bool_t BgL_test2051z00_3666;

								{	/* Integrate/node.scm 215 */
									bool_t BgL_res1920z00_2696;

									BgL_res1920z00_2696 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_funz00_2694), BGl_localz00zzast_varz00);
									BgL_test2051z00_3666 = BgL_res1920z00_2696;
								}
								if (BgL_test2051z00_3666)
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3669;

										{
											obj_t BgL_auxz00_3670;

											{	/* Integrate/node.scm 215 */
												BgL_objectz00_bglt BgL_tmpz00_3671;

												BgL_tmpz00_3671 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_infoz00_2695));
												BgL_auxz00_3670 = BGL_OBJECT_WIDENING(BgL_tmpz00_3671);
											}
											BgL_auxz00_3669 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_3670);
										}
										BgL_test2050z00_3665 =
											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3669))->
											BgL_gzf3zf3);
									}
								else
									{	/* Integrate/node.scm 215 */
										BgL_test2050z00_3665 = ((bool_t) 0);
									}
							}
							if (BgL_test2050z00_3665)
								{	/* Integrate/node.scm 217 */
									BgL_varz00_bglt BgL_arg1637z00_2697;

									{	/* Integrate/node.scm 217 */
										BgL_varz00_bglt BgL_new1130z00_2698;

										{	/* Integrate/node.scm 218 */
											BgL_varz00_bglt BgL_new1129z00_2699;

											BgL_new1129z00_2699 =
												((BgL_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_varz00_bgl))));
											{	/* Integrate/node.scm 218 */
												long BgL_arg1642z00_2700;

												{	/* Integrate/node.scm 218 */
													long BgL_res1922z00_2701;

													BgL_res1922z00_2701 =
														BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
													BgL_arg1642z00_2700 = BgL_res1922z00_2701;
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1129z00_2699),
													BgL_arg1642z00_2700);
											}
											BgL_new1130z00_2698 = BgL_new1129z00_2699;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1130z00_2698)))->
												BgL_locz00) =
											((obj_t) (((BgL_nodez00_bglt)
														COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																	BgL_nodez00_2538))))->BgL_locz00)), BUNSPEC);
										{
											BgL_typez00_bglt BgL_auxz00_3686;

											{	/* Integrate/node.scm 219 */
												obj_t BgL_arg1641z00_2702;

												BgL_arg1641z00_2702 =
													BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
													((BgL_localz00_bglt) BgL_funz00_2694));
												BgL_auxz00_3686 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_arg1641z00_2702)))->
													BgL_typez00);
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1130z00_2698)))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_auxz00_3686), BUNSPEC);
										}
										((((BgL_varz00_bglt) COBJECT(BgL_new1130z00_2698))->
												BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31((
															(BgL_localz00_bglt) BgL_funz00_2694)))), BUNSPEC);
										BgL_arg1637z00_2697 = BgL_new1130z00_2698;
									}
									((((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_2538)))->BgL_funz00) =
										((BgL_varz00_bglt) BgL_arg1637z00_2697), BUNSPEC);
								}
							else
								{	/* Integrate/node.scm 215 */
									BFALSE;
								}
						}
						{
							obj_t BgL_nodesz00_2704;

							BgL_nodesz00_2704 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2538)))->BgL_argsz00);
						BgL_liipz00_2703:
							if (NULLP(BgL_nodesz00_2704))
								{	/* Integrate/node.scm 224 */
									CNST_TABLE_REF(((long) 2));
								}
							else
								{	/* Integrate/node.scm 224 */
									{	/* Integrate/node.scm 227 */
										BgL_nodez00_bglt BgL_arg1648z00_2705;

										{	/* Integrate/node.scm 227 */
											obj_t BgL_arg1649z00_2706;

											BgL_arg1649z00_2706 = CAR(((obj_t) BgL_nodesz00_2704));
											BgL_arg1648z00_2705 =
												BGl_gloz12z12zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_arg1649z00_2706),
												((BgL_variablez00_bglt) BgL_integratorz00_2539));
										}
										{	/* Integrate/node.scm 227 */
											obj_t BgL_auxz00_3709;
											obj_t BgL_tmpz00_3707;

											BgL_auxz00_3709 = ((obj_t) BgL_arg1648z00_2705);
											BgL_tmpz00_3707 = ((obj_t) BgL_nodesz00_2704);
											SET_CAR(BgL_tmpz00_3707, BgL_auxz00_3709);
										}
									}
									{	/* Integrate/node.scm 228 */
										obj_t BgL_arg1651z00_2707;

										BgL_arg1651z00_2707 = CDR(((obj_t) BgL_nodesz00_2704));
										{
											obj_t BgL_nodesz00_3714;

											BgL_nodesz00_3714 = BgL_arg1651z00_2707;
											BgL_nodesz00_2704 = BgL_nodesz00_3714;
											goto BgL_liipz00_2703;
										}
									}
								}
						}
						{	/* Integrate/node.scm 229 */
							bool_t BgL_test2053z00_3717;

							{	/* Integrate/node.scm 229 */
								bool_t BgL_test2054z00_3718;

								{	/* Integrate/node.scm 229 */
									bool_t BgL_res1924z00_2708;

									BgL_res1924z00_2708 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_funz00_2694), BGl_globalz00zzast_varz00);
									BgL_test2054z00_3718 = BgL_res1924z00_2708;
								}
								if (BgL_test2054z00_3718)
									{	/* Integrate/node.scm 229 */
										BgL_test2053z00_3717 = ((bool_t) 1);
									}
								else
									{	/* Integrate/node.scm 229 */
										bool_t BgL_test2055z00_3721;

										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3722;

											{
												obj_t BgL_auxz00_3723;

												{	/* Integrate/node.scm 229 */
													BgL_objectz00_bglt BgL_tmpz00_3724;

													BgL_tmpz00_3724 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_infoz00_2695));
													BgL_auxz00_3723 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3724);
												}
												BgL_auxz00_3722 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_3723);
											}
											BgL_test2055z00_3721 =
												(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3722))->
												BgL_gzf3zf3);
										}
										if (BgL_test2055z00_3721)
											{	/* Integrate/node.scm 229 */
												BgL_test2053z00_3717 = ((bool_t) 0);
											}
										else
											{	/* Integrate/node.scm 229 */
												BgL_test2053z00_3717 = ((bool_t) 1);
											}
									}
							}
							if (BgL_test2053z00_3717)
								{	/* Integrate/node.scm 229 */
									BFALSE;
								}
							else
								{	/* Integrate/node.scm 232 */
									obj_t BgL_g1133z00_2709;

									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3730;

										{
											obj_t BgL_auxz00_3731;

											{	/* Integrate/node.scm 233 */
												BgL_objectz00_bglt BgL_tmpz00_3732;

												BgL_tmpz00_3732 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_infoz00_2695));
												BgL_auxz00_3731 = BGL_OBJECT_WIDENING(BgL_tmpz00_3732);
											}
											BgL_auxz00_3730 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_3731);
										}
										BgL_g1133z00_2709 =
											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3730))->
											BgL_kapturedz00);
									}
									{
										obj_t BgL_newzd2actualszd2_2711;
										obj_t BgL_kapturedz00_2712;

										BgL_newzd2actualszd2_2711 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_2538)))->BgL_argsz00);
										BgL_kapturedz00_2712 = BgL_g1133z00_2709;
									BgL_loopz00_2710:
										if (NULLP(BgL_kapturedz00_2712))
											{	/* Integrate/node.scm 234 */
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2538)))->
														BgL_argsz00) =
													((obj_t) BgL_newzd2actualszd2_2711), BUNSPEC);
											}
										else
											{	/* Integrate/node.scm 236 */
												obj_t BgL_kapz00_2713;

												BgL_kapz00_2713 = CAR(((obj_t) BgL_kapturedz00_2712));
												{	/* Integrate/node.scm 236 */
													obj_t BgL_alphaz00_2714;

													BgL_alphaz00_2714 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_kapz00_2713))))->
														BgL_fastzd2alphazd2);
													{	/* Integrate/node.scm 237 */
														obj_t BgL_varz00_2715;

														if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_2714,
																BGl_localz00zzast_varz00))
															{	/* Integrate/node.scm 238 */
																BgL_varz00_2715 = BgL_alphaz00_2714;
															}
														else
															{	/* Integrate/node.scm 238 */
																BgL_varz00_2715 = BgL_kapz00_2713;
															}
														{	/* Integrate/node.scm 238 */

															{	/* Integrate/node.scm 239 */
																obj_t BgL_arg1658z00_2716;
																obj_t BgL_arg1659z00_2717;

																{	/* Integrate/node.scm 239 */
																	BgL_varz00_bglt BgL_arg1660z00_2718;

																	{	/* Integrate/node.scm 239 */
																		BgL_varz00_bglt BgL_new1135z00_2719;

																		{	/* Integrate/node.scm 242 */
																			BgL_varz00_bglt BgL_new1134z00_2720;

																			BgL_new1134z00_2720 =
																				((BgL_varz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_varz00_bgl))));
																			{	/* Integrate/node.scm 242 */
																				long BgL_arg1661z00_2721;

																				{	/* Integrate/node.scm 242 */
																					long BgL_res1927z00_2722;

																					BgL_res1927z00_2722 =
																						BGL_CLASS_INDEX
																						(BGl_varz00zzast_nodez00);
																					BgL_arg1661z00_2721 =
																						BgL_res1927z00_2722;
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1134z00_2720),
																					BgL_arg1661z00_2721);
																			}
																			BgL_new1135z00_2719 = BgL_new1134z00_2720;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1135z00_2719)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt) (
																									(BgL_appz00_bglt)
																									BgL_nodez00_2538))))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1135z00_2719)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((
																						(BgL_variablez00_bglt)
																						COBJECT(((BgL_variablez00_bglt)
																								BgL_varz00_2715)))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_varz00_bglt)
																					COBJECT(BgL_new1135z00_2719))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_varz00_2715)), BUNSPEC);
																		BgL_arg1660z00_2718 = BgL_new1135z00_2719;
																	}
																	BgL_arg1658z00_2716 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1660z00_2718),
																		BgL_newzd2actualszd2_2711);
																}
																BgL_arg1659z00_2717 =
																	CDR(((obj_t) BgL_kapturedz00_2712));
																{
																	obj_t BgL_kapturedz00_3769;
																	obj_t BgL_newzd2actualszd2_3768;

																	BgL_newzd2actualszd2_3768 =
																		BgL_arg1658z00_2716;
																	BgL_kapturedz00_3769 = BgL_arg1659z00_2717;
																	BgL_kapturedz00_2712 = BgL_kapturedz00_3769;
																	BgL_newzd2actualszd2_2711 =
																		BgL_newzd2actualszd2_3768;
																	goto BgL_loopz00_2710;
																}
															}
														}
													}
												}
											}
									}
								}
						}
						return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2538));
					}
				}
			}
		}

	}



/* &glo!-sync1321 */
	BgL_nodez00_bglt BGl_z62gloz12zd2sync1321za2zzintegrate_nodez00(obj_t
		BgL_envz00_2540, obj_t BgL_nodez00_2541, obj_t BgL_integratorz00_2542)
	{
		{	/* Integrate/node.scm 200 */
			{
				BgL_nodez00_bglt BgL_auxz00_3774;

				{	/* Integrate/node.scm 202 */
					BgL_nodez00_bglt BgL_arg1628z00_2724;

					BgL_arg1628z00_2724 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2541)))->BgL_mutexz00);
					BgL_auxz00_3774 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1628z00_2724,
						((BgL_variablez00_bglt) BgL_integratorz00_2542));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2541)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3774), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3781;

				{	/* Integrate/node.scm 203 */
					BgL_nodez00_bglt BgL_arg1631z00_2725;

					BgL_arg1631z00_2725 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2541)))->BgL_prelockz00);
					BgL_auxz00_3781 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1631z00_2725,
						((BgL_variablez00_bglt) BgL_integratorz00_2542));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2541)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3781), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3788;

				{	/* Integrate/node.scm 204 */
					BgL_nodez00_bglt BgL_arg1633z00_2726;

					BgL_arg1633z00_2726 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2541)))->BgL_bodyz00);
					BgL_auxz00_3788 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1633z00_2726,
						((BgL_variablez00_bglt) BgL_integratorz00_2542));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2541)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3788), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2541));
		}

	}



/* &glo!-sequence1319 */
	BgL_nodez00_bglt BGl_z62gloz12zd2sequence1319za2zzintegrate_nodez00(obj_t
		BgL_envz00_2543, obj_t BgL_nodez00_2544, obj_t BgL_integratorz00_2545)
	{
		{	/* Integrate/node.scm 192 */
			BGl_gloza2z12zb0zzintegrate_nodez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2544)))->BgL_nodesz00),
				BgL_integratorz00_2545);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2544));
		}

	}



/* &glo!-closure1317 */
	BgL_nodez00_bglt BGl_z62gloz12zd2closure1317za2zzintegrate_nodez00(obj_t
		BgL_envz00_2546, obj_t BgL_nodez00_2547, obj_t BgL_integratorz00_2548)
	{
		{	/* Integrate/node.scm 186 */
			{	/* Integrate/node.scm 187 */
				obj_t BgL_arg1622z00_2729;

				BgL_arg1622z00_2729 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2547)));
				return
					((BgL_nodez00_bglt)
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string1974z00zzintegrate_nodez00,
						BGl_string1975z00zzintegrate_nodez00, BgL_arg1622z00_2729));
			}
		}

	}



/* &glo!-var1315 */
	BgL_nodez00_bglt BGl_z62gloz12zd2var1315za2zzintegrate_nodez00(obj_t
		BgL_envz00_2549, obj_t BgL_nodez00_2550, obj_t BgL_integratorz00_2551)
	{
		{	/* Integrate/node.scm 157 */
			{	/* Integrate/node.scm 158 */
				BgL_variablez00_bglt BgL_variablez00_2731;

				BgL_variablez00_2731 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_2550)))->BgL_variablez00);
				{	/* Integrate/node.scm 158 */
					BgL_typez00_bglt BgL_vtypez00_2732;

					BgL_vtypez00_2732 =
						(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_2731))->
						BgL_typez00);
					{	/* Integrate/node.scm 159 */

						{
							BgL_variablez00_bglt BgL_variablez00_2734;

							BgL_variablez00_2734 = BgL_variablez00_2731;
						BgL_loopz00_2733:
							{	/* Integrate/node.scm 161 */
								obj_t BgL_alphaz00_2735;

								BgL_alphaz00_2735 =
									(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_2734))->
									BgL_fastzd2alphazd2);
								if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_2735,
										BGl_localz00zzast_varz00))
									{	/* Integrate/node.scm 163 */
										((((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_nodez00_2550)))->
												BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt) (
														(BgL_localz00_bglt) BgL_alphaz00_2735))), BUNSPEC);
										{	/* Integrate/node.scm 165 */
											BgL_typez00_bglt BgL_arg1608z00_2736;

											BgL_arg1608z00_2736 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_alphaz00_2735))))->
												BgL_typez00);
											((((BgL_nodez00_bglt)
														COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
																	BgL_nodez00_2550))))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_arg1608z00_2736), BUNSPEC);
										}
										{
											BgL_variablez00_bglt BgL_variablez00_3823;

											BgL_variablez00_3823 =
												((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_alphaz00_2735));
											BgL_variablez00_2734 = BgL_variablez00_3823;
											goto BgL_loopz00_2733;
										}
									}
								else
									{	/* Integrate/node.scm 167 */
										bool_t BgL_test2059z00_3826;

										{	/* Integrate/node.scm 167 */
											bool_t BgL_res1917z00_2737;

											BgL_res1917z00_2737 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_variablez00_2734),
												BGl_globalz00zzast_varz00);
											BgL_test2059z00_3826 = BgL_res1917z00_2737;
										}
										if (BgL_test2059z00_3826)
											{	/* Integrate/node.scm 167 */
												return
													((BgL_nodez00_bglt)
													((BgL_varz00_bglt) BgL_nodez00_2550));
											}
										else
											{	/* Integrate/node.scm 167 */
												if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
														((BgL_localz00_bglt) BgL_variablez00_2734)))
													{	/* Integrate/node.scm 171 */
														BgL_typez00_bglt BgL_vtypez00_2738;

														BgL_vtypez00_2738 =
															BGl_getzd2bigloozd2typez00zztype_cachez00
															(BgL_vtypez00_2732);
														{	/* Integrate/node.scm 173 */
															BgL_typez00_bglt BgL_vz00_2739;

															BgL_vz00_2739 =
																((BgL_typez00_bglt)
																BGl_za2cellza2z00zztype_cachez00);
															((((BgL_nodez00_bglt)
																		COBJECT(((BgL_nodez00_bglt) (
																					(BgL_varz00_bglt)
																					BgL_nodez00_2550))))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_vz00_2739), BUNSPEC);
														}
														{	/* Integrate/node.scm 174 */
															BgL_boxzd2refzd2_bglt BgL_new1125z00_2740;

															{	/* Integrate/node.scm 175 */
																BgL_boxzd2refzd2_bglt BgL_new1123z00_2741;

																BgL_new1123z00_2741 =
																	((BgL_boxzd2refzd2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_boxzd2refzd2_bgl))));
																{	/* Integrate/node.scm 175 */
																	long BgL_arg1614z00_2742;

																	{	/* Integrate/node.scm 175 */
																		long BgL_res1918z00_2743;

																		BgL_res1918z00_2743 =
																			BGL_CLASS_INDEX
																			(BGl_boxzd2refzd2zzast_nodez00);
																		BgL_arg1614z00_2742 = BgL_res1918z00_2743;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1123z00_2741),
																		BgL_arg1614z00_2742);
																}
																{	/* Integrate/node.scm 175 */
																	BgL_objectz00_bglt BgL_tmpz00_3843;

																	BgL_tmpz00_3843 =
																		((BgL_objectz00_bglt) BgL_new1123z00_2741);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3843,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1123z00_2741);
																BgL_new1125z00_2740 = BgL_new1123z00_2741;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1125z00_2740)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt) (
																						(BgL_varz00_bglt)
																						BgL_nodez00_2550))))->BgL_locz00)),
																BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1125z00_2740)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_vtypez00_2738),
																BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1125z00_2740)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1125z00_2740)))->BgL_keyz00) =
																((obj_t) BINT(((long) -1))), BUNSPEC);
															((((BgL_boxzd2refzd2_bglt)
																		COBJECT(BgL_new1125z00_2740))->BgL_varz00) =
																((BgL_varz00_bglt) ((BgL_varz00_bglt)
																		BgL_nodez00_2550)), BUNSPEC);
															((((BgL_boxzd2refzd2_bglt)
																		COBJECT(BgL_new1125z00_2740))->
																	BgL_vtypez00) =
																((BgL_typez00_bglt) BgL_vtypez00_2738),
																BUNSPEC);
															return ((BgL_nodez00_bglt) BgL_new1125z00_2740);
														}
													}
												else
													{	/* Integrate/node.scm 169 */
														return
															((BgL_nodez00_bglt)
															((BgL_varz00_bglt) BgL_nodez00_2550));
													}
											}
									}
							}
						}
					}
				}
			}
		}

	}



/* &glo!-kwote1313 */
	BgL_nodez00_bglt BGl_z62gloz12zd2kwote1313za2zzintegrate_nodez00(obj_t
		BgL_envz00_2552, obj_t BgL_nodez00_2553, obj_t BgL_integratorz00_2554)
	{
		{	/* Integrate/node.scm 151 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2553));
		}

	}



/* &glo!-atom1311 */
	BgL_nodez00_bglt BGl_z62gloz12zd2atom1311za2zzintegrate_nodez00(obj_t
		BgL_envz00_2555, obj_t BgL_nodez00_2556, obj_t BgL_integratorz00_2557)
	{
		{	/* Integrate/node.scm 145 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2556));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_nodez00()
	{
		{	/* Integrate/node.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1976z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1976z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1976z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1976z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1976z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1976z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1976z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1976z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1976z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1976z00zzintegrate_nodez00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(((long)
					143977554), BSTRING_TO_STRING(BGl_string1976z00zzintegrate_nodez00));
		}

	}

#ifdef __cplusplus
}
#endif
