/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue 12 May 2020 08:36:09 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.3h/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_types.scm -o objs/obj_p/Eval/evaluate_types.o) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_z62lambda1768z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1769z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2561z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2565z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_absz00_bglt BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1932z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31668ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1773z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1774z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1939z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2572z00zz__evaluate_typesz00 = BUNSPEC;
extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_symbol2577z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_letz00_bglt BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1943z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1782z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1944z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1948z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1949z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1789z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2582z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31791ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31864ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1790z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31597ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31759ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1953z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1958z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1797z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1959z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1799z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2590z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2595z00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1964z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1965z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31688ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1972z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1978z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1979z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31973ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62lambda1992z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1993z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62zc3z04anonymousza31413ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31994ze3ze5zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1401z62zz__evaluate_typesz00(obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1409z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1411z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1417z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1418z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1425z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31528ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1426z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
static obj_t BGl_z62lambda1432z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31472ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1433z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31545ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_globalz00_bglt BGl_z62lambda1439z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_setlocalz00_bglt BGl_z62lambda1604z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_globalz00_bglt BGl_z62lambda1443z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31708ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1606z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1449z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2401z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2407z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1450z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1613z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1614z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1454z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1459z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2412z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2416z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_setglobalz00_bglt BGl_z62lambda1620z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31580ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31904ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1460z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1622z62zz__evaluate_typesz00(obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1467z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2421z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2425z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2429z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1630z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1631z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1477z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1639z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2433z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2438z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1640z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1806z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_ifz00_bglt BGl_z62lambda1483z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1807z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1646z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__evaluate_typesz00();
static BgL_ev_ifz00_bglt BGl_z62lambda1485z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1647z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2604z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2442z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2609z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2447z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_letrecz00_bglt BGl_z62lambda1814z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31818ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1491z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31729ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1492z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1654z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_letrecz00_bglt BGl_z62lambda1816z62zz__evaluate_typesz00(obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1496z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1497z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2452z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2619z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2457z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_labelsz00_bglt BGl_z62lambda1824z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1664z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1826z62zz__evaluate_typesz00(obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1666z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2461z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2625z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2465z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2629z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31852ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1832z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1833z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31658ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1672z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1673z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1677z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1678z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2470z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2636z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2477z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1843z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1844z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1684z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2642z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2482z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2648z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2486z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1850z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1851z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1692z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1693z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1856z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1857z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1697z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1698z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2653z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2491z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2659z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1862z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1863z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2663z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_gotoz00_bglt BGl_z62lambda1870z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_gotoz00_bglt BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1879z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2672z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2674z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2679z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31784ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1883z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1888z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1889z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2684z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_symbol2689z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31874ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1893z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1894z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2697z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2699z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31980ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31966ze3ze5zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31403ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31987ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31512ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31427ze3ze5zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31801ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31445ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31624ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31608ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1501z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1502z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_listz00_bglt BGl_z62lambda1508z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
static BgL_ev_listz00_bglt BGl_z62lambda1510z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1517z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1518z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_orz00_bglt BGl_z62lambda1524z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_orz00_bglt BGl_z62lambda1526z62zz__evaluate_typesz00(obj_t);
extern obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31555ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_andz00_bglt BGl_z62lambda1539z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_andz00_bglt BGl_z62lambda1542z62zz__evaluate_typesz00(obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1704z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1706z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2502z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2507z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1712z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1551z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1713z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31808ze3ze5zz__evaluate_typesz00(obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1553z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1718z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1719z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1559z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1399z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2511z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2515z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1560z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1725z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1568z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1569z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2520z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2529z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1733z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1734z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_hookz00_bglt BGl_z62lambda1575z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1738z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_hookz00_bglt BGl_z62lambda1578z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2533z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2373z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2375z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2379z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_appz00_bglt BGl_z62lambda1900z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_appz00_bglt BGl_z62lambda1902z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1743z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31487ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1744z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1908z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1909z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1586z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2540z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2381z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2546z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2386z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2388z00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1913z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31828ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1918z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1595z62zz__evaluate_typesz00(obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1757z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1919z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2550z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2392z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2557z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2397z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31934ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31845ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1923z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1763z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1764z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2400z00zz__evaluate_typesz00, BgL_bgl_za762lambda1449za7622701z00, BGl_z62lambda1449z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2403z00zz__evaluate_typesz00, BgL_bgl_za762lambda1455za7622702z00, BGl_z62lambda1455z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2404z00zz__evaluate_typesz00, BgL_bgl_za762lambda1454za7622703z00, BGl_z62lambda1454z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2405z00zz__evaluate_typesz00, BgL_bgl_za762lambda1460za7622704z00, BGl_z62lambda1460z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2406z00zz__evaluate_typesz00, BgL_bgl_za762lambda1459za7622705z00, BGl_z62lambda1459z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2409z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2706za7, BGl_z62zc3z04anonymousza31445ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2410z00zz__evaluate_typesz00, BgL_bgl_za762lambda1443za7622707z00, BGl_z62lambda1443z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2411z00zz__evaluate_typesz00, BgL_bgl_za762lambda1439za7622708z00, BGl_z62lambda1439z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2414z00zz__evaluate_typesz00, BgL_bgl_za762lambda1477za7622709z00, BGl_z62lambda1477z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2415z00zz__evaluate_typesz00, BgL_bgl_za762lambda1476za7622710z00, BGl_z62lambda1476z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2503z00zz__evaluate_typesz00, BgL_bgl_string2503za700za7za7_2711za7, "ev_setglobal", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2418z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2712za7, BGl_z62zc3z04anonymousza31472ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2419z00zz__evaluate_typesz00, BgL_bgl_za762lambda1470za7622713z00, BGl_z62lambda1470z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2508z00zz__evaluate_typesz00, BgL_bgl_string2508za700za7za7_2714za7, "ev_defglobal", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2420z00zz__evaluate_typesz00, BgL_bgl_za762lambda1467za7622715z00, BGl_z62lambda1467z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2423z00zz__evaluate_typesz00, BgL_bgl_za762lambda1492za7622716z00, BGl_z62lambda1492z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2424z00zz__evaluate_typesz00, BgL_bgl_za762lambda1491za7622717z00, BGl_z62lambda1491z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2512z00zz__evaluate_typesz00, BgL_bgl_string2512za700za7za7_2718za7, "var", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2427z00zz__evaluate_typesz00, BgL_bgl_za762lambda1497za7622719z00, BGl_z62lambda1497z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2428z00zz__evaluate_typesz00, BgL_bgl_za762lambda1496za7622720z00, BGl_z62lambda1496z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2516z00zz__evaluate_typesz00, BgL_bgl_string2516za700za7za7_2721za7, "body", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2431z00zz__evaluate_typesz00, BgL_bgl_za762lambda1502za7622722z00, BGl_z62lambda1502z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2432z00zz__evaluate_typesz00, BgL_bgl_za762lambda1501za7622723z00, BGl_z62lambda1501z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2521z00zz__evaluate_typesz00, BgL_bgl_string2521za700za7za7_2724za7, "ev_bind-exit", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2435z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2725za7, BGl_z62zc3z04anonymousza31487ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2436z00zz__evaluate_typesz00, BgL_bgl_za762lambda1485za7622726z00, BGl_z62lambda1485z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2437z00zz__evaluate_typesz00, BgL_bgl_za762lambda1483za7622727z00, BGl_z62lambda1483z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2600z00zz__evaluate_typesz00, BgL_bgl_za762lambda1837za7622728z00, BGl_z62lambda1837z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2601z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2729za7, BGl_z62zc3z04anonymousza31845ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2602z00zz__evaluate_typesz00, BgL_bgl_za762lambda1844za7622730z00, BGl_z62lambda1844z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2440z00zz__evaluate_typesz00, BgL_bgl_za762lambda1518za7622731z00, BGl_z62lambda1518z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2603z00zz__evaluate_typesz00, BgL_bgl_za762lambda1843za7622732z00, BGl_z62lambda1843z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2441z00zz__evaluate_typesz00, BgL_bgl_za762lambda1517za7622733z00, BGl_z62lambda1517z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2530z00zz__evaluate_typesz00, BgL_bgl_string2530za700za7za7_2734za7, "ev_unwind-protect", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2606z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2735za7, BGl_z62zc3z04anonymousza31852ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2444z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2736za7, BGl_z62zc3z04anonymousza31512ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2607z00zz__evaluate_typesz00, BgL_bgl_za762lambda1851za7622737z00, BGl_z62lambda1851z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2445z00zz__evaluate_typesz00, BgL_bgl_za762lambda1510za7622738z00, BGl_z62lambda1510z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2608z00zz__evaluate_typesz00, BgL_bgl_za762lambda1850za7622739z00, BGl_z62lambda1850z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2446z00zz__evaluate_typesz00, BgL_bgl_za762lambda1508za7622740z00, BGl_z62lambda1508z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2534z00zz__evaluate_typesz00, BgL_bgl_string2534za700za7za7_2741za7, "handler", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2449z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2742za7, BGl_z62zc3z04anonymousza31528ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2374z00zz__evaluate_typesz00, BgL_bgl_string2374za700za7za7_2743za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string2376z00zz__evaluate_typesz00, BgL_bgl_string2376za700za7za7_2744za7, "__evaluate_types", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2611z00zz__evaluate_typesz00, BgL_bgl_za762lambda1857za7622745z00, BGl_z62lambda1857z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2612z00zz__evaluate_typesz00, BgL_bgl_za762lambda1856za7622746z00, BGl_z62lambda1856z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2450z00zz__evaluate_typesz00, BgL_bgl_za762lambda1526za7622747z00, BGl_z62lambda1526z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2700z00zz__evaluate_typesz00, BgL_bgl_string2700za700za7za7_2748za7, "_", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2613z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2749za7, BGl_z62zc3z04anonymousza31864ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2451z00zz__evaluate_typesz00, BgL_bgl_za762lambda1524za7622750z00, BGl_z62lambda1524z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2614z00zz__evaluate_typesz00, BgL_bgl_za762lambda1863za7622751z00, BGl_z62lambda1863z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2615z00zz__evaluate_typesz00, BgL_bgl_za762lambda1862za7622752z00, BGl_z62lambda1862z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2616z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2753za7, BGl_z62zc3z04anonymousza31828ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2541z00zz__evaluate_typesz00, BgL_bgl_string2541za700za7za7_2754za7, "ev_with-handler", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2454z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2755za7, BGl_z62zc3z04anonymousza31545ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2617z00zz__evaluate_typesz00, BgL_bgl_za762lambda1826za7622756z00, BGl_z62lambda1826z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2455z00zz__evaluate_typesz00, BgL_bgl_za762lambda1542za7622757z00, BGl_z62lambda1542z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2380z00zz__evaluate_typesz00, BgL_bgl_string2380za700za7za7_2758za7, "name", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2618z00zz__evaluate_typesz00, BgL_bgl_za762lambda1824za7622759z00, BGl_z62lambda1824z62zz__evaluate_typesz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2456z00zz__evaluate_typesz00, BgL_bgl_za762lambda1539za7622760z00, BGl_z62lambda1539z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2382z00zz__evaluate_typesz00, BgL_bgl_string2382za700za7za7_2761za7, "symbol", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2459z00zz__evaluate_typesz00, BgL_bgl_za762lambda1560za7622762z00, BGl_z62lambda1560z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2547z00zz__evaluate_typesz00, BgL_bgl_string2547za700za7za7_2763za7, "mutex", 5 );
DEFINE_STRING( BGl_string2387z00zz__evaluate_typesz00, BgL_bgl_string2387za700za7za7_2764za7, "eff", 3 );
DEFINE_STRING( BGl_string2389z00zz__evaluate_typesz00, BgL_bgl_string2389za700za7za7_2765za7, "obj", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2621z00zz__evaluate_typesz00, BgL_bgl_za762lambda1879za7622766z00, BGl_z62lambda1879z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2622z00zz__evaluate_typesz00, BgL_bgl_za762lambda1878za7622767z00, BGl_z62lambda1878z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2460z00zz__evaluate_typesz00, BgL_bgl_za762lambda1559za7622768z00, BGl_z62lambda1559z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2623z00zz__evaluate_typesz00, BgL_bgl_za762lambda1884za7622769z00, BGl_z62lambda1884z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2624z00zz__evaluate_typesz00, BgL_bgl_za762lambda1883za7622770z00, BGl_z62lambda1883z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2463z00zz__evaluate_typesz00, BgL_bgl_za762lambda1569za7622771z00, BGl_z62lambda1569z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2551z00zz__evaluate_typesz00, BgL_bgl_string2551za700za7za7_2772za7, "prelock", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2464z00zz__evaluate_typesz00, BgL_bgl_za762lambda1568za7622773z00, BGl_z62lambda1568z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2627z00zz__evaluate_typesz00, BgL_bgl_za762lambda1889za7622774z00, BGl_z62lambda1889z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2628z00zz__evaluate_typesz00, BgL_bgl_za762lambda1888za7622775z00, BGl_z62lambda1888z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2467z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2776za7, BGl_z62zc3z04anonymousza31555ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2468z00zz__evaluate_typesz00, BgL_bgl_za762lambda1553za7622777z00, BGl_z62lambda1553z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2393z00zz__evaluate_typesz00, BgL_bgl_string2393za700za7za7_2778za7, "type", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2469z00zz__evaluate_typesz00, BgL_bgl_za762lambda1551za7622779z00, BGl_z62lambda1551z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2558z00zz__evaluate_typesz00, BgL_bgl_string2558za700za7za7_2780za7, "ev_synchronize", 14 );
DEFINE_STRING( BGl_string2398z00zz__evaluate_typesz00, BgL_bgl_string2398za700za7za7_2781za7, "ev_var", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2631z00zz__evaluate_typesz00, BgL_bgl_za762lambda1894za7622782z00, BGl_z62lambda1894z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2632z00zz__evaluate_typesz00, BgL_bgl_za762lambda1893za7622783z00, BGl_z62lambda1893z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2633z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2784za7, BGl_z62zc3z04anonymousza31874ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2634z00zz__evaluate_typesz00, BgL_bgl_za762lambda1872za7622785z00, BGl_z62lambda1872z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2472z00zz__evaluate_typesz00, BgL_bgl_za762lambda1587za7622786z00, BGl_z62lambda1587z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2635z00zz__evaluate_typesz00, BgL_bgl_za762lambda1870za7622787z00, BGl_z62lambda1870z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2473z00zz__evaluate_typesz00, BgL_bgl_za762lambda1586za7622788z00, BGl_z62lambda1586z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2474z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2789za7, BGl_z62zc3z04anonymousza31580ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2562z00zz__evaluate_typesz00, BgL_bgl_string2562za700za7za7_2790za7, "vars", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2475z00zz__evaluate_typesz00, BgL_bgl_za762lambda1578za7622791z00, BGl_z62lambda1578z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2638z00zz__evaluate_typesz00, BgL_bgl_za762lambda1909za7622792z00, BGl_z62lambda1909z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2476z00zz__evaluate_typesz00, BgL_bgl_za762lambda1575za7622793z00, BGl_z62lambda1575z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2639z00zz__evaluate_typesz00, BgL_bgl_za762lambda1908za7622794z00, BGl_z62lambda1908z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2566z00zz__evaluate_typesz00, BgL_bgl_string2566za700za7za7_2795za7, "vals", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2479z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2796za7, BGl_z62zc3z04anonymousza31597ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2640z00zz__evaluate_typesz00, BgL_bgl_za762lambda1914za7622797z00, BGl_z62lambda1914z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2641z00zz__evaluate_typesz00, BgL_bgl_za762lambda1913za7622798z00, BGl_z62lambda1913z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2480z00zz__evaluate_typesz00, BgL_bgl_za762lambda1595za7622799z00, BGl_z62lambda1595z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2481z00zz__evaluate_typesz00, BgL_bgl_za762lambda1593za7622800z00, BGl_z62lambda1593z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2644z00zz__evaluate_typesz00, BgL_bgl_za762lambda1919za7622801z00, BGl_z62lambda1919z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2645z00zz__evaluate_typesz00, BgL_bgl_za762lambda1918za7622802z00, BGl_z62lambda1918z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2646z00zz__evaluate_typesz00, BgL_bgl_za762lambda1924za7622803z00, BGl_z62lambda1924z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2484z00zz__evaluate_typesz00, BgL_bgl_za762lambda1614za7622804z00, BGl_z62lambda1614z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2647z00zz__evaluate_typesz00, BgL_bgl_za762lambda1923za7622805z00, BGl_z62lambda1923z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2485z00zz__evaluate_typesz00, BgL_bgl_za762lambda1613za7622806z00, BGl_z62lambda1613z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2573z00zz__evaluate_typesz00, BgL_bgl_string2573za700za7za7_2807za7, "ev_binder", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2488z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2808za7, BGl_z62zc3z04anonymousza31608ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2489z00zz__evaluate_typesz00, BgL_bgl_za762lambda1606za7622809z00, BGl_z62lambda1606z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2578z00zz__evaluate_typesz00, BgL_bgl_string2578za700za7za7_2810za7, "boxes", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2650z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2811za7, BGl_z62zc3z04anonymousza31904ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2651z00zz__evaluate_typesz00, BgL_bgl_za762lambda1902za7622812z00, BGl_z62lambda1902z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2652z00zz__evaluate_typesz00, BgL_bgl_za762lambda1900za7622813z00, BGl_z62lambda1900z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2490z00zz__evaluate_typesz00, BgL_bgl_za762lambda1604za7622814z00, BGl_z62lambda1604z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2655z00zz__evaluate_typesz00, BgL_bgl_za762lambda1939za7622815z00, BGl_z62lambda1939z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2493z00zz__evaluate_typesz00, BgL_bgl_za762lambda1631za7622816z00, BGl_z62lambda1631z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2656z00zz__evaluate_typesz00, BgL_bgl_za762lambda1938za7622817z00, BGl_z62lambda1938z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2494z00zz__evaluate_typesz00, BgL_bgl_za762lambda1630za7622818z00, BGl_z62lambda1630z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2657z00zz__evaluate_typesz00, BgL_bgl_za762lambda1944za7622819z00, BGl_z62lambda1944z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2495z00zz__evaluate_typesz00, BgL_bgl_za762lambda1640za7622820z00, BGl_z62lambda1640z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2658z00zz__evaluate_typesz00, BgL_bgl_za762lambda1943za7622821z00, BGl_z62lambda1943z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2583z00zz__evaluate_typesz00, BgL_bgl_string2583za700za7za7_2822za7, "ev_let", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2496z00zz__evaluate_typesz00, BgL_bgl_za762lambda1639za7622823z00, BGl_z62lambda1639z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2497z00zz__evaluate_typesz00, BgL_bgl_za762lambda1647za7622824z00, BGl_z62lambda1647z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2498z00zz__evaluate_typesz00, BgL_bgl_za762lambda1646za7622825z00, BGl_z62lambda1646z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2499z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2826za7, BGl_z62zc3z04anonymousza31624ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2661z00zz__evaluate_typesz00, BgL_bgl_za762lambda1949za7622827z00, BGl_z62lambda1949z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2662z00zz__evaluate_typesz00, BgL_bgl_za762lambda1948za7622828z00, BGl_z62lambda1948z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2665z00zz__evaluate_typesz00, BgL_bgl_za762lambda1954za7622829z00, BGl_z62lambda1954z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2666z00zz__evaluate_typesz00, BgL_bgl_za762lambda1953za7622830z00, BGl_z62lambda1953z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2591z00zz__evaluate_typesz00, BgL_bgl_string2591za700za7za7_2831za7, "ev_let*", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2667z00zz__evaluate_typesz00, BgL_bgl_za762lambda1959za7622832z00, BGl_z62lambda1959z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2668z00zz__evaluate_typesz00, BgL_bgl_za762lambda1958za7622833z00, BGl_z62lambda1958z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2669z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2834za7, BGl_z62zc3z04anonymousza31966ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2596z00zz__evaluate_typesz00, BgL_bgl_string2596za700za7za7_2835za7, "ev_letrec", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2670z00zz__evaluate_typesz00, BgL_bgl_za762lambda1965za7622836z00, BGl_z62lambda1965z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2671z00zz__evaluate_typesz00, BgL_bgl_za762lambda1964za7622837z00, BGl_z62lambda1964z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2676z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2838za7, BGl_z62zc3z04anonymousza31973ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2677z00zz__evaluate_typesz00, BgL_bgl_za762lambda1972za7622839z00, BGl_z62lambda1972z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2678z00zz__evaluate_typesz00, BgL_bgl_za762lambda1971za7622840z00, BGl_z62lambda1971z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2681z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2841za7, BGl_z62zc3z04anonymousza31980ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2682z00zz__evaluate_typesz00, BgL_bgl_za762lambda1979za7622842z00, BGl_z62lambda1979z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2683z00zz__evaluate_typesz00, BgL_bgl_za762lambda1978za7622843z00, BGl_z62lambda1978z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2686z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2844za7, BGl_z62zc3z04anonymousza31987ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2687z00zz__evaluate_typesz00, BgL_bgl_za762lambda1986za7622845z00, BGl_z62lambda1986z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2688z00zz__evaluate_typesz00, BgL_bgl_za762lambda1985za7622846z00, BGl_z62lambda1985z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2691z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2847za7, BGl_z62zc3z04anonymousza31994ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2692z00zz__evaluate_typesz00, BgL_bgl_za762lambda1993za7622848z00, BGl_z62lambda1993z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2693z00zz__evaluate_typesz00, BgL_bgl_za762lambda1992za7622849z00, BGl_z62lambda1992z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2694z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2850za7, BGl_z62zc3z04anonymousza31934ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2695z00zz__evaluate_typesz00, BgL_bgl_za762lambda1932za7622851z00, BGl_z62lambda1932z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2696z00zz__evaluate_typesz00, BgL_bgl_za762lambda1930za7622852z00, BGl_z62lambda1930z62zz__evaluate_typesz00, 0L, BUNSPEC, 10 );
DEFINE_STRING( BGl_string2402z00zz__evaluate_typesz00, BgL_bgl_string2402za700za7za7_2853za7, "loc", 3 );
DEFINE_STRING( BGl_string2408z00zz__evaluate_typesz00, BgL_bgl_string2408za700za7za7_2854za7, "mod", 3 );
DEFINE_STRING( BGl_string2413z00zz__evaluate_typesz00, BgL_bgl_string2413za700za7za7_2855za7, "ev_global", 9 );
DEFINE_STRING( BGl_string2417z00zz__evaluate_typesz00, BgL_bgl_string2417za700za7za7_2856za7, "value", 5 );
DEFINE_STRING( BGl_string2422z00zz__evaluate_typesz00, BgL_bgl_string2422za700za7za7_2857za7, "ev_litt", 7 );
DEFINE_STRING( BGl_string2426z00zz__evaluate_typesz00, BgL_bgl_string2426za700za7za7_2858za7, "p", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2500z00zz__evaluate_typesz00, BgL_bgl_za762lambda1622za7622859z00, BGl_z62lambda1622z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2501z00zz__evaluate_typesz00, BgL_bgl_za762lambda1620za7622860z00, BGl_z62lambda1620z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2504z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2861za7, BGl_z62zc3z04anonymousza31658ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2505z00zz__evaluate_typesz00, BgL_bgl_za762lambda1656za7622862z00, BGl_z62lambda1656z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2430z00zz__evaluate_typesz00, BgL_bgl_string2430za700za7za7_2863za7, "t", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2506z00zz__evaluate_typesz00, BgL_bgl_za762lambda1654za7622864z00, BGl_z62lambda1654z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2509z00zz__evaluate_typesz00, BgL_bgl_za762lambda1673za7622865z00, BGl_z62lambda1673z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2434z00zz__evaluate_typesz00, BgL_bgl_string2434za700za7za7_2866za7, "e", 1 );
DEFINE_STRING( BGl_string2439z00zz__evaluate_typesz00, BgL_bgl_string2439za700za7za7_2867za7, "ev_if", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2510z00zz__evaluate_typesz00, BgL_bgl_za762lambda1672za7622868z00, BGl_z62lambda1672z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2513z00zz__evaluate_typesz00, BgL_bgl_za762lambda1678za7622869z00, BGl_z62lambda1678z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2514z00zz__evaluate_typesz00, BgL_bgl_za762lambda1677za7622870z00, BGl_z62lambda1677z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2517z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2871za7, BGl_z62zc3z04anonymousza31668ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2605z00zz__evaluate_typesz00, BgL_bgl_string2605za700za7za7_2872za7, "env", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2518z00zz__evaluate_typesz00, BgL_bgl_za762lambda1666za7622873z00, BGl_z62lambda1666z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2443z00zz__evaluate_typesz00, BgL_bgl_string2443za700za7za7_2874za7, "args", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2519z00zz__evaluate_typesz00, BgL_bgl_za762lambda1664za7622875z00, BGl_z62lambda1664z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2448z00zz__evaluate_typesz00, BgL_bgl_string2448za700za7za7_2876za7, "ev_list", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2522z00zz__evaluate_typesz00, BgL_bgl_za762lambda1693za7622877z00, BGl_z62lambda1693z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2610z00zz__evaluate_typesz00, BgL_bgl_string2610za700za7za7_2878za7, "stk", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2523z00zz__evaluate_typesz00, BgL_bgl_za762lambda1692za7622879z00, BGl_z62lambda1692z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2524z00zz__evaluate_typesz00, BgL_bgl_za762lambda1698za7622880z00, BGl_z62lambda1698z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2525z00zz__evaluate_typesz00, BgL_bgl_za762lambda1697za7622881z00, BGl_z62lambda1697z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2526z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2882za7, BGl_z62zc3z04anonymousza31688ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2527z00zz__evaluate_typesz00, BgL_bgl_za762lambda1686za7622883z00, BGl_z62lambda1686z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2528z00zz__evaluate_typesz00, BgL_bgl_za762lambda1684za7622884z00, BGl_z62lambda1684z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2453z00zz__evaluate_typesz00, BgL_bgl_string2453za700za7za7_2885za7, "ev_or", 5 );
DEFINE_STRING( BGl_string2458z00zz__evaluate_typesz00, BgL_bgl_string2458za700za7za7_2886za7, "ev_and", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2531z00zz__evaluate_typesz00, BgL_bgl_za762lambda1713za7622887z00, BGl_z62lambda1713z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2532z00zz__evaluate_typesz00, BgL_bgl_za762lambda1712za7622888z00, BGl_z62lambda1712z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2370z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2889za7, BGl_z62zc3z04anonymousza31403ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2620z00zz__evaluate_typesz00, BgL_bgl_string2620za700za7za7_2890za7, "ev_labels", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2371z00zz__evaluate_typesz00, BgL_bgl_za762lambda1401za7622891z00, BGl_z62lambda1401z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2372z00zz__evaluate_typesz00, BgL_bgl_za762lambda1399za7622892z00, BGl_z62lambda1399z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2535z00zz__evaluate_typesz00, BgL_bgl_za762lambda1719za7622893z00, BGl_z62lambda1719z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2536z00zz__evaluate_typesz00, BgL_bgl_za762lambda1718za7622894z00, BGl_z62lambda1718z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2537z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2895za7, BGl_z62zc3z04anonymousza31708ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2462z00zz__evaluate_typesz00, BgL_bgl_string2462za700za7za7_2896za7, "e1", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2538z00zz__evaluate_typesz00, BgL_bgl_za762lambda1706za7622897z00, BGl_z62lambda1706z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2626z00zz__evaluate_typesz00, BgL_bgl_string2626za700za7za7_2898za7, "label", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2539z00zz__evaluate_typesz00, BgL_bgl_za762lambda1704za7622899z00, BGl_z62lambda1704z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2377z00zz__evaluate_typesz00, BgL_bgl_za762lambda1418za7622900z00, BGl_z62lambda1418z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2378z00zz__evaluate_typesz00, BgL_bgl_za762lambda1417za7622901z00, BGl_z62lambda1417z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2466z00zz__evaluate_typesz00, BgL_bgl_string2466za700za7za7_2902za7, "e2", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2542z00zz__evaluate_typesz00, BgL_bgl_za762lambda1734za7622903z00, BGl_z62lambda1734z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2630z00zz__evaluate_typesz00, BgL_bgl_string2630za700za7za7_2904za7, "labels", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2543z00zz__evaluate_typesz00, BgL_bgl_za762lambda1733za7622905z00, BGl_z62lambda1733z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2544z00zz__evaluate_typesz00, BgL_bgl_za762lambda1739za7622906z00, BGl_z62lambda1739z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2545z00zz__evaluate_typesz00, BgL_bgl_za762lambda1738za7622907z00, BGl_z62lambda1738z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2383z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2908za7, BGl_z62zc3z04anonymousza31427ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2471z00zz__evaluate_typesz00, BgL_bgl_string2471za700za7za7_2909za7, "ev_prog2", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2384z00zz__evaluate_typesz00, BgL_bgl_za762lambda1426za7622910z00, BGl_z62lambda1426z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2385z00zz__evaluate_typesz00, BgL_bgl_za762lambda1425za7622911z00, BGl_z62lambda1425z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2548z00zz__evaluate_typesz00, BgL_bgl_za762lambda1744za7622912z00, BGl_z62lambda1744z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2549z00zz__evaluate_typesz00, BgL_bgl_za762lambda1743za7622913z00, BGl_z62lambda1743z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2637z00zz__evaluate_typesz00, BgL_bgl_string2637za700za7za7_2914za7, "ev_goto", 7 );
DEFINE_STRING( BGl_string2478z00zz__evaluate_typesz00, BgL_bgl_string2478za700za7za7_2915za7, "ev_hook", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2552z00zz__evaluate_typesz00, BgL_bgl_za762lambda1749za7622916z00, BGl_z62lambda1749z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2390z00zz__evaluate_typesz00, BgL_bgl_za762lambda1433za7622917z00, BGl_z62lambda1433z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2553z00zz__evaluate_typesz00, BgL_bgl_za762lambda1748za7622918z00, BGl_z62lambda1748z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2391z00zz__evaluate_typesz00, BgL_bgl_za762lambda1432za7622919z00, BGl_z62lambda1432z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2554z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2920za7, BGl_z62zc3z04anonymousza31729ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2555z00zz__evaluate_typesz00, BgL_bgl_za762lambda1727za7622921z00, BGl_z62lambda1727z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2643z00zz__evaluate_typesz00, BgL_bgl_string2643za700za7za7_2922za7, "fun", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2556z00zz__evaluate_typesz00, BgL_bgl_za762lambda1725za7622923z00, BGl_z62lambda1725z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2394z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2924za7, BGl_z62zc3z04anonymousza31413ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2395z00zz__evaluate_typesz00, BgL_bgl_za762lambda1411za7622925z00, BGl_z62lambda1411z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2483z00zz__evaluate_typesz00, BgL_bgl_string2483za700za7za7_2926za7, "ev_trap", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2396z00zz__evaluate_typesz00, BgL_bgl_za762lambda1409za7622927z00, BGl_z62lambda1409z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2559z00zz__evaluate_typesz00, BgL_bgl_za762lambda1764za7622928z00, BGl_z62lambda1764z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2399z00zz__evaluate_typesz00, BgL_bgl_za762lambda1450za7622929z00, BGl_z62lambda1450z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2649z00zz__evaluate_typesz00, BgL_bgl_string2649za700za7za7_2930za7, "tail?", 5 );
DEFINE_STRING( BGl_string2487z00zz__evaluate_typesz00, BgL_bgl_string2487za700za7za7_2931za7, "v", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2560z00zz__evaluate_typesz00, BgL_bgl_za762lambda1763za7622932z00, BGl_z62lambda1763z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2563z00zz__evaluate_typesz00, BgL_bgl_za762lambda1769za7622933z00, BGl_z62lambda1769z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2564z00zz__evaluate_typesz00, BgL_bgl_za762lambda1768za7622934z00, BGl_z62lambda1768z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2654z00zz__evaluate_typesz00, BgL_bgl_string2654za700za7za7_2935za7, "ev_app", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2567z00zz__evaluate_typesz00, BgL_bgl_za762lambda1774za7622936z00, BGl_z62lambda1774z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2492z00zz__evaluate_typesz00, BgL_bgl_string2492za700za7za7_2937za7, "ev_setlocal", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2568z00zz__evaluate_typesz00, BgL_bgl_za762lambda1773za7622938z00, BGl_z62lambda1773z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2569z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2939za7, BGl_z62zc3z04anonymousza31759ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2570z00zz__evaluate_typesz00, BgL_bgl_za762lambda1757za7622940z00, BGl_z62lambda1757z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2571z00zz__evaluate_typesz00, BgL_bgl_za762lambda1755za7622941z00, BGl_z62lambda1755z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2660z00zz__evaluate_typesz00, BgL_bgl_string2660za700za7za7_2942za7, "where", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2574z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2943za7, BGl_z62zc3z04anonymousza31791ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2575z00zz__evaluate_typesz00, BgL_bgl_za762lambda1790za7622944z00, BGl_z62lambda1790z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2576z00zz__evaluate_typesz00, BgL_bgl_za762lambda1789za7622945z00, BGl_z62lambda1789z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2664z00zz__evaluate_typesz00, BgL_bgl_string2664za700za7za7_2946za7, "arity", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2579z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2947za7, BGl_z62zc3z04anonymousza31784ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2580z00zz__evaluate_typesz00, BgL_bgl_za762lambda1782za7622948z00, BGl_z62lambda1782z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2581z00zz__evaluate_typesz00, BgL_bgl_za762lambda1780za7622949z00, BGl_z62lambda1780z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2584z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2950za7, BGl_z62zc3z04anonymousza31808ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2585z00zz__evaluate_typesz00, BgL_bgl_za762lambda1807za7622951z00, BGl_z62lambda1807z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2673z00zz__evaluate_typesz00, BgL_bgl_string2673za700za7za7_2952za7, "size", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2586z00zz__evaluate_typesz00, BgL_bgl_za762lambda1806za7622953z00, BGl_z62lambda1806z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2587z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2954za7, BGl_z62zc3z04anonymousza31801ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2675z00zz__evaluate_typesz00, BgL_bgl_string2675za700za7za7_2955za7, "int", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2588z00zz__evaluate_typesz00, BgL_bgl_za762lambda1799za7622956z00, BGl_z62lambda1799z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2589z00zz__evaluate_typesz00, BgL_bgl_za762lambda1797za7622957z00, BGl_z62lambda1797z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2592z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2958za7, BGl_z62zc3z04anonymousza31818ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2680z00zz__evaluate_typesz00, BgL_bgl_string2680za700za7za7_2959za7, "bind", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2593z00zz__evaluate_typesz00, BgL_bgl_za762lambda1816za7622960z00, BGl_z62lambda1816z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2594z00zz__evaluate_typesz00, BgL_bgl_za762lambda1814za7622961z00, BGl_z62lambda1814z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2597z00zz__evaluate_typesz00, BgL_bgl_za762lambda1833za7622962z00, BGl_z62lambda1833z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2685z00zz__evaluate_typesz00, BgL_bgl_string2685za700za7za7_2963za7, "free", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2598z00zz__evaluate_typesz00, BgL_bgl_za762lambda1832za7622964z00, BGl_z62lambda1832z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2599z00zz__evaluate_typesz00, BgL_bgl_za762lambda1838za7622965z00, BGl_z62lambda1838z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2690z00zz__evaluate_typesz00, BgL_bgl_string2690za700za7za7_2966za7, "inner", 5 );
DEFINE_STRING( BGl_string2698z00zz__evaluate_typesz00, BgL_bgl_string2698za700za7za7_2967za7, "ev_abs", 6 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol2561z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2565z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2572z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2577z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2582z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2590z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2595z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letrecz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_labelsz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_absz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_ifz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_gotoz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_orz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_varz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_andz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2401z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2407z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2412z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2416z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_appz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2421z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2425z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2429z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2433z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2438z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_synchroniza7eza7zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2604z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2442z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2609z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2447z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2452z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2619z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2457z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2461z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2625z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2465z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2629z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2470z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2636z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2477z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2642z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2482z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2648z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2486z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_defglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2653z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2491z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2659z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2663z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2672z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2674z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2679z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2684z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2689z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2697z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2699z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_prog2z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_bindzd2exitzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letza2za2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_trapz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_hookz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_globalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_binderz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_listz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_littz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_withzd2handlerzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_exprz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2502z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2507z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2511z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2515z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2520z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2529z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2533z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2373z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2375z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2379z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2540z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2381z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2546z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2386z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2388z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setlocalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2550z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2392z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2557z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2397z00zz__evaluate_typesz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_types.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1934>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza31934ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1994>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza31994ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1987>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza31987ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1980>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza31980ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1973>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza31973ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1966>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza31966ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1904>\" \"Eval/evaluate_types.scm\" 3265) \"BGl_z62zc3z04anonymousza31904ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1874>\" \"Eval/evaluate_types.scm\" 3154) \"BGl_z62zc3z04anonymousza31874ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1828>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31828ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1864>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31864ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1852>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31852ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1845>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31845ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1818>\" \"Eval/evaluate_types.scm\" 2908) \"BGl_z62zc3z04anonymousza31818ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1801>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3z04anonymousza31801ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1808>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3z04anonymousza31808ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1784>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3z04anonymousza31784ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1791>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3z04anonymousza31791ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1759>\" \"Eval/evaluate_types.scm\" 2713) \"BGl_z62zc3z04anonymousza31759ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1729>\" \"Eval/evaluate_types.scm\" 2587) \"BGl_z62zc3z04anonymousza31729ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1708>\" \"Eval/evaluate_types.scm\" 2505) \"BGl_z62zc3z04anonymousza31708ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1688>\" \"Eval/evaluate_types.scm\" 2427) \"BGl_z62zc3z04anonymousza31688ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1668>\" \"Eval/evaluate_types.scm\" 2353) \"BGl_z62zc3z04anonymousza31668ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1658>\" \"Eval/evaluate_types.scm\" 2314) \"BGl_z62zc3z04anonymousza31658ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1624>\" \"Eval/evaluate_types.scm\" 2226) \"BGl_z62zc3z04anonymousza31624ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1608>\" \"Eval/evaluate_types.scm\" 2176) \"BGl_z62zc3z04anonymousza31608ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1597>\" \"Eval/evaluate_types.scm\" 2147) \"BGl_z62zc3z04anonymousza31597ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1580>\" \"Eval/evaluate_types.scm\" 2100) \"BGl_z62zc3z04anonymousza31580ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1555>\" \"Eval/evaluate_types.scm\" 2032) \"BGl_z62zc3z04anonymousza31555ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1545>\" \"Eval/evaluate_types.scm\" 2004) \"BGl_z62zc3z04anonymousza31545ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1528>\" \"Eval/evaluate_types.scm\" 1977) \"BGl_z62zc3z04anonymousza31528ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1512>\" \"Eval/evaluate_types.scm\" 1936) \"BGl_z62zc3z04anonymousza31512ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1487>\" \"Eval/evaluate_types.scm\" 1855) \"BGl_z62zc3z04anonymousza31487ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1472>\" \"Eval/evaluate_types.scm\" 1813) \"BGl_z62zc3z04anonymousza31472ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1445>\" \"Eval/evaluate_types.scm\" 1723) \"BGl_z62zc3z04anonymousza31445ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1413>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3z04anonymousza31413ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1427>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3z04anonymousza31427ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1403>\" \"Eval/evaluate_types.scm\" 1612) \"BGl_z62zc3z04anonymousza31403ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long BgL_checksumz00_4292, char * BgL_fromz00_4293)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_typesz00(); 
BGl_cnstzd2initzd2zz__evaluate_typesz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(); 
BGl_objectzd2initzd2zz__evaluate_typesz00(); 
return 
BGl_profzd2initzd2zz__evaluate_typesz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
BGl_symbol2373z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2374z00zz__evaluate_typesz00); 
BGl_symbol2375z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2376z00zz__evaluate_typesz00); 
BGl_symbol2379z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2380z00zz__evaluate_typesz00); 
BGl_symbol2381z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2382z00zz__evaluate_typesz00); 
BGl_symbol2386z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2387z00zz__evaluate_typesz00); 
BGl_symbol2388z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2389z00zz__evaluate_typesz00); 
BGl_symbol2392z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2393z00zz__evaluate_typesz00); 
BGl_symbol2397z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2398z00zz__evaluate_typesz00); 
BGl_symbol2401z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2402z00zz__evaluate_typesz00); 
BGl_symbol2407z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2408z00zz__evaluate_typesz00); 
BGl_symbol2412z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2413z00zz__evaluate_typesz00); 
BGl_symbol2416z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2417z00zz__evaluate_typesz00); 
BGl_symbol2421z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2422z00zz__evaluate_typesz00); 
BGl_symbol2425z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2426z00zz__evaluate_typesz00); 
BGl_symbol2429z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2430z00zz__evaluate_typesz00); 
BGl_symbol2433z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2434z00zz__evaluate_typesz00); 
BGl_symbol2438z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2439z00zz__evaluate_typesz00); 
BGl_symbol2442z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2443z00zz__evaluate_typesz00); 
BGl_symbol2447z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2448z00zz__evaluate_typesz00); 
BGl_symbol2452z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2453z00zz__evaluate_typesz00); 
BGl_symbol2457z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2458z00zz__evaluate_typesz00); 
BGl_symbol2461z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2462z00zz__evaluate_typesz00); 
BGl_symbol2465z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2466z00zz__evaluate_typesz00); 
BGl_symbol2470z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2471z00zz__evaluate_typesz00); 
BGl_symbol2477z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2478z00zz__evaluate_typesz00); 
BGl_symbol2482z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2483z00zz__evaluate_typesz00); 
BGl_symbol2486z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2487z00zz__evaluate_typesz00); 
BGl_symbol2491z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2492z00zz__evaluate_typesz00); 
BGl_symbol2502z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2503z00zz__evaluate_typesz00); 
BGl_symbol2507z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2508z00zz__evaluate_typesz00); 
BGl_symbol2511z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2512z00zz__evaluate_typesz00); 
BGl_symbol2515z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2516z00zz__evaluate_typesz00); 
BGl_symbol2520z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2521z00zz__evaluate_typesz00); 
BGl_symbol2529z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2530z00zz__evaluate_typesz00); 
BGl_symbol2533z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2534z00zz__evaluate_typesz00); 
BGl_symbol2540z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2541z00zz__evaluate_typesz00); 
BGl_symbol2546z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2547z00zz__evaluate_typesz00); 
BGl_symbol2550z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2551z00zz__evaluate_typesz00); 
BGl_symbol2557z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2558z00zz__evaluate_typesz00); 
BGl_symbol2561z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2562z00zz__evaluate_typesz00); 
BGl_symbol2565z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2566z00zz__evaluate_typesz00); 
BGl_symbol2572z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2573z00zz__evaluate_typesz00); 
BGl_symbol2577z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2578z00zz__evaluate_typesz00); 
BGl_symbol2582z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2583z00zz__evaluate_typesz00); 
BGl_symbol2590z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2591z00zz__evaluate_typesz00); 
BGl_symbol2595z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2596z00zz__evaluate_typesz00); 
BGl_symbol2604z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2605z00zz__evaluate_typesz00); 
BGl_symbol2609z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2610z00zz__evaluate_typesz00); 
BGl_symbol2619z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2620z00zz__evaluate_typesz00); 
BGl_symbol2625z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2626z00zz__evaluate_typesz00); 
BGl_symbol2629z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2630z00zz__evaluate_typesz00); 
BGl_symbol2636z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2637z00zz__evaluate_typesz00); 
BGl_symbol2642z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2643z00zz__evaluate_typesz00); 
BGl_symbol2648z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2649z00zz__evaluate_typesz00); 
BGl_symbol2653z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2654z00zz__evaluate_typesz00); 
BGl_symbol2659z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2660z00zz__evaluate_typesz00); 
BGl_symbol2663z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2664z00zz__evaluate_typesz00); 
BGl_symbol2672z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2673z00zz__evaluate_typesz00); 
BGl_symbol2674z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2675z00zz__evaluate_typesz00); 
BGl_symbol2679z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2680z00zz__evaluate_typesz00); 
BGl_symbol2684z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2685z00zz__evaluate_typesz00); 
BGl_symbol2689z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2690z00zz__evaluate_typesz00); 
BGl_symbol2697z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2698z00zz__evaluate_typesz00); 
return ( 
BGl_symbol2699z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2700z00zz__evaluate_typesz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_arg1397z00_1060;obj_t BgL_arg1398z00_1061;
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_v1282z00_1071;
BgL_v1282z00_1071 = 
create_vector(((long)0)); 
BgL_arg1397z00_1060 = BgL_v1282z00_1071; } 
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_v1283z00_1072;
BgL_v1283z00_1072 = 
create_vector(((long)0)); 
BgL_arg1398z00_1061 = BgL_v1283z00_1072; } 
BGl_ev_exprz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2373z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00, ((long)36682), BGl_proc2372z00zz__evaluate_typesz00, BGl_proc2371z00zz__evaluate_typesz00, BFALSE, BGl_proc2370z00zz__evaluate_typesz00, BFALSE, BgL_arg1397z00_1060, BgL_arg1398z00_1061); } 
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_arg1407z00_1079;obj_t BgL_arg1408z00_1080;
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_v1284z00_1093;
BgL_v1284z00_1093 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1284z00_1093,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2379z00zz__evaluate_typesz00, BGl_proc2378z00zz__evaluate_typesz00, BGl_proc2377z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2381z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1284z00_1093,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2386z00zz__evaluate_typesz00, BGl_proc2385z00zz__evaluate_typesz00, BGl_proc2384z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2383z00zz__evaluate_typesz00, BGl_symbol2388z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1284z00_1093,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2392z00zz__evaluate_typesz00, BGl_proc2391z00zz__evaluate_typesz00, BGl_proc2390z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
BgL_arg1407z00_1079 = BgL_v1284z00_1093; } 
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_v1285z00_1127;
BgL_v1285z00_1127 = 
create_vector(((long)0)); 
BgL_arg1408z00_1080 = BgL_v1285z00_1127; } 
BGl_ev_varz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2397z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)7285), BGl_proc2396z00zz__evaluate_typesz00, BGl_proc2395z00zz__evaluate_typesz00, BFALSE, BGl_proc2394z00zz__evaluate_typesz00, BFALSE, BgL_arg1407z00_1079, BgL_arg1408z00_1080); } 
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_arg1437z00_1134;obj_t BgL_arg1438z00_1135;
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_v1286z00_1148;
BgL_v1286z00_1148 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1286z00_1148,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2401z00zz__evaluate_typesz00, BGl_proc2400z00zz__evaluate_typesz00, BGl_proc2399z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1286z00_1148,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2379z00zz__evaluate_typesz00, BGl_proc2404z00zz__evaluate_typesz00, BGl_proc2403z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2381z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1286z00_1148,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2407z00zz__evaluate_typesz00, BGl_proc2406z00zz__evaluate_typesz00, BGl_proc2405z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
BgL_arg1437z00_1134 = BgL_v1286z00_1148; } 
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_v1287z00_1179;
BgL_v1287z00_1179 = 
create_vector(((long)0)); 
BgL_arg1438z00_1135 = BgL_v1287z00_1179; } 
BGl_ev_globalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2412z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59175), BGl_proc2411z00zz__evaluate_typesz00, BGl_proc2410z00zz__evaluate_typesz00, BFALSE, BGl_proc2409z00zz__evaluate_typesz00, BFALSE, BgL_arg1437z00_1134, BgL_arg1438z00_1135); } 
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_arg1465z00_1186;obj_t BgL_arg1466z00_1187;
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_v1288z00_1198;
BgL_v1288z00_1198 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1288z00_1198,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2416z00zz__evaluate_typesz00, BGl_proc2415z00zz__evaluate_typesz00, BGl_proc2414z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
BgL_arg1465z00_1186 = BgL_v1288z00_1198; } 
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_v1289z00_1209;
BgL_v1289z00_1209 = 
create_vector(((long)0)); 
BgL_arg1466z00_1187 = BgL_v1289z00_1209; } 
BGl_ev_littz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2421z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)42418), BGl_proc2420z00zz__evaluate_typesz00, BGl_proc2419z00zz__evaluate_typesz00, BFALSE, BGl_proc2418z00zz__evaluate_typesz00, BFALSE, BgL_arg1465z00_1186, BgL_arg1466z00_1187); } 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_arg1481z00_1216;obj_t BgL_arg1482z00_1217;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_v1290z00_1230;
BgL_v1290z00_1230 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1290z00_1230,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2425z00zz__evaluate_typesz00, BGl_proc2424z00zz__evaluate_typesz00, BGl_proc2423z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1290z00_1230,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2429z00zz__evaluate_typesz00, BGl_proc2428z00zz__evaluate_typesz00, BGl_proc2427z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1290z00_1230,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2433z00zz__evaluate_typesz00, BGl_proc2432z00zz__evaluate_typesz00, BGl_proc2431z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1481z00_1216 = BgL_v1290z00_1230; } 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_v1291z00_1261;
BgL_v1291z00_1261 = 
create_vector(((long)0)); 
BgL_arg1482z00_1217 = BgL_v1291z00_1261; } 
BGl_ev_ifz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2438z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)19099), BGl_proc2437z00zz__evaluate_typesz00, BGl_proc2436z00zz__evaluate_typesz00, BFALSE, BGl_proc2435z00zz__evaluate_typesz00, BFALSE, BgL_arg1481z00_1216, BgL_arg1482z00_1217); } 
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_arg1506z00_1268;obj_t BgL_arg1507z00_1269;
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_v1292z00_1280;
BgL_v1292z00_1280 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1292z00_1280,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2442z00zz__evaluate_typesz00, BGl_proc2441z00zz__evaluate_typesz00, BGl_proc2440z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
BgL_arg1506z00_1268 = BgL_v1292z00_1280; } 
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_v1293z00_1291;
BgL_v1293z00_1291 = 
create_vector(((long)0)); 
BgL_arg1507z00_1269 = BgL_v1293z00_1291; } 
BGl_ev_listz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2447z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)39617), BGl_proc2446z00zz__evaluate_typesz00, BGl_proc2445z00zz__evaluate_typesz00, BFALSE, BGl_proc2444z00zz__evaluate_typesz00, BFALSE, BgL_arg1506z00_1268, BgL_arg1507z00_1269); } 
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_arg1522z00_1298;obj_t BgL_arg1523z00_1299;
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_v1294z00_1310;
BgL_v1294z00_1310 = 
create_vector(((long)0)); 
BgL_arg1522z00_1298 = BgL_v1294z00_1310; } 
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_v1295z00_1311;
BgL_v1295z00_1311 = 
create_vector(((long)0)); 
BgL_arg1523z00_1299 = BgL_v1295z00_1311; } 
BGl_ev_orz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2452z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)50334), BGl_proc2451z00zz__evaluate_typesz00, BGl_proc2450z00zz__evaluate_typesz00, BFALSE, BGl_proc2449z00zz__evaluate_typesz00, BFALSE, BgL_arg1522z00_1298, BgL_arg1523z00_1299); } 
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_arg1537z00_1318;obj_t BgL_arg1538z00_1319;
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_v1296z00_1330;
BgL_v1296z00_1330 = 
create_vector(((long)0)); 
BgL_arg1537z00_1318 = BgL_v1296z00_1330; } 
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_v1297z00_1331;
BgL_v1297z00_1331 = 
create_vector(((long)0)); 
BgL_arg1538z00_1319 = BgL_v1297z00_1331; } 
BGl_ev_andz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2457z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)26888), BGl_proc2456z00zz__evaluate_typesz00, BGl_proc2455z00zz__evaluate_typesz00, BFALSE, BGl_proc2454z00zz__evaluate_typesz00, BFALSE, BgL_arg1537z00_1318, BgL_arg1538z00_1319); } 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_arg1549z00_1338;obj_t BgL_arg1550z00_1339;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_v1298z00_1351;
BgL_v1298z00_1351 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1298z00_1351,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2461z00zz__evaluate_typesz00, BGl_proc2460z00zz__evaluate_typesz00, BGl_proc2459z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1298z00_1351,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2465z00zz__evaluate_typesz00, BGl_proc2464z00zz__evaluate_typesz00, BGl_proc2463z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1549z00_1338 = BgL_v1298z00_1351; } 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_v1299z00_1372;
BgL_v1299z00_1372 = 
create_vector(((long)0)); 
BgL_arg1550z00_1339 = BgL_v1299z00_1372; } 
BGl_ev_prog2z00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2470z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)14177), BGl_proc2469z00zz__evaluate_typesz00, BGl_proc2468z00zz__evaluate_typesz00, BFALSE, BGl_proc2467z00zz__evaluate_typesz00, BFALSE, BgL_arg1549z00_1338, BgL_arg1550z00_1339); } 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_arg1573z00_1379;obj_t BgL_arg1574z00_1380;
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_v1300z00_1391;
BgL_v1300z00_1391 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1300z00_1391,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2433z00zz__evaluate_typesz00, BGl_proc2473z00zz__evaluate_typesz00, BGl_proc2472z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1573z00_1379 = BgL_v1300z00_1391; } 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_v1301z00_1402;
BgL_v1301z00_1402 = 
create_vector(((long)0)); 
BgL_arg1574z00_1380 = BgL_v1301z00_1402; } 
BGl_ev_hookz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2477z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)32125), BGl_proc2476z00zz__evaluate_typesz00, BGl_proc2475z00zz__evaluate_typesz00, BFALSE, BGl_proc2474z00zz__evaluate_typesz00, BFALSE, BgL_arg1573z00_1379, BgL_arg1574z00_1380); } 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_arg1591z00_1409;obj_t BgL_arg1592z00_1410;
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_v1302z00_1421;
BgL_v1302z00_1421 = 
create_vector(((long)0)); 
BgL_arg1591z00_1409 = BgL_v1302z00_1421; } 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_v1303z00_1422;
BgL_v1303z00_1422 = 
create_vector(((long)0)); 
BgL_arg1592z00_1410 = BgL_v1303z00_1422; } 
BGl_ev_trapz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2482z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)24451), BGl_proc2481z00zz__evaluate_typesz00, BGl_proc2480z00zz__evaluate_typesz00, BFALSE, BGl_proc2479z00zz__evaluate_typesz00, BFALSE, BgL_arg1591z00_1409, BgL_arg1592z00_1410); } 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_arg1601z00_1429;obj_t BgL_arg1603z00_1430;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_v1304z00_1442;
BgL_v1304z00_1442 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1304z00_1442,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2486z00zz__evaluate_typesz00, BGl_proc2485z00zz__evaluate_typesz00, BGl_proc2484z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
BgL_arg1601z00_1429 = BgL_v1304z00_1442; } 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_v1305z00_1453;
BgL_v1305z00_1453 = 
create_vector(((long)0)); 
BgL_arg1603z00_1430 = BgL_v1305z00_1453; } 
BGl_ev_setlocalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2491z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)37950), BGl_proc2490z00zz__evaluate_typesz00, BGl_proc2489z00zz__evaluate_typesz00, BFALSE, BGl_proc2488z00zz__evaluate_typesz00, BFALSE, BgL_arg1601z00_1429, BgL_arg1603z00_1430); } 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_arg1618z00_1460;obj_t BgL_arg1619z00_1461;
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_v1306z00_1475;
BgL_v1306z00_1475 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1306z00_1475,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2401z00zz__evaluate_typesz00, BGl_proc2494z00zz__evaluate_typesz00, BGl_proc2493z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1306z00_1475,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2379z00zz__evaluate_typesz00, BGl_proc2496z00zz__evaluate_typesz00, BGl_proc2495z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2381z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1306z00_1475,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2407z00zz__evaluate_typesz00, BGl_proc2498z00zz__evaluate_typesz00, BGl_proc2497z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
BgL_arg1618z00_1460 = BgL_v1306z00_1475; } 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_v1307z00_1506;
BgL_v1307z00_1506 = 
create_vector(((long)0)); 
BgL_arg1619z00_1461 = BgL_v1307z00_1506; } 
BGl_ev_setglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2502z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)62117), BGl_proc2501z00zz__evaluate_typesz00, BGl_proc2500z00zz__evaluate_typesz00, BFALSE, BGl_proc2499z00zz__evaluate_typesz00, BFALSE, BgL_arg1618z00_1460, BgL_arg1619z00_1461); } 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_arg1652z00_1513;obj_t BgL_arg1653z00_1514;
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_v1308z00_1528;
BgL_v1308z00_1528 = 
create_vector(((long)0)); 
BgL_arg1652z00_1513 = BgL_v1308z00_1528; } 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_v1309z00_1529;
BgL_v1309z00_1529 = 
create_vector(((long)0)); 
BgL_arg1653z00_1514 = BgL_v1309z00_1529; } 
BGl_ev_defglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2507z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_setglobalz00zz__evaluate_typesz00, ((long)36158), BGl_proc2506z00zz__evaluate_typesz00, BGl_proc2505z00zz__evaluate_typesz00, BFALSE, BGl_proc2504z00zz__evaluate_typesz00, BFALSE, BgL_arg1652z00_1513, BgL_arg1653z00_1514); } 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_arg1662z00_1536;obj_t BgL_arg1663z00_1537;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_v1310z00_1549;
BgL_v1310z00_1549 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1310z00_1549,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2511z00zz__evaluate_typesz00, BGl_proc2510z00zz__evaluate_typesz00, BGl_proc2509z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1310z00_1549,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2515z00zz__evaluate_typesz00, BGl_proc2514z00zz__evaluate_typesz00, BGl_proc2513z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1662z00_1536 = BgL_v1310z00_1549; } 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_v1311z00_1570;
BgL_v1311z00_1570 = 
create_vector(((long)0)); 
BgL_arg1663z00_1537 = BgL_v1311z00_1570; } 
BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2520z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)10723), BGl_proc2519z00zz__evaluate_typesz00, BGl_proc2518z00zz__evaluate_typesz00, BFALSE, BGl_proc2517z00zz__evaluate_typesz00, BFALSE, BgL_arg1662z00_1536, BgL_arg1663z00_1537); } 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_arg1682z00_1577;obj_t BgL_arg1683z00_1578;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_v1312z00_1590;
BgL_v1312z00_1590 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1312z00_1590,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2433z00zz__evaluate_typesz00, BGl_proc2523z00zz__evaluate_typesz00, BGl_proc2522z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1312z00_1590,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2515z00zz__evaluate_typesz00, BGl_proc2525z00zz__evaluate_typesz00, BGl_proc2524z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1682z00_1577 = BgL_v1312z00_1590; } 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_v1313z00_1611;
BgL_v1313z00_1611 = 
create_vector(((long)0)); 
BgL_arg1683z00_1578 = BgL_v1313z00_1611; } 
BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2529z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59644), BGl_proc2528z00zz__evaluate_typesz00, BGl_proc2527z00zz__evaluate_typesz00, BFALSE, BGl_proc2526z00zz__evaluate_typesz00, BFALSE, BgL_arg1682z00_1577, BgL_arg1683z00_1578); } 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_arg1702z00_1618;obj_t BgL_arg1703z00_1619;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_v1314z00_1631;
BgL_v1314z00_1631 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1314z00_1631,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2533z00zz__evaluate_typesz00, BGl_proc2532z00zz__evaluate_typesz00, BGl_proc2531z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1314z00_1631,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2515z00zz__evaluate_typesz00, BGl_proc2536z00zz__evaluate_typesz00, BGl_proc2535z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1702z00_1618 = BgL_v1314z00_1631; } 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_v1315z00_1652;
BgL_v1315z00_1652 = 
create_vector(((long)0)); 
BgL_arg1703z00_1619 = BgL_v1315z00_1652; } 
BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2540z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)54033), BGl_proc2539z00zz__evaluate_typesz00, BGl_proc2538z00zz__evaluate_typesz00, BFALSE, BGl_proc2537z00zz__evaluate_typesz00, BFALSE, BgL_arg1702z00_1618, BgL_arg1703z00_1619); } 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_arg1723z00_1659;obj_t BgL_arg1724z00_1660;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_v1316z00_1674;
BgL_v1316z00_1674 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1316z00_1674,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2401z00zz__evaluate_typesz00, BGl_proc2543z00zz__evaluate_typesz00, BGl_proc2542z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1316z00_1674,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2546z00zz__evaluate_typesz00, BGl_proc2545z00zz__evaluate_typesz00, BGl_proc2544z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1316z00_1674,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2550z00zz__evaluate_typesz00, BGl_proc2549z00zz__evaluate_typesz00, BGl_proc2548z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1316z00_1674,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2515z00zz__evaluate_typesz00, BGl_proc2553z00zz__evaluate_typesz00, BGl_proc2552z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1723z00_1659 = BgL_v1316z00_1674; } 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_v1317z00_1715;
BgL_v1317z00_1715 = 
create_vector(((long)0)); 
BgL_arg1724z00_1660 = BgL_v1317z00_1715; } 
BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2557z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)40653), BGl_proc2556z00zz__evaluate_typesz00, BGl_proc2555z00zz__evaluate_typesz00, BFALSE, BGl_proc2554z00zz__evaluate_typesz00, BFALSE, BgL_arg1723z00_1659, BgL_arg1724z00_1660); } 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_arg1753z00_1722;obj_t BgL_arg1754z00_1723;
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_v1318z00_1736;
BgL_v1318z00_1736 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1318z00_1736,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2561z00zz__evaluate_typesz00, BGl_proc2560z00zz__evaluate_typesz00, BGl_proc2559z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1318z00_1736,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2565z00zz__evaluate_typesz00, BGl_proc2564z00zz__evaluate_typesz00, BGl_proc2563z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1318z00_1736,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2515z00zz__evaluate_typesz00, BGl_proc2568z00zz__evaluate_typesz00, BGl_proc2567z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1753z00_1722 = BgL_v1318z00_1736; } 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_v1319z00_1767;
BgL_v1319z00_1767 = 
create_vector(((long)0)); 
BgL_arg1754z00_1723 = BgL_v1319z00_1767; } 
BGl_ev_binderz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2572z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)50341), BGl_proc2571z00zz__evaluate_typesz00, BGl_proc2570z00zz__evaluate_typesz00, BFALSE, BGl_proc2569z00zz__evaluate_typesz00, BFALSE, BgL_arg1753z00_1722, BgL_arg1754z00_1723); } 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_arg1778z00_1774;obj_t BgL_arg1779z00_1775;
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_v1320z00_1789;
BgL_v1320z00_1789 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1320z00_1789,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2577z00zz__evaluate_typesz00, BGl_proc2576z00zz__evaluate_typesz00, BGl_proc2575z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2574z00zz__evaluate_typesz00, BGl_symbol2388z00zz__evaluate_typesz00)); 
BgL_arg1778z00_1774 = BgL_v1320z00_1789; } 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_v1321z00_1803;
BgL_v1321z00_1803 = 
create_vector(((long)0)); 
BgL_arg1779z00_1775 = BgL_v1321z00_1803; } 
BGl_ev_letz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2582z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)20484), BGl_proc2581z00zz__evaluate_typesz00, BGl_proc2580z00zz__evaluate_typesz00, BFALSE, BGl_proc2579z00zz__evaluate_typesz00, BFALSE, BgL_arg1778z00_1774, BgL_arg1779z00_1775); } 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_arg1795z00_1810;obj_t BgL_arg1796z00_1811;
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_v1322z00_1825;
BgL_v1322z00_1825 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1322z00_1825,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2577z00zz__evaluate_typesz00, BGl_proc2586z00zz__evaluate_typesz00, BGl_proc2585z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2584z00zz__evaluate_typesz00, BGl_symbol2388z00zz__evaluate_typesz00)); 
BgL_arg1795z00_1810 = BgL_v1322z00_1825; } 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_v1323z00_1839;
BgL_v1323z00_1839 = 
create_vector(((long)0)); 
BgL_arg1796z00_1811 = BgL_v1323z00_1839; } 
BGl_ev_letza2za2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2590z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)9906), BGl_proc2589z00zz__evaluate_typesz00, BGl_proc2588z00zz__evaluate_typesz00, BFALSE, BGl_proc2587z00zz__evaluate_typesz00, BFALSE, BgL_arg1795z00_1810, BgL_arg1796z00_1811); } 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_arg1812z00_1846;obj_t BgL_arg1813z00_1847;
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_v1324z00_1860;
BgL_v1324z00_1860 = 
create_vector(((long)0)); 
BgL_arg1812z00_1846 = BgL_v1324z00_1860; } 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_v1325z00_1861;
BgL_v1325z00_1861 = 
create_vector(((long)0)); 
BgL_arg1813z00_1847 = BgL_v1325z00_1861; } 
BGl_ev_letrecz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2595z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)43956), BGl_proc2594z00zz__evaluate_typesz00, BGl_proc2593z00zz__evaluate_typesz00, BFALSE, BGl_proc2592z00zz__evaluate_typesz00, BFALSE, BgL_arg1812z00_1846, BgL_arg1813z00_1847); } 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_arg1822z00_1868;obj_t BgL_arg1823z00_1869;
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_v1326z00_1885;
BgL_v1326z00_1885 = 
create_vector(((long)6)); 
VECTOR_SET(BgL_v1326z00_1885,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2561z00zz__evaluate_typesz00, BGl_proc2598z00zz__evaluate_typesz00, BGl_proc2597z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1326z00_1885,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2565z00zz__evaluate_typesz00, BGl_proc2600z00zz__evaluate_typesz00, BGl_proc2599z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1326z00_1885,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2604z00zz__evaluate_typesz00, BGl_proc2603z00zz__evaluate_typesz00, BGl_proc2602z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2601z00zz__evaluate_typesz00, BGl_symbol2388z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1326z00_1885,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2609z00zz__evaluate_typesz00, BGl_proc2608z00zz__evaluate_typesz00, BGl_proc2607z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2606z00zz__evaluate_typesz00, BGl_symbol2388z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1326z00_1885,((long)4),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2515z00zz__evaluate_typesz00, BGl_proc2612z00zz__evaluate_typesz00, BGl_proc2611z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1326z00_1885,((long)5),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2577z00zz__evaluate_typesz00, BGl_proc2615z00zz__evaluate_typesz00, BGl_proc2614z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2613z00zz__evaluate_typesz00, BGl_symbol2388z00zz__evaluate_typesz00)); 
BgL_arg1822z00_1868 = BgL_v1326z00_1885; } 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_v1327z00_1955;
BgL_v1327z00_1955 = 
create_vector(((long)0)); 
BgL_arg1823z00_1869 = BgL_v1327z00_1955; } 
BGl_ev_labelsz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2619z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)51941), BGl_proc2618z00zz__evaluate_typesz00, BGl_proc2617z00zz__evaluate_typesz00, BFALSE, BGl_proc2616z00zz__evaluate_typesz00, BFALSE, BgL_arg1822z00_1868, BgL_arg1823z00_1869); } 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_arg1868z00_1962;obj_t BgL_arg1869z00_1963;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_v1328z00_1977;
BgL_v1328z00_1977 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1328z00_1977,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2401z00zz__evaluate_typesz00, BGl_proc2622z00zz__evaluate_typesz00, BGl_proc2621z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_1977,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2625z00zz__evaluate_typesz00, BGl_proc2624z00zz__evaluate_typesz00, BGl_proc2623z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_1977,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2629z00zz__evaluate_typesz00, BGl_proc2628z00zz__evaluate_typesz00, BGl_proc2627z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_1977,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2442z00zz__evaluate_typesz00, BGl_proc2632z00zz__evaluate_typesz00, BGl_proc2631z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
BgL_arg1868z00_1962 = BgL_v1328z00_1977; } 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_v1329z00_2018;
BgL_v1329z00_2018 = 
create_vector(((long)0)); 
BgL_arg1869z00_1963 = BgL_v1329z00_2018; } 
BGl_ev_gotoz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2636z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)25746), BGl_proc2635z00zz__evaluate_typesz00, BGl_proc2634z00zz__evaluate_typesz00, BFALSE, BGl_proc2633z00zz__evaluate_typesz00, BFALSE, BgL_arg1868z00_1962, BgL_arg1869z00_1963); } 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_arg1898z00_2025;obj_t BgL_arg1899z00_2026;
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_v1330z00_2040;
BgL_v1330z00_2040 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1330z00_2040,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2401z00zz__evaluate_typesz00, BGl_proc2639z00zz__evaluate_typesz00, BGl_proc2638z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1330z00_2040,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2642z00zz__evaluate_typesz00, BGl_proc2641z00zz__evaluate_typesz00, BGl_proc2640z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1330z00_2040,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2442z00zz__evaluate_typesz00, BGl_proc2645z00zz__evaluate_typesz00, BGl_proc2644z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1330z00_2040,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2648z00zz__evaluate_typesz00, BGl_proc2647z00zz__evaluate_typesz00, BGl_proc2646z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
BgL_arg1898z00_2025 = BgL_v1330z00_2040; } 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_v1331z00_2081;
BgL_v1331z00_2081 = 
create_vector(((long)0)); 
BgL_arg1899z00_2026 = BgL_v1331z00_2081; } 
BGl_ev_appz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2653z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)55822), BGl_proc2652z00zz__evaluate_typesz00, BGl_proc2651z00zz__evaluate_typesz00, BFALSE, BGl_proc2650z00zz__evaluate_typesz00, BFALSE, BgL_arg1898z00_2025, BgL_arg1899z00_2026); } 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_arg1928z00_2088;obj_t BgL_arg1929z00_2089;
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_v1332z00_2109;
BgL_v1332z00_2109 = 
create_vector(((long)10)); 
VECTOR_SET(BgL_v1332z00_2109,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2401z00zz__evaluate_typesz00, BGl_proc2656z00zz__evaluate_typesz00, BGl_proc2655z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2109,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2659z00zz__evaluate_typesz00, BGl_proc2658z00zz__evaluate_typesz00, BGl_proc2657z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2109,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2663z00zz__evaluate_typesz00, BGl_proc2662z00zz__evaluate_typesz00, BGl_proc2661z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2109,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2561z00zz__evaluate_typesz00, BGl_proc2666z00zz__evaluate_typesz00, BGl_proc2665z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2388z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2109,((long)4),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2515z00zz__evaluate_typesz00, BGl_proc2668z00zz__evaluate_typesz00, BGl_proc2667z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2109,((long)5),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2672z00zz__evaluate_typesz00, BGl_proc2671z00zz__evaluate_typesz00, BGl_proc2670z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2669z00zz__evaluate_typesz00, BGl_symbol2674z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2109,((long)6),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2679z00zz__evaluate_typesz00, BGl_proc2678z00zz__evaluate_typesz00, BGl_proc2677z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2676z00zz__evaluate_typesz00, BGl_symbol2388z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2109,((long)7),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2684z00zz__evaluate_typesz00, BGl_proc2683z00zz__evaluate_typesz00, BGl_proc2682z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2681z00zz__evaluate_typesz00, BGl_symbol2388z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2109,((long)8),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2689z00zz__evaluate_typesz00, BGl_proc2688z00zz__evaluate_typesz00, BGl_proc2687z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2686z00zz__evaluate_typesz00, BGl_symbol2388z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2109,((long)9),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2577z00zz__evaluate_typesz00, BGl_proc2693z00zz__evaluate_typesz00, BGl_proc2692z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2691z00zz__evaluate_typesz00, BGl_symbol2388z00zz__evaluate_typesz00)); 
BgL_arg1928z00_2088 = BgL_v1332z00_2109; } 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_v1333z00_2225;
BgL_v1333z00_2225 = 
create_vector(((long)0)); 
BgL_arg1929z00_2089 = BgL_v1333z00_2225; } 
return ( 
BGl_ev_absz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2697z00zz__evaluate_typesz00, BGl_symbol2375z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)22827), BGl_proc2696z00zz__evaluate_typesz00, BGl_proc2695z00zz__evaluate_typesz00, BFALSE, BGl_proc2694z00zz__evaluate_typesz00, BFALSE, BgL_arg1928z00_2088, BgL_arg1929z00_2089), BUNSPEC) ;} } 

}



/* &<@anonymous:1934> */
obj_t BGl_z62zc3z04anonymousza31934ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3377, obj_t BgL_new1190z00_3378)
{
{ /* Eval/evaluate_types.scm 122 */
{ 
BgL_ev_absz00_bglt BgL_auxz00_4560;
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3378)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3378)))->BgL_wherez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3378)))->BgL_arityz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3378)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4569;
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_classz00_3853;
BgL_classz00_3853 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL__ortest_1281z00_3854;
BgL__ortest_1281z00_3854 = 
BGL_CLASS_NIL(BgL_classz00_3853); 
if(
CBOOL(BgL__ortest_1281z00_3854))
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4569 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3854)
; }  else 
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4569 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3853))
; } } } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3378)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4569),BUNSPEC); } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3378)))->BgL_siza7eza7)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3378)))->BgL_bindz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3378)))->BgL_freez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3378)))->BgL_innerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3378)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4560 = 
((BgL_ev_absz00_bglt)BgL_new1190z00_3378); 
return 
((obj_t)BgL_auxz00_4560);} } 

}



/* &lambda1932 */
BgL_ev_absz00_bglt BGl_z62lambda1932z62zz__evaluate_typesz00(obj_t BgL_envz00_3379)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1189z00_3855;
BgL_new1189z00_3855 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
long BgL_arg1933z00_3856;
{ /* Eval/evaluate_types.scm 122 */
long BgL_res2319z00_3857;
BgL_res2319z00_3857 = 
BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00); 
BgL_arg1933z00_3856 = BgL_res2319z00_3857; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1189z00_3855), BgL_arg1933z00_3856); } 
return BgL_new1189z00_3855;} } 

}



/* &lambda1930 */
BgL_ev_absz00_bglt BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t BgL_envz00_3380, obj_t BgL_loc1179z00_3381, obj_t BgL_where1180z00_3382, obj_t BgL_arity1181z00_3383, obj_t BgL_vars1182z00_3384, obj_t BgL_body1183z00_3385, obj_t BgL_siza7e1184za7_3386, obj_t BgL_bind1185z00_3387, obj_t BgL_free1186z00_3388, obj_t BgL_inner1187z00_3389, obj_t BgL_boxes1188z00_3390)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
int BgL_siza7e1184za7_3859;
BgL_siza7e1184za7_3859 = 
CINT(BgL_siza7e1184za7_3386); 
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1242z00_3860;
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1241z00_3861;
BgL_new1241z00_3861 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
long BgL_arg1931z00_3862;
{ /* Eval/evaluate_types.scm 122 */
long BgL_res2318z00_3863;
BgL_res2318z00_3863 = 
BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00); 
BgL_arg1931z00_3862 = BgL_res2318z00_3863; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1241z00_3861), BgL_arg1931z00_3862); } 
BgL_new1242z00_3860 = BgL_new1241z00_3861; } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3860))->BgL_locz00)=((obj_t)BgL_loc1179z00_3381),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3860))->BgL_wherez00)=((obj_t)BgL_where1180z00_3382),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3860))->BgL_arityz00)=((obj_t)BgL_arity1181z00_3383),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3860))->BgL_varsz00)=((obj_t)BgL_vars1182z00_3384),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3860))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1183z00_3385)),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3860))->BgL_siza7eza7)=((int)BgL_siza7e1184za7_3859),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3860))->BgL_bindz00)=((obj_t)BgL_bind1185z00_3387),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3860))->BgL_freez00)=((obj_t)BgL_free1186z00_3388),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3860))->BgL_innerz00)=((obj_t)BgL_inner1187z00_3389),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3860))->BgL_boxesz00)=((obj_t)BgL_boxes1188z00_3390),BUNSPEC); 
return BgL_new1242z00_3860;} } } 

}



/* &<@anonymous:1994> */
obj_t BGl_z62zc3z04anonymousza31994ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3391)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda1993 */
obj_t BGl_z62lambda1993z62zz__evaluate_typesz00(obj_t BgL_envz00_3392, obj_t BgL_oz00_3393, obj_t BgL_vz00_3394)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3393)))->BgL_boxesz00)=((obj_t)BgL_vz00_3394),BUNSPEC);} 

}



/* &lambda1992 */
obj_t BGl_z62lambda1992z62zz__evaluate_typesz00(obj_t BgL_envz00_3395, obj_t BgL_oz00_3396)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3396)))->BgL_boxesz00);} 

}



/* &<@anonymous:1987> */
obj_t BGl_z62zc3z04anonymousza31987ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3397)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda1986 */
obj_t BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t BgL_envz00_3398, obj_t BgL_oz00_3399, obj_t BgL_vz00_3400)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3399)))->BgL_innerz00)=((obj_t)BgL_vz00_3400),BUNSPEC);} 

}



/* &lambda1985 */
obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t BgL_envz00_3401, obj_t BgL_oz00_3402)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3402)))->BgL_innerz00);} 

}



/* &<@anonymous:1980> */
obj_t BGl_z62zc3z04anonymousza31980ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3403)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda1979 */
obj_t BGl_z62lambda1979z62zz__evaluate_typesz00(obj_t BgL_envz00_3404, obj_t BgL_oz00_3405, obj_t BgL_vz00_3406)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3405)))->BgL_freez00)=((obj_t)BgL_vz00_3406),BUNSPEC);} 

}



/* &lambda1978 */
obj_t BGl_z62lambda1978z62zz__evaluate_typesz00(obj_t BgL_envz00_3407, obj_t BgL_oz00_3408)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3408)))->BgL_freez00);} 

}



/* &<@anonymous:1973> */
obj_t BGl_z62zc3z04anonymousza31973ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3409)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda1972 */
obj_t BGl_z62lambda1972z62zz__evaluate_typesz00(obj_t BgL_envz00_3410, obj_t BgL_oz00_3411, obj_t BgL_vz00_3412)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3411)))->BgL_bindz00)=((obj_t)BgL_vz00_3412),BUNSPEC);} 

}



/* &lambda1971 */
obj_t BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t BgL_envz00_3413, obj_t BgL_oz00_3414)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3414)))->BgL_bindz00);} 

}



/* &<@anonymous:1966> */
obj_t BGl_z62zc3z04anonymousza31966ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3415)
{
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(((long)0));} 

}



/* &lambda1965 */
obj_t BGl_z62lambda1965z62zz__evaluate_typesz00(obj_t BgL_envz00_3416, obj_t BgL_oz00_3417, obj_t BgL_vz00_3418)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
int BgL_vz00_3873;
BgL_vz00_3873 = 
CINT(BgL_vz00_3418); 
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3417)))->BgL_siza7eza7)=((int)BgL_vz00_3873),BUNSPEC);} } 

}



/* &lambda1964 */
obj_t BGl_z62lambda1964z62zz__evaluate_typesz00(obj_t BgL_envz00_3419, obj_t BgL_oz00_3420)
{
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3420)))->BgL_siza7eza7));} 

}



/* &lambda1959 */
obj_t BGl_z62lambda1959z62zz__evaluate_typesz00(obj_t BgL_envz00_3421, obj_t BgL_oz00_3422, obj_t BgL_vz00_3423)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3422)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3423)),BUNSPEC);} 

}



/* &lambda1958 */
BgL_ev_exprz00_bglt BGl_z62lambda1958z62zz__evaluate_typesz00(obj_t BgL_envz00_3424, obj_t BgL_oz00_3425)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3425)))->BgL_bodyz00);} 

}



/* &lambda1954 */
obj_t BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t BgL_envz00_3426, obj_t BgL_oz00_3427, obj_t BgL_vz00_3428)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3427)))->BgL_varsz00)=((obj_t)BgL_vz00_3428),BUNSPEC);} 

}



/* &lambda1953 */
obj_t BGl_z62lambda1953z62zz__evaluate_typesz00(obj_t BgL_envz00_3429, obj_t BgL_oz00_3430)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3430)))->BgL_varsz00);} 

}



/* &lambda1949 */
obj_t BGl_z62lambda1949z62zz__evaluate_typesz00(obj_t BgL_envz00_3431, obj_t BgL_oz00_3432, obj_t BgL_vz00_3433)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3432)))->BgL_arityz00)=((obj_t)BgL_vz00_3433),BUNSPEC);} 

}



/* &lambda1948 */
obj_t BGl_z62lambda1948z62zz__evaluate_typesz00(obj_t BgL_envz00_3434, obj_t BgL_oz00_3435)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3435)))->BgL_arityz00);} 

}



/* &lambda1944 */
obj_t BGl_z62lambda1944z62zz__evaluate_typesz00(obj_t BgL_envz00_3436, obj_t BgL_oz00_3437, obj_t BgL_vz00_3438)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3437)))->BgL_wherez00)=((obj_t)BgL_vz00_3438),BUNSPEC);} 

}



/* &lambda1943 */
obj_t BGl_z62lambda1943z62zz__evaluate_typesz00(obj_t BgL_envz00_3439, obj_t BgL_oz00_3440)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3440)))->BgL_wherez00);} 

}



/* &lambda1939 */
obj_t BGl_z62lambda1939z62zz__evaluate_typesz00(obj_t BgL_envz00_3441, obj_t BgL_oz00_3442, obj_t BgL_vz00_3443)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3442)))->BgL_locz00)=((obj_t)BgL_vz00_3443),BUNSPEC);} 

}



/* &lambda1938 */
obj_t BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t BgL_envz00_3444, obj_t BgL_oz00_3445)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3445)))->BgL_locz00);} 

}



/* &<@anonymous:1904> */
obj_t BGl_z62zc3z04anonymousza31904ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3446, obj_t BgL_new1177z00_3447)
{
{ /* Eval/evaluate_types.scm 119 */
{ 
BgL_ev_appz00_bglt BgL_auxz00_4655;
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1177z00_3447)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4658;
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_classz00_3887;
BgL_classz00_3887 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL__ortest_1281z00_3888;
BgL__ortest_1281z00_3888 = 
BGL_CLASS_NIL(BgL_classz00_3887); 
if(
CBOOL(BgL__ortest_1281z00_3888))
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4658 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3888)
; }  else 
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4658 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3887))
; } } } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1177z00_3447)))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4658),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1177z00_3447)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1177z00_3447)))->BgL_tailzf3zf3)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4655 = 
((BgL_ev_appz00_bglt)BgL_new1177z00_3447); 
return 
((obj_t)BgL_auxz00_4655);} } 

}



/* &lambda1902 */
BgL_ev_appz00_bglt BGl_z62lambda1902z62zz__evaluate_typesz00(obj_t BgL_envz00_3448)
{
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1176z00_3889;
BgL_new1176z00_3889 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
long BgL_arg1903z00_3890;
{ /* Eval/evaluate_types.scm 119 */
long BgL_res2317z00_3891;
BgL_res2317z00_3891 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg1903z00_3890 = BgL_res2317z00_3891; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1176z00_3889), BgL_arg1903z00_3890); } 
return BgL_new1176z00_3889;} } 

}



/* &lambda1900 */
BgL_ev_appz00_bglt BGl_z62lambda1900z62zz__evaluate_typesz00(obj_t BgL_envz00_3449, obj_t BgL_loc1172z00_3450, obj_t BgL_fun1173z00_3451, obj_t BgL_args1174z00_3452, obj_t BgL_tailzf31175zf3_3453)
{
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1240z00_3893;
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1239z00_3894;
BgL_new1239z00_3894 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
long BgL_arg1901z00_3895;
{ /* Eval/evaluate_types.scm 119 */
long BgL_res2316z00_3896;
BgL_res2316z00_3896 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg1901z00_3895 = BgL_res2316z00_3896; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1239z00_3894), BgL_arg1901z00_3895); } 
BgL_new1240z00_3893 = BgL_new1239z00_3894; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1240z00_3893))->BgL_locz00)=((obj_t)BgL_loc1172z00_3450),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1240z00_3893))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_fun1173z00_3451)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1240z00_3893))->BgL_argsz00)=((obj_t)BgL_args1174z00_3452),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1240z00_3893))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf31175zf3_3453),BUNSPEC); 
return BgL_new1240z00_3893;} } 

}



/* &lambda1924 */
obj_t BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t BgL_envz00_3454, obj_t BgL_oz00_3455, obj_t BgL_vz00_3456)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3455)))->BgL_tailzf3zf3)=((obj_t)BgL_vz00_3456),BUNSPEC);} 

}



/* &lambda1923 */
obj_t BGl_z62lambda1923z62zz__evaluate_typesz00(obj_t BgL_envz00_3457, obj_t BgL_oz00_3458)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3458)))->BgL_tailzf3zf3);} 

}



/* &lambda1919 */
obj_t BGl_z62lambda1919z62zz__evaluate_typesz00(obj_t BgL_envz00_3459, obj_t BgL_oz00_3460, obj_t BgL_vz00_3461)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3460)))->BgL_argsz00)=((obj_t)BgL_vz00_3461),BUNSPEC);} 

}



/* &lambda1918 */
obj_t BGl_z62lambda1918z62zz__evaluate_typesz00(obj_t BgL_envz00_3462, obj_t BgL_oz00_3463)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3463)))->BgL_argsz00);} 

}



/* &lambda1914 */
obj_t BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t BgL_envz00_3464, obj_t BgL_oz00_3465, obj_t BgL_vz00_3466)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3465)))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3466)),BUNSPEC);} 

}



/* &lambda1913 */
BgL_ev_exprz00_bglt BGl_z62lambda1913z62zz__evaluate_typesz00(obj_t BgL_envz00_3467, obj_t BgL_oz00_3468)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3468)))->BgL_funz00);} 

}



/* &lambda1909 */
obj_t BGl_z62lambda1909z62zz__evaluate_typesz00(obj_t BgL_envz00_3469, obj_t BgL_oz00_3470, obj_t BgL_vz00_3471)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3470)))->BgL_locz00)=((obj_t)BgL_vz00_3471),BUNSPEC);} 

}



/* &lambda1908 */
obj_t BGl_z62lambda1908z62zz__evaluate_typesz00(obj_t BgL_envz00_3472, obj_t BgL_oz00_3473)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3473)))->BgL_locz00);} 

}



/* &<@anonymous:1874> */
obj_t BGl_z62zc3z04anonymousza31874ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3474, obj_t BgL_new1170z00_3475)
{
{ /* Eval/evaluate_types.scm 114 */
{ 
BgL_ev_gotoz00_bglt BgL_auxz00_4703;
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3475)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_varz00_bglt BgL_auxz00_4706;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_classz00_3907;
BgL_classz00_3907 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL__ortest_1281z00_3908;
BgL__ortest_1281z00_3908 = 
BGL_CLASS_NIL(BgL_classz00_3907); 
if(
CBOOL(BgL__ortest_1281z00_3908))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4706 = 
((BgL_ev_varz00_bglt)BgL__ortest_1281z00_3908)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4706 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3907))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3475)))->BgL_labelz00)=((BgL_ev_varz00_bglt)BgL_auxz00_4706),BUNSPEC); } 
{ 
BgL_ev_labelsz00_bglt BgL_auxz00_4715;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_classz00_3909;
BgL_classz00_3909 = BGl_ev_labelsz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL__ortest_1281z00_3910;
BgL__ortest_1281z00_3910 = 
BGL_CLASS_NIL(BgL_classz00_3909); 
if(
CBOOL(BgL__ortest_1281z00_3910))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4715 = 
((BgL_ev_labelsz00_bglt)BgL__ortest_1281z00_3910)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4715 = 
((BgL_ev_labelsz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3909))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3475)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)BgL_auxz00_4715),BUNSPEC); } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3475)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4703 = 
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3475); 
return 
((obj_t)BgL_auxz00_4703);} } 

}



/* &lambda1872 */
BgL_ev_gotoz00_bglt BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t BgL_envz00_3476)
{
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1169z00_3911;
BgL_new1169z00_3911 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
long BgL_arg1873z00_3912;
{ /* Eval/evaluate_types.scm 114 */
long BgL_res2315z00_3913;
BgL_res2315z00_3913 = 
BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00); 
BgL_arg1873z00_3912 = BgL_res2315z00_3913; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1169z00_3911), BgL_arg1873z00_3912); } 
return BgL_new1169z00_3911;} } 

}



/* &lambda1870 */
BgL_ev_gotoz00_bglt BGl_z62lambda1870z62zz__evaluate_typesz00(obj_t BgL_envz00_3477, obj_t BgL_loc1165z00_3478, obj_t BgL_label1166z00_3479, obj_t BgL_labels1167z00_3480, obj_t BgL_args1168z00_3481)
{
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1238z00_3916;
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1237z00_3917;
BgL_new1237z00_3917 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
long BgL_arg1871z00_3918;
{ /* Eval/evaluate_types.scm 114 */
long BgL_res2314z00_3919;
BgL_res2314z00_3919 = 
BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00); 
BgL_arg1871z00_3918 = BgL_res2314z00_3919; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1237z00_3917), BgL_arg1871z00_3918); } 
BgL_new1238z00_3916 = BgL_new1237z00_3917; } 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1238z00_3916))->BgL_locz00)=((obj_t)BgL_loc1165z00_3478),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1238z00_3916))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_label1166z00_3479)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1238z00_3916))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_labels1167z00_3480)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1238z00_3916))->BgL_argsz00)=((obj_t)BgL_args1168z00_3481),BUNSPEC); 
return BgL_new1238z00_3916;} } 

}



/* &lambda1894 */
obj_t BGl_z62lambda1894z62zz__evaluate_typesz00(obj_t BgL_envz00_3482, obj_t BgL_oz00_3483, obj_t BgL_vz00_3484)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3483)))->BgL_argsz00)=((obj_t)BgL_vz00_3484),BUNSPEC);} 

}



/* &lambda1893 */
obj_t BGl_z62lambda1893z62zz__evaluate_typesz00(obj_t BgL_envz00_3485, obj_t BgL_oz00_3486)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3486)))->BgL_argsz00);} 

}



/* &lambda1889 */
obj_t BGl_z62lambda1889z62zz__evaluate_typesz00(obj_t BgL_envz00_3487, obj_t BgL_oz00_3488, obj_t BgL_vz00_3489)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3488)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_vz00_3489)),BUNSPEC);} 

}



/* &lambda1888 */
BgL_ev_labelsz00_bglt BGl_z62lambda1888z62zz__evaluate_typesz00(obj_t BgL_envz00_3490, obj_t BgL_oz00_3491)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3491)))->BgL_labelsz00);} 

}



/* &lambda1884 */
obj_t BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t BgL_envz00_3492, obj_t BgL_oz00_3493, obj_t BgL_vz00_3494)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3493)))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3494)),BUNSPEC);} 

}



/* &lambda1883 */
BgL_ev_varz00_bglt BGl_z62lambda1883z62zz__evaluate_typesz00(obj_t BgL_envz00_3495, obj_t BgL_oz00_3496)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3496)))->BgL_labelz00);} 

}



/* &lambda1879 */
obj_t BGl_z62lambda1879z62zz__evaluate_typesz00(obj_t BgL_envz00_3497, obj_t BgL_oz00_3498, obj_t BgL_vz00_3499)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3498)))->BgL_locz00)=((obj_t)BgL_vz00_3499),BUNSPEC);} 

}



/* &lambda1878 */
obj_t BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t BgL_envz00_3500, obj_t BgL_oz00_3501)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3501)))->BgL_locz00);} 

}



/* &<@anonymous:1828> */
obj_t BGl_z62zc3z04anonymousza31828ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3502, obj_t BgL_new1163z00_3503)
{
{ /* Eval/evaluate_types.scm 106 */
{ 
BgL_ev_labelsz00_bglt BgL_auxz00_4760;
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3503)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3503)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3503)))->BgL_envz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3503)))->BgL_stkz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4769;
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_classz00_3931;
BgL_classz00_3931 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL__ortest_1281z00_3932;
BgL__ortest_1281z00_3932 = 
BGL_CLASS_NIL(BgL_classz00_3931); 
if(
CBOOL(BgL__ortest_1281z00_3932))
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4769 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3932)
; }  else 
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4769 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3931))
; } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3503)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4769),BUNSPEC); } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3503)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4760 = 
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3503); 
return 
((obj_t)BgL_auxz00_4760);} } 

}



/* &lambda1826 */
BgL_ev_labelsz00_bglt BGl_z62lambda1826z62zz__evaluate_typesz00(obj_t BgL_envz00_3504)
{
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1162z00_3933;
BgL_new1162z00_3933 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
long BgL_arg1827z00_3934;
{ /* Eval/evaluate_types.scm 106 */
long BgL_res2313z00_3935;
BgL_res2313z00_3935 = 
BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00); 
BgL_arg1827z00_3934 = BgL_res2313z00_3935; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1162z00_3933), BgL_arg1827z00_3934); } 
return BgL_new1162z00_3933;} } 

}



/* &lambda1824 */
BgL_ev_labelsz00_bglt BGl_z62lambda1824z62zz__evaluate_typesz00(obj_t BgL_envz00_3505, obj_t BgL_vars1156z00_3506, obj_t BgL_vals1157z00_3507, obj_t BgL_env1158z00_3508, obj_t BgL_stk1159z00_3509, obj_t BgL_body1160z00_3510, obj_t BgL_boxes1161z00_3511)
{
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1236z00_3937;
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1235z00_3938;
BgL_new1235z00_3938 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
long BgL_arg1825z00_3939;
{ /* Eval/evaluate_types.scm 106 */
long BgL_res2312z00_3940;
BgL_res2312z00_3940 = 
BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00); 
BgL_arg1825z00_3939 = BgL_res2312z00_3940; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1235z00_3938), BgL_arg1825z00_3939); } 
BgL_new1236z00_3937 = BgL_new1235z00_3938; } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3937))->BgL_varsz00)=((obj_t)BgL_vars1156z00_3506),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3937))->BgL_valsz00)=((obj_t)BgL_vals1157z00_3507),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3937))->BgL_envz00)=((obj_t)BgL_env1158z00_3508),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3937))->BgL_stkz00)=((obj_t)BgL_stk1159z00_3509),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3937))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1160z00_3510)),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3937))->BgL_boxesz00)=((obj_t)BgL_boxes1161z00_3511),BUNSPEC); 
return BgL_new1236z00_3937;} } 

}



/* &<@anonymous:1864> */
obj_t BGl_z62zc3z04anonymousza31864ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3512)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1863 */
obj_t BGl_z62lambda1863z62zz__evaluate_typesz00(obj_t BgL_envz00_3513, obj_t BgL_oz00_3514, obj_t BgL_vz00_3515)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3514)))->BgL_boxesz00)=((obj_t)BgL_vz00_3515),BUNSPEC);} 

}



/* &lambda1862 */
obj_t BGl_z62lambda1862z62zz__evaluate_typesz00(obj_t BgL_envz00_3516, obj_t BgL_oz00_3517)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3517)))->BgL_boxesz00);} 

}



/* &lambda1857 */
obj_t BGl_z62lambda1857z62zz__evaluate_typesz00(obj_t BgL_envz00_3518, obj_t BgL_oz00_3519, obj_t BgL_vz00_3520)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3519)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3520)),BUNSPEC);} 

}



/* &lambda1856 */
BgL_ev_exprz00_bglt BGl_z62lambda1856z62zz__evaluate_typesz00(obj_t BgL_envz00_3521, obj_t BgL_oz00_3522)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3522)))->BgL_bodyz00);} 

}



/* &<@anonymous:1852> */
obj_t BGl_z62zc3z04anonymousza31852ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3523)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1851 */
obj_t BGl_z62lambda1851z62zz__evaluate_typesz00(obj_t BgL_envz00_3524, obj_t BgL_oz00_3525, obj_t BgL_vz00_3526)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3525)))->BgL_stkz00)=((obj_t)BgL_vz00_3526),BUNSPEC);} 

}



/* &lambda1850 */
obj_t BGl_z62lambda1850z62zz__evaluate_typesz00(obj_t BgL_envz00_3527, obj_t BgL_oz00_3528)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3528)))->BgL_stkz00);} 

}



/* &<@anonymous:1845> */
obj_t BGl_z62zc3z04anonymousza31845ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3529)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1844 */
obj_t BGl_z62lambda1844z62zz__evaluate_typesz00(obj_t BgL_envz00_3530, obj_t BgL_oz00_3531, obj_t BgL_vz00_3532)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3531)))->BgL_envz00)=((obj_t)BgL_vz00_3532),BUNSPEC);} 

}



/* &lambda1843 */
obj_t BGl_z62lambda1843z62zz__evaluate_typesz00(obj_t BgL_envz00_3533, obj_t BgL_oz00_3534)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3534)))->BgL_envz00);} 

}



/* &lambda1838 */
obj_t BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t BgL_envz00_3535, obj_t BgL_oz00_3536, obj_t BgL_vz00_3537)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3536)))->BgL_valsz00)=((obj_t)BgL_vz00_3537),BUNSPEC);} 

}



/* &lambda1837 */
obj_t BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t BgL_envz00_3538, obj_t BgL_oz00_3539)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3539)))->BgL_valsz00);} 

}



/* &lambda1833 */
obj_t BGl_z62lambda1833z62zz__evaluate_typesz00(obj_t BgL_envz00_3540, obj_t BgL_oz00_3541, obj_t BgL_vz00_3542)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3541)))->BgL_varsz00)=((obj_t)BgL_vz00_3542),BUNSPEC);} 

}



/* &lambda1832 */
obj_t BGl_z62lambda1832z62zz__evaluate_typesz00(obj_t BgL_envz00_3543, obj_t BgL_oz00_3544)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3544)))->BgL_varsz00);} 

}



/* &<@anonymous:1818> */
obj_t BGl_z62zc3z04anonymousza31818ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3545, obj_t BgL_new1154z00_3546)
{
{ /* Eval/evaluate_types.scm 105 */
{ 
BgL_ev_letrecz00_bglt BgL_auxz00_4822;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1154z00_3546))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1154z00_3546))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4829;
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_classz00_3955;
BgL_classz00_3955 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL__ortest_1281z00_3956;
BgL__ortest_1281z00_3956 = 
BGL_CLASS_NIL(BgL_classz00_3955); 
if(
CBOOL(BgL__ortest_1281z00_3956))
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4829 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3956)
; }  else 
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4829 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3955))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1154z00_3546))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4829),BUNSPEC); } 
BgL_auxz00_4822 = 
((BgL_ev_letrecz00_bglt)BgL_new1154z00_3546); 
return 
((obj_t)BgL_auxz00_4822);} } 

}



/* &lambda1816 */
BgL_ev_letrecz00_bglt BGl_z62lambda1816z62zz__evaluate_typesz00(obj_t BgL_envz00_3547)
{
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1153z00_3957;
BgL_new1153z00_3957 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
long BgL_arg1817z00_3958;
{ /* Eval/evaluate_types.scm 105 */
long BgL_res2311z00_3959;
BgL_res2311z00_3959 = 
BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00); 
BgL_arg1817z00_3958 = BgL_res2311z00_3959; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1153z00_3957), BgL_arg1817z00_3958); } 
return BgL_new1153z00_3957;} } 

}



/* &lambda1814 */
BgL_ev_letrecz00_bglt BGl_z62lambda1814z62zz__evaluate_typesz00(obj_t BgL_envz00_3548, obj_t BgL_vars1150z00_3549, obj_t BgL_vals1151z00_3550, obj_t BgL_body1152z00_3551)
{
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1234z00_3961;
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1233z00_3962;
BgL_new1233z00_3962 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
long BgL_arg1815z00_3963;
{ /* Eval/evaluate_types.scm 105 */
long BgL_res2310z00_3964;
BgL_res2310z00_3964 = 
BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00); 
BgL_arg1815z00_3963 = BgL_res2310z00_3964; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1233z00_3962), BgL_arg1815z00_3963); } 
BgL_new1234z00_3961 = BgL_new1233z00_3962; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1234z00_3961)))->BgL_varsz00)=((obj_t)BgL_vars1150z00_3549),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1234z00_3961)))->BgL_valsz00)=((obj_t)BgL_vals1151z00_3550),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1234z00_3961)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1152z00_3551)),BUNSPEC); 
return BgL_new1234z00_3961;} } 

}



/* &<@anonymous:1801> */
obj_t BGl_z62zc3z04anonymousza31801ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3552, obj_t BgL_new1148z00_3553)
{
{ /* Eval/evaluate_types.scm 103 */
{ 
BgL_ev_letza2za2_bglt BgL_auxz00_4856;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3553))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3553))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4863;
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_classz00_3966;
BgL_classz00_3966 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL__ortest_1281z00_3967;
BgL__ortest_1281z00_3967 = 
BGL_CLASS_NIL(BgL_classz00_3966); 
if(
CBOOL(BgL__ortest_1281z00_3967))
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4863 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3967)
; }  else 
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4863 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3966))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3553))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4863),BUNSPEC); } 
((((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3553)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4856 = 
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3553); 
return 
((obj_t)BgL_auxz00_4856);} } 

}



/* &lambda1799 */
BgL_ev_letza2za2_bglt BGl_z62lambda1799z62zz__evaluate_typesz00(obj_t BgL_envz00_3554)
{
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1147z00_3968;
BgL_new1147z00_3968 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
long BgL_arg1800z00_3969;
{ /* Eval/evaluate_types.scm 103 */
long BgL_res2309z00_3970;
BgL_res2309z00_3970 = 
BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00); 
BgL_arg1800z00_3969 = BgL_res2309z00_3970; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1147z00_3968), BgL_arg1800z00_3969); } 
return BgL_new1147z00_3968;} } 

}



/* &lambda1797 */
BgL_ev_letza2za2_bglt BGl_z62lambda1797z62zz__evaluate_typesz00(obj_t BgL_envz00_3555, obj_t BgL_vars1143z00_3556, obj_t BgL_vals1144z00_3557, obj_t BgL_body1145z00_3558, obj_t BgL_boxes1146z00_3559)
{
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1232z00_3972;
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1231z00_3973;
BgL_new1231z00_3973 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
long BgL_arg1798z00_3974;
{ /* Eval/evaluate_types.scm 103 */
long BgL_res2308z00_3975;
BgL_res2308z00_3975 = 
BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00); 
BgL_arg1798z00_3974 = BgL_res2308z00_3975; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1231z00_3973), BgL_arg1798z00_3974); } 
BgL_new1232z00_3972 = BgL_new1231z00_3973; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1232z00_3972)))->BgL_varsz00)=((obj_t)BgL_vars1143z00_3556),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1232z00_3972)))->BgL_valsz00)=((obj_t)BgL_vals1144z00_3557),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1232z00_3972)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1145z00_3558)),BUNSPEC); 
((((BgL_ev_letza2za2_bglt)COBJECT(BgL_new1232z00_3972))->BgL_boxesz00)=((obj_t)BgL_boxes1146z00_3559),BUNSPEC); 
return BgL_new1232z00_3972;} } 

}



/* &<@anonymous:1808> */
obj_t BGl_z62zc3z04anonymousza31808ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3560)
{
{ /* Eval/evaluate_types.scm 103 */
return BNIL;} 

}



/* &lambda1807 */
obj_t BGl_z62lambda1807z62zz__evaluate_typesz00(obj_t BgL_envz00_3561, obj_t BgL_oz00_3562, obj_t BgL_vz00_3563)
{
{ /* Eval/evaluate_types.scm 103 */
return 
((((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3562)))->BgL_boxesz00)=((obj_t)BgL_vz00_3563),BUNSPEC);} 

}



/* &lambda1806 */
obj_t BGl_z62lambda1806z62zz__evaluate_typesz00(obj_t BgL_envz00_3564, obj_t BgL_oz00_3565)
{
{ /* Eval/evaluate_types.scm 103 */
return 
(((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3565)))->BgL_boxesz00);} 

}



/* &<@anonymous:1784> */
obj_t BGl_z62zc3z04anonymousza31784ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3566, obj_t BgL_new1141z00_3567)
{
{ /* Eval/evaluate_types.scm 101 */
{ 
BgL_ev_letz00_bglt BgL_auxz00_4897;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1141z00_3567))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1141z00_3567))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4904;
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_classz00_3979;
BgL_classz00_3979 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL__ortest_1281z00_3980;
BgL__ortest_1281z00_3980 = 
BGL_CLASS_NIL(BgL_classz00_3979); 
if(
CBOOL(BgL__ortest_1281z00_3980))
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4904 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3980)
; }  else 
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4904 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3979))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1141z00_3567))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4904),BUNSPEC); } 
((((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_new1141z00_3567)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4897 = 
((BgL_ev_letz00_bglt)BgL_new1141z00_3567); 
return 
((obj_t)BgL_auxz00_4897);} } 

}



/* &lambda1782 */
BgL_ev_letz00_bglt BGl_z62lambda1782z62zz__evaluate_typesz00(obj_t BgL_envz00_3568)
{
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1140z00_3981;
BgL_new1140z00_3981 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
long BgL_arg1783z00_3982;
{ /* Eval/evaluate_types.scm 101 */
long BgL_res2307z00_3983;
BgL_res2307z00_3983 = 
BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00); 
BgL_arg1783z00_3982 = BgL_res2307z00_3983; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1140z00_3981), BgL_arg1783z00_3982); } 
return BgL_new1140z00_3981;} } 

}



/* &lambda1780 */
BgL_ev_letz00_bglt BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t BgL_envz00_3569, obj_t BgL_vars1136z00_3570, obj_t BgL_vals1137z00_3571, obj_t BgL_body1138z00_3572, obj_t BgL_boxes1139z00_3573)
{
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1230z00_3985;
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1229z00_3986;
BgL_new1229z00_3986 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
long BgL_arg1781z00_3987;
{ /* Eval/evaluate_types.scm 101 */
long BgL_res2306z00_3988;
BgL_res2306z00_3988 = 
BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00); 
BgL_arg1781z00_3987 = BgL_res2306z00_3988; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1229z00_3986), BgL_arg1781z00_3987); } 
BgL_new1230z00_3985 = BgL_new1229z00_3986; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1230z00_3985)))->BgL_varsz00)=((obj_t)BgL_vars1136z00_3570),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1230z00_3985)))->BgL_valsz00)=((obj_t)BgL_vals1137z00_3571),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1230z00_3985)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1138z00_3572)),BUNSPEC); 
((((BgL_ev_letz00_bglt)COBJECT(BgL_new1230z00_3985))->BgL_boxesz00)=((obj_t)BgL_boxes1139z00_3573),BUNSPEC); 
return BgL_new1230z00_3985;} } 

}



/* &<@anonymous:1791> */
obj_t BGl_z62zc3z04anonymousza31791ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3574)
{
{ /* Eval/evaluate_types.scm 101 */
return BNIL;} 

}



/* &lambda1790 */
obj_t BGl_z62lambda1790z62zz__evaluate_typesz00(obj_t BgL_envz00_3575, obj_t BgL_oz00_3576, obj_t BgL_vz00_3577)
{
{ /* Eval/evaluate_types.scm 101 */
return 
((((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3576)))->BgL_boxesz00)=((obj_t)BgL_vz00_3577),BUNSPEC);} 

}



/* &lambda1789 */
obj_t BGl_z62lambda1789z62zz__evaluate_typesz00(obj_t BgL_envz00_3578, obj_t BgL_oz00_3579)
{
{ /* Eval/evaluate_types.scm 101 */
return 
(((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3579)))->BgL_boxesz00);} 

}



/* &<@anonymous:1759> */
obj_t BGl_z62zc3z04anonymousza31759ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3580, obj_t BgL_new1134z00_3581)
{
{ /* Eval/evaluate_types.scm 97 */
{ 
BgL_ev_binderz00_bglt BgL_auxz00_4938;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1134z00_3581)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1134z00_3581)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4943;
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_classz00_3992;
BgL_classz00_3992 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL__ortest_1281z00_3993;
BgL__ortest_1281z00_3993 = 
BGL_CLASS_NIL(BgL_classz00_3992); 
if(
CBOOL(BgL__ortest_1281z00_3993))
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4943 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_3993)
; }  else 
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4943 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3992))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1134z00_3581)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4943),BUNSPEC); } 
BgL_auxz00_4938 = 
((BgL_ev_binderz00_bglt)BgL_new1134z00_3581); 
return 
((obj_t)BgL_auxz00_4938);} } 

}



/* &lambda1757 */
BgL_ev_binderz00_bglt BGl_z62lambda1757z62zz__evaluate_typesz00(obj_t BgL_envz00_3582)
{
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1133z00_3994;
BgL_new1133z00_3994 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
long BgL_arg1758z00_3995;
{ /* Eval/evaluate_types.scm 97 */
long BgL_res2305z00_3996;
BgL_res2305z00_3996 = 
BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00); 
BgL_arg1758z00_3995 = BgL_res2305z00_3996; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1133z00_3994), BgL_arg1758z00_3995); } 
return BgL_new1133z00_3994;} } 

}



/* &lambda1755 */
BgL_ev_binderz00_bglt BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t BgL_envz00_3583, obj_t BgL_vars1130z00_3584, obj_t BgL_vals1131z00_3585, obj_t BgL_body1132z00_3586)
{
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1228z00_3998;
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1227z00_3999;
BgL_new1227z00_3999 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
long BgL_arg1756z00_4000;
{ /* Eval/evaluate_types.scm 97 */
long BgL_res2304z00_4001;
BgL_res2304z00_4001 = 
BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00); 
BgL_arg1756z00_4000 = BgL_res2304z00_4001; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1227z00_3999), BgL_arg1756z00_4000); } 
BgL_new1228z00_3998 = BgL_new1227z00_3999; } 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1228z00_3998))->BgL_varsz00)=((obj_t)BgL_vars1130z00_3584),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1228z00_3998))->BgL_valsz00)=((obj_t)BgL_vals1131z00_3585),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1228z00_3998))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1132z00_3586)),BUNSPEC); 
return BgL_new1228z00_3998;} } 

}



/* &lambda1774 */
obj_t BGl_z62lambda1774z62zz__evaluate_typesz00(obj_t BgL_envz00_3587, obj_t BgL_oz00_3588, obj_t BgL_vz00_3589)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3588)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3589)),BUNSPEC);} 

}



/* &lambda1773 */
BgL_ev_exprz00_bglt BGl_z62lambda1773z62zz__evaluate_typesz00(obj_t BgL_envz00_3590, obj_t BgL_oz00_3591)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3591)))->BgL_bodyz00);} 

}



/* &lambda1769 */
obj_t BGl_z62lambda1769z62zz__evaluate_typesz00(obj_t BgL_envz00_3592, obj_t BgL_oz00_3593, obj_t BgL_vz00_3594)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3593)))->BgL_valsz00)=((obj_t)BgL_vz00_3594),BUNSPEC);} 

}



/* &lambda1768 */
obj_t BGl_z62lambda1768z62zz__evaluate_typesz00(obj_t BgL_envz00_3595, obj_t BgL_oz00_3596)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3596)))->BgL_valsz00);} 

}



/* &lambda1764 */
obj_t BGl_z62lambda1764z62zz__evaluate_typesz00(obj_t BgL_envz00_3597, obj_t BgL_oz00_3598, obj_t BgL_vz00_3599)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3598)))->BgL_varsz00)=((obj_t)BgL_vz00_3599),BUNSPEC);} 

}



/* &lambda1763 */
obj_t BGl_z62lambda1763z62zz__evaluate_typesz00(obj_t BgL_envz00_3600, obj_t BgL_oz00_3601)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3601)))->BgL_varsz00);} 

}



/* &<@anonymous:1729> */
obj_t BGl_z62zc3z04anonymousza31729ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3602, obj_t BgL_new1128z00_3603)
{
{ /* Eval/evaluate_types.scm 92 */
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_4979;
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3603)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4982;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_4010;
BgL_classz00_4010 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1281z00_4011;
BgL__ortest_1281z00_4011 = 
BGL_CLASS_NIL(BgL_classz00_4010); 
if(
CBOOL(BgL__ortest_1281z00_4011))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4982 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4011)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4982 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4010))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3603)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4982),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4991;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_4012;
BgL_classz00_4012 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1281z00_4013;
BgL__ortest_1281z00_4013 = 
BGL_CLASS_NIL(BgL_classz00_4012); 
if(
CBOOL(BgL__ortest_1281z00_4013))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4991 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4013)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4991 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4012))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3603)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4991),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5000;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_4014;
BgL_classz00_4014 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1281z00_4015;
BgL__ortest_1281z00_4015 = 
BGL_CLASS_NIL(BgL_classz00_4014); 
if(
CBOOL(BgL__ortest_1281z00_4015))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_5000 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4015)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_5000 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4014))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3603)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5000),BUNSPEC); } 
BgL_auxz00_4979 = 
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3603); 
return 
((obj_t)BgL_auxz00_4979);} } 

}



/* &lambda1727 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t BgL_envz00_3604)
{
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1127z00_4016;
BgL_new1127z00_4016 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
long BgL_arg1728z00_4017;
{ /* Eval/evaluate_types.scm 92 */
long BgL_res2303z00_4018;
BgL_res2303z00_4018 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BgL_arg1728z00_4017 = BgL_res2303z00_4018; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_4016), BgL_arg1728z00_4017); } 
return BgL_new1127z00_4016;} } 

}



/* &lambda1725 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1725z62zz__evaluate_typesz00(obj_t BgL_envz00_3605, obj_t BgL_loc1123z00_3606, obj_t BgL_mutex1124z00_3607, obj_t BgL_prelock1125z00_3608, obj_t BgL_body1126z00_3609)
{
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1226z00_4022;
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1225z00_4023;
BgL_new1225z00_4023 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
long BgL_arg1726z00_4024;
{ /* Eval/evaluate_types.scm 92 */
long BgL_res2302z00_4025;
BgL_res2302z00_4025 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BgL_arg1726z00_4024 = BgL_res2302z00_4025; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1225z00_4023), BgL_arg1726z00_4024); } 
BgL_new1226z00_4022 = BgL_new1225z00_4023; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1226z00_4022))->BgL_locz00)=((obj_t)BgL_loc1123z00_3606),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1226z00_4022))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_mutex1124z00_3607)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1226z00_4022))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_prelock1125z00_3608)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1226z00_4022))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1126z00_3609)),BUNSPEC); 
return BgL_new1226z00_4022;} } 

}



/* &lambda1749 */
obj_t BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t BgL_envz00_3610, obj_t BgL_oz00_3611, obj_t BgL_vz00_3612)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3611)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3612)),BUNSPEC);} 

}



/* &lambda1748 */
BgL_ev_exprz00_bglt BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t BgL_envz00_3613, obj_t BgL_oz00_3614)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3614)))->BgL_bodyz00);} 

}



/* &lambda1744 */
obj_t BGl_z62lambda1744z62zz__evaluate_typesz00(obj_t BgL_envz00_3615, obj_t BgL_oz00_3616, obj_t BgL_vz00_3617)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3616)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3617)),BUNSPEC);} 

}



/* &lambda1743 */
BgL_ev_exprz00_bglt BGl_z62lambda1743z62zz__evaluate_typesz00(obj_t BgL_envz00_3618, obj_t BgL_oz00_3619)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3619)))->BgL_prelockz00);} 

}



/* &lambda1739 */
obj_t BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t BgL_envz00_3620, obj_t BgL_oz00_3621, obj_t BgL_vz00_3622)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3621)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3622)),BUNSPEC);} 

}



/* &lambda1738 */
BgL_ev_exprz00_bglt BGl_z62lambda1738z62zz__evaluate_typesz00(obj_t BgL_envz00_3623, obj_t BgL_oz00_3624)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3624)))->BgL_mutexz00);} 

}



/* &lambda1734 */
obj_t BGl_z62lambda1734z62zz__evaluate_typesz00(obj_t BgL_envz00_3625, obj_t BgL_oz00_3626, obj_t BgL_vz00_3627)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3626)))->BgL_locz00)=((obj_t)BgL_vz00_3627),BUNSPEC);} 

}



/* &lambda1733 */
obj_t BGl_z62lambda1733z62zz__evaluate_typesz00(obj_t BgL_envz00_3628, obj_t BgL_oz00_3629)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3629)))->BgL_locz00);} 

}



/* &<@anonymous:1708> */
obj_t BGl_z62zc3z04anonymousza31708ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3630, obj_t BgL_new1121z00_3631)
{
{ /* Eval/evaluate_types.scm 89 */
{ 
BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_5045;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5046;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_classz00_4038;
BgL_classz00_4038 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL__ortest_1281z00_4039;
BgL__ortest_1281z00_4039 = 
BGL_CLASS_NIL(BgL_classz00_4038); 
if(
CBOOL(BgL__ortest_1281z00_4039))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_5046 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4039)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_5046 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4038))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1121z00_3631)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5046),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5055;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_classz00_4040;
BgL_classz00_4040 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL__ortest_1281z00_4041;
BgL__ortest_1281z00_4041 = 
BGL_CLASS_NIL(BgL_classz00_4040); 
if(
CBOOL(BgL__ortest_1281z00_4041))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_5055 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4041)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_5055 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4040))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1121z00_3631)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5055),BUNSPEC); } 
BgL_auxz00_5045 = 
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1121z00_3631); 
return 
((obj_t)BgL_auxz00_5045);} } 

}



/* &lambda1706 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1706z62zz__evaluate_typesz00(obj_t BgL_envz00_3632)
{
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1120z00_4042;
BgL_new1120z00_4042 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
long BgL_arg1707z00_4043;
{ /* Eval/evaluate_types.scm 89 */
long BgL_res2301z00_4044;
BgL_res2301z00_4044 = 
BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BgL_arg1707z00_4043 = BgL_res2301z00_4044; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_4042), BgL_arg1707z00_4043); } 
return BgL_new1120z00_4042;} } 

}



/* &lambda1704 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1704z62zz__evaluate_typesz00(obj_t BgL_envz00_3633, obj_t BgL_handler1118z00_3634, obj_t BgL_body1119z00_3635)
{
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1224z00_4047;
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1223z00_4048;
BgL_new1223z00_4048 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
long BgL_arg1705z00_4049;
{ /* Eval/evaluate_types.scm 89 */
long BgL_res2300z00_4050;
BgL_res2300z00_4050 = 
BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BgL_arg1705z00_4049 = BgL_res2300z00_4050; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1223z00_4048), BgL_arg1705z00_4049); } 
BgL_new1224z00_4047 = BgL_new1223z00_4048; } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1224z00_4047))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_handler1118z00_3634)),BUNSPEC); 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1224z00_4047))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1119z00_3635)),BUNSPEC); 
return BgL_new1224z00_4047;} } 

}



/* &lambda1719 */
obj_t BGl_z62lambda1719z62zz__evaluate_typesz00(obj_t BgL_envz00_3636, obj_t BgL_oz00_3637, obj_t BgL_vz00_3638)
{
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3637)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3638)),BUNSPEC);} 

}



/* &lambda1718 */
BgL_ev_exprz00_bglt BGl_z62lambda1718z62zz__evaluate_typesz00(obj_t BgL_envz00_3639, obj_t BgL_oz00_3640)
{
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3640)))->BgL_bodyz00);} 

}



/* &lambda1713 */
obj_t BGl_z62lambda1713z62zz__evaluate_typesz00(obj_t BgL_envz00_3641, obj_t BgL_oz00_3642, obj_t BgL_vz00_3643)
{
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3642)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3643)),BUNSPEC);} 

}



/* &lambda1712 */
BgL_ev_exprz00_bglt BGl_z62lambda1712z62zz__evaluate_typesz00(obj_t BgL_envz00_3644, obj_t BgL_oz00_3645)
{
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3645)))->BgL_handlerz00);} 

}



/* &<@anonymous:1688> */
obj_t BGl_z62zc3z04anonymousza31688ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3646, obj_t BgL_new1116z00_3647)
{
{ /* Eval/evaluate_types.scm 86 */
{ 
BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5088;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5089;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_classz00_4058;
BgL_classz00_4058 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL__ortest_1281z00_4059;
BgL__ortest_1281z00_4059 = 
BGL_CLASS_NIL(BgL_classz00_4058); 
if(
CBOOL(BgL__ortest_1281z00_4059))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5089 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4059)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5089 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4058))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1116z00_3647)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5089),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5098;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_classz00_4060;
BgL_classz00_4060 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL__ortest_1281z00_4061;
BgL__ortest_1281z00_4061 = 
BGL_CLASS_NIL(BgL_classz00_4060); 
if(
CBOOL(BgL__ortest_1281z00_4061))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5098 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4061)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5098 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4060))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1116z00_3647)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5098),BUNSPEC); } 
BgL_auxz00_5088 = 
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1116z00_3647); 
return 
((obj_t)BgL_auxz00_5088);} } 

}



/* &lambda1686 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t BgL_envz00_3648)
{
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1115z00_4062;
BgL_new1115z00_4062 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
long BgL_arg1687z00_4063;
{ /* Eval/evaluate_types.scm 86 */
long BgL_res2299z00_4064;
BgL_res2299z00_4064 = 
BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BgL_arg1687z00_4063 = BgL_res2299z00_4064; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_4062), BgL_arg1687z00_4063); } 
return BgL_new1115z00_4062;} } 

}



/* &lambda1684 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1684z62zz__evaluate_typesz00(obj_t BgL_envz00_3649, obj_t BgL_e1113z00_3650, obj_t BgL_body1114z00_3651)
{
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1222z00_4067;
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1221z00_4068;
BgL_new1221z00_4068 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
long BgL_arg1685z00_4069;
{ /* Eval/evaluate_types.scm 86 */
long BgL_res2298z00_4070;
BgL_res2298z00_4070 = 
BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BgL_arg1685z00_4069 = BgL_res2298z00_4070; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1221z00_4068), BgL_arg1685z00_4069); } 
BgL_new1222z00_4067 = BgL_new1221z00_4068; } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1222z00_4067))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1113z00_3650)),BUNSPEC); 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1222z00_4067))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1114z00_3651)),BUNSPEC); 
return BgL_new1222z00_4067;} } 

}



/* &lambda1698 */
obj_t BGl_z62lambda1698z62zz__evaluate_typesz00(obj_t BgL_envz00_3652, obj_t BgL_oz00_3653, obj_t BgL_vz00_3654)
{
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3653)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3654)),BUNSPEC);} 

}



/* &lambda1697 */
BgL_ev_exprz00_bglt BGl_z62lambda1697z62zz__evaluate_typesz00(obj_t BgL_envz00_3655, obj_t BgL_oz00_3656)
{
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3656)))->BgL_bodyz00);} 

}



/* &lambda1693 */
obj_t BGl_z62lambda1693z62zz__evaluate_typesz00(obj_t BgL_envz00_3657, obj_t BgL_oz00_3658, obj_t BgL_vz00_3659)
{
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3658)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3659)),BUNSPEC);} 

}



/* &lambda1692 */
BgL_ev_exprz00_bglt BGl_z62lambda1692z62zz__evaluate_typesz00(obj_t BgL_envz00_3660, obj_t BgL_oz00_3661)
{
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3661)))->BgL_ez00);} 

}



/* &<@anonymous:1668> */
obj_t BGl_z62zc3z04anonymousza31668ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3662, obj_t BgL_new1111z00_3663)
{
{ /* Eval/evaluate_types.scm 83 */
{ 
BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5131;
{ 
BgL_ev_varz00_bglt BgL_auxz00_5132;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_classz00_4078;
BgL_classz00_4078 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL__ortest_1281z00_4079;
BgL__ortest_1281z00_4079 = 
BGL_CLASS_NIL(BgL_classz00_4078); 
if(
CBOOL(BgL__ortest_1281z00_4079))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5132 = 
((BgL_ev_varz00_bglt)BgL__ortest_1281z00_4079)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5132 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4078))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1111z00_3663)))->BgL_varz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5132),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5141;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_classz00_4080;
BgL_classz00_4080 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL__ortest_1281z00_4081;
BgL__ortest_1281z00_4081 = 
BGL_CLASS_NIL(BgL_classz00_4080); 
if(
CBOOL(BgL__ortest_1281z00_4081))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5141 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4081)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5141 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4080))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1111z00_3663)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5141),BUNSPEC); } 
BgL_auxz00_5131 = 
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1111z00_3663); 
return 
((obj_t)BgL_auxz00_5131);} } 

}



/* &lambda1666 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1666z62zz__evaluate_typesz00(obj_t BgL_envz00_3664)
{
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1110z00_4082;
BgL_new1110z00_4082 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
long BgL_arg1667z00_4083;
{ /* Eval/evaluate_types.scm 83 */
long BgL_res2297z00_4084;
BgL_res2297z00_4084 = 
BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BgL_arg1667z00_4083 = BgL_res2297z00_4084; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_4082), BgL_arg1667z00_4083); } 
return BgL_new1110z00_4082;} } 

}



/* &lambda1664 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1664z62zz__evaluate_typesz00(obj_t BgL_envz00_3665, obj_t BgL_var1108z00_3666, obj_t BgL_body1109z00_3667)
{
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1220z00_4087;
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1219z00_4088;
BgL_new1219z00_4088 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
long BgL_arg1665z00_4089;
{ /* Eval/evaluate_types.scm 83 */
long BgL_res2296z00_4090;
BgL_res2296z00_4090 = 
BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BgL_arg1665z00_4089 = BgL_res2296z00_4090; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1219z00_4088), BgL_arg1665z00_4089); } 
BgL_new1220z00_4087 = BgL_new1219z00_4088; } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1220z00_4087))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_var1108z00_3666)),BUNSPEC); 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1220z00_4087))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1109z00_3667)),BUNSPEC); 
return BgL_new1220z00_4087;} } 

}



/* &lambda1678 */
obj_t BGl_z62lambda1678z62zz__evaluate_typesz00(obj_t BgL_envz00_3668, obj_t BgL_oz00_3669, obj_t BgL_vz00_3670)
{
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3669)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3670)),BUNSPEC);} 

}



/* &lambda1677 */
BgL_ev_exprz00_bglt BGl_z62lambda1677z62zz__evaluate_typesz00(obj_t BgL_envz00_3671, obj_t BgL_oz00_3672)
{
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3672)))->BgL_bodyz00);} 

}



/* &lambda1673 */
obj_t BGl_z62lambda1673z62zz__evaluate_typesz00(obj_t BgL_envz00_3673, obj_t BgL_oz00_3674, obj_t BgL_vz00_3675)
{
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3674)))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3675)),BUNSPEC);} 

}



/* &lambda1672 */
BgL_ev_varz00_bglt BGl_z62lambda1672z62zz__evaluate_typesz00(obj_t BgL_envz00_3676, obj_t BgL_oz00_3677)
{
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3677)))->BgL_varz00);} 

}



/* &<@anonymous:1658> */
obj_t BGl_z62zc3z04anonymousza31658ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3678, obj_t BgL_new1106z00_3679)
{
{ /* Eval/evaluate_types.scm 82 */
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5174;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5175;
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_classz00_4098;
BgL_classz00_4098 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL__ortest_1281z00_4099;
BgL__ortest_1281z00_4099 = 
BGL_CLASS_NIL(BgL_classz00_4098); 
if(
CBOOL(BgL__ortest_1281z00_4099))
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5175 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4099)
; }  else 
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5175 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4098))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3679))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5175),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3679))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3679))))->BgL_namez00)=((obj_t)BGl_symbol2699z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3679))))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5174 = 
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3679); 
return 
((obj_t)BgL_auxz00_5174);} } 

}



/* &lambda1656 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t BgL_envz00_3680)
{
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1105z00_4100;
BgL_new1105z00_4100 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
long BgL_arg1657z00_4101;
{ /* Eval/evaluate_types.scm 82 */
long BgL_res2295z00_4102;
BgL_res2295z00_4102 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BgL_arg1657z00_4101 = BgL_res2295z00_4102; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1105z00_4100), BgL_arg1657z00_4101); } 
return BgL_new1105z00_4100;} } 

}



/* &lambda1654 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1654z62zz__evaluate_typesz00(obj_t BgL_envz00_3681, obj_t BgL_e1101z00_3682, obj_t BgL_loc1102z00_3683, obj_t BgL_name1103z00_3684, obj_t BgL_mod1104z00_3685)
{
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1218z00_4105;
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1217z00_4106;
BgL_new1217z00_4106 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
long BgL_arg1655z00_4107;
{ /* Eval/evaluate_types.scm 82 */
long BgL_res2294z00_4108;
BgL_res2294z00_4108 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BgL_arg1655z00_4107 = BgL_res2294z00_4108; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1217z00_4106), BgL_arg1655z00_4107); } 
BgL_new1218z00_4105 = BgL_new1217z00_4106; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1218z00_4105)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1101z00_3682)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1218z00_4105)))->BgL_locz00)=((obj_t)BgL_loc1102z00_3683),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1218z00_4105)))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1103z00_3684)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1218z00_4105)))->BgL_modz00)=((obj_t)BgL_mod1104z00_3685),BUNSPEC); 
return BgL_new1218z00_4105;} } 

}



/* &<@anonymous:1624> */
obj_t BGl_z62zc3z04anonymousza31624ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3686, obj_t BgL_new1099z00_3687)
{
{ /* Eval/evaluate_types.scm 78 */
{ 
BgL_ev_setglobalz00_bglt BgL_auxz00_5214;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5215;
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_classz00_4110;
BgL_classz00_4110 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL__ortest_1281z00_4111;
BgL__ortest_1281z00_4111 = 
BGL_CLASS_NIL(BgL_classz00_4110); 
if(
CBOOL(BgL__ortest_1281z00_4111))
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5215 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4111)
; }  else 
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5215 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4110))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3687))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5215),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3687)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3687)))->BgL_namez00)=((obj_t)BGl_symbol2699z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3687)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5214 = 
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3687); 
return 
((obj_t)BgL_auxz00_5214);} } 

}



/* &lambda1622 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1622z62zz__evaluate_typesz00(obj_t BgL_envz00_3688)
{
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1098z00_4112;
BgL_new1098z00_4112 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
long BgL_arg1623z00_4113;
{ /* Eval/evaluate_types.scm 78 */
long BgL_res2293z00_4114;
BgL_res2293z00_4114 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BgL_arg1623z00_4113 = BgL_res2293z00_4114; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_4112), BgL_arg1623z00_4113); } 
return BgL_new1098z00_4112;} } 

}



/* &lambda1620 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1620z62zz__evaluate_typesz00(obj_t BgL_envz00_3689, obj_t BgL_e1094z00_3690, obj_t BgL_loc1095z00_3691, obj_t BgL_name1096z00_3692, obj_t BgL_mod1097z00_3693)
{
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1216z00_4117;
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1215z00_4118;
BgL_new1215z00_4118 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
long BgL_arg1621z00_4119;
{ /* Eval/evaluate_types.scm 78 */
long BgL_res2292z00_4120;
BgL_res2292z00_4120 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BgL_arg1621z00_4119 = BgL_res2292z00_4120; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1215z00_4118), BgL_arg1621z00_4119); } 
BgL_new1216z00_4117 = BgL_new1215z00_4118; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1216z00_4117)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1094z00_3690)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1216z00_4117))->BgL_locz00)=((obj_t)BgL_loc1095z00_3691),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1216z00_4117))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1096z00_3692)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1216z00_4117))->BgL_modz00)=((obj_t)BgL_mod1097z00_3693),BUNSPEC); 
return BgL_new1216z00_4117;} } 

}



/* &lambda1647 */
obj_t BGl_z62lambda1647z62zz__evaluate_typesz00(obj_t BgL_envz00_3694, obj_t BgL_oz00_3695, obj_t BgL_vz00_3696)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3695)))->BgL_modz00)=((obj_t)BgL_vz00_3696),BUNSPEC);} 

}



/* &lambda1646 */
obj_t BGl_z62lambda1646z62zz__evaluate_typesz00(obj_t BgL_envz00_3697, obj_t BgL_oz00_3698)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3698)))->BgL_modz00);} 

}



/* &lambda1640 */
obj_t BGl_z62lambda1640z62zz__evaluate_typesz00(obj_t BgL_envz00_3699, obj_t BgL_oz00_3700, obj_t BgL_vz00_3701)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3700)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3701)),BUNSPEC);} 

}



/* &lambda1639 */
obj_t BGl_z62lambda1639z62zz__evaluate_typesz00(obj_t BgL_envz00_3702, obj_t BgL_oz00_3703)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3703)))->BgL_namez00);} 

}



/* &lambda1631 */
obj_t BGl_z62lambda1631z62zz__evaluate_typesz00(obj_t BgL_envz00_3704, obj_t BgL_oz00_3705, obj_t BgL_vz00_3706)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3705)))->BgL_locz00)=((obj_t)BgL_vz00_3706),BUNSPEC);} 

}



/* &lambda1630 */
obj_t BGl_z62lambda1630z62zz__evaluate_typesz00(obj_t BgL_envz00_3707, obj_t BgL_oz00_3708)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3708)))->BgL_locz00);} 

}



/* &<@anonymous:1608> */
obj_t BGl_z62zc3z04anonymousza31608ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3709, obj_t BgL_new1092z00_3710)
{
{ /* Eval/evaluate_types.scm 76 */
{ 
BgL_ev_setlocalz00_bglt BgL_auxz00_5261;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5262;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_classz00_4129;
BgL_classz00_4129 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL__ortest_1281z00_4130;
BgL__ortest_1281z00_4130 = 
BGL_CLASS_NIL(BgL_classz00_4129); 
if(
CBOOL(BgL__ortest_1281z00_4130))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5262 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4130)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5262 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4129))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3710))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5262),BUNSPEC); } 
{ 
BgL_ev_varz00_bglt BgL_auxz00_5272;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_classz00_4131;
BgL_classz00_4131 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL__ortest_1281z00_4132;
BgL__ortest_1281z00_4132 = 
BGL_CLASS_NIL(BgL_classz00_4131); 
if(
CBOOL(BgL__ortest_1281z00_4132))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5272 = 
((BgL_ev_varz00_bglt)BgL__ortest_1281z00_4132)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5272 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4131))
; } } } 
((((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3710)))->BgL_vz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5272),BUNSPEC); } 
BgL_auxz00_5261 = 
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3710); 
return 
((obj_t)BgL_auxz00_5261);} } 

}



/* &lambda1606 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1606z62zz__evaluate_typesz00(obj_t BgL_envz00_3711)
{
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1091z00_4133;
BgL_new1091z00_4133 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
long BgL_arg1607z00_4134;
{ /* Eval/evaluate_types.scm 76 */
long BgL_res2291z00_4135;
BgL_res2291z00_4135 = 
BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BgL_arg1607z00_4134 = BgL_res2291z00_4135; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_4133), BgL_arg1607z00_4134); } 
return BgL_new1091z00_4133;} } 

}



/* &lambda1604 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1604z62zz__evaluate_typesz00(obj_t BgL_envz00_3712, obj_t BgL_e1089z00_3713, obj_t BgL_v1090z00_3714)
{
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1214z00_4138;
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1213z00_4139;
BgL_new1213z00_4139 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
long BgL_arg1605z00_4140;
{ /* Eval/evaluate_types.scm 76 */
long BgL_res2290z00_4141;
BgL_res2290z00_4141 = 
BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BgL_arg1605z00_4140 = BgL_res2290z00_4141; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1213z00_4139), BgL_arg1605z00_4140); } 
BgL_new1214z00_4138 = BgL_new1213z00_4139; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1214z00_4138)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1089z00_3713)),BUNSPEC); 
((((BgL_ev_setlocalz00_bglt)COBJECT(BgL_new1214z00_4138))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_v1090z00_3714)),BUNSPEC); 
return BgL_new1214z00_4138;} } 

}



/* &lambda1614 */
obj_t BGl_z62lambda1614z62zz__evaluate_typesz00(obj_t BgL_envz00_3715, obj_t BgL_oz00_3716, obj_t BgL_vz00_3717)
{
{ /* Eval/evaluate_types.scm 76 */
return 
((((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3716)))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3717)),BUNSPEC);} 

}



/* &lambda1613 */
BgL_ev_varz00_bglt BGl_z62lambda1613z62zz__evaluate_typesz00(obj_t BgL_envz00_3718, obj_t BgL_oz00_3719)
{
{ /* Eval/evaluate_types.scm 76 */
return 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3719)))->BgL_vz00);} 

}



/* &<@anonymous:1597> */
obj_t BGl_z62zc3z04anonymousza31597ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3720, obj_t BgL_new1087z00_3721)
{
{ /* Eval/evaluate_types.scm 75 */
{ 
BgL_ev_trapz00_bglt BgL_auxz00_5301;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5302;
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_classz00_4146;
BgL_classz00_4146 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL__ortest_1281z00_4147;
BgL__ortest_1281z00_4147 = 
BGL_CLASS_NIL(BgL_classz00_4146); 
if(
CBOOL(BgL__ortest_1281z00_4147))
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5302 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4147)
; }  else 
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5302 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4146))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_new1087z00_3721))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5302),BUNSPEC); } 
BgL_auxz00_5301 = 
((BgL_ev_trapz00_bglt)BgL_new1087z00_3721); 
return 
((obj_t)BgL_auxz00_5301);} } 

}



/* &lambda1595 */
BgL_ev_trapz00_bglt BGl_z62lambda1595z62zz__evaluate_typesz00(obj_t BgL_envz00_3722)
{
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1086z00_4148;
BgL_new1086z00_4148 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
long BgL_arg1596z00_4149;
{ /* Eval/evaluate_types.scm 75 */
long BgL_res2289z00_4150;
BgL_res2289z00_4150 = 
BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00); 
BgL_arg1596z00_4149 = BgL_res2289z00_4150; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1086z00_4148), BgL_arg1596z00_4149); } 
return BgL_new1086z00_4148;} } 

}



/* &lambda1593 */
BgL_ev_trapz00_bglt BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t BgL_envz00_3723, obj_t BgL_e1085z00_3724)
{
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1212z00_4152;
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1211z00_4153;
BgL_new1211z00_4153 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
long BgL_arg1594z00_4154;
{ /* Eval/evaluate_types.scm 75 */
long BgL_res2288z00_4155;
BgL_res2288z00_4155 = 
BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00); 
BgL_arg1594z00_4154 = BgL_res2288z00_4155; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1211z00_4153), BgL_arg1594z00_4154); } 
BgL_new1212z00_4152 = BgL_new1211z00_4153; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1212z00_4152)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1085z00_3724)),BUNSPEC); 
return BgL_new1212z00_4152;} } 

}



/* &<@anonymous:1580> */
obj_t BGl_z62zc3z04anonymousza31580ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3725, obj_t BgL_new1083z00_3726)
{
{ /* Eval/evaluate_types.scm 73 */
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5325;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5326;
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_classz00_4157;
BgL_classz00_4157 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL__ortest_1281z00_4158;
BgL__ortest_1281z00_4158 = 
BGL_CLASS_NIL(BgL_classz00_4157); 
if(
CBOOL(BgL__ortest_1281z00_4158))
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5326 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4158)
; }  else 
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5326 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4157))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1083z00_3726)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5326),BUNSPEC); } 
BgL_auxz00_5325 = 
((BgL_ev_hookz00_bglt)BgL_new1083z00_3726); 
return 
((obj_t)BgL_auxz00_5325);} } 

}



/* &lambda1578 */
BgL_ev_hookz00_bglt BGl_z62lambda1578z62zz__evaluate_typesz00(obj_t BgL_envz00_3727)
{
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1082z00_4159;
BgL_new1082z00_4159 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
long BgL_arg1579z00_4160;
{ /* Eval/evaluate_types.scm 73 */
long BgL_res2287z00_4161;
BgL_res2287z00_4161 = 
BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00); 
BgL_arg1579z00_4160 = BgL_res2287z00_4161; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1082z00_4159), BgL_arg1579z00_4160); } 
return BgL_new1082z00_4159;} } 

}



/* &lambda1575 */
BgL_ev_hookz00_bglt BGl_z62lambda1575z62zz__evaluate_typesz00(obj_t BgL_envz00_3728, obj_t BgL_e1081z00_3729)
{
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1210z00_4163;
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1209z00_4164;
BgL_new1209z00_4164 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
long BgL_arg1577z00_4165;
{ /* Eval/evaluate_types.scm 73 */
long BgL_res2286z00_4166;
BgL_res2286z00_4166 = 
BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00); 
BgL_arg1577z00_4165 = BgL_res2286z00_4166; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1209z00_4164), BgL_arg1577z00_4165); } 
BgL_new1210z00_4163 = BgL_new1209z00_4164; } 
((((BgL_ev_hookz00_bglt)COBJECT(BgL_new1210z00_4163))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1081z00_3729)),BUNSPEC); 
return BgL_new1210z00_4163;} } 

}



/* &lambda1587 */
obj_t BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t BgL_envz00_3730, obj_t BgL_oz00_3731, obj_t BgL_vz00_3732)
{
{ /* Eval/evaluate_types.scm 73 */
return 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3731)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3732)),BUNSPEC);} 

}



/* &lambda1586 */
BgL_ev_exprz00_bglt BGl_z62lambda1586z62zz__evaluate_typesz00(obj_t BgL_envz00_3733, obj_t BgL_oz00_3734)
{
{ /* Eval/evaluate_types.scm 73 */
return 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3734)))->BgL_ez00);} 

}



/* &<@anonymous:1555> */
obj_t BGl_z62zc3z04anonymousza31555ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3735, obj_t BgL_new1079z00_3736)
{
{ /* Eval/evaluate_types.scm 70 */
{ 
BgL_ev_prog2z00_bglt BgL_auxz00_5352;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5353;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_classz00_4171;
BgL_classz00_4171 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL__ortest_1281z00_4172;
BgL__ortest_1281z00_4172 = 
BGL_CLASS_NIL(BgL_classz00_4171); 
if(
CBOOL(BgL__ortest_1281z00_4172))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5353 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4172)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5353 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4171))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3736)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5353),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5362;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_classz00_4173;
BgL_classz00_4173 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL__ortest_1281z00_4174;
BgL__ortest_1281z00_4174 = 
BGL_CLASS_NIL(BgL_classz00_4173); 
if(
CBOOL(BgL__ortest_1281z00_4174))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5362 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4174)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5362 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4173))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3736)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5362),BUNSPEC); } 
BgL_auxz00_5352 = 
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3736); 
return 
((obj_t)BgL_auxz00_5352);} } 

}



/* &lambda1553 */
BgL_ev_prog2z00_bglt BGl_z62lambda1553z62zz__evaluate_typesz00(obj_t BgL_envz00_3737)
{
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1078z00_4175;
BgL_new1078z00_4175 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
long BgL_arg1554z00_4176;
{ /* Eval/evaluate_types.scm 70 */
long BgL_res2285z00_4177;
BgL_res2285z00_4177 = 
BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00); 
BgL_arg1554z00_4176 = BgL_res2285z00_4177; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_4175), BgL_arg1554z00_4176); } 
return BgL_new1078z00_4175;} } 

}



/* &lambda1551 */
BgL_ev_prog2z00_bglt BGl_z62lambda1551z62zz__evaluate_typesz00(obj_t BgL_envz00_3738, obj_t BgL_e11076z00_3739, obj_t BgL_e21077z00_3740)
{
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1208z00_4180;
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1207z00_4181;
BgL_new1207z00_4181 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
long BgL_arg1552z00_4182;
{ /* Eval/evaluate_types.scm 70 */
long BgL_res2284z00_4183;
BgL_res2284z00_4183 = 
BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00); 
BgL_arg1552z00_4182 = BgL_res2284z00_4183; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1207z00_4181), BgL_arg1552z00_4182); } 
BgL_new1208z00_4180 = BgL_new1207z00_4181; } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1208z00_4180))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e11076z00_3739)),BUNSPEC); 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1208z00_4180))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e21077z00_3740)),BUNSPEC); 
return BgL_new1208z00_4180;} } 

}



/* &lambda1569 */
obj_t BGl_z62lambda1569z62zz__evaluate_typesz00(obj_t BgL_envz00_3741, obj_t BgL_oz00_3742, obj_t BgL_vz00_3743)
{
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3742)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3743)),BUNSPEC);} 

}



/* &lambda1568 */
BgL_ev_exprz00_bglt BGl_z62lambda1568z62zz__evaluate_typesz00(obj_t BgL_envz00_3744, obj_t BgL_oz00_3745)
{
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3745)))->BgL_e2z00);} 

}



/* &lambda1560 */
obj_t BGl_z62lambda1560z62zz__evaluate_typesz00(obj_t BgL_envz00_3746, obj_t BgL_oz00_3747, obj_t BgL_vz00_3748)
{
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3747)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3748)),BUNSPEC);} 

}



/* &lambda1559 */
BgL_ev_exprz00_bglt BGl_z62lambda1559z62zz__evaluate_typesz00(obj_t BgL_envz00_3749, obj_t BgL_oz00_3750)
{
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3750)))->BgL_e1z00);} 

}



/* &<@anonymous:1545> */
obj_t BGl_z62zc3z04anonymousza31545ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3751, obj_t BgL_new1074z00_3752)
{
{ /* Eval/evaluate_types.scm 69 */
{ 
BgL_ev_andz00_bglt BgL_auxz00_5395;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_new1074z00_3752))))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5395 = 
((BgL_ev_andz00_bglt)BgL_new1074z00_3752); 
return 
((obj_t)BgL_auxz00_5395);} } 

}



/* &lambda1542 */
BgL_ev_andz00_bglt BGl_z62lambda1542z62zz__evaluate_typesz00(obj_t BgL_envz00_3753)
{
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1073z00_4191;
BgL_new1073z00_4191 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
long BgL_arg1544z00_4192;
{ /* Eval/evaluate_types.scm 69 */
long BgL_res2283z00_4193;
BgL_res2283z00_4193 = 
BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00); 
BgL_arg1544z00_4192 = BgL_res2283z00_4193; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_4191), BgL_arg1544z00_4192); } 
return BgL_new1073z00_4191;} } 

}



/* &lambda1539 */
BgL_ev_andz00_bglt BGl_z62lambda1539z62zz__evaluate_typesz00(obj_t BgL_envz00_3754, obj_t BgL_args1072z00_3755)
{
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1206z00_4194;
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1205z00_4195;
BgL_new1205z00_4195 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
long BgL_arg1541z00_4196;
{ /* Eval/evaluate_types.scm 69 */
long BgL_res2282z00_4197;
BgL_res2282z00_4197 = 
BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00); 
BgL_arg1541z00_4196 = BgL_res2282z00_4197; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1205z00_4195), BgL_arg1541z00_4196); } 
BgL_new1206z00_4194 = BgL_new1205z00_4195; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1206z00_4194)))->BgL_argsz00)=((obj_t)BgL_args1072z00_3755),BUNSPEC); 
return BgL_new1206z00_4194;} } 

}



/* &<@anonymous:1528> */
obj_t BGl_z62zc3z04anonymousza31528ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3756, obj_t BgL_new1070z00_3757)
{
{ /* Eval/evaluate_types.scm 68 */
{ 
BgL_ev_orz00_bglt BgL_auxz00_5411;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_new1070z00_3757))))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5411 = 
((BgL_ev_orz00_bglt)BgL_new1070z00_3757); 
return 
((obj_t)BgL_auxz00_5411);} } 

}



/* &lambda1526 */
BgL_ev_orz00_bglt BGl_z62lambda1526z62zz__evaluate_typesz00(obj_t BgL_envz00_3758)
{
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1069z00_4199;
BgL_new1069z00_4199 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
long BgL_arg1527z00_4200;
{ /* Eval/evaluate_types.scm 68 */
long BgL_res2281z00_4201;
BgL_res2281z00_4201 = 
BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00); 
BgL_arg1527z00_4200 = BgL_res2281z00_4201; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_4199), BgL_arg1527z00_4200); } 
return BgL_new1069z00_4199;} } 

}



/* &lambda1524 */
BgL_ev_orz00_bglt BGl_z62lambda1524z62zz__evaluate_typesz00(obj_t BgL_envz00_3759, obj_t BgL_args1068z00_3760)
{
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1204z00_4202;
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1203z00_4203;
BgL_new1203z00_4203 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
long BgL_arg1525z00_4204;
{ /* Eval/evaluate_types.scm 68 */
long BgL_res2280z00_4205;
BgL_res2280z00_4205 = 
BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00); 
BgL_arg1525z00_4204 = BgL_res2280z00_4205; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1203z00_4203), BgL_arg1525z00_4204); } 
BgL_new1204z00_4202 = BgL_new1203z00_4203; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1204z00_4202)))->BgL_argsz00)=((obj_t)BgL_args1068z00_3760),BUNSPEC); 
return BgL_new1204z00_4202;} } 

}



/* &<@anonymous:1512> */
obj_t BGl_z62zc3z04anonymousza31512ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3761, obj_t BgL_new1066z00_3762)
{
{ /* Eval/evaluate_types.scm 66 */
{ 
BgL_ev_listz00_bglt BgL_auxz00_5427;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1066z00_3762)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5427 = 
((BgL_ev_listz00_bglt)BgL_new1066z00_3762); 
return 
((obj_t)BgL_auxz00_5427);} } 

}



/* &lambda1510 */
BgL_ev_listz00_bglt BGl_z62lambda1510z62zz__evaluate_typesz00(obj_t BgL_envz00_3763)
{
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1065z00_4207;
BgL_new1065z00_4207 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
long BgL_arg1511z00_4208;
{ /* Eval/evaluate_types.scm 66 */
long BgL_res2279z00_4209;
BgL_res2279z00_4209 = 
BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00); 
BgL_arg1511z00_4208 = BgL_res2279z00_4209; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1065z00_4207), BgL_arg1511z00_4208); } 
return BgL_new1065z00_4207;} } 

}



/* &lambda1508 */
BgL_ev_listz00_bglt BGl_z62lambda1508z62zz__evaluate_typesz00(obj_t BgL_envz00_3764, obj_t BgL_args1064z00_3765)
{
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1202z00_4210;
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1201z00_4211;
BgL_new1201z00_4211 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
long BgL_arg1509z00_4212;
{ /* Eval/evaluate_types.scm 66 */
long BgL_res2278z00_4213;
BgL_res2278z00_4213 = 
BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00); 
BgL_arg1509z00_4212 = BgL_res2278z00_4213; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1201z00_4211), BgL_arg1509z00_4212); } 
BgL_new1202z00_4210 = BgL_new1201z00_4211; } 
((((BgL_ev_listz00_bglt)COBJECT(BgL_new1202z00_4210))->BgL_argsz00)=((obj_t)BgL_args1064z00_3765),BUNSPEC); 
return BgL_new1202z00_4210;} } 

}



/* &lambda1518 */
obj_t BGl_z62lambda1518z62zz__evaluate_typesz00(obj_t BgL_envz00_3766, obj_t BgL_oz00_3767, obj_t BgL_vz00_3768)
{
{ /* Eval/evaluate_types.scm 66 */
return 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3767)))->BgL_argsz00)=((obj_t)BgL_vz00_3768),BUNSPEC);} 

}



/* &lambda1517 */
obj_t BGl_z62lambda1517z62zz__evaluate_typesz00(obj_t BgL_envz00_3769, obj_t BgL_oz00_3770)
{
{ /* Eval/evaluate_types.scm 66 */
return 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3770)))->BgL_argsz00);} 

}



/* &<@anonymous:1487> */
obj_t BGl_z62zc3z04anonymousza31487ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3771, obj_t BgL_new1062z00_3772)
{
{ /* Eval/evaluate_types.scm 62 */
{ 
BgL_ev_ifz00_bglt BgL_auxz00_5445;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5446;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_4217;
BgL_classz00_4217 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1281z00_4218;
BgL__ortest_1281z00_4218 = 
BGL_CLASS_NIL(BgL_classz00_4217); 
if(
CBOOL(BgL__ortest_1281z00_4218))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5446 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4218)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5446 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4217))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3772)))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5446),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5455;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_4219;
BgL_classz00_4219 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1281z00_4220;
BgL__ortest_1281z00_4220 = 
BGL_CLASS_NIL(BgL_classz00_4219); 
if(
CBOOL(BgL__ortest_1281z00_4220))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5455 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4220)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5455 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4219))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3772)))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5455),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5464;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_4221;
BgL_classz00_4221 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1281z00_4222;
BgL__ortest_1281z00_4222 = 
BGL_CLASS_NIL(BgL_classz00_4221); 
if(
CBOOL(BgL__ortest_1281z00_4222))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5464 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1281z00_4222)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5464 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4221))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3772)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5464),BUNSPEC); } 
BgL_auxz00_5445 = 
((BgL_ev_ifz00_bglt)BgL_new1062z00_3772); 
return 
((obj_t)BgL_auxz00_5445);} } 

}



/* &lambda1485 */
BgL_ev_ifz00_bglt BGl_z62lambda1485z62zz__evaluate_typesz00(obj_t BgL_envz00_3773)
{
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1061z00_4223;
BgL_new1061z00_4223 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
long BgL_arg1486z00_4224;
{ /* Eval/evaluate_types.scm 62 */
long BgL_res2277z00_4225;
BgL_res2277z00_4225 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BgL_arg1486z00_4224 = BgL_res2277z00_4225; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1061z00_4223), BgL_arg1486z00_4224); } 
return BgL_new1061z00_4223;} } 

}



/* &lambda1483 */
BgL_ev_ifz00_bglt BGl_z62lambda1483z62zz__evaluate_typesz00(obj_t BgL_envz00_3774, obj_t BgL_p1058z00_3775, obj_t BgL_t1059z00_3776, obj_t BgL_e1060z00_3777)
{
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1200z00_4229;
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1199z00_4230;
BgL_new1199z00_4230 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
long BgL_arg1484z00_4231;
{ /* Eval/evaluate_types.scm 62 */
long BgL_res2276z00_4232;
BgL_res2276z00_4232 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BgL_arg1484z00_4231 = BgL_res2276z00_4232; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1199z00_4230), BgL_arg1484z00_4231); } 
BgL_new1200z00_4229 = BgL_new1199z00_4230; } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1200z00_4229))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_p1058z00_3775)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1200z00_4229))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_t1059z00_3776)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1200z00_4229))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1060z00_3777)),BUNSPEC); 
return BgL_new1200z00_4229;} } 

}



/* &lambda1502 */
obj_t BGl_z62lambda1502z62zz__evaluate_typesz00(obj_t BgL_envz00_3778, obj_t BgL_oz00_3779, obj_t BgL_vz00_3780)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3779)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3780)),BUNSPEC);} 

}



/* &lambda1501 */
BgL_ev_exprz00_bglt BGl_z62lambda1501z62zz__evaluate_typesz00(obj_t BgL_envz00_3781, obj_t BgL_oz00_3782)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3782)))->BgL_ez00);} 

}



/* &lambda1497 */
obj_t BGl_z62lambda1497z62zz__evaluate_typesz00(obj_t BgL_envz00_3783, obj_t BgL_oz00_3784, obj_t BgL_vz00_3785)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3784)))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3785)),BUNSPEC);} 

}



/* &lambda1496 */
BgL_ev_exprz00_bglt BGl_z62lambda1496z62zz__evaluate_typesz00(obj_t BgL_envz00_3786, obj_t BgL_oz00_3787)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3787)))->BgL_tz00);} 

}



/* &lambda1492 */
obj_t BGl_z62lambda1492z62zz__evaluate_typesz00(obj_t BgL_envz00_3788, obj_t BgL_oz00_3789, obj_t BgL_vz00_3790)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3789)))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3790)),BUNSPEC);} 

}



/* &lambda1491 */
BgL_ev_exprz00_bglt BGl_z62lambda1491z62zz__evaluate_typesz00(obj_t BgL_envz00_3791, obj_t BgL_oz00_3792)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3792)))->BgL_pz00);} 

}



/* &<@anonymous:1472> */
obj_t BGl_z62zc3z04anonymousza31472ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3793, obj_t BgL_new1056z00_3794)
{
{ /* Eval/evaluate_types.scm 60 */
{ 
BgL_ev_littz00_bglt BgL_auxz00_5504;
((((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_new1056z00_3794)))->BgL_valuez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5504 = 
((BgL_ev_littz00_bglt)BgL_new1056z00_3794); 
return 
((obj_t)BgL_auxz00_5504);} } 

}



/* &lambda1470 */
BgL_ev_littz00_bglt BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t BgL_envz00_3795)
{
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1055z00_4243;
BgL_new1055z00_4243 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
long BgL_arg1471z00_4244;
{ /* Eval/evaluate_types.scm 60 */
long BgL_res2275z00_4245;
BgL_res2275z00_4245 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg1471z00_4244 = BgL_res2275z00_4245; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1055z00_4243), BgL_arg1471z00_4244); } 
return BgL_new1055z00_4243;} } 

}



/* &lambda1467 */
BgL_ev_littz00_bglt BGl_z62lambda1467z62zz__evaluate_typesz00(obj_t BgL_envz00_3796, obj_t BgL_value1054z00_3797)
{
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1198z00_4246;
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1197z00_4247;
BgL_new1197z00_4247 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
long BgL_arg1469z00_4248;
{ /* Eval/evaluate_types.scm 60 */
long BgL_res2274z00_4249;
BgL_res2274z00_4249 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg1469z00_4248 = BgL_res2274z00_4249; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1197z00_4247), BgL_arg1469z00_4248); } 
BgL_new1198z00_4246 = BgL_new1197z00_4247; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1198z00_4246))->BgL_valuez00)=((obj_t)BgL_value1054z00_3797),BUNSPEC); 
return BgL_new1198z00_4246;} } 

}



/* &lambda1477 */
obj_t BGl_z62lambda1477z62zz__evaluate_typesz00(obj_t BgL_envz00_3798, obj_t BgL_oz00_3799, obj_t BgL_vz00_3800)
{
{ /* Eval/evaluate_types.scm 60 */
return 
((((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3799)))->BgL_valuez00)=((obj_t)BgL_vz00_3800),BUNSPEC);} 

}



/* &lambda1476 */
obj_t BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t BgL_envz00_3801, obj_t BgL_oz00_3802)
{
{ /* Eval/evaluate_types.scm 60 */
return 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3802)))->BgL_valuez00);} 

}



/* &<@anonymous:1445> */
obj_t BGl_z62zc3z04anonymousza31445ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3803, obj_t BgL_new1052z00_3804)
{
{ /* Eval/evaluate_types.scm 55 */
{ 
BgL_ev_globalz00_bglt BgL_auxz00_5522;
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1052z00_3804)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1052z00_3804)))->BgL_namez00)=((obj_t)BGl_symbol2699z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1052z00_3804)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5522 = 
((BgL_ev_globalz00_bglt)BgL_new1052z00_3804); 
return 
((obj_t)BgL_auxz00_5522);} } 

}



/* &lambda1443 */
BgL_ev_globalz00_bglt BGl_z62lambda1443z62zz__evaluate_typesz00(obj_t BgL_envz00_3805)
{
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1051z00_4253;
BgL_new1051z00_4253 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
long BgL_arg1444z00_4254;
{ /* Eval/evaluate_types.scm 55 */
long BgL_res2273z00_4255;
BgL_res2273z00_4255 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BgL_arg1444z00_4254 = BgL_res2273z00_4255; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1051z00_4253), BgL_arg1444z00_4254); } 
return BgL_new1051z00_4253;} } 

}



/* &lambda1439 */
BgL_ev_globalz00_bglt BGl_z62lambda1439z62zz__evaluate_typesz00(obj_t BgL_envz00_3806, obj_t BgL_loc1048z00_3807, obj_t BgL_name1049z00_3808, obj_t BgL_mod1050z00_3809)
{
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1196z00_4257;
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1195z00_4258;
BgL_new1195z00_4258 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
long BgL_arg1442z00_4259;
{ /* Eval/evaluate_types.scm 55 */
long BgL_res2272z00_4260;
BgL_res2272z00_4260 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BgL_arg1442z00_4259 = BgL_res2272z00_4260; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1195z00_4258), BgL_arg1442z00_4259); } 
BgL_new1196z00_4257 = BgL_new1195z00_4258; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1196z00_4257))->BgL_locz00)=((obj_t)BgL_loc1048z00_3807),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1196z00_4257))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1049z00_3808)),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1196z00_4257))->BgL_modz00)=((obj_t)BgL_mod1050z00_3809),BUNSPEC); 
return BgL_new1196z00_4257;} } 

}



/* &lambda1460 */
obj_t BGl_z62lambda1460z62zz__evaluate_typesz00(obj_t BgL_envz00_3810, obj_t BgL_oz00_3811, obj_t BgL_vz00_3812)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3811)))->BgL_modz00)=((obj_t)BgL_vz00_3812),BUNSPEC);} 

}



/* &lambda1459 */
obj_t BGl_z62lambda1459z62zz__evaluate_typesz00(obj_t BgL_envz00_3813, obj_t BgL_oz00_3814)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3814)))->BgL_modz00);} 

}



/* &lambda1455 */
obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t BgL_envz00_3815, obj_t BgL_oz00_3816, obj_t BgL_vz00_3817)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3816)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3817)),BUNSPEC);} 

}



/* &lambda1454 */
obj_t BGl_z62lambda1454z62zz__evaluate_typesz00(obj_t BgL_envz00_3818, obj_t BgL_oz00_3819)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3819)))->BgL_namez00);} 

}



/* &lambda1450 */
obj_t BGl_z62lambda1450z62zz__evaluate_typesz00(obj_t BgL_envz00_3820, obj_t BgL_oz00_3821, obj_t BgL_vz00_3822)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3821)))->BgL_locz00)=((obj_t)BgL_vz00_3822),BUNSPEC);} 

}



/* &lambda1449 */
obj_t BGl_z62lambda1449z62zz__evaluate_typesz00(obj_t BgL_envz00_3823, obj_t BgL_oz00_3824)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3824)))->BgL_locz00);} 

}



/* &<@anonymous:1413> */
obj_t BGl_z62zc3z04anonymousza31413ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3825, obj_t BgL_new1046z00_3826)
{
{ /* Eval/evaluate_types.scm 51 */
{ 
BgL_ev_varz00_bglt BgL_auxz00_5556;
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1046z00_3826)))->BgL_namez00)=((obj_t)BGl_symbol2699z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1046z00_3826)))->BgL_effz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1046z00_3826)))->BgL_typez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5556 = 
((BgL_ev_varz00_bglt)BgL_new1046z00_3826); 
return 
((obj_t)BgL_auxz00_5556);} } 

}



/* &lambda1411 */
BgL_ev_varz00_bglt BGl_z62lambda1411z62zz__evaluate_typesz00(obj_t BgL_envz00_3827)
{
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1045z00_4269;
BgL_new1045z00_4269 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
long BgL_arg1412z00_4270;
{ /* Eval/evaluate_types.scm 51 */
long BgL_res2271z00_4271;
BgL_res2271z00_4271 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg1412z00_4270 = BgL_res2271z00_4271; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1045z00_4269), BgL_arg1412z00_4270); } 
return BgL_new1045z00_4269;} } 

}



/* &lambda1409 */
BgL_ev_varz00_bglt BGl_z62lambda1409z62zz__evaluate_typesz00(obj_t BgL_envz00_3828, obj_t BgL_name1042z00_3829, obj_t BgL_eff1043z00_3830, obj_t BgL_type1044z00_3831)
{
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1194z00_4273;
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1193z00_4274;
BgL_new1193z00_4274 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
long BgL_arg1410z00_4275;
{ /* Eval/evaluate_types.scm 51 */
long BgL_res2270z00_4276;
BgL_res2270z00_4276 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg1410z00_4275 = BgL_res2270z00_4276; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1193z00_4274), BgL_arg1410z00_4275); } 
BgL_new1194z00_4273 = BgL_new1193z00_4274; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1194z00_4273))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1042z00_3829)),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1194z00_4273))->BgL_effz00)=((obj_t)BgL_eff1043z00_3830),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1194z00_4273))->BgL_typez00)=((obj_t)BgL_type1044z00_3831),BUNSPEC); 
return BgL_new1194z00_4273;} } 

}



/* &lambda1433 */
obj_t BGl_z62lambda1433z62zz__evaluate_typesz00(obj_t BgL_envz00_3832, obj_t BgL_oz00_3833, obj_t BgL_vz00_3834)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3833)))->BgL_typez00)=((obj_t)BgL_vz00_3834),BUNSPEC);} 

}



/* &lambda1432 */
obj_t BGl_z62lambda1432z62zz__evaluate_typesz00(obj_t BgL_envz00_3835, obj_t BgL_oz00_3836)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3836)))->BgL_typez00);} 

}



/* &<@anonymous:1427> */
obj_t BGl_z62zc3z04anonymousza31427ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3837)
{
{ /* Eval/evaluate_types.scm 51 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1426 */
obj_t BGl_z62lambda1426z62zz__evaluate_typesz00(obj_t BgL_envz00_3838, obj_t BgL_oz00_3839, obj_t BgL_vz00_3840)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3839)))->BgL_effz00)=((obj_t)BgL_vz00_3840),BUNSPEC);} 

}



/* &lambda1425 */
obj_t BGl_z62lambda1425z62zz__evaluate_typesz00(obj_t BgL_envz00_3841, obj_t BgL_oz00_3842)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3842)))->BgL_effz00);} 

}



/* &lambda1418 */
obj_t BGl_z62lambda1418z62zz__evaluate_typesz00(obj_t BgL_envz00_3843, obj_t BgL_oz00_3844, obj_t BgL_vz00_3845)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3844)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3845)),BUNSPEC);} 

}



/* &lambda1417 */
obj_t BGl_z62lambda1417z62zz__evaluate_typesz00(obj_t BgL_envz00_3846, obj_t BgL_oz00_3847)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3847)))->BgL_namez00);} 

}



/* &<@anonymous:1403> */
obj_t BGl_z62zc3z04anonymousza31403ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3848, obj_t BgL_new1040z00_3849)
{
{ /* Eval/evaluate_types.scm 49 */
return 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_new1040z00_3849));} 

}



/* &lambda1401 */
BgL_ev_exprz00_bglt BGl_z62lambda1401z62zz__evaluate_typesz00(obj_t BgL_envz00_3850)
{
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1039z00_4285;
BgL_new1039z00_4285 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
long BgL_arg1402z00_4286;
{ /* Eval/evaluate_types.scm 49 */
long BgL_res2269z00_4287;
BgL_res2269z00_4287 = 
BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00); 
BgL_arg1402z00_4286 = BgL_res2269z00_4287; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1039z00_4285), BgL_arg1402z00_4286); } 
return BgL_new1039z00_4285;} } 

}



/* &lambda1399 */
BgL_ev_exprz00_bglt BGl_z62lambda1399z62zz__evaluate_typesz00(obj_t BgL_envz00_3851)
{
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1192z00_4288;
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1191z00_4289;
BgL_new1191z00_4289 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
long BgL_arg1400z00_4290;
{ /* Eval/evaluate_types.scm 49 */
long BgL_res2268z00_4291;
BgL_res2268z00_4291 = 
BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00); 
BgL_arg1400z00_4290 = BgL_res2268z00_4291; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1191z00_4289), BgL_arg1400z00_4290); } 
BgL_new1192z00_4288 = BgL_new1191z00_4289; } 
return BgL_new1192z00_4288;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)330490148), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)180158922), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)251314740), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)193422112), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)68574988), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)93454137), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057797), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-400105135), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)127905250), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00)); 
return 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string2376z00zz__evaluate_typesz00));} 

}

#ifdef __cplusplus
}
#endif
