/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 11 May 2020 12:14:39 PM CEST    */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3h -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3h -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Eval/evaluate_types.scm -indent -o objs/obj_u/Eval/evaluate_types.c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62lambda1927z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1766z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1767z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2723z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2561z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2728z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2566z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31862ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1931z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31684ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1932z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1776z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1778z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2734z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_symbol2738z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2577z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_appz00_bglt BGl_z62lambda1940z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1785z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1947z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1786z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1948z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2582z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32012ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2747z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2586z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2749z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1790z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1953z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1795z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1957z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1796z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1958z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2590z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2754z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2595z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2759z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31881ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31849ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1962z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1963z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2764z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_absz00_bglt BGl_z62lambda1970z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_absz00_bglt BGl_z62lambda1973z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1979z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2772z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2774z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1980z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1984z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1989z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1990z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1997z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1998z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31975ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32036ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31888ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31433ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31450ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1404z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1406z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1416z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1418z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31811ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31544ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31706ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1424z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1425z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31528ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31901ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1431z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1432z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1438z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1439z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_trapz00_bglt BGl_z62lambda1605z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1607z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_globalz00_bglt BGl_z62lambda1446z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_globalz00_bglt BGl_z62lambda1448z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1454z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1616z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1460z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1622z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1461z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31726ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1465z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1466z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_varz00_bglt BGl_z62lambda1633z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1634z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1473z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1477z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1804z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1645z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1484z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1485z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1809z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2604z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2608z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2448z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1652z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31818ze3ze5zz__evaluate_typesz00(obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1491z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1653z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1816z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1493z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1817z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1657z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1658z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2450z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2615z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2454z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2456z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31673ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31495ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1662z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1824z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1663z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1826z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1669z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol2621z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2461z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2625z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2463z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2467z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1671z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31747ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1835z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1836z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2632z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2472z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2636z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2476z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31942ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1680z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31837ze3ze5zz__evaluate_typesz00(obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1682z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1845z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1847z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2640z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2482z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2647z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2487z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31781ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1690z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1691z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1695z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1857z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1696z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1859z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2652z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2491z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2657z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2496z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1867z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1868z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2665z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1873z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1874z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1879z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2670z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32021ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2679z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1880z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1886z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1887z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2684z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
	static BgL_ev_exprz00_bglt BGl_z62lambda1893z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1894z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1899z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2694z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32043ze3ze5zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31420ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32028ze3ze5zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda2004z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2005z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31408ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2010z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2011z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2019z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2020z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2026z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2027z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2034z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2035z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2041z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2042z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1500z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1501z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1505z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31609ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
	static obj_t BGl_z62zc3z04anonymousza31480ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1513z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1514z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
		BUNSPEC;
	static BgL_ev_listz00_bglt BGl_z62lambda1521z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1524z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31627ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza31911ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31571ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1532z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1533z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1540z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1702z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1542z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1704z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2500z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2504z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2508z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1710z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1711z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1715z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1554z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1716z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1556z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2513z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2517z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1722z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31647ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1724z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31558ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1567z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1569z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2522z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2527z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1730z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1731z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1735z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1736z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1575z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2532z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2536z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1900z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31592ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1581z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1743z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1582z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1745z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1907z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1909z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2700z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2540z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2704z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2545z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1751z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1590z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1752z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31828ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1915z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1916z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1756z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1757z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1596z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1597z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2711z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2552z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2717z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2557z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_varz00_bglt BGl_z62lambda1921z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1922z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1761z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1762z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1926z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2501z00zz__evaluate_typesz00,
		BgL_bgl_string2501za700za7za7_2776za7, "p", 1);
	      DEFINE_STRING(BGl_string2505z00zz__evaluate_typesz00,
		BgL_bgl_string2505za700za7za7_2777za7, "t", 1);
	      DEFINE_STRING(BGl_string2509z00zz__evaluate_typesz00,
		BgL_bgl_string2509za700za7za7_2778za7, "e", 1);
	      DEFINE_STRING(BGl_string2514z00zz__evaluate_typesz00,
		BgL_bgl_string2514za700za7za7_2779za7, "ev_if", 5);
	      DEFINE_STRING(BGl_string2518z00zz__evaluate_typesz00,
		BgL_bgl_string2518za700za7za7_2780za7, "args", 4);
	      DEFINE_STRING(BGl_string2523z00zz__evaluate_typesz00,
		BgL_bgl_string2523za700za7za7_2781za7, "ev_list", 7);
	      DEFINE_STRING(BGl_string2528z00zz__evaluate_typesz00,
		BgL_bgl_string2528za700za7za7_2782za7, "ev_or", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2600z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1715za7622783z00,
		BGl_z62lambda1715z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2601z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2784za7,
		BGl_z62zc3z04anonymousza31706ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2602z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1704za7622785z00,
		BGl_z62lambda1704z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2603z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1702za7622786z00,
		BGl_z62lambda1702z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2606z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1731za7622787z00,
		BGl_z62lambda1731z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2607z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1730za7622788z00,
		BGl_z62lambda1730z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2445z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2789za7,
		BGl_z62zc3z04anonymousza31408ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2533z00zz__evaluate_typesz00,
		BgL_bgl_string2533za700za7za7_2790za7, "ev_and", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2446z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1406za7622791z00,
		BGl_z62lambda1406z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2447z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1404za7622792z00,
		BGl_z62lambda1404z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2537z00zz__evaluate_typesz00,
		BgL_bgl_string2537za700za7za7_2793za7, "e1", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2610z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1736za7622794z00,
		BGl_z62lambda1736z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2611z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1735za7622795z00,
		BGl_z62lambda1735z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2612z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2796za7,
		BGl_z62zc3z04anonymousza31726ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2613z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1724za7622797z00,
		BGl_z62lambda1724z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2701z00zz__evaluate_typesz00,
		BgL_bgl_string2701za700za7za7_2798za7, "label", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2614z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1722za7622799z00,
		BGl_z62lambda1722z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2452z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1425za7622800z00,
		BGl_z62lambda1425z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2453z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1424za7622801z00,
		BGl_z62lambda1424z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2541z00zz__evaluate_typesz00,
		BgL_bgl_string2541za700za7za7_2802za7, "e2", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2617z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1752za7622803z00,
		BGl_z62lambda1752z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2705z00zz__evaluate_typesz00,
		BgL_bgl_string2705za700za7za7_2804za7, "labels", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2618z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1751za7622805z00,
		BGl_z62lambda1751z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2619z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1757za7622806z00,
		BGl_z62lambda1757z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2458z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2807za7,
		BGl_z62zc3z04anonymousza31433ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2546z00zz__evaluate_typesz00,
		BgL_bgl_string2546za700za7za7_2808za7, "ev_prog2", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2459z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1432za7622809z00,
		BGl_z62lambda1432z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2620z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1756za7622810z00,
		BGl_z62lambda1756z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2460z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1431za7622811z00,
		BGl_z62lambda1431z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2623z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1762za7622812z00,
		BGl_z62lambda1762z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2624z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1761za7622813z00,
		BGl_z62lambda1761z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2712z00zz__evaluate_typesz00,
		BgL_bgl_string2712za700za7za7_2814za7, "ev_goto", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2627z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1767za7622815z00,
		BGl_z62lambda1767z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2465z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1439za7622816z00,
		BGl_z62lambda1439z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2628z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1766za7622817z00,
		BGl_z62lambda1766z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2553z00zz__evaluate_typesz00,
		BgL_bgl_string2553za700za7za7_2818za7, "ev_hook", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2466z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1438za7622819z00,
		BGl_z62lambda1438z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2629z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2820za7,
		BGl_z62zc3z04anonymousza31747ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2718z00zz__evaluate_typesz00,
		BgL_bgl_string2718za700za7za7_2821za7, "fun", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2469z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2822za7,
		BGl_z62zc3z04anonymousza31420ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2558z00zz__evaluate_typesz00,
		BgL_bgl_string2558za700za7za7_2823za7, "ev_trap", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2630z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1745za7622824z00,
		BGl_z62lambda1745z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2631z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1743za7622825z00,
		BGl_z62lambda1743z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2470z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1418za7622826z00,
		BGl_z62lambda1418z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2471z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1416za7622827z00,
		BGl_z62lambda1416z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2634z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1786za7622828z00,
		BGl_z62lambda1786z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2635z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1785za7622829z00,
		BGl_z62lambda1785z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2474z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1455za7622830z00,
		BGl_z62lambda1455z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2724z00zz__evaluate_typesz00,
		BgL_bgl_string2724za700za7za7_2831za7, "tail?", 5);
	      DEFINE_STRING(BGl_string2562z00zz__evaluate_typesz00,
		BgL_bgl_string2562za700za7za7_2832za7, "v", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2475z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1454za7622833z00,
		BGl_z62lambda1454z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2638z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1791za7622834z00,
		BGl_z62lambda1791z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2639z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1790za7622835z00,
		BGl_z62lambda1790z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2478z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1461za7622836z00,
		BGl_z62lambda1461z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2479z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1460za7622837z00,
		BGl_z62lambda1460z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2729z00zz__evaluate_typesz00,
		BgL_bgl_string2729za700za7za7_2838za7, "ev_app", 6);
	      DEFINE_STRING(BGl_string2567z00zz__evaluate_typesz00,
		BgL_bgl_string2567za700za7za7_2839za7, "ev_setlocal", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2642z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1796za7622840z00,
		BGl_z62lambda1796z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2480z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1466za7622841z00,
		BGl_z62lambda1466z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2643z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1795za7622842z00,
		BGl_z62lambda1795z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2481z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1465za7622843z00,
		BGl_z62lambda1465z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2644z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2844za7,
		BGl_z62zc3z04anonymousza31781ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2645z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1778za7622845z00,
		BGl_z62lambda1778z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2646z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1776za7622846z00,
		BGl_z62lambda1776z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2484z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2847za7,
		BGl_z62zc3z04anonymousza31450ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2485z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1448za7622848z00,
		BGl_z62lambda1448z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2735z00zz__evaluate_typesz00,
		BgL_bgl_string2735za700za7za7_2849za7, "where", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2486z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1446za7622850z00,
		BGl_z62lambda1446z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2649z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2851za7,
		BGl_z62zc3z04anonymousza31818ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2489z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1485za7622852z00,
		BGl_z62lambda1485z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2739z00zz__evaluate_typesz00,
		BgL_bgl_string2739za700za7za7_2853za7, "arity", 5);
	      DEFINE_STRING(BGl_string2578z00zz__evaluate_typesz00,
		BgL_bgl_string2578za700za7za7_2854za7, "ev_setglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2650z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1817za7622855z00,
		BGl_z62lambda1817z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2651z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1816za7622856z00,
		BGl_z62lambda1816z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2490z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1484za7622857z00,
		BGl_z62lambda1484z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2654z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2858za7,
		BGl_z62zc3z04anonymousza31811ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2655z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1809za7622859z00,
		BGl_z62lambda1809z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2493z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2860za7,
		BGl_z62zc3z04anonymousza31480ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2656z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1804za7622861z00,
		BGl_z62lambda1804z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2494z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1477za7622862z00,
		BGl_z62lambda1477z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2495z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1473za7622863z00,
		BGl_z62lambda1473z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2583z00zz__evaluate_typesz00,
		BgL_bgl_string2583za700za7za7_2864za7, "ev_defglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2659z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2865za7,
		BGl_z62zc3z04anonymousza31837ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2498z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1501za7622866z00,
		BGl_z62lambda1501z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2748z00zz__evaluate_typesz00,
		BgL_bgl_string2748za700za7za7_2867za7, "size", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2499z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1500za7622868z00,
		BGl_z62lambda1500z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2587z00zz__evaluate_typesz00,
		BgL_bgl_string2587za700za7za7_2869za7, "var", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2660z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1836za7622870z00,
		BGl_z62lambda1836z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2661z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1835za7622871z00,
		BGl_z62lambda1835z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2662z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2872za7,
		BGl_z62zc3z04anonymousza31828ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2750z00zz__evaluate_typesz00,
		BgL_bgl_string2750za700za7za7_2873za7, "int", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2663z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1826za7622874z00,
		BGl_z62lambda1826z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2664z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1824za7622875z00,
		BGl_z62lambda1824z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2591z00zz__evaluate_typesz00,
		BgL_bgl_string2591za700za7za7_2876za7, "body", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2667z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2877za7,
		BGl_z62zc3z04anonymousza31849ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2755z00zz__evaluate_typesz00,
		BgL_bgl_string2755za700za7za7_2878za7, "bind", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2668z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1847za7622879z00,
		BGl_z62lambda1847z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2669z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1845za7622880z00,
		BGl_z62lambda1845z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2596z00zz__evaluate_typesz00,
		BgL_bgl_string2596za700za7za7_2881za7, "ev_bind-exit", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2672z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1868za7622882z00,
		BGl_z62lambda1868z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2760z00zz__evaluate_typesz00,
		BgL_bgl_string2760za700za7za7_2883za7, "free", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2673z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1867za7622884z00,
		BGl_z62lambda1867z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2674z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1874za7622885z00,
		BGl_z62lambda1874z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2675z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1873za7622886z00,
		BGl_z62lambda1873z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2676z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2887za7,
		BGl_z62zc3z04anonymousza31881ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2677z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1880za7622888z00,
		BGl_z62lambda1880z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2765z00zz__evaluate_typesz00,
		BgL_bgl_string2765za700za7za7_2889za7, "inner", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2678z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1879za7622890z00,
		BGl_z62lambda1879z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2681z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2891za7,
		BGl_z62zc3z04anonymousza31888ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2682z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1887za7622892z00,
		BGl_z62lambda1887z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2683z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1886za7622893z00,
		BGl_z62lambda1886z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2773z00zz__evaluate_typesz00,
		BgL_bgl_string2773za700za7za7_2894za7, "ev_abs", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2686z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1894za7622895z00,
		BGl_z62lambda1894z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2687z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1893za7622896z00,
		BGl_z62lambda1893z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2775z00zz__evaluate_typesz00,
		BgL_bgl_string2775za700za7za7_2897za7, "_", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2688z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2898za7,
		BGl_z62zc3z04anonymousza31901ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2689z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1900za7622899z00,
		BGl_z62lambda1900z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2690z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1899za7622900z00,
		BGl_z62lambda1899z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2691z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2901za7,
		BGl_z62zc3z04anonymousza31862ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2692z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1859za7622902z00,
		BGl_z62lambda1859z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2693z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1857za7622903z00,
		BGl_z62lambda1857z62zz__evaluate_typesz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2696z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1916za7622904z00,
		BGl_z62lambda1916z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2697z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1915za7622905z00,
		BGl_z62lambda1915z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2698z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1922za7622906z00,
		BGl_z62lambda1922z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2699z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1921za7622907z00,
		BGl_z62lambda1921z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2502z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1506za7622908z00,
		BGl_z62lambda1506z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2503z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1505za7622909z00,
		BGl_z62lambda1505z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2506z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1514za7622910z00,
		BGl_z62lambda1514z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2507z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1513za7622911z00,
		BGl_z62lambda1513z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2510z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2912za7,
		BGl_z62zc3z04anonymousza31495ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2511z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1493za7622913z00,
		BGl_z62lambda1493z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2512z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1491za7622914z00,
		BGl_z62lambda1491z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2515z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1533za7622915z00,
		BGl_z62lambda1533z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2516z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1532za7622916z00,
		BGl_z62lambda1532z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2605z00zz__evaluate_typesz00,
		BgL_bgl_string2605za700za7za7_2917za7, "ev_unwind-protect", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2519z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2918za7,
		BGl_z62zc3z04anonymousza31528ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2609z00zz__evaluate_typesz00,
		BgL_bgl_string2609za700za7za7_2919za7, "handler", 7);
	      DEFINE_STRING(BGl_string2449z00zz__evaluate_typesz00,
		BgL_bgl_string2449za700za7za7_2920za7, "ev_expr", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2520z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1524za7622921z00,
		BGl_z62lambda1524z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2521z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1521za7622922z00,
		BGl_z62lambda1521z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2524z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2923za7,
		BGl_z62zc3z04anonymousza31544ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2525z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1542za7622924z00,
		BGl_z62lambda1542z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2526z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1540za7622925z00,
		BGl_z62lambda1540z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2451z00zz__evaluate_typesz00,
		BgL_bgl_string2451za700za7za7_2926za7, "__evaluate_types", 16);
	      DEFINE_STRING(BGl_string2616z00zz__evaluate_typesz00,
		BgL_bgl_string2616za700za7za7_2927za7, "ev_with-handler", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2529z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2928za7,
		BGl_z62zc3z04anonymousza31558ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2455z00zz__evaluate_typesz00,
		BgL_bgl_string2455za700za7za7_2929za7, "name", 4);
	      DEFINE_STRING(BGl_string2457z00zz__evaluate_typesz00,
		BgL_bgl_string2457za700za7za7_2930za7, "symbol", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2530z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1556za7622931z00,
		BGl_z62lambda1556z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2531z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1554za7622932z00,
		BGl_z62lambda1554z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2534z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1576za7622933z00,
		BGl_z62lambda1576z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2622z00zz__evaluate_typesz00,
		BgL_bgl_string2622za700za7za7_2934za7, "mutex", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2535z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1575za7622935z00,
		BGl_z62lambda1575z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2462z00zz__evaluate_typesz00,
		BgL_bgl_string2462za700za7za7_2936za7, "eff", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2538z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1582za7622937z00,
		BGl_z62lambda1582z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2626z00zz__evaluate_typesz00,
		BgL_bgl_string2626za700za7za7_2938za7, "prelock", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2539z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1581za7622939z00,
		BGl_z62lambda1581z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2464z00zz__evaluate_typesz00,
		BgL_bgl_string2464za700za7za7_2940za7, "obj", 3);
	      DEFINE_STRING(BGl_string2468z00zz__evaluate_typesz00,
		BgL_bgl_string2468za700za7za7_2941za7, "type", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2702z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1927za7622942z00,
		BGl_z62lambda1927z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2703z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1926za7622943z00,
		BGl_z62lambda1926z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2542z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2944za7,
		BGl_z62zc3z04anonymousza31571ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2543z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1569za7622945z00,
		BGl_z62lambda1569z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2706z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1932za7622946z00,
		BGl_z62lambda1932z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2544z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1567za7622947z00,
		BGl_z62lambda1567z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2707z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1931za7622948z00,
		BGl_z62lambda1931z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2708z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2949za7,
		BGl_z62zc3z04anonymousza31911ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2633z00zz__evaluate_typesz00,
		BgL_bgl_string2633za700za7za7_2950za7, "ev_synchronize", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2709z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1909za7622951z00,
		BGl_z62lambda1909z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2547z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1597za7622952z00,
		BGl_z62lambda1597z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2548z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1596za7622953z00,
		BGl_z62lambda1596z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2473z00zz__evaluate_typesz00,
		BgL_bgl_string2473za700za7za7_2954za7, "ev_var", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2549z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2955za7,
		BGl_z62zc3z04anonymousza31592ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2637z00zz__evaluate_typesz00,
		BgL_bgl_string2637za700za7za7_2956za7, "vars", 4);
	      DEFINE_STRING(BGl_string2477z00zz__evaluate_typesz00,
		BgL_bgl_string2477za700za7za7_2957za7, "loc", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2710z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1907za7622958z00,
		BGl_z62lambda1907z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2550z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1590za7622959z00,
		BGl_z62lambda1590z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2713z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1948za7622960z00,
		BGl_z62lambda1948z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2551z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1588za7622961z00,
		BGl_z62lambda1588z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2714z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1947za7622962z00,
		BGl_z62lambda1947z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2715z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1953za7622963z00,
		BGl_z62lambda1953z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2716z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1952za7622964z00,
		BGl_z62lambda1952z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2641z00zz__evaluate_typesz00,
		BgL_bgl_string2641za700za7za7_2965za7, "vals", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2554z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2966za7,
		BGl_z62zc3z04anonymousza31609ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2555z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1607za7622967z00,
		BGl_z62lambda1607z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2556z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1605za7622968z00,
		BGl_z62lambda1605z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2719z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1958za7622969z00,
		BGl_z62lambda1958z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2483z00zz__evaluate_typesz00,
		BgL_bgl_string2483za700za7za7_2970za7, "mod", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2559z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1634za7622971z00,
		BGl_z62lambda1634z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2648z00zz__evaluate_typesz00,
		BgL_bgl_string2648za700za7za7_2972za7, "ev_binder", 9);
	      DEFINE_STRING(BGl_string2488z00zz__evaluate_typesz00,
		BgL_bgl_string2488za700za7za7_2973za7, "ev_global", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2720z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1957za7622974z00,
		BGl_z62lambda1957z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2721z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1963za7622975z00,
		BGl_z62lambda1963z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2722z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1962za7622976z00,
		BGl_z62lambda1962z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2560z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1633za7622977z00,
		BGl_z62lambda1633z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2725z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2978za7,
		BGl_z62zc3z04anonymousza31942ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2563z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2979za7,
		BGl_z62zc3z04anonymousza31627ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2726z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1940za7622980z00,
		BGl_z62lambda1940z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2564z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1622za7622981z00,
		BGl_z62lambda1622z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2727z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1938za7622982z00,
		BGl_z62lambda1938z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2565z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1616za7622983z00,
		BGl_z62lambda1616z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2653z00zz__evaluate_typesz00,
		BgL_bgl_string2653za700za7za7_2984za7, "boxes", 5);
	      DEFINE_STRING(BGl_string2492z00zz__evaluate_typesz00,
		BgL_bgl_string2492za700za7za7_2985za7, "value", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2568z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1653za7622986z00,
		BGl_z62lambda1653z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2569z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1652za7622987z00,
		BGl_z62lambda1652z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2658z00zz__evaluate_typesz00,
		BgL_bgl_string2658za700za7za7_2988za7, "ev_let", 6);
	      DEFINE_STRING(BGl_string2497z00zz__evaluate_typesz00,
		BgL_bgl_string2497za700za7za7_2989za7, "ev_litt", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2730z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1980za7622990z00,
		BGl_z62lambda1980z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2731z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1979za7622991z00,
		BGl_z62lambda1979z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2732z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1985za7622992z00,
		BGl_z62lambda1985z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2570z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1658za7622993z00,
		BGl_z62lambda1658z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2733z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1984za7622994z00,
		BGl_z62lambda1984z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2571z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1657za7622995z00,
		BGl_z62lambda1657z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2572z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1663za7622996z00,
		BGl_z62lambda1663z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2573z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1662za7622997z00,
		BGl_z62lambda1662z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2736z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1990za7622998z00,
		BGl_z62lambda1990z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2574z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2999za7,
		BGl_z62zc3z04anonymousza31647ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2737z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1989za7623000z00,
		BGl_z62lambda1989z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2575z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1645za7623001z00,
		BGl_z62lambda1645z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2576z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1643za7623002z00,
		BGl_z62lambda1643z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2666z00zz__evaluate_typesz00,
		BgL_bgl_string2666za700za7za7_3003za7, "ev_let*", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2579z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo3004za7,
		BGl_z62zc3z04anonymousza31673ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2740z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1998za7623005z00,
		BGl_z62lambda1998z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2741z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1997za7623006z00,
		BGl_z62lambda1997z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2742z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2005za7623007z00,
		BGl_z62lambda2005z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2580z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1671za7623008z00,
		BGl_z62lambda1671z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2743z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2004za7623009z00,
		BGl_z62lambda2004z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2581z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1669za7623010z00,
		BGl_z62lambda1669z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2744z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo3011za7,
		BGl_z62zc3z04anonymousza32012ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2745z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2011za7623012z00,
		BGl_z62lambda2011z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2746z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2010za7623013z00,
		BGl_z62lambda2010z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2671z00zz__evaluate_typesz00,
		BgL_bgl_string2671za700za7za7_3014za7, "ev_letrec", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2584z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1691za7623015z00,
		BGl_z62lambda1691z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2585z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1690za7623016z00,
		BGl_z62lambda1690z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2588z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1696za7623017z00,
		BGl_z62lambda1696z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2589z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1695za7623018z00,
		BGl_z62lambda1695z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2751z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo3019za7,
		BGl_z62zc3z04anonymousza32021ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2752z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2020za7623020z00,
		BGl_z62lambda2020z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2753z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2019za7623021z00,
		BGl_z62lambda2019z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2592z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo3022za7,
		BGl_z62zc3z04anonymousza31684ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2680z00zz__evaluate_typesz00,
		BgL_bgl_string2680za700za7za7_3023za7, "env", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2593z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1682za7623024z00,
		BGl_z62lambda1682z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2756z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo3025za7,
		BGl_z62zc3z04anonymousza32028ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2594z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1680za7623026z00,
		BGl_z62lambda1680z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2757z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2027za7623027z00,
		BGl_z62lambda2027z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2758z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2026za7623028z00,
		BGl_z62lambda2026z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2597z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1711za7623029z00,
		BGl_z62lambda1711z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2685z00zz__evaluate_typesz00,
		BgL_bgl_string2685za700za7za7_3030za7, "stk", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2598z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1710za7623031z00,
		BGl_z62lambda1710z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2599z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1716za7623032z00,
		BGl_z62lambda1716z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2761z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo3033za7,
		BGl_z62zc3z04anonymousza32036ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2762z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2035za7623034z00,
		BGl_z62lambda2035z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2763z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2034za7623035z00,
		BGl_z62lambda2034z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2766z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo3036za7,
		BGl_z62zc3z04anonymousza32043ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2767z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2042za7623037z00,
		BGl_z62lambda2042z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2768z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2041za7623038z00,
		BGl_z62lambda2041z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2769z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo3039za7,
		BGl_z62zc3z04anonymousza31975ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2695z00zz__evaluate_typesz00,
		BgL_bgl_string2695za700za7za7_3040za7, "ev_labels", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2770z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1973za7623041z00,
		BGl_z62lambda1973z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2771z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1970za7623042z00,
		BGl_z62lambda1970z62zz__evaluate_typesz00, 0L, BUNSPEC, 10);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol2723z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2561z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2728z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2566z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2734z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2738z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2577z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2582z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2747z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2586z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2749z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2590z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2754z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2595z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2759z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letrecz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2764z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2772z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2774z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_labelsz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_absz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_ifz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_gotoz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_orz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_varz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_andz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_appz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_synchroniza7eza7zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2604z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2608z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2448z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2450z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2615z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2454z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2456z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2621z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2461z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2625z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2463z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2467z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2632z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2472z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2636z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2476z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2640z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2482z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2647z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2487z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_defglobalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2652z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2491z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2657z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2496z00zz__evaluate_typesz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2665z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2670z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2679z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2684z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2694z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_prog2z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_bindzd2exitzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letza2za2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_trapz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_setglobalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_hookz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_globalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_binderz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_listz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_littz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_withzd2handlerzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_exprz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2500z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2504z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2508z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2513z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2517z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2522z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2527z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2532z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2536z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2700z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2540z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2704z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2545z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_setlocalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2711z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2552z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2717z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2557z00zz__evaluate_typesz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long
		BgL_checksumz00_4425, char *BgL_fromz00_4426)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
					BGl_cnstzd2initzd2zz__evaluate_typesz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
					BGl_objectzd2initzd2zz__evaluate_typesz00();
					return BGl_toplevelzd2initzd2zz__evaluate_typesz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
	{
		{	/* Eval/evaluate_types.scm 15 */
			BGl_symbol2448z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2449z00zz__evaluate_typesz00);
			BGl_symbol2450z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2451z00zz__evaluate_typesz00);
			BGl_symbol2454z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2455z00zz__evaluate_typesz00);
			BGl_symbol2456z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2457z00zz__evaluate_typesz00);
			BGl_symbol2461z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2462z00zz__evaluate_typesz00);
			BGl_symbol2463z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2464z00zz__evaluate_typesz00);
			BGl_symbol2467z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2468z00zz__evaluate_typesz00);
			BGl_symbol2472z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2473z00zz__evaluate_typesz00);
			BGl_symbol2476z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2477z00zz__evaluate_typesz00);
			BGl_symbol2482z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2483z00zz__evaluate_typesz00);
			BGl_symbol2487z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2488z00zz__evaluate_typesz00);
			BGl_symbol2491z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2492z00zz__evaluate_typesz00);
			BGl_symbol2496z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2497z00zz__evaluate_typesz00);
			BGl_symbol2500z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2501z00zz__evaluate_typesz00);
			BGl_symbol2504z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2505z00zz__evaluate_typesz00);
			BGl_symbol2508z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2509z00zz__evaluate_typesz00);
			BGl_symbol2513z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2514z00zz__evaluate_typesz00);
			BGl_symbol2517z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2518z00zz__evaluate_typesz00);
			BGl_symbol2522z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2523z00zz__evaluate_typesz00);
			BGl_symbol2527z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2528z00zz__evaluate_typesz00);
			BGl_symbol2532z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2533z00zz__evaluate_typesz00);
			BGl_symbol2536z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2537z00zz__evaluate_typesz00);
			BGl_symbol2540z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2541z00zz__evaluate_typesz00);
			BGl_symbol2545z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2546z00zz__evaluate_typesz00);
			BGl_symbol2552z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2553z00zz__evaluate_typesz00);
			BGl_symbol2557z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2558z00zz__evaluate_typesz00);
			BGl_symbol2561z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2562z00zz__evaluate_typesz00);
			BGl_symbol2566z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2567z00zz__evaluate_typesz00);
			BGl_symbol2577z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2578z00zz__evaluate_typesz00);
			BGl_symbol2582z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2583z00zz__evaluate_typesz00);
			BGl_symbol2586z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2587z00zz__evaluate_typesz00);
			BGl_symbol2590z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2591z00zz__evaluate_typesz00);
			BGl_symbol2595z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2596z00zz__evaluate_typesz00);
			BGl_symbol2604z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2605z00zz__evaluate_typesz00);
			BGl_symbol2608z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2609z00zz__evaluate_typesz00);
			BGl_symbol2615z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2616z00zz__evaluate_typesz00);
			BGl_symbol2621z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2622z00zz__evaluate_typesz00);
			BGl_symbol2625z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2626z00zz__evaluate_typesz00);
			BGl_symbol2632z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2633z00zz__evaluate_typesz00);
			BGl_symbol2636z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2637z00zz__evaluate_typesz00);
			BGl_symbol2640z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2641z00zz__evaluate_typesz00);
			BGl_symbol2647z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2648z00zz__evaluate_typesz00);
			BGl_symbol2652z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2653z00zz__evaluate_typesz00);
			BGl_symbol2657z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2658z00zz__evaluate_typesz00);
			BGl_symbol2665z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2666z00zz__evaluate_typesz00);
			BGl_symbol2670z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2671z00zz__evaluate_typesz00);
			BGl_symbol2679z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2680z00zz__evaluate_typesz00);
			BGl_symbol2684z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2685z00zz__evaluate_typesz00);
			BGl_symbol2694z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2695z00zz__evaluate_typesz00);
			BGl_symbol2700z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2701z00zz__evaluate_typesz00);
			BGl_symbol2704z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2705z00zz__evaluate_typesz00);
			BGl_symbol2711z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2712z00zz__evaluate_typesz00);
			BGl_symbol2717z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2718z00zz__evaluate_typesz00);
			BGl_symbol2723z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2724z00zz__evaluate_typesz00);
			BGl_symbol2728z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2729z00zz__evaluate_typesz00);
			BGl_symbol2734z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2735z00zz__evaluate_typesz00);
			BGl_symbol2738z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2739z00zz__evaluate_typesz00);
			BGl_symbol2747z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2748z00zz__evaluate_typesz00);
			BGl_symbol2749z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2750z00zz__evaluate_typesz00);
			BGl_symbol2754z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2755z00zz__evaluate_typesz00);
			BGl_symbol2759z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2760z00zz__evaluate_typesz00);
			BGl_symbol2764z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2765z00zz__evaluate_typesz00);
			BGl_symbol2772z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2773z00zz__evaluate_typesz00);
			return (BGl_symbol2774z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2775z00zz__evaluate_typesz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00()
	{
		{	/* Eval/evaluate_types.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
	{
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
	{
		{	/* Eval/evaluate_types.scm 15 */
			{	/* Eval/evaluate_types.scm 49 */
				obj_t BgL_arg1401z00_1060;
				obj_t BgL_arg1403z00_1061;

				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1286z00_1071;

					BgL_v1286z00_1071 = create_vector(((long) 0));
					BgL_arg1401z00_1060 = BgL_v1286z00_1071;
				}
				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1287z00_1072;

					BgL_v1287z00_1072 = create_vector(((long) 0));
					BgL_arg1403z00_1061 = BgL_v1287z00_1072;
				}
				BGl_ev_exprz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2448z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00,
					((long) 36682), BGl_proc2447z00zz__evaluate_typesz00,
					BGl_proc2446z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2445z00zz__evaluate_typesz00, BFALSE, BgL_arg1401z00_1060,
					BgL_arg1403z00_1061);
			}
			{	/* Eval/evaluate_types.scm 51 */
				obj_t BgL_arg1414z00_1079;
				obj_t BgL_arg1415z00_1080;

				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1288z00_1093;

					BgL_v1288z00_1093 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1288z00_1093, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2454z00zz__evaluate_typesz00,
							BGl_proc2453z00zz__evaluate_typesz00,
							BGl_proc2452z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2456z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1288z00_1093, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2461z00zz__evaluate_typesz00,
							BGl_proc2460z00zz__evaluate_typesz00,
							BGl_proc2459z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2458z00zz__evaluate_typesz00,
							BGl_symbol2463z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1288z00_1093, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2467z00zz__evaluate_typesz00,
							BGl_proc2466z00zz__evaluate_typesz00,
							BGl_proc2465z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					BgL_arg1414z00_1079 = BgL_v1288z00_1093;
				}
				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1289z00_1127;

					BgL_v1289z00_1127 = create_vector(((long) 0));
					BgL_arg1415z00_1080 = BgL_v1289z00_1127;
				}
				BGl_ev_varz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2472z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 7285),
					BGl_proc2471z00zz__evaluate_typesz00,
					BGl_proc2470z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2469z00zz__evaluate_typesz00, BFALSE, BgL_arg1414z00_1079,
					BgL_arg1415z00_1080);
			}
			{	/* Eval/evaluate_types.scm 55 */
				obj_t BgL_arg1443z00_1134;
				obj_t BgL_arg1445z00_1135;

				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1290z00_1148;

					BgL_v1290z00_1148 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1290z00_1148, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2476z00zz__evaluate_typesz00,
							BGl_proc2475z00zz__evaluate_typesz00,
							BGl_proc2474z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1290z00_1148, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2454z00zz__evaluate_typesz00,
							BGl_proc2479z00zz__evaluate_typesz00,
							BGl_proc2478z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2456z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1290z00_1148, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2482z00zz__evaluate_typesz00,
							BGl_proc2481z00zz__evaluate_typesz00,
							BGl_proc2480z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					BgL_arg1443z00_1134 = BgL_v1290z00_1148;
				}
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1291z00_1179;

					BgL_v1291z00_1179 = create_vector(((long) 0));
					BgL_arg1445z00_1135 = BgL_v1291z00_1179;
				}
				BGl_ev_globalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2487z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59175),
					BGl_proc2486z00zz__evaluate_typesz00,
					BGl_proc2485z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2484z00zz__evaluate_typesz00, BFALSE, BgL_arg1443z00_1134,
					BgL_arg1445z00_1135);
			}
			{	/* Eval/evaluate_types.scm 60 */
				obj_t BgL_arg1470z00_1186;
				obj_t BgL_arg1472z00_1187;

				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1292z00_1198;

					BgL_v1292z00_1198 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1292z00_1198, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2491z00zz__evaluate_typesz00,
							BGl_proc2490z00zz__evaluate_typesz00,
							BGl_proc2489z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					BgL_arg1470z00_1186 = BgL_v1292z00_1198;
				}
				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1293z00_1209;

					BgL_v1293z00_1209 = create_vector(((long) 0));
					BgL_arg1472z00_1187 = BgL_v1293z00_1209;
				}
				BGl_ev_littz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2496z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 42418),
					BGl_proc2495z00zz__evaluate_typesz00,
					BGl_proc2494z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2493z00zz__evaluate_typesz00, BFALSE, BgL_arg1470z00_1186,
					BgL_arg1472z00_1187);
			}
			{	/* Eval/evaluate_types.scm 62 */
				obj_t BgL_arg1489z00_1216;
				obj_t BgL_arg1490z00_1217;

				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1294z00_1230;

					BgL_v1294z00_1230 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1294z00_1230, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2500z00zz__evaluate_typesz00,
							BGl_proc2499z00zz__evaluate_typesz00,
							BGl_proc2498z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1294z00_1230, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2504z00zz__evaluate_typesz00,
							BGl_proc2503z00zz__evaluate_typesz00,
							BGl_proc2502z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1294z00_1230, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2508z00zz__evaluate_typesz00,
							BGl_proc2507z00zz__evaluate_typesz00,
							BGl_proc2506z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1489z00_1216 = BgL_v1294z00_1230;
				}
				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1295z00_1261;

					BgL_v1295z00_1261 = create_vector(((long) 0));
					BgL_arg1490z00_1217 = BgL_v1295z00_1261;
				}
				BGl_ev_ifz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2513z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 19099),
					BGl_proc2512z00zz__evaluate_typesz00,
					BGl_proc2511z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2510z00zz__evaluate_typesz00, BFALSE, BgL_arg1489z00_1216,
					BgL_arg1490z00_1217);
			}
			{	/* Eval/evaluate_types.scm 66 */
				obj_t BgL_arg1519z00_1268;
				obj_t BgL_arg1520z00_1269;

				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1296z00_1280;

					BgL_v1296z00_1280 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1296z00_1280, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2517z00zz__evaluate_typesz00,
							BGl_proc2516z00zz__evaluate_typesz00,
							BGl_proc2515z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					BgL_arg1519z00_1268 = BgL_v1296z00_1280;
				}
				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1297z00_1291;

					BgL_v1297z00_1291 = create_vector(((long) 0));
					BgL_arg1520z00_1269 = BgL_v1297z00_1291;
				}
				BGl_ev_listz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2522z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 39617),
					BGl_proc2521z00zz__evaluate_typesz00,
					BGl_proc2520z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2519z00zz__evaluate_typesz00, BFALSE, BgL_arg1519z00_1268,
					BgL_arg1520z00_1269);
			}
			{	/* Eval/evaluate_types.scm 68 */
				obj_t BgL_arg1537z00_1298;
				obj_t BgL_arg1539z00_1299;

				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1298z00_1310;

					BgL_v1298z00_1310 = create_vector(((long) 0));
					BgL_arg1537z00_1298 = BgL_v1298z00_1310;
				}
				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1299z00_1311;

					BgL_v1299z00_1311 = create_vector(((long) 0));
					BgL_arg1539z00_1299 = BgL_v1299z00_1311;
				}
				BGl_ev_orz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2527z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 50334),
					BGl_proc2526z00zz__evaluate_typesz00,
					BGl_proc2525z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2524z00zz__evaluate_typesz00, BFALSE, BgL_arg1537z00_1298,
					BgL_arg1539z00_1299);
			}
			{	/* Eval/evaluate_types.scm 69 */
				obj_t BgL_arg1552z00_1318;
				obj_t BgL_arg1553z00_1319;

				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1300z00_1330;

					BgL_v1300z00_1330 = create_vector(((long) 0));
					BgL_arg1552z00_1318 = BgL_v1300z00_1330;
				}
				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1301z00_1331;

					BgL_v1301z00_1331 = create_vector(((long) 0));
					BgL_arg1553z00_1319 = BgL_v1301z00_1331;
				}
				BGl_ev_andz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2532z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 26888),
					BGl_proc2531z00zz__evaluate_typesz00,
					BGl_proc2530z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2529z00zz__evaluate_typesz00, BFALSE, BgL_arg1552z00_1318,
					BgL_arg1553z00_1319);
			}
			{	/* Eval/evaluate_types.scm 70 */
				obj_t BgL_arg1565z00_1338;
				obj_t BgL_arg1566z00_1339;

				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1302z00_1351;

					BgL_v1302z00_1351 = create_vector(((long) 2));
					VECTOR_SET(BgL_v1302z00_1351, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2536z00zz__evaluate_typesz00,
							BGl_proc2535z00zz__evaluate_typesz00,
							BGl_proc2534z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1302z00_1351, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2540z00zz__evaluate_typesz00,
							BGl_proc2539z00zz__evaluate_typesz00,
							BGl_proc2538z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1565z00_1338 = BgL_v1302z00_1351;
				}
				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1303z00_1372;

					BgL_v1303z00_1372 = create_vector(((long) 0));
					BgL_arg1566z00_1339 = BgL_v1303z00_1372;
				}
				BGl_ev_prog2z00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2545z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 14177),
					BGl_proc2544z00zz__evaluate_typesz00,
					BGl_proc2543z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2542z00zz__evaluate_typesz00, BFALSE, BgL_arg1565z00_1338,
					BgL_arg1566z00_1339);
			}
			{	/* Eval/evaluate_types.scm 73 */
				obj_t BgL_arg1586z00_1379;
				obj_t BgL_arg1587z00_1380;

				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1304z00_1391;

					BgL_v1304z00_1391 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1304z00_1391, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2508z00zz__evaluate_typesz00,
							BGl_proc2548z00zz__evaluate_typesz00,
							BGl_proc2547z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1586z00_1379 = BgL_v1304z00_1391;
				}
				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1305z00_1402;

					BgL_v1305z00_1402 = create_vector(((long) 0));
					BgL_arg1587z00_1380 = BgL_v1305z00_1402;
				}
				BGl_ev_hookz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2552z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 32125),
					BGl_proc2551z00zz__evaluate_typesz00,
					BGl_proc2550z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2549z00zz__evaluate_typesz00, BFALSE, BgL_arg1586z00_1379,
					BgL_arg1587z00_1380);
			}
			{	/* Eval/evaluate_types.scm 75 */
				obj_t BgL_arg1602z00_1409;
				obj_t BgL_arg1604z00_1410;

				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1306z00_1421;

					BgL_v1306z00_1421 = create_vector(((long) 0));
					BgL_arg1602z00_1409 = BgL_v1306z00_1421;
				}
				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1307z00_1422;

					BgL_v1307z00_1422 = create_vector(((long) 0));
					BgL_arg1604z00_1410 = BgL_v1307z00_1422;
				}
				BGl_ev_trapz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2557z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 24451),
					BGl_proc2556z00zz__evaluate_typesz00,
					BGl_proc2555z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2554z00zz__evaluate_typesz00, BFALSE, BgL_arg1602z00_1409,
					BgL_arg1604z00_1410);
			}
			{	/* Eval/evaluate_types.scm 76 */
				obj_t BgL_arg1614z00_1429;
				obj_t BgL_arg1615z00_1430;

				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1308z00_1442;

					BgL_v1308z00_1442 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1308z00_1442, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2561z00zz__evaluate_typesz00,
							BGl_proc2560z00zz__evaluate_typesz00,
							BGl_proc2559z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1614z00_1429 = BgL_v1308z00_1442;
				}
				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1309z00_1453;

					BgL_v1309z00_1453 = create_vector(((long) 0));
					BgL_arg1615z00_1430 = BgL_v1309z00_1453;
				}
				BGl_ev_setlocalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2566z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 37950),
					BGl_proc2565z00zz__evaluate_typesz00,
					BGl_proc2564z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2563z00zz__evaluate_typesz00, BFALSE, BgL_arg1614z00_1429,
					BgL_arg1615z00_1430);
			}
			{	/* Eval/evaluate_types.scm 78 */
				obj_t BgL_arg1641z00_1460;
				obj_t BgL_arg1642z00_1461;

				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1310z00_1475;

					BgL_v1310z00_1475 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1310z00_1475, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2476z00zz__evaluate_typesz00,
							BGl_proc2569z00zz__evaluate_typesz00,
							BGl_proc2568z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1310z00_1475, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2454z00zz__evaluate_typesz00,
							BGl_proc2571z00zz__evaluate_typesz00,
							BGl_proc2570z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2456z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1310z00_1475, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2482z00zz__evaluate_typesz00,
							BGl_proc2573z00zz__evaluate_typesz00,
							BGl_proc2572z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					BgL_arg1641z00_1460 = BgL_v1310z00_1475;
				}
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1311z00_1506;

					BgL_v1311z00_1506 = create_vector(((long) 0));
					BgL_arg1642z00_1461 = BgL_v1311z00_1506;
				}
				BGl_ev_setglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2577z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 62117),
					BGl_proc2576z00zz__evaluate_typesz00,
					BGl_proc2575z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2574z00zz__evaluate_typesz00, BFALSE, BgL_arg1641z00_1460,
					BgL_arg1642z00_1461);
			}
			{	/* Eval/evaluate_types.scm 82 */
				obj_t BgL_arg1667z00_1513;
				obj_t BgL_arg1668z00_1514;

				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1312z00_1528;

					BgL_v1312z00_1528 = create_vector(((long) 0));
					BgL_arg1667z00_1513 = BgL_v1312z00_1528;
				}
				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1313z00_1529;

					BgL_v1313z00_1529 = create_vector(((long) 0));
					BgL_arg1668z00_1514 = BgL_v1313z00_1529;
				}
				BGl_ev_defglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2582z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_setglobalz00zz__evaluate_typesz00, ((long) 36158),
					BGl_proc2581z00zz__evaluate_typesz00,
					BGl_proc2580z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2579z00zz__evaluate_typesz00, BFALSE, BgL_arg1667z00_1513,
					BgL_arg1668z00_1514);
			}
			{	/* Eval/evaluate_types.scm 83 */
				obj_t BgL_arg1678z00_1536;
				obj_t BgL_arg1679z00_1537;

				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1314z00_1549;

					BgL_v1314z00_1549 = create_vector(((long) 2));
					VECTOR_SET(BgL_v1314z00_1549, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2586z00zz__evaluate_typesz00,
							BGl_proc2585z00zz__evaluate_typesz00,
							BGl_proc2584z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1314z00_1549, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2590z00zz__evaluate_typesz00,
							BGl_proc2589z00zz__evaluate_typesz00,
							BGl_proc2588z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1678z00_1536 = BgL_v1314z00_1549;
				}
				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1315z00_1570;

					BgL_v1315z00_1570 = create_vector(((long) 0));
					BgL_arg1679z00_1537 = BgL_v1315z00_1570;
				}
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2595z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 10723),
					BGl_proc2594z00zz__evaluate_typesz00,
					BGl_proc2593z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2592z00zz__evaluate_typesz00, BFALSE, BgL_arg1678z00_1536,
					BgL_arg1679z00_1537);
			}
			{	/* Eval/evaluate_types.scm 86 */
				obj_t BgL_arg1700z00_1577;
				obj_t BgL_arg1701z00_1578;

				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1316z00_1590;

					BgL_v1316z00_1590 = create_vector(((long) 2));
					VECTOR_SET(BgL_v1316z00_1590, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2508z00zz__evaluate_typesz00,
							BGl_proc2598z00zz__evaluate_typesz00,
							BGl_proc2597z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1316z00_1590, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2590z00zz__evaluate_typesz00,
							BGl_proc2600z00zz__evaluate_typesz00,
							BGl_proc2599z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1700z00_1577 = BgL_v1316z00_1590;
				}
				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1317z00_1611;

					BgL_v1317z00_1611 = create_vector(((long) 0));
					BgL_arg1701z00_1578 = BgL_v1317z00_1611;
				}
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2604z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59644),
					BGl_proc2603z00zz__evaluate_typesz00,
					BGl_proc2602z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2601z00zz__evaluate_typesz00, BFALSE, BgL_arg1700z00_1577,
					BgL_arg1701z00_1578);
			}
			{	/* Eval/evaluate_types.scm 89 */
				obj_t BgL_arg1720z00_1618;
				obj_t BgL_arg1721z00_1619;

				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1318z00_1631;

					BgL_v1318z00_1631 = create_vector(((long) 2));
					VECTOR_SET(BgL_v1318z00_1631, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2608z00zz__evaluate_typesz00,
							BGl_proc2607z00zz__evaluate_typesz00,
							BGl_proc2606z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1318z00_1631, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2590z00zz__evaluate_typesz00,
							BGl_proc2611z00zz__evaluate_typesz00,
							BGl_proc2610z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1720z00_1618 = BgL_v1318z00_1631;
				}
				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1319z00_1652;

					BgL_v1319z00_1652 = create_vector(((long) 0));
					BgL_arg1721z00_1619 = BgL_v1319z00_1652;
				}
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2615z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 54033),
					BGl_proc2614z00zz__evaluate_typesz00,
					BGl_proc2613z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2612z00zz__evaluate_typesz00, BFALSE, BgL_arg1720z00_1618,
					BgL_arg1721z00_1619);
			}
			{	/* Eval/evaluate_types.scm 92 */
				obj_t BgL_arg1741z00_1659;
				obj_t BgL_arg1742z00_1660;

				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1320z00_1674;

					BgL_v1320z00_1674 = create_vector(((long) 4));
					VECTOR_SET(BgL_v1320z00_1674, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2476z00zz__evaluate_typesz00,
							BGl_proc2618z00zz__evaluate_typesz00,
							BGl_proc2617z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1320z00_1674, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2621z00zz__evaluate_typesz00,
							BGl_proc2620z00zz__evaluate_typesz00,
							BGl_proc2619z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1320z00_1674, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2625z00zz__evaluate_typesz00,
							BGl_proc2624z00zz__evaluate_typesz00,
							BGl_proc2623z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1320z00_1674, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2590z00zz__evaluate_typesz00,
							BGl_proc2628z00zz__evaluate_typesz00,
							BGl_proc2627z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1741z00_1659 = BgL_v1320z00_1674;
				}
				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1321z00_1715;

					BgL_v1321z00_1715 = create_vector(((long) 0));
					BgL_arg1742z00_1660 = BgL_v1321z00_1715;
				}
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2632z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 40653),
					BGl_proc2631z00zz__evaluate_typesz00,
					BGl_proc2630z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2629z00zz__evaluate_typesz00, BFALSE, BgL_arg1741z00_1659,
					BgL_arg1742z00_1660);
			}
			{	/* Eval/evaluate_types.scm 97 */
				obj_t BgL_arg1773z00_1722;
				obj_t BgL_arg1775z00_1723;

				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1322z00_1736;

					BgL_v1322z00_1736 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1322z00_1736, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2636z00zz__evaluate_typesz00,
							BGl_proc2635z00zz__evaluate_typesz00,
							BGl_proc2634z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1322z00_1736, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2640z00zz__evaluate_typesz00,
							BGl_proc2639z00zz__evaluate_typesz00,
							BGl_proc2638z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1322z00_1736, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2590z00zz__evaluate_typesz00,
							BGl_proc2643z00zz__evaluate_typesz00,
							BGl_proc2642z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1773z00_1722 = BgL_v1322z00_1736;
				}
				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1323z00_1767;

					BgL_v1323z00_1767 = create_vector(((long) 0));
					BgL_arg1775z00_1723 = BgL_v1323z00_1767;
				}
				BGl_ev_binderz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2647z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 50341),
					BGl_proc2646z00zz__evaluate_typesz00,
					BGl_proc2645z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2644z00zz__evaluate_typesz00, BFALSE, BgL_arg1773z00_1722,
					BgL_arg1775z00_1723);
			}
			{	/* Eval/evaluate_types.scm 101 */
				obj_t BgL_arg1802z00_1774;
				obj_t BgL_arg1803z00_1775;

				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1324z00_1789;

					BgL_v1324z00_1789 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1324z00_1789, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2652z00zz__evaluate_typesz00,
							BGl_proc2651z00zz__evaluate_typesz00,
							BGl_proc2650z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2649z00zz__evaluate_typesz00,
							BGl_symbol2463z00zz__evaluate_typesz00));
					BgL_arg1802z00_1774 = BgL_v1324z00_1789;
				}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1325z00_1803;

					BgL_v1325z00_1803 = create_vector(((long) 0));
					BgL_arg1803z00_1775 = BgL_v1325z00_1803;
				}
				BGl_ev_letz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2657z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 20484),
					BGl_proc2656z00zz__evaluate_typesz00,
					BGl_proc2655z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2654z00zz__evaluate_typesz00, BFALSE, BgL_arg1802z00_1774,
					BgL_arg1803z00_1775);
			}
			{	/* Eval/evaluate_types.scm 103 */
				obj_t BgL_arg1822z00_1810;
				obj_t BgL_arg1823z00_1811;

				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1326z00_1825;

					BgL_v1326z00_1825 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1326z00_1825, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2652z00zz__evaluate_typesz00,
							BGl_proc2661z00zz__evaluate_typesz00,
							BGl_proc2660z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2659z00zz__evaluate_typesz00,
							BGl_symbol2463z00zz__evaluate_typesz00));
					BgL_arg1822z00_1810 = BgL_v1326z00_1825;
				}
				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1327z00_1839;

					BgL_v1327z00_1839 = create_vector(((long) 0));
					BgL_arg1823z00_1811 = BgL_v1327z00_1839;
				}
				BGl_ev_letza2za2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2665z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 9906),
					BGl_proc2664z00zz__evaluate_typesz00,
					BGl_proc2663z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2662z00zz__evaluate_typesz00, BFALSE, BgL_arg1822z00_1810,
					BgL_arg1823z00_1811);
			}
			{	/* Eval/evaluate_types.scm 105 */
				obj_t BgL_arg1843z00_1846;
				obj_t BgL_arg1844z00_1847;

				{	/* Eval/evaluate_types.scm 105 */
					obj_t BgL_v1328z00_1860;

					BgL_v1328z00_1860 = create_vector(((long) 0));
					BgL_arg1843z00_1846 = BgL_v1328z00_1860;
				}
				{	/* Eval/evaluate_types.scm 105 */
					obj_t BgL_v1329z00_1861;

					BgL_v1329z00_1861 = create_vector(((long) 0));
					BgL_arg1844z00_1847 = BgL_v1329z00_1861;
				}
				BGl_ev_letrecz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2670z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 43956),
					BGl_proc2669z00zz__evaluate_typesz00,
					BGl_proc2668z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2667z00zz__evaluate_typesz00, BFALSE, BgL_arg1843z00_1846,
					BgL_arg1844z00_1847);
			}
			{	/* Eval/evaluate_types.scm 106 */
				obj_t BgL_arg1854z00_1868;
				obj_t BgL_arg1856z00_1869;

				{	/* Eval/evaluate_types.scm 106 */
					obj_t BgL_v1330z00_1885;

					BgL_v1330z00_1885 = create_vector(((long) 6));
					VECTOR_SET(BgL_v1330z00_1885, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2636z00zz__evaluate_typesz00,
							BGl_proc2673z00zz__evaluate_typesz00,
							BGl_proc2672z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1330z00_1885, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2640z00zz__evaluate_typesz00,
							BGl_proc2675z00zz__evaluate_typesz00,
							BGl_proc2674z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1330z00_1885, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2679z00zz__evaluate_typesz00,
							BGl_proc2678z00zz__evaluate_typesz00,
							BGl_proc2677z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2676z00zz__evaluate_typesz00,
							BGl_symbol2463z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1330z00_1885, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2684z00zz__evaluate_typesz00,
							BGl_proc2683z00zz__evaluate_typesz00,
							BGl_proc2682z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2681z00zz__evaluate_typesz00,
							BGl_symbol2463z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1330z00_1885, ((long) 4),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2590z00zz__evaluate_typesz00,
							BGl_proc2687z00zz__evaluate_typesz00,
							BGl_proc2686z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1330z00_1885, ((long) 5),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2652z00zz__evaluate_typesz00,
							BGl_proc2690z00zz__evaluate_typesz00,
							BGl_proc2689z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2688z00zz__evaluate_typesz00,
							BGl_symbol2463z00zz__evaluate_typesz00));
					BgL_arg1854z00_1868 = BgL_v1330z00_1885;
				}
				{	/* Eval/evaluate_types.scm 106 */
					obj_t BgL_v1331z00_1955;

					BgL_v1331z00_1955 = create_vector(((long) 0));
					BgL_arg1856z00_1869 = BgL_v1331z00_1955;
				}
				BGl_ev_labelsz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2694z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 51941),
					BGl_proc2693z00zz__evaluate_typesz00,
					BGl_proc2692z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2691z00zz__evaluate_typesz00, BFALSE, BgL_arg1854z00_1868,
					BgL_arg1856z00_1869);
			}
			{	/* Eval/evaluate_types.scm 114 */
				obj_t BgL_arg1905z00_1962;
				obj_t BgL_arg1906z00_1963;

				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1332z00_1977;

					BgL_v1332z00_1977 = create_vector(((long) 4));
					VECTOR_SET(BgL_v1332z00_1977, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2476z00zz__evaluate_typesz00,
							BGl_proc2697z00zz__evaluate_typesz00,
							BGl_proc2696z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1332z00_1977, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2700z00zz__evaluate_typesz00,
							BGl_proc2699z00zz__evaluate_typesz00,
							BGl_proc2698z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1332z00_1977, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2704z00zz__evaluate_typesz00,
							BGl_proc2703z00zz__evaluate_typesz00,
							BGl_proc2702z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1332z00_1977, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2517z00zz__evaluate_typesz00,
							BGl_proc2707z00zz__evaluate_typesz00,
							BGl_proc2706z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					BgL_arg1905z00_1962 = BgL_v1332z00_1977;
				}
				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1333z00_2018;

					BgL_v1333z00_2018 = create_vector(((long) 0));
					BgL_arg1906z00_1963 = BgL_v1333z00_2018;
				}
				BGl_ev_gotoz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2711z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 25746),
					BGl_proc2710z00zz__evaluate_typesz00,
					BGl_proc2709z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2708z00zz__evaluate_typesz00, BFALSE, BgL_arg1905z00_1962,
					BgL_arg1906z00_1963);
			}
			{	/* Eval/evaluate_types.scm 119 */
				obj_t BgL_arg1936z00_2025;
				obj_t BgL_arg1937z00_2026;

				{	/* Eval/evaluate_types.scm 119 */
					obj_t BgL_v1334z00_2040;

					BgL_v1334z00_2040 = create_vector(((long) 4));
					VECTOR_SET(BgL_v1334z00_2040, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2476z00zz__evaluate_typesz00,
							BGl_proc2714z00zz__evaluate_typesz00,
							BGl_proc2713z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1334z00_2040, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2717z00zz__evaluate_typesz00,
							BGl_proc2716z00zz__evaluate_typesz00,
							BGl_proc2715z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1334z00_2040, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2517z00zz__evaluate_typesz00,
							BGl_proc2720z00zz__evaluate_typesz00,
							BGl_proc2719z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1334z00_2040, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2723z00zz__evaluate_typesz00,
							BGl_proc2722z00zz__evaluate_typesz00,
							BGl_proc2721z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					BgL_arg1936z00_2025 = BgL_v1334z00_2040;
				}
				{	/* Eval/evaluate_types.scm 119 */
					obj_t BgL_v1335z00_2081;

					BgL_v1335z00_2081 = create_vector(((long) 0));
					BgL_arg1937z00_2026 = BgL_v1335z00_2081;
				}
				BGl_ev_appz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2728z00zz__evaluate_typesz00,
					BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 55822),
					BGl_proc2727z00zz__evaluate_typesz00,
					BGl_proc2726z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2725z00zz__evaluate_typesz00, BFALSE, BgL_arg1936z00_2025,
					BgL_arg1937z00_2026);
			}
			{	/* Eval/evaluate_types.scm 122 */
				obj_t BgL_arg1968z00_2088;
				obj_t BgL_arg1969z00_2089;

				{	/* Eval/evaluate_types.scm 122 */
					obj_t BgL_v1336z00_2109;

					BgL_v1336z00_2109 = create_vector(((long) 10));
					VECTOR_SET(BgL_v1336z00_2109, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2476z00zz__evaluate_typesz00,
							BGl_proc2731z00zz__evaluate_typesz00,
							BGl_proc2730z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1336z00_2109, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2734z00zz__evaluate_typesz00,
							BGl_proc2733z00zz__evaluate_typesz00,
							BGl_proc2732z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1336z00_2109, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2738z00zz__evaluate_typesz00,
							BGl_proc2737z00zz__evaluate_typesz00,
							BGl_proc2736z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1336z00_2109, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2636z00zz__evaluate_typesz00,
							BGl_proc2741z00zz__evaluate_typesz00,
							BGl_proc2740z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2463z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1336z00_2109, ((long) 4),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2590z00zz__evaluate_typesz00,
							BGl_proc2743z00zz__evaluate_typesz00,
							BGl_proc2742z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1336z00_2109, ((long) 5),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2747z00zz__evaluate_typesz00,
							BGl_proc2746z00zz__evaluate_typesz00,
							BGl_proc2745z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2744z00zz__evaluate_typesz00,
							BGl_symbol2749z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1336z00_2109, ((long) 6),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2754z00zz__evaluate_typesz00,
							BGl_proc2753z00zz__evaluate_typesz00,
							BGl_proc2752z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2751z00zz__evaluate_typesz00,
							BGl_symbol2463z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1336z00_2109, ((long) 7),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2759z00zz__evaluate_typesz00,
							BGl_proc2758z00zz__evaluate_typesz00,
							BGl_proc2757z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2756z00zz__evaluate_typesz00,
							BGl_symbol2463z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1336z00_2109, ((long) 8),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2764z00zz__evaluate_typesz00,
							BGl_proc2763z00zz__evaluate_typesz00,
							BGl_proc2762z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2761z00zz__evaluate_typesz00,
							BGl_symbol2463z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1336z00_2109, ((long) 9),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2652z00zz__evaluate_typesz00,
							BGl_proc2768z00zz__evaluate_typesz00,
							BGl_proc2767z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2766z00zz__evaluate_typesz00,
							BGl_symbol2463z00zz__evaluate_typesz00));
					BgL_arg1968z00_2088 = BgL_v1336z00_2109;
				}
				{	/* Eval/evaluate_types.scm 122 */
					obj_t BgL_v1337z00_2225;

					BgL_v1337z00_2225 = create_vector(((long) 0));
					BgL_arg1969z00_2089 = BgL_v1337z00_2225;
				}
				return (BGl_ev_absz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2772z00zz__evaluate_typesz00,
						BGl_symbol2450z00zz__evaluate_typesz00,
						BGl_ev_exprz00zz__evaluate_typesz00, ((long) 22827),
						BGl_proc2771z00zz__evaluate_typesz00,
						BGl_proc2770z00zz__evaluate_typesz00, BFALSE,
						BGl_proc2769z00zz__evaluate_typesz00, BFALSE, BgL_arg1968z00_2088,
						BgL_arg1969z00_2089), BUNSPEC);
		}}

	}



/* &<@anonymous:1975> */
	obj_t BGl_z62zc3z04anonymousza31975ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3510, obj_t BgL_new1193z00_3511)
	{
		{	/* Eval/evaluate_types.scm 122 */
			{
				BgL_ev_absz00_bglt BgL_auxz00_4692;

				((((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_new1193z00_3511)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1193z00_3511)))->BgL_wherez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1193z00_3511)))->BgL_arityz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1193z00_3511)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4701;

					{	/* Eval/evaluate_types.scm 122 */
						obj_t BgL_classz00_3986;

						BgL_classz00_3986 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 122 */
							obj_t BgL__ortest_1285z00_3987;

							BgL__ortest_1285z00_3987 = BGL_CLASS_NIL(BgL_classz00_3986);
							if (CBOOL(BgL__ortest_1285z00_3987))
								{	/* Eval/evaluate_types.scm 122 */
									BgL_auxz00_4701 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_3987);
								}
							else
								{	/* Eval/evaluate_types.scm 122 */
									BgL_auxz00_4701 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3986));
								}
						}
					}
					((((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_new1193z00_3511)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4701), BUNSPEC);
				}
				((((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_new1193z00_3511)))->BgL_siza7eza7) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1193z00_3511)))->BgL_bindz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1193z00_3511)))->BgL_freez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1193z00_3511)))->BgL_innerz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1193z00_3511)))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4692 = ((BgL_ev_absz00_bglt) BgL_new1193z00_3511);
				return ((obj_t) BgL_auxz00_4692);
			}
		}

	}



/* &lambda1973 */
	BgL_ev_absz00_bglt BGl_z62lambda1973z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3512)
	{
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				BgL_ev_absz00_bglt BgL_new1192z00_3988;

				BgL_new1192z00_3988 =
					((BgL_ev_absz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_absz00_bgl))));
				{	/* Eval/evaluate_types.scm 122 */
					long BgL_arg1974z00_3989;

					{	/* Eval/evaluate_types.scm 122 */
						long BgL_res2394z00_3990;

						BgL_res2394z00_3990 =
							BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
						BgL_arg1974z00_3989 = BgL_res2394z00_3990;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1192z00_3988), BgL_arg1974z00_3989);
				}
				return BgL_new1192z00_3988;
			}
		}

	}



/* &lambda1970 */
	BgL_ev_absz00_bglt BGl_z62lambda1970z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3513, obj_t BgL_loc1182z00_3514, obj_t BgL_where1183z00_3515,
		obj_t BgL_arity1184z00_3516, obj_t BgL_vars1185z00_3517,
		obj_t BgL_body1186z00_3518, obj_t BgL_siza7e1187za7_3519,
		obj_t BgL_bind1188z00_3520, obj_t BgL_free1189z00_3521,
		obj_t BgL_inner1190z00_3522, obj_t BgL_boxes1191z00_3523)
	{
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				int BgL_siza7e1187za7_3992;

				BgL_siza7e1187za7_3992 = CINT(BgL_siza7e1187za7_3519);
				{	/* Eval/evaluate_types.scm 122 */
					BgL_ev_absz00_bglt BgL_new1246z00_3993;

					{	/* Eval/evaluate_types.scm 122 */
						BgL_ev_absz00_bglt BgL_new1244z00_3994;

						BgL_new1244z00_3994 =
							((BgL_ev_absz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_types.scm 122 */
							long BgL_arg1972z00_3995;

							{	/* Eval/evaluate_types.scm 122 */
								long BgL_res2393z00_3996;

								BgL_res2393z00_3996 =
									BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
								BgL_arg1972z00_3995 = BgL_res2393z00_3996;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1244z00_3994),
								BgL_arg1972z00_3995);
						}
						BgL_new1246z00_3993 = BgL_new1244z00_3994;
					}
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1246z00_3993))->BgL_locz00) =
						((obj_t) BgL_loc1182z00_3514), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1246z00_3993))->BgL_wherez00) =
						((obj_t) BgL_where1183z00_3515), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1246z00_3993))->BgL_arityz00) =
						((obj_t) BgL_arity1184z00_3516), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1246z00_3993))->BgL_varsz00) =
						((obj_t) BgL_vars1185z00_3517), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1246z00_3993))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
								BgL_body1186z00_3518)), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1246z00_3993))->
							BgL_siza7eza7) = ((int) BgL_siza7e1187za7_3992), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1246z00_3993))->BgL_bindz00) =
						((obj_t) BgL_bind1188z00_3520), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1246z00_3993))->BgL_freez00) =
						((obj_t) BgL_free1189z00_3521), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1246z00_3993))->BgL_innerz00) =
						((obj_t) BgL_inner1190z00_3522), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1246z00_3993))->BgL_boxesz00) =
						((obj_t) BgL_boxes1191z00_3523), BUNSPEC);
					return BgL_new1246z00_3993;
				}
			}
		}

	}



/* &<@anonymous:2043> */
	obj_t BGl_z62zc3z04anonymousza32043ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3524)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}

	}



/* &lambda2042 */
	obj_t BGl_z62lambda2042z62zz__evaluate_typesz00(obj_t BgL_envz00_3525,
		obj_t BgL_oz00_3526, obj_t BgL_vz00_3527)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3526)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3527), BUNSPEC);
		}

	}



/* &lambda2041 */
	obj_t BGl_z62lambda2041z62zz__evaluate_typesz00(obj_t BgL_envz00_3528,
		obj_t BgL_oz00_3529)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3529)))->BgL_boxesz00);
		}

	}



/* &<@anonymous:2036> */
	obj_t BGl_z62zc3z04anonymousza32036ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3530)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}

	}



/* &lambda2035 */
	obj_t BGl_z62lambda2035z62zz__evaluate_typesz00(obj_t BgL_envz00_3531,
		obj_t BgL_oz00_3532, obj_t BgL_vz00_3533)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3532)))->BgL_innerz00) =
				((obj_t) BgL_vz00_3533), BUNSPEC);
		}

	}



/* &lambda2034 */
	obj_t BGl_z62lambda2034z62zz__evaluate_typesz00(obj_t BgL_envz00_3534,
		obj_t BgL_oz00_3535)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3535)))->BgL_innerz00);
		}

	}



/* &<@anonymous:2028> */
	obj_t BGl_z62zc3z04anonymousza32028ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3536)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}

	}



/* &lambda2027 */
	obj_t BGl_z62lambda2027z62zz__evaluate_typesz00(obj_t BgL_envz00_3537,
		obj_t BgL_oz00_3538, obj_t BgL_vz00_3539)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3538)))->BgL_freez00) =
				((obj_t) BgL_vz00_3539), BUNSPEC);
		}

	}



/* &lambda2026 */
	obj_t BGl_z62lambda2026z62zz__evaluate_typesz00(obj_t BgL_envz00_3540,
		obj_t BgL_oz00_3541)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3541)))->BgL_freez00);
		}

	}



/* &<@anonymous:2021> */
	obj_t BGl_z62zc3z04anonymousza32021ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3542)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}

	}



/* &lambda2020 */
	obj_t BGl_z62lambda2020z62zz__evaluate_typesz00(obj_t BgL_envz00_3543,
		obj_t BgL_oz00_3544, obj_t BgL_vz00_3545)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3544)))->BgL_bindz00) =
				((obj_t) BgL_vz00_3545), BUNSPEC);
		}

	}



/* &lambda2019 */
	obj_t BGl_z62lambda2019z62zz__evaluate_typesz00(obj_t BgL_envz00_3546,
		obj_t BgL_oz00_3547)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3547)))->BgL_bindz00);
		}

	}



/* &<@anonymous:2012> */
	obj_t BGl_z62zc3z04anonymousza32012ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3548)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BINT(((long) 0));
		}

	}



/* &lambda2011 */
	obj_t BGl_z62lambda2011z62zz__evaluate_typesz00(obj_t BgL_envz00_3549,
		obj_t BgL_oz00_3550, obj_t BgL_vz00_3551)
	{
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				int BgL_vz00_4006;

				BgL_vz00_4006 = CINT(BgL_vz00_3551);
				return
					((((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_oz00_3550)))->BgL_siza7eza7) =
					((int) BgL_vz00_4006), BUNSPEC);
		}}

	}



/* &lambda2010 */
	obj_t BGl_z62lambda2010z62zz__evaluate_typesz00(obj_t BgL_envz00_3552,
		obj_t BgL_oz00_3553)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				BINT(
				(((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3553)))->BgL_siza7eza7));
		}

	}



/* &lambda2005 */
	obj_t BGl_z62lambda2005z62zz__evaluate_typesz00(obj_t BgL_envz00_3554,
		obj_t BgL_oz00_3555, obj_t BgL_vz00_3556)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3555)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3556)), BUNSPEC);
		}

	}



/* &lambda2004 */
	BgL_ev_exprz00_bglt BGl_z62lambda2004z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3557, obj_t BgL_oz00_3558)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3558)))->BgL_bodyz00);
		}

	}



/* &lambda1998 */
	obj_t BGl_z62lambda1998z62zz__evaluate_typesz00(obj_t BgL_envz00_3559,
		obj_t BgL_oz00_3560, obj_t BgL_vz00_3561)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3560)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3561), BUNSPEC);
		}

	}



/* &lambda1997 */
	obj_t BGl_z62lambda1997z62zz__evaluate_typesz00(obj_t BgL_envz00_3562,
		obj_t BgL_oz00_3563)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3563)))->BgL_varsz00);
		}

	}



/* &lambda1990 */
	obj_t BGl_z62lambda1990z62zz__evaluate_typesz00(obj_t BgL_envz00_3564,
		obj_t BgL_oz00_3565, obj_t BgL_vz00_3566)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3565)))->BgL_arityz00) =
				((obj_t) BgL_vz00_3566), BUNSPEC);
		}

	}



/* &lambda1989 */
	obj_t BGl_z62lambda1989z62zz__evaluate_typesz00(obj_t BgL_envz00_3567,
		obj_t BgL_oz00_3568)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3568)))->BgL_arityz00);
		}

	}



/* &lambda1985 */
	obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t BgL_envz00_3569,
		obj_t BgL_oz00_3570, obj_t BgL_vz00_3571)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3570)))->BgL_wherez00) =
				((obj_t) BgL_vz00_3571), BUNSPEC);
		}

	}



/* &lambda1984 */
	obj_t BGl_z62lambda1984z62zz__evaluate_typesz00(obj_t BgL_envz00_3572,
		obj_t BgL_oz00_3573)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3573)))->BgL_wherez00);
		}

	}



/* &lambda1980 */
	obj_t BGl_z62lambda1980z62zz__evaluate_typesz00(obj_t BgL_envz00_3574,
		obj_t BgL_oz00_3575, obj_t BgL_vz00_3576)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3575)))->BgL_locz00) =
				((obj_t) BgL_vz00_3576), BUNSPEC);
		}

	}



/* &lambda1979 */
	obj_t BGl_z62lambda1979z62zz__evaluate_typesz00(obj_t BgL_envz00_3577,
		obj_t BgL_oz00_3578)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3578)))->BgL_locz00);
		}

	}



/* &<@anonymous:1942> */
	obj_t BGl_z62zc3z04anonymousza31942ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3579, obj_t BgL_new1180z00_3580)
	{
		{	/* Eval/evaluate_types.scm 119 */
			{
				BgL_ev_appz00_bglt BgL_auxz00_4787;

				((((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_new1180z00_3580)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4790;

					{	/* Eval/evaluate_types.scm 119 */
						obj_t BgL_classz00_4020;

						BgL_classz00_4020 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 119 */
							obj_t BgL__ortest_1285z00_4021;

							BgL__ortest_1285z00_4021 = BGL_CLASS_NIL(BgL_classz00_4020);
							if (CBOOL(BgL__ortest_1285z00_4021))
								{	/* Eval/evaluate_types.scm 119 */
									BgL_auxz00_4790 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4021);
								}
							else
								{	/* Eval/evaluate_types.scm 119 */
									BgL_auxz00_4790 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4020));
								}
						}
					}
					((((BgL_ev_appz00_bglt) COBJECT(
									((BgL_ev_appz00_bglt) BgL_new1180z00_3580)))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4790), BUNSPEC);
				}
				((((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_new1180z00_3580)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(((BgL_ev_appz00_bglt)
									BgL_new1180z00_3580)))->BgL_tailzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4787 = ((BgL_ev_appz00_bglt) BgL_new1180z00_3580);
				return ((obj_t) BgL_auxz00_4787);
			}
		}

	}



/* &lambda1940 */
	BgL_ev_appz00_bglt BGl_z62lambda1940z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3581)
	{
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_appz00_bglt BgL_new1178z00_4022;

				BgL_new1178z00_4022 =
					((BgL_ev_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_appz00_bgl))));
				{	/* Eval/evaluate_types.scm 119 */
					long BgL_arg1941z00_4023;

					{	/* Eval/evaluate_types.scm 119 */
						long BgL_res2392z00_4024;

						BgL_res2392z00_4024 =
							BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00);
						BgL_arg1941z00_4023 = BgL_res2392z00_4024;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1178z00_4022), BgL_arg1941z00_4023);
				}
				return BgL_new1178z00_4022;
			}
		}

	}



/* &lambda1938 */
	BgL_ev_appz00_bglt BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3582, obj_t BgL_loc1174z00_3583, obj_t BgL_fun1175z00_3584,
		obj_t BgL_args1176z00_3585, obj_t BgL_tailzf31177zf3_3586)
	{
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_appz00_bglt BgL_new1243z00_4026;

				{	/* Eval/evaluate_types.scm 119 */
					BgL_ev_appz00_bglt BgL_new1242z00_4027;

					BgL_new1242z00_4027 =
						((BgL_ev_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_appz00_bgl))));
					{	/* Eval/evaluate_types.scm 119 */
						long BgL_arg1939z00_4028;

						{	/* Eval/evaluate_types.scm 119 */
							long BgL_res2391z00_4029;

							BgL_res2391z00_4029 =
								BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00);
							BgL_arg1939z00_4028 = BgL_res2391z00_4029;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1242z00_4027), BgL_arg1939z00_4028);
					}
					BgL_new1243z00_4026 = BgL_new1242z00_4027;
				}
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1243z00_4026))->BgL_locz00) =
					((obj_t) BgL_loc1174z00_3583), BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1243z00_4026))->BgL_funz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_fun1175z00_3584)),
					BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1243z00_4026))->BgL_argsz00) =
					((obj_t) BgL_args1176z00_3585), BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1243z00_4026))->BgL_tailzf3zf3) =
					((obj_t) BgL_tailzf31177zf3_3586), BUNSPEC);
				return BgL_new1243z00_4026;
			}
		}

	}



/* &lambda1963 */
	obj_t BGl_z62lambda1963z62zz__evaluate_typesz00(obj_t BgL_envz00_3587,
		obj_t BgL_oz00_3588, obj_t BgL_vz00_3589)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3588)))->BgL_tailzf3zf3) =
				((obj_t) BgL_vz00_3589), BUNSPEC);
		}

	}



/* &lambda1962 */
	obj_t BGl_z62lambda1962z62zz__evaluate_typesz00(obj_t BgL_envz00_3590,
		obj_t BgL_oz00_3591)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3591)))->BgL_tailzf3zf3);
		}

	}



/* &lambda1958 */
	obj_t BGl_z62lambda1958z62zz__evaluate_typesz00(obj_t BgL_envz00_3592,
		obj_t BgL_oz00_3593, obj_t BgL_vz00_3594)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3593)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3594), BUNSPEC);
		}

	}



/* &lambda1957 */
	obj_t BGl_z62lambda1957z62zz__evaluate_typesz00(obj_t BgL_envz00_3595,
		obj_t BgL_oz00_3596)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3596)))->BgL_argsz00);
		}

	}



/* &lambda1953 */
	obj_t BGl_z62lambda1953z62zz__evaluate_typesz00(obj_t BgL_envz00_3597,
		obj_t BgL_oz00_3598, obj_t BgL_vz00_3599)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3598)))->BgL_funz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3599)), BUNSPEC);
		}

	}



/* &lambda1952 */
	BgL_ev_exprz00_bglt BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3600, obj_t BgL_oz00_3601)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3601)))->BgL_funz00);
		}

	}



/* &lambda1948 */
	obj_t BGl_z62lambda1948z62zz__evaluate_typesz00(obj_t BgL_envz00_3602,
		obj_t BgL_oz00_3603, obj_t BgL_vz00_3604)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3603)))->BgL_locz00) =
				((obj_t) BgL_vz00_3604), BUNSPEC);
		}

	}



/* &lambda1947 */
	obj_t BGl_z62lambda1947z62zz__evaluate_typesz00(obj_t BgL_envz00_3605,
		obj_t BgL_oz00_3606)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3606)))->BgL_locz00);
		}

	}



/* &<@anonymous:1911> */
	obj_t BGl_z62zc3z04anonymousza31911ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3607, obj_t BgL_new1172z00_3608)
	{
		{	/* Eval/evaluate_types.scm 114 */
			{
				BgL_ev_gotoz00_bglt BgL_auxz00_4835;

				((((BgL_ev_gotoz00_bglt) COBJECT(
								((BgL_ev_gotoz00_bglt) BgL_new1172z00_3608)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_varz00_bglt BgL_auxz00_4838;

					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_classz00_4040;

						BgL_classz00_4040 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL__ortest_1285z00_4041;

							BgL__ortest_1285z00_4041 = BGL_CLASS_NIL(BgL_classz00_4040);
							if (CBOOL(BgL__ortest_1285z00_4041))
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4838 =
										((BgL_ev_varz00_bglt) BgL__ortest_1285z00_4041);
								}
							else
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4838 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4040));
								}
						}
					}
					((((BgL_ev_gotoz00_bglt) COBJECT(
									((BgL_ev_gotoz00_bglt) BgL_new1172z00_3608)))->BgL_labelz00) =
						((BgL_ev_varz00_bglt) BgL_auxz00_4838), BUNSPEC);
				}
				{
					BgL_ev_labelsz00_bglt BgL_auxz00_4847;

					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_classz00_4042;

						BgL_classz00_4042 = BGl_ev_labelsz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL__ortest_1285z00_4043;

							BgL__ortest_1285z00_4043 = BGL_CLASS_NIL(BgL_classz00_4042);
							if (CBOOL(BgL__ortest_1285z00_4043))
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4847 =
										((BgL_ev_labelsz00_bglt) BgL__ortest_1285z00_4043);
								}
							else
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4847 =
										((BgL_ev_labelsz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4042));
								}
						}
					}
					((((BgL_ev_gotoz00_bglt) COBJECT(
									((BgL_ev_gotoz00_bglt) BgL_new1172z00_3608)))->
							BgL_labelsz00) =
						((BgL_ev_labelsz00_bglt) BgL_auxz00_4847), BUNSPEC);
				}
				((((BgL_ev_gotoz00_bglt) COBJECT(
								((BgL_ev_gotoz00_bglt) BgL_new1172z00_3608)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4835 = ((BgL_ev_gotoz00_bglt) BgL_new1172z00_3608);
				return ((obj_t) BgL_auxz00_4835);
			}
		}

	}



/* &lambda1909 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1909z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3609)
	{
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_gotoz00_bglt BgL_new1171z00_4044;

				BgL_new1171z00_4044 =
					((BgL_ev_gotoz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_gotoz00_bgl))));
				{	/* Eval/evaluate_types.scm 114 */
					long BgL_arg1910z00_4045;

					{	/* Eval/evaluate_types.scm 114 */
						long BgL_res2390z00_4046;

						BgL_res2390z00_4046 =
							BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00);
						BgL_arg1910z00_4045 = BgL_res2390z00_4046;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1171z00_4044), BgL_arg1910z00_4045);
				}
				return BgL_new1171z00_4044;
			}
		}

	}



/* &lambda1907 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1907z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3610, obj_t BgL_loc1167z00_3611, obj_t BgL_label1168z00_3612,
		obj_t BgL_labels1169z00_3613, obj_t BgL_args1170z00_3614)
	{
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_gotoz00_bglt BgL_new1241z00_4049;

				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_gotoz00_bglt BgL_new1240z00_4050;

					BgL_new1240z00_4050 =
						((BgL_ev_gotoz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_gotoz00_bgl))));
					{	/* Eval/evaluate_types.scm 114 */
						long BgL_arg1908z00_4051;

						{	/* Eval/evaluate_types.scm 114 */
							long BgL_res2389z00_4052;

							BgL_res2389z00_4052 =
								BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00);
							BgL_arg1908z00_4051 = BgL_res2389z00_4052;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1240z00_4050), BgL_arg1908z00_4051);
					}
					BgL_new1241z00_4049 = BgL_new1240z00_4050;
				}
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1241z00_4049))->BgL_locz00) =
					((obj_t) BgL_loc1167z00_3611), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1241z00_4049))->BgL_labelz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_label1168z00_3612)),
					BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1241z00_4049))->BgL_labelsz00) =
					((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt)
							BgL_labels1169z00_3613)), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1241z00_4049))->BgL_argsz00) =
					((obj_t) BgL_args1170z00_3614), BUNSPEC);
				return BgL_new1241z00_4049;
			}
		}

	}



/* &lambda1932 */
	obj_t BGl_z62lambda1932z62zz__evaluate_typesz00(obj_t BgL_envz00_3615,
		obj_t BgL_oz00_3616, obj_t BgL_vz00_3617)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3616)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3617), BUNSPEC);
		}

	}



/* &lambda1931 */
	obj_t BGl_z62lambda1931z62zz__evaluate_typesz00(obj_t BgL_envz00_3618,
		obj_t BgL_oz00_3619)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3619)))->BgL_argsz00);
		}

	}



/* &lambda1927 */
	obj_t BGl_z62lambda1927z62zz__evaluate_typesz00(obj_t BgL_envz00_3620,
		obj_t BgL_oz00_3621, obj_t BgL_vz00_3622)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3621)))->BgL_labelsz00) =
				((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt) BgL_vz00_3622)),
				BUNSPEC);
		}

	}



/* &lambda1926 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1926z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3623, obj_t BgL_oz00_3624)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3624)))->BgL_labelsz00);
		}

	}



/* &lambda1922 */
	obj_t BGl_z62lambda1922z62zz__evaluate_typesz00(obj_t BgL_envz00_3625,
		obj_t BgL_oz00_3626, obj_t BgL_vz00_3627)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3626)))->BgL_labelz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3627)), BUNSPEC);
		}

	}



/* &lambda1921 */
	BgL_ev_varz00_bglt BGl_z62lambda1921z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3628, obj_t BgL_oz00_3629)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3629)))->BgL_labelz00);
		}

	}



/* &lambda1916 */
	obj_t BGl_z62lambda1916z62zz__evaluate_typesz00(obj_t BgL_envz00_3630,
		obj_t BgL_oz00_3631, obj_t BgL_vz00_3632)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3631)))->BgL_locz00) =
				((obj_t) BgL_vz00_3632), BUNSPEC);
		}

	}



/* &lambda1915 */
	obj_t BGl_z62lambda1915z62zz__evaluate_typesz00(obj_t BgL_envz00_3633,
		obj_t BgL_oz00_3634)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3634)))->BgL_locz00);
		}

	}



/* &<@anonymous:1862> */
	obj_t BGl_z62zc3z04anonymousza31862ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3635, obj_t BgL_new1165z00_3636)
	{
		{	/* Eval/evaluate_types.scm 106 */
			{
				BgL_ev_labelsz00_bglt BgL_auxz00_4892;

				((((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_new1165z00_3636)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(((BgL_ev_labelsz00_bglt)
									BgL_new1165z00_3636)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(((BgL_ev_labelsz00_bglt)
									BgL_new1165z00_3636)))->BgL_envz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(((BgL_ev_labelsz00_bglt)
									BgL_new1165z00_3636)))->BgL_stkz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4901;

					{	/* Eval/evaluate_types.scm 106 */
						obj_t BgL_classz00_4064;

						BgL_classz00_4064 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 106 */
							obj_t BgL__ortest_1285z00_4065;

							BgL__ortest_1285z00_4065 = BGL_CLASS_NIL(BgL_classz00_4064);
							if (CBOOL(BgL__ortest_1285z00_4065))
								{	/* Eval/evaluate_types.scm 106 */
									BgL_auxz00_4901 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4065);
								}
							else
								{	/* Eval/evaluate_types.scm 106 */
									BgL_auxz00_4901 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4064));
								}
						}
					}
					((((BgL_ev_labelsz00_bglt) COBJECT(
									((BgL_ev_labelsz00_bglt) BgL_new1165z00_3636)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4901), BUNSPEC);
				}
				((((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_new1165z00_3636)))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4892 = ((BgL_ev_labelsz00_bglt) BgL_new1165z00_3636);
				return ((obj_t) BgL_auxz00_4892);
			}
		}

	}



/* &lambda1859 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1859z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3637)
	{
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_new1164z00_4066;

				BgL_new1164z00_4066 =
					((BgL_ev_labelsz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_labelsz00_bgl))));
				{	/* Eval/evaluate_types.scm 106 */
					long BgL_arg1861z00_4067;

					{	/* Eval/evaluate_types.scm 106 */
						long BgL_res2388z00_4068;

						BgL_res2388z00_4068 =
							BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00);
						BgL_arg1861z00_4067 = BgL_res2388z00_4068;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1164z00_4066), BgL_arg1861z00_4067);
				}
				return BgL_new1164z00_4066;
			}
		}

	}



/* &lambda1857 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1857z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3638, obj_t BgL_vars1158z00_3639, obj_t BgL_vals1159z00_3640,
		obj_t BgL_env1160z00_3641, obj_t BgL_stk1161z00_3642,
		obj_t BgL_body1162z00_3643, obj_t BgL_boxes1163z00_3644)
	{
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_new1239z00_4070;

				{	/* Eval/evaluate_types.scm 106 */
					BgL_ev_labelsz00_bglt BgL_new1238z00_4071;

					BgL_new1238z00_4071 =
						((BgL_ev_labelsz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_labelsz00_bgl))));
					{	/* Eval/evaluate_types.scm 106 */
						long BgL_arg1858z00_4072;

						{	/* Eval/evaluate_types.scm 106 */
							long BgL_res2387z00_4073;

							BgL_res2387z00_4073 =
								BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00);
							BgL_arg1858z00_4072 = BgL_res2387z00_4073;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1238z00_4071), BgL_arg1858z00_4072);
					}
					BgL_new1239z00_4070 = BgL_new1238z00_4071;
				}
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1239z00_4070))->BgL_varsz00) =
					((obj_t) BgL_vars1158z00_3639), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1239z00_4070))->BgL_valsz00) =
					((obj_t) BgL_vals1159z00_3640), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1239z00_4070))->BgL_envz00) =
					((obj_t) BgL_env1160z00_3641), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1239z00_4070))->BgL_stkz00) =
					((obj_t) BgL_stk1161z00_3642), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1239z00_4070))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1162z00_3643)),
					BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1239z00_4070))->
						BgL_boxesz00) = ((obj_t) BgL_boxes1163z00_3644), BUNSPEC);
				return BgL_new1239z00_4070;
			}
		}

	}



/* &<@anonymous:1901> */
	obj_t BGl_z62zc3z04anonymousza31901ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3645)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}

	}



/* &lambda1900 */
	obj_t BGl_z62lambda1900z62zz__evaluate_typesz00(obj_t BgL_envz00_3646,
		obj_t BgL_oz00_3647, obj_t BgL_vz00_3648)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3647)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3648), BUNSPEC);
		}

	}



/* &lambda1899 */
	obj_t BGl_z62lambda1899z62zz__evaluate_typesz00(obj_t BgL_envz00_3649,
		obj_t BgL_oz00_3650)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3650)))->BgL_boxesz00);
		}

	}



/* &lambda1894 */
	obj_t BGl_z62lambda1894z62zz__evaluate_typesz00(obj_t BgL_envz00_3651,
		obj_t BgL_oz00_3652, obj_t BgL_vz00_3653)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3652)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3653)), BUNSPEC);
		}

	}



/* &lambda1893 */
	BgL_ev_exprz00_bglt BGl_z62lambda1893z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3654, obj_t BgL_oz00_3655)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3655)))->BgL_bodyz00);
		}

	}



/* &<@anonymous:1888> */
	obj_t BGl_z62zc3z04anonymousza31888ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3656)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}

	}



/* &lambda1887 */
	obj_t BGl_z62lambda1887z62zz__evaluate_typesz00(obj_t BgL_envz00_3657,
		obj_t BgL_oz00_3658, obj_t BgL_vz00_3659)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3658)))->BgL_stkz00) =
				((obj_t) BgL_vz00_3659), BUNSPEC);
		}

	}



/* &lambda1886 */
	obj_t BGl_z62lambda1886z62zz__evaluate_typesz00(obj_t BgL_envz00_3660,
		obj_t BgL_oz00_3661)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3661)))->BgL_stkz00);
		}

	}



/* &<@anonymous:1881> */
	obj_t BGl_z62zc3z04anonymousza31881ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3662)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}

	}



/* &lambda1880 */
	obj_t BGl_z62lambda1880z62zz__evaluate_typesz00(obj_t BgL_envz00_3663,
		obj_t BgL_oz00_3664, obj_t BgL_vz00_3665)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3664)))->BgL_envz00) =
				((obj_t) BgL_vz00_3665), BUNSPEC);
		}

	}



/* &lambda1879 */
	obj_t BGl_z62lambda1879z62zz__evaluate_typesz00(obj_t BgL_envz00_3666,
		obj_t BgL_oz00_3667)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3667)))->BgL_envz00);
		}

	}



/* &lambda1874 */
	obj_t BGl_z62lambda1874z62zz__evaluate_typesz00(obj_t BgL_envz00_3668,
		obj_t BgL_oz00_3669, obj_t BgL_vz00_3670)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3669)))->BgL_valsz00) =
				((obj_t) BgL_vz00_3670), BUNSPEC);
		}

	}



/* &lambda1873 */
	obj_t BGl_z62lambda1873z62zz__evaluate_typesz00(obj_t BgL_envz00_3671,
		obj_t BgL_oz00_3672)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3672)))->BgL_valsz00);
		}

	}



/* &lambda1868 */
	obj_t BGl_z62lambda1868z62zz__evaluate_typesz00(obj_t BgL_envz00_3673,
		obj_t BgL_oz00_3674, obj_t BgL_vz00_3675)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3674)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3675), BUNSPEC);
		}

	}



/* &lambda1867 */
	obj_t BGl_z62lambda1867z62zz__evaluate_typesz00(obj_t BgL_envz00_3676,
		obj_t BgL_oz00_3677)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3677)))->BgL_varsz00);
		}

	}



/* &<@anonymous:1849> */
	obj_t BGl_z62zc3z04anonymousza31849ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3678, obj_t BgL_new1156z00_3679)
	{
		{	/* Eval/evaluate_types.scm 105 */
			{
				BgL_ev_letrecz00_bglt BgL_auxz00_4954;

				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letrecz00_bglt) BgL_new1156z00_3679))))->
						BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt)
							COBJECT(((BgL_ev_binderz00_bglt) ((BgL_ev_letrecz00_bglt)
										BgL_new1156z00_3679))))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4961;

					{	/* Eval/evaluate_types.scm 105 */
						obj_t BgL_classz00_4088;

						BgL_classz00_4088 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 105 */
							obj_t BgL__ortest_1285z00_4089;

							BgL__ortest_1285z00_4089 = BGL_CLASS_NIL(BgL_classz00_4088);
							if (CBOOL(BgL__ortest_1285z00_4089))
								{	/* Eval/evaluate_types.scm 105 */
									BgL_auxz00_4961 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4089);
								}
							else
								{	/* Eval/evaluate_types.scm 105 */
									BgL_auxz00_4961 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4088));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_new1156z00_3679))))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4961), BUNSPEC);
				}
				BgL_auxz00_4954 = ((BgL_ev_letrecz00_bglt) BgL_new1156z00_3679);
				return ((obj_t) BgL_auxz00_4954);
			}
		}

	}



/* &lambda1847 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1847z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3680)
	{
		{	/* Eval/evaluate_types.scm 105 */
			{	/* Eval/evaluate_types.scm 105 */
				BgL_ev_letrecz00_bglt BgL_new1155z00_4090;

				BgL_new1155z00_4090 =
					((BgL_ev_letrecz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letrecz00_bgl))));
				{	/* Eval/evaluate_types.scm 105 */
					long BgL_arg1848z00_4091;

					{	/* Eval/evaluate_types.scm 105 */
						long BgL_res2386z00_4092;

						BgL_res2386z00_4092 =
							BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00);
						BgL_arg1848z00_4091 = BgL_res2386z00_4092;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1155z00_4090), BgL_arg1848z00_4091);
				}
				return BgL_new1155z00_4090;
			}
		}

	}



/* &lambda1845 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1845z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3681, obj_t BgL_vars1152z00_3682, obj_t BgL_vals1153z00_3683,
		obj_t BgL_body1154z00_3684)
	{
		{	/* Eval/evaluate_types.scm 105 */
			{	/* Eval/evaluate_types.scm 105 */
				BgL_ev_letrecz00_bglt BgL_new1237z00_4094;

				{	/* Eval/evaluate_types.scm 105 */
					BgL_ev_letrecz00_bglt BgL_new1236z00_4095;

					BgL_new1236z00_4095 =
						((BgL_ev_letrecz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letrecz00_bgl))));
					{	/* Eval/evaluate_types.scm 105 */
						long BgL_arg1846z00_4096;

						{	/* Eval/evaluate_types.scm 105 */
							long BgL_res2385z00_4097;

							BgL_res2385z00_4097 =
								BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00);
							BgL_arg1846z00_4096 = BgL_res2385z00_4097;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1236z00_4095), BgL_arg1846z00_4096);
					}
					BgL_new1237z00_4094 = BgL_new1236z00_4095;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1237z00_4094)))->BgL_varsz00) =
					((obj_t) BgL_vars1152z00_3682), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1237z00_4094)))->BgL_valsz00) =
					((obj_t) BgL_vals1153z00_3683), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1237z00_4094)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1154z00_3684)),
					BUNSPEC);
				return BgL_new1237z00_4094;
			}
		}

	}



/* &<@anonymous:1828> */
	obj_t BGl_z62zc3z04anonymousza31828ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3685, obj_t BgL_new1150z00_3686)
	{
		{	/* Eval/evaluate_types.scm 103 */
			{
				BgL_ev_letza2za2_bglt BgL_auxz00_4988;

				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letza2za2_bglt) BgL_new1150z00_3686))))->
						BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt)
							COBJECT(((BgL_ev_binderz00_bglt) ((BgL_ev_letza2za2_bglt)
										BgL_new1150z00_3686))))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4995;

					{	/* Eval/evaluate_types.scm 103 */
						obj_t BgL_classz00_4099;

						BgL_classz00_4099 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 103 */
							obj_t BgL__ortest_1285z00_4100;

							BgL__ortest_1285z00_4100 = BGL_CLASS_NIL(BgL_classz00_4099);
							if (CBOOL(BgL__ortest_1285z00_4100))
								{	/* Eval/evaluate_types.scm 103 */
									BgL_auxz00_4995 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4100);
								}
							else
								{	/* Eval/evaluate_types.scm 103 */
									BgL_auxz00_4995 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4099));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_new1150z00_3686))))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4995), BUNSPEC);
				}
				((((BgL_ev_letza2za2_bglt) COBJECT(
								((BgL_ev_letza2za2_bglt) BgL_new1150z00_3686)))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4988 = ((BgL_ev_letza2za2_bglt) BgL_new1150z00_3686);
				return ((obj_t) BgL_auxz00_4988);
			}
		}

	}



/* &lambda1826 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1826z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3687)
	{
		{	/* Eval/evaluate_types.scm 103 */
			{	/* Eval/evaluate_types.scm 103 */
				BgL_ev_letza2za2_bglt BgL_new1149z00_4101;

				BgL_new1149z00_4101 =
					((BgL_ev_letza2za2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letza2za2_bgl))));
				{	/* Eval/evaluate_types.scm 103 */
					long BgL_arg1827z00_4102;

					{	/* Eval/evaluate_types.scm 103 */
						long BgL_res2384z00_4103;

						BgL_res2384z00_4103 =
							BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00);
						BgL_arg1827z00_4102 = BgL_res2384z00_4103;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1149z00_4101), BgL_arg1827z00_4102);
				}
				return BgL_new1149z00_4101;
			}
		}

	}



/* &lambda1824 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1824z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3688, obj_t BgL_vars1145z00_3689, obj_t BgL_vals1146z00_3690,
		obj_t BgL_body1147z00_3691, obj_t BgL_boxes1148z00_3692)
	{
		{	/* Eval/evaluate_types.scm 103 */
			{	/* Eval/evaluate_types.scm 103 */
				BgL_ev_letza2za2_bglt BgL_new1235z00_4105;

				{	/* Eval/evaluate_types.scm 103 */
					BgL_ev_letza2za2_bglt BgL_new1234z00_4106;

					BgL_new1234z00_4106 =
						((BgL_ev_letza2za2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letza2za2_bgl))));
					{	/* Eval/evaluate_types.scm 103 */
						long BgL_arg1825z00_4107;

						{	/* Eval/evaluate_types.scm 103 */
							long BgL_res2383z00_4108;

							BgL_res2383z00_4108 =
								BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00);
							BgL_arg1825z00_4107 = BgL_res2383z00_4108;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1234z00_4106), BgL_arg1825z00_4107);
					}
					BgL_new1235z00_4105 = BgL_new1234z00_4106;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1235z00_4105)))->BgL_varsz00) =
					((obj_t) BgL_vars1145z00_3689), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1235z00_4105)))->BgL_valsz00) =
					((obj_t) BgL_vals1146z00_3690), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1235z00_4105)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1147z00_3691)),
					BUNSPEC);
				((((BgL_ev_letza2za2_bglt) COBJECT(BgL_new1235z00_4105))->
						BgL_boxesz00) = ((obj_t) BgL_boxes1148z00_3692), BUNSPEC);
				return BgL_new1235z00_4105;
			}
		}

	}



/* &<@anonymous:1837> */
	obj_t BGl_z62zc3z04anonymousza31837ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3693)
	{
		{	/* Eval/evaluate_types.scm 103 */
			return BNIL;
		}

	}



/* &lambda1836 */
	obj_t BGl_z62lambda1836z62zz__evaluate_typesz00(obj_t BgL_envz00_3694,
		obj_t BgL_oz00_3695, obj_t BgL_vz00_3696)
	{
		{	/* Eval/evaluate_types.scm 103 */
			return
				((((BgL_ev_letza2za2_bglt) COBJECT(
							((BgL_ev_letza2za2_bglt) BgL_oz00_3695)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3696), BUNSPEC);
		}

	}



/* &lambda1835 */
	obj_t BGl_z62lambda1835z62zz__evaluate_typesz00(obj_t BgL_envz00_3697,
		obj_t BgL_oz00_3698)
	{
		{	/* Eval/evaluate_types.scm 103 */
			return
				(((BgL_ev_letza2za2_bglt) COBJECT(
						((BgL_ev_letza2za2_bglt) BgL_oz00_3698)))->BgL_boxesz00);
		}

	}



/* &<@anonymous:1811> */
	obj_t BGl_z62zc3z04anonymousza31811ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3699, obj_t BgL_new1143z00_3700)
	{
		{	/* Eval/evaluate_types.scm 101 */
			{
				BgL_ev_letz00_bglt BgL_auxz00_5029;

				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letz00_bglt) BgL_new1143z00_3700))))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt)
							COBJECT(((BgL_ev_binderz00_bglt) ((BgL_ev_letz00_bglt)
										BgL_new1143z00_3700))))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5036;

					{	/* Eval/evaluate_types.scm 101 */
						obj_t BgL_classz00_4112;

						BgL_classz00_4112 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 101 */
							obj_t BgL__ortest_1285z00_4113;

							BgL__ortest_1285z00_4113 = BGL_CLASS_NIL(BgL_classz00_4112);
							if (CBOOL(BgL__ortest_1285z00_4113))
								{	/* Eval/evaluate_types.scm 101 */
									BgL_auxz00_5036 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4113);
								}
							else
								{	/* Eval/evaluate_types.scm 101 */
									BgL_auxz00_5036 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4112));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_new1143z00_3700))))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5036), BUNSPEC);
				}
				((((BgL_ev_letz00_bglt) COBJECT(
								((BgL_ev_letz00_bglt) BgL_new1143z00_3700)))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5029 = ((BgL_ev_letz00_bglt) BgL_new1143z00_3700);
				return ((obj_t) BgL_auxz00_5029);
			}
		}

	}



/* &lambda1809 */
	BgL_ev_letz00_bglt BGl_z62lambda1809z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3701)
	{
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_letz00_bglt BgL_new1142z00_4114;

				BgL_new1142z00_4114 =
					((BgL_ev_letz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letz00_bgl))));
				{	/* Eval/evaluate_types.scm 101 */
					long BgL_arg1810z00_4115;

					{	/* Eval/evaluate_types.scm 101 */
						long BgL_res2382z00_4116;

						BgL_res2382z00_4116 =
							BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00);
						BgL_arg1810z00_4115 = BgL_res2382z00_4116;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1142z00_4114), BgL_arg1810z00_4115);
				}
				return BgL_new1142z00_4114;
			}
		}

	}



/* &lambda1804 */
	BgL_ev_letz00_bglt BGl_z62lambda1804z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3702, obj_t BgL_vars1138z00_3703, obj_t BgL_vals1139z00_3704,
		obj_t BgL_body1140z00_3705, obj_t BgL_boxes1141z00_3706)
	{
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_letz00_bglt BgL_new1233z00_4118;

				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_letz00_bglt BgL_new1232z00_4119;

					BgL_new1232z00_4119 =
						((BgL_ev_letz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letz00_bgl))));
					{	/* Eval/evaluate_types.scm 101 */
						long BgL_arg1808z00_4120;

						{	/* Eval/evaluate_types.scm 101 */
							long BgL_res2381z00_4121;

							BgL_res2381z00_4121 =
								BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00);
							BgL_arg1808z00_4120 = BgL_res2381z00_4121;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1232z00_4119), BgL_arg1808z00_4120);
					}
					BgL_new1233z00_4118 = BgL_new1232z00_4119;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1233z00_4118)))->BgL_varsz00) =
					((obj_t) BgL_vars1138z00_3703), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1233z00_4118)))->BgL_valsz00) =
					((obj_t) BgL_vals1139z00_3704), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1233z00_4118)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1140z00_3705)),
					BUNSPEC);
				((((BgL_ev_letz00_bglt) COBJECT(BgL_new1233z00_4118))->BgL_boxesz00) =
					((obj_t) BgL_boxes1141z00_3706), BUNSPEC);
				return BgL_new1233z00_4118;
			}
		}

	}



/* &<@anonymous:1818> */
	obj_t BGl_z62zc3z04anonymousza31818ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3707)
	{
		{	/* Eval/evaluate_types.scm 101 */
			return BNIL;
		}

	}



/* &lambda1817 */
	obj_t BGl_z62lambda1817z62zz__evaluate_typesz00(obj_t BgL_envz00_3708,
		obj_t BgL_oz00_3709, obj_t BgL_vz00_3710)
	{
		{	/* Eval/evaluate_types.scm 101 */
			return
				((((BgL_ev_letz00_bglt) COBJECT(
							((BgL_ev_letz00_bglt) BgL_oz00_3709)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3710), BUNSPEC);
		}

	}



/* &lambda1816 */
	obj_t BGl_z62lambda1816z62zz__evaluate_typesz00(obj_t BgL_envz00_3711,
		obj_t BgL_oz00_3712)
	{
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_letz00_bglt) COBJECT(
						((BgL_ev_letz00_bglt) BgL_oz00_3712)))->BgL_boxesz00);
		}

	}



/* &<@anonymous:1781> */
	obj_t BGl_z62zc3z04anonymousza31781ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3713, obj_t BgL_new1136z00_3714)
	{
		{	/* Eval/evaluate_types.scm 97 */
			{
				BgL_ev_binderz00_bglt BgL_auxz00_5070;

				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1136z00_3714)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1136z00_3714)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5075;

					{	/* Eval/evaluate_types.scm 97 */
						obj_t BgL_classz00_4125;

						BgL_classz00_4125 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 97 */
							obj_t BgL__ortest_1285z00_4126;

							BgL__ortest_1285z00_4126 = BGL_CLASS_NIL(BgL_classz00_4125);
							if (CBOOL(BgL__ortest_1285z00_4126))
								{	/* Eval/evaluate_types.scm 97 */
									BgL_auxz00_5075 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4126);
								}
							else
								{	/* Eval/evaluate_types.scm 97 */
									BgL_auxz00_5075 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4125));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt) BgL_new1136z00_3714)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5075), BUNSPEC);
				}
				BgL_auxz00_5070 = ((BgL_ev_binderz00_bglt) BgL_new1136z00_3714);
				return ((obj_t) BgL_auxz00_5070);
			}
		}

	}



/* &lambda1778 */
	BgL_ev_binderz00_bglt BGl_z62lambda1778z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3715)
	{
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_binderz00_bglt BgL_new1135z00_4127;

				BgL_new1135z00_4127 =
					((BgL_ev_binderz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_binderz00_bgl))));
				{	/* Eval/evaluate_types.scm 97 */
					long BgL_arg1780z00_4128;

					{	/* Eval/evaluate_types.scm 97 */
						long BgL_res2380z00_4129;

						BgL_res2380z00_4129 =
							BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00);
						BgL_arg1780z00_4128 = BgL_res2380z00_4129;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1135z00_4127), BgL_arg1780z00_4128);
				}
				return BgL_new1135z00_4127;
			}
		}

	}



/* &lambda1776 */
	BgL_ev_binderz00_bglt BGl_z62lambda1776z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3716, obj_t BgL_vars1132z00_3717, obj_t BgL_vals1133z00_3718,
		obj_t BgL_body1134z00_3719)
	{
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_binderz00_bglt BgL_new1231z00_4131;

				{	/* Eval/evaluate_types.scm 97 */
					BgL_ev_binderz00_bglt BgL_new1230z00_4132;

					BgL_new1230z00_4132 =
						((BgL_ev_binderz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_binderz00_bgl))));
					{	/* Eval/evaluate_types.scm 97 */
						long BgL_arg1777z00_4133;

						{	/* Eval/evaluate_types.scm 97 */
							long BgL_res2379z00_4134;

							BgL_res2379z00_4134 =
								BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00);
							BgL_arg1777z00_4133 = BgL_res2379z00_4134;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1230z00_4132), BgL_arg1777z00_4133);
					}
					BgL_new1231z00_4131 = BgL_new1230z00_4132;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1231z00_4131))->BgL_varsz00) =
					((obj_t) BgL_vars1132z00_3717), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1231z00_4131))->BgL_valsz00) =
					((obj_t) BgL_vals1133z00_3718), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1231z00_4131))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1134z00_3719)),
					BUNSPEC);
				return BgL_new1231z00_4131;
			}
		}

	}



/* &lambda1796 */
	obj_t BGl_z62lambda1796z62zz__evaluate_typesz00(obj_t BgL_envz00_3720,
		obj_t BgL_oz00_3721, obj_t BgL_vz00_3722)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3721)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3722)), BUNSPEC);
		}

	}



/* &lambda1795 */
	BgL_ev_exprz00_bglt BGl_z62lambda1795z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3723, obj_t BgL_oz00_3724)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3724)))->BgL_bodyz00);
		}

	}



/* &lambda1791 */
	obj_t BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t BgL_envz00_3725,
		obj_t BgL_oz00_3726, obj_t BgL_vz00_3727)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3726)))->BgL_valsz00) =
				((obj_t) BgL_vz00_3727), BUNSPEC);
		}

	}



/* &lambda1790 */
	obj_t BGl_z62lambda1790z62zz__evaluate_typesz00(obj_t BgL_envz00_3728,
		obj_t BgL_oz00_3729)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3729)))->BgL_valsz00);
		}

	}



/* &lambda1786 */
	obj_t BGl_z62lambda1786z62zz__evaluate_typesz00(obj_t BgL_envz00_3730,
		obj_t BgL_oz00_3731, obj_t BgL_vz00_3732)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3731)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3732), BUNSPEC);
		}

	}



/* &lambda1785 */
	obj_t BGl_z62lambda1785z62zz__evaluate_typesz00(obj_t BgL_envz00_3733,
		obj_t BgL_oz00_3734)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3734)))->BgL_varsz00);
		}

	}



/* &<@anonymous:1747> */
	obj_t BGl_z62zc3z04anonymousza31747ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3735, obj_t BgL_new1130z00_3736)
	{
		{	/* Eval/evaluate_types.scm 92 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_auxz00_5111;

				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
								((BgL_ev_synchroniza7eza7_bglt) BgL_new1130z00_3736)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5114;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_4143;

						BgL_classz00_4143 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1285z00_4144;

							BgL__ortest_1285z00_4144 = BGL_CLASS_NIL(BgL_classz00_4143);
							if (CBOOL(BgL__ortest_1285z00_4144))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5114 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4144);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5114 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4143));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_new1130z00_3736)))->
							BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5114), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5123;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_4145;

						BgL_classz00_4145 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1285z00_4146;

							BgL__ortest_1285z00_4146 = BGL_CLASS_NIL(BgL_classz00_4145);
							if (CBOOL(BgL__ortest_1285z00_4146))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5123 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4146);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5123 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4145));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_new1130z00_3736)))->
							BgL_prelockz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5123), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5132;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_4147;

						BgL_classz00_4147 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1285z00_4148;

							BgL__ortest_1285z00_4148 = BGL_CLASS_NIL(BgL_classz00_4147);
							if (CBOOL(BgL__ortest_1285z00_4148))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5132 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4148);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5132 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4147));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_new1130z00_3736)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5132), BUNSPEC);
				}
				BgL_auxz00_5111 = ((BgL_ev_synchroniza7eza7_bglt) BgL_new1130z00_3736);
				return ((obj_t) BgL_auxz00_5111);
			}
		}

	}



/* &lambda1745 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1745z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3737)
	{
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_new1129z00_4149;

				BgL_new1129z00_4149 =
					((BgL_ev_synchroniza7eza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_synchroniza7eza7_bgl))));
				{	/* Eval/evaluate_types.scm 92 */
					long BgL_arg1746z00_4150;

					{	/* Eval/evaluate_types.scm 92 */
						long BgL_res2378z00_4151;

						BgL_res2378z00_4151 =
							BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
						BgL_arg1746z00_4150 = BgL_res2378z00_4151;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1129z00_4149), BgL_arg1746z00_4150);
				}
				return BgL_new1129z00_4149;
			}
		}

	}



/* &lambda1743 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1743z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3738, obj_t BgL_loc1124z00_3739, obj_t BgL_mutex1125z00_3740,
		obj_t BgL_prelock1126z00_3741, obj_t BgL_body1127z00_3742)
	{
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_new1229z00_4155;

				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_synchroniza7eza7_bglt BgL_new1228z00_4156;

					BgL_new1228z00_4156 =
						((BgL_ev_synchroniza7eza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_synchroniza7eza7_bgl))));
					{	/* Eval/evaluate_types.scm 92 */
						long BgL_arg1744z00_4157;

						{	/* Eval/evaluate_types.scm 92 */
							long BgL_res2377z00_4158;

							BgL_res2377z00_4158 =
								BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
							BgL_arg1744z00_4157 = BgL_res2377z00_4158;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1228z00_4156), BgL_arg1744z00_4157);
					}
					BgL_new1229z00_4155 = BgL_new1228z00_4156;
				}
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1229z00_4155))->
						BgL_locz00) = ((obj_t) BgL_loc1124z00_3739), BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1229z00_4155))->
						BgL_mutexz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_mutex1125z00_3740)),
					BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1229z00_4155))->
						BgL_prelockz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BgL_prelock1126z00_3741)), BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1229z00_4155))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1127z00_3742)),
					BUNSPEC);
				return BgL_new1229z00_4155;
			}
		}

	}



/* &lambda1767 */
	obj_t BGl_z62lambda1767z62zz__evaluate_typesz00(obj_t BgL_envz00_3743,
		obj_t BgL_oz00_3744, obj_t BgL_vz00_3745)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3744)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3745)), BUNSPEC);
		}

	}



/* &lambda1766 */
	BgL_ev_exprz00_bglt BGl_z62lambda1766z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3746, obj_t BgL_oz00_3747)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3747)))->BgL_bodyz00);
		}

	}



/* &lambda1762 */
	obj_t BGl_z62lambda1762z62zz__evaluate_typesz00(obj_t BgL_envz00_3748,
		obj_t BgL_oz00_3749, obj_t BgL_vz00_3750)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3749)))->
					BgL_prelockz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3750)), BUNSPEC);
		}

	}



/* &lambda1761 */
	BgL_ev_exprz00_bglt BGl_z62lambda1761z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3751, obj_t BgL_oz00_3752)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3752)))->BgL_prelockz00);
		}

	}



/* &lambda1757 */
	obj_t BGl_z62lambda1757z62zz__evaluate_typesz00(obj_t BgL_envz00_3753,
		obj_t BgL_oz00_3754, obj_t BgL_vz00_3755)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3754)))->BgL_mutexz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3755)), BUNSPEC);
		}

	}



/* &lambda1756 */
	BgL_ev_exprz00_bglt BGl_z62lambda1756z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3756, obj_t BgL_oz00_3757)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3757)))->BgL_mutexz00);
		}

	}



/* &lambda1752 */
	obj_t BGl_z62lambda1752z62zz__evaluate_typesz00(obj_t BgL_envz00_3758,
		obj_t BgL_oz00_3759, obj_t BgL_vz00_3760)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3759)))->BgL_locz00) =
				((obj_t) BgL_vz00_3760), BUNSPEC);
		}

	}



/* &lambda1751 */
	obj_t BGl_z62lambda1751z62zz__evaluate_typesz00(obj_t BgL_envz00_3761,
		obj_t BgL_oz00_3762)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3762)))->BgL_locz00);
		}

	}



/* &<@anonymous:1726> */
	obj_t BGl_z62zc3z04anonymousza31726ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3763, obj_t BgL_new1122z00_3764)
	{
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_5177;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5178;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_classz00_4171;

						BgL_classz00_4171 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL__ortest_1285z00_4172;

							BgL__ortest_1285z00_4172 = BGL_CLASS_NIL(BgL_classz00_4171);
							if (CBOOL(BgL__ortest_1285z00_4172))
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_5178 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4172);
								}
							else
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_5178 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4171));
								}
						}
					}
					((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_new1122z00_3764)))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5178), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5187;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_classz00_4173;

						BgL_classz00_4173 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL__ortest_1285z00_4174;

							BgL__ortest_1285z00_4174 = BGL_CLASS_NIL(BgL_classz00_4173);
							if (CBOOL(BgL__ortest_1285z00_4174))
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_5187 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4174);
								}
							else
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_5187 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4173));
								}
						}
					}
					((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_new1122z00_3764)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5187), BUNSPEC);
				}
				BgL_auxz00_5177 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_new1122z00_3764);
				return ((obj_t) BgL_auxz00_5177);
			}
		}

	}



/* &lambda1724 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1724z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3765)
	{
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new1121z00_4175;

				BgL_new1121z00_4175 =
					((BgL_ev_withzd2handlerzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_withzd2handlerzd2_bgl))));
				{	/* Eval/evaluate_types.scm 89 */
					long BgL_arg1725z00_4176;

					{	/* Eval/evaluate_types.scm 89 */
						long BgL_res2376z00_4177;

						BgL_res2376z00_4177 =
							BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
						BgL_arg1725z00_4176 = BgL_res2376z00_4177;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1121z00_4175), BgL_arg1725z00_4176);
				}
				return BgL_new1121z00_4175;
			}
		}

	}



/* &lambda1722 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1722z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3766, obj_t BgL_handler1119z00_3767, obj_t BgL_body1120z00_3768)
	{
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new1227z00_4180;

				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1226z00_4181;

					BgL_new1226z00_4181 =
						((BgL_ev_withzd2handlerzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_withzd2handlerzd2_bgl))));
					{	/* Eval/evaluate_types.scm 89 */
						long BgL_arg1723z00_4182;

						{	/* Eval/evaluate_types.scm 89 */
							long BgL_res2375z00_4183;

							BgL_res2375z00_4183 =
								BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
							BgL_arg1723z00_4182 = BgL_res2375z00_4183;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1226z00_4181), BgL_arg1723z00_4182);
					}
					BgL_new1227z00_4180 = BgL_new1226z00_4181;
				}
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1227z00_4180))->
						BgL_handlerz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BgL_handler1119z00_3767)), BUNSPEC);
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1227z00_4180))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1120z00_3768)),
					BUNSPEC);
				return BgL_new1227z00_4180;
			}
		}

	}



/* &lambda1736 */
	obj_t BGl_z62lambda1736z62zz__evaluate_typesz00(obj_t BgL_envz00_3769,
		obj_t BgL_oz00_3770, obj_t BgL_vz00_3771)
	{
		{	/* Eval/evaluate_types.scm 89 */
			return
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
							((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3770)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3771)), BUNSPEC);
		}

	}



/* &lambda1735 */
	BgL_ev_exprz00_bglt BGl_z62lambda1735z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3772, obj_t BgL_oz00_3773)
	{
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3773)))->BgL_bodyz00);
		}

	}



/* &lambda1731 */
	obj_t BGl_z62lambda1731z62zz__evaluate_typesz00(obj_t BgL_envz00_3774,
		obj_t BgL_oz00_3775, obj_t BgL_vz00_3776)
	{
		{	/* Eval/evaluate_types.scm 89 */
			return
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
							((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3775)))->
					BgL_handlerz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3776)), BUNSPEC);
		}

	}



/* &lambda1730 */
	BgL_ev_exprz00_bglt BGl_z62lambda1730z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3777, obj_t BgL_oz00_3778)
	{
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3778)))->BgL_handlerz00);
		}

	}



/* &<@anonymous:1706> */
	obj_t BGl_z62zc3z04anonymousza31706ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3779, obj_t BgL_new1117z00_3780)
	{
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5220;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5221;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_classz00_4191;

						BgL_classz00_4191 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL__ortest_1285z00_4192;

							BgL__ortest_1285z00_4192 = BGL_CLASS_NIL(BgL_classz00_4191);
							if (CBOOL(BgL__ortest_1285z00_4192))
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_5221 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4192);
								}
							else
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_5221 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4191));
								}
						}
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1117z00_3780)))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5221), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5230;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_classz00_4193;

						BgL_classz00_4193 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL__ortest_1285z00_4194;

							BgL__ortest_1285z00_4194 = BGL_CLASS_NIL(BgL_classz00_4193);
							if (CBOOL(BgL__ortest_1285z00_4194))
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_5230 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4194);
								}
							else
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_5230 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4193));
								}
						}
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1117z00_3780)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5230), BUNSPEC);
				}
				BgL_auxz00_5220 =
					((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1117z00_3780);
				return ((obj_t) BgL_auxz00_5220);
			}
		}

	}



/* &lambda1704 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1704z62zz__evaluate_typesz00(obj_t BgL_envz00_3781)
	{
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1116z00_4195;

				BgL_new1116z00_4195 =
					((BgL_ev_unwindzd2protectzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_unwindzd2protectzd2_bgl))));
				{	/* Eval/evaluate_types.scm 86 */
					long BgL_arg1705z00_4196;

					{	/* Eval/evaluate_types.scm 86 */
						long BgL_res2374z00_4197;

						BgL_res2374z00_4197 =
							BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
						BgL_arg1705z00_4196 = BgL_res2374z00_4197;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1116z00_4195), BgL_arg1705z00_4196);
				}
				return BgL_new1116z00_4195;
			}
		}

	}



/* &lambda1702 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1702z62zz__evaluate_typesz00(obj_t BgL_envz00_3782,
		obj_t BgL_e1114z00_3783, obj_t BgL_body1115z00_3784)
	{
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1225z00_4200;

				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1224z00_4201;

					BgL_new1224z00_4201 =
						((BgL_ev_unwindzd2protectzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_unwindzd2protectzd2_bgl))));
					{	/* Eval/evaluate_types.scm 86 */
						long BgL_arg1703z00_4202;

						{	/* Eval/evaluate_types.scm 86 */
							long BgL_res2373z00_4203;

							BgL_res2373z00_4203 =
								BGL_CLASS_INDEX
								(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
							BgL_arg1703z00_4202 = BgL_res2373z00_4203;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1224z00_4201), BgL_arg1703z00_4202);
					}
					BgL_new1225z00_4200 = BgL_new1224z00_4201;
				}
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1225z00_4200))->
						BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1114z00_3783)),
					BUNSPEC);
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1225z00_4200))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1115z00_3784)),
					BUNSPEC);
				return BgL_new1225z00_4200;
			}
		}

	}



/* &lambda1716 */
	obj_t BGl_z62lambda1716z62zz__evaluate_typesz00(obj_t BgL_envz00_3785,
		obj_t BgL_oz00_3786, obj_t BgL_vz00_3787)
	{
		{	/* Eval/evaluate_types.scm 86 */
			return
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3786)))->
					BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3787)), BUNSPEC);
		}

	}



/* &lambda1715 */
	BgL_ev_exprz00_bglt BGl_z62lambda1715z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3788, obj_t BgL_oz00_3789)
	{
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3789)))->BgL_bodyz00);
		}

	}



/* &lambda1711 */
	obj_t BGl_z62lambda1711z62zz__evaluate_typesz00(obj_t BgL_envz00_3790,
		obj_t BgL_oz00_3791, obj_t BgL_vz00_3792)
	{
		{	/* Eval/evaluate_types.scm 86 */
			return
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3791)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3792)), BUNSPEC);
		}

	}



/* &lambda1710 */
	BgL_ev_exprz00_bglt BGl_z62lambda1710z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3793, obj_t BgL_oz00_3794)
	{
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3794)))->BgL_ez00);
		}

	}



/* &<@anonymous:1684> */
	obj_t BGl_z62zc3z04anonymousza31684ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3795, obj_t BgL_new1112z00_3796)
	{
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5263;

				{
					BgL_ev_varz00_bglt BgL_auxz00_5264;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_classz00_4211;

						BgL_classz00_4211 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL__ortest_1285z00_4212;

							BgL__ortest_1285z00_4212 = BGL_CLASS_NIL(BgL_classz00_4211);
							if (CBOOL(BgL__ortest_1285z00_4212))
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_5264 =
										((BgL_ev_varz00_bglt) BgL__ortest_1285z00_4212);
								}
							else
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_5264 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4211));
								}
						}
					}
					((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_new1112z00_3796)))->
							BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_auxz00_5264), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5273;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_classz00_4213;

						BgL_classz00_4213 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL__ortest_1285z00_4214;

							BgL__ortest_1285z00_4214 = BGL_CLASS_NIL(BgL_classz00_4213);
							if (CBOOL(BgL__ortest_1285z00_4214))
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_5273 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4214);
								}
							else
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_5273 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4213));
								}
						}
					}
					((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_new1112z00_3796)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5273), BUNSPEC);
				}
				BgL_auxz00_5263 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_new1112z00_3796);
				return ((obj_t) BgL_auxz00_5263);
			}
		}

	}



/* &lambda1682 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1682z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3797)
	{
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new1111z00_4215;

				BgL_new1111z00_4215 =
					((BgL_ev_bindzd2exitzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_bindzd2exitzd2_bgl))));
				{	/* Eval/evaluate_types.scm 83 */
					long BgL_arg1683z00_4216;

					{	/* Eval/evaluate_types.scm 83 */
						long BgL_res2372z00_4217;

						BgL_res2372z00_4217 =
							BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
						BgL_arg1683z00_4216 = BgL_res2372z00_4217;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1111z00_4215), BgL_arg1683z00_4216);
				}
				return BgL_new1111z00_4215;
			}
		}

	}



/* &lambda1680 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1680z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3798, obj_t BgL_var1109z00_3799, obj_t BgL_body1110z00_3800)
	{
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new1223z00_4220;

				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1222z00_4221;

					BgL_new1222z00_4221 =
						((BgL_ev_bindzd2exitzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_bindzd2exitzd2_bgl))));
					{	/* Eval/evaluate_types.scm 83 */
						long BgL_arg1681z00_4222;

						{	/* Eval/evaluate_types.scm 83 */
							long BgL_res2371z00_4223;

							BgL_res2371z00_4223 =
								BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
							BgL_arg1681z00_4222 = BgL_res2371z00_4223;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1222z00_4221), BgL_arg1681z00_4222);
					}
					BgL_new1223z00_4220 = BgL_new1222z00_4221;
				}
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1223z00_4220))->
						BgL_varz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_var1109z00_3799)),
					BUNSPEC);
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1223z00_4220))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1110z00_3800)),
					BUNSPEC);
				return BgL_new1223z00_4220;
			}
		}

	}



/* &lambda1696 */
	obj_t BGl_z62lambda1696z62zz__evaluate_typesz00(obj_t BgL_envz00_3801,
		obj_t BgL_oz00_3802, obj_t BgL_vz00_3803)
	{
		{	/* Eval/evaluate_types.scm 83 */
			return
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3802)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3803)), BUNSPEC);
		}

	}



/* &lambda1695 */
	BgL_ev_exprz00_bglt BGl_z62lambda1695z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3804, obj_t BgL_oz00_3805)
	{
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3805)))->BgL_bodyz00);
		}

	}



/* &lambda1691 */
	obj_t BGl_z62lambda1691z62zz__evaluate_typesz00(obj_t BgL_envz00_3806,
		obj_t BgL_oz00_3807, obj_t BgL_vz00_3808)
	{
		{	/* Eval/evaluate_types.scm 83 */
			return
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3807)))->BgL_varz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3808)), BUNSPEC);
		}

	}



/* &lambda1690 */
	BgL_ev_varz00_bglt BGl_z62lambda1690z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3809, obj_t BgL_oz00_3810)
	{
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3810)))->BgL_varz00);
		}

	}



/* &<@anonymous:1673> */
	obj_t BGl_z62zc3z04anonymousza31673ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3811, obj_t BgL_new1107z00_3812)
	{
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_defglobalz00_bglt BgL_auxz00_5306;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5307;

					{	/* Eval/evaluate_types.scm 82 */
						obj_t BgL_classz00_4231;

						BgL_classz00_4231 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 82 */
							obj_t BgL__ortest_1285z00_4232;

							BgL__ortest_1285z00_4232 = BGL_CLASS_NIL(BgL_classz00_4231);
							if (CBOOL(BgL__ortest_1285z00_4232))
								{	/* Eval/evaluate_types.scm 82 */
									BgL_auxz00_5307 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4232);
								}
							else
								{	/* Eval/evaluate_types.scm 82 */
									BgL_auxz00_5307 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4231));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_defglobalz00_bglt) BgL_new1107z00_3812))))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5307), BUNSPEC);
				}
				((((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt)
									((BgL_ev_defglobalz00_bglt) BgL_new1107z00_3812))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt)
							COBJECT(((BgL_ev_setglobalz00_bglt) ((BgL_ev_defglobalz00_bglt)
										BgL_new1107z00_3812))))->BgL_namez00) =
					((obj_t) BGl_symbol2774z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt)
							COBJECT(((BgL_ev_setglobalz00_bglt) ((BgL_ev_defglobalz00_bglt)
										BgL_new1107z00_3812))))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5306 = ((BgL_ev_defglobalz00_bglt) BgL_new1107z00_3812);
				return ((obj_t) BgL_auxz00_5306);
			}
		}

	}



/* &lambda1671 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1671z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3813)
	{
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				BgL_ev_defglobalz00_bglt BgL_new1106z00_4233;

				BgL_new1106z00_4233 =
					((BgL_ev_defglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_defglobalz00_bgl))));
				{	/* Eval/evaluate_types.scm 82 */
					long BgL_arg1672z00_4234;

					{	/* Eval/evaluate_types.scm 82 */
						long BgL_res2370z00_4235;

						BgL_res2370z00_4235 =
							BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00);
						BgL_arg1672z00_4234 = BgL_res2370z00_4235;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1106z00_4233), BgL_arg1672z00_4234);
				}
				return BgL_new1106z00_4233;
			}
		}

	}



/* &lambda1669 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1669z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3814, obj_t BgL_e1102z00_3815, obj_t BgL_loc1103z00_3816,
		obj_t BgL_name1104z00_3817, obj_t BgL_mod1105z00_3818)
	{
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				BgL_ev_defglobalz00_bglt BgL_new1221z00_4238;

				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_new1220z00_4239;

					BgL_new1220z00_4239 =
						((BgL_ev_defglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_defglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 82 */
						long BgL_arg1670z00_4240;

						{	/* Eval/evaluate_types.scm 82 */
							long BgL_res2369z00_4241;

							BgL_res2369z00_4241 =
								BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00);
							BgL_arg1670z00_4240 = BgL_res2369z00_4241;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1220z00_4239), BgL_arg1670z00_4240);
					}
					BgL_new1221z00_4238 = BgL_new1220z00_4239;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1221z00_4238)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1102z00_3815)),
					BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1221z00_4238)))->BgL_locz00) =
					((obj_t) BgL_loc1103z00_3816), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1221z00_4238)))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1104z00_3817)), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1221z00_4238)))->BgL_modz00) =
					((obj_t) BgL_mod1105z00_3818), BUNSPEC);
				return BgL_new1221z00_4238;
			}
		}

	}



/* &<@anonymous:1647> */
	obj_t BGl_z62zc3z04anonymousza31647ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3819, obj_t BgL_new1100z00_3820)
	{
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_setglobalz00_bglt BgL_auxz00_5346;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5347;

					{	/* Eval/evaluate_types.scm 78 */
						obj_t BgL_classz00_4243;

						BgL_classz00_4243 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 78 */
							obj_t BgL__ortest_1285z00_4244;

							BgL__ortest_1285z00_4244 = BGL_CLASS_NIL(BgL_classz00_4243);
							if (CBOOL(BgL__ortest_1285z00_4244))
								{	/* Eval/evaluate_types.scm 78 */
									BgL_auxz00_5347 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4244);
								}
							else
								{	/* Eval/evaluate_types.scm 78 */
									BgL_auxz00_5347 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4243));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_setglobalz00_bglt) BgL_new1100z00_3820))))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5347), BUNSPEC);
				}
				((((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_new1100z00_3820)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1100z00_3820)))->BgL_namez00) =
					((obj_t) BGl_symbol2774z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1100z00_3820)))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5346 = ((BgL_ev_setglobalz00_bglt) BgL_new1100z00_3820);
				return ((obj_t) BgL_auxz00_5346);
			}
		}

	}



/* &lambda1645 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1645z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3821)
	{
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_new1099z00_4245;

				BgL_new1099z00_4245 =
					((BgL_ev_setglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_setglobalz00_bgl))));
				{	/* Eval/evaluate_types.scm 78 */
					long BgL_arg1646z00_4246;

					{	/* Eval/evaluate_types.scm 78 */
						long BgL_res2368z00_4247;

						BgL_res2368z00_4247 =
							BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00);
						BgL_arg1646z00_4246 = BgL_res2368z00_4247;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1099z00_4245), BgL_arg1646z00_4246);
				}
				return BgL_new1099z00_4245;
			}
		}

	}



/* &lambda1643 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3822, obj_t BgL_e1095z00_3823, obj_t BgL_loc1096z00_3824,
		obj_t BgL_name1097z00_3825, obj_t BgL_mod1098z00_3826)
	{
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_new1219z00_4250;

				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_new1218z00_4251;

					BgL_new1218z00_4251 =
						((BgL_ev_setglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_setglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 78 */
						long BgL_arg1644z00_4252;

						{	/* Eval/evaluate_types.scm 78 */
							long BgL_res2367z00_4253;

							BgL_res2367z00_4253 =
								BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00);
							BgL_arg1644z00_4252 = BgL_res2367z00_4253;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1218z00_4251), BgL_arg1644z00_4252);
					}
					BgL_new1219z00_4250 = BgL_new1218z00_4251;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1219z00_4250)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1095z00_3823)),
					BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1219z00_4250))->
						BgL_locz00) = ((obj_t) BgL_loc1096z00_3824), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1219z00_4250))->
						BgL_namez00) = ((obj_t) ((obj_t) BgL_name1097z00_3825)), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1219z00_4250))->
						BgL_modz00) = ((obj_t) BgL_mod1098z00_3826), BUNSPEC);
				return BgL_new1219z00_4250;
			}
		}

	}



/* &lambda1663 */
	obj_t BGl_z62lambda1663z62zz__evaluate_typesz00(obj_t BgL_envz00_3827,
		obj_t BgL_oz00_3828, obj_t BgL_vz00_3829)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3828)))->BgL_modz00) =
				((obj_t) BgL_vz00_3829), BUNSPEC);
		}

	}



/* &lambda1662 */
	obj_t BGl_z62lambda1662z62zz__evaluate_typesz00(obj_t BgL_envz00_3830,
		obj_t BgL_oz00_3831)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3831)))->BgL_modz00);
		}

	}



/* &lambda1658 */
	obj_t BGl_z62lambda1658z62zz__evaluate_typesz00(obj_t BgL_envz00_3832,
		obj_t BgL_oz00_3833, obj_t BgL_vz00_3834)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3833)))->BgL_namez00) =
				((obj_t) ((obj_t) BgL_vz00_3834)), BUNSPEC);
		}

	}



/* &lambda1657 */
	obj_t BGl_z62lambda1657z62zz__evaluate_typesz00(obj_t BgL_envz00_3835,
		obj_t BgL_oz00_3836)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3836)))->BgL_namez00);
		}

	}



/* &lambda1653 */
	obj_t BGl_z62lambda1653z62zz__evaluate_typesz00(obj_t BgL_envz00_3837,
		obj_t BgL_oz00_3838, obj_t BgL_vz00_3839)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3838)))->BgL_locz00) =
				((obj_t) BgL_vz00_3839), BUNSPEC);
		}

	}



/* &lambda1652 */
	obj_t BGl_z62lambda1652z62zz__evaluate_typesz00(obj_t BgL_envz00_3840,
		obj_t BgL_oz00_3841)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3841)))->BgL_locz00);
		}

	}



/* &<@anonymous:1627> */
	obj_t BGl_z62zc3z04anonymousza31627ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3842, obj_t BgL_new1093z00_3843)
	{
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_auxz00_5393;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5394;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_classz00_4262;

						BgL_classz00_4262 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL__ortest_1285z00_4263;

							BgL__ortest_1285z00_4263 = BGL_CLASS_NIL(BgL_classz00_4262);
							if (CBOOL(BgL__ortest_1285z00_4263))
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_5394 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4263);
								}
							else
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_5394 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4262));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_setlocalz00_bglt) BgL_new1093z00_3843))))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5394), BUNSPEC);
				}
				{
					BgL_ev_varz00_bglt BgL_auxz00_5404;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_classz00_4264;

						BgL_classz00_4264 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL__ortest_1285z00_4265;

							BgL__ortest_1285z00_4265 = BGL_CLASS_NIL(BgL_classz00_4264);
							if (CBOOL(BgL__ortest_1285z00_4265))
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_5404 =
										((BgL_ev_varz00_bglt) BgL__ortest_1285z00_4265);
								}
							else
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_5404 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4264));
								}
						}
					}
					((((BgL_ev_setlocalz00_bglt) COBJECT(
									((BgL_ev_setlocalz00_bglt) BgL_new1093z00_3843)))->BgL_vz00) =
						((BgL_ev_varz00_bglt) BgL_auxz00_5404), BUNSPEC);
				}
				BgL_auxz00_5393 = ((BgL_ev_setlocalz00_bglt) BgL_new1093z00_3843);
				return ((obj_t) BgL_auxz00_5393);
			}
		}

	}



/* &lambda1622 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1622z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3844)
	{
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_new1092z00_4266;

				BgL_new1092z00_4266 =
					((BgL_ev_setlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_setlocalz00_bgl))));
				{	/* Eval/evaluate_types.scm 76 */
					long BgL_arg1626z00_4267;

					{	/* Eval/evaluate_types.scm 76 */
						long BgL_res2366z00_4268;

						BgL_res2366z00_4268 =
							BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00);
						BgL_arg1626z00_4267 = BgL_res2366z00_4268;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1092z00_4266), BgL_arg1626z00_4267);
				}
				return BgL_new1092z00_4266;
			}
		}

	}



/* &lambda1616 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1616z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3845, obj_t BgL_e1090z00_3846, obj_t BgL_v1091z00_3847)
	{
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_new1217z00_4271;

				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_new1216z00_4272;

					BgL_new1216z00_4272 =
						((BgL_ev_setlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_setlocalz00_bgl))));
					{	/* Eval/evaluate_types.scm 76 */
						long BgL_arg1621z00_4273;

						{	/* Eval/evaluate_types.scm 76 */
							long BgL_res2365z00_4274;

							BgL_res2365z00_4274 =
								BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00);
							BgL_arg1621z00_4273 = BgL_res2365z00_4274;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1216z00_4272), BgL_arg1621z00_4273);
					}
					BgL_new1217z00_4271 = BgL_new1216z00_4272;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1217z00_4271)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1090z00_3846)),
					BUNSPEC);
				((((BgL_ev_setlocalz00_bglt) COBJECT(BgL_new1217z00_4271))->BgL_vz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_v1091z00_3847)),
					BUNSPEC);
				return BgL_new1217z00_4271;
			}
		}

	}



/* &lambda1634 */
	obj_t BGl_z62lambda1634z62zz__evaluate_typesz00(obj_t BgL_envz00_3848,
		obj_t BgL_oz00_3849, obj_t BgL_vz00_3850)
	{
		{	/* Eval/evaluate_types.scm 76 */
			return
				((((BgL_ev_setlocalz00_bglt) COBJECT(
							((BgL_ev_setlocalz00_bglt) BgL_oz00_3849)))->BgL_vz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3850)), BUNSPEC);
		}

	}



/* &lambda1633 */
	BgL_ev_varz00_bglt BGl_z62lambda1633z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3851, obj_t BgL_oz00_3852)
	{
		{	/* Eval/evaluate_types.scm 76 */
			return
				(((BgL_ev_setlocalz00_bglt) COBJECT(
						((BgL_ev_setlocalz00_bglt) BgL_oz00_3852)))->BgL_vz00);
		}

	}



/* &<@anonymous:1609> */
	obj_t BGl_z62zc3z04anonymousza31609ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3853, obj_t BgL_new1088z00_3854)
	{
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_trapz00_bglt BgL_auxz00_5433;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5434;

					{	/* Eval/evaluate_types.scm 75 */
						obj_t BgL_classz00_4279;

						BgL_classz00_4279 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 75 */
							obj_t BgL__ortest_1285z00_4280;

							BgL__ortest_1285z00_4280 = BGL_CLASS_NIL(BgL_classz00_4279);
							if (CBOOL(BgL__ortest_1285z00_4280))
								{	/* Eval/evaluate_types.scm 75 */
									BgL_auxz00_5434 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4280);
								}
							else
								{	/* Eval/evaluate_types.scm 75 */
									BgL_auxz00_5434 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4279));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_trapz00_bglt) BgL_new1088z00_3854))))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5434), BUNSPEC);
				}
				BgL_auxz00_5433 = ((BgL_ev_trapz00_bglt) BgL_new1088z00_3854);
				return ((obj_t) BgL_auxz00_5433);
			}
		}

	}



/* &lambda1607 */
	BgL_ev_trapz00_bglt BGl_z62lambda1607z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3855)
	{
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_trapz00_bglt BgL_new1087z00_4281;

				BgL_new1087z00_4281 =
					((BgL_ev_trapz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_trapz00_bgl))));
				{	/* Eval/evaluate_types.scm 75 */
					long BgL_arg1608z00_4282;

					{	/* Eval/evaluate_types.scm 75 */
						long BgL_res2364z00_4283;

						BgL_res2364z00_4283 =
							BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00);
						BgL_arg1608z00_4282 = BgL_res2364z00_4283;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1087z00_4281), BgL_arg1608z00_4282);
				}
				return BgL_new1087z00_4281;
			}
		}

	}



/* &lambda1605 */
	BgL_ev_trapz00_bglt BGl_z62lambda1605z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3856, obj_t BgL_e1086z00_3857)
	{
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_trapz00_bglt BgL_new1215z00_4285;

				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_new1214z00_4286;

					BgL_new1214z00_4286 =
						((BgL_ev_trapz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_trapz00_bgl))));
					{	/* Eval/evaluate_types.scm 75 */
						long BgL_arg1606z00_4287;

						{	/* Eval/evaluate_types.scm 75 */
							long BgL_res2363z00_4288;

							BgL_res2363z00_4288 =
								BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00);
							BgL_arg1606z00_4287 = BgL_res2363z00_4288;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1214z00_4286), BgL_arg1606z00_4287);
					}
					BgL_new1215z00_4285 = BgL_new1214z00_4286;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1215z00_4285)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1086z00_3857)),
					BUNSPEC);
				return BgL_new1215z00_4285;
			}
		}

	}



/* &<@anonymous:1592> */
	obj_t BGl_z62zc3z04anonymousza31592ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3858, obj_t BgL_new1084z00_3859)
	{
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_hookz00_bglt BgL_auxz00_5457;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5458;

					{	/* Eval/evaluate_types.scm 73 */
						obj_t BgL_classz00_4290;

						BgL_classz00_4290 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 73 */
							obj_t BgL__ortest_1285z00_4291;

							BgL__ortest_1285z00_4291 = BGL_CLASS_NIL(BgL_classz00_4290);
							if (CBOOL(BgL__ortest_1285z00_4291))
								{	/* Eval/evaluate_types.scm 73 */
									BgL_auxz00_5458 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4291);
								}
							else
								{	/* Eval/evaluate_types.scm 73 */
									BgL_auxz00_5458 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4290));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt) BgL_new1084z00_3859)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5458), BUNSPEC);
				}
				BgL_auxz00_5457 = ((BgL_ev_hookz00_bglt) BgL_new1084z00_3859);
				return ((obj_t) BgL_auxz00_5457);
			}
		}

	}



/* &lambda1590 */
	BgL_ev_hookz00_bglt BGl_z62lambda1590z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3860)
	{
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_new1083z00_4292;

				BgL_new1083z00_4292 =
					((BgL_ev_hookz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_hookz00_bgl))));
				{	/* Eval/evaluate_types.scm 73 */
					long BgL_arg1591z00_4293;

					{	/* Eval/evaluate_types.scm 73 */
						long BgL_res2362z00_4294;

						BgL_res2362z00_4294 =
							BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00);
						BgL_arg1591z00_4293 = BgL_res2362z00_4294;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1083z00_4292), BgL_arg1591z00_4293);
				}
				return BgL_new1083z00_4292;
			}
		}

	}



/* &lambda1588 */
	BgL_ev_hookz00_bglt BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3861, obj_t BgL_e1082z00_3862)
	{
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_new1213z00_4296;

				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_new1212z00_4297;

					BgL_new1212z00_4297 =
						((BgL_ev_hookz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_hookz00_bgl))));
					{	/* Eval/evaluate_types.scm 73 */
						long BgL_arg1589z00_4298;

						{	/* Eval/evaluate_types.scm 73 */
							long BgL_res2361z00_4299;

							BgL_res2361z00_4299 =
								BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00);
							BgL_arg1589z00_4298 = BgL_res2361z00_4299;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1212z00_4297), BgL_arg1589z00_4298);
					}
					BgL_new1213z00_4296 = BgL_new1212z00_4297;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(BgL_new1213z00_4296))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1082z00_3862)),
					BUNSPEC);
				return BgL_new1213z00_4296;
			}
		}

	}



/* &lambda1597 */
	obj_t BGl_z62lambda1597z62zz__evaluate_typesz00(obj_t BgL_envz00_3863,
		obj_t BgL_oz00_3864, obj_t BgL_vz00_3865)
	{
		{	/* Eval/evaluate_types.scm 73 */
			return
				((((BgL_ev_hookz00_bglt) COBJECT(
							((BgL_ev_hookz00_bglt) BgL_oz00_3864)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3865)), BUNSPEC);
		}

	}



/* &lambda1596 */
	BgL_ev_exprz00_bglt BGl_z62lambda1596z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3866, obj_t BgL_oz00_3867)
	{
		{	/* Eval/evaluate_types.scm 73 */
			return
				(((BgL_ev_hookz00_bglt) COBJECT(
						((BgL_ev_hookz00_bglt) BgL_oz00_3867)))->BgL_ez00);
		}

	}



/* &<@anonymous:1571> */
	obj_t BGl_z62zc3z04anonymousza31571ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3868, obj_t BgL_new1080z00_3869)
	{
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_prog2z00_bglt BgL_auxz00_5484;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5485;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_classz00_4304;

						BgL_classz00_4304 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL__ortest_1285z00_4305;

							BgL__ortest_1285z00_4305 = BGL_CLASS_NIL(BgL_classz00_4304);
							if (CBOOL(BgL__ortest_1285z00_4305))
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5485 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4305);
								}
							else
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5485 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4304));
								}
						}
					}
					((((BgL_ev_prog2z00_bglt) COBJECT(
									((BgL_ev_prog2z00_bglt) BgL_new1080z00_3869)))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5485), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5494;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_classz00_4306;

						BgL_classz00_4306 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL__ortest_1285z00_4307;

							BgL__ortest_1285z00_4307 = BGL_CLASS_NIL(BgL_classz00_4306);
							if (CBOOL(BgL__ortest_1285z00_4307))
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5494 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4307);
								}
							else
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5494 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4306));
								}
						}
					}
					((((BgL_ev_prog2z00_bglt) COBJECT(
									((BgL_ev_prog2z00_bglt) BgL_new1080z00_3869)))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5494), BUNSPEC);
				}
				BgL_auxz00_5484 = ((BgL_ev_prog2z00_bglt) BgL_new1080z00_3869);
				return ((obj_t) BgL_auxz00_5484);
			}
		}

	}



/* &lambda1569 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1569z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3870)
	{
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_new1079z00_4308;

				BgL_new1079z00_4308 =
					((BgL_ev_prog2z00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_prog2z00_bgl))));
				{	/* Eval/evaluate_types.scm 70 */
					long BgL_arg1570z00_4309;

					{	/* Eval/evaluate_types.scm 70 */
						long BgL_res2360z00_4310;

						BgL_res2360z00_4310 =
							BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00);
						BgL_arg1570z00_4309 = BgL_res2360z00_4310;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1079z00_4308), BgL_arg1570z00_4309);
				}
				return BgL_new1079z00_4308;
			}
		}

	}



/* &lambda1567 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1567z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3871, obj_t BgL_e11077z00_3872, obj_t BgL_e21078z00_3873)
	{
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_new1211z00_4313;

				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_new1210z00_4314;

					BgL_new1210z00_4314 =
						((BgL_ev_prog2z00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_prog2z00_bgl))));
					{	/* Eval/evaluate_types.scm 70 */
						long BgL_arg1568z00_4315;

						{	/* Eval/evaluate_types.scm 70 */
							long BgL_res2359z00_4316;

							BgL_res2359z00_4316 =
								BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00);
							BgL_arg1568z00_4315 = BgL_res2359z00_4316;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1210z00_4314), BgL_arg1568z00_4315);
					}
					BgL_new1211z00_4313 = BgL_new1210z00_4314;
				}
				((((BgL_ev_prog2z00_bglt) COBJECT(BgL_new1211z00_4313))->BgL_e1z00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e11077z00_3872)),
					BUNSPEC);
				((((BgL_ev_prog2z00_bglt) COBJECT(BgL_new1211z00_4313))->BgL_e2z00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e21078z00_3873)),
					BUNSPEC);
				return BgL_new1211z00_4313;
			}
		}

	}



/* &lambda1582 */
	obj_t BGl_z62lambda1582z62zz__evaluate_typesz00(obj_t BgL_envz00_3874,
		obj_t BgL_oz00_3875, obj_t BgL_vz00_3876)
	{
		{	/* Eval/evaluate_types.scm 70 */
			return
				((((BgL_ev_prog2z00_bglt) COBJECT(
							((BgL_ev_prog2z00_bglt) BgL_oz00_3875)))->BgL_e2z00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3876)), BUNSPEC);
		}

	}



/* &lambda1581 */
	BgL_ev_exprz00_bglt BGl_z62lambda1581z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3877, obj_t BgL_oz00_3878)
	{
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) COBJECT(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3878)))->BgL_e2z00);
		}

	}



/* &lambda1576 */
	obj_t BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t BgL_envz00_3879,
		obj_t BgL_oz00_3880, obj_t BgL_vz00_3881)
	{
		{	/* Eval/evaluate_types.scm 70 */
			return
				((((BgL_ev_prog2z00_bglt) COBJECT(
							((BgL_ev_prog2z00_bglt) BgL_oz00_3880)))->BgL_e1z00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3881)), BUNSPEC);
		}

	}



/* &lambda1575 */
	BgL_ev_exprz00_bglt BGl_z62lambda1575z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3882, obj_t BgL_oz00_3883)
	{
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) COBJECT(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3883)))->BgL_e1z00);
		}

	}



/* &<@anonymous:1558> */
	obj_t BGl_z62zc3z04anonymousza31558ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3884, obj_t BgL_new1075z00_3885)
	{
		{	/* Eval/evaluate_types.scm 69 */
			{
				BgL_ev_andz00_bglt BgL_auxz00_5527;

				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_andz00_bglt) BgL_new1075z00_3885))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5527 = ((BgL_ev_andz00_bglt) BgL_new1075z00_3885);
				return ((obj_t) BgL_auxz00_5527);
			}
		}

	}



/* &lambda1556 */
	BgL_ev_andz00_bglt BGl_z62lambda1556z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3886)
	{
		{	/* Eval/evaluate_types.scm 69 */
			{	/* Eval/evaluate_types.scm 69 */
				BgL_ev_andz00_bglt BgL_new1074z00_4324;

				BgL_new1074z00_4324 =
					((BgL_ev_andz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_andz00_bgl))));
				{	/* Eval/evaluate_types.scm 69 */
					long BgL_arg1557z00_4325;

					{	/* Eval/evaluate_types.scm 69 */
						long BgL_res2358z00_4326;

						BgL_res2358z00_4326 =
							BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00);
						BgL_arg1557z00_4325 = BgL_res2358z00_4326;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1074z00_4324), BgL_arg1557z00_4325);
				}
				return BgL_new1074z00_4324;
			}
		}

	}



/* &lambda1554 */
	BgL_ev_andz00_bglt BGl_z62lambda1554z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3887, obj_t BgL_args1073z00_3888)
	{
		{	/* Eval/evaluate_types.scm 69 */
			{	/* Eval/evaluate_types.scm 69 */
				BgL_ev_andz00_bglt BgL_new1209z00_4327;

				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_new1208z00_4328;

					BgL_new1208z00_4328 =
						((BgL_ev_andz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_andz00_bgl))));
					{	/* Eval/evaluate_types.scm 69 */
						long BgL_arg1555z00_4329;

						{	/* Eval/evaluate_types.scm 69 */
							long BgL_res2357z00_4330;

							BgL_res2357z00_4330 =
								BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00);
							BgL_arg1555z00_4329 = BgL_res2357z00_4330;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1208z00_4328), BgL_arg1555z00_4329);
					}
					BgL_new1209z00_4327 = BgL_new1208z00_4328;
				}
				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_new1209z00_4327)))->BgL_argsz00) =
					((obj_t) BgL_args1073z00_3888), BUNSPEC);
				return BgL_new1209z00_4327;
			}
		}

	}



/* &<@anonymous:1544> */
	obj_t BGl_z62zc3z04anonymousza31544ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3889, obj_t BgL_new1071z00_3890)
	{
		{	/* Eval/evaluate_types.scm 68 */
			{
				BgL_ev_orz00_bglt BgL_auxz00_5543;

				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_orz00_bglt) BgL_new1071z00_3890))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5543 = ((BgL_ev_orz00_bglt) BgL_new1071z00_3890);
				return ((obj_t) BgL_auxz00_5543);
			}
		}

	}



/* &lambda1542 */
	BgL_ev_orz00_bglt BGl_z62lambda1542z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3891)
	{
		{	/* Eval/evaluate_types.scm 68 */
			{	/* Eval/evaluate_types.scm 68 */
				BgL_ev_orz00_bglt BgL_new1070z00_4332;

				BgL_new1070z00_4332 =
					((BgL_ev_orz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_orz00_bgl))));
				{	/* Eval/evaluate_types.scm 68 */
					long BgL_arg1543z00_4333;

					{	/* Eval/evaluate_types.scm 68 */
						long BgL_res2356z00_4334;

						BgL_res2356z00_4334 =
							BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00);
						BgL_arg1543z00_4333 = BgL_res2356z00_4334;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1070z00_4332), BgL_arg1543z00_4333);
				}
				return BgL_new1070z00_4332;
			}
		}

	}



/* &lambda1540 */
	BgL_ev_orz00_bglt BGl_z62lambda1540z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3892, obj_t BgL_args1069z00_3893)
	{
		{	/* Eval/evaluate_types.scm 68 */
			{	/* Eval/evaluate_types.scm 68 */
				BgL_ev_orz00_bglt BgL_new1207z00_4335;

				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_new1206z00_4336;

					BgL_new1206z00_4336 =
						((BgL_ev_orz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_orz00_bgl))));
					{	/* Eval/evaluate_types.scm 68 */
						long BgL_arg1541z00_4337;

						{	/* Eval/evaluate_types.scm 68 */
							long BgL_res2355z00_4338;

							BgL_res2355z00_4338 =
								BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00);
							BgL_arg1541z00_4337 = BgL_res2355z00_4338;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1206z00_4336), BgL_arg1541z00_4337);
					}
					BgL_new1207z00_4335 = BgL_new1206z00_4336;
				}
				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_new1207z00_4335)))->BgL_argsz00) =
					((obj_t) BgL_args1069z00_3893), BUNSPEC);
				return BgL_new1207z00_4335;
			}
		}

	}



/* &<@anonymous:1528> */
	obj_t BGl_z62zc3z04anonymousza31528ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3894, obj_t BgL_new1067z00_3895)
	{
		{	/* Eval/evaluate_types.scm 66 */
			{
				BgL_ev_listz00_bglt BgL_auxz00_5559;

				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_new1067z00_3895)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5559 = ((BgL_ev_listz00_bglt) BgL_new1067z00_3895);
				return ((obj_t) BgL_auxz00_5559);
			}
		}

	}



/* &lambda1524 */
	BgL_ev_listz00_bglt BGl_z62lambda1524z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3896)
	{
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_new1066z00_4340;

				BgL_new1066z00_4340 =
					((BgL_ev_listz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_listz00_bgl))));
				{	/* Eval/evaluate_types.scm 66 */
					long BgL_arg1527z00_4341;

					{	/* Eval/evaluate_types.scm 66 */
						long BgL_res2354z00_4342;

						BgL_res2354z00_4342 =
							BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00);
						BgL_arg1527z00_4341 = BgL_res2354z00_4342;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1066z00_4340), BgL_arg1527z00_4341);
				}
				return BgL_new1066z00_4340;
			}
		}

	}



/* &lambda1521 */
	BgL_ev_listz00_bglt BGl_z62lambda1521z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3897, obj_t BgL_args1065z00_3898)
	{
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_new1205z00_4343;

				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_new1204z00_4344;

					BgL_new1204z00_4344 =
						((BgL_ev_listz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_listz00_bgl))));
					{	/* Eval/evaluate_types.scm 66 */
						long BgL_arg1523z00_4345;

						{	/* Eval/evaluate_types.scm 66 */
							long BgL_res2353z00_4346;

							BgL_res2353z00_4346 =
								BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00);
							BgL_arg1523z00_4345 = BgL_res2353z00_4346;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1204z00_4344), BgL_arg1523z00_4345);
					}
					BgL_new1205z00_4343 = BgL_new1204z00_4344;
				}
				((((BgL_ev_listz00_bglt) COBJECT(BgL_new1205z00_4343))->BgL_argsz00) =
					((obj_t) BgL_args1065z00_3898), BUNSPEC);
				return BgL_new1205z00_4343;
			}
		}

	}



/* &lambda1533 */
	obj_t BGl_z62lambda1533z62zz__evaluate_typesz00(obj_t BgL_envz00_3899,
		obj_t BgL_oz00_3900, obj_t BgL_vz00_3901)
	{
		{	/* Eval/evaluate_types.scm 66 */
			return
				((((BgL_ev_listz00_bglt) COBJECT(
							((BgL_ev_listz00_bglt) BgL_oz00_3900)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3901), BUNSPEC);
		}

	}



/* &lambda1532 */
	obj_t BGl_z62lambda1532z62zz__evaluate_typesz00(obj_t BgL_envz00_3902,
		obj_t BgL_oz00_3903)
	{
		{	/* Eval/evaluate_types.scm 66 */
			return
				(((BgL_ev_listz00_bglt) COBJECT(
						((BgL_ev_listz00_bglt) BgL_oz00_3903)))->BgL_argsz00);
		}

	}



/* &<@anonymous:1495> */
	obj_t BGl_z62zc3z04anonymousza31495ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3904, obj_t BgL_new1063z00_3905)
	{
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_ifz00_bglt BgL_auxz00_5577;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5578;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_4350;

						BgL_classz00_4350 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1285z00_4351;

							BgL__ortest_1285z00_4351 = BGL_CLASS_NIL(BgL_classz00_4350);
							if (CBOOL(BgL__ortest_1285z00_4351))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5578 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4351);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5578 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4350));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_new1063z00_3905)))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5578), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5587;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_4352;

						BgL_classz00_4352 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1285z00_4353;

							BgL__ortest_1285z00_4353 = BGL_CLASS_NIL(BgL_classz00_4352);
							if (CBOOL(BgL__ortest_1285z00_4353))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5587 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4353);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5587 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4352));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_new1063z00_3905)))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5587), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5596;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_4354;

						BgL_classz00_4354 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1285z00_4355;

							BgL__ortest_1285z00_4355 = BGL_CLASS_NIL(BgL_classz00_4354);
							if (CBOOL(BgL__ortest_1285z00_4355))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5596 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1285z00_4355);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5596 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4354));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_new1063z00_3905)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5596), BUNSPEC);
				}
				BgL_auxz00_5577 = ((BgL_ev_ifz00_bglt) BgL_new1063z00_3905);
				return ((obj_t) BgL_auxz00_5577);
			}
		}

	}



/* &lambda1493 */
	BgL_ev_ifz00_bglt BGl_z62lambda1493z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3906)
	{
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_new1062z00_4356;

				BgL_new1062z00_4356 =
					((BgL_ev_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_ifz00_bgl))));
				{	/* Eval/evaluate_types.scm 62 */
					long BgL_arg1494z00_4357;

					{	/* Eval/evaluate_types.scm 62 */
						long BgL_res2352z00_4358;

						BgL_res2352z00_4358 =
							BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00);
						BgL_arg1494z00_4357 = BgL_res2352z00_4358;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1062z00_4356), BgL_arg1494z00_4357);
				}
				return BgL_new1062z00_4356;
			}
		}

	}



/* &lambda1491 */
	BgL_ev_ifz00_bglt BGl_z62lambda1491z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3907, obj_t BgL_p1059z00_3908, obj_t BgL_t1060z00_3909,
		obj_t BgL_e1061z00_3910)
	{
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_new1203z00_4362;

				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_new1202z00_4363;

					BgL_new1202z00_4363 =
						((BgL_ev_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_ifz00_bgl))));
					{	/* Eval/evaluate_types.scm 62 */
						long BgL_arg1492z00_4364;

						{	/* Eval/evaluate_types.scm 62 */
							long BgL_res2351z00_4365;

							BgL_res2351z00_4365 =
								BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00);
							BgL_arg1492z00_4364 = BgL_res2351z00_4365;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1202z00_4363), BgL_arg1492z00_4364);
					}
					BgL_new1203z00_4362 = BgL_new1202z00_4363;
				}
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1203z00_4362))->BgL_pz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_p1059z00_3908)),
					BUNSPEC);
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1203z00_4362))->BgL_tz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_t1060z00_3909)),
					BUNSPEC);
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1203z00_4362))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1061z00_3910)),
					BUNSPEC);
				return BgL_new1203z00_4362;
			}
		}

	}



/* &lambda1514 */
	obj_t BGl_z62lambda1514z62zz__evaluate_typesz00(obj_t BgL_envz00_3911,
		obj_t BgL_oz00_3912, obj_t BgL_vz00_3913)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3912)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3913)), BUNSPEC);
		}

	}



/* &lambda1513 */
	BgL_ev_exprz00_bglt BGl_z62lambda1513z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3914, obj_t BgL_oz00_3915)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3915)))->BgL_ez00);
		}

	}



/* &lambda1506 */
	obj_t BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t BgL_envz00_3916,
		obj_t BgL_oz00_3917, obj_t BgL_vz00_3918)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3917)))->BgL_tz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3918)), BUNSPEC);
		}

	}



/* &lambda1505 */
	BgL_ev_exprz00_bglt BGl_z62lambda1505z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3919, obj_t BgL_oz00_3920)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3920)))->BgL_tz00);
		}

	}



/* &lambda1501 */
	obj_t BGl_z62lambda1501z62zz__evaluate_typesz00(obj_t BgL_envz00_3921,
		obj_t BgL_oz00_3922, obj_t BgL_vz00_3923)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3922)))->BgL_pz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3923)), BUNSPEC);
		}

	}



/* &lambda1500 */
	BgL_ev_exprz00_bglt BGl_z62lambda1500z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3924, obj_t BgL_oz00_3925)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3925)))->BgL_pz00);
		}

	}



/* &<@anonymous:1480> */
	obj_t BGl_z62zc3z04anonymousza31480ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3926, obj_t BgL_new1057z00_3927)
	{
		{	/* Eval/evaluate_types.scm 60 */
			{
				BgL_ev_littz00_bglt BgL_auxz00_5636;

				((((BgL_ev_littz00_bglt) COBJECT(
								((BgL_ev_littz00_bglt) BgL_new1057z00_3927)))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5636 = ((BgL_ev_littz00_bglt) BgL_new1057z00_3927);
				return ((obj_t) BgL_auxz00_5636);
			}
		}

	}



/* &lambda1477 */
	BgL_ev_littz00_bglt BGl_z62lambda1477z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3928)
	{
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_new1056z00_4376;

				BgL_new1056z00_4376 =
					((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_littz00_bgl))));
				{	/* Eval/evaluate_types.scm 60 */
					long BgL_arg1479z00_4377;

					{	/* Eval/evaluate_types.scm 60 */
						long BgL_res2350z00_4378;

						BgL_res2350z00_4378 =
							BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
						BgL_arg1479z00_4377 = BgL_res2350z00_4378;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1056z00_4376), BgL_arg1479z00_4377);
				}
				return BgL_new1056z00_4376;
			}
		}

	}



/* &lambda1473 */
	BgL_ev_littz00_bglt BGl_z62lambda1473z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3929, obj_t BgL_value1055z00_3930)
	{
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_new1201z00_4379;

				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_new1200z00_4380;

					BgL_new1200z00_4380 =
						((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_littz00_bgl))));
					{	/* Eval/evaluate_types.scm 60 */
						long BgL_arg1476z00_4381;

						{	/* Eval/evaluate_types.scm 60 */
							long BgL_res2349z00_4382;

							BgL_res2349z00_4382 =
								BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
							BgL_arg1476z00_4381 = BgL_res2349z00_4382;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1200z00_4380), BgL_arg1476z00_4381);
					}
					BgL_new1201z00_4379 = BgL_new1200z00_4380;
				}
				((((BgL_ev_littz00_bglt) COBJECT(BgL_new1201z00_4379))->BgL_valuez00) =
					((obj_t) BgL_value1055z00_3930), BUNSPEC);
				return BgL_new1201z00_4379;
			}
		}

	}



/* &lambda1485 */
	obj_t BGl_z62lambda1485z62zz__evaluate_typesz00(obj_t BgL_envz00_3931,
		obj_t BgL_oz00_3932, obj_t BgL_vz00_3933)
	{
		{	/* Eval/evaluate_types.scm 60 */
			return
				((((BgL_ev_littz00_bglt) COBJECT(
							((BgL_ev_littz00_bglt) BgL_oz00_3932)))->BgL_valuez00) =
				((obj_t) BgL_vz00_3933), BUNSPEC);
		}

	}



/* &lambda1484 */
	obj_t BGl_z62lambda1484z62zz__evaluate_typesz00(obj_t BgL_envz00_3934,
		obj_t BgL_oz00_3935)
	{
		{	/* Eval/evaluate_types.scm 60 */
			return
				(((BgL_ev_littz00_bglt) COBJECT(
						((BgL_ev_littz00_bglt) BgL_oz00_3935)))->BgL_valuez00);
		}

	}



/* &<@anonymous:1450> */
	obj_t BGl_z62zc3z04anonymousza31450ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3936, obj_t BgL_new1053z00_3937)
	{
		{	/* Eval/evaluate_types.scm 55 */
			{
				BgL_ev_globalz00_bglt BgL_auxz00_5654;

				((((BgL_ev_globalz00_bglt) COBJECT(
								((BgL_ev_globalz00_bglt) BgL_new1053z00_3937)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
									BgL_new1053z00_3937)))->BgL_namez00) =
					((obj_t) BGl_symbol2774z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
									BgL_new1053z00_3937)))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5654 = ((BgL_ev_globalz00_bglt) BgL_new1053z00_3937);
				return ((obj_t) BgL_auxz00_5654);
			}
		}

	}



/* &lambda1448 */
	BgL_ev_globalz00_bglt BGl_z62lambda1448z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3938)
	{
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_new1052z00_4386;

				BgL_new1052z00_4386 =
					((BgL_ev_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_globalz00_bgl))));
				{	/* Eval/evaluate_types.scm 55 */
					long BgL_arg1449z00_4387;

					{	/* Eval/evaluate_types.scm 55 */
						long BgL_res2348z00_4388;

						BgL_res2348z00_4388 =
							BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00);
						BgL_arg1449z00_4387 = BgL_res2348z00_4388;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1052z00_4386), BgL_arg1449z00_4387);
				}
				return BgL_new1052z00_4386;
			}
		}

	}



/* &lambda1446 */
	BgL_ev_globalz00_bglt BGl_z62lambda1446z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3939, obj_t BgL_loc1049z00_3940, obj_t BgL_name1050z00_3941,
		obj_t BgL_mod1051z00_3942)
	{
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_new1199z00_4390;

				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_new1198z00_4391;

					BgL_new1198z00_4391 =
						((BgL_ev_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_globalz00_bgl))));
					{	/* Eval/evaluate_types.scm 55 */
						long BgL_arg1447z00_4392;

						{	/* Eval/evaluate_types.scm 55 */
							long BgL_res2347z00_4393;

							BgL_res2347z00_4393 =
								BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00);
							BgL_arg1447z00_4392 = BgL_res2347z00_4393;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1198z00_4391), BgL_arg1447z00_4392);
					}
					BgL_new1199z00_4390 = BgL_new1198z00_4391;
				}
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1199z00_4390))->BgL_locz00) =
					((obj_t) BgL_loc1049z00_3940), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1199z00_4390))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1050z00_3941)), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1199z00_4390))->BgL_modz00) =
					((obj_t) BgL_mod1051z00_3942), BUNSPEC);
				return BgL_new1199z00_4390;
			}
		}

	}



/* &lambda1466 */
	obj_t BGl_z62lambda1466z62zz__evaluate_typesz00(obj_t BgL_envz00_3943,
		obj_t BgL_oz00_3944, obj_t BgL_vz00_3945)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3944)))->BgL_modz00) =
				((obj_t) BgL_vz00_3945), BUNSPEC);
		}

	}



/* &lambda1465 */
	obj_t BGl_z62lambda1465z62zz__evaluate_typesz00(obj_t BgL_envz00_3946,
		obj_t BgL_oz00_3947)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3947)))->BgL_modz00);
		}

	}



/* &lambda1461 */
	obj_t BGl_z62lambda1461z62zz__evaluate_typesz00(obj_t BgL_envz00_3948,
		obj_t BgL_oz00_3949, obj_t BgL_vz00_3950)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3949)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_3950)), BUNSPEC);
		}

	}



/* &lambda1460 */
	obj_t BGl_z62lambda1460z62zz__evaluate_typesz00(obj_t BgL_envz00_3951,
		obj_t BgL_oz00_3952)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3952)))->BgL_namez00);
		}

	}



/* &lambda1455 */
	obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t BgL_envz00_3953,
		obj_t BgL_oz00_3954, obj_t BgL_vz00_3955)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3954)))->BgL_locz00) =
				((obj_t) BgL_vz00_3955), BUNSPEC);
		}

	}



/* &lambda1454 */
	obj_t BGl_z62lambda1454z62zz__evaluate_typesz00(obj_t BgL_envz00_3956,
		obj_t BgL_oz00_3957)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3957)))->BgL_locz00);
		}

	}



/* &<@anonymous:1420> */
	obj_t BGl_z62zc3z04anonymousza31420ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3958, obj_t BgL_new1047z00_3959)
	{
		{	/* Eval/evaluate_types.scm 51 */
			{
				BgL_ev_varz00_bglt BgL_auxz00_5688;

				((((BgL_ev_varz00_bglt) COBJECT(
								((BgL_ev_varz00_bglt) BgL_new1047z00_3959)))->BgL_namez00) =
					((obj_t) BGl_symbol2774z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(((BgL_ev_varz00_bglt)
									BgL_new1047z00_3959)))->BgL_effz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(((BgL_ev_varz00_bglt)
									BgL_new1047z00_3959)))->BgL_typez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5688 = ((BgL_ev_varz00_bglt) BgL_new1047z00_3959);
				return ((obj_t) BgL_auxz00_5688);
			}
		}

	}



/* &lambda1418 */
	BgL_ev_varz00_bglt BGl_z62lambda1418z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3960)
	{
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_new1046z00_4402;

				BgL_new1046z00_4402 =
					((BgL_ev_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_varz00_bgl))));
				{	/* Eval/evaluate_types.scm 51 */
					long BgL_arg1419z00_4403;

					{	/* Eval/evaluate_types.scm 51 */
						long BgL_res2346z00_4404;

						BgL_res2346z00_4404 =
							BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00);
						BgL_arg1419z00_4403 = BgL_res2346z00_4404;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1046z00_4402), BgL_arg1419z00_4403);
				}
				return BgL_new1046z00_4402;
			}
		}

	}



/* &lambda1416 */
	BgL_ev_varz00_bglt BGl_z62lambda1416z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3961, obj_t BgL_name1043z00_3962, obj_t BgL_eff1044z00_3963,
		obj_t BgL_type1045z00_3964)
	{
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_new1197z00_4406;

				{	/* Eval/evaluate_types.scm 51 */
					BgL_ev_varz00_bglt BgL_new1196z00_4407;

					BgL_new1196z00_4407 =
						((BgL_ev_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_varz00_bgl))));
					{	/* Eval/evaluate_types.scm 51 */
						long BgL_arg1417z00_4408;

						{	/* Eval/evaluate_types.scm 51 */
							long BgL_res2345z00_4409;

							BgL_res2345z00_4409 =
								BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00);
							BgL_arg1417z00_4408 = BgL_res2345z00_4409;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1196z00_4407), BgL_arg1417z00_4408);
					}
					BgL_new1197z00_4406 = BgL_new1196z00_4407;
				}
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1197z00_4406))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1043z00_3962)), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1197z00_4406))->BgL_effz00) =
					((obj_t) BgL_eff1044z00_3963), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1197z00_4406))->BgL_typez00) =
					((obj_t) BgL_type1045z00_3964), BUNSPEC);
				return BgL_new1197z00_4406;
			}
		}

	}



/* &lambda1439 */
	obj_t BGl_z62lambda1439z62zz__evaluate_typesz00(obj_t BgL_envz00_3965,
		obj_t BgL_oz00_3966, obj_t BgL_vz00_3967)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3966)))->BgL_typez00) =
				((obj_t) BgL_vz00_3967), BUNSPEC);
		}

	}



/* &lambda1438 */
	obj_t BGl_z62lambda1438z62zz__evaluate_typesz00(obj_t BgL_envz00_3968,
		obj_t BgL_oz00_3969)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3969)))->BgL_typez00);
		}

	}



/* &<@anonymous:1433> */
	obj_t BGl_z62zc3z04anonymousza31433ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3970)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1432 */
	obj_t BGl_z62lambda1432z62zz__evaluate_typesz00(obj_t BgL_envz00_3971,
		obj_t BgL_oz00_3972, obj_t BgL_vz00_3973)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3972)))->BgL_effz00) =
				((obj_t) BgL_vz00_3973), BUNSPEC);
		}

	}



/* &lambda1431 */
	obj_t BGl_z62lambda1431z62zz__evaluate_typesz00(obj_t BgL_envz00_3974,
		obj_t BgL_oz00_3975)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3975)))->BgL_effz00);
		}

	}



/* &lambda1425 */
	obj_t BGl_z62lambda1425z62zz__evaluate_typesz00(obj_t BgL_envz00_3976,
		obj_t BgL_oz00_3977, obj_t BgL_vz00_3978)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3977)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_3978)), BUNSPEC);
		}

	}



/* &lambda1424 */
	obj_t BGl_z62lambda1424z62zz__evaluate_typesz00(obj_t BgL_envz00_3979,
		obj_t BgL_oz00_3980)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3980)))->BgL_namez00);
		}

	}



/* &<@anonymous:1408> */
	obj_t BGl_z62zc3z04anonymousza31408ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3981, obj_t BgL_new1041z00_3982)
	{
		{	/* Eval/evaluate_types.scm 49 */
			return ((obj_t) ((BgL_ev_exprz00_bglt) BgL_new1041z00_3982));
		}

	}



/* &lambda1406 */
	BgL_ev_exprz00_bglt BGl_z62lambda1406z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3983)
	{
		{	/* Eval/evaluate_types.scm 49 */
			{	/* Eval/evaluate_types.scm 49 */
				BgL_ev_exprz00_bglt BgL_new1040z00_4418;

				BgL_new1040z00_4418 =
					((BgL_ev_exprz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_exprz00_bgl))));
				{	/* Eval/evaluate_types.scm 49 */
					long BgL_arg1407z00_4419;

					{	/* Eval/evaluate_types.scm 49 */
						long BgL_res2344z00_4420;

						BgL_res2344z00_4420 =
							BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00);
						BgL_arg1407z00_4419 = BgL_res2344z00_4420;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1040z00_4418), BgL_arg1407z00_4419);
				}
				return BgL_new1040z00_4418;
			}
		}

	}



/* &lambda1404 */
	BgL_ev_exprz00_bglt BGl_z62lambda1404z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3984)
	{
		{	/* Eval/evaluate_types.scm 49 */
			{	/* Eval/evaluate_types.scm 49 */
				BgL_ev_exprz00_bglt BgL_new1195z00_4421;

				{	/* Eval/evaluate_types.scm 49 */
					BgL_ev_exprz00_bglt BgL_new1194z00_4422;

					BgL_new1194z00_4422 =
						((BgL_ev_exprz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_exprz00_bgl))));
					{	/* Eval/evaluate_types.scm 49 */
						long BgL_arg1405z00_4423;

						{	/* Eval/evaluate_types.scm 49 */
							long BgL_res2343z00_4424;

							BgL_res2343z00_4424 =
								BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00);
							BgL_arg1405z00_4423 = BgL_res2343z00_4424;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1194z00_4422), BgL_arg1405z00_4423);
					}
					BgL_new1195z00_4421 = BgL_new1194z00_4422;
				}
				return BgL_new1195z00_4421;
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
	{
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
	{
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
	{
		{	/* Eval/evaluate_types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 121046086),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 330490148),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 180158922),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 251314740),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 439353001),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 193422112),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 224967693),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 68574988),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					93454137), BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					437057797),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460262918),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -400105135),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 127905250),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 331540577),
				BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
			return BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					86988580), BSTRING_TO_STRING(BGl_string2451z00zz__evaluate_typesz00));
		}

	}

#ifdef __cplusplus
}
#endif
